var Module = {};

Module['noInitialRun'] = true;
Module['OpenModelica_readFile'] = function(fname) {
  return intArrayToString(FS.findObject(fname).contents);
};

try { // Try to add an event listener like a webworker thread
  self.addEventListener('message', function(e) {
    var data = e.data;
    if (!data) return;
    var result = {};
    try {
        shouldRunNow = true;
        var args = ['-override','outputFormat=csv,stopTime=' +  data.stopTime +',tolerance=' + data.tolerance + ',stepSize=' + data.stepSize];
        Module.callMain(args);
        result.csv = intArrayToString(FS.findObject(data.basename + "_res.csv").contents);
        result.status = "Simulation finished";
    } catch(err) {
        result.status = "Simulation failed";
    };
    self.postMessage(result);
  }, false);
} catch (e) {
}

// Note: For maximum-speed code, see "Optimizing Code" on the Emscripten wiki, https://github.com/kripken/emscripten/wiki/Optimizing-Code
// Note: Some Emscripten settings may limit the speed of the generated code.
// The Module object: Our interface to the outside world. We import
// and export values on it, and do the work to get that through
// closure compiler if necessary. There are various ways Module can be used:
// 1. Not defined. We create it here
// 2. A function parameter, function(Module) { ..generated code.. }
// 3. pre-run appended it, var Module = {}; ..generated code..
// 4. External script tag defines var Module.
// We need to do an eval in order to handle the closure compiler
// case, where this code here is minified but Module was defined
// elsewhere (e.g. case 4 above). We also need to check if Module
// already exists (e.g. case 3 above).
// Note that if you want to run closure, and also to use Module
// after the generated code, you will need to define   var Module = {};
// before the code. Then that object will be used in the code, and you
// can continue to use Module afterwards as well.
var Module;
if (!Module) Module = eval('(function() { try { return Module || {} } catch(e) { return {} } })()');

// Sometimes an existing Module object exists with properties
// meant to overwrite the default module functionality. Here
// we collect those properties and reapply _after_ we configure
// the current environment's defaults to avoid having to be so
// defensive during initialization.
var moduleOverrides = {};
for (var key in Module) {
  if (Module.hasOwnProperty(key)) {
    moduleOverrides[key] = Module[key];
  }
}

// The environment setup code below is customized to use Module.
// *** Environment setup code ***
var ENVIRONMENT_IS_NODE = typeof process === 'object' && typeof require === 'function';
var ENVIRONMENT_IS_WEB = typeof window === 'object';
var ENVIRONMENT_IS_WORKER = typeof importScripts === 'function';
var ENVIRONMENT_IS_SHELL = !ENVIRONMENT_IS_WEB && !ENVIRONMENT_IS_NODE && !ENVIRONMENT_IS_WORKER;

if (ENVIRONMENT_IS_NODE) {
  // Expose functionality in the same simple way that the shells work
  // Note that we pollute the global namespace here, otherwise we break in node
  if (!Module['print']) Module['print'] = function print(x) {
    process['stdout'].write(x + '\n');
  };
  if (!Module['printErr']) Module['printErr'] = function printErr(x) {
    process['stderr'].write(x + '\n');
  };

  var nodeFS = require('fs');
  var nodePath = require('path');

  Module['read'] = function read(filename, binary) {
    filename = nodePath['normalize'](filename);
    var ret = nodeFS['readFileSync'](filename);
    // The path is absolute if the normalized version is the same as the resolved.
    if (!ret && filename != nodePath['resolve'](filename)) {
      filename = path.join(__dirname, '..', 'src', filename);
      ret = nodeFS['readFileSync'](filename);
    }
    if (ret && !binary) ret = ret.toString();
    return ret;
  };

  Module['readBinary'] = function readBinary(filename) { return Module['read'](filename, true) };

  Module['load'] = function load(f) {
    globalEval(read(f));
  };

  Module['arguments'] = process['argv'].slice(2);

  module['exports'] = Module;
}
else if (ENVIRONMENT_IS_SHELL) {
  if (!Module['print']) Module['print'] = print;
  if (typeof printErr != 'undefined') Module['printErr'] = printErr; // not present in v8 or older sm

  if (typeof read != 'undefined') {
    Module['read'] = read;
  } else {
    Module['read'] = function read() { throw 'no read() available (jsc?)' };
  }

  Module['readBinary'] = function readBinary(f) {
    return read(f, 'binary');
  };

  if (typeof scriptArgs != 'undefined') {
    Module['arguments'] = scriptArgs;
  } else if (typeof arguments != 'undefined') {
    Module['arguments'] = arguments;
  }

  this['Module'] = Module;

  eval("if (typeof gc === 'function' && gc.toString().indexOf('[native code]') > 0) var gc = undefined"); // wipe out the SpiderMonkey shell 'gc' function, which can confuse closure (uses it as a minified name, and it is then initted to a non-falsey value unexpectedly)
}
else if (ENVIRONMENT_IS_WEB || ENVIRONMENT_IS_WORKER) {
  Module['read'] = function read(url) {
    var xhr = new XMLHttpRequest();
    xhr.open('GET', url, false);
    xhr.send(null);
    return xhr.responseText;
  };

  if (typeof arguments != 'undefined') {
    Module['arguments'] = arguments;
  }

  if (typeof console !== 'undefined') {
    if (!Module['print']) Module['print'] = function print(x) {
      console.log(x);
    };
    if (!Module['printErr']) Module['printErr'] = function printErr(x) {
      console.log(x);
    };
  } else {
    // Probably a worker, and without console.log. We can do very little here...
    var TRY_USE_DUMP = false;
    if (!Module['print']) Module['print'] = (TRY_USE_DUMP && (typeof(dump) !== "undefined") ? (function(x) {
      dump(x);
    }) : (function(x) {
      // self.postMessage(x); // enable this if you want stdout to be sent as messages
    }));
  }

  if (ENVIRONMENT_IS_WEB) {
    this['Module'] = Module;
  } else {
    Module['load'] = importScripts;
  }
}
else {
  // Unreachable because SHELL is dependant on the others
  throw 'Unknown runtime environment. Where are we?';
}

function globalEval(x) {
  eval.call(null, x);
}
if (!Module['load'] == 'undefined' && Module['read']) {
  Module['load'] = function load(f) {
    globalEval(Module['read'](f));
  };
}
if (!Module['print']) {
  Module['print'] = function(){};
}
if (!Module['printErr']) {
  Module['printErr'] = Module['print'];
}
if (!Module['arguments']) {
  Module['arguments'] = [];
}
// *** Environment setup code ***

// Closure helpers
Module.print = Module['print'];
Module.printErr = Module['printErr'];

// Callbacks
Module['preRun'] = [];
Module['postRun'] = [];

// Merge back in the overrides
for (var key in moduleOverrides) {
  if (moduleOverrides.hasOwnProperty(key)) {
    Module[key] = moduleOverrides[key];
  }
}



// === Auto-generated preamble library stuff ===

//========================================
// Runtime code shared with compiler
//========================================

var Runtime = {
  stackSave: function () {
    return STACKTOP;
  },
  stackRestore: function (stackTop) {
    STACKTOP = stackTop;
  },
  forceAlign: function (target, quantum) {
    quantum = quantum || 4;
    if (quantum == 1) return target;
    if (isNumber(target) && isNumber(quantum)) {
      return Math.ceil(target/quantum)*quantum;
    } else if (isNumber(quantum) && isPowerOfTwo(quantum)) {
      return '(((' +target + ')+' + (quantum-1) + ')&' + -quantum + ')';
    }
    return 'Math.ceil((' + target + ')/' + quantum + ')*' + quantum;
  },
  isNumberType: function (type) {
    return type in Runtime.INT_TYPES || type in Runtime.FLOAT_TYPES;
  },
  isPointerType: function isPointerType(type) {
  return type[type.length-1] == '*';
},
  isStructType: function isStructType(type) {
  if (isPointerType(type)) return false;
  if (isArrayType(type)) return true;
  if (/<?\{ ?[^}]* ?\}>?/.test(type)) return true; // { i32, i8 } etc. - anonymous struct types
  // See comment in isStructPointerType()
  return type[0] == '%';
},
  INT_TYPES: {"i1":0,"i8":0,"i16":0,"i32":0,"i64":0},
  FLOAT_TYPES: {"float":0,"double":0},
  or64: function (x, y) {
    var l = (x | 0) | (y | 0);
    var h = (Math.round(x / 4294967296) | Math.round(y / 4294967296)) * 4294967296;
    return l + h;
  },
  and64: function (x, y) {
    var l = (x | 0) & (y | 0);
    var h = (Math.round(x / 4294967296) & Math.round(y / 4294967296)) * 4294967296;
    return l + h;
  },
  xor64: function (x, y) {
    var l = (x | 0) ^ (y | 0);
    var h = (Math.round(x / 4294967296) ^ Math.round(y / 4294967296)) * 4294967296;
    return l + h;
  },
  getNativeTypeSize: function (type) {
    switch (type) {
      case 'i1': case 'i8': return 1;
      case 'i16': return 2;
      case 'i32': return 4;
      case 'i64': return 8;
      case 'float': return 4;
      case 'double': return 8;
      default: {
        if (type[type.length-1] === '*') {
          return Runtime.QUANTUM_SIZE; // A pointer
        } else if (type[0] === 'i') {
          var bits = parseInt(type.substr(1));
          assert(bits % 8 === 0);
          return bits/8;
        } else {
          return 0;
        }
      }
    }
  },
  getNativeFieldSize: function (type) {
    return Math.max(Runtime.getNativeTypeSize(type), Runtime.QUANTUM_SIZE);
  },
  dedup: function dedup(items, ident) {
  var seen = {};
  if (ident) {
    return items.filter(function(item) {
      if (seen[item[ident]]) return false;
      seen[item[ident]] = true;
      return true;
    });
  } else {
    return items.filter(function(item) {
      if (seen[item]) return false;
      seen[item] = true;
      return true;
    });
  }
},
  set: function set() {
  var args = typeof arguments[0] === 'object' ? arguments[0] : arguments;
  var ret = {};
  for (var i = 0; i < args.length; i++) {
    ret[args[i]] = 0;
  }
  return ret;
},
  STACK_ALIGN: 8,
  getAlignSize: function (type, size, vararg) {
    // we align i64s and doubles on 64-bit boundaries, unlike x86
    if (vararg) return 8;
    if (!vararg && (type == 'i64' || type == 'double')) return 8;
    if (!type) return Math.min(size, 8); // align structures internally to 64 bits
    return Math.min(size || (type ? Runtime.getNativeFieldSize(type) : 0), Runtime.QUANTUM_SIZE);
  },
  calculateStructAlignment: function calculateStructAlignment(type) {
    type.flatSize = 0;
    type.alignSize = 0;
    var diffs = [];
    var prev = -1;
    var index = 0;
    type.flatIndexes = type.fields.map(function(field) {
      index++;
      var size, alignSize;
      if (Runtime.isNumberType(field) || Runtime.isPointerType(field)) {
        size = Runtime.getNativeTypeSize(field); // pack char; char; in structs, also char[X]s.
        alignSize = Runtime.getAlignSize(field, size);
      } else if (Runtime.isStructType(field)) {
        if (field[1] === '0') {
          // this is [0 x something]. When inside another structure like here, it must be at the end,
          // and it adds no size
          // XXX this happens in java-nbody for example... assert(index === type.fields.length, 'zero-length in the middle!');
          size = 0;
          if (Types.types[field]) {
            alignSize = Runtime.getAlignSize(null, Types.types[field].alignSize);
          } else {
            alignSize = type.alignSize || QUANTUM_SIZE;
          }
        } else {
          size = Types.types[field].flatSize;
          alignSize = Runtime.getAlignSize(null, Types.types[field].alignSize);
        }
      } else if (field[0] == 'b') {
        // bN, large number field, like a [N x i8]
        size = field.substr(1)|0;
        alignSize = 1;
      } else if (field[0] === '<') {
        // vector type
        size = alignSize = Types.types[field].flatSize; // fully aligned
      } else if (field[0] === 'i') {
        // illegal integer field, that could not be legalized because it is an internal structure field
        // it is ok to have such fields, if we just use them as markers of field size and nothing more complex
        size = alignSize = parseInt(field.substr(1))/8;
        assert(size % 1 === 0, 'cannot handle non-byte-size field ' + field);
      } else {
        assert(false, 'invalid type for calculateStructAlignment');
      }
      if (type.packed) alignSize = 1;
      type.alignSize = Math.max(type.alignSize, alignSize);
      var curr = Runtime.alignMemory(type.flatSize, alignSize); // if necessary, place this on aligned memory
      type.flatSize = curr + size;
      if (prev >= 0) {
        diffs.push(curr-prev);
      }
      prev = curr;
      return curr;
    });
    if (type.name_ && type.name_[0] === '[') {
      // arrays have 2 elements, so we get the proper difference. then we scale here. that way we avoid
      // allocating a potentially huge array for [999999 x i8] etc.
      type.flatSize = parseInt(type.name_.substr(1))*type.flatSize/2;
    }
    type.flatSize = Runtime.alignMemory(type.flatSize, type.alignSize);
    if (diffs.length == 0) {
      type.flatFactor = type.flatSize;
    } else if (Runtime.dedup(diffs).length == 1) {
      type.flatFactor = diffs[0];
    }
    type.needsFlattening = (type.flatFactor != 1);
    return type.flatIndexes;
  },
  generateStructInfo: function (struct, typeName, offset) {
    var type, alignment;
    if (typeName) {
      offset = offset || 0;
      type = (typeof Types === 'undefined' ? Runtime.typeInfo : Types.types)[typeName];
      if (!type) return null;
      if (type.fields.length != struct.length) {
        printErr('Number of named fields must match the type for ' + typeName + ': possibly duplicate struct names. Cannot return structInfo');
        return null;
      }
      alignment = type.flatIndexes;
    } else {
      var type = { fields: struct.map(function(item) { return item[0] }) };
      alignment = Runtime.calculateStructAlignment(type);
    }
    var ret = {
      __size__: type.flatSize
    };
    if (typeName) {
      struct.forEach(function(item, i) {
        if (typeof item === 'string') {
          ret[item] = alignment[i] + offset;
        } else {
          // embedded struct
          var key;
          for (var k in item) key = k;
          ret[key] = Runtime.generateStructInfo(item[key], type.fields[i], alignment[i]);
        }
      });
    } else {
      struct.forEach(function(item, i) {
        ret[item[1]] = alignment[i];
      });
    }
    return ret;
  },
  dynCall: function (sig, ptr, args) {
    if (args && args.length) {
      if (!args.splice) args = Array.prototype.slice.call(args);
      args.splice(0, 0, ptr);
      return Module['dynCall_' + sig].apply(null, args);
    } else {
      return Module['dynCall_' + sig].call(null, ptr);
    }
  },
  functionPointers: [],
  addFunction: function (func) {
    for (var i = 0; i < Runtime.functionPointers.length; i++) {
      if (!Runtime.functionPointers[i]) {
        Runtime.functionPointers[i] = func;
        return 2*(1 + i);
      }
    }
    throw 'Finished up all reserved function pointers. Use a higher value for RESERVED_FUNCTION_POINTERS.';
  },
  removeFunction: function (index) {
    Runtime.functionPointers[(index-2)/2] = null;
  },
  getAsmConst: function (code, numArgs) {
    // code is a constant string on the heap, so we can cache these
    if (!Runtime.asmConstCache) Runtime.asmConstCache = {};
    var func = Runtime.asmConstCache[code];
    if (func) return func;
    var args = [];
    for (var i = 0; i < numArgs; i++) {
      args.push(String.fromCharCode(36) + i); // $0, $1 etc
    }
    code = Pointer_stringify(code);
    if (code[0] === '"') {
      // tolerate EM_ASM("..code..") even though EM_ASM(..code..) is correct
      if (code.indexOf('"', 1) === code.length-1) {
        code = code.substr(1, code.length-2);
      } else {
        // something invalid happened, e.g. EM_ASM("..code($0)..", input)
        abort('invalid EM_ASM input |' + code + '|. Please use EM_ASM(..code..) (no quotes) or EM_ASM({ ..code($0).. }, input) (to input values)');
      }
    }
    return Runtime.asmConstCache[code] = eval('(function(' + args.join(',') + '){ ' + code + ' })'); // new Function does not allow upvars in node
  },
  warnOnce: function (text) {
    if (!Runtime.warnOnce.shown) Runtime.warnOnce.shown = {};
    if (!Runtime.warnOnce.shown[text]) {
      Runtime.warnOnce.shown[text] = 1;
      Module.printErr(text);
    }
  },
  funcWrappers: {},
  getFuncWrapper: function (func, sig) {
    assert(sig);
    if (!Runtime.funcWrappers[func]) {
      Runtime.funcWrappers[func] = function dynCall_wrapper() {
        return Runtime.dynCall(sig, func, arguments);
      };
    }
    return Runtime.funcWrappers[func];
  },
  UTF8Processor: function () {
    var buffer = [];
    var needed = 0;
    this.processCChar = function (code) {
      code = code & 0xFF;

      if (buffer.length == 0) {
        if ((code & 0x80) == 0x00) {        // 0xxxxxxx
          return String.fromCharCode(code);
        }
        buffer.push(code);
        if ((code & 0xE0) == 0xC0) {        // 110xxxxx
          needed = 1;
        } else if ((code & 0xF0) == 0xE0) { // 1110xxxx
          needed = 2;
        } else {                            // 11110xxx
          needed = 3;
        }
        return '';
      }

      if (needed) {
        buffer.push(code);
        needed--;
        if (needed > 0) return '';
      }

      var c1 = buffer[0];
      var c2 = buffer[1];
      var c3 = buffer[2];
      var c4 = buffer[3];
      var ret;
      if (buffer.length == 2) {
        ret = String.fromCharCode(((c1 & 0x1F) << 6)  | (c2 & 0x3F));
      } else if (buffer.length == 3) {
        ret = String.fromCharCode(((c1 & 0x0F) << 12) | ((c2 & 0x3F) << 6)  | (c3 & 0x3F));
      } else {
        // http://mathiasbynens.be/notes/javascript-encoding#surrogate-formulae
        var codePoint = ((c1 & 0x07) << 18) | ((c2 & 0x3F) << 12) |
                        ((c3 & 0x3F) << 6)  | (c4 & 0x3F);
        ret = String.fromCharCode(
          Math.floor((codePoint - 0x10000) / 0x400) + 0xD800,
          (codePoint - 0x10000) % 0x400 + 0xDC00);
      }
      buffer.length = 0;
      return ret;
    }
    this.processJSString = function processJSString(string) {
      string = unescape(encodeURIComponent(string));
      var ret = [];
      for (var i = 0; i < string.length; i++) {
        ret.push(string.charCodeAt(i));
      }
      return ret;
    }
  },
  getCompilerSetting: function (name) {
    throw 'You must build with -s RETAIN_COMPILER_SETTINGS=1 for Runtime.getCompilerSetting or emscripten_get_compiler_setting to work';
  },
  stackAlloc: function (size) { var ret = STACKTOP;STACKTOP = (STACKTOP + size)|0;STACKTOP = (((STACKTOP)+7)&-8); return ret; },
  staticAlloc: function (size) { var ret = STATICTOP;STATICTOP = (STATICTOP + size)|0;STATICTOP = (((STATICTOP)+7)&-8); return ret; },
  dynamicAlloc: function (size) { var ret = DYNAMICTOP;DYNAMICTOP = (DYNAMICTOP + size)|0;DYNAMICTOP = (((DYNAMICTOP)+7)&-8); if (DYNAMICTOP >= TOTAL_MEMORY) enlargeMemory();; return ret; },
  alignMemory: function (size,quantum) { var ret = size = Math.ceil((size)/(quantum ? quantum : 8))*(quantum ? quantum : 8); return ret; },
  makeBigInt: function (low,high,unsigned) { var ret = (unsigned ? ((+((low>>>0)))+((+((high>>>0)))*(+4294967296))) : ((+((low>>>0)))+((+((high|0)))*(+4294967296)))); return ret; },
  GLOBAL_BASE: 8,
  QUANTUM_SIZE: 4,
  __dummy__: 0
}


Module['Runtime'] = Runtime;









//========================================
// Runtime essentials
//========================================

var __THREW__ = 0; // Used in checking for thrown exceptions.

var ABORT = false; // whether we are quitting the application. no code should run after this. set in exit() and abort()
var EXITSTATUS = 0;

var undef = 0;
// tempInt is used for 32-bit signed values or smaller. tempBigInt is used
// for 32-bit unsigned values or more than 32 bits. TODO: audit all uses of tempInt
var tempValue, tempInt, tempBigInt, tempInt2, tempBigInt2, tempPair, tempBigIntI, tempBigIntR, tempBigIntS, tempBigIntP, tempBigIntD, tempDouble, tempFloat;
var tempI64, tempI64b;
var tempRet0, tempRet1, tempRet2, tempRet3, tempRet4, tempRet5, tempRet6, tempRet7, tempRet8, tempRet9;

function assert(condition, text) {
  if (!condition) {
    abort('Assertion failed: ' + text);
  }
}

var globalScope = this;

// C calling interface. A convenient way to call C functions (in C files, or
// defined with extern "C").
//
// Note: LLVM optimizations can inline and remove functions, after which you will not be
//       able to call them. Closure can also do so. To avoid that, add your function to
//       the exports using something like
//
//         -s EXPORTED_FUNCTIONS='["_main", "_myfunc"]'
//
// @param ident      The name of the C function (note that C++ functions will be name-mangled - use extern "C")
// @param returnType The return type of the function, one of the JS types 'number', 'string' or 'array' (use 'number' for any C pointer, and
//                   'array' for JavaScript arrays and typed arrays; note that arrays are 8-bit).
// @param argTypes   An array of the types of arguments for the function (if there are no arguments, this can be ommitted). Types are as in returnType,
//                   except that 'array' is not possible (there is no way for us to know the length of the array)
// @param args       An array of the arguments to the function, as native JS values (as in returnType)
//                   Note that string arguments will be stored on the stack (the JS string will become a C string on the stack).
// @return           The return value, as a native JS value (as in returnType)
function ccall(ident, returnType, argTypes, args) {
  return ccallFunc(getCFunc(ident), returnType, argTypes, args);
}
Module["ccall"] = ccall;

// Returns the C function with a specified identifier (for C++, you need to do manual name mangling)
function getCFunc(ident) {
  try {
    var func = Module['_' + ident]; // closure exported function
    if (!func) func = eval('_' + ident); // explicit lookup
  } catch(e) {
  }
  assert(func, 'Cannot call unknown function ' + ident + ' (perhaps LLVM optimizations or closure removed it?)');
  return func;
}

// Internal function that does a C call using a function, not an identifier
function ccallFunc(func, returnType, argTypes, args) {
  var stack = 0;
  function toC(value, type) {
    if (type == 'string') {
      if (value === null || value === undefined || value === 0) return 0; // null string
      value = intArrayFromString(value);
      type = 'array';
    }
    if (type == 'array') {
      if (!stack) stack = Runtime.stackSave();
      var ret = Runtime.stackAlloc(value.length);
      writeArrayToMemory(value, ret);
      return ret;
    }
    return value;
  }
  function fromC(value, type) {
    if (type == 'string') {
      return Pointer_stringify(value);
    }
    assert(type != 'array');
    return value;
  }
  var i = 0;
  var cArgs = args ? args.map(function(arg) {
    return toC(arg, argTypes[i++]);
  }) : [];
  var ret = fromC(func.apply(null, cArgs), returnType);
  if (stack) Runtime.stackRestore(stack);
  return ret;
}

// Returns a native JS wrapper for a C function. This is similar to ccall, but
// returns a function you can call repeatedly in a normal way. For example:
//
//   var my_function = cwrap('my_c_function', 'number', ['number', 'number']);
//   alert(my_function(5, 22));
//   alert(my_function(99, 12));
//
function cwrap(ident, returnType, argTypes) {
  var func = getCFunc(ident);
  return function() {
    return ccallFunc(func, returnType, argTypes, Array.prototype.slice.call(arguments));
  }
}
Module["cwrap"] = cwrap;

// Sets a value in memory in a dynamic way at run-time. Uses the
// type data. This is the same as makeSetValue, except that
// makeSetValue is done at compile-time and generates the needed
// code then, whereas this function picks the right code at
// run-time.
// Note that setValue and getValue only do *aligned* writes and reads!
// Note that ccall uses JS types as for defining types, while setValue and
// getValue need LLVM types ('i8', 'i32') - this is a lower-level operation
function setValue(ptr, value, type, noSafe) {
  type = type || 'i8';
  if (type.charAt(type.length-1) === '*') type = 'i32'; // pointers are 32-bit
    switch(type) {
      case 'i1': HEAP8[(ptr)]=value; break;
      case 'i8': HEAP8[(ptr)]=value; break;
      case 'i16': HEAP16[((ptr)>>1)]=value; break;
      case 'i32': HEAP32[((ptr)>>2)]=value; break;
      case 'i64': (tempI64 = [value>>>0,(tempDouble=value,(+(Math_abs(tempDouble))) >= (+1) ? (tempDouble > (+0) ? ((Math_min((+(Math_floor((tempDouble)/(+4294967296)))), (+4294967295)))|0)>>>0 : (~~((+(Math_ceil((tempDouble - +(((~~(tempDouble)))>>>0))/(+4294967296))))))>>>0) : 0)],HEAP32[((ptr)>>2)]=tempI64[0],HEAP32[(((ptr)+(4))>>2)]=tempI64[1]); break;
      case 'float': HEAPF32[((ptr)>>2)]=value; break;
      case 'double': HEAPF64[((ptr)>>3)]=value; break;
      default: abort('invalid type for setValue: ' + type);
    }
}
Module['setValue'] = setValue;

// Parallel to setValue.
function getValue(ptr, type, noSafe) {
  type = type || 'i8';
  if (type.charAt(type.length-1) === '*') type = 'i32'; // pointers are 32-bit
    switch(type) {
      case 'i1': return HEAP8[(ptr)];
      case 'i8': return HEAP8[(ptr)];
      case 'i16': return HEAP16[((ptr)>>1)];
      case 'i32': return HEAP32[((ptr)>>2)];
      case 'i64': return HEAP32[((ptr)>>2)];
      case 'float': return HEAPF32[((ptr)>>2)];
      case 'double': return HEAPF64[((ptr)>>3)];
      default: abort('invalid type for setValue: ' + type);
    }
  return null;
}
Module['getValue'] = getValue;

var ALLOC_NORMAL = 0; // Tries to use _malloc()
var ALLOC_STACK = 1; // Lives for the duration of the current function call
var ALLOC_STATIC = 2; // Cannot be freed
var ALLOC_DYNAMIC = 3; // Cannot be freed except through sbrk
var ALLOC_NONE = 4; // Do not allocate
Module['ALLOC_NORMAL'] = ALLOC_NORMAL;
Module['ALLOC_STACK'] = ALLOC_STACK;
Module['ALLOC_STATIC'] = ALLOC_STATIC;
Module['ALLOC_DYNAMIC'] = ALLOC_DYNAMIC;
Module['ALLOC_NONE'] = ALLOC_NONE;

// allocate(): This is for internal use. You can use it yourself as well, but the interface
//             is a little tricky (see docs right below). The reason is that it is optimized
//             for multiple syntaxes to save space in generated code. So you should
//             normally not use allocate(), and instead allocate memory using _malloc(),
//             initialize it with setValue(), and so forth.
// @slab: An array of data, or a number. If a number, then the size of the block to allocate,
//        in *bytes* (note that this is sometimes confusing: the next parameter does not
//        affect this!)
// @types: Either an array of types, one for each byte (or 0 if no type at that position),
//         or a single type which is used for the entire block. This only matters if there
//         is initial data - if @slab is a number, then this does not matter at all and is
//         ignored.
// @allocator: How to allocate memory, see ALLOC_*
function allocate(slab, types, allocator, ptr) {
  var zeroinit, size;
  if (typeof slab === 'number') {
    zeroinit = true;
    size = slab;
  } else {
    zeroinit = false;
    size = slab.length;
  }

  var singleType = typeof types === 'string' ? types : null;

  var ret;
  if (allocator == ALLOC_NONE) {
    ret = ptr;
  } else {
    ret = [_malloc, Runtime.stackAlloc, Runtime.staticAlloc, Runtime.dynamicAlloc][allocator === undefined ? ALLOC_STATIC : allocator](Math.max(size, singleType ? 1 : types.length));
  }

  if (zeroinit) {
    var ptr = ret, stop;
    assert((ret & 3) == 0);
    stop = ret + (size & ~3);
    for (; ptr < stop; ptr += 4) {
      HEAP32[((ptr)>>2)]=0;
    }
    stop = ret + size;
    while (ptr < stop) {
      HEAP8[((ptr++)|0)]=0;
    }
    return ret;
  }

  if (singleType === 'i8') {
    if (slab.subarray || slab.slice) {
      HEAPU8.set(slab, ret);
    } else {
      HEAPU8.set(new Uint8Array(slab), ret);
    }
    return ret;
  }

  var i = 0, type, typeSize, previousType;
  while (i < size) {
    var curr = slab[i];

    if (typeof curr === 'function') {
      curr = Runtime.getFunctionIndex(curr);
    }

    type = singleType || types[i];
    if (type === 0) {
      i++;
      continue;
    }

    if (type == 'i64') type = 'i32'; // special case: we have one i32 here, and one i32 later

    setValue(ret+i, curr, type);

    // no need to look up size unless type changes, so cache it
    if (previousType !== type) {
      typeSize = Runtime.getNativeTypeSize(type);
      previousType = type;
    }
    i += typeSize;
  }

  return ret;
}
Module['allocate'] = allocate;

function Pointer_stringify(ptr, /* optional */ length) {
  // TODO: use TextDecoder
  // Find the length, and check for UTF while doing so
  var hasUtf = false;
  var t;
  var i = 0;
  while (1) {
    t = HEAPU8[(((ptr)+(i))|0)];
    if (t >= 128) hasUtf = true;
    else if (t == 0 && !length) break;
    i++;
    if (length && i == length) break;
  }
  if (!length) length = i;

  var ret = '';

  if (!hasUtf) {
    var MAX_CHUNK = 1024; // split up into chunks, because .apply on a huge string can overflow the stack
    var curr;
    while (length > 0) {
      curr = String.fromCharCode.apply(String, HEAPU8.subarray(ptr, ptr + Math.min(length, MAX_CHUNK)));
      ret = ret ? ret + curr : curr;
      ptr += MAX_CHUNK;
      length -= MAX_CHUNK;
    }
    return ret;
  }

  var utf8 = new Runtime.UTF8Processor();
  for (i = 0; i < length; i++) {
    t = HEAPU8[(((ptr)+(i))|0)];
    ret += utf8.processCChar(t);
  }
  return ret;
}
Module['Pointer_stringify'] = Pointer_stringify;

// Given a pointer 'ptr' to a null-terminated UTF16LE-encoded string in the emscripten HEAP, returns
// a copy of that string as a Javascript String object.
function UTF16ToString(ptr) {
  var i = 0;

  var str = '';
  while (1) {
    var codeUnit = HEAP16[(((ptr)+(i*2))>>1)];
    if (codeUnit == 0)
      return str;
    ++i;
    // fromCharCode constructs a character from a UTF-16 code unit, so we can pass the UTF16 string right through.
    str += String.fromCharCode(codeUnit);
  }
}
Module['UTF16ToString'] = UTF16ToString;

// Copies the given Javascript String object 'str' to the emscripten HEAP at address 'outPtr',
// null-terminated and encoded in UTF16LE form. The copy will require at most (str.length*2+1)*2 bytes of space in the HEAP.
function stringToUTF16(str, outPtr) {
  for(var i = 0; i < str.length; ++i) {
    // charCodeAt returns a UTF-16 encoded code unit, so it can be directly written to the HEAP.
    var codeUnit = str.charCodeAt(i); // possibly a lead surrogate
    HEAP16[(((outPtr)+(i*2))>>1)]=codeUnit;
  }
  // Null-terminate the pointer to the HEAP.
  HEAP16[(((outPtr)+(str.length*2))>>1)]=0;
}
Module['stringToUTF16'] = stringToUTF16;

// Given a pointer 'ptr' to a null-terminated UTF32LE-encoded string in the emscripten HEAP, returns
// a copy of that string as a Javascript String object.
function UTF32ToString(ptr) {
  var i = 0;

  var str = '';
  while (1) {
    var utf32 = HEAP32[(((ptr)+(i*4))>>2)];
    if (utf32 == 0)
      return str;
    ++i;
    // Gotcha: fromCharCode constructs a character from a UTF-16 encoded code (pair), not from a Unicode code point! So encode the code point to UTF-16 for constructing.
    if (utf32 >= 0x10000) {
      var ch = utf32 - 0x10000;
      str += String.fromCharCode(0xD800 | (ch >> 10), 0xDC00 | (ch & 0x3FF));
    } else {
      str += String.fromCharCode(utf32);
    }
  }
}
Module['UTF32ToString'] = UTF32ToString;

// Copies the given Javascript String object 'str' to the emscripten HEAP at address 'outPtr',
// null-terminated and encoded in UTF32LE form. The copy will require at most (str.length+1)*4 bytes of space in the HEAP,
// but can use less, since str.length does not return the number of characters in the string, but the number of UTF-16 code units in the string.
function stringToUTF32(str, outPtr) {
  var iChar = 0;
  for(var iCodeUnit = 0; iCodeUnit < str.length; ++iCodeUnit) {
    // Gotcha: charCodeAt returns a 16-bit word that is a UTF-16 encoded code unit, not a Unicode code point of the character! We must decode the string to UTF-32 to the heap.
    var codeUnit = str.charCodeAt(iCodeUnit); // possibly a lead surrogate
    if (codeUnit >= 0xD800 && codeUnit <= 0xDFFF) {
      var trailSurrogate = str.charCodeAt(++iCodeUnit);
      codeUnit = 0x10000 + ((codeUnit & 0x3FF) << 10) | (trailSurrogate & 0x3FF);
    }
    HEAP32[(((outPtr)+(iChar*4))>>2)]=codeUnit;
    ++iChar;
  }
  // Null-terminate the pointer to the HEAP.
  HEAP32[(((outPtr)+(iChar*4))>>2)]=0;
}
Module['stringToUTF32'] = stringToUTF32;

function demangle(func) {
  try {
    // Special-case the entry point, since its name differs from other name mangling.
    if (func == 'Object._main' || func == '_main') {
      return 'main()';
    }
    if (typeof func === 'number') func = Pointer_stringify(func);
    if (func[0] !== '_') return func;
    if (func[1] !== '_') return func; // C function
    if (func[2] !== 'Z') return func;
    switch (func[3]) {
      case 'n': return 'operator new()';
      case 'd': return 'operator delete()';
    }
    var i = 3;
    // params, etc.
    var basicTypes = {
      'v': 'void',
      'b': 'bool',
      'c': 'char',
      's': 'short',
      'i': 'int',
      'l': 'long',
      'f': 'float',
      'd': 'double',
      'w': 'wchar_t',
      'a': 'signed char',
      'h': 'unsigned char',
      't': 'unsigned short',
      'j': 'unsigned int',
      'm': 'unsigned long',
      'x': 'long long',
      'y': 'unsigned long long',
      'z': '...'
    };
    function dump(x) {
      //return;
      if (x) Module.print(x);
      Module.print(func);
      var pre = '';
      for (var a = 0; a < i; a++) pre += ' ';
      Module.print (pre + '^');
    }
    var subs = [];
    function parseNested() {
      i++;
      if (func[i] === 'K') i++; // ignore const
      var parts = [];
      while (func[i] !== 'E') {
        if (func[i] === 'S') { // substitution
          i++;
          var next = func.indexOf('_', i);
          var num = func.substring(i, next) || 0;
          parts.push(subs[num] || '?');
          i = next+1;
          continue;
        }
        if (func[i] === 'C') { // constructor
          parts.push(parts[parts.length-1]);
          i += 2;
          continue;
        }
        var size = parseInt(func.substr(i));
        var pre = size.toString().length;
        if (!size || !pre) { i--; break; } // counter i++ below us
        var curr = func.substr(i + pre, size);
        parts.push(curr);
        subs.push(curr);
        i += pre + size;
      }
      i++; // skip E
      return parts;
    }
    var first = true;
    function parse(rawList, limit, allowVoid) { // main parser
      limit = limit || Infinity;
      var ret = '', list = [];
      function flushList() {
        return '(' + list.join(', ') + ')';
      }
      var name;
      if (func[i] === 'N') {
        // namespaced N-E
        name = parseNested().join('::');
        limit--;
        if (limit === 0) return rawList ? [name] : name;
      } else {
        // not namespaced
        if (func[i] === 'K' || (first && func[i] === 'L')) i++; // ignore const and first 'L'
        var size = parseInt(func.substr(i));
        if (size) {
          var pre = size.toString().length;
          name = func.substr(i + pre, size);
          i += pre + size;
        }
      }
      first = false;
      if (func[i] === 'I') {
        i++;
        var iList = parse(true);
        var iRet = parse(true, 1, true);
        ret += iRet[0] + ' ' + name + '<' + iList.join(', ') + '>';
      } else {
        ret = name;
      }
      paramLoop: while (i < func.length && limit-- > 0) {
        //dump('paramLoop');
        var c = func[i++];
        if (c in basicTypes) {
          list.push(basicTypes[c]);
        } else {
          switch (c) {
            case 'P': list.push(parse(true, 1, true)[0] + '*'); break; // pointer
            case 'R': list.push(parse(true, 1, true)[0] + '&'); break; // reference
            case 'L': { // literal
              i++; // skip basic type
              var end = func.indexOf('E', i);
              var size = end - i;
              list.push(func.substr(i, size));
              i += size + 2; // size + 'EE'
              break;
            }
            case 'A': { // array
              var size = parseInt(func.substr(i));
              i += size.toString().length;
              if (func[i] !== '_') throw '?';
              i++; // skip _
              list.push(parse(true, 1, true)[0] + ' [' + size + ']');
              break;
            }
            case 'E': break paramLoop;
            default: ret += '?' + c; break paramLoop;
          }
        }
      }
      if (!allowVoid && list.length === 1 && list[0] === 'void') list = []; // avoid (void)
      return rawList ? list : ret + flushList();
    }
    return parse();
  } catch(e) {
    return func;
  }
}

function demangleAll(text) {
  return text.replace(/__Z[\w\d_]+/g, function(x) { var y = demangle(x); return x === y ? x : (x + ' [' + y + ']') });
}

function stackTrace() {
  var stack = new Error().stack;
  return stack ? demangleAll(stack) : '(no stack trace available)'; // Stack trace is not available at least on IE10 and Safari 6.
}

// Memory management

var PAGE_SIZE = 4096;
function alignMemoryPage(x) {
  return (x+4095)&-4096;
}

var HEAP;
var HEAP8, HEAPU8, HEAP16, HEAPU16, HEAP32, HEAPU32, HEAPF32, HEAPF64;

var STATIC_BASE = 0, STATICTOP = 0, staticSealed = false; // static area
var STACK_BASE = 0, STACKTOP = 0, STACK_MAX = 0; // stack area
var DYNAMIC_BASE = 0, DYNAMICTOP = 0; // dynamic area handled by sbrk

function enlargeMemory() {
  abort('Cannot enlarge memory arrays. Either (1) compile with -s TOTAL_MEMORY=X with X higher than the current value ' + TOTAL_MEMORY + ', (2) compile with ALLOW_MEMORY_GROWTH which adjusts the size at runtime but prevents some optimizations, or (3) set Module.TOTAL_MEMORY before the program runs.');
}

var TOTAL_STACK = Module['TOTAL_STACK'] || 5242880;
var TOTAL_MEMORY = Module['TOTAL_MEMORY'] || 536870912;
var FAST_MEMORY = Module['FAST_MEMORY'] || 2097152;

var totalMemory = 4096;
while (totalMemory < TOTAL_MEMORY || totalMemory < 2*TOTAL_STACK) {
  if (totalMemory < 16*1024*1024) {
    totalMemory *= 2;
  } else {
    totalMemory += 16*1024*1024
  }
}
if (totalMemory !== TOTAL_MEMORY) {
  Module.printErr('increasing TOTAL_MEMORY to ' + totalMemory + ' to be more reasonable');
  TOTAL_MEMORY = totalMemory;
}

// Initialize the runtime's memory
// check for full engine support (use string 'subarray' to avoid closure compiler confusion)
assert(typeof Int32Array !== 'undefined' && typeof Float64Array !== 'undefined' && !!(new Int32Array(1)['subarray']) && !!(new Int32Array(1)['set']),
       'Cannot fallback to non-typed array case: Code is too specialized');

var buffer = new ArrayBuffer(TOTAL_MEMORY);
HEAP8 = new Int8Array(buffer);
HEAP16 = new Int16Array(buffer);
HEAP32 = new Int32Array(buffer);
HEAPU8 = new Uint8Array(buffer);
HEAPU16 = new Uint16Array(buffer);
HEAPU32 = new Uint32Array(buffer);
HEAPF32 = new Float32Array(buffer);
HEAPF64 = new Float64Array(buffer);

// Endianness check (note: assumes compiler arch was little-endian)
HEAP32[0] = 255;
assert(HEAPU8[0] === 255 && HEAPU8[3] === 0, 'Typed arrays 2 must be run on a little-endian system');

Module['HEAP'] = HEAP;
Module['HEAP8'] = HEAP8;
Module['HEAP16'] = HEAP16;
Module['HEAP32'] = HEAP32;
Module['HEAPU8'] = HEAPU8;
Module['HEAPU16'] = HEAPU16;
Module['HEAPU32'] = HEAPU32;
Module['HEAPF32'] = HEAPF32;
Module['HEAPF64'] = HEAPF64;

function callRuntimeCallbacks(callbacks) {
  while(callbacks.length > 0) {
    var callback = callbacks.shift();
    if (typeof callback == 'function') {
      callback();
      continue;
    }
    var func = callback.func;
    if (typeof func === 'number') {
      if (callback.arg === undefined) {
        Runtime.dynCall('v', func);
      } else {
        Runtime.dynCall('vi', func, [callback.arg]);
      }
    } else {
      func(callback.arg === undefined ? null : callback.arg);
    }
  }
}

var __ATPRERUN__  = []; // functions called before the runtime is initialized
var __ATINIT__    = []; // functions called during startup
var __ATMAIN__    = []; // functions called when main() is to be run
var __ATEXIT__    = []; // functions called during shutdown
var __ATPOSTRUN__ = []; // functions called after the runtime has exited

var runtimeInitialized = false;

function preRun() {
  // compatibility - merge in anything from Module['preRun'] at this time
  if (Module['preRun']) {
    if (typeof Module['preRun'] == 'function') Module['preRun'] = [Module['preRun']];
    while (Module['preRun'].length) {
      addOnPreRun(Module['preRun'].shift());
    }
  }
  callRuntimeCallbacks(__ATPRERUN__);
}

function ensureInitRuntime() {
  if (runtimeInitialized) return;
  runtimeInitialized = true;
  callRuntimeCallbacks(__ATINIT__);
}

function preMain() {
  callRuntimeCallbacks(__ATMAIN__);
}

function exitRuntime() {
  callRuntimeCallbacks(__ATEXIT__);
}

function postRun() {
  // compatibility - merge in anything from Module['postRun'] at this time
  if (Module['postRun']) {
    if (typeof Module['postRun'] == 'function') Module['postRun'] = [Module['postRun']];
    while (Module['postRun'].length) {
      addOnPostRun(Module['postRun'].shift());
    }
  }
  callRuntimeCallbacks(__ATPOSTRUN__);
}

function addOnPreRun(cb) {
  __ATPRERUN__.unshift(cb);
}
Module['addOnPreRun'] = Module.addOnPreRun = addOnPreRun;

function addOnInit(cb) {
  __ATINIT__.unshift(cb);
}
Module['addOnInit'] = Module.addOnInit = addOnInit;

function addOnPreMain(cb) {
  __ATMAIN__.unshift(cb);
}
Module['addOnPreMain'] = Module.addOnPreMain = addOnPreMain;

function addOnExit(cb) {
  __ATEXIT__.unshift(cb);
}
Module['addOnExit'] = Module.addOnExit = addOnExit;

function addOnPostRun(cb) {
  __ATPOSTRUN__.unshift(cb);
}
Module['addOnPostRun'] = Module.addOnPostRun = addOnPostRun;

// Tools

// This processes a JS string into a C-line array of numbers, 0-terminated.
// For LLVM-originating strings, see parser.js:parseLLVMString function
function intArrayFromString(stringy, dontAddNull, length /* optional */) {
  var ret = (new Runtime.UTF8Processor()).processJSString(stringy);
  if (length) {
    ret.length = length;
  }
  if (!dontAddNull) {
    ret.push(0);
  }
  return ret;
}
Module['intArrayFromString'] = intArrayFromString;

function intArrayToString(array) {
  var ret = [];
  for (var i = 0; i < array.length; i++) {
    var chr = array[i];
    if (chr > 0xFF) {
      chr &= 0xFF;
    }
    ret.push(String.fromCharCode(chr));
  }
  return ret.join('');
}
Module['intArrayToString'] = intArrayToString;

// Write a Javascript array to somewhere in the heap
function writeStringToMemory(string, buffer, dontAddNull) {
  var array = intArrayFromString(string, dontAddNull);
  var i = 0;
  while (i < array.length) {
    var chr = array[i];
    HEAP8[(((buffer)+(i))|0)]=chr;
    i = i + 1;
  }
}
Module['writeStringToMemory'] = writeStringToMemory;

function writeArrayToMemory(array, buffer) {
  for (var i = 0; i < array.length; i++) {
    HEAP8[(((buffer)+(i))|0)]=array[i];
  }
}
Module['writeArrayToMemory'] = writeArrayToMemory;

function writeAsciiToMemory(str, buffer, dontAddNull) {
  for (var i = 0; i < str.length; i++) {
    HEAP8[(((buffer)+(i))|0)]=str.charCodeAt(i);
  }
  if (!dontAddNull) HEAP8[(((buffer)+(str.length))|0)]=0;
}
Module['writeAsciiToMemory'] = writeAsciiToMemory;

function unSign(value, bits, ignore) {
  if (value >= 0) {
    return value;
  }
  return bits <= 32 ? 2*Math.abs(1 << (bits-1)) + value // Need some trickery, since if bits == 32, we are right at the limit of the bits JS uses in bitshifts
                    : Math.pow(2, bits)         + value;
}
function reSign(value, bits, ignore) {
  if (value <= 0) {
    return value;
  }
  var half = bits <= 32 ? Math.abs(1 << (bits-1)) // abs is needed if bits == 32
                        : Math.pow(2, bits-1);
  if (value >= half && (bits <= 32 || value > half)) { // for huge values, we can hit the precision limit and always get true here. so don't do that
                                                       // but, in general there is no perfect solution here. With 64-bit ints, we get rounding and errors
                                                       // TODO: In i64 mode 1, resign the two parts separately and safely
    value = -2*half + value; // Cannot bitshift half, as it may be at the limit of the bits JS uses in bitshifts
  }
  return value;
}

// check for imul support, and also for correctness ( https://bugs.webkit.org/show_bug.cgi?id=126345 )
if (!Math['imul'] || Math['imul'](0xffffffff, 5) !== -5) Math['imul'] = function imul(a, b) {
  var ah  = a >>> 16;
  var al = a & 0xffff;
  var bh  = b >>> 16;
  var bl = b & 0xffff;
  return (al*bl + ((ah*bl + al*bh) << 16))|0;
};
Math.imul = Math['imul'];


var Math_abs = Math.abs;
var Math_cos = Math.cos;
var Math_sin = Math.sin;
var Math_tan = Math.tan;
var Math_acos = Math.acos;
var Math_asin = Math.asin;
var Math_atan = Math.atan;
var Math_atan2 = Math.atan2;
var Math_exp = Math.exp;
var Math_log = Math.log;
var Math_sqrt = Math.sqrt;
var Math_ceil = Math.ceil;
var Math_floor = Math.floor;
var Math_pow = Math.pow;
var Math_imul = Math.imul;
var Math_fround = Math.fround;
var Math_min = Math.min;

// A counter of dependencies for calling run(). If we need to
// do asynchronous work before running, increment this and
// decrement it. Incrementing must happen in a place like
// PRE_RUN_ADDITIONS (used by emcc to add file preloading).
// Note that you can add dependencies in preRun, even though
// it happens right before run - run will be postponed until
// the dependencies are met.
var runDependencies = 0;
var runDependencyWatcher = null;
var dependenciesFulfilled = null; // overridden to take different actions when all run dependencies are fulfilled

function addRunDependency(id) {
  runDependencies++;
  if (Module['monitorRunDependencies']) {
    Module['monitorRunDependencies'](runDependencies);
  }
}
Module['addRunDependency'] = addRunDependency;
function removeRunDependency(id) {
  runDependencies--;
  if (Module['monitorRunDependencies']) {
    Module['monitorRunDependencies'](runDependencies);
  }
  if (runDependencies == 0) {
    if (runDependencyWatcher !== null) {
      clearInterval(runDependencyWatcher);
      runDependencyWatcher = null;
    }
    if (dependenciesFulfilled) {
      var callback = dependenciesFulfilled;
      dependenciesFulfilled = null;
      callback(); // can add another dependenciesFulfilled
    }
  }
}
Module['removeRunDependency'] = removeRunDependency;

Module["preloadedImages"] = {}; // maps url to image data
Module["preloadedAudios"] = {}; // maps url to audio data


var memoryInitializer = null;

// === Body ===



STATIC_BASE = 8;

STATICTOP = STATIC_BASE + 10027488;



















































































































































var _stdout;
var _stdout=_stdout=allocate(1, "i32*", ALLOC_STATIC);
var _stdin;
var _stdin=_stdin=allocate(1, "i32*", ALLOC_STATIC);
var _stderr;
var _stderr=_stderr=allocate(1, "i32*", ALLOC_STATIC);

































































































































































































































































































/* global initializers */ __ATINIT__.push({ func: function() { runPostSets() } },{ func: function() { __GLOBAL__I_a() } });











































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































var ___dso_handle;
var ___dso_handle=___dso_handle=allocate(1, "i32*", ALLOC_STATIC);


































































































































































var __ZTVN10__cxxabiv120__si_class_type_infoE;
__ZTVN10__cxxabiv120__si_class_type_infoE=allocate([0,0,0,0,176,124,152,0,58,1,0,0,170,0,0,0,80,0,0,0,194,0,0,0,14,0,0,0,10,0,0,0,10,0,0,0,6,0,0,0,0,0,0,0,0,0,0,0], "i8", ALLOC_STATIC);;
var __ZTVN10__cxxabiv117__class_type_infoE;
__ZTVN10__cxxabiv117__class_type_infoE=allocate([0,0,0,0,192,124,152,0,58,1,0,0,50,1,0,0,80,0,0,0,194,0,0,0,14,0,0,0,32,0,0,0,6,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0], "i8", ALLOC_STATIC);;
























































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































var __ZNSt13runtime_errorC1EPKc;
var __ZNSt13runtime_errorD1Ev;
var __ZNSt12length_errorD1Ev;
var __ZNSt12out_of_rangeD1Ev;
var __ZNSt3__16localeC1Ev;
var __ZNSt3__16localeC1ERKS0_;
var __ZNSt3__16localeD1Ev;
var __ZNSt8bad_castC1Ev;
var __ZNSt8bad_castD1Ev;
/* memory initializer */ allocate([0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,232,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,0,0,0,0,0,0,0,0,0,0,0,40,54,120,44,2,73,110,32,97,98,111,118,101,44,32,32,82,49,32,61,2,44,101,50,49,46,49,51,44,51,120,44,2,82,50,32,61,2,44,101,50,49,46,49,51,41,0,0,40,54,120,44,2,73,110,32,97,98,111,118,101,32,109,101,115,115,97,103,101,44,32,32,82,49,32,61,2,44,101,50,49,46,49,51,41,0,0,0,40,54,120,44,2,73,110,32,97,98,111,118,101,32,109,101,115,115,97,103,101,44,32,32,73,49,32,61,2,44,105,49,48,44,51,120,44,2,73,50,32,61,2,44,105,49,48,41,0,0,0,0,0,0,0,0,40,54,120,44,2,73,110,32,97,98,111,118,101,32,109,101,115,115,97,103,101,44,32,32,73,49,32,61,2,44,105,49,48,41,0,0,0,0,0,0,40,49,120,44,56,48,97,49,41,0,0,0,0,0,0,0,48,49,50,51,52,53,54,55,56,57,65,66,67,68,69,70,0,0,0,0,0,0,0,0,97,108,110,117,109,0,97,108,112,104,97,0,98,108,97,110,107,0,99,110,116,114,108,0,100,105,103,105,116,0,103,114,97,112,104,0,108,111,119,101,114,0,112,114,105,110,116,0,112,117,110,99,116,0,115,112,97,99,101,0,117,112,112,101,114,0,120,100,105,103,105,116,0,0,0,0,0,0,0,0,30,0,0,0,76,0,0,0,28,0,0,0,14,0,0,0,78,0,0,0,52,0,0,0,36,0,0,0,16,0,0,0,70,0,0,0,16,0,0,0,10,0,0,0,50,0,0,0,70,0,0,0,16,0,0,0,56,0,0,0,16,0,0,0,24,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,23,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,7,7,7,7,7,0,0,0,0,0,0,0,0,0,1,1,96,0,0,0,94,0,0,0,40,0,0,0,4,0,0,0,6,0,0,0,40,0,0,0,34,0,0,0,38,0,0,0,36,0,0,0,30,0,0,0,76,0,0,0,28,0,0,0,14,0,0,0,78,0,0,0,52,0,0,0,36,0,0,0,16,0,0,0,70,0,0,0,16,0,0,0,10,0,0,0,50,0,0,0,70,0,0,0,16,0,0,0,56,0,0,0,16,0,0,0,24,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,22,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,7,7,7,7,7,0,0,0,0,0,0,0,0,0,1,1,96,0,0,0,94,0,0,0,40,0,0,0,4,0,0,0,6,0,0,0,40,0,0,0,34,0,0,0,38,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,72,146,0,0,110,0,0,0,96,21,152,0,114,0,0,0,184,193,151,0,102,0,0,0,200,110,123,0,97,0,0,0,24,177,0,0,101,0,0,0,16,156,0,0,119,0,0,0,184,137,0,0,87,0,0,0,80,121,0,0,115,0,0,0,40,106,0,0,83,0,0,0,240,91,0,0,100,0,0,0,72,85,152,0,68,0,0,0,136,69,152,0,0,0,0,0,0,0,0,0,160,230,152,0,0,0,0,0,187,189,215,217,223,124,219,61,0,0,0,0,24,169,151,0,200,161,151,0,24,241,152,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,0,0,0,0,0,0,0,168,231,152,0,0,0,0,0,18,16,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,16,16,34,35,16,36,37,38,39,40,41,42,43,16,44,45,46,17,47,48,17,17,49,17,17,17,50,51,52,53,54,55,56,57,17,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,58,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,59,16,60,61,62,63,64,65,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,66,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,67,16,16,68,16,69,70,71,16,72,16,73,16,16,16,16,74,75,76,77,16,16,78,16,79,80,16,16,16,16,81,16,16,16,16,16,16,16,16,16,16,16,16,16,82,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,83,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,84,85,86,87,16,16,88,89,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,90,16,91,92,93,94,95,96,97,98,16,16,16,16,16,16,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,0,0,0,254,255,0,252,1,0,0,248,1,0,0,120,0,0,0,0,255,251,223,251,0,0,128,0,0,0,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,0,252,255,224,175,255,255,255,255,255,255,255,255,255,255,223,255,255,255,255,255,32,64,176,0,0,0,0,0,0,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,252,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,252,0,0,0,0,0,134,254,255,255,255,0,64,73,0,0,0,0,0,24,0,223,255,0,200,0,0,0,0,0,0,0,1,0,60,0,0,0,0,0,0,0,0,0,0,0,0,16,224,1,30,0,96,255,191,0,0,0,0,0,0,255,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,248,207,3,0,0,0,3,0,32,255,127,0,0,0,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,252,0,0,0,0,0,0,0,0,0,16,0,32,30,0,48,0,1,0,0,0,0,0,0,0,0,16,0,32,0,0,0,0,252,15,0,0,0,0,0,0,0,16,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,16,0,32,0,0,0,0,3,0,0,0,0,0,0,0,0,16,0,32,0,0,0,0,253,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,255,7,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,255,0,0,0,0,0,0,0,16,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,63,2,0,0,0,0,0,0,0,0,0,4,0,0,0,0,16,0,0,0,0,0,0,128,0,128,192,223,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,31,0,0,0,0,0,0,254,255,255,255,0,252,255,255,0,0,0,0,0,0,0,0,252,0,0,0,0,0,0,192,255,223,255,7,0,0,0,0,0,0,0,0,0,0,128,6,0,252,0,0,24,62,0,0,128,191,0,204,0,0,0,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,96,255,255,255,31,0,0,255,3,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,0,0,1,0,0,24,0,0,0,0,0,0,0,0,0,56,0,0,0,0,16,0,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,0,0,254,127,47,0,0,255,3,255,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,196,255,255,255,255,0,0,0,192,0,0,0,0,0,0,0,0,1,0,224,159,0,0,0,0,127,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,0,16,0,0,252,255,255,255,31,0,0,0,0,0,12,0,0,0,0,0,0,64,0,12,240,0,0,0,0,0,0,192,248,0,0,0,0,0,0,0,192,0,0,0,0,0,0,0,0,255,0,255,255,255,33,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,127,0,0,240,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,3,224,0,224,0,224,0,96,128,248,255,255,255,252,255,255,255,255,255,127,31,252,241,127,255,127,0,0,255,255,255,3,0,0,255,255,255,255,1,0,123,3,208,193,175,66,0,12,31,188,255,255,0,0,0,0,0,2,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,15,0,255,255,255,255,127,0,0,0,255,7,0,0,255,255,255,255,255,255,255,255,255,255,63,0,0,0,0,0,0,252,255,255,254,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,31,255,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,135,3,254,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,127,255,15,0,0,0,0,0,0,0,0,255,255,255,251,255,255,255,255,255,255,255,255,255,255,15,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,63,0,0,0,255,15,30,255,255,255,1,252,193,224,0,0,0,0,0,0,0,0,0,0,0,30,1,0,0,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,0,0,0,0,255,255,255,255,15,0,0,0,255,255,255,127,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,127,0,0,0,0,0,0,192,0,224,0,0,0,0,0,0,0,0,0,0,0,128,15,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,0,255,255,127,0,3,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,8,0,0,0,15,255,3,0,0,0,0,0,0,240,0,0,0,0,0,0,0,0,0,16,192,0,0,255,255,3,7,0,0,0,0,0,248,0,0,0,0,8,128,0,0,0,0,0,0,0,0,0,0,8,0,255,63,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,0,0,128,11,0,0,0,0,0,0,0,128,2,0,0,192,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,0,0,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,252,255,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,255,255,255,3,127,0,255,255,255,255,247,255,127,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,254,255,0,252,1,0,0,248,1,0,0,248,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,127,127,0,48,135,255,255,255,255,255,143,255,0,0,0,0,0,0,224,255,255,7,255,15,0,0,0,0,0,0,255,255,255,255,255,63,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,143,0,0,0,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,135,255,0,255,1,0,0,0,224,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,0,0,0,255,0,0,0,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,63,252,255,63,0,0,0,3,0,0,0,0,0,0,254,3,0,0,0,0,0,0,0,0,0,0,0,0,0,24,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,225,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,7,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,63,0,255,255,255,255,127,254,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,63,0,0,0,0,255,255,255,255,255,255,255,255,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,127,0,255,255,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,8,0,0,0,8,0,0,32,0,0,0,32,0,0,128,0,0,0,128,0,0,0,2,0,0,0,2,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,0,255,255,255,255,255,15,255,255,255,255,255,255,255,255,255,255,255,255,15,0,255,127,254,127,254,255,254,255,0,0,0,0,255,7,255,255,255,127,255,255,255,255,255,255,255,15,255,255,255,255,255,7,0,0,0,0,0,0,0,0,192,255,255,255,7,0,255,255,255,255,255,7,255,1,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,1,0,191,255,255,255,255,255,255,255,255,31,255,255,15,0,255,255,255,255,223,7,0,0,255,255,1,0,255,255,255,255,255,255,255,127,253,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,30,255,255,255,255,255,255,255,63,15,0,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,248,255,255,255,255,255,255,255,255,225,255,0,0,0,0,0,0,255,255,255,255,255,255,255,255,63,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,17,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,17,34,35,36,17,37,38,39,40,41,42,43,44,17,45,46,47,16,16,48,16,16,16,16,16,16,16,49,50,51,16,52,53,16,16,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,54,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,55,17,17,17,17,56,17,57,58,59,60,61,62,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,63,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,17,64,65,17,66,67,68,69,70,71,72,73,16,16,16,74,75,76,77,78,16,16,16,79,80,16,16,16,16,81,16,16,16,16,16,16,16,16,16,17,17,17,82,83,16,16,16,16,16,16,16,16,16,16,16,17,17,17,17,84,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,17,17,85,16,16,16,16,86,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,87,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,88,89,90,91,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,92,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,0,0,0,0,0,0,0,254,255,255,7,254,255,255,7,0,0,0,0,0,4,32,4,255,255,127,255,255,255,127,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,195,255,3,0,31,80,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,223,60,64,215,255,255,251,255,255,255,255,255,255,255,255,255,191,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,3,252,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,254,255,255,255,127,2,254,255,255,255,255,0,0,0,0,0,255,191,182,0,255,255,255,7,7,0,0,0,255,7,255,255,255,255,255,255,255,254,255,195,255,255,255,255,255,255,255,255,255,255,255,255,239,31,254,225,255,159,0,0,255,255,255,255,255,255,0,224,255,255,255,255,255,255,255,255,255,255,255,255,3,0,255,255,255,255,255,7,48,4,255,255,255,252,255,31,0,0,255,255,255,1,0,0,0,0,0,0,0,0,253,31,0,0,0,0,0,0,240,3,255,127,255,255,255,255,255,255,255,239,255,223,225,255,207,255,254,254,238,159,249,255,255,253,197,227,159,89,128,176,207,255,3,0,238,135,249,255,255,253,109,195,135,25,2,94,192,255,63,0,238,191,251,255,255,253,237,227,191,27,1,0,207,255,0,0,238,159,249,255,255,253,237,227,159,25,192,176,207,255,2,0,236,199,61,214,24,199,255,195,199,29,129,0,192,255,0,0,238,223,253,255,255,253,239,227,223,29,96,3,207,255,0,0,236,223,253,255,255,253,239,227,223,29,96,64,207,255,6,0,236,223,253,255,255,255,255,231,223,93,128,0,207,255,0,252,236,255,127,252,255,255,251,47,127,128,95,255,0,0,12,0,254,255,255,255,255,127,255,7,63,32,255,3,0,0,0,0,150,37,240,254,174,236,255,59,95,32,255,243,0,0,0,0,1,0,0,0,255,3,0,0,255,254,255,255,255,31,254,255,3,255,255,254,255,255,255,31,0,0,0,0,0,0,0,0,255,255,255,255,255,255,127,249,255,3,255,255,231,193,255,255,127,64,255,51,255,255,255,255,191,32,255,255,255,255,255,247,255,255,255,255,255,255,255,255,255,61,127,61,255,255,255,255,255,61,255,255,255,255,61,127,61,255,127,255,255,255,255,255,255,255,61,255,255,255,255,255,255,255,255,135,0,0,0,0,255,255,0,0,255,255,255,255,255,255,255,255,255,255,31,0,254,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,159,255,255,254,255,255,7,255,255,255,255,255,255,255,255,255,199,1,0,255,223,15,0,255,255,15,0,255,255,15,0,255,223,13,0,255,255,255,255,255,255,207,255,255,1,128,16,255,3,0,0,0,0,255,3,255,255,255,255,255,255,255,255,255,255,255,0,255,255,255,255,255,7,255,255,255,255,255,255,255,255,63,0,255,255,255,31,255,15,255,1,192,255,255,255,255,63,31,0,255,255,255,255,255,15,255,255,255,3,255,3,0,0,0,0,255,255,255,15,255,255,255,255,255,255,255,127,254,255,31,0,255,3,255,3,128,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,239,255,239,15,255,3,0,0,0,0,255,255,255,255,255,243,255,255,255,255,255,255,191,255,3,0,255,255,255,255,255,255,63,0,255,227,255,255,255,255,255,63,0,0,0,0,0,0,0,0,0,0,0,0,0,222,111,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,0,0,0,0,0,0,0,255,255,63,63,255,255,255,255,63,63,255,170,255,255,255,63,255,255,255,255,255,255,223,95,220,31,207,15,255,31,220,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,128,0,0,255,31,0,0,0,0,0,0,0,0,0,0,0,0,132,252,47,62,80,189,255,243,224,67,0,0,255,255,255,255,255,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,255,255,255,255,255,255,3,0,0,255,255,255,255,255,127,255,255,255,255,255,127,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,31,120,12,0,255,255,255,255,191,32,255,255,255,255,255,255,255,128,0,0,255,255,127,0,127,127,127,127,127,127,127,127,255,255,255,255,0,0,0,0,0,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,0,0,0,254,3,62,31,254,255,255,255,255,255,255,255,255,255,127,224,254,255,255,255,255,255,255,255,255,255,255,247,224,255,255,255,255,63,254,255,255,255,255,255,255,255,255,255,255,127,0,0,255,255,255,7,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,63,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,31,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,31,0,0,0,0,0,0,0,0,255,255,255,255,255,63,255,31,255,255,255,15,0,0,255,255,255,255,255,127,240,143,255,255,255,128,255,255,255,255,255,255,255,255,255,255,0,0,0,0,128,255,252,255,255,255,255,255,255,255,255,255,255,255,255,121,15,0,255,7,0,0,0,0,0,0,0,0,0,255,187,247,255,255,255,0,0,0,255,255,255,255,255,255,15,0,255,255,255,255,255,255,255,255,15,0,255,3,0,0,252,8,255,255,255,255,255,7,255,255,255,255,7,0,255,255,255,31,255,255,255,255,255,255,247,255,0,128,255,3,0,0,0,0,255,255,255,255,255,255,127,0,255,63,255,3,255,255,127,4,255,255,255,255,255,255,255,127,5,0,0,56,255,255,60,0,126,126,126,0,127,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,7,255,3,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,15,0,255,255,127,248,255,255,255,255,255,15,255,255,255,255,255,255,255,255,255,255,255,255,255,63,255,255,255,255,255,255,255,255,255,255,255,255,255,3,0,0,0,0,127,0,248,224,255,253,127,95,219,255,255,255,255,255,255,255,255,255,255,255,255,255,3,0,0,0,248,255,255,255,255,255,255,255,255,255,255,255,255,63,0,0,255,255,255,255,255,255,255,255,252,255,255,255,255,255,255,0,0,0,0,0,255,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,223,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,31,0,0,255,3,254,255,255,7,254,255,255,7,192,255,255,255,255,255,255,255,255,255,255,127,252,252,252,28,0,0,0,0,255,239,255,255,127,255,255,183,255,63,255,63,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,7,0,0,0,0,0,0,0,0,255,255,255,255,255,255,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,31,255,255,255,255,255,255,1,0,0,0,0,0,255,255,255,127,0,0,255,255,255,7,0,0,0,0,0,0,255,255,255,63,255,255,255,255,15,255,62,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,63,255,3,0,0,0,0,0,0,0,0,0,0,63,253,255,255,255,255,191,145,255,255,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,63,0,255,255,255,3,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,192,0,0,0,0,0,0,0,0,111,240,239,254,255,255,15,0,0,0,0,0,255,255,255,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,63,0,255,255,63,0,255,255,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,63,0,0,0,192,255,0,0,252,255,255,255,255,255,255,1,0,0,255,255,255,1,255,3,255,255,255,255,255,255,199,255,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,30,0,255,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,63,0,255,3,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,31,0,255,255,255,255,255,127,0,0,248,255,0,0,0,0,0,0,0,0,0,0,0,0,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,223,255,255,255,255,255,255,255,255,223,100,222,255,235,239,255,255,255,255,255,255,255,191,231,223,223,255,255,255,123,95,252,253,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,63,255,255,255,253,255,255,247,255,255,255,247,255,255,223,255,255,255,223,255,255,127,255,255,255,127,255,255,255,253,255,255,255,253,255,255,247,207,255,255,255,255,255,255,239,255,255,255,150,254,247,10,132,234,150,170,150,247,247,94,255,251,255,15,238,251,255,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,97,108,117,99,117,108,97,116,101,32,111,110,101,32,99,111,108,58,0,0,0,0,0,60,47,115,116,97,116,117,115,62,0,0,0,0,0,0,0,34,62,0,0,0,0,0,0,60,115,116,97,116,117,115,62,0,0,0,0,0,0,0,0,10,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,0,0,0,0,0,0,0,60,112,104,97,115,101,62,85,78,75,78,79,87,78,60,47,112,104,97,115,101,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,0,0,0,38,0,0,0,38,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,63,0,0,0,0,0,0,224,63,0,0,0,0,0,0,240,63,176,232,152,0,0,0,0,0,56,233,152,0,0,0,0,0,192,233,152,0,0,0,0,0,72,234,152,0,0,0,0,0,73,0,49,1,83,0,127,1,48,1,105,0,120,1,255,0,129,1,83,2,130,1,131,1,132,1,133,1,134,1,84,2,135,1,136,1,137,1,86,2,138,1,87,2,139,1,140,1,142,1,221,1,143,1,89,2,144,1,91,2,145,1,146,1,147,1,96,2,148,1,99,2,150,1,105,2,151,1,104,2,152,1,153,1,156,1,111,2,157,1,114,2,159,1,117,2,166,1,128,2,167,1,168,1,169,1,131,2,172,1,173,1,174,1,136,2,175,1,176,1,177,1,138,2,178,1,139,2,183,1,146,2,184,1,185,1,188,1,189,1,196,1,198,1,196,1,197,1,197,1,198,1,199,1,201,1,199,1,200,1,200,1,201,1,202,1,204,1,202,1,203,1,203,1,204,1,241,1,243,1,241,1,242,1,242,1,243,1,244,1,245,1,246,1,149,1,247,1,191,1,32,2,158,1,134,3,172,3,136,3,173,3,137,3,174,3,138,3,175,3,140,3,204,3,142,3,205,3,143,3,206,3,153,3,69,3,153,3,190,31,163,3,194,3,247,3,248,3,250,3,251,3,96,30,155,30,223,0,223,0,158,30,223,0,89,31,81,31,91,31,83,31,93,31,85,31,95,31,87,31,188,31,179,31,204,31,195,31,236,31,229,31,252,31,243,31,58,2,101,44,59,2,60,2,61,2,154,1,62,2,102,44,65,2,66,2,67,2,128,1,68,2,137,2,69,2,140,2,244,3,184,3,249,3,242,3,253,3,123,3,254,3,124,3,255,3,125,3,192,4,207,4,38,33,201,3,42,33,107,0,43,33,229,0,50,33,78,33,131,33,132,33,96,44,97,44,98,44,107,2,99,44,125,29,100,44,125,2,109,44,81,2,110,44,113,2,111,44,80,2,112,44,82,2,114,44,115,44,117,44,118,44,126,44,63,2,127,44,64,2,242,44,243,44,125,167,121,29,139,167,140,167,141,167,101,2,170,167,102,2,199,16,39,45,205,16,45,45,118,3,119,3,156,3,181,0,146,3,208,3,152,3,209,3,166,3,213,3,160,3,214,3,154,3,240,3,161,3,241,3,149,3,245,3,207,3,215,3,0,0,0,0,0,0,0,0,51,0,0,0,51,0,0,0,51,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,8,208,151,0,8,198,0,0,152,171,0,0,224,151,0,0,168,133,0,0,224,117,0,0,2,0,0,0,0,0,0,0,2,0,0,0,0,0,0,0,10,0,0,0,102,0,0,0,102,0,0,0,48,0,0,0,112,0,0,0,8,0,0,0,8,0,0,0,94,0,0,0,208,0,0,0,208,0,0,0,26,0,0,0,10,0,0,0,67,68,65,84,65,91,0,0,2,3,4,5,6,7,8,0,0,9,10,11,12,13,14,15,16,17,0,0,0,0,0,0,0,0,0,0,0,0,18,19,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,23,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,200,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,128,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,200,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,24,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,96,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,104,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,192,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,24,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,47,52,120,44,2,65,116,32,116,104,101,32,114,101,116,117,114,110,32,102,114,111,109,32,78,69,87,85,79,65,2,44,53,120,44,2,78,117,109,98,101,114,32,111,102,32,102,117,110,99,116,105,111,110,32,118,97,108,117,101,115,32,61,2,44,105,54,41,0,0,0,40,52,120,44,2,76,101,97,115,116,32,118,97,108,117,101,32,111,102,32,70,32,61,2,44,49,112,100,50,51,46,49,53,44,57,120,44,2,84,104,101,32,99,111,114,114,101,115,112,111,110,100,105,110,103,32,88,32,105,115,58,2,47,40,50,120,44,53,100,49,53,46,54,41,41,0,0,0,0,0,40,47,52,120,44,2,78,101,119,32,82,72,79,32,61,2,44,49,112,100,49,49,46,52,44,53,120,44,2,78,117,109,98,101,114,32,111,102,2,44,2,32,102,117,110,99,116,105,111,110,32,118,97,108,117,101,115,32,61,2,44,105,54,41,0,0,0,0,0,0,0,0,40,53,120,41,0,0,0,0,40,47,52,120,44,2,82,101,116,117,114,110,32,102,114,111,109,32,78,69,87,85,79,65,32,98,101,99,97,117,115,101,32,97,32,116,114,117,115,116,2,44,2,32,114,101,103,105,111,110,32,115,116,101,112,32,104,97,115,32,102,97,105,108,101,100,32,116,111,32,114,101,100,117,99,101,32,81,46,2,41,0,0,0,0,0,0,0,40,47,52,120,44,2,70,117,110,99,116,105,111,110,32,110,117,109,98,101,114,2,44,105,54,44,2,32,32,32,32,70,32,61,2,44,49,112,100,49,56,46,49,48,44,2,32,32,32,32,84,104,101,32,99,111,114,114,101,115,112,111,110,100,105,110,103,32,88,32,105,115,58,2,47,40,50,120,44,53,100,49,53,46,54,41,41,0,40,47,52,120,44,2,82,101,116,117,114,110,32,102,114,111,109,32,78,69,87,85,79,65,32,98,101,99,97,117,115,101,32,67,65,76,70,85,78,32,104,97,115,32,98,101,101,110,2,44,2,32,99,97,108,108,101,100,32,77,65,88,70,85,78,32,116,105,109,101,115,46,2,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,16,39,0,0,0,0,0,0,0,0,0,0,40,47,52,120,44,2,82,101,116,117,114,110,32,102,114,111,109,32,78,69,87,85,79,65,32,98,101,99,97,117,115,101,32,78,80,84,32,105,115,32,110,111,116,32,105,110,2,44,2,32,116,104,101,32,114,101,113,117,105,114,101,100,32,105,110,116,101,114,118,97,108,2,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,176,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,43], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE);
/* memory initializer */ allocate([48,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,184,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,248,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,248,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,176,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,248,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,47,41,0,0,0,0,0,40,49,120,44,54,103,49,51,46,53,41,0,0,0,0,0,40,47,2,32,65,32,102,117,114,116,104,101,114,2,44,105,52,44,2,32,102,117,110,99,116,105,111,110,32,101,118,97,108,117,97,116,105,111,110,115,32,104,97,118,101,32,98,101,101,110,32,117,115,101,100,2,47,41,0,0,0,0,0,0,40,47,47,2,32,67,79,82,82,69,76,65,84,73,79,78,32,77,65,84,82,73,88,58,45,2,41,0,0,0,0,0,40,2,32,73,78,70,79,82,77,65,84,73,79,78,32,77,65,84,82,73,88,58,45,2,47,41,0,0,0,0,0,0,40,47,2,32,73,102,32,116,104,101,32,102,117,110,99,116,105,111,110,32,109,105,110,105,109,105,122,101,100,32,119,97,115,32,45,76,79,71,40,76,73,75,69,76,73,72,79,79,68,41,44,2,47,2,32,116,104,105,115,32,105,115,32,116,104,101,32,99,111,118,97,114,105,97,110,99,101,32,109,97,116,114,105,120,32,111,102,32,116,104,101,32,112,97,114,97,109,101,116,101,114,115,46,2,47,2,32,73,102,32,116,104,101,32,102,117,110,99,116,105,111,110,32,119,97,115,32,97,32,115,117,109,32,111,102,32,115,113,117,97,114,101,115,32,111,102,32,114,101,115,105,100,117,97,108,115,44,2,47,2,32,116,104,105,115,32,109,97,116,114,105,120,32,109,117,115,116,32,98,101,32,109,117,108,116,105,112,108,105,101,100,32,98,121,32,116,119,105,99,101,32,116,104,101,32,101,115,116,105,109,97,116,101,100,2,44,49,120,44,2,114,101,115,105,100,117,97,108,32,118,97,114,105,97,110,99,101,2,47,2,32,116,111,32,111,98,116,97,105,110,32,116,104,101,32,99,111,118,97,114,105,97,110,99,101,32,109,97,116,114,105,120,46,2,47,41,0,0,0,0,40,2,32,82,97,110,107,32,111,102,32,105,110,102,111,114,109,97,116,105,111,110,32,109,97,116,114,105,120,32,61,2,44,105,51,47,2,32,73,110,118,101,114,115,101,32,111,102,32,105,110,102,111,114,109,97,116,105,111,110,32,109,97,116,114,105,120,58,45,2,41,0,40,2,32,73,70,32,84,72,73,83,32,68,73,70,70,69,82,83,32,66,89,32,77,85,67,72,32,70,82,79,77,32,84,72,69,32,77,73,78,73,77,85,77,32,69,83,84,73,77,65,84,69,68,2,44,49,120,44,2,70,82,79,77,32,84,72,69,32,77,73,78,73,77,73,90,65,84,73,79,78,44,2,47,2,32,84,72,69,32,77,73,78,73,77,85,77,32,77,65,89,32,66,69,32,70,65,76,83,69,32,38,47,79,82,32,84,72,69,32,73,78,70,79,82,77,65,84,73,79,78,32,77,65,84,82,73,88,32,77,65,89,32,66,69,2,44,49,120,44,2,73,78,65,67,67,85,82,65,84,69,2,47,41,0,0,0,0,0,40,2,32,77,105,110,105,109,117,109,32,111,102,32,113,117,97,100,114,97,116,105,99,32,115,117,114,102,97,99,101,32,61,2,44,103,49,52,46,54,44,2,32,97,116,2,44,52,40,47,49,120,44,54,103,49,51,46,53,41,41,0,0,0,40,47,49,48,120,44,2,83,101,97,114,99,104,32,114,101,115,116,97,114,116,105,110,103,2,47,41,0,0,0,0,0,40,47,2,32,77,65,84,82,73,88,32,79,70,32,69,83,84,73,77,65,84,69,68,32,83,69,67,79,78,68,32,68,69,82,73,86,65,84,73,86,69,83,32,78,79,84,32,43,86,69,32,68,69,70,78,46,2,47,2,32,77,73,78,73,77,85,77,32,80,82,79,66,65,66,76,89,32,78,79,84,32,70,79,85,78,68,2,47,41,0,0,0,0,0,0,0,40,47,2,32,70,105,116,116,105,110,103,32,113,117,97,100,114,97,116,105,99,32,115,117,114,102,97,99,101,32,97,98,111,117,116,32,115,117,112,112,111,115,101,100,32,109,105,110,105,109,117,109,2,47,41,0,40,2,32,70,117,110,99,116,105,111,110,32,118,97,108,117,101,32,97,116,32,109,105,110,105,109,117,109,32,61,2,44,103,49,52,46,54,41,0,0,40,2,32,77,105,110,105,109,117,109,32,97,116,2,44,52,40,47,49,120,44,54,103,49,51,46,54,41,41,0,0,0,40,47,47,2,32,77,105,110,105,109,117,109,32,102,111,117,110,100,32,97,102,116,101,114,2,44,105,53,44,2,32,102,117,110,99,116,105,111,110,32,101,118,97,108,117,97,116,105,111,110,115,2,41,0,0,0,40,47,2,32,69,86,73,68,69,78,67,69,32,79,70,32,67,79,78,86,69,82,71,69,78,67,69,2,41,0,0,0,40,2,32,70,117,110,99,116,105,111,110,32,118,97,108,117,101,32,97,116,32,99,101,110,116,114,111,105,100,32,61,2,44,103,49,52,46,54,41,0,40,2,32,67,101,110,116,114,111,105,100,32,111,102,32,108,97,115,116,32,115,105,109,112,108,101,120,32,61,2,44,52,40,47,49,120,44,54,103,49,51,46,53,41,41,0,0,0,40,2,32,82,77,83,32,111,102,32,102,117,110,99,116,105,111,110,32,118,97,108,117,101,115,32,111,102,32,108,97,115,116,32,115,105,109,112,108,101,120,32,61,2,44,103,49,52,46,54,41,0,0,0,0,0,40,2,32,78,111,46,32,111,102,32,102,117,110,99,116,105,111,110,32,101,118,97,108,117,97,116,105,111,110,115,32,62,32,2,44,105,53,41,0,0,40,47,49,120,44,105,52,44,50,120,44,103,49,50,46,53,44,50,120,44,53,103,49,49,46,52,44,51,40,47,50,49,120,44,53,103,49,49,46,52,41,41,0,0,0,0,0,0,40,2,32,80,114,111,103,114,101,115,115,32,82,101,112,111,114,116,32,101,118,101,114,121,2,44,105,52,44,2,32,102,117,110,99,116,105,111,110,32,101,118,97,108,117,97,116,105,111,110,115,2,47,44,2,32,69,86,65,76,46,32,32,32,70,85,78,67,46,86,65,76,85,69,46,2,44,49,48,120,44,2,80,65,82,65,77,69,84,69,82,32,86,65,76,85,69,83,2,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,0,0,0,0,0,0,4,254,255,255,135,254,255,255,7,0,0,0,0,0,0,0,0,255,255,127,255,255,255,127,255,255,255,255,255,255,255,243,127,254,253,255,255,255,255,255,127,255,255,255,255,255,255,255,255,15,224,255,255,255,255,49,252,255,255,255,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,1,0,248,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,215,255,255,251,255,255,255,255,127,127,84,253,255,15,0,254,223,255,255,255,255,255,255,255,255,254,223,255,255,255,255,3,0,255,255,255,255,255,255,159,25,255,255,255,207,63,3,0,0,0,0,0,0,254,255,255,255,127,2,254,255,255,255,127,0,0,0,0,0,0,0,0,0,255,255,255,7,7,0,0,0,0,0,254,255,255,7,254,7,0,0,0,0,254,255,255,255,255,255,255,255,255,124,255,127,47,0,96,0,0,0,224,255,255,255,255,255,255,35,0,0,0,255,3,0,0,0,224,159,249,255,255,253,197,3,0,0,0,176,3,0,3,0,224,135,249,255,255,253,109,3,0,0,0,94,0,0,28,0,224,175,251,255,255,253,237,35,0,0,0,0,1,0,0,0,224,159,249,255,255,253,205,35,0,0,0,176,3,0,0,0,224,199,61,214,24,199,191,3,0,0,0,0,0,0,0,0,224,223,253,255,255,253,239,3,0,0,0,0,3,0,0,0,224,223,253,255,255,253,239,3,0,0,0,64,3,0,0,0,224,223,253,255,255,253,255,3,0,0,0,0,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,255,255,255,255,127,13,0,63,0,0,0,0,0,0,0,150,37,240,254,174,108,13,32,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,254,255,255,255,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,63,0,255,255,255,255,127,0,237,218,7,0,0,0,0,80,1,80,49,130,171,98,44,0,0,0,0,64,0,201,128,245,7,0,0,0,0,8,1,2,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,15,255,255,255,255,255,255,255,255,255,255,255,3,255,255,63,63,255,255,255,255,63,63,255,170,255,255,255,63,255,255,255,255,255,255,223,95,220,31,207,15,255,31,220,31,0,0,0,0,64,76,0,0,0,0,0,0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,0,0,0,254,3,0,0,254,255,255,255,255,255,255,255,255,255,31,0,254,255,255,255,255,255,255,255,255,255,255,7,224,255,255,255,255,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,63,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,255,7,254,255,255,135,254,255,255,7,0,0,0,0,0,0,128,0,255,255,127,255,255,255,127,255,255,255,255,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,1,0,248,3,0,3,0,0,0,0,0,255,255,255,255,255,255,255,255,63,0,0,0,3,0,0,0,192,215,255,255,251,255,255,255,255,127,127,84,253,255,15,0,254,223,255,255,255,255,255,255,255,255,254,223,255,255,255,255,123,0,255,255,255,255,255,255,159,25,255,255,255,207,63,3,0,0,0,0,0,0,254,255,255,255,127,2,254,255,255,255,127,0,254,255,251,255,255,187,22,0,255,255,255,7,7,0,0,0,0,0,254,255,255,7,255,255,7,0,255,3,255,255,255,255,255,255,255,255,255,124,255,127,239,255,255,61,255,3,238,255,255,255,255,255,255,243,255,63,30,255,207,255,0,0,238,159,249,255,255,253,197,211,159,57,128,176,207,255,3,0,228,135,249,255,255,253,109,211,135,57,0,94,192,255,31,0,238,175,251,255,255,253,237,243,191,59,0,0,193,255,0,0,238,159,249,255,255,253,205,243,143,57,192,176,195,255,0,0,236,199,61,214,24,199,191,195,199,61,128,0,128,255,0,0,238,223,253,255,255,253,239,195,223,61,96,0,195,255,0,0,236,223,253,255,255,253,239,195,223,61,96,64,195,255,0,0,236,223,253,255,255,253,255,195,207,61,128,0,195,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,255,255,255,255,127,255,7,255,127,255,3,0,0,0,0,150,37,240,254,174,108,255,59,95,63,255,3,0,0,0,0,0,0,0,3,255,3,160,194,255,254,255,255,255,3,254,255,223,15,191,254,255,63,254,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,31,2,0,0,0,160,0,0,0,254,255,62,0,254,255,255,255,255,255,255,255,255,255,31,102,254,255,255,255,255,255,255,255,255,255,255,119,25,3,26,27,28,29,30,0,0,31,32,33,34,35,36,37,16,17,0,0,0,0,0,0,0,0,0,0,0,0,18,19,38,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,39,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,23,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,111,32,101,114,114,111,114,0,78,111,32,109,97,116,99,104,0,73,110,118,97,108,105,100,32,114,101,103,101,120,112,0,85,110,107,110,111,119,110,32,99,111,108,108,97,116,105,110,103,32,101,108,101,109,101,110,116,0,85,110,107,110,111,119,110,32,99,104,97,114,97,99,116,101,114,32,99,108,97,115,115,32,110,97,109,101,0,84,114,97,105,108,105,110,103,32,98,97,99,107,115,108,97,115,104,0,73,110,118,97,108,105,100,32,98,97,99,107,32,114,101,102,101,114,101,110,99,101,0,77,105,115,115,105,110,103,32,39,93,39,0,77,105,115,115,105,110,103,32,39,41,39,0,77,105,115,115,105,110,103,32,39,125,39,0,73,110,118,97,108,105,100,32,99,111,110,116,101,110,116,115,32,111,102,32,123,125,0,73,110,118,97,108,105,100,32,99,104,97,114,97,99,116,101,114,32,114,97,110,103,101,0,79,117,116,32,111,102,32,109,101,109,111,114,121,0,82,101,112,101,116,105,116,105,111,110,32,110,111,116,32,112,114,101,99,101,100,101,100,32,98,121,32,118,97,108,105,100,32,101,120,112,114,101,115,115,105,111,110,0,0,85,110,107,110,111,119,110,32,101,114,114,111,114,0,0,0,36,0,0,0,0,0,0,0,190,0,0,0,0,0,0,0,208,234,152,0,0,0,0,0,0,0,0,0,0,0,0,0,67,68,65,84,65,91,0,0,42,0,0,0,18,0,0,0,58,0,0,0,50,0,0,0,68,0,0,0,48,0,0,0,24,0,0,0,12,0,0,0,90,0,0,0,98,0,0,0,20,0,0,0,78,0,0,0,32,0,0,0,10,0,0,0,4,0,0,0,4,0,0,0,18,0,0,0,2,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,23,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,22,28,28,28,28,28,28,28,28,28,28,22,28,26,28,28,22,28,28,28,28,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,0,0,0,18,0,0,0,58,0,0,0,50,0,0,0,68,0,0,0,48,0,0,0,24,0,0,0,12,0,0,0,90,0,0,0,98,0,0,0,20,0,0,0,78,0,0,0,32,0,0,0,10,0,0,0,4,0,0,0,4,0,0,0,18,0,0,0,2,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,22,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,22,28,28,28,28,28,28,28,28,28,28,22,28,26,28,28,22,28,28,28,28,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,76,0,0,0,28,0,0,0,14,0,0,0,78,0,0,0,52,0,0,0,36,0,0,0,16,0,0,0,70,0,0,0,16,0,0,0,10,0,0,0,50,0,0,0,70,0,0,0,16,0,0,0,56,0,0,0,22,0,0,0,20,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,23,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,22,28,28,28,28,28,28,28,28,28,28,22,28,26,28,28,22,28,28,28,28,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,76,0,0,0,28,0,0,0,14,0,0,0,78,0,0,0,52,0,0,0,36,0,0,0,16,0,0,0,70,0,0,0,16,0,0,0,10,0,0,0,50,0,0,0,70,0,0,0,16,0,0,0,56,0,0,0,22,0,0,0,20,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,22,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,22,28,28,28,28,28,28,28,28,28,28,22,28,26,28,28,22,28,28,28,28,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,9,0,0,0,10,0,0,0,13,0,0,0,11,0,0,0,12,0,0,0,133,0,0,0,0,32,0,0,1,32,0,0,2,32,0,0,3,32,0,0,4,32,0,0,5,32,0,0,6,32,0,0,8,32,0,0,9,32,0,0,10,32,0,0,40,32,0,0,41,32,0,0,95,32,0,0,0,48,0,0,0,0,0,0,30,0,0,0,76,0,0,0,28,0,0,0,14,0,0,0,78,0,0,0,52,0,0,0,36,0,0,0,16,0,0,0,70,0,0,0,16,0,0,0,10,0,0,0,50,0,0,0,70,0,0,0,16,0,0,0,56,0,0,0,16,0,0,0,24,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,23,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,7,7,7,7,7,0,0,0,0,0,0,0,0,0,1,1,96,0,0,0,94,0,0,0,40,0,0,0,4,0,0,0,6,0,0,0,40,0,0,0,34,0,0,0,38,0,0,0,36,0,0,0,30,0,0,0,76,0,0,0,28,0,0,0,14,0,0,0,78,0,0,0,52,0,0,0,36,0,0,0,16,0,0,0,70,0,0,0,16,0,0,0,10,0,0,0,50,0,0,0,70,0,0,0,16,0,0,0,56,0,0,0,16,0,0,0,24,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,22,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,7,7,7,7,7,0,0,0,0,0,0,0,0,0,1,1,96,0,0,0,94,0,0,0,40,0,0,0,4,0,0,0,6,0,0,0,40,0,0,0,34,0,0,0,38,0,0,0,36,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,120,109,108,61,104,116,116,112,58,47,47,119,119,119,46,119,51,46,111,114,103,47,88,77,76,47,49,57,57,56,47,110,97,109,101,115,112,97,99,101,0,0,0,0,0,0,0,0,114,101,99,111,110,58,119,97,108,108,58,118,48,49,0,0,32,147,152,0,184,146,152,0,136,146,152,0,176,146,152,0,160,146,152,0,144,146,152,0,3,0,0,0,0,0,0,0,255,255,255,255,8,241,152,0,8,241,152,0,8,241,152,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,1,0,0,0,0,0,0,0,168,227,151,0,192,111,123,0,176,177,0,0,112,156,0,0,208,5,152,0,72,63,152,0,144,1,0,0,0,0,0,0,48,227,152,0,0,0,0,0,80,58,0,0,80,80,0,0,192,1,0,0,80,77,0,0,80,77,0,0,112,55,0,0,192,1,0,0,0,0,0,0,192,59,0,0,192,81,0,0,48,3,0,0,192,78,0,0,192,78,0,0,224,56,0,0,48,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,79,84,65,84,73,79,78,40,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,40,0,0,0,0,0,0,0,124,0,0,0,0,0,0,0,78,77,84,79,75,69,78,83,0,0,0,0,0,0,0,0,78,77,84,79,75,69,78,0,73,68,82,69,70,83,0,0,73,68,82,69,70,0,0,0,73,68,0,0,0,0,0,0,69,78,84,73,84,89,0,0,69,78,84,73,84,73,69,83,0,0,0,0,0,0,0,0,67,68,65,84,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,136,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,47,47,2,32,87,65,82,78,73,78,71,46,32,84,104,101,32,118,97,108,117,101,32,69,77,73,78,32,109,97,121,32,98,101,32,105,110,99,111,114,114,101,99,116,58,45,2,44,2,32,32,69,77,73,78,32,61,32,2,44,105,56,44,47,2,32,73,102,44,32,97,102,116,101,114,32,105,110,115,112,101,99,116,105,111,110,44,32,116,104,101,32,118,97,108,117,101,32,69,77,73,78,32,108,111,111,107,115,2,44,2,32,97,99,99,101,112,116,97,98,108,101,32,112,108,101,97,115,101,32,99,111,109,109,101,110,116,32,111,117,116,32,2,44,47,2,32,116,104,101,32,73,70,32,98,108,111,99,107,32,97,115,32,109,97,114,107,101,100,32,119,105,116,104,105,110,32,116,104,101,32,99,111,100,101,32,111,102,32,114,111,117,116,105,110,101,2,44,2,32,68,76,65,77,67,50,44,2,44,47,2,32,111,116,104,101,114,119,105,115,101,32,115,117,112,112,108,121,32,69,77,73,78,32,101,120,112,108,105,99,105,116,108,121,46,2,44,47,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,95,112,137,0,255,9,47,15,10,0,0,0,100,0,0,0,232,3,0,0,16,39,0,0,160,134,1,0,64,66,15,0,128,150,152,0,0,225,245,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,182,0,0,208,176,0,0,192,174,0,0,248,172,0,0,16,171,0,0,8,169,0,0,72,167,0,0,136,165,0,0,144,182,0,0,0,164,0,0,32,162,0,0,160,160,0,0,0,156,0,0,88,154,0,0,208,152,0,0,72,151,0,0,0,0,0,0,96,192,151,0,184,183,151,0,24,241,152,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,65,0,32,26,192,0,32,31,0,1,1,47,50,1,1,5,57,1,1,15,74,1,1,45,121,1,1,5,112,3,1,3,145,3,32,17,163,3,32,9,0,4,80,16,16,4,32,32,96,4,1,33,138,4,1,53,193,4,1,13,208,4,1,63,20,5,1,19,49,5,48,38,160,1,1,5,179,1,1,3,205,1,1,15,222,1,1,17,248,1,1,39,34,2,1,17,216,3,1,23,0,30,1,149,160,30,1,95,8,31,248,8,24,31,248,6,40,31,248,8,56,31,248,8,72,31,248,6,104,31,248,8,136,31,248,8,152,31,248,8,168,31,248,8,184,31,248,2,186,31,182,2,200,31,170,4,216,31,248,2,218,31,156,2,232,31,248,2,234,31,144,2,248,31,128,2,250,31,130,2,70,2,1,9,16,5,1,3,96,33,16,16,0,44,48,47,103,44,1,5,128,44,1,99,235,44,1,3,64,166,1,45,128,166,1,23,34,167,1,13,50,167,1,61,121,167,1,3,126,167,1,9,144,167,1,3,160,167,1,9,33,255,32,26,0,0,0,0,32,241,152,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,1,0,0,0,255,255,255,255,0,0,0,0,255,255,255,255,0,0,0,0,0,0,0,0,0,0,240,191,0,0,0,0,0,0,240,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,191,0,0,128,63,0,0,0,0,0,0,0,0,0,0,240,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,63,9,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,34,3,0,0,0,0,0,0,33,3,0,0,0,0,0,0,7,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,174,2,0,0,0,0,0,0,173,2,0,0,0,0,0,0,169,2,0,0,0,0,0,0,168,2,0,0,0,0,0,0,165,2,0,0,0,0,0,0,164,2,0,0,0,0,0,0,163,2,0,0,0,0,0,0,160,2,0,0,0,0,0,0,159,2,0,0,0,0,0,0,158,2,0,0,0,0,0,0,149,2,0,0,0,0,0,0,148,2,0,0,0,0,0,0,140,2,0,0,0,0,0,0,139,2,0,0,0,0,0,0,138,2,0,0,0,0,0,0,129,2,0,0,0,0,0,0,128,2,0,0,0,0,0,0,119,2,0,0,0,0,0,0,118,2,0,0,0,0,0,0,110,2,0,0,0,0,0,0,109,2,0,0,0,0,0,0,108,2,0,0,0,0,0,0,99,2,0,0,0,0,0,0,98,2,0,0,0,0,0,0,60,0,0,0,0,0,0,0,5,0,0,0,0,0,0,0,57,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,54,0,0,0,0,0,0,0,52,0,0,0,0,0,0,0,49,0,0,0,0,0,0,0,4,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,45,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,40,0,0,0,0,0,0,0,3,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,37,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,2,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,203,0,0,0,0,0,0,0,202,0,0,0,0,0,0,0,201,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,13,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,10,0,0,0,0,0,0,0,64,175,0,0,0,0,0,0,96,34,152,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,68,65,84,65,91,0,0,96,0,0,0,6,0,0,0,22,0,0,0,40,0,0,0,46,0,0,0,84,0,0,0,28,0,0,0,66,0,0,0,28,0,0,0,52,0,0,0,88,0,0,0,66,0,0,0,66,0,0,0,32,0,0,0,8,0,0,0,2,0,0,0,28,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,23,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,22,28,28,28,28,28,28,28,28,28,28,22,28,26,28,28,22,28,28,28,28,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,0,0,0,6,0,0,0,22,0,0,0,40,0,0,0,46,0,0,0,84,0,0,0,28,0,0,0,66,0,0,0,28,0,0,0,52,0,0,0,88,0,0,0,66,0,0,0,66,0,0,0,32,0,0,0,8,0,0,0,2,0,0,0,28,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,22,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,22,28,28,28,28,28,28,28,28,28,28,22,28,26,28,28,22,28,28,28,28,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+10252);
/* memory initializer */ allocate([152,147,152,0,88,147,152,0,80,147,152,0,72,147,152,0,104,147,152,0,112,147,152,0,16,147,152,0,0,147,152,0,30,0,0,0,76,0,0,0,28,0,0,0,14,0,0,0,78,0,0,0,52,0,0,0,36,0,0,0,16,0,0,0,70,0,0,0,16,0,0,0,10,0,0,0,50,0,0,0,70,0,0,0,16,0,0,0,56,0,0,0,8,0,0,0,20,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,23,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,76,0,0,0,28,0,0,0,14,0,0,0,78,0,0,0,52,0,0,0,36,0,0,0,16,0,0,0,70,0,0,0,16,0,0,0,10,0,0,0,50,0,0,0,70,0,0,0,16,0,0,0,56,0,0,0,8,0,0,0,20,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,22,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,116,116,112,58,47,47,119,119,119,46,119,51,46,111,114,103,47,50,48,48,48,47,120,109,108,110,115,47,0,0,0,104,116,116,112,58,47,47,119,119,119,46,119,51,46,111,114,103,47,88,77,76,47,49,57,57,56,47,110,97,109,101,115,112,97,99,101,0,0,0,0,216,235,152,0,0,0,0,0,91,37,108,100,93,32,37,115,0,0,0,0,0,0,0,0,38,108,116,59,0,0,0,0,68,101,115,105,114,101,100,32,115,116,101,112,32,116,111,32,115,109,97,108,108,32,116,114,121,32,110,101,120,116,32,111,110,101,0,0,0,0,0,0,74,117,108,0,0,0,0,0,114,97,100,97,117,49,32,91,115,117,110,100,105,97,108,47,107,105,110,115,111,108,32,110,101,101,100,101,100,93,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,100,101,114,40,0,0,0,0,116,105,109,101,32,62,61,32,98,111,111,108,101,97,110,83,116,101,112,51,91,50,93,46,115,116,97,114,116,84,105,109,101,0,0,0,0,0,0,0,79,0,0,0,0,0,0,0,114,98,0,0,0,0,0,0,114,97,100,97,117,51,32,91,115,117,110,100,105,97,108,47,107,105,110,115,111,108,32,110,101,101,100,101,100,93,0,0,112,97,114,97,109,101,116,101,114,32,82,101,97,108,32,37,115,40,37,115,115,116,97,114,116,61,37,103,37,115,44,32,102,105,120,101,100,61,37,115,44,32,37,115,110,111,109,105,110,97,108,61,37,103,37,115,44,32,109,105,110,61,37,103,44,32,109,97,120,61,37,103,41,0,0,0,0,0,0,0,74,117,110,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,73,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,73,82,101,102,32,62,61,32,49,101,45,54,48,32,104,97,115,32,118,97,108,117,101,58,32,0,117,110,97,98,108,101,32,116,111,32,105,109,112,111,114,116,32,98,111,111,108,101,97,110,32,112,97,114,97,109,101,116,101,114,32,37,115,32,102,114,111,109,32,103,105,118,101,110,32,102,105,108,101,0,0,0,60,47,102,111,114,109,97,116,62,10,0,0,0,0,0,0,114,97,100,97,117,53,32,91,115,117,110,100,105,97,108,47,107,105,110,115,111,108,32,110,101,101,100,101,100,93,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,114,101,97,108,32,112,97,114,97,109,101,116,101,114,115,0,0,0,0,0,0,0,65,112,114,0,0,0,0,0,68,65,83,83,76,45,45,32,32,65,84,32,84,32,40,61,82,49,41,32,83,79,77,69,32,69,76,69,77,69,78,84,32,79,70,32,87,84,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,32,62,61,32,49,101,45,54,48,32,104,97,115,32,118,97,108,117,101,58,32,0,124,32,37,115,40,115,116,97,114,116,61,37,115,41,0,0,100,117,112,108,105,99,97,116,101,32,97,116,116,114,105,98,117,116,101,0,0,0,0,0,32,40,99,112,117,32,116,105,109,101,41,60,47,100,111,117,98,108,101,62,10,0,0,0,111,112,116,105,109,105,122,97,116,105,111,110,0,0,0,0,77,97,114,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,32,62,61,32,49,101,45,54,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,105,109,112,111,114,116,32,98,111,111,108,101,97,110,32,112,97,114,97,109,101,116,101,114,115,0,0,0,0,0,0,0,105,110,116,101,114,97,99,116,105,118,101,0,0,0,0,0,60,100,111,117,98,108,101,62,0,0,0,0,0,0,0,0,105,110,108,105,110,101,45,101,117,108,101,114,0,0,0,0,83,116,114,105,110,103,32,37,115,40,37,115,115,116,97,114,116,61,37,115,37,115,41,0,70,101,98,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,67,111,114,114,117,112,116,32,104,101,97,100,101,114,32,40,49,41,0,0,0,0,0,0,32,40,99,97,108,108,115,41,60,47,117,105,110,116,51,50,62,10,0,0,0,0,0,0,100,97,115,115,108,32,119,105,116,104,32,99,111,108,111,114,101,100,32,110,117,109,101,114,105,99,97,108,32,106,97,99,111,98,105,97,110,44,32,119,105,116,104,32,105,110,116,101,114,118,97,108,32,114,111,111,116,32,102,105,110,100,105,110,103,32,45,32,100,101,102,97,117,108,116,0,0,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,115,116,114,105,110,103,32,97,108,103,101,98,114,97,105,99,0,0,0,0,0,0,74,97,110,0,0,0,0,0,117,110,97,98,108,101,32,116,111,32,105,109,112,111,114,116,32,105,110,116,101,103,101,114,32,112,97,114,97,109,101,116,101,114,32,37,115,32,102,114,111,109,32,103,105,118,101,110,32,102,105,108,101,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,84,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,84,115,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,124,32,37,115,40,115,116,97,114,116,61,37,108,100,41,0,78,111,110,45,117,110,105,116,0,0,0,0,0,0,0,0,60,117,105,110,116,51,50,62,0,0,0,0,0,0,0,0,114,117,110,103,101,107,117,116,116,97,0,0,0,0,0,0,68,101,99,101,109,98,101,114,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,84,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,60,100,111,117,98,108,101,62,99,112,117,32,116,105,109,101,60,47,100,111,117,98,108,101,62,10,0,0,0,0,0,0,101,117,108,101,114,0,0,0,66,111,111,108,101,97,110,32,37,115,40,37,115,115,116,97,114,116,61,37,115,37,115,44,32,102,105,120,101,100,61,37,115,41,0,0,0,0,0,0,78,111,118,101,109,98,101,114,0,0,0,0,0,0,0,0,105,109,112,111,114,116,32,105,110,116,101,103,101,114,32,112,97,114,97,109,101,116,101,114,115,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,67,111,114,101,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,67,111,114,101,46,84,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,91,94,91,58,115,112,97,99,101,58,93,93,0,0,0,0,82,101,113,117,101,115,116,101,100,32,101,113,117,97,116,105,111,110,32,119,105,116,104,32,112,114,111,102,105,108,101,114,32,105,110,100,101,120,32,37,108,100,44,32,98,117,116,32,119,101,32,111,110,108,121,32,104,97,118,101,32,37,108,100,32,115,117,99,104,32,98,108,111,99,107,115,0,0,0,0,115,0,0,0,0,0,0,0,60,33,68,79,67,84,89,80,69,32,100,111,99,32,91,32,32,60,33,69,76,69,77,69,78,84,32,115,105,109,117,108,97,116,105,111,110,32,40,109,111,100,101,108,105,110,102,111,44,32,118,97,114,105,97,98,108,101,115,44,32,102,117,110,99,116,105,111,110,115,44,32,101,113,117,97,116,105,111,110,115,41,62,32,32,60,33,65,84,84,76,73,83,84,32,118,97,114,105,97,98,108,101,32,105,100,32,73,68,32,35,82,69,81,85,73,82,69,68,62,32,32,60,33,69,76,69,77,69,78,84,32,101,113,117,97,116,105,111,110,32,40,114,101,102,115,41,62,32,32,60,33,65,84,84,76,73,83,84,32,101,113,117,97,116,105,111,110,32,105,100,32,73,68,32,35,82,69,81,85,73,82,69,68,62,32,32,60,33,69,76,69,77,69,78,84,32,112,114,111,102,105,108,101,98,108,111,99,107,115,32,40,112,114,111,102,105,108,101,98,108,111,99,107,42,41,62,32,32,60,33,69,76,69,77,69,78,84,32,112,114,111,102,105,108,101,98,108,111,99,107,32,40,114,101,102,115,44,32,110,99,97,108,108,44,32,116,105,109,101,44,32,109,97,120,84,105,109,101,41,62,32,32,60,33,69,76,69,77,69,78,84,32,114,101,102,115,32,40,114,101,102,42,41,62,32,32,60,33,65,84,84,76,73,83,84,32,114,101,102,32,114,101,102,105,100,32,73,68,82,69,70,32,35,82,69,81,85,73,82,69,68,62,32,32,93,62,10,0,0,0,0,69,114,114,111,114,44,32,99,97,110,32,110,111,116,32,103,101,116,32,77,97,116,114,105,120,32,65,32,0,0,0,0,97,105,109,99,51,46,115,116,97,116,111,114,46,76,115,105,103,109,97,0,0,0,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,111,112,116,105,111,110,32,45,108,115,32,37,115,44,32,99,117,114,114,101,110,116,32,111,112,116,105,111,110,115,32,97,114,101,58,0,0,0,0,0,0,0,0,37,115,44,32,37,115,32,37,108,117,10,0,0,0,0,0,88,76,97,98,101,108,58,32,116,10,10,0,0,0,0,0,67,97,110,110,111,116,32,97,108,108,111,99,97,116,101,32,109,101,109,111,114,121,0,0,117,110,115,117,112,112,111,114,116,101,100,32,108,111,99,97,108,101,32,102,111,114,32,115,116,97,110,100,97,114,100,32,105,110,112,117,116,0,0,0,37,108,100,44,0,0,0,0,76,79,71,95,73,78,73,84,0,0,0,0,0,0,0,0,97,105,109,99,77,46,105,114,91,52,93,0,0,0,0,0,91,37,108,100,93,32,91,37,49,53,103,93,32,58,61,32,37,115,32,40,112,97,114,97,109,101,116,101,114,41,0,0,117,110,105,116,32,110,111,116,32,99,111,110,110,101,99,116,101,100,0,0,0,0,0,0,80,79,0,0,0,0,0,0,60,100,111,117,98,108,101,62,116,105,109,101,60,47,100,111,117,98,108,101,62,10,0,0,37,49,50,103,115,32,91,37,53,46,49,102,37,37,93,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,0,0,115,121,109,98,111,108,105,99,0,0,0,0,0,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,98,111,111,108,101,97,110,32,97,108,103,101,98,114,97,105,99,0,0,0,0,0,79,99,116,111,98,101,114,0,105,109,112,111,114,116,32,114,101,97,108,32,100,105,115,99,114,101,116,101,0,0,0,0,114,101,115,105,100,117,97,108,32,102,117,110,99,116,105,111,110,32,112,111,105,110,116,101,114,32,105,115,32,105,110,118,97,108,105,100,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,46,84,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,117,110,114,101,99,111,103,110,105,122,101,100,32,115,111,108,118,101,114,32,109,101,116,104,111,100,32,37,115,44,32,99,117,114,114,101,110,116,32,111,112,116,105,111,110,115,32,97,114,101,58,0,0,0,0,0,112,105,118,111,116,32,33,61,32,48,0,0,0,0,0,0,60,117,105,110,116,51,50,62,115,116,101,112,60,47,117,105,110,116,51,50,62,10,0,0,110,117,109,101,114,105,99,0,83,101,112,116,101,109,98,101,114,0,0,0,0,0,0,0,117,110,97,98,108,101,32,116,111,32,105,109,112,111,114,116,32,114,101,97,108,32,112,97,114,97,109,101,116,101,114,32,37,115,32,102,114,111,109,32,103,105,118,101,110,32,102,105,108,101,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,46,84,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,68,105,115,97,98,108,101,100,32,116,105,109,101,32,109,101,97,115,117,114,101,109,101,110,116,115,32,98,101,99,97,117,115,101,32,116,104,101,32,111,117,116,112,117,116,32,102,105,108,101,32,99,111,117,108,100,32,110,111,116,32,98,101,32,103,101,110,101,114,97,116,101,100,58,32,37,115,0,0,0,91,37,108,100,93,32,115,97,109,112,108,101,40,37,103,44,32,37,103,41,0,0,0,0,60,102,111,114,109,97,116,62,10,0,0,0,0,0,0,0,110,111,110,101,0,0,0,0,73,110,116,101,103,101,114,32,37,115,40,37,115,115,116,97,114,116,61,37,108,100,37,115,44,32,102,105,120,101,100,61,37,115,44,32,109,105,110,61,37,108,100,44,32,109,97,120,61,37,108,100,41,0,0,0,65,117,103,117,115,116,0,0,105,109,112,111,114,116,32,114,101,97,108,32,112,97,114,97,109,101,116,101,114,115,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,84,114,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,84,114,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,116,105,109,101,32,62,61,32,98,111,111,108,101,97,110,83,116,101,112,51,91,51,93,46,115,116,97,114,116,84,105,109,101,0,0,0,0,0,0,0,76,0,0,0,0,0,0,0,60,102,105,108,101,115,105,122,101,62,37,108,100,60,47,102,105,108,101,115,105,122,101,62,10,0,0,0,0,0,0,0,115,111,108,118,101,115,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,112,114,111,98,108,101,109,32,115,121,109,98,111,108,105,99,97,108,108,121,32,45,32,100,101,102,97,117,108,116,0,0,0,0,0,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,105,110,116,101,103,101,114,32,97,108,103,101,98,114,97,105,99,0,0,0,0,0,74,117,108,121,0,0,0,0,117,110,97,98,108,101,32,116,111,32,105,109,112,111,114,116,32,114,101,97,108,32,118,97,114,105,97,98,108,101,32,37,115,32,102,114,111,109,32,103,105,118,101,110,32,102,105,108,101,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,74,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,74,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,60,47,102,105,108,101,110,97,109,101,62,10,0,0,0,0,115,111,108,118,101,115,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,112,114,111,98,108,101,109,32,110,117,109,101,114,105,99,97,108,108,121,0,0,0,74,117,110,101,0,0,0,0,36,112,68,69,82,46,0,0,68,65,83,83,76,45,45,32,32,87,69,82,69,32,73,78,67,82,69,65,83,69,68,32,84,79,32,65,80,80,82,79,80,82,73,65,84,69,32,86,65,76,85,69,83,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,115,116,97,116,101,83,101,108,101,99,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,115,116,97,116,101,83,101,108,101,99,116,32,62,61,32,83,116,97,116,101,83,101,108,101,99,116,46,110,101,118,101,114,32,97,110,100,32,97,105,109,99,51,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,115,116,97,116,101,83,101,108,101,99,116,32,60,61,32,83,116,97,116,101,83,101,108,101,99,116,46,97,108,119,97,121,115,32,104,97,115,32,118,97,108,117,101,58,32,0,109,105,115,109,97,116,99,104,101,100,32,116,97,103,0,0,60,102,105,108,101,110,97,109,101,62,0,0,0,0,0,0,115,101,116,115,32,97,108,108,32,118,97,114,105,97,98,108,101,115,32,116,111,32,116,104,101,105,114,32,115,116,97,114,116,32,118,97,108,117,101,115,32,97,110,100,32,115,107,105,112,115,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,112,114,111,99,101,115,115,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,114,101,97,108,32,97,108,103,101,98,114,97,105,99,0,0,0,0,0,0,0,0,77,97,121,0,0,0,0,0,36,90,69,82,79,46,0,0,99,97,110,39,116,32,115,116,97,116,32,102,105,108,101,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,105,108,115,0,0,0,0,0,69,0,0,0,0,0,0,0,114,116,95,99,108,111,99,107,95,110,99,97,108,108,95,116,111,116,97,108,32,33,61,32,48,0,0,0,0,0,0,0,37,115,95,112,114,111,102,46,100,97,116,97,0,0,0,0,105,112,111,112,116,0,0,0,65,112,114,105,108,0,0,0,124,32,37,115,40,115,116,97,114,116,61,37,103,41,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,32,62,61,32,49,101,45,54,48,32,104,97,115,32,118,97,108,117,101,58,32,0,114,98,0,0,0,0,0,0,60,47,118,97,114,105,97,98,108,101,62,10,0,0,0,0,107,105,110,115,111,108,95,115,99,97,108,101,100,0,0,0,77,97,114,99,104,0,0,0,105,109,112,111,114,116,32,114,101,97,108,32,118,97,114,105,97,98,108,101,115,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,32,62,61,32,49,101,45,54,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,85,112,112,101,114,0,0,0,34,32,99,111,109,109,101,110,116,61,34,0,0,0,0,0,107,105,110,115,111,108,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,115,116,97,116,101,68,101,114,105,118,97,116,105,118,101,115,0,0,0,0,0,0,70,101,98,114,117,97,114,121,0,0,0,0,0,0,0,0,117,110,97,98,108,101,32,116,111,32,114,101,97,100,32,105,110,112,117,116,45,102,105,108,101,32,60,37,115,62,32,91,37,115,93,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,60,118,97,114,105,97,98,108,101,32,105,100,61,34,118,97,114,37,100,34,32,110,97,109,101,61,34,0,0,0,0,0,110,101,108,100,101,114,95,109,101,97,100,95,101,120,0,0,74,97,110,117,97,114,121,0,105,109,112,111,114,116,32,115,116,97,114,116,32,118,97,108,117,101,115,10,102,105,108,101,58,32,37,115,10,116,105,109,101,58,32,37,103,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,91,91,58,115,112,97,99,101,58,93,93,0,0,0,0,0,120,109,108,45,62,110,70,117,110,99,116,105,111,110,115,32,61,61,32,40,108,111,110,103,41,32,117,115,101,114,68,97,116,97,91,51,93,0,0,0,110,111,32,115,112,97,99,101,0,0,0,0,0,0,0,0,99,97,108,108,111,99,32,102,97,105,108,101,100,0,0,0,97,105,109,99,51,46,101,102,102,101,99,116,105,118,101,83,116,97,116,111,114,84,117,114,110,115,32,94,32,50,46,48,32,42,32,51,46,48,0,0,108,105,115,0,0,0,0,0,115,101,101,32,108,97,115,116,32,119,97,114,110,105,110,103,0,0,0,0,0,0,0,0,84,105,116,108,101,84,101,120,116,58,32,79,112,101,110,77,111,100,101,108,105,99,97,32,115,105,109,117,108,97,116,105,111,110,32,112,108,111,116,10,0,0,0,0,0,0,0,0,69,114,114,111,114,32,119,104,105,108,101,32,119,114,105,116,105,110,103,32,102,105,108,101,32,37,115,0,0,0,0,0,76,79,71,95,69,86,69,78,84,83,95,86,0,0,0,0,91,37,108,100,93,32,114,101,115,105,100,117,97,108,32,105,115,32,105,110,101,102,102,101,99,116,105,118,101,32,40,115,99,97,108,105,110,103,32,99,111,101,102,102,105,99,105,101,110,116,32,105,115,32,115,101,116,32,116,111,32,49,46,48,41,0,0,0,0,0,0,0,91,37,108,100,93,32,91,37,49,53,103,93,32,58,61,32,37,115,32,40,112,97,114,97,109,101,116,101,114,41,32,91,115,99,97,108,105,110,103,32,99,111,101,102,102,105,99,105,101,110,116,58,32,37,103,93,0,0,0,0,0,0,0,0,97,105,109,99,77,46,105,114,91,51,93,0,0,0,0,0,84,82,73,0,0,0,0,0,119,114,105,116,97,98,108,101,0,0,0,0,0,0,0,0,37,49,50,103,115,32,91,37,53,46,49,102,37,37,93,32,112,114,101,45,105,110,105,116,105,97,108,105,122,97,116,105,111,110,0,0,0,0,0,0,110,101,119,117,111,97,0,0,102,97,108,115,101,0,0,0,115,121,109,98,111,108,105,99,0,0,0,0,0,0,0,0,78,101,119,116,111,110,32,82,97,112,104,115,111,110,0,0,37,115,37,49,48,103,32,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,73,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,73,82,101,102,32,62,61,32,49,101,45,54,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,114,101,97,100,111,110,108,121,0,0,0,0,0,0,0,0,115,105,109,112,108,101,120,0,116,114,117,101,0,0,0,0,68,0,0,0,101,0,0,0,99,0,0,0,0,0,0,0,110,117,109,101,114,105,99,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,32,62,61,32,49,101,45,54,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,115,116,97,116,101,0,0,0,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,0,0,0,0,34,32,115,116,97,114,116,108,105,110,101,61,34,37,100,34,32,115,116,97,114,116,99,111,108,61,34,37,100,34,32,101,110,100,108,105,110,101,61,34,37,100,34,32,101,110,100,99,111,108,61,34,37,100,34,32,114,101,97,100,111,110,108,121,61,34,37,115,34,32,47,62,10,0,0,0,0,0,0,0,73,110,116,101,114,105,111,114,32,80,111,105,110,116,32,79,80,84,105,109,105,122,101,114,0,0,0,0,0,0,0,0,125,0,0,0,0,0,0,0,78,0,0,0,111,0,0,0,118,0,0,0,0,0,0,0,99,111,117,108,100,32,110,111,116,32,112,97,115,115,101,100,32,116,111,32,68,68,65,83,82,84,0,0,0,0,0,0,110,111,110,101,0,0,0,0,116,105,109,101,32,60,32,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,0,0,0,0,0,0,0,100,101,98,117,103,0,0,0,85,0,0,0,0,0,0,0,116,105,109,101,32,60,32,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,0,0,0,0,0,0,0,60,105,110,102,111,32,102,105,108,101,110,97,109,101,61,34,0,0,0,0,0,0,0,0,115,117,110,100,105,97,108,115,47,107,105,110,115,111,108,32,119,105,116,104,32,115,99,97,108,105,110,103,0,0,0,0,123,0,0,0,0,0,0,0,79,0,0,0,99,0,0,0,116,0,0,0,0,0,0,0,115,111,108,118,101,115,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,112,114,111,98,108,101,109,32,115,121,109,98,111,108,105,99,97,108,108,121,32,45,32,100,101,102,97,117,108,116,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,32,62,61,32,49,101,45,54,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,101,114,114,111,114,0,0,0,60,47,102,117,110,99,116,105,111,110,62,10,0,0,0,0,115,117,110,100,105,97,108,115,47,107,105,110,115,111,108,0,83,0,0,0,101,0,0,0,112,0,0,0,0,0,0,0,115,111,108,118,101,115,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,112,114,111,98,108,101,109,32,110,117,109,101,114,105,99,97,108,108,121,0,0,0,68,65,83,83,76,45,45,32,32,70,79,82,32,80,82,69,67,73,83,73,79,78,32,79,70,32,77,65,67,72,73,78,69,46,32,82,84,79,76,32,65,78,68,32,65,84,79,76,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,119,97,114,110,105,110,103,0,112,97,114,116,105,97,108,32,99,104,97,114,97,99,116,101,114,0,0,0,0,0,0,0,60,102,117,110,99,116,105,111,110,32,105,100,61,34,102,117,110,37,100,34,62,10,0,0,69,120,116,101,110,100,101,100,32,78,101,108,100,101,114,45,77,101,97,100,32,109,101,116,104,111,100,32,40,115,101,101,32,45,105,108,115,32,102,111,114,32,103,108,111,98,97,108,32,104,111,109,111,116,111,112,121,41,32,45,32,100,101,102,97,117,108,116,0,0,0,0,82,101,97,108,32,37,115,40,37,115,115,116,97,114,116,61,37,103,37,115,44,32,102,105,120,101,100,61,37,115,44,32,37,115,110,111,109,105,110,97,108,61,37,103,37,115,44,32,109,105,110,61,37,103,44,32,109,97,120,61,37,103,41,0,65,0,0,0,117,0,0,0,103,0,0,0,0,0,0,0,115,101,116,115,32,97,108,108,32,118,97,114,105,97,98,108,101,115,32,116,111,32,116,104,101,105,114,32,115,116,97,114,116,32,118,97,108,117,101,115,32,97,110,100,32,115,107,105,112,115,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,112,114,111,99,101,115,115,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,105,105,116,0,0,0,0,0,105,110,102,111,0,0,0,0,119,105,108,108,32,111,118,101,114,114,105,100,101,32,116,104,101,32,118,97,114,105,97,98,108,101,115,32,111,114,32,116,104,101,32,115,105,109,117,108,97,116,105,111,110,32,115,101,116,116,105,110,103,115,32,105,110,32,116,104,101,32,88,77,76,32,115,101,116,117,112,32,102,105,108,101,32,119,105,116,104,32,116,104,101,32,118,97,108,117,101,115,32,102,114,111,109,32,116,104,101,32,102,105,108,101,10,32,32,110,111,116,101,32,116,104,97,116,58,32,45,111,118,101,114,114,105,100,101,70,105,108,101,32,67,65,78,78,79,84,32,98,101,32,117,115,101,100,32,119,105,116,104,32,45,111,118,101,114,114,105,100,101,10,32,32,117,115,101,32,119,104,101,110,32,118,97,114,105,97,98,108,101,115,32,102,111,114,32,45,111,118,101,114,114,105,100,101,32,97,114,101,32,116,111,111,32,109,97,110,121,32,97,110,100,32,100,111,32,110,111,116,32,102,105,116,32,105,110,32,99,111,109,109,97,110,100,32,108,105,110,101,32,115,105,122,101,10,32,32,111,118,101,114,114,105,100,101,70,105,108,101,78,97,109,101,32,99,111,110,116,97,105,110,115,32,108,105,110,101,115,32,111,102,32,116,104,101,32,102,111,114,109,58,32,118,97,114,49,61,115,116,97,114,116,49,0,0,0,0,0,0,114,116,95,99,108,111,99,107,95,110,99,97,108,108,95,109,97,120,32,33,61,32,48,0,102,117,110,0,0,0,0,0,66,114,101,110,116,39,115,32,109,101,116,104,111,100,0,0,109,97,120,0,0,0,0,0,74,0,0,0,117,0,0,0,108,0,0,0,0,0,0,0,105,112,111,112,116,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,97,116,111,114,46,84,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,97,116,111,114,46,84,82,101,102,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,38,103,116,59,0,0,0,0,111,118,101,114,114,105,100,101,32,116,104,101,32,118,97,114,105,97,98,108,101,115,32,111,114,32,116,104,101,32,115,105,109,117,108,97,116,105,111,110,32,115,101,116,116,105,110,103,115,32,105,110,32,116,104,101,32,88,77,76,32,115,101,116,117,112,32,102,105,108,101,10,32,32,101,46,103,46,32,118,97,114,49,61,115,116,97,114,116,49,44,118,97,114,50,61,115,116,97,114,116,50,44,112,97,114,51,61,115,116,97,114,116,51,44,115,116,97,114,116,84,105,109,101,61,118,97,108,49,44,115,116,111,112,84,105,109,101,61,118,97,108,50,44,115,116,101,112,83,105,122,101,61,118,97,108,51,44,10,32,32,32,32,32,32,32,116,111,108,101,114,97,110,99,101,61,118,97,108,52,44,115,111,108,118,101,114,61,34,115,101,101,32,45,115,34,44,111,117,116,112,117,116,70,111,114,109,97,116,61,34,109,97,116,124,112,108,116,124,99,115,118,124,101,109,112,116,121,34,44,118,97,114,105,97,98,108,101,70,105,108,116,101,114,61,34,102,105,108,116,101,114,34,0,0,0,100,97,116,97,95,50,0,0,60,47,101,113,117,97,116,105,111,110,62,10,0,0,0,0,78,101,108,100,101,114,45,77,101,97,100,32,109,101,116,104,111,100,0,0,0,0,0,0,109,105,110,0,0,0,0,0,74,0,0,0,117,0,0,0,110,0,0,0,0,0,0,0,107,105,110,115,111,108,95,115,99,97,108,101,100,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,97,116,111,114,46,84,79,112,101,114,97,116,105,111,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,97,116,111,114,46,84,79,112,101,114,97,116,105,111,110,97,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,38,108,116,59,0,0,0,0,111,117,116,112,117,116,32,116,104,101,32,118,97,114,105,97,98,108,101,115,32,97,44,32,98,32,97,110,100,32,99,32,97,116,32,116,104,101,32,101,110,100,32,111,102,32,116,104,101,32,115,105,109,117,108,97,116,105,111,110,32,116,111,32,116,104,101,32,115,116,97,110,100,97,114,100,32,111,117,116,112,117,116,10,32,32,116,105,109,101,32,61,32,118,97,108,117,101,44,32,97,32,61,32,118,97,108,117,101,44,32,98,32,61,32,118,97,108,117,101,44,32,99,32,61,32,118,97,108,117,101,0,0,0,0,0,85,110,105,116,0,0,0,0,60,99,97,108,99,105,110,102,111,32,116,105,109,101,61,34,37,102,34,32,99,111,117,110,116,61,34,37,108,117,34,47,62,10,0,0,0,0,0,0,117,110,107,110,111,119,110,0,110,111,109,105,110,97,108,0,77,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,107,105,110,115,111,108,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,38,97,109,112,59,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,111,117,116,112,117,116,32,102,111,114,109,97,116,32,111,102,32,116,104,101,32,109,101,97,115,117,114,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+20520);
/* memory initializer */ allocate([32,116,105,109,101,32,102,117,110,99,116,105,111,110,97,108,105,116,121,10,32,32,115,118,103,10,32,32,106,112,103,10,32,32,112,115,10,32,32,103,105,102,10,32,32,46,46,46,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,60,47,114,101,102,115,62,10,0,0,0,0,0,0,0,0,85,110,104,97,110,100,108,101,100,32,65,115,115,101,114,116,105,111,110,45,69,114,114,111,114,0,0,0,0,0,0,0,117,115,101,78,111,109,105,110,97,108,0,0,0,0,0,0,65,0,0,0,112,0,0,0,114,0,0,0,0,0,0,0,110,101,108,100,101,114,95,109,101,97,100,95,101,120,0,0,105,110,118,97,108,105,100,32,99,111,109,109,97,110,100,32,108,105,110,101,32,111,112,116,105,111,110,58,32,37,115,0,91,94,91,58,97,108,110,117,109,58,93,95,93,0,0,0,120,109,108,45,62,110,69,113,117,97,116,105,111,110,115,32,61,61,32,40,108,111,110,103,41,32,117,115,101,114,68,97,116,97,91,49,93,0,0,0,102,111,114,116,46,37,108,100,0,0,0,0,0,0,0,0,34,32,47,62,10,0,0,0,69,120,101,99,117,116,105,111,110,32,116,105,109,101,32,111,102,32,103,108,111,98,97,108,32,115,116,101,112,115,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,108,111,103,103,105,110,103,32,108,101,118,101,108,0,0,0,0,0,0,0,97,105,109,99,77,46,101,102,102,101,99,116,105,118,101,83,116,97,116,111,114,84,117,114,110,115,32,94,32,50,46,48,0,0,0,0,0,0,0,0,108,97,112,97,99,107,0,0,115,105,109,117,108,97,116,105,111,110,95,105,110,112,117,116,95,120,109,108,46,99,112,112,58,32,69,114,114,111,114,58,32,102,97,105,108,101,100,32,116,111,32,114,101,97,100,32,116,104,101,32,88,77,76,32,102,105,108,101,32,37,115,58,32,37,115,32,97,116,32,108,105,110,101,32,37,108,117,10,0,0,0,0,0,0,0,0,35,73,110,116,101,114,118,97,108,83,105,122,101,61,37,108,100,10,0,0,0,0,0,0,69,114,114,111,114,32,119,104,105,108,101,32,119,114,105,116,105,110,103,32,109,97,116,32,102,105,108,101,32,37,115,0,36,99,112,117,84,105,109,101,0,0,0,0,0,0,0,0,108,97,109,98,100,97,0,0,76,79,71,95,69,86,69,78,84,83,0,0,0,0,0,0,110,117,109,98,101,114,32,111,102,32,115,116,97,114,116,32,118,97,108,117,101,32,114,101,115,105,100,117,97,108,115,58,32,37,108,100,0,0,0,0,91,37,108,100,93,32,91,37,49,53,103,93,32,58,61,32,37,115,0,0,0,0,0,0,97,105,109,99,77,46,105,114,91,50,93,0,0,0,0,0,110,117,108,108,32,102,105,108,101,32,110,97,109,101,0,0,66,82,68,0,0,0,0,0,60,114,101,102,32,114,101,102,105,100,61,34,118,97,114,37,100,34,32,47,62,10,0,0,116,105,109,101,114,0,0,0,69,114,114,111,114,58,32,0,102,105,120,101,100,0,0,0,77,0,0,0,97,0,0,0,114,0,0,0,0,0,0,0,110,101,119,117,111,97,0,0,115,117,110,100,105,97,108,115,47,107,105,110,115,111,108,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,60,47,109,101,115,115,97,103,101,62,10,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,108,105,110,101,97,114,32,115,111,108,118,101,114,32,109,101,116,104,111,100,32,102,111,114,32,73,112,111,112,116,44,32,100,101,102,97,117,108,116,32,109,117,109,112,115,46,10,32,78,111,116,101,58,32,85,115,101,32,105,102,32,121,111,117,32,98,117,105,108,100,32,105,112,111,112,116,32,119,105,116,104,32,111,116,104,101,114,32,108,105,110,101,97,114,32,115,111,108,118,101,114,32,108,105,107,101,32,109,97,50,55,0,0,0,0,0,60,114,101,102,115,62,10,0,115,116,97,114,116,0,0,0,70,0,0,0,101,0,0,0,98,0,0,0,0,0,0,0,115,105,109,112,108,101,120,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,116,105,109,101,0,0,0,0,70,65,76,83,69,0,0,0,98,97,115,101,95,97,114,114,97,121,46,99,58,32,97,114,114,97,121,32,105,115,32,78,85,76,76,33,10,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,108,105,110,101,97,114,32,115,111,108,118,101,114,32,109,101,116,104,111,100,10,32,32,108,97,112,97,99,107,44,32,108,105,115,0,0,68,65,83,83,76,45,45,32,32,84,72,69,32,76,65,83,84,32,83,84,69,80,32,84,69,82,77,73,78,65,84,69,68,32,87,73,84,72,32,65,32,78,69,71,65,84,73,86,69,0,0,0,0,0,0,0,34,62,10,0,0,0,0,0,60,117,115,101,100,32,105,110,100,101,120,61,34,37,100,34,32,47,62,10,0,0,0,0,87,97,114,110,105,110,103,58,32,0,0,0,0,0,0,0,117,115,101,83,116,97,114,116,0,0,0,0,0,0,0,0,74,0,0,0,97,0,0,0,110,0,0,0,0,0,0,0,74,97,99,111,98,105,97,110,32,111,114,32,83,112,97,114,115,101,80,97,116,116,101,114,110,32,105,115,32,110,111,116,32,103,101,110,101,114,97,116,101,100,32,111,114,32,102,97,105,108,101,100,32,116,111,32,105,110,105,116,105,97,108,105,122,101,33,32,83,119,105,116,99,104,32,98,97,99,107,32,116,111,32,110,111,114,109,97,108,46,0,0,0,0,0,0,73,110,116,101,114,105,111,114,32,80,111,105,110,116,32,79,80,84,105,109,105,122,101,114,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,34,62,10,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,105,110,105,116,105,97,108,32,103,117,101,115,115,32,102,111,114,32,111,112,116,105,109,105,122,97,116,105,111,110,32,40,115,105,109,44,32,99,111,110,115,116,41,0,77,0,0,0,0,0,0,0,116,105,109,101,32,60,32,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,0,0,0,0,0,0,0,60,101,113,117,97,116,105,111,110,32,105,100,61,34,101,113,37,100,34,32,110,97,109,101,61,34,0,0,0,0,0,0,68,0,0,0,101,0,0,0,99,0,0,0,101,0,0,0,109,0,0,0,98,0,0,0,101,0,0,0,114,0,0,0,0,0,0,0,0,0,0,0,115,117,110,100,105,97,108,115,47,107,105,110,115,111,108,32,119,105,116,104,32,115,99,97,108,105,110,103,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,84,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,60,109,101,115,115,97,103,101,32,115,116,114,101,97,109,61,34,37,115,34,32,116,121,112,101,61,34,37,115,34,32,116,101,120,116,61,34,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,106,97,99,111,98,105,97,110,32,102,111,114,32,73,112,111,112,116,40,83,89,77,44,32,78,85,77,44,32,78,85,77,68,69,78,83,69,41,0,0,0,0,0,0,117,116,105,108,47,98,97,115,101,95,97,114,114,97,121,46,99,0,0,0,0,0,0,0,60,47,112,114,111,102,105,108,101,98,108,111,99,107,62,10,0,0,0,0,0,0,0,0,102,105,108,101,87,114,105,116,97,98,108,101,0,0,0,0,78,0,0,0,111,0,0,0,118,0,0,0,101,0,0,0,109,0,0,0,98,0,0,0,101,0,0,0,114,0,0,0,0,0,0,0,0,0,0,0,115,117,110,100,105,97,108,115,47,107,105,110,115,111,108,0,68,65,83,83,76,45,45,32,32,65,84,32,84,32,40,61,82,49,41,32,84,79,79,32,77,85,67,72,32,65,67,67,85,82,65,67,89,32,82,69,81,85,69,83,84,69,68,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,71,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,71,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,104,101,115,115,101,109,97,116,114,105,120,32,102,111,114,32,73,112,111,112,116,40,79,77,67,44,32,66,70,71,83,44,32,99,111,110,115,116,41,0,0,0,0,0,117,110,99,108,111,115,101,100,32,116,111,107,101,110,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,60,116,105,109,101,62,37,46,57,102,60,47,116,105,109,101,62,10,0,0,0,0,0,0,79,0,0,0,99,0,0,0,116,0,0,0,111,0,0,0,98,0,0,0,101,0,0,0,114,0,0,0,0,0,0,0,69,120,116,101,110,100,101,100,32,78,101,108,100,101,114,45,77,101,97,100,32,109,101,116,104,111,100,32,40,115,101,101,32,45,105,108,115,32,102,111,114,32,103,108,111,98,97,108,32,104,111,109,111,116,111,112,121,41,32,45,32,100,101,102,97,117,108,116,0,0,0,0,99,97,108,108,32,101,120,116,101,114,110,97,108,32,79,98,106,101,99,116,32,67,111,110,115,116,114,117,99,116,111,114,115,0,0,0,0,0,0,0,105,105,109,0,0,0,0,0,99,97,110,39,116,32,98,97,99,107,115,112,97,99,101,32,102,105,108,101,0,0,0,0,124,32,0,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,110,117,109,98,101,114,32,111,102,32,115,116,101,112,115,32,102,111,114,32,104,111,109,111,116,111,112,121,32,109,101,116,104,111,100,32,40,114,101,113,117,105,114,101,100,58,32,45,105,105,109,61,115,121,109,98,111,108,105,99,41,32,111,114,10,39,115,116,97,114,116,32,118,97,108,117,101,32,104,111,109,111,116,111,112,121,39,32,109,101,116,104,111,100,32,40,114,101,113,117,105,114,101,100,58,32,45,105,105,109,61,110,117,109,101,114,105,99,32,45,105,111,109,61,110,101,108,100,101,114,95,109,101,97,100,95,101,120,41,0,114,116,95,99,108,111,99,107,95,110,99,97,108,108,95,109,105,110,32,33,61,32,48,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,60,110,99,97,108,108,62,37,100,60,47,110,99,97,108,108,62,10,0,0,0,0,0,0,101,110,100,67,111,108,117,109,110,0,0,0,0,0,0,0,83,0,0,0,101,0,0,0,112,0,0,0,116,0,0,0,101,0,0,0,109,0,0,0,98,0,0,0,101,0,0,0,114,0,0,0,0,0,0,0,66,114,101,110,116,39,115,32,109,101,116,104,111,100,0,0,37,45,55,115,32,124,32,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,97,32,116,105,109,101,32,102,111,114,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,111,102,32,116,104,101,32,109,111,100,101,108,0,0,0,0,0,0,100,97,116,97,95,49,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,60,114,101,102,32,114,101,102,105,100,61,34,101,113,37,100,34,47,62,10,0,0,0,0,60,100,105,102,102,67,117,114,114,101,110,116,84,105,109,101,62,37,103,60,47,100,105,102,102,67,117,114,114,101,110,116,84,105,109,101,62,10,0,0,65,0,0,0,117,0,0,0,103,0,0,0,117,0,0,0,115,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,78,101,108,100,101,114,45,77,101,97,100,32,109,101,116,104,111,100,0,0,0,0,0,0,110,117,109,101,114,105,99,97,108,32,74,97,99,111,98,105,97,110,0,0,0,0,0,0,124,0,0,0,0,0,0,0,103,101,116,32,100,101,116,97,105,108,101,100,32,105,110,102,111,114,109,97,116,105,111,110,32,116,104,97,116,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,99,111,109,109,97,110,100,45,108,105,110,101,32,102,108,97,103,10,32,32,101,46,103,46,32,45,104,101,108,112,61,102,32,112,114,105,110,116,115,32,100,101,116,97,105,108,101,100,32,105,110,102,111,114,109,97,116,105,111,110,32,102,111,114,32,99,111,109,109,97,110,100,45,108,105,110,101,32,102,108,97,103,32,102,0,0,0,0,0,0,0,0,74,0,0,0,117,0,0,0,108,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,78,111,32,116,114,97,110,115,112,111,115,101,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,60,112,114,111,102,105,108,101,98,108,111,99,107,62,10,0,60,99,117,114,114,101,110,116,84,105,109,101,62,37,103,60,47,99,117,114,114,101,110,116,84,105,109,101,62,10,0,0,101,110,100,76,105,110,101,0,117,110,107,110,111,119,110,0,37,115,0,0,0,0,0,0,37,45,49,55,115,32,124,32,0,0,0,0,0,0,0,0,32,32,45,32,100,117,109,112,115,32,116,104,101,32,99,112,117,45,116,105,109,101,32,105,110,116,111,32,116,104,101,32,114,101,115,117,108,116,45,102,105,108,101,10,32,32,45,32,36,99,112,117,84,105,109,101,32,105,115,32,116,104,101,32,118,97,114,105,97,98,108,101,32,110,97,109,101,32,105,110,115,105,100,101,32,116,104,101,32,114,101,115,117,108,116,45,102,105,108,101,0,0,0,0,105,110,102,105,110,105,116,121,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,101,113,0,0,0,0,0,0,60,100,105,102,102,79,108,100,84,105,109,101,62,37,103,60,47,100,105,102,102,79,108,100,84,105,109,101,62,10,0,0,74,0,0,0,117,0,0,0,110,0,0,0,101,0,0,0,0,0,0,0,0,0,0,0,111,112,116,105,109,105,122,97,116,105,111,110,45,99,97,108,108,115,58,32,37,108,100,0,68,84,82,83,77,32,0,0,101,97,99,104,32,99,111,109,109,97,110,100,32,108,105,110,101,32,111,112,116,105,111,110,32,99,97,110,32,111,110,108,121,32,98,101,32,117,115,101,100,32,111,110,99,101,58,32,37,115,0,0,0,0,0,0,91,91,58,97,108,110,117,109,58,93,95,93,0,0,0,0,37,115,58,32,69,114,114,111,114,58,32,102,97,105,108,101,100,32,116,111,32,114,101,97,100,32,116,104,101,32,88,77,76,32,100,97,116,97,32,37,115,58,32,37,115,32,97,116,32,108,105,110,101,32,37,108,117,0,0,0,0,0,0,0,111,112,101,110,0,0,0,0,37,115,37,103,32,0,0,0,115,101,116,32,102,111,114,109,97,116,32,121,32,34,37,103,34,10,0,0,0,0,0,0,37,32,46,53,101,32,0,0,115,101,108,101,99,116,115,32,116,104,101,32,116,121,112,101,32,111,102,32,99,108,111,99,107,32,116,111,32,117,115,101,32,45,99,108,111,99,107,61,82,84,44,32,45,99,108,111,99,107,61,67,89,67,32,111,114,32,45,99,108,111,99,107,61,67,80,85,10,32,32,82,84,61,109,111,110,111,116,111,110,105,99,32,114,101,97,108,45,116,105,109,101,32,99,108,111,99,107,44,32,67,80,85,61,112,114,111,99,101,115,115,45,98,97,115,101,100,32,67,80,85,45,116,105,109,101,44,32,67,89,67,61,99,112,117,32,99,121,99,108,101,115,32,109,101,97,115,117,114,101,100,32,119,105,116,104,32,82,68,84,83,67,0,0,0,0,0,47,42,82,101,97,108,42,47,40,97,105,109,99,68,97,116,97,46,112,41,0,0,0,0,115,101,101,32,108,97,115,116,32,119,97,114,110,105,110,103,0,0,0,0,0,0,0,0,115,105,109,117,108,97,116,105,111,110,95,105,110,112,117,116,95,120,109,108,46,99,112,112,58,32,69,114,114,111,114,58,32,99,111,117,108,100,110,39,116,32,97,108,108,111,99,97,116,101,32,109,101,109,111,114,121,32,102,111,114,32,116,104,101,32,88,77,76,32,112,97,114,115,101,114,33,0,0,0,35,78,117,109,98,101,114,111,102,86,97,114,105,97,98,108,101,115,61,37,100,10,0,0,100,97,116,97,95,50,0,0,116,105,109,101,0,0,0,0,105,116,101,114,97,116,105,111,110,0,0,0,0,0,0,0,69,114,114,111,114,32,105,110,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,46,32,73,110,116,101,114,110,97,108,32,101,114,114,111,114,44,32,78,76,79,79,80,32,60,32,49,46,0,0,0,0,0,76,79,71,95,68,83,83,95,74,65,67,0,0,0,0,0,110,117,109,98,101,114,32,111,102,32,105,110,105,116,105,97,108,32,114,101,115,105,100,117,97,108,115,58,32,32,37,108,100,32,40,37,108,100,32,101,113,117,97,116,105,111,110,115,32,43,32,37,108,100,32,97,108,103,111,114,105,116,104,109,115,41,0,0,0,0,0,0,91,37,108,100,93,32,91,37,49,53,103,93,32,58,61,32,37,115,32,91,115,99,97,108,105,110,103,32,99,111,101,102,102,105,99,105,101,110,116,58,32,37,103,93,0,0,0,0,117,37,100,40,116,41,61,32,37,102,32,9,0,0,0,0,97,105,109,99,77,46,105,114,91,49,93,0,0,0,0,0,115,101,108,101,99,116,32,37,115,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,109,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,109,104,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,72,82,68,0,0,0,0,0,37,115,0,0,0,0,0,0,83,84,79,80,32,0,0,0,84,105,109,101,32,109,101,97,115,117,114,101,109,101,110,116,115,32,97,114,101,32,115,116,111,114,101,100,32,105,110,32,37,115,95,112,114,111,102,46,104,116,109,108,32,40,104,117,109,97,110,45,114,101,97,100,97,98,108,101,41,32,97,110,100,32,37,115,95,112,114,111,102,46,120,109,108,32,40,102,111,114,32,88,83,76,32,116,114,97,110,115,102,111,114,109,115,32,111,114,32,109,111,114,101,32,100,101,116,97,105,108,115,41,0,0,0,0,0,0,35,35,35,32,83,84,65,84,73,83,84,73,67,83,32,35,35,35,0,0,0,0,0,0,60,111,108,100,84,105,109,101,50,62,37,46,49,50,103,60,47,111,108,100,84,105,109,101,50,62,10,0,0,0,0,0,115,116,97,114,116,67,111,108,117,109,110,0,0,0,0,0,110,111,116,32,117,112,100,97,116,105,110,103,32,98,101,115,116,90,0,0,0,0,0,0,100,101,102,97,117,108,116,32,109,101,116,104,111,100,0,0,70,97,105,108,101,100,32,116,111,32,115,111,108,118,101,32,108,105,110,101,97,114,32,115,121,115,116,101,109,32,111,102,32,101,113,117,97,116,105,111,110,115,32,40,110,111,46,32,37,100,41,32,97,116,32,116,105,109,101,32,37,102,44,32,115,121,115,116,101,109,32,105,115,32,115,105,110,103,117,108,97,114,32,102,111,114,32,85,91,37,100,44,32,37,100,93,46,0,0,0,0,0,0,0,115,104,111,119,115,32,97,108,108,32,119,97,114,110,105,110,103,115,32,101,118,101,110,32,105,102,32,97,32,114,101,108,97,116,101,100,32,108,111,103,45,115,116,114,101,97,109,32,105,115,32,105,110,97,99,116,105,118,101,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,49,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,70,97,105,108,101,100,32,116,111,32,103,101,110,101,114,97,116,101,32,104,116,109,108,32,118,101,114,115,105,111,110,32,111,102,32,112,114,111,102,105,108,105,110,103,32,114,101,115,117,108,116,115,58,32,37,115,10,0,0,0,0,0,0,0,60,111,108,100,84,105,109,101,62,37,46,49,50,103,60,47,111,108,100,84,105,109,101,62,10,0,0,0,0,0,0,0,65,0,0,0,112,0,0,0,114,0,0,0,105,0,0,0,108,0,0,0,0,0,0,0,117,112,100,97,116,105,110,103,32,98,101,115,116,90,0,0,37,115,32,101,118,101,110,116,32,97,116,32,116,105,109,101,32,37,46,49,50,103,0,0,84,82,85,69,0,0,0,0,97,110,97,108,121,116,105,99,97,108,32,74,97,99,111,98,105,97,110,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,115,111,108,118,101,114,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,50,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,79,80,69,78,77,79,68,69,76,73,67,65,72,79,77,69,32,109,105,115,115,105,110,103,0,0,0,0,0,0,0,0,60,99,117,114,114,101,110,116,83,116,101,112,83,105,122,101,62,37,103,60,47,99,117,114,114,101,110,116,83,116,101,112,83,105,122,101,62,10,0,0,115,116,97,114,116,76,105,110,101,0,0,0,0,0,0,0,77,0,0,0,97,0,0,0,114,0,0,0,99,0,0,0,104,0,0,0,0,0,0,0,78,111,32,83,112,97,114,115,101,80,97,116,116,101,114,110,44,32,115,105,110,99,101,32,116,104,101,114,101,32,97,114,101,32,110,111,32,115,116,97,116,101,115,33,32,83,119,105,116,99,104,32,98,97,99,107,32,116,111,32,110,111,114,109,97,108,46,0,0,0,0,0,117,110,115,117,112,112,111,114,116,101,100,32,111,112,116,105,111,110,32,45,105,111,109,0,91,37,108,100,93,32,37,103,0,0,0,0,0,0,0,0,70,76,65,71,95,85,78,75,78,79,87,78,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,97,32,110,101,119,32,114,101,115,117,108,116,32,102,105,108,101,32,116,104,97,110,32,116,104,101,32,100,101,102,97,117,108,116,32,77,111,100,101,108,95,114,101,115,46,109,97,116,0,0,0,0,0,0,0,0,82,0,0,0,0,0,0,0,116,105,109,101,32,60,32,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,51,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,51,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,9,0,0,0,0,0,0,0,37,115,32,45,111,32,37,115,95,112,114,111,102,46,104,116,109,108,32,37,115,47,115,104,97,114,101,47,111,109,99,47,115,99,114,105,112,116,115,47,100,101,102,97,117,108,116,95,112,114,111,102,105,108,105,110,103,46,120,115,108,32,37,115,95,112,114,111,102,46,120,109,108,0,0,0,0,0,0,0,70,0,0,0,101,0,0,0,98,0,0,0,114,0,0,0,117,0,0,0,97,0,0,0,114,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,105,110,105,116,105,97,108,105,122,97,116,105,111,110,45,110,114,46,32,37,108,100,0,0,115,116,97,116,101,115,0,0,119,114,105,116,97,98,108,101,0,0,0,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,105,110,116,101,114,97,99,116,105,118,101,32,115,105,109,117,108,97,116,105,111,110,32,112,111,114,116,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,49,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,120,115,108,116,112,114,111,99,0,0,0,0,0,0,0,0,60,109,111,100,101,108,62,37,115,60,47,109,111,100,101,108,62,10,0,0,0,0,0,0,102,105,108,101,78,97,109,101,0,0,0,0,0,0,0,0,74,0,0,0,97,0,0,0,110,0,0,0,117,0,0,0,97,0,0,0,114,0,0,0,121,0,0,0,0,0,0,0,35,35,35,32,70,73,78,65,76,32,73,78,73,84,73,65,76,73,90,65,84,73,79,78,32,82,69,83,85,76,84,83,32,35,35,35,0,0,0,0,68,65,83,83,76,45,45,32,32,84,65,75,69,78,32,79,78,32,84,72,73,83,32,67,65,76,76,32,66,69,70,79,82,69,32,82,69,65,67,72,73,78,71,32,84,79,85,84,0,0,0,0,0,0,0,0,99,106,58,32,37,103,0,0,114,101,97,100,111,110,108,121,0,0,0,0,0,0,0,0,119,105,108,108,32,111,118,101,114,114,105,100,101,32,116,104,101,32,118,97,114,105,97,98,108,101,115,32,111,114,32,116,104,101,32,115,105,109,117,108,97,116,105,111,110,32,115,101,116,116,105,110,103,115,32,105,110,32,116,104,101,32,88,77,76,32,115,101,116,117,112,32,102,105,108,101,32,119,105,116,104,32,116,104,101,32,118,97,108,117,101,115,32,102,114,111,109,32,116,104,101,32,102,105,108,101,0,0,0,0,0,0,110,111,116,32,119,101,108,108,45,102,111,114,109,101,100,32,40,105,110,118,97,108,105,100,32,116,111,107,101,110,41,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,50,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,87,97,114,110,105,110,103,58,32,80,108,111,116,32,99,111,109,109,97,110,100,32,102,97,105,108,101,100,10,0,0,0,115,107,105,112,32,119,47,111,32,115,99,97,108,105,110,103,0,0,0,0,0,0,0,0,105,105,102,0,0,0,0,0,97,116,32,112,111,105,110,116,32,105,110,32,116,105,109,101,58,32,37,103,0,0,0,0,115,101,113,117,101,110,116,105,97,108,32,105,111,32,110,111,116,32,97,108,108,111,119,101,100,0,0,0,0,0,0,0,91,37,115,58,37,100,58,37,100,45,37,100,58,37,100,58,37,115,93,0,0,0,0,0,111,118,101,114,114,105,100,101,32,116,104,101,32,118,97,114,105,97,98,108,101,115,32,111,114,32,116,104,101,32,115,105,109,117,108,97,116,105,111,110,32,115,101,116,116,105,110,103,115,32,105,110,32,116,104,101,32,88,77,76,32,115,101,116,117,112,32,102,105,108,101,0,114,116,95,99,108,111,99,107,95,110,99,97,108,108,32,33,61,32,48,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,51,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,51,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,115,105,109,117,108,97,116,105,111,110,47,109,111,100,101,108,105,110,102,111,46,99,0,0,78,111,32,118,97,114,105,97,98,108,101,115,32,105,110,32,116,104,101,32,109,111,100,101,108,46,0,0,0,0,0,0,100,101,115,99,114,105,112,116,105,111,110,0,0,0,0,0,80,77,0,0,0,0,0,0,115,116,97,114,116,32,119,105,116,104,32,115,99,97,108,105,110,103,0,0,0,0,0,0,100,97,115,115,108,116,101,115,116,0,0,0,0,0,0,0,97,100,100,105,116,105,111,110,97,108,32,105,110,102,111,114,109,97,116,105,111,110,32,97,98,111,117,116,32,116,104,101,32,122,101,114,111,99,114,111,115,115,105,110,103,115,0,0,111,117,116,112,117,116,32,116,104,101,32,118,97,114,105,97,98,108,101,115,32,97,44,32,98,32,97,110,100,32,99,32,97,116,32,116,104,101,32,101,110,100,32,111,102,32,116,104,101,32,115,105,109,117,108,97,116,105,111,110,32,116,111,32,116,104,101,32,115,116,97,110,100,97,114,100,32,111,117,116,112,117,116,0,0,0,0,0,100,97,116,97,73,110,102,111,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,98,117,102,0,0,0,0,0,69,114,114,111,114,58,32,67,111,117,108,100,32,110,111,116,32,105,110,105,116,105,97,108,105,122,101,32,116,104,101,32,103,108,111,98,97,108,32,100,97,116,97,32,115,116,114,117,99,116,117,114,101,32,102,105,108,101,0,0,0,0,0,0,65,77,0,0,0,0,0,0,111,118,101,114,45,100,101,116,101,114,109,105,110,101,100,0,100,97,115,115,108,73,110,116,101,114,110,97,108,78,117,109,74,97,99,0,0,0,0,0,63,63,63,0,0,0,0,0,100,111,32,110,111,116,32,101,109,105,116,32,101,118,101,110,116,32,112,111,105,110,116,115,32,116,111,32,116,104,101,32,114,101,115,117,108,116,32,102,105,108,101,0,0,0,0,0,105,110,118,97,108,105,100,32,100,97,116,97,32,110,111,100,101,0,0,0,0,0,0,0,76,111,119,101,114,0,0,0,85,110,105,116,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,95,114,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,95,114,101,102,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,60,47,115,105,109,117,108,97,116,105,111,110,62,10,0,0,117,115,101,32,37,115,32,45,104,101,108,112,32,102,111,114,32,97,32,108,105,115,116,32,111,102,32,97,108,108,32,99,111,109,109,97,110,100,45,108,105,110,101,32,102,108,97,103,115,0,0,0,0,0,0,0,118,97,108,117,101,82,101,102,101,114,101,110,99,101,0,0,110,111,32,105,110,105,116,105,97,108,32,118,97,108,117,101,115,32,116,111,32,99,97,108,99,117,108,97,116,101,0,0,101,114,114,111,114,32,105,110,32,102,111,114,109,97,116,0,100,97,115,115,108,67,111,108,111,114,83,121,109,74,97,99,0,0,0,0,0,0,0,0,97,100,100,105,116,105,111,110,97,108,32,115,116,97,116,105,115,116,105,99,115,32,97,98,111,117,116,32,116,105,109,101,114,47,101,118,101,110,116,115,47,115,111,108,118,101,114,0,100,111,32,110,111,116,32,101,109,105,116,32,97,110,121,32,114,101,115,117,108,116,115,32,116,111,32,116,104,101,32,114,101,115,117,108,116,32,102,105,108,101,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,60,47,112,114,111,102,105,108,101,98,108,111,99,107,115,62,10,0,0,0,0,0,0,0,105,110,118,97,108,105,100,32,99,111,109,109,97,110,100,32,108,105,110,101,32,111,112,116,105,111,110,58,32,45,104,101,108,112,61,37,115,0,0,0,80,0,0,0,77,0,0,0,0,0,0,0,0,0,0,0,37,115,40,102,105,120,101,100,61,116,114,117,101,41,32,61,32,37,103,0,0,0,0,0,67,0,0,0,0,0,0,0,117,110,98,97,108,97,110,99,101,100,32,99,111,109,109,97,110,100,32,108,105,110,101,32,102,108,97,103,32,115,116,114,117,99,116,117,114,101,58,32,70,76,65,71,95,68,69,84,65,73,76,69,68,95,68,69,83,67,0,0,0,0,0,0,100,97,115,115,108,78,117,109,74,97,99,0,0,0,0,0,27,0,0,0,0,0,0,0,105,110,100,101,120,91,37,100,93,32,61,61,32,48,44,32,115,105,122,101,32,61,61,32,37,100,10,0,0,0,0,0,115,105,109,117,108,97,116,105,111,110,47,115,105,109,117,108,97,116,105,111,110,95,105,110,102,111,95,120,109,108,46,99,0,0,0,0,0,0,0,0,97,99,99,95,116,112,32,33,61,32,48,0,0,0,0,0,114,43,0,0,0,0,0,0,102,105,110,97,108,32,115,111,108,117,116,105,111,110,32,111,102,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,0,0,0,0,115,101,116,32,110,111,107,101,121,10,0,0,0,0,0,0,80,114,105,110,116,32,106,97,99,58,0,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,110,111,110,108,105,110,101,97,114,32,115,111,108,118,101,114,0,0,0,0,97,105,109,99,77,46,115,116,97,116,111,114,46,76,115,105,103,109,97,0,0,0,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,111,112,116,105,111,110,32,45,110,108,115,61,37,115,44,32,99,117,114,114,101,110,116,32,111,112,116,105,111,110,115,32,97,114,101,58,0,0,0,0,0,0,0,115,105,109,117,108,97,116,105,111,110,95,105,110,112,117,116,95,120,109,108,46,99,112,112,58,32,69,114,114,111,114,58,32,99,97,110,32,110,111,116,32,114,101,97,100,32,102,105,108,101,32,37,115,32,97,115,32,115,101,116,117,112,32,102,105,108,101,32,116,111,32,116,104,101,32,103,101,110,101,114,97,116,101,100,32,115,105,109,117,108,97,116,105,111,110,32,99,111,100,101,46,0,0,0,35,80,116,111,108,101,109,121,32,80,108,111,116,32,102,105,108,101,44,32,103,101,110,101,114,97,116,101,100,32,98,121,32,79,112,101,110,77,111,100,101,108,105,99,97,10,0,0,100,97,116,97,73,110,102,111,0,0,0,0,0,0,0,0,69,114,114,111,114,44,32,99,111,117,108,100,110,39,116,32,99,114,101,97,116,101,32,111,117,116,112,117,116,32,102,105,108,101,58,32,91,37,115,93,32,98,101,99,97,117,115,101,32,111,102,32,37,115,0,0,37,115,44,0,0,0,0,0,69,114,114,111,114,32,105,110,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,46,32,78,117,109,98,101,114,32,111,102,32,105,110,105,116,105,97,108,32,118,97,108,117,101,115,32,116,111,32,99,97,108,99,117,108,97,116,101,32,60,32,49,0,0,0,0,0,0,76,79,71,95,68,83,83,0,91,37,108,100,93,32,100,105,115,99,114,101,116,101,32,82,101,97,108,32,37,115,40,115,116,97,114,116,61,37,103,44,32,110,111,109,105,110,97,108,61,37,103,41,32,61,32,37,103,0,0,0,0,0,0,0,117,110,102,105,120,101,100,32,118,97,114,105,97,98,108,101,115,0,0,0,0,0,0,0,10,73,110,112,117,116,58,32,116,61,37,102,32,32,32,9,0,0,0,0,0,0,0,0,115,101,108,101,99,116,32,110,101,119,32,115,116,97,116,101,115,32,97,116,32,116,105,109,101,32,37,102,0,0,0,0,81,76,70,0,0,0,0,0,97,105,109,99,77,46,105,115,91,50,93,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,95,114,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,95,114,101,102,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,60,112,114,111,102,105,108,101,98,108,111,99,107,115,62,10,0,0,0,0,0,0,0,0,70,105,110,105,115,104,101,100,0,0,0,0,0,0,0,0,100,101,116,97,105,108,101,100,32,102,108,97,103,45,100,101,115,99,114,105,112,116,105,111,110,32,102,111,114,58,32,60,45,37,115,61,118,97,108,117,101,62,32,111,114,32,60,45,37,115,32,118,97,108,117,101,62,10,37,115,0,0,0,0,110,97,109,101,0,0,0,0,65,0,0,0,77,0,0,0,0,0,0,0,0,0,0,0,115,101,116,116,105,110,103,32,102,105,120,101,100,61,116,114,117,101,32,102,111,114,58], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+30760);
/* memory initializer */ allocate([111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,117,110,107,110,111,119,110,0,69,114,114,111,114,32,115,111,108,118,105,110,103,32,108,105,110,101,97,114,32,115,121,115,116,101,109,32,111,102,32,101,113,117,97,116,105,111,110,115,32,40,110,111,46,32,37,100,41,32,97,116,32,116,105,109,101,32,37,102,46,32,65,114,103,117,109,101,110,116,32,37,100,32,105,108,108,101,103,97,108,46,0,0,0,0,0,0,100,97,115,115,108,83,121,109,74,97,99,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,111,117,116,112,117,116,32,102,111,114,109,97,116,32,111,102,32,116,104,101,32,109,101,97,115,117,114,101,32,116,105,109,101,32,102,117,110,99,116,105,111,110,97,108,105,116,121,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,60,47,101,113,117,97,116,105,111,110,115,62,10,0,0,0,97,100,100,105,116,105,111,110,97,108,32,105,110,102,111,114,109,97,116,105,111,110,32,97,98,111,117,116,32,115,111,108,118,101,114,32,112,114,111,99,101,115,115,0,0,0,0,0,100,101,116,97,105,108,101,100,32,102,108,97,103,45,100,101,115,99,114,105,112,116,105,111,110,32,102,111,114,58,32,60,45,37,115,62,10,37,115,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,115,116,97,116,101,115,0,0,0,0,0,0,0,0,117,110,100,101,114,45,100,101,116,101,114,109,105,110,101,100,0,0,0,0,0,0,0,0,82,117,110,110,105,110,103,0,100,97,115,115,108,119,111,114,116,0,0,0,0,0,0,0,97,100,100,105,116,105,111,110,97,108,32,105,110,102,111,114,109,97,116,105,111,110,32,97,98,111,117,116,32,115,105,109,117,108,97,116,105,111,110,32,112,114,111,99,101,115,115,0,91,115,116,114,105,110,103,32,108,105,115,116,93,32,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,108,111,103,103,105,110,103,32,108,101,118,101,108,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,95,114,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,95,114,101,102,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,60,101,113,117,97,116,105,111,110,115,62,10,0,0,0,0,105,110,118,97,108,105,100,32,99,111,109,109,97,110,100,32,108,105,110,101,32,111,112,116,105,111,110,58,32,45,108,111,103,70,111,114,109,97,116,61,37,115,44,32,101,120,112,101,99,116,101,100,32,116,101,120,116,32,111,114,32,120,109,108,0,0,0,0,0,0,0,0,110,121,115,116,114,32,105,110,32,115,101,116,117,112,32,102,105,108,101,58,32,37,108,100,32,102,114,111,109,32,109,111,100,101,108,32,99,111,100,101,58,32,37,108,100,0,0,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,110,111,32,105,110,105,116,105,97,108,32,114,101,115,105,100,117,97,108,115,32,40,110,101,105,116,104,101,114,32,105,110,105,116,105,97,108,32,101,113,117,97,116,105,111,110,115,32,110,111,114,32,105,110,105,116,105,97,108,32,97,108,103,111,114,105,116,104,109,115,41,0,101,110,100,102,105,108,101,0,100,97,115,115,108,0,0,0,111,117,116,112,117,116,115,32,114,101,115,105,100,117,97,108,115,32,111,102,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,108,105,110,101,97,114,32,115,111,108,118,101,114,32,109,101,116,104,111,100,32,102,111,114,32,105,112,111,112,116,0,0,0,0,0,0,78,0,0,0,0,0,0,0,116,105,109,101,32,60,32,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,60,47,102,117,110,99,116,105,111,110,115,62,10,0,0,0,116,101,120,116,0,0,0,0,110,112,115,116,114,32,105,110,32,115,101,116,117,112,32,102,105,108,101,58,32,37,108,100,32,102,114,111,109,32,109,111,100,101,108,32,99,111,100,101,58,32,37,108,100,0,0,0,110,111,32,118,97,114,105,97,98,108,101,115,32,116,111,32,105,110,105,116,105,97,108,105,122,101,0,0,0,0,0,0,32,73,79,0,0,0,0,0,100,97,115,115,108,32,102,111,114,32,100,101,98,117,103,32,112,114,111,112,111,115,101,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,108,105,110,101,97,114,32,115,111,108,118,101,114,32,109,101,116,104,111,100,0,0,0,0,0,0,0,0,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,0,0,0,0,0,0,0,60,102,117,110,99,116,105,111,110,115,62,10,0,0,0,0,111,117,116,112,117,116,115,32,101,118,101,114,121,32,101,118,97,108,117,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,105,100,117,97,108,32,102,117,110,99,116,105,111,110,0,0,0,0,0,0,0,120,109,108,0,0,0,0,0,110,121,98,111,111,108,32,105,110,32,115,101,116,117,112,32,102,105,108,101,58,32,37,108,100,32,102,114,111,109,32,109,111,100,101,108,32,99,111,100,101,58,32,37,108,100,0,0,67,97,110,110,111,116,32,105,110,105,116,105,97,108,105,122,101,32,117,110,105,113,117,101,32,116,104,101,32,100,121,110,97,109,105,99,32,115,116,97,116,101,32,115,101,108,101,99,116,105,111,110,46,32,85,115,101,32,45,108,118,32,76,79,71,95,68,83,83,32,116,111,32,115,101,101,32,116,104,101,32,115,119,105,116,99,104,105,110,103,32,115,116,97,116,101,32,115,101,116,46,0,0,0,105,110,116,101,114,110,97,108,0,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,65,84,32,67,85,82,82,69,78,84,32,84,32,40,61,82,49,41,32,32,53,48,48,32,83,84,69,80,83,0,0,100,97,115,115,108,32,119,105,116,104,32,105,110,116,101,114,110,97,108,32,110,117,109,101,114,105,99,97,108,32,106,97,99,111,98,105,97,110,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,108,111,103,32,102,111,114,109,97,116,32,111,102,32,116,104,101,32,101,120,101,99,117,116,97,98,108,101,46,32,45,108,111,103,70,111,114,109,97,116,61,116,101,120,116,32,40,100,101,102,97,117,108,116,41,32,111,114,32,45,108,111,103,70,111,114,109,97,116,61,120,109,108,0,0,0,110,111,32,101,108,101,109,101,110,116,32,102,111,117,110,100,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,84,79,112,101,114,97,116,105,111,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,84,79,112,101,114,97,116,105,111,110,97,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,60,47,118,97,114,105,97,98,108,101,115,62,10,0,0,0,111,117,116,112,117,116,115,32,116,104,101,32,106,97,99,111,98,105,97,110,32,111,102,32,110,111,110,108,105,110,101,97,114,32,115,121,115,116,101,109,115,0,0,0,0,0,0,0,91,117,110,107,110,111,119,110,32,102,108,97,103,45,116,121,112,101,93,32,60,45,37,115,62,0,0,0,0,0,0,0,110,112,98,111,111,108,32,105,110,32,115,101,116,117,112,32,102,105,108,101,58,32,37,108,100,32,102,114,111,109,32,109,111,100,101,108,32,99,111,100,101,58,32,37,108,100,0,0,37,46,49,54,103,44,0,0,101,120,116,101,114,110,97,108,0,0,0,0,0,0,0,0,100,97,115,115,108,32,119,105,116,104,32,99,111,108,111,114,101,100,32,115,121,109,98,111,108,105,99,32,106,97,99,111,98,105,97,110,0,0,0,0,104,101,108,112,0,0,0,0,68,65,83,83,76,45,45,32,32,82,85,78,32,84,69,82,77,73,78,65,84,69,68,46,32,65,80,80,65,82,69,78,84,32,73,78,70,73,78,73,84,69,32,76,79,79,80,0,100,105,114,101,99,116,32,105,111,32,110,111,116,32,97,108,108,111,119,101,100,0,0,0,98,97,115,101,95,97,114,114,97,121,95,111,107,40,115,111,117,114,99,101,41,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,97,32,116,105,109,101,32,119,104,101,114,101,32,116,104,101,32,108,105,110,101,97,114,105,122,97,116,105,111,110,32,111,102,32,116,104,101,32,109,111,100,101,108,32,115,104,111,117,108,100,32,98,101,32,112,101,114,102,111,114,109,101,100,0,116,105,99,107,95,116,112,32,33,61,32,48,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,60,118,97,114,105,97,98,108,101,115,62,10,0,0,0,0,118,101,114,98,111,115,101,32,108,111,103,103,105,110,103,32,111,102,32,110,111,110,108,105,110,101,97,114,32,115,121,115,116,101,109,115,0,0,0,0,60,45,37,115,61,118,97,108,117,101,62,32,111,114,32,60,45,37,115,32,118,97,108,117,101,62,10,32,32,37,115,0,110,121,105,110,116,32,105,110,32,115,101,116,117,112,32,102,105,108,101,58,32,37,108,100,32,102,114,111,109,32,109,111,100,101,108,32,99,111,100,101,58,32,37,108,100,0,0,0,108,97,109,98,100,97,32,61,32,37,103,32,100,111,110,101,0,0,0,0,0,0,0,0,117,110,102,111,114,109,97,116,116,101,100,0,0,0,0,0,100,97,115,115,108,32,119,105,116,104,32,110,117,109,101,114,105,99,97,108,32,106,97,99,111,98,105,97,110,0,0,0,68,65,83,83,76,45,45,32,32,82,69,80,69,65,84,69,68,32,79,67,67,85,82,82,69,78,67,69,83,32,79,70,32,73,76,76,69,71,65,76,32,73,78,80,85,84,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,105,110,105,116,105,97,108,32,103,117,101,115,115,32,102,111,114,32,111,112,116,105,109,105,122,97,116,105,111,110,0,0,0,0,0,0,100,101,115,99,114,105,112,116,105,111,110,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,60,47,112,114,111,102,105,108,105,110,103,100,97,116,97,104,101,97,100,101,114,62,10,0,108,111,103,103,105,110,103,32,102,111,114,32,110,111,110,108,105,110,101,97,114,32,115,121,115,116,101,109,115,0,0,0,60,45,37,115,62,10,32,32,37,115,0,0,0,0,0,0,110,112,105,110,116,32,105,110,32,115,101,116,117,112,32,102,105,108,101,58,32,37,108,100,32,102,114,111,109,32,109,111,100,101,108,32,99,111,100,101,58,32,37,108,100,0,0,0,104,111,109,111,116,111,112,121,32,112,114,111,99,101,115,115,0,0,0,0,0,0,0,0,102,111,114,109,97,116,116,101,100,0,0,0,0,0,0,0,83,101,116,32,116,111,108,101,114,97,110,99,101,32,102,111,114,32,122,101,114,111,45,99,114,111,115,115,105,110,103,32,104,121,115,116,101,114,101,115,105,115,32,116,111,58,32,37,101,0,0,0,0,0,0,0,100,97,115,115,108,32,119,105,116,104,32,115,121,109,98,111,108,105,99,32,106,97,99,111,98,105,97,110,0,0,0,0,100,105,114,101,99,116,0,0,32,32,32,32,32,32,32,32,32,84,79,79,32,78,69,65,82,32,84,79,32,84,72,69,32,73,78,73,84,73,65,76,32,80,79,73,78,84,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,106,97,99,111,98,105,97,110,32,102,111,114,32,73,112,111,112,116,0,0,105,110,118,97,108,105,100,32,108,105,115,116,45,110,111,100,101,0,0,0,0,0,0,0,76,101,102,116,0,0,0,0,78,111,32,116,114,97,110,115,112,111,115,101,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,60,112,114,111,102,105,108,105,110,103,100,97,116,97,104,101,97,100,101,114,62,10,0,0,118,101,114,98,111,115,101,32,108,111,103,103,105,110,103,32,111,102,32,108,105,110,101,97,114,32,115,121,115,116,101,109,115,0,0,0,0,0,0,0,117,115,97,103,101,58,32,37,115,0,0,0,0,0,0,0,110,112,32,105,110,32,115,101,116,117,112,32,102,105,108,101,58,32,37,108,100,32,102,114,111,109,32,109,111,100,101,108,32,99,111,100,101,58,32,37,108,100,0,0,0,0,0,0,101,114,114,111,114,32,97,108,108,111,99,97,116,105,110,103,32,101,120,116,101,114,110,97,108,32,111,98,106,101,99,116,115,0,0,0,0,0,0,0,100,97,115,115,108,32,119,105,116,104,111,117,116,32,105,110,116,101,114,110,97,108,32,114,111,111,116,32,102,105,110,100,105,110,103,0,0,0,0,0,68,65,83,83,76,45,45,32,32,79,78,69,32,79,82,32,77,79,82,69,32,67,79,77,80,79,78,69,78,84,83,32,79,70,32,71,32,72,65,83,32,65,32,82,79,79,84,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,104,101,115,115,105,97,110,32,102,111,114,32,73,112,111,112,116,0,0,0,98,105,110,84,114,97,110,115,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,60,47,109,111,100,101,108,105,110,102,111,95,101,120,116,62,10,0,0,0,0,0,0,0,108,111,103,103,105,110,103,32,102,111,114,32,108,105,110,101,97,114,32,115,121,115,116,101,109,115,0,0,0,0,0,0,114,101,99,111,103,110,105,122,101,100,32,115,111,108,118,101,114,58,32,37,115,0,0,0,110,121,32,105,110,32,115,101,116,117,112,32,102,105,108,101,58,32,37,108,100,32,102,114,111,109,32,109,111,100,101,108,32,99,111,100,101,58,32,37,108,100,0,0,0,0,0,0,108,97,109,98,100,97,0,0,115,101,113,117,101,110,116,105,97,108,0,0,0,0,0,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,115,116,101,112,32,33,61,32,48,0,0,0,0,0,0,0,84,0,0,0,0,0,0,0,117,110,98,97,108,97,110,99,101,100,32,99,111,109,109,97,110,100,32,108,105,110,101,32,102,108,97,103,32,115,116,114,117,99,116,117,114,101,58,32,70,76,65,71,95,68,69,83,67,0,0,0,0,0,0,0,100,97,115,115,108,32,119,105,116,104,32,99,111,108,111,114,101,100,32,110,117,109,101,114,105,99,97,108,32,106,97,99,111,98,105,97,110,44,32,119,105,116,104,32,105,110,116,101,114,118,97,108,32,114,111,111,116,32,102,105,110,100,105,110,103,0,0,0,0,0,0,0,7,0,0,0,0,0,0,0,105,110,100,101,120,95,115,112,101,99,95,111,107,58,32,116,104,101,32,105,110,100,101,120,32,115,112,101,99,32,100,105,109,101,110,115,105,111,110,32,115,105,122,101,32,102,111,114,32,100,105,109,101,110,115,105,111,110,32,37,100,32,105,115,32,110,101,103,97,116,105,118,101,58,32,37,100,33,10,0,37,115,58,32,69,114,114,111,114,58,32,102,97,105,108,101,100,32,116,111,32,114,101,97,100,32,116,104,101,32,88,77,76,32,102,105,108,101,32,37,115,58,32,37,115,32,97,116,32,108,105,110,101,32,37,108,117,0,0,0,0,0,0,0,114,43,98,0,0,0,0,0,115,101,116,32,116,101,114,109,105,110,97,108,32,115,118,103,10,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,78,71,32,40,61,73,49,41,32,46,76,84,46,32,48,0,0,0,0,0,0,0,0,119,114,105,116,101,32,105,110,32,106,97,99,91,37,100,93,45,91,37,100,44,37,100,93,61,37,103,32,102,114,111,109,32,114,111,119,91,37,100,93,61,37,103,0,0,0,0,0,112,114,101,102,105,120,32,109,117,115,116,32,110,111,116,32,98,101,32,98,111,117,110,100,32,116,111,32,111,110,101,32,111,102,32,116,104,101,32,114,101,115,101,114,118,101,100,32,110,97,109,101,115,112,97,99,101,32,110,97,109,101,115,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,111,112,116,105,109,105,122,97,116,105,111,110,32,109,101,116,104,111,100,0,0,97,105,109,99,68,97,116,97,46,102,115,78,111,109,105,110,97,108,32,42,32,54,46,50,56,51,49,56,53,51,48,55,49,55,57,53,56,54,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,111,112,116,105,111,110,32,45,108,118,32,37,115,0,0,0,0,0,0,114,0,0,0,0,0,0,0,69,114,114,111,114,44,32,99,111,117,108,100,110,39,116,32,99,114,101,97,116,101,32,111,117,116,112,117,116,32,102,105,108,101,58,32,91,37,115,93,32,98,101,99,97,117,115,101,32,111,102,32,37,115,0,0,100,101,115,99,114,105,112,116,105,111,110,0,0,0,0,0,119,0,0,0,0,0,0,0,119,116,0,0,0,0,0,0,69,114,114,111,114,32,105,110,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,46,32,73,110,99,111,110,115,105,115,116,101,110,116,32,105,110,105,116,105,97,108,32,99,111,110,100,105,116,105,111,110,115,46,0,0,0,0,0,0,0,91,37,108,100,93,32,112,97,114,97,109,101,116,101,114,32,82,101,97,108,32,37,115,40,115,116,97,114,116,61,37,103,44,32,110,111,109,105,110,97,108,61,37,103,41,32,61,32,37,103,0,0,0,0,0,0,76,79,71,95,68,69,66,85,71,0,0,0,0,0,0,0,102,111,114,109,97,116,32,116,111,111,32,99,111,109,112,108,105,99,97,116,101,100,58,10,0,0,0,0,0,0,0,0,108,101,97,115,116,32,115,113,117,97,114,101,32,118,97,108,117,101,58,32,37,103,0,0,69,114,114,111,114,44,32,115,105,110,103,117,108,97,114,32,74,97,99,111,98,105,97,110,32,102,111,114,32,100,121,110,97,109,105,99,32,115,116,97,116,101,32,115,101,108,101,99,116,105,111,110,32,97,116,32,116,105,109,101,32,37,102,10,85,115,101,32,45,108,118,32,76,79,71,95,68,83,83,95,74,65,67,32,116,111,32,103,101,116,32,116,104,101,32,74,97,99,111,98,105,97,110,0,76,81,70,0,0,0,0,0,97,105,109,99,77,46,105,115,91,49,93,0,0,0,0,0,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,0,0,0,82,101,102,101,114,101,110,99,101,100,32,39,37,115,39,32,116,104,97,116,32,119,97,115,32,110,111,116,32,100,101,99,108,97,114,101,100,32,97,115,32,60,118,97,114,105,97,98,108,101,62,0,0,0,0,0,60,111,100,101,84,105,109,101,84,105,99,107,115,62,37,108,117,60,47,111,100,101,84,105,109,101,84,105,99,107,115,62,10,0,0,0,0,0,0,0,116,101,114,109,105,110,97,108,32,101,118,101,110,116,32,97,116,32,115,116,111,112,32,116,105,109,101,32,37,103,0,0,111,117,116,112,117,116,115,32,116,104,101,32,106,97,99,111,98,105,97,110,32,109,97,116,114,105,120,32,117,115,101,100,32,98,121,32,100,97,115,115,108,0,0,0,0,0,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,111,112,116,105,111,110,32,45,115,32,37,115,0,0,0,0,0,0,0,110,120,32,105,110,32,115,101,116,117,112,32,102,105,108,101,58,32,37,108,100,32,102,114,111,109,32,109,111,100,101,108,32,99,111,100,101,58,32,37,100,0,0,0,0,0,0,0,37,115,44,0,0,0,0,0,119,114,105,116,105,110,103,0,44,37,115,61,34,37,115,34,0,0,0,0,0,0,0,0,89,111,117,114,32,109,101,109,111,114,121,32,105,115,32,110,111,116,32,115,116,114,111,110,103,32,101,110,111,117,103,104,32,102,111,114,32,111,117,114,32,82,105,110,103,98,117,102,102,101,114,33,0,0,0,0,78,76,83,95,77,65,88,0,98,32,118,101,99,116,111,114,32,91,37,100,93,0,0,0,69,82,82,79,82,58,32,84,111,111,32,109,97,110,121,32,101,118,101,110,116,32,105,116,101,114,97,116,105,111,110,115,46,32,83,121,115,116,101,109,32,105,115,32,105,110,99,111,110,115,105,115,116,101,110,116,46,32,83,105,109,117,108,97,116,105,111,110,32,116,101,114,109,105,110,97,116,101,46,0,117,110,107,110,111,119,110,0,68,65,83,83,76,45,45,32,32,84,79,85,84,32,40,61,82,49,41,32,73,83,32,69,81,85,65,76,32,84,79,32,84,32,40,61,82,50,41,0,114,101,115,101,114,118,101,100,32,112,114,101,102,105,120,32,40,120,109,108,110,115,41,32,109,117,115,116,32,110,111,116,32,98,101,32,100,101,99,108,97,114,101,100,32,111,114,32,117,110,100,101,99,108,97,114,101,100,0,0,0,0,0,0,115,112,101,99,105,102,121,32,105,110,116,101,114,97,99,116,105,118,101,32,115,105,109,117,108,97,116,105,111,110,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,60,111,100,101,84,105,109,101,62,37,102,60,47,111,100,101,84,105,109,101,62,10,0,0,99,104,101,99,107,32,104,101,115,115,105,97,110,32,109,97,116,114,105,120,32,119,105,116,104,32,73,112,111,112,116,0,65,108,108,111,99,97,116,101,100,32,115,105,109,117,108,97,116,105,111,110,32,114,101,115,117,108,116,32,100,97,116,97,32,115,116,111,114,97,103,101,32,102,111,114,32,109,101,116,104,111,100,32,39,37,115,39,32,97,110,100,32,102,105,108,101,61,39,37,115,39,0,0,69,114,114,111,114,44,32,105,110,112,117,116,32,100,97,116,97,32,102,105,108,101,32,100,111,101,115,32,110,111,116,32,109,97,116,99,104,32,109,111,100,101,108,46,0,0,0,0,119,116,0,0,0,0,0,0,114,101,97,100,105,110,103,0,44,37,115,61,37,105,0,0,99,97,108,108,32,115,111,108,118,101,114,32,102,114,111,109,32,37,103,32,116,111,32,37,103,32,40,115,116,101,112,83,105,122,101,58,32,37,103,41,0,0,0,0,0,0,0,0,84,104,101,32,99,111,100,101,32,104,97,115,32,101,110,99,111,117,110,116,101,114,101,100,32,116,114,111,117,98,108,101,32,102,114,111,109,32,119,104,105,99,104,32,105,116,32,99,97,110,110,111,116,32,114,101,99,111,118,101,114,46,0,0,68,65,83,83,76,45,45,32,32,77,85,32,40,61,73,49,41,32,73,76,76,69,71,65,76,46,32,69,73,84,72,69,82,32,46,76,84,46,32,48,32,79,82,32,46,71,84,46,32,78,69,81,0,0,0,0,114,101,115,101,114,118,101,100,32,112,114,101,102,105,120,32,40,120,109,108,41,32,109,117,115,116,32,110,111,116,32,98,101,32,117,110,100,101,99,108,97,114,101,100,32,111,114,32,98,111,117,110,100,32,116,111,32,97,110,111,116,104,101,114,32,110,97,109,101,115,112,97,99,101,32,110,97,109,101,0,91,105,110,116,93,32,100,101,102,97,117,108,116,58,32,49,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,100,117,109,109,121,86,97,114,83,116,97,116,101,83,101,116,74,97,99,0,0,0,0,0,60,109,111,100,101,108,105,110,102,111,95,101,120,116,62,10,0,0,0,0,0,0,0,0,99,104,101,99,107,32,106,97,99,111,98,105,97,110,32,109,97,116,114,105,120,32,119,105,116,104,32,73,112,111,112,116,0,0,0,0,0,0,0,0,85,110,107,110,111,119,110,32,111,117,116,112,117,116,32,102,111,114,109,97,116,58,32,0,110,117,109,98,101,114,79,102,83,116,114,105,110,103,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,0,0,0,0,0,0,0,0,108,111,99,97,108,101,32,110,111,116,32,115,117,112,112,111,114,116,101,100,0,0,0,0,37,115,95,104,111,109,111,116,111,112,121,46,99,115,118,0,108,97,116,101,108,121,32,37,115,32,37,115,32,37,115,32,37,115,0,0,0,0,0,0,44,37,115,61,37,108,105,0,124,32,115,111,108,118,101,114,32,124,32,85,115,101,32,115,111,108,118,101,114,32,109,101,116,104,111,100,58,32,37,115,9,37,115,0,0,0,0,0,68,68,65,83,83,76,32,102,97,105,108,101,100,32,116,111,32,99,111,109,112,117,116,101,32,116,104,101,32,105,110,105,116,105,97,108,32,89,80,82,73,77,69,46,0,0,0,0,108,97,115,116,32,102,111,114,109,97,116,58,32,37,115,10,0,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,77,76,32,40,61,73,49,41,32,73,76,76,69,71,65,76,46,32,69,73,84,72,69,82,32,46,76,84,46,32,48,32,79,82,32,46,71,84,46,32,78,69,81,0,0,0,0,99,97,110,110,111,116,32,115,117,115,112,101,110,100,32,105,110,32,101,120,116,101,114,110,97,108,32,112,97,114,97,109,101,116,101,114,32,101,110,116,105,116,121,0,0,0,0,0,91,100,111,117,98,108,101,93,32,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,97,32,116,105,109,101,32,102,111,114,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,111,102,32,116,104,101,32,109,111,100,101,108,0,0,0,0,0,80,0,0,0,0,0,0,0,116,105,109,101,32,60,32,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,84,79,68,79,58,32,83,101,116,32,109,101,32,117,112,33,33,33,0,0,0,0,0,0,60,47,109,111,100,101,108,105,110,102,111,62,10,0,0,0,109,111,114,101,32,105,110,102,111,114,109,97,116,105,111,110,32,102,114,111,109,32,73,112,111,112,116,0,0,0,0,0,112,108,116,0,0,0,0,0,110,117,109,98,101,114,79,102,83,116,114,105,110,103,80,97,114,97,109,101,116,101,114,115,0,0,0,0,0,0,0,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,44,37,115,61,37,46,50,48,103,0,0,0,0,0,0,0,73,82,69,83,32,101,113,117,97,108,32,116,111,32,45,50,32,119,97,115,32,101,110,99,111,117,110,116,101,114,101,100,32,97,110,100,32,99,111,110,116,114,111,108,32,105,115,32,98,101,105,110,103,32,114,101,116,117,114,110,101,100,32,116,111,32,116,104,101,32,99,97,108,108,105,110,103,32,112,114,111,103,114,97,109,46,0,0,68,65,83,83,76,45,45,32,32,73,78,70,79,40,52,41,61,49,32,65,78,68,32,84,83,84,79,80,32,40,61,82,49,41,32,66,69,72,73,78,68,32,84,32,40,61,82,50,41,0,0,0,0,0,0,0,112,97,114,115,105,110,103,32,102,105,110,105,115,104,101,100,0,0,0,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,109,101,116,104,111,100,0,0,0,0,0,0,0,37,0,0,0,73,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,32,0,0,0,37,0,0,0,112,0,0,0,0,0,0,0,98,97,115,101,95,97,114,114,97,121,46,99,58,32,97,114,114,97,121,32,100,105,109,101,110,115,105,111,110,32,115,105,122,101,32,102,111,114,32,100,105,109,101,110,115,105,111,110,32,37,100,32,105,115,32,37,100,32,60,32,48,33,10,0,35,70,73,88,77,69,35,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,60,109,97,120,84,105,109,101,62,37,46,57,102,60,47,109,97,120,84,105,109,101,62,10,0,0,0,0,0,0,0,0,105,110,102,111,114,109,97,116,105,111,110,32,102,114,111,109,32,73,112,111,112,116,0,0,119,97,108,108,0,0,0,0,110,117,109,98,101,114,79,102,66,111,111,108,101,97,110,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,0,0,0,0,0,0,0,105,110,118,0,0,0,0,0,35,35,35,32,69,78,68,32,73,78,73,84,73,65,76,73,90,65,84,73,79,78,32,35,35,35,0,0,0,0,0,0,97,112,112,97,114,101,110,116,32,115,116,97,116,101,58,32,105,110,116,101,114,110,97,108,32,73,47,79,10,0,0,0,116,105,109,101,61,37,46,50,48,103,0,0,0,0,0,0,80,0,0,0,0,0,0,0,65,32,77,111,100,101,108,105,99,97,32,97,115,115,101,114,116,32,112,114,101,118,101,110,116,115,32,116,104,101,32,105,110,116,101,103,114,97,116,111,114,32,116,111,32,99,111,110,116,105,110,117,101,46,32,70,111,114,32,109,111,114,101,32,105,110,102,111,114,109,97,116,105,111,110,32,117,115,101,32,45,108,118,32,76,79,71,95,68,68,65,83,82,84,0,0,68,65,83,83,76,45,45,32,84,79,85,84,32,40,61,82,49,41,32,84,79,79,32,67,76,79,83,69,32,84,79,32,84,32,40,61,82,50,41,32,84,79,32,83,84,65,82,84,32,73,78,84,69,71,82,65,84,73,79,78,0,0,0,0,112,97,114,115,105,110,103,32,97,98,111,114,116,101,100,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,97,110,32,101,120,116,101,114,110,97,108,32,102,105,108,101,32,102,111,114,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,111,102,32,116,104,101,32,109,111,100,101,108,0,0,0,0,115,121,110,116,97,120,32,101,114,114,111,114,0,0,0,0,60,118,97,114,62,45,116,97,103,32,100,105,100,32,110,111,116,32,115,101,116,32,110,97,109,101,32,97,110,100,32,99,111,109,109,101,110,116,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,60,110,117,109,83,116,101,112,62,37,100,60,47,110,117,109,83,116,101,112,62,10,0,0,97,100,100,105,116,105,111,110,97,108,32,105,110,102,111,114,109,97,116,105,111,110,32,100,117,114,105,110,103,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,0,0,0,0,109,97,116,0,0,0,0,0,110,117,109,98,101,114,79,102,66,111,111,108,101,97,110,80,97,114,97,109,101,116,101,114,115,0,0,0,0,0,0,0,37,73,58,37,77,58,37,83,32,37,112,0,0,0,0,0,116,0,0,0,0,0,0,0,117,110,115,117,112,112,111,114,116,101,100,32,111,112,116,105,111,110,32,45,105,105,109,0,40,117,110,110,97,109,101,100,41,10,0,0,0,0,0,0,44,0,0,0,0,0,0,0,84,104,101,32,99,111,114,114,101,99,116,111,114,32,99,111,117,108,100,32,110,111,116,32,99,111,110,118,101,114,103,101,46,32,84,104,101,114,101,32,119,101,114,101,32,114,101,112,101,97,116,101,100,32,101,114,114,111,114,32,116,101,115,116,32,102,97,105,108,117,114,101,115,32,105,110,32,116,104,105,115,32,115,116,101,112,46,0,102,0,0,0,0,0,0,0,110,97,109,101,100,32,37,115,10,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,83,79,77,69,32,69,76,69,77,69,78,84,32,79,70,32,87,84,32,73,83,32,46,76,69,46,32,48,46,48,0,112,97,114,115,101,114,32,110,111,116,32,115,117,115,112,101,110,100,101,100,0,0,0,0,103,101,116,32,100,101,116,97,105,108,101,100,32,105,110,102,111,114,109,97,116,105,111,110,32,116,104,97,116,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,99,111,109,109,97,110,100,45,108,105,110,101,32,102,108,97,103,0,0,0,117,110,102,111,114,109,97,116,116,101,100,32,105,111,32,110,111,116,32,97,108,108,111,119,101,100,0,0,0,0,0,0,116,111,116,97,108,95,116,112,32,33,61,32,48,0,0,0,99,111,109,109,101,110,116,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,60,116,111,116,97,108,83,116,101,112,115,84,105,109,101,62,37,102,60,47,116,111,116,97,108,83,116,101,112,115,84,105,109,101,62,10,0,0,0,0,118,101,114,98,111,115,101,32,108,111,103,103,105,110,103,32,111,102,32,101,118,101,110,116,32,115,121,115,116,101,109,0,99,115,118,0,0,0,0,0,110,117,109,98,101,114,79,102,73,110,116,101,103,101,114,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,0,0,0,0,0,0,0,37,0,0,0,97,0,0,0,32,0,0,0,37,0,0,0,98,0,0,0,32,0,0,0,37,0,0,0,100,0,0,0,32,0,0,0,37,0,0,0,72,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,32,0,0,0,37,0,0,0,89,0,0,0,0,0,0,0,0,0,0,0,115,0,0,0,0,0,0,0,111,112,116,105,109,105,122,97,116,105,111,110,32,109,101,116,104,111,100,58,32,32,32,37,45,49,53,115,32,91,37,115,93,0,0,0,0,0,0,0,83,116,97,114,116,32,110,117,109,101,114,105,99,97,108,32,115,111,108,118,101,114,32,102,114,111,109,32,37,103,32,116,111,32,37,103,0,0,0,0,69,120,101,99,117,116,105,111,110,32,102,97,105,108,101,100,33,10,0,0,0,0,0,0,84,104,101,32,109,97,116,114,105,120,32,111,102,32,112,97,114,116,105,97,108,32,100,101,114,105,118,97,116,105,118,101,115,32,105,115,32,115,105,110,103,117,108,97,114,46,0,0,68,65,83,83,76,45,45,32,32,73,78,70,79,40,56,41,61,49,32,65,78,68,32,72,48,61,48,46,48,0,0,0,112,97,114,115,101,114,32,115,117,115,112,101,110,100,101,100,0,0,0,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,97,32,110,101,119,32,115,101,116,117,112,32,88,77,76,32,102,105,108,101,32,116,111,32,116,104,101,32,103,101,110,101,114,97,116,101,100,32,115,105,109,117,108,97,116,105,111,110,32,99,111,100,101,0,0,0,98,97,115,101,95,97,114,114,97,121,95,115,104,97,112,101,95,101,113,40,115,111,117,114,99,101,44,32,100,101,115,116,41,0,0,0,0,0,0,0,110,97,109,101,0,0,0,0,109,111,100,101,108,32,108,105,110,101,97,114,95,77,111,100,101,108,105,99,97,95,77,97,103,110,101,116,105,99,95,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,95,69,120,97,109,112,108,101,115,95,66,97,115,105,99,77,97,99,104,105,110,101,115,95,65,73,77,67,95,95,68,79,76,95,95,77,117,108,116,105,80,104,97,115,101,10,32,32,112,97,114,97,109,101,116,101,114,32,73,110,116,101,103,101,114,32,110,32,61,32,49,53,59,32,47,47,32,115,116,97,116,101,115,32,10,32,32,112,97,114,97,109,101,116,101,114,32,73,110,116,101,103,101,114,32,107,32,61,32,48,59,32,47,47,32,116,111,112,45,108,101,118,101,108,32,105,110,112,117,116,115,32,10,32,32,112,97,114,97,109,101,116,101,114,32,73,110,116,101,103,101,114,32,108,32,61,32,48,59,32,47,47,32,116,111,112,45,108,101,118,101,108,32,111,117,116,112,117,116,115,32,10,32,32,112,97,114,97,109,101,116,101,114,32,82,101,97,108,32,120,48,91,49,53,93,32,61,32,123,37,115,125,59,10,32,32,112,97,114,97,109,101,116,101,114,32,82,101,97,108,32,117,48,91,48,93,32,61,32,123,37,115,125,59,10,32,32,112,97,114,97,109,101,116,101,114,32,82,101,97,108,32,65,91,49,53,44,49,53,93,32,61,32,91,37,115,93,59,10,32,32,112,97,114,97,109,101,116,101,114,32,82,101,97,108,32,66,91,49,53,44,48,93,32,61,32,122,101,114,111,115,40,49,53,44,48,41,59,37,115,10,32,32,112,97,114,97,109,101,116,101,114,32,82,101,97,108,32,67,91,48,44,49,53,93,32,61,32,122,101,114,111,115,40,48,44,49,53,41,59,37,115,10,32,32,112,97,114,97,109,101,116,101,114,32,82,101,97,108,32,68,91,48,44,48,93,32,61,32,122,101,114,111,115,40,48,44,48,41,59,37,115,10,32,32,82,101,97,108,32,120,91,49,53,93,40,115,116,97,114,116,61,120,48,41,59,10,32,32,105,110,112,117,116,32,82,101,97,108,32,117,91,48,93,59,10,32,32,111,117,116,112,117,116,32,82,101,97,108,32,121,91,48,93,59,10,10,32,32,82,101,97,108,32,120,95,80,97,105,109,99,51,80,105,115,108,66,51,114,66,32,61,32,120,91,49,93,59], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+41000);
/* memory initializer */ allocate([10,32,32,82,101,97,108,32,120,95,80,97,105,109,99,51,80,105,115,108,66,50,114,66,32,61,32,120,91,50,93,59,10,32,32,82,101,97,108,32,120,95,80,97,105,109,99,77,80,114,111,116,111,114,67,97,103,101,80,115,116,114,97,121,73,110,100,117,99,116,111,114,80,105,110,100,117,99,116,111,114,108,66,53,114,66,80,105,32,61,32,120,91,51,93,59,10,32,32,82,101,97,108,32,120,95,80,97,105,109,99,77,80,114,111,116,111,114,67,97,103,101,80,115,116,114,97,121,73,110,100,117,99,116,111,114,80,105,110,100,117,99,116,111,114,108,66,52,114,66,80,105,32,61,32,120,91,52,93,59,10,32,32,82,101,97,108,32,120,95,80,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,80,112,104,105,32,61,32,120,91,53,93,59,10,32,32,82,101,97,108,32,120,95,80,97,105,109,99,51,80,97,105,114,71,97,112,80,80,104,105,95,115,115,80,105,109,32,61,32,120,91,54,93,59,10,32,32,82,101,97,108,32,120,95,80,97,105,109,99,51,80,97,105,114,71,97,112,80,80,104,105,95,115,115,80,114,101,32,61,32,120,91,55,93,59,10,32,32,82,101,97,108,32,120,95,80,97,105,109,99,51,80,105,110,101,114,116,105,97,82,111,116,111,114,80,119,32,61,32,120,91,56,93,59,10,32,32,82,101,97,108,32,120,95,80,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,80,112,104,105,32,61,32,120,91,57,93,59,10,32,32,82,101,97,108,32,120,95,80,97,105,109,99,77,80,97,105,114,71,97,112,80,80,104,105,95,115,115,80,105,109,32,61,32,120,91,49,48,93,59,10,32,32,82,101,97,108,32,120,95,80,97,105,109,99,77,80,97,105,114,71,97,112,80,80,104,105,95,115,115,80,114,101,32,61,32,120,91,49,49,93,59,10,32,32,82,101,97,108,32,120,95,80,97,105,109,99,77,80,115,116,97,116,111,114,80,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,80,80,104,105,80,105,109,32,61,32,120,91,49,50,93,59,10,32,32,82,101,97,108,32,120,95,80,97,105,109,99,77,80,115,116,97,116,111,114,80,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,80,80,104,105,80,114,101,32,61,32,120,91,49,51,93,59,10,32,32,82,101,97,108,32,120,95,80,97,105,109,99,77,80,115,116,97,116,111,114,80,122,101,114,111,73,110,100,117,99,116,111,114,80,105,48,32,61,32,120,91,49,52,93,59,10,32,32,82,101,97,108,32,120,95,80,97,105,109,99,77,80,105,110,101,114,116,105,97,82,111,116,111,114,80,119,32,61,32,120,91,49,53,93,59,10,32,32,32,32,32,32,10,101,113,117,97,116,105,111,110,10,32,32,100,101,114,40,120,41,32,61,32,65,32,42,32,120,32,43,32,66,32,42,32,117,59,10,32,32,121,32,61,32,67,32,42,32,120,32,43,32,68,32,42,32,117,59,10,101,110,100,32,108,105,110,101,97,114,95,77,111,100,101,108,105,99,97,95,77,97,103,110,101,116,105,99,95,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,95,69,120,97,109,112,108,101,115,95,66,97,115,105,99,77,97,99,104,105,110,101,115,95,65,73,77,67,95,95,68,79,76,95,95,77,117,108,116,105,80,104,97,115,101,59,10,0,0,0,0,83,79,77,69,32,78,73,67,69,32,69,81,85,65,84,73,79,78,32,78,65,77,69,32,40,116,111,32,98,101,32,115,101,116,32,97,32,108,105,116,116,108,101,32,108,97,116,101,114,41,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,60,116,111,116,97,108,84,105,109,101,62,37,102,60,47,116,111,116,97,108,84,105,109,101,62,10,0,0,0,0,0,0,97,100,100,105,116,105,111,110,97,108,32,105,110,102,111,114,109,97,116,105,111,110,32,100,117,114,105,110,103,32,101,118,101,110,116,32,105,116,101,114,97,116,105,111,110,0,0,0,101,109,112,116,121,0,0,0,110,117,109,98,101,114,79,102,73,110,116,101,103,101,114,80,97,114,97,109,101,116,101,114,115,0,0,0,0,0,0,0,37,97,32,37,98,32,37,100,32,37,72,58,37,77,58,37,83,32,37,89,0,0,0,0,97,108,115,0,0,0,0,0,47,42,82,101,97,108,42,47,40,97,105,109,99,68,97,116,97,46,112,41,0,0,0,0,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,109,101,116,104,111,100,58,32,37,45,49,53,115,32,91,37,115,93,0,0,0,0,0,0,0,97,112,112,97,114,101,110,116,32,115,116,97,116,101,58,32,117,110,105,116,32,37,100,32,0,0,0,0,0,0,0,0,82,101,99,111,103,110,105,122,101,100,32,115,111,108,118,101,114,58,32,105,110,108,105,110,101,45,114,117,110,103,101,107,117,116,116,97,44,32,98,117,116,32,116,104,101,32,101,120,101,99,117,116,97,98,108,101,32,119,97,115,32,110,111,116,32,99,111,109,112,105,108,101,100,32,119,105,116,104,32,115,117,112,112,111,114,116,32,102,111,114,32,105,116,46,32,67,111,109,112,105,108,101,32,119,105,116,104,32,45,68,95,79,77,67,95,73,78,76,73,78,69,95,82,75,46,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,46,112,111,114,116,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,46,112,111,114,116,46,84,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,37,112,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,67,111,114,101,46,112,111,114,116,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,67,111,114,101,46,112,111,114,116,46,84,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,83,116,97,99,107,32,111,118,101,114,102,108,111,119,32,100,101,116,101,99,116,101,100,32,97,110,100,32,119,97,115,32,110,111,116,32,99,97,117,103,104,116,46,10,83,101,110,100,32,117,115,32,97,32,98,117,103,32,114,101,112,111,114,116,32,97,116,32,104,116,116,112,115,58,47,47,116,114,97,99,46,111,112,101,110,109,111,100,101,108,105,99,97,46,111,114,103,47,79,112,101,110,77,111,100,101,108,105,99,97,47,110,101,119,116,105,99,107,101,116,10,32,32,32,32,73,110,99,108,117,100,101,32,116,104,101,32,102,111,108,108,111,119,105,110,103,32,116,114,97,99,101,58,10,0,0,0,0,0,0,84,104,101,32,99,111,114,114,101,99,116,111,114,32,99,111,117,108,100,32,110,111,116,32,99,111,110,118,101,114,103,101,46,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,112,111,114,116,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,112,111,114,116,46,84,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,46,112,111,114,116,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,46,112,111,114,116,46,84,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,68,65,83,83,76,45,45,32,32,84,79,85,84,32,40,61,82,49,41,32,66,69,72,73,78,68,32,84,32,40,61,82,50,41,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,46,112,111,114,116,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,46,112,111,114,116,46,84,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,105,108,108,101,103,97,108,32,99,104,97,114,97,99,116,101,114,40,115,41,32,105,110,32,112,117,98,108,105,99,32,105,100,0,0,0,0,0,0,0,100,117,109,112,115,32,116,104,101,32,99,112,117,45,116,105,109,101,32,105,110,116,111,32,116,104,101,32,114,101,115,117,108,116,115,45,102,105,108,101,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,67,111,114,101,46,112,111,114,116,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,67,111,114,101,46,112,111,114,116,46,84,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,112,111,114,116,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,112,111,114,116,46,84,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,105,110,118,97,108,105,100,32,102,105,115,116,32,108,105,115,116,45,112,111,105,110,116,101,114,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,46,112,111,114,116,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,46,112,111,114,116,46,84,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,116,97,114,77,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,116,97,114,77,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,68,71,69,84,82,83,0,0,76,111,119,101,114,0,0,0,86,97,114,105,97,98,108,101,32,115,116,97,114,77,46,112,108,117,103,95,112,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,116,97,114,77,46,112,108,117,103,95,112,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,37,115,58,32,73,110,102,111,32,88,77,76,32,37,115,32,103,111,116,32,101,113,117,97,116,105,111,110,32,119,105,116,104,32,105,110,100,101,120,32,37,108,100,44,32,101,120,112,101,99,116,101,100,32,37,108,100,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,60,108,105,110,101,97,114,105,122,101,84,105,109,101,62,37,102,60,47,108,105,110,101,97,114,105,122,101,84,105,109,101,62,10,0,0,0,0,0,0,115,118,103,0,0,0,0,0,111,117,116,112,117,116,115,32,106,97,99,111,98,105,97,110,32,111,102,32,116,104,101,32,100,121,110,97,109,105,99,32,115,116,97,116,101,32,115,101,108,101,99,116,105,111,110,0,110,117,109,98,101,114,79,102,82,101,97,108,80,97,114,97,109,101,116,101,114,115,0,0,37,0,0,0,72,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,0,0,0,0,0,0,0,0,100,101,115,99,114,105,112,116,105,111,110,0,0,0,0,0,97,105,109,99,77,46,101,102,102,101,99,116,105,118,101,83,116,97,116,111,114,84,117,114,110,115,32,94,32,50,46,48,0,0,0,0,0,0,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,111,112,116,105,111,110,32,45,105,111,109,32,37,115,0,0,0,0,0,37,115,58,32,37,115,10,0,105,110,108,105,110,101,45,114,117,110,103,101,107,117,116,116,97,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,105,110,101,86,111,108,116,97,103,101,77,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,101,86,111,108,116,97,103,101,77,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,112,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,112,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,95,105,110,102,111,46,120,109,108,0,0,0,68,68,65,83,83,76,32,104,97,100,32,114,101,112,101,97,116,101,100,32,101,114,114,111,114,32,116,101,115,116,32,102,97,105,108,117,114,101,115,32,111,110,32,116,104,101,32,108,97,115,116,32,97,116,116,101,109,112,116,101,100,32,115,116,101,112,46,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,110,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,110,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,77,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,77,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,68,65,83,83,76,45,45,32,32,72,77,65,88,32,40,61,82,49,41,32,46,76,84,46,32,48,46,48,0,0,0,0,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,112,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,112,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,116,101,120,116,32,100,101,99,108,97,114,97,116,105,111,110,32,110,111,116,32,119,101,108,108,45,102,111,114,109,101,100,0,0,0,0,0,0,0,0,115,101,108,101,99,116,115,32,116,104,101,32,116,121,112,101,32,111,102,32,99,108,111,99,107,32,116,111,32,117,115,101,32,45,99,108,111,99,107,61,82,84,44,32,45,99,108,111,99,107,61,67,89,67,32,111,114,32,45,99,108,111,99,107,61,67,80,85,0,0,0,0,78,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,110,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,110,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,114,101,99,101,110,100,0,0,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,77,46,109,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,77,46,109,104,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,37,35,46,42,102,0,0,0,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,77,46,84,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,77,46,84,91,49,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,68,71,69,84,82,70,0,0,68,71,69,84,70,50,0,0,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,77,46,84,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,77,46,84,91,50,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,115,116,100,58,58,98,97,100,95,97,108,108,111,99,0,0,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,77,46,84,91,51,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,77,46,84,91,51,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,37,115,58,32,73,110,102,111,32,88,77,76,32,37,115,32,99,111,110,116,97,105,110,101,100,32,101,113,117,97,116,105,111,110,32,119,105,116,104,111,117,116,32,105,110,100,101,120,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,60,111,117,116,112,117,116,84,105,109,101,62,37,102,60,47,111,117,116,112,117,116,84,105,109,101,62,10,0,0,0,0,95,112,114,111,102,46,112,108,116,0,0,0,0,0,0,0,111,117,116,112,117,116,115,32,105,110,102,111,114,109,97,116,105,111,110,32,97,98,111,117,116,32,100,121,110,97,109,105,99,32,115,116,97,116,101,32,115,101,108,101,99,116,105,111,110,0,0,0,0,0,0,0,110,117,109,98,101,114,79,102,82,101,97,108,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,0,0,37,72,58,37,77,58,37,83,0,0,0,0,0,0,0,0,84,105,109,101,0,0,0,0,97,105,109,99,51,46,101,102,102,101,99,116,105,118,101,83,116,97,116,111,114,84,117,114,110,115,32,94,32,50,46,48,32,42,32,51,46,48,0,0,115,101,101,32,108,97,115,116,32,119,97,114,110,105,110,103,0,0,0,0,0,0,0,0,37,115,58,32,101,110,100,32,111,102,32,102,105,108,101,10,0,0,0,0,0,0,0,0,82,101,99,111,103,110,105,122,101,100,32,115,111,108,118,101,114,58,32,105,110,108,105,110,101,45,101,117,108,101,114,44,32,98,117,116,32,116,104,101,32,101,120,101,99,117,116,97,98,108,101,32,119,97,115,32,110,111,116,32,99,111,109,112,105,108,101,100,32,119,105,116,104,32,115,117,112,112,111,114,116,32,102,111,114,32,105,116,46,32,67,111,109,112,105,108,101,32,119,105,116,104,32,45,68,95,79,77,67,95,73,78,76,73,78,69,95,69,85,76,69,82,46,0,0,0,0,0,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,77,46,84,91,52,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,77,46,84,91,52,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,77,46,84,91,53,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,77,46,84,91,53,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,60,63,120,109,108,32,118,101,114,115,105,111,110,61,34,49,46,48,34,32,101,110,99,111,100,105,110,103,61,34,85,84,70,45,56,34,63,62,10,60,63,120,109,108,45,115,116,121,108,101,115,104,101,101,116,32,116,121,112,101,61,34,97,112,112,108,105,99,97,116,105,111,110,47,120,109,108,34,32,104,114,101,102,61,34,115,105,109,99,111,100,101,100,117,109,112,46,120,115,108,34,63,62,10,60,115,105,109,99,111,100,101,100,117,109,112,32,109,111,100,101,108,61,34,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,34,62,10,60,118,97,114,105,97,98,108,101,115,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,51,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,105,110,115,116,97,110,116,97,110,101,111,117,115,32,99,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,50,56,34,32,108,105,110,101,69,110,100,61,34,54,55,50,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,105,115,91,51,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,105,110,115,116,97,110,116,97,110,101,111,117,115,32,99,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,50,56,34,32,108,105,110,101,69,110,100,61,34,54,55,50,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,105,110,115,116,97,110,116,97,110,101,111,117,115,32,99,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,50,56,34,32,108,105,110,101,69,110,100,61,34,54,55,50,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,105,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,105,110,115,116,97,110,116,97,110,101,111,117,115,32,99,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,50,56,34,32,108,105,110,101,69,110,100,61,34,54,55,50,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+51240);
/* memory initializer */ allocate([61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,110,103,108,101,32,111,102,32,102,108,97,110,103,101,32,119,105,116,104,32,114,101,115,112,101,99,116,32,116,111,32,115,117,112,112,111,114,116,32,40,61,32,102,108,97,110,103,101,46,112,104,105,32,45,32,115,117,112,112,111,114,116,46,112,104,105,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,51,48,54,34,32,108,105,110,101,69,110,100,61,34,55,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,83,111,117,114,99,101,115,46,81,117,97,100,114,97,116,105,99,83,112,101,101,100,68,101,112,101,110,100,101,110,116,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,110,103,108,101,32,111,102,32,102,108,97,110,103,101,32,119,105,116,104,32,114,101,115,112,101,99,116,32,116,111,32,115,117,112,112,111,114,116,32,40,61,32,102,108,97,110,103,101,46,112,104,105,32,45,32,115,117,112,112,111,114,116,46,112,104,105,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,51,48,54,34,32,108,105,110,101,69,110,100,61,34,55,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,83,111,117,114,99,101,115,46,81,117,97,100,114,97,116,105,99,83,112,101,101,100,68,101,112,101,110,100,101,110,116,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,61,32,100,101,114,40,112,104,105,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,55,34,32,108,105,110,101,69,110,100,61,34,50,51,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,61,32,100,101,114,40,112,104,105,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,55,34,32,108,105,110,101,69,110,100,61,34,50,51,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,110,103,108,101,32,111,102,32,102,108,97,110,103,101,32,119,105,116,104,32,114,101,115,112,101,99,116,32,116,111,32,115,117,112,112,111,114,116,32,40,61,32,102,108,97,110,103,101,46,112,104,105,32,45,32,115,117,112,112,111,114,116,46,112,104,105,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,51,48,54,34,32,108,105,110,101,69,110,100,61,34,55,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+61480);
/* memory initializer */ allocate([101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,83,111,117,114,99,101,115,46,81,117,97,100,114,97,116,105,99,83,112,101,101,100,68,101,112,101,110,100,101,110,116,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,110,103,108,101,32,111,102,32,102,108,97,110,103,101,32,119,105,116,104,32,114,101,115,112,101,99,116,32,116,111,32,115,117,112,112,111,114,116,32,40,61,32,102,108,97,110,103,101,46,112,104,105,32,45,32,115,117,112,112,111,114,116,46,112,104,105,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,51,48,54,34,32,108,105,110,101,69,110,100,61,34,55,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,83,111,117,114,99,101,115,46,81,117,97,100,114,97,116,105,99,83,112,101,101,100,68,101,112,101,110,100,101,110,116,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,105,48,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,55,34,32,108,105,110,101,69,110,100,61,34,49,48,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,105,48,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,55,34,32,108,105,110,101,69,110,100,61,34,49,48,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,61,32,100,101,114,40,112,104,105,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+71720);
/* memory initializer */ allocate([34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,55,34,32,108,105,110,101,69,110,100,61,34,50,51,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,61,32,100,101,114,40,112,104,105,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,55,34,32,108,105,110,101,69,110,100,61,34,50,51,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,105,115,91,51,93,41,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,105,110,115,116,97,110,116,97,110,101,111,117,115,32,99,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,50,56,34,32,108,105,110,101,69,110,100,61,34,54,55,50,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,105,109,99,51,46,105,115,91,51,93,41,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,105,110,115,116,97,110,116,97,110,101,111,117,115,32,99,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,50,56,34,32,108,105,110,101,69,110,100,61,34,54,55,50,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,105,115,91,50,93,41,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,105,110,115,116,97,110,116,97,110,101,111,117,115,32,99,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,50,56,34,32,108,105,110,101,69,110,100,61,34,54,55,50,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,105,109,99,51,46,105,115,91,50,93,41,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,105,110,115,116,97,110,116,97,110,101,111,117,115,32,99,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,50,56,34,32,108,105,110,101,69,110,100,61,34,54,55,50,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,41,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,41,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,41,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,41,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,112,104,105,41,34,32,99,111,109,109,101,110,116,61,34,65,110,103,108,101,32,111,102,32,102,108,97,110,103,101,32,119,105,116,104,32,114,101,115,112,101,99,116,32,116,111,32,115,117,112,112,111,114,116,32,40,61,32,102,108,97,110,103,101,46,112,104,105,32,45,32,115,117,112,112,111,114,116,46,112,104,105,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,51,48,54,34,32,108,105,110,101,69,110,100,61,34,55,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,83,111,117,114,99,101,115,46,81,117,97,100,114,97,116,105,99,83,112,101,101,100,68,101,112,101,110,100,101,110,116,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,112,104,105,41,34,32,99,111,109,109,101,110,116,61,34,65,110,103,108,101,32,111,102,32,102,108,97,110,103,101,32,119,105,116,104,32,114,101,115,112,101,99,116,32,116,111,32,115,117,112,112,111,114,116,32,40,61,32,102,108,97,110,103,101,46,112,104,105,32,45,32,115,117,112,112,111,114,116,46,112,104,105,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,51,48,54,34,32,108,105,110,101,69,110,100,61,34,55,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,83,111,117,114,99,101,115,46,81,117,97,100], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+81960);
/* memory initializer */ allocate([114,97,116,105,99,83,112,101,101,100,68,101,112,101,110,100,101,110,116,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,105,109,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,105,109,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,114,101,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,114,101,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,41,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,61,32,100,101,114,40,112,104,105,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,55,34,32,108,105,110,101,69,110,100,61,34,50,51,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,41,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,61,32,100,101,114,40,112,104,105,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,55,34,32,108,105,110,101,69,110,100,61,34,50,51,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,112,104,105,41,34,32,99,111,109,109,101,110,116,61,34,65,110,103,108,101,32,111,102,32,102,108,97,110,103,101,32,119,105,116,104,32,114,101,115,112,101,99,116,32,116,111,32,115,117,112,112,111,114,116,32,40,61,32,102,108,97,110,103,101,46,112,104,105,32,45,32,115,117,112,112,111,114,116,46,112,104,105,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,51,48,54,34,32,108,105,110,101,69,110,100,61,34,55,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,83,111,117,114,99,101,115,46,81,117,97,100,114,97,116,105,99,83,112,101,101,100,68,101,112,101,110,100,101,110,116,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,112,104,105,41,34,32,99,111,109,109,101,110,116,61,34,65,110,103,108,101,32,111,102,32,102,108,97,110,103,101,32,119,105,116,104,32,114,101,115,112,101,99,116,32,116,111,32,115,117,112,112,111,114,116,32,40,61,32,102,108,97,110,103,101,46,112,104,105,32,45,32,115,117,112,112,111,114,116,46,112,104,105,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,51,48,54,34,32,108,105,110,101,69,110,100,61,34,55,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,83,111,117,114,99,101,115,46,81,117,97,100,114,97,116,105,99,83,112,101,101,100,68,101,112,101,110,100,101,110,116,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,105,109,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,105,109,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,114,101,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,114,101,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+92200);
/* memory initializer */ allocate([32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,105,109,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,105,109,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,114,101,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,114,101,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,105,48,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,55,34,32,108,105,110,101,69,110,100,61,34,49,48,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,105,48,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,55,34,32,108,105,110,101,69,110,100,61,34,49,48,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,41,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,61,32,100,101,114,40,112,104,105,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,55,34,32,108,105,110,101,69,110,100,61,34,50,51,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,41,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,61,32,100,101,114,40,112,104,105,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,55,34,32,108,105,110,101,69,110,100,61,34,50,51,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+102440);
/* memory initializer */ allocate([77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+112680);
/* memory initializer */ allocate([116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,118,91,49,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,118,91,49,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,118,91,50,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,118,91,50,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+122920);
/* memory initializer */ allocate([32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,118,91,51,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,118,91,51,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,118,91,49,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+133160);
/* memory initializer */ allocate([98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,118,91,49,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,118,91,50,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,118,91,50,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,118,91,51,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,118,91,51,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+143400);
/* memory initializer */ allocate([118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+153640);
/* memory initializer */ allocate([46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,55,34,32,108,105,110,101,69,110,100,61,34,52,50,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,49,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,55,34,32,108,105,110,101,69,110,100,61,34,52,50,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,49,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,55,34,32,108,105,110,101,69,110,100,61,34,52,50,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,50,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,55,34,32,108,105,110,101,69,110,100,61,34,52,50,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,50,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,55,34,32,108,105,110,101,69,110,100,61,34,52,50,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,51,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,55,34,32,108,105,110,101,69,110,100,61,34,52,50,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,51,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,55,34,32,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+163880);
/* memory initializer */ allocate([105,110,101,69,110,100,61,34,52,50,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,105,114,34,32,99,111,109,109,101,110,116,61,34,82,111,116,111,114,32,99,97,103,101,32,99,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,52,54,34,32,108,105,110,101,69,110,100,61,34,52,53,52,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,105,114,91,49,93,34,32,99,111,109,109,101,110,116,61,34,82,111,116,111,114,32,99,97,103,101,32,99,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,52,54,34,32,108,105,110,101,69,110,100,61,34,52,53,52,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,105,114,91,49,93,34,32,99,111,109,109,101,110,116,61,34,82,111,116,111,114,32,99,97,103,101,32,99,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,52,54,34,32,108,105,110,101,69,110,100,61,34,52,53,52,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,105,114,91,50,93,34,32,99,111,109,109,101,110,116,61,34,82,111,116,111,114,32,99,97,103,101,32,99,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,52,54,34,32,108,105,110,101,69,110,100,61,34,52,53,52,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,105,114,91,50,93,34,32,99,111,109,109,101,110,116,61,34,82,111,116,111,114,32,99,97,103,101,32,99,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,52,54,34,32,108,105,110,101,69,110,100,61,34,52,53,52,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,105,114,91,51,93,34,32,99,111,109,109,101,110,116,61,34,82,111,116,111,114,32,99,97,103,101,32,99,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,52,54,34,32,108,105,110,101,69,110,100,61,34,52,53,52,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,105,114,91,51,93,34,32,99,111,109,109,101,110,116,61,34,82,111,116,111,114,32,99,97,103,101,32,99,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,52,54,34,32,108,105,110,101,69,110,100,61,34,52,53,52,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+174120);
/* memory initializer */ allocate([117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+184360);
/* memory initializer */ allocate([99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,118,91,49,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,118,91,49,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,118,91,50,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,118,91,50,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,118,91,51,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,118,91,51,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+194600);
/* memory initializer */ allocate([49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,54,34,32,108,105,110,101,69,110,100,61,34,52,49,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,54,34,32,108,105,110,101,69,110,100,61,34,52,49,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+204840);
/* memory initializer */ allocate([67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,54,34,32,108,105,110,101,69,110,100,61,34,52,49,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,54,34,32,108,105,110,101,69,110,100,61,34,52,49,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+215080);
/* memory initializer */ allocate([104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,54,34,32,108,105,110,101,69,110,100,61,34,52,49,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,54,34,32,108,105,110,101,69,110,100,61,34,52,49,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,55,34,32,108,105,110,101,69,110,100,61,34,52,50,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,118,91,49,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,55,34,32,108,105,110,101,69,110,100,61,34,52,50,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,118,91,49,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,55,34,32,108,105,110,101,69,110,100,61,34,52,50,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,118,91,50,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,55,34,32,108,105,110,101,69,110,100,61,34,52,50,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+225320);
/* memory initializer */ allocate([97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,118,91,50,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,55,34,32,108,105,110,101,69,110,100,61,34,52,50,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,118,91,51,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,55,34,32,108,105,110,101,69,110,100,61,34,52,50,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,118,91,51,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,55,34,32,108,105,110,101,69,110,100,61,34,52,50,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+235560);
/* memory initializer */ allocate([46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,118,91,51,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,118,91,51,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,105,110,115,116,97,110,116,97,110,101,111,117,115,32,99,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,50,56,34,32,108,105,110,101,69,110,100,61,34,54,55,50,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,105,110,115,116,97,110,116,97,110,101,111,117,115,32,99,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,50,56,34,32,108,105,110,101,69,110,100,61,34,54,55,50,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,105,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,105,110,115,116,97,110,116,97,110,101,111,117,115,32,99,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,50,56,34,32,108,105,110,101,69,110,100,61,34,54,55,50,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,118,115,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,105,110,115,116,97,110,116,97,110,101,111,117,115,32,118,111,108,116,97,103,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,50,54,34,32,108,105,110,101,69,110,100,61,34,54,55,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,118,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,105,110,115,116,97,110,116,97,110,101,111,117,115,32,118,111,108,116,97,103,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,50,54,34,32,108,105,110,101,69,110,100,61,34,54,55,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,118,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,105,110,115,116,97,110,116,97,110,101,111,117,115,32,118,111,108,116,97,103,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,50,54,34,32,108,105,110,101,69,110,100,61,34,54,55,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,118,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,105,110,115,116,97,110,116,97,110,101,111,117,115,32,118,111,108,116,97,103,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,50,54,34,32,108,105,110,101,69,110,100,61,34,54,55,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,118,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,105,110,115,116,97,110,116,97,110,101,111,117,115,32,118,111,108,116,97,103,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,50,54,34,32,108,105,110,101,69,110,100,61,34,54,55,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,118,115,91,51,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,105,110,115,116,97,110,116,97,110,101,111,117,115,32,118,111,108,116,97,103,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,50,54,34,32,108,105,110,101,69,110,100,61,34,54,55,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,118,115,91,51,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,105,110,115,116,97,110,116,97,110,101,111,117,115,32,118,111,108,116,97,103,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,50,54,34,32,108,105,110,101,69,110,100,61,34,54,55,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+245800);
/* memory initializer */ allocate([111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,80,111,108,97,114,49,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,51,34,32,108,105,110,101,69,110,100,61,34,52,50,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,80,111,108,97,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,112,97,99,101,80,104,97,115,111,114,115,46,66,108,111,99,107,115,46,84,111,80,111,108,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,80,111,108,97,114,49,46,121,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,51,34,32,108,105,110,101,69,110,100,61,34,52,50,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,80,111,108,97,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,112,97,99,101,80,104,97,115,111,114,115,46,66,108,111,99,107,115,46,84,111,80,111,108,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,80,111,108,97,114,49,46,121,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,51,34,32,108,105,110,101,69,110,100,61,34,52,50,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,80,111,108,97,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,112,97,99,101,80,104,97,115,111,114,115,46,66,108,111,99,107,115,46,84,111,80,111,108,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,80,111,108,97,114,49,46,121,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,51,34,32,108,105,110,101,69,110,100,61,34,52,50,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,80,111,108,97,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,112,97,99,101,80,104,97,115,111,114,115,46,66,108,111,99,107,115,46,84,111,80,111,108,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,80,111,108,97,114,49,46,121,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,51,34,32,108,105,110,101,69,110,100,61,34,52,50,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,80,111,108,97,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,112,97,99,101,80,104,97,115,111,114,115,46,66,108,111,99,107,115,46,84,111,80,111,108,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,80,111,108,97,114,49,46,117,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,34,32,108,105,110,101,69,110,100,61,34,52,50,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,80,111,108,97,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,112,97,99,101,80,104,97,115,111,114,115,46,66,108,111,99,107,115,46,84,111,80,111,108,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,80,111,108,97,114,49,46,117,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,34,32,108,105,110,101,69,110,100,61,34,52,50,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,80,111,108,97,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,112,97,99,101,80,104,97,115,111,114,115,46,66,108,111,99,107,115,46,84,111,80,111,108,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,80,111,108,97,114,49,46,117,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,34,32,108,105,110,101,69,110,100,61,34,52,50,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+256040);
/* memory initializer */ allocate([47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,80,111,108,97,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,112,97,99,101,80,104,97,115,111,114,115,46,66,108,111,99,107,115,46,84,111,80,111,108,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,80,111,108,97,114,49,46,117,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,34,32,108,105,110,101,69,110,100,61,34,52,50,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,80,111,108,97,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,112,97,99,101,80,104,97,115,111,114,115,46,66,108,111,99,107,115,46,84,111,80,111,108,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,80,111,108,97,114,49,46,117,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,34,32,108,105,110,101,69,110,100,61,34,52,50,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,80,111,108,97,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,112,97,99,101,80,104,97,115,111,114,115,46,66,108,111,99,107,115,46,84,111,80,111,108,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,115,34,32,99,111,109,109,101,110,116,61,34,65,117,120,105,108,105,97,114,121,32,118,97,114,105,97,98,108,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,49,34,32,108,105,110,101,69,110,100,61,34,49,53,53,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,115,34,32,99,111,109,109,101,110,116,61,34,65,117,120,105,108,105,97,114,121,32,118,97,114,105,97,98,108,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,49,34,32,108,105,110,101,69,110,100,61,34,49,53,53,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,76,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,76,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,115,34,32,99,111,109,109,101,110,116,61,34,65,117,120,105,108,105,97,114,121,32,118,97,114,105,97,98,108,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,49,34,32,108,105,110,101,69,110,100,61,34,49,53,53,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,115,34,32,99,111,109,109,101,110,116,61,34,65,117,120,105,108,105,97,114,121,32,118,97,114,105,97,98,108,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,49,34,32,108,105,110,101,69,110,100,61,34,49,53,53,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,76,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,76,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+266280);
/* memory initializer */ allocate([67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,115,34,32,99,111,109,109,101,110,116,61,34,65,117,120,105,108,105,97,114,121,32,118,97,114,105,97,98,108,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,49,34,32,108,105,110,101,69,110,100,61,34,49,53,53,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,115,34,32,99,111,109,109,101,110,116,61,34,65,117,120,105,108,105,97,114,121,32,118,97,114,105,97,98,108,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,49,34,32,108,105,110,101,69,110,100,61,34,49,53,53,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,76,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,76,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,118,91,49,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,118,91,49,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,118,91,50,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,118,91,50,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,118,91,51,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+276520);
/* memory initializer */ allocate([97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,118,91,51,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,49,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,49,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,50,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,50,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,51,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,51,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,76,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,76,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+286760);
/* memory initializer */ allocate([115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,76,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,76,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+297000);
/* memory initializer */ allocate([108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+307240);
/* memory initializer */ allocate([116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,118,91,49,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,118,91,49,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+317480);
/* memory initializer */ allocate([112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,118,91,50,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,118,91,50,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,118,91,51,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,118,91,51,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,118,91,52,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,118,91,52,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,118,91,53,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,118,91,53,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+327720);
/* memory initializer */ allocate([110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,118,91,49,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,118,91,49,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+337960);
/* memory initializer */ allocate([114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,118,91,50,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,118,91,50,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,118,91,51,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,118,91,51,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,118,91,52,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,118,91,52,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,118,91,53,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,118,91,53,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+348200);
/* memory initializer */ allocate([66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+358440);
/* memory initializer */ allocate([114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+368680);
/* memory initializer */ allocate([32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+378920);
/* memory initializer */ allocate([99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,55,34,32,108,105,110,101,69,110,100,61,34,52,50,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,49,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,55,34,32,108,105,110,101,69,110,100,61,34,52,50,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,49,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,55,34,32,108,105,110,101,69,110,100,61,34,52,50,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,50,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,55,34,32,108,105,110,101,69,110,100,61,34,52,50,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+389160);
/* memory initializer */ allocate([32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,50,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,55,34,32,108,105,110,101,69,110,100,61,34,52,50,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,51,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,55,34,32,108,105,110,101,69,110,100,61,34,52,50,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,51,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,55,34,32,108,105,110,101,69,110,100,61,34,52,50,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,52,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,55,34,32,108,105,110,101,69,110,100,61,34,52,50,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,52,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,55,34,32,108,105,110,101,69,110,100,61,34,52,50,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,53,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,55,34,32,108,105,110,101,69,110,100,61,34,52,50,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,53,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,55,34,32,108,105,110,101,69,110,100,61,34,52,50,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,105,114,34,32,99,111,109,109,101,110,116,61,34,82,111,116,111,114,32,99,97,103,101,32,99,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,52,54,34,32,108,105,110,101,69,110,100,61,34,52,53,52,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,105,114,91,49,93,34,32,99,111,109,109,101,110,116,61,34,82,111,116,111,114,32,99,97,103,101,32,99,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,52,54,34,32,108,105,110,101,69,110,100,61,34,52,53,52,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,105,114,91,49,93,34,32,99,111,109,109,101,110,116,61,34,82,111,116,111,114,32,99,97,103,101,32,99,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,52,54,34,32,108,105,110,101,69,110,100,61,34,52,53,52,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,105,114,91,50,93,34,32,99,111,109,109,101,110,116,61,34,82,111,116,111,114,32,99,97,103,101,32,99,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,52,54,34,32,108,105,110,101,69,110,100,61,34,52,53,52,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,105,114,91,50,93,34,32,99,111,109,109,101,110,116,61,34,82,111,116,111,114,32,99,97,103,101,32,99,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,52,54,34,32,108,105,110,101,69,110,100,61,34,52,53,52,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+399400);
/* memory initializer */ allocate([115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,105,114,91,51,93,34,32,99,111,109,109,101,110,116,61,34,82,111,116,111,114,32,99,97,103,101,32,99,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,52,54,34,32,108,105,110,101,69,110,100,61,34,52,53,52,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,105,114,91,51,93,34,32,99,111,109,109,101,110,116,61,34,82,111,116,111,114,32,99,97,103,101,32,99,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,52,54,34,32,108,105,110,101,69,110,100,61,34,52,53,52,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,105,114,91,52,93,34,32,99,111,109,109,101,110,116,61,34,82,111,116,111,114,32,99,97,103,101,32,99,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,52,54,34,32,108,105,110,101,69,110,100,61,34,52,53,52,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,105,114,91,52,93,34,32,99,111,109,109,101,110,116,61,34,82,111,116,111,114,32,99,97,103,101,32,99,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,52,54,34,32,108,105,110,101,69,110,100,61,34,52,53,52,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,105,114,91,53,93,34,32,99,111,109,109,101,110,116,61,34,82,111,116,111,114,32,99,97,103,101,32,99,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,52,54,34,32,108,105,110,101,69,110,100,61,34,52,53,52,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,105,114,91,53,93,34,32,99,111,109,109,101,110,116,61,34,82,111,116,111,114,32,99,97,103,101,32,99,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,52,54,34,32,108,105,110,101,69,110,100,61,34,52,53,52,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,76,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,76,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,76,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,76,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+409640);
/* memory initializer */ allocate([45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+419880);
/* memory initializer */ allocate([97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+430120);
/* memory initializer */ allocate([108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,118,91,49,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,118,91,49,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,118,91,50,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,118,91,50,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+440360);
/* memory initializer */ allocate([101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,118,91,51,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,118,91,51,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,118,91,52,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,118,91,52,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,118,91,53,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,118,91,53,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+450600);
/* memory initializer */ allocate([32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,54,34,32,108,105,110,101,69,110,100,61,34,52,49,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,54,34,32,108,105,110,101,69,110,100,61,34,52,49,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,54,34,32,108,105,110,101,69,110,100,61,34,52,49,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,54,34,32,108,105,110,101,69,110,100,61,34,52,49,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+460840);
/* memory initializer */ allocate([101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,54,34,32,108,105,110,101,69,110,100,61,34,52,49,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,54,34,32,108,105,110,101,69,110,100,61,34,52,49,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+471080);
/* memory initializer */ allocate([77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,54,34,32,108,105,110,101,69,110,100,61,34,52,49,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+481320);
/* memory initializer */ allocate([101,114,116,101,114,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,54,34,32,108,105,110,101,69,110,100,61,34,52,49,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+491560);
/* memory initializer */ allocate([108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,54,34,32,108,105,110,101,69,110,100,61,34,52,49,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,54,34,32,108,105,110,101,69,110,100,61,34,52,49,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,55,34,32,108,105,110,101,69,110,100,61,34,52,50,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,118,91,49,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,55,34,32,108,105,110,101,69,110,100,61,34,52,50,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,118,91,49,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,55,34,32,108,105,110,101,69,110,100,61,34,52,50,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,118,91,50,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,55,34,32,108,105,110,101,69,110,100,61,34,52,50,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,118,91,50,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,55,34,32,108,105,110,101,69,110,100,61,34,52,50,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+501800);
/* memory initializer */ allocate([97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,118,91,51,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,55,34,32,108,105,110,101,69,110,100,61,34,52,50,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,118,91,51,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,55,34,32,108,105,110,101,69,110,100,61,34,52,50,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,118,91,52,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,55,34,32,108,105,110,101,69,110,100,61,34,52,50,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,118,91,52,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,55,34,32,108,105,110,101,69,110,100,61,34,52,50,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,118,91,53,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,55,34,32,108,105,110,101,69,110,100,61,34,52,50,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,118,91,53,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,55,34,32,108,105,110,101,69,110,100,61,34,52,50,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+512040);
/* memory initializer */ allocate([105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,118,91,53,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,118,91,53,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,105,110,115,116,97,110,116,97,110,101,111,117,115,32,99,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,50,56,34,32,108,105,110,101,69,110,100,61,34,54,55,50,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+522280);
/* memory initializer */ allocate([115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,105,110,115,116,97,110,116,97,110,101,111,117,115,32,99,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,50,56,34,32,108,105,110,101,69,110,100,61,34,54,55,50,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,105,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,105,110,115,116,97,110,116,97,110,101,111,117,115,32,99,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,50,56,34,32,108,105,110,101,69,110,100,61,34,54,55,50,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,105,110,115,116,97,110,116,97,110,101,111,117,115,32,99,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,50,56,34,32,108,105,110,101,69,110,100,61,34,54,55,50,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,105,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,105,110,115,116,97,110,116,97,110,101,111,117,115,32,99,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,50,56,34,32,108,105,110,101,69,110,100,61,34,54,55,50,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,51,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,105,110,115,116,97,110,116,97,110,101,111,117,115,32,99,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,50,56,34,32,108,105,110,101,69,110,100,61,34,54,55,50,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,105,115,91,51,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,105,110,115,116,97,110,116,97,110,101,111,117,115,32,99,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,50,56,34,32,108,105,110,101,69,110,100,61,34,54,55,50,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,52,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,105,110,115,116,97,110,116,97,110,101,111,117,115,32,99,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,50,56,34,32,108,105,110,101,69,110,100,61,34,54,55,50,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,105,115,91,52,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,105,110,115,116,97,110,116,97,110,101,111,117,115,32,99,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,50,56,34,32,108,105,110,101,69,110,100,61,34,54,55,50,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,53,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,105,110,115,116,97,110,116,97,110,101,111,117,115,32,99,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,50,56,34,32,108,105,110,101,69,110,100,61,34,54,55,50,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,105,115,91,53,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,105,110,115,116,97,110,116,97,110,101,111,117,115,32,99,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,50,56,34,32,108,105,110,101,69,110,100,61,34,54,55,50,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,118,115,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,105,110,115,116,97,110,116,97,110,101,111,117,115,32,118,111,108,116,97,103,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,50,54,34,32,108,105,110,101,69,110,100,61,34,54,55,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,118,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,105,110,115,116,97,110,116,97,110,101,111,117,115,32,118,111,108,116,97,103,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,50,54,34,32,108,105,110,101,69,110,100,61,34,54,55,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,118,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,105,110,115,116,97,110,116,97,110,101,111,117,115,32,118,111,108,116,97,103,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,50,54,34,32,108,105,110,101,69,110,100,61,34,54,55,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,118,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,105,110,115,116,97,110,116,97,110,101,111,117,115,32,118,111,108,116,97,103,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,50,54,34,32,108,105,110,101,69,110,100,61,34,54,55,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+532520);
/* memory initializer */ allocate([32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,118,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,105,110,115,116,97,110,116,97,110,101,111,117,115,32,118,111,108,116,97,103,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,50,54,34,32,108,105,110,101,69,110,100,61,34,54,55,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,118,115,91,51,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,105,110,115,116,97,110,116,97,110,101,111,117,115,32,118,111,108,116,97,103,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,50,54,34,32,108,105,110,101,69,110,100,61,34,54,55,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,118,115,91,51,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,105,110,115,116,97,110,116,97,110,101,111,117,115,32,118,111,108,116,97,103,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,50,54,34,32,108,105,110,101,69,110,100,61,34,54,55,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,118,115,91,52,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,105,110,115,116,97,110,116,97,110,101,111,117,115,32,118,111,108,116,97,103,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,50,54,34,32,108,105,110,101,69,110,100,61,34,54,55,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,118,115,91,52,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,105,110,115,116,97,110,116,97,110,101,111,117,115,32,118,111,108,116,97,103,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,50,54,34,32,108,105,110,101,69,110,100,61,34,54,55,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,118,115,91,53,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,105,110,115,116,97,110,116,97,110,101,111,117,115,32,118,111,108,116,97,103,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,50,54,34,32,108,105,110,101,69,110,100,61,34,54,55,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,118,115,91,53,93,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,105,110,115,116,97,110,116,97,110,101,111,117,115,32,118,111,108,116,97,103,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,50,54,34,32,108,105,110,101,69,110,100,61,34,54,55,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+542760);
/* memory initializer */ allocate([111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,115,34,32,99,111,109,109,101,110,116,61,34,65,117,120,105,108,105,97,114,121,32,118,97,114,105,97,98,108,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,49,34,32,108,105,110,101,69,110,100,61,34,49,53,53,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,115,34,32,99,111,109,109,101,110,116,61,34,65,117,120,105,108,105,97,114,121,32,118,97,114,105,97,98,108,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,49,34,32,108,105,110,101,69,110,100,61,34,49,53,53,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,76,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,76,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,115,34,32,99,111,109,109,101,110,116,61,34,65,117,120,105,108,105,97,114,121,32,118,97,114,105,97,98,108,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,49,34,32,108,105,110,101,69,110,100,61,34,49,53,53,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,115,34,32,99,111,109,109,101,110,116,61,34,65,117,120,105,108,105,97,114,121,32,118,97,114,105,97,98,108,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,49,34,32,108,105,110,101,69,110,100,61,34,49,53,53,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+553000);
/* memory initializer */ allocate([77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,76,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,76,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,115,34,32,99,111,109,109,101,110,116,61,34,65,117,120,105,108,105,97,114,121,32,118,97,114,105,97,98,108,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,49,34,32,108,105,110,101,69,110,100,61,34,49,53,53,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,115,34,32,99,111,109,109,101,110,116,61,34,65,117,120,105,108,105,97,114,121,32,118,97,114,105,97,98,108,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,49,34,32,108,105,110,101,69,110,100,61,34,49,53,53,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,76,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,76,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,115,34,32,99,111,109,109,101,110,116,61,34,65,117,120,105,108,105,97,114,121,32,118,97,114,105,97,98,108,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,49,34,32,108,105,110,101,69,110,100,61,34,49,53,53,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,115,34,32,99,111,109,109,101,110,116,61,34,65,117,120,105,108,105,97,114,121,32,118,97,114,105,97,98,108,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,49,34,32,108,105,110,101,69,110,100,61,34,49,53,53,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,76,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+563240);
/* memory initializer */ allocate([80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,76,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,115,34,32,99,111,109,109,101,110,116,61,34,65,117,120,105,108,105,97,114,121,32,118,97,114,105,97,98,108,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,49,34,32,108,105,110,101,69,110,100,61,34,49,53,53,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,115,34,32,99,111,109,109,101,110,116,61,34,65,117,120,105,108,105,97,114,121,32,118,97,114,105,97,98,108,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,49,34,32,108,105,110,101,69,110,100,61,34,49,53,53,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,76,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,76,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,118,91,49,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,118,91,49,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+573480);
/* memory initializer */ allocate([108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,118,91,50,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,118,91,50,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,118,91,51,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,118,91,51,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,118,91,52,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,118,91,52,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,118,91,53,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,118,91,53,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,49,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,49,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,50,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,50,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,51,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,51,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+583720);
/* memory initializer */ allocate([32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,52,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,52,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,53,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,53,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+593960);
/* memory initializer */ allocate([46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+604200);
/* memory initializer */ allocate([47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,46,114,101,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,46,114,101,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,114,101,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,114,101,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,105,109,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+614440);
/* memory initializer */ allocate([32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,105,109,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,114,101,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,114,101,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,105,109,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,105,109,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,86,95,109,46,114,101,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+624680);
/* memory initializer */ allocate([116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,86,95,109,46,114,101,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,86,95,109,46,105,109,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,86,95,109,46,105,109,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,86,95,109,46,114,101,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,86,95,109,46,114,101,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,86,95,109,46,105,109,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,86,95,109,46,105,109,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,46,114,101,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,46,114,101,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+634920);
/* memory initializer */ allocate([32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,114,101,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,114,101,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,105,109,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,105,109,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,114,101,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,114,101,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,105,109,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,105,109,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,46,114,101,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+645160);
/* memory initializer */ allocate([111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,46,114,101,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,114,101,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,114,101,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,105,109,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,105,109,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,114,101,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+655400);
/* memory initializer */ allocate([99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,114,101,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,105,109,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,105,109,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,46,105,41,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,46,105,41,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,46,105,41,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,46,105,41,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,46,105,41,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,46,105,41,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,46,105,41,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,60,47,105,110,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+665640);
/* memory initializer */ allocate([116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,46,105,41,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,46,105,41,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,46,105,41,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,46,105,41,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,46,105,41,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,105,115,41,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,105,110,115,116,97,110,116,97,110,101,111,117,115,32,99,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,50,56,34,32,108,105,110,101,69,110,100,61,34,54,55,50,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,105,115,91,49,93,41,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,105,110,115,116,97,110,116,97,110,101,111,117,115,32,99,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,50,56,34,32,108,105,110,101,69,110,100,61,34,54,55,50,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,105,109,99,51,46,105,115,91,49,93,41,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,105,110,115,116,97,110,116,97,110,101,111,117,115,32,99,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,50,56,34,32,108,105,110,101,69,110,100,61,34,54,55,50,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+675880);
/* memory initializer */ allocate([101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,118,91,49,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,118,91,49,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,118,91,50,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,118,91,50,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,118,91,51,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,118,91,51,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,118,91,52,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,118,91,52,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,118,91,53,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,118,91,53,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+686120);
/* memory initializer */ allocate([111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,118,91,49,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,118,91,49,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,118,91,50,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,118,91,50,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,118,91,51,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,118,91,51,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,118,91,52,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,118,91,52,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,118,91,53,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,118,91,53,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+696360);
/* memory initializer */ allocate([116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,118,91,49,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,118,91,49,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,118,91,50,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,118,91,50,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,118,91,51,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,118,91,51,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+706600);
/* memory initializer */ allocate([111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,49,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,49,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,50,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,50,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,51,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,51,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+716840);
/* memory initializer */ allocate([117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,52,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,52,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,53,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,53,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,49,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,49,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,50,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,50,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,51,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,51,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+727080);
/* memory initializer */ allocate([34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,102,101,101,100,98,97,99,107,46,121,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,77,97,116,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,54,55,34,32,108,105,110,101,69,110,100,61,34,57,54,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,101,101,100,98,97,99,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,77,97,116,104,46,70,101,101,100,98,97,99,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,102,101,101,100,98,97,99,107,46,121,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,77,97,116,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,54,55,34,32,108,105,110,101,69,110,100,61,34,57,54,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,101,101,100,98,97,99,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,77,97,116,104,46,70,101,101,100,98,97,99,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,102,101,101,100,98,97,99,107,46,117,50,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,77,97,116,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,54,50,34,32,108,105,110,101,69,110,100,61,34,57,54,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,101,101,100,98,97,99,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,77,97,116,104,46,70,101,101,100,98,97,99,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,102,101,101,100,98,97,99,107,46,117,50,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,77,97,116,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,54,50,34,32,108,105,110,101,69,110,100,61,34,57,54,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,101,101,100,98,97,99,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,77,97,116,104,46,70,101,101,100,98,97,99,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,116,97,117,34,32,99,111,109,109,101,110,116,61,34,65,99,99,101,108,101,114,97,116,105,110,103,32,116,111,114,113,117,101,32,97,99,116,105,110,103,32,97,116,32,102,108,97,110,103,101,32,40,61,32,45,102,108,97,110,103,101,46,116,97,117,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,51,48,55,34,32,108,105,110,101,69,110,100,61,34,54,51,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,83,111,117,114,99,101,115,46,81,117,97,100,114,97,116,105,99,83,112,101,101,100,68,101,112,101,110,100,101,110,116,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,116,97,117,34,32,99,111,109,109,101,110,116,61,34,65,99,99,101,108,101,114,97,116,105,110,103,32,116,111,114,113,117,101,32,97,99,116,105,110,103,32,97,116,32,102,108,97,110,103,101,32,40,61,32,45,102,108,97,110,103,101,46,116,97,117,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,51,48,55,34,32,108,105,110,101,69,110,100,61,34,54,51,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,83,111,117,114,99,101,115,46,81,117,97,100,114,97,116,105,99,83,112,101,101,100,68,101,112,101,110,100,101,110,116,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,108,111,97,100,73,110,101,114,116,105,97,51,46,97,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,97,110,103,117,108,97,114,32,97,99,99,101,108,101,114,97,116,105,111,110,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,61,32,100,101,114,40,119,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,49,48,34,32,108,105,110,101,69,110,100,61,34,50,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,108,111,97,100,73,110,101,114,116,105,97,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,108,111,97,100,73,110,101,114,116,105,97,51,46,97,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,97,110,103,117,108,97,114,32,97,99,99,101,108,101,114,97,116,105,111,110,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,61,32,100,101,114,40,119,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,49,48,34,32,108,105,110,101,69,110,100,61,34,50,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,108,111,97,100,73,110,101,114,116,105,97,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+737320);
/* memory initializer */ allocate([32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,105,109,34,32,99,111,109,109,101,110,116,61,34,73,109,97,103,105,110,97,114,121,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,67,111,109,112,108,101,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,105,109,34,32,99,111,109,109,101,110,116,61,34,73,109,97,103,105,110,97,114,121,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,67,111,109,112,108,101,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,114,101,34,32,99,111,109,109,101,110,116,61,34,82,101,97,108,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,67,111,109,112,108,101,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,114,101,34,32,99,111,109,109,101,110,116,61,34,82,101,97,108,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,67,111,109,112,108,101,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,103,97,109,109,97,34,32,99,111,109,109,101,110,116,61,34,69,108,101,99,116,114,105,99,97,108,32,97,110,103,108,101,32,98,101,116,119,101,101,110,32,114,111,116,111,114,32,97,110,100,32,115,116,97,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,53,53,34,32,108,105,110,101,69,110,100,61,34,53,55,53,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,97,105,114,71,97,112,46,103,97,109,109,97,34,32,99,111,109,109,101,110,116,61,34,69,108,101,99,116,114,105,99,97,108,32,97,110,103,108,101,32,98,101,116,119,101,101,110,32,114,111,116,111,114,32,97,110,100,32,115,116,97,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,53,53,34,32,108,105,110,101,69,110,100,61,34,53,55,53,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,114,114,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,114,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,114,114,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,114,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,114,114,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,114,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,114,114,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,114,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,114,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,114,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+747560);
/* memory initializer */ allocate([105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,114,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,114,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,105,48,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,55,34,32,108,105,110,101,69,110,100,61,34,49,48,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+757800);
/* memory initializer */ allocate([98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,105,48,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,55,34,32,108,105,110,101,69,110,100,61,34,49,48,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,84,111,116,97,108,34,32,99,111,109,109,101,110,116,61,34,84,111,116,97,108,32,108,111,115,115,32,112,111,119,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,54,50,34,32,108,105,110,101,69,110,100,61,34,49,51,54,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,84,111,116,97,108,34,32,99,111,109,109,101,110,116,61,34,84,111,116,97,108,32,108,111,115,115,32,112,111,119,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,54,50,34,32,108,105,110,101,69,110,100,61,34,49,51,54,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,82,111,116,111,114,87,105,110,100,105,110,103,34,32,99,111,109,109,101,110,116,61,34,82,111,116,111,114,32,99,111,112,112,101,114,32,108,111,115,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,57,50,34,32,108,105,110,101,69,110,100,61,34,49,51,54,57,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,82,111,116,111,114,87,105,110,100,105,110,103,34,32,99,111,109,109,101,110,116,61,34,82,111,116,111,114,32,99,111,112,112,101,114,32,108,111,115,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,57,50,34,32,108,105,110,101,69,110,100,61,34,49,51,54,57,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,97,116,111,114,87,105,110,100,105,110,103,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,99,111,112,112,101,114,32,108,111,115,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,54,51,34,32,108,105,110,101,69,110,100,61,34,49,51,54,54,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,97,116,111,114,87,105,110,100,105,110,103,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,99,111,112,112,101,114,32,108,111,115,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,54,51,34,32,108,105,110,101,69,110,100,61,34,49,51,54,54,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,112,111,119,101,114,73,110,101,114,116,105,97,82,111,116,111,114,34,32,99,111,109,109,101,110,116,61,34,82,111,116,111,114,32,105,110,101,114,116,105,97,32,112,111,119,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,54,49,34,32,108,105,110,101,69,110,100,61,34,49,51], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+768040);
/* memory initializer */ allocate([54,54,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,112,111,119,101,114,73,110,101,114,116,105,97,82,111,116,111,114,34,32,99,111,109,109,101,110,116,61,34,82,111,116,111,114,32,105,110,101,114,116,105,97,32,112,111,119,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,54,49,34,32,108,105,110,101,69,110,100,61,34,49,51,54,54,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,112,111,119,101,114,77,101,99,104,97,110,105,99,97,108,34,32,99,111,109,109,101,110,116,61,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,53,57,34,32,108,105,110,101,69,110,100,61,34,49,51,54,53,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,112,111,119,101,114,77,101,99,104,97,110,105,99,97,108,34,32,99,111,109,109,101,110,116,61,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,53,57,34,32,108,105,110,101,69,110,100,61,34,49,51,54,53,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,112,111,119,101,114,83,116,97,116,111,114,34,32,99,111,109,109,101,110,116,61,34,69,108,101,99,116,114,105,99,97,108,32,112,111,119,101,114,32,40,115,116,97,116,111,114,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,53,56,34,32,108,105,110,101,69,110,100,61,34,49,51,54,53,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,112,111,119,101,114,83,116,97,116,111,114,34,32,99,111,109,109,101,110,116,61,34,69,108,101,99,116,114,105,99,97,108,32,112,111,119,101,114,32,40,115,116,97,116,111,114,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,53,56,34,32,108,105,110,101,69,110,100,61,34,49,51,54,53,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,105,82,77,83,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,53,53,57,34,32,108,105,110,101,69,110,100,61,34,49,49,53,53,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,105,82,77,83,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,53,53,57,34,32,108,105,110,101,69,110,100,61,34,49,49,53,53,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,110,103,108,101,32,98,101,116,119,101,101,110,32,115,104,97,102,116,32,97,110,100,32,115,117,112,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,55,55,34,32,108,105,110,101,69,110,100,61,34,49,52,53,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,110,103,108,101,32,98,101,116,119,101,101,110,32,115,104,97,102,116,32,97,110,100,32,115,117,112,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,55,55,34,32,108,105,110,101,69,110,100,61,34,49,52,53,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,110,103,108,101,32,98,101,116,119,101,101,110,32,115,104,97,102,116,32,97,110,100,32,115,117,112,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,55,55,34,32,108,105,110,101,69,110,100,61,34,49,52,53,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,110,103,108,101,32,98,101,116,119,101,101,110,32,115,104,97,102,116,32,97,110,100,32,115,117,112,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,55,55,34,32,108,105,110,101,69,110,100,61,34,49,52,53,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,116,97,117,69,108,101,99,116,114,105,99,97,108,34,32,99,111,109,109,101,110,116,61,34,69,108,101,99,116,114,111,109,97,103,110,101,116,105,99,32,116,111,114,113,117,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,48,57,34,32,108,105,110,101,69,110,100,61,34,54,55,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+778280);
/* memory initializer */ allocate([99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,116,97,117,69,108,101,99,116,114,105,99,97,108,34,32,99,111,109,109,101,110,116,61,34,69,108,101,99,116,114,111,109,97,103,110,101,116,105,99,32,116,111,114,113,117,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,48,57,34,32,108,105,110,101,69,110,100,61,34,54,55,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,84,111,116,97,108,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,49,55,57,34,32,108,105,110,101,69,110,100,61,34,49,50,49,56,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,84,111,116,97,108,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,49,55,57,34,32,108,105,110,101,69,110,100,61,34,49,50,49,56,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,82,111,116,111,114,87,105,110,100,105,110,103,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,111,102,32,114,111,116,111,114,32,40,115,113,117,105,114,114,101,108,32,99,97,103,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,49,55,55,34,32,108,105,110,101,69,110,100,61,34,49,50,49,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,82,111,116,111,114,87,105,110,100,105,110,103,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,111,102,32,114,111,116,111,114,32,40,115,113,117,105,114,114,101,108,32,99,97,103,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,49,55,55,34,32,108,105,110,101,69,110,100,61,34,49,50,49,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,83,116,97,116,111,114,87,105,110,100,105,110,103,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,111,102,32,115,116,97,116,111,114,32,119,105,110,100,105,110,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,53,51,52,34,32,108,105,110,101,69,110,100,61,34,49,51,53,51,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,83,116,97,116,111,114,87,105,110,100,105,110,103,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,111,102,32,115,116,97,116,111,114,32,119,105,110,100,105,110,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,53,51,52,34,32,108,105,110,101,69,110,100,61,34,49,51,53,51,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,112,104,105,77,101,99,104,97,110,105,99,97,108,34,32,99,111,109,109,101,110,116,61,34,77,101,99,104,97,110,105,99,97,108,32,97,110,103,108,101,32,111,102,32,114,111,116,111,114,32,97,103,97,105,110,115,116,32,115,116,97,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,48,51,34,32,108,105,110,101,69,110,100,61,34,54,55,48,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,112,104,105,77,101,99,104,97,110,105,99,97,108,34,32,99,111,109,109,101,110,116,61,34,77,101,99,104,97,110,105,99,97,108,32,97,110,103,108,101,32,111,102,32,114,111,116,111,114,32,97,103,97,105,110,115,116,32,115,116,97,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,48,51,34,32,108,105,110,101,69,110,100,61,34,54,55,48,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,116,97,117,83,104,97,102,116,34,32,99,111,109,109,101,110,116,61,34,83,104,97,102,116,32,116,111,114,113,117,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,49,49,34,32,108,105,110,101,69,110,100,61,34,54,55,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,116,97,117,83,104,97,102,116,34,32,99,111,109,109,101,110,116,61,34,83,104,97,102,116,32,116,111,114,113,117,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,49,49,34,32,108,105,110,101,69,110,100,61,34,54,55,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+788520);
/* memory initializer */ allocate([34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,122,101,114,111,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,49,49,34,32,108,105,110,101,69,110,100,61,34,49,48,56,49,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,112,97,99,101,80,104,97,115,111,114,115,46,66,108,111,99,107,115,46,84,111,83,112,97,99,101,80,104,97,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,122,101,114,111,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,49,49,34,32,108,105,110,101,69,110,100,61,34,49,48,56,49,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,112,97,99,101,80,104,97,115,111,114,115,46,66,108,111,99,107,115,46,84,111,83,112,97,99,101,80,104,97,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,73,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,48,49,34,32,108,105,110,101,69,110,100,61,34,49,48,50,48,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,73,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,50,48,49,34,32,108,105,110,101,69,110,100,61,34,49,48,50,48,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,103,114,111,117,110,100,51,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,103,114,111,117,110,100,51,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,103,114,111,117,110,100,51,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,103,114,111,117,110,100,51,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,116,97,117,34,32,99,111,109,109,101,110,116,61,34,65,99,99,101,108,101,114,97,116,105,110,103,32,116,111,114,113,117,101,32,97,99,116,105,110,103,32,97,116,32,102,108,97,110,103,101,32,40,61,32,45,102,108,97,110,103,101,46,116,97,117,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,51,48,55,34,32,108,105,110,101,69,110,100,61,34,54,51,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,83,111,117,114,99,101,115,46,81,117,97,100,114,97,116,105,99,83,112,101,101,100,68,101,112,101,110,100,101,110,116,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,116,97,117,34,32,99,111,109,109,101,110,116,61,34,65,99,99,101,108,101,114,97,116,105,110,103,32,116,111,114,113,117,101,32,97,99,116,105,110,103,32,97,116,32,102,108,97,110,103,101,32,40,61,32,45,102,108,97,110,103,101,46,116,97,117,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,51,48,55,34,32,108,105,110,101,69,110,100,61,34,54,51,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,83,111,117,114,99,101,115,46,81,117,97,100,114,97,116,105,99,83,112,101,101,100,68,101,112,101,110,100,101,110,116,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,108,111,97,100,73,110,101,114,116,105,97,77,46,97,34,32,99,111,109,109,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+798760);
/* memory initializer */ allocate([110,116,61,34,65,98,115,111,108,117,116,101,32,97,110,103,117,108,97,114,32,97,99,99,101,108,101,114,97,116,105,111,110,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,61,32,100,101,114,40,119,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,49,48,34,32,108,105,110,101,69,110,100,61,34,50,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,108,111,97,100,73,110,101,114,116,105,97,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,108,111,97,100,73,110,101,114,116,105,97,77,46,97,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,97,110,103,117,108,97,114,32,97,99,99,101,108,101,114,97,116,105,111,110,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,61,32,100,101,114,40,119,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,49,48,34,32,108,105,110,101,69,110,100,61,34,50,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,108,111,97,100,73,110,101,114,116,105,97,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,105,109,34,32,99,111,109,109,101,110,116,61,34,73,109,97,103,105,110,97,114,121,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,67,111,109,112,108,101,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,105,109,34,32,99,111,109,109,101,110,116,61,34,73,109,97,103,105,110,97,114,121,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,67,111,109,112,108,101,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,114,101,34,32,99,111,109,109,101,110,116,61,34,82,101,97,108,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,67,111,109,112,108,101,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,114,101,34,32,99,111,109,109,101,110,116,61,34,82,101,97,108,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,67,111,109,112,108,101,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,103,97,109,109,97,34,32,99,111,109,109,101,110,116,61,34,69,108,101,99,116,114,105,99,97,108,32,97,110,103,108,101,32,98,101,116,119,101,101,110,32,114,111,116,111,114,32,97,110,100,32,115,116,97,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,53,53,34,32,108,105,110,101,69,110,100,61,34,53,55,53,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,97,105,114,71,97,112,46,103,97,109,109,97,34,32,99,111,109,109,101,110,116,61,34,69,108,101,99,116,114,105,99,97,108,32,97,110,103,108,101,32,98,101,116,119,101,101,110,32,114,111,116,111,114,32,97,110,100,32,115,116,97,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,53,53,34,32,108,105,110,101,69,110,100,61,34,53,55,53,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+809000);
/* memory initializer */ allocate([111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,114,114,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,114,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,114,114,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,114,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,114,114,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,114,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,114,114,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,114,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,114,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,114,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,114,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,114,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+819240);
/* memory initializer */ allocate([32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,84,111,116,97,108,34,32,99,111,109,109,101,110,116,61,34,84,111,116,97,108,32,108,111,115,115,32,112,111,119,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,54,50,34,32,108,105,110,101,69,110,100,61,34,49,51,54,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,84,111,116,97,108,34,32,99,111,109,109,101,110,116,61,34,84,111,116,97,108,32,108,111,115,115,32,112,111,119,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,54,50,34,32,108,105,110,101,69,110,100,61,34,49,51,54,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,82,111,116,111,114,87,105,110,100,105,110,103,34,32,99,111,109,109,101,110,116,61,34,82,111,116,111,114,32,99,111,112,112,101,114,32,108,111,115,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,57,50,34,32,108,105,110,101,69,110,100,61,34,49,51,54,57,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,82,111,116,111,114,87,105,110,100,105,110,103,34,32,99,111,109,109,101,110,116,61,34,82,111,116,111,114,32,99,111,112,112,101,114,32,108,111,115,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,57,50,34,32,108,105,110,101,69,110,100,61,34,49,51,54,57,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,97,116,111,114,87,105,110,100,105,110,103,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,99,111,112,112,101,114,32,108,111,115,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,54,51,34,32,108,105,110,101,69,110,100,61,34,49,51,54,54,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,97,116,111,114,87,105,110,100,105,110,103,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,99,111,112,112,101,114,32,108,111,115,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,54,51,34,32,108,105,110,101,69,110,100,61,34,49,51,54,54,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,112,111,119,101,114,73,110,101,114,116,105,97,82,111,116,111,114,34,32,99,111,109,109,101,110,116,61,34,82,111,116,111,114,32,105,110,101,114,116,105,97,32,112,111,119,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,54,49,34,32,108,105,110,101,69,110,100,61,34,49,51,54,54,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+829480);
/* memory initializer */ allocate([105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,112,111,119,101,114,73,110,101,114,116,105,97,82,111,116,111,114,34,32,99,111,109,109,101,110,116,61,34,82,111,116,111,114,32,105,110,101,114,116,105,97,32,112,111,119,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,54,49,34,32,108,105,110,101,69,110,100,61,34,49,51,54,54,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,112,111,119,101,114,77,101,99,104,97,110,105,99,97,108,34,32,99,111,109,109,101,110,116,61,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,53,57,34,32,108,105,110,101,69,110,100,61,34,49,51,54,53,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,112,111,119,101,114,77,101,99,104,97,110,105,99,97,108,34,32,99,111,109,109,101,110,116,61,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,53,57,34,32,108,105,110,101,69,110,100,61,34,49,51,54,53,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,112,111,119,101,114,83,116,97,116,111,114,34,32,99,111,109,109,101,110,116,61,34,69,108,101,99,116,114,105,99,97,108,32,112,111,119,101,114,32,40,115,116,97,116,111,114,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,53,56,34,32,108,105,110,101,69,110,100,61,34,49,51,54,53,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,112,111,119,101,114,83,116,97,116,111,114,34,32,99,111,109,109,101,110,116,61,34,69,108,101,99,116,114,105,99,97,108,32,112,111,119,101,114,32,40,115,116,97,116,111,114,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,53,56,34,32,108,105,110,101,69,110,100,61,34,49,51,54,53,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,105,82,77,83,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,53,53,57,34,32,108,105,110,101,69,110,100,61,34,49,49,53,53,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,105,82,77,83,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,53,53,57,34,32,108,105,110,101,69,110,100,61,34,49,49,53,53,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,110,103,108,101,32,98,101,116,119,101,101,110,32,115,104,97,102,116,32,97,110,100,32,115,117,112,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,55,55,34,32,108,105,110,101,69,110,100,61,34,49,52,53,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,110,103,108,101,32,98,101,116,119,101,101,110,32,115,104,97,102,116,32,97,110,100,32,115,117,112,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,55,55,34,32,108,105,110,101,69,110,100,61,34,49,52,53,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,110,103,108,101,32,98,101,116,119,101,101,110,32,115,104,97,102,116,32,97,110,100,32,115,117,112,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,55,55,34,32,108,105,110,101,69,110,100,61,34,49,52,53,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,110,103,108,101,32,98,101,116,119,101,101,110,32,115,104,97,102,116,32,97,110,100,32,115,117,112,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,55,55,34,32,108,105,110,101,69,110,100,61,34,49,52,53,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,116,97,117,69,108,101,99,116,114,105,99,97,108,34,32,99,111,109,109,101,110,116,61,34,69,108,101,99,116,114,111,109,97,103,110,101,116,105,99,32,116,111,114,113,117,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,48,57,34,32,108,105,110,101,69,110,100,61,34,54,55,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,116,97,117,69,108,101,99,116,114,105,99,97,108,34,32,99,111,109,109,101,110,116,61,34,69,108,101,99,116,114,111,109,97,103,110,101,116,105,99,32,116,111,114,113,117,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+839720);
/* memory initializer */ allocate([62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,48,57,34,32,108,105,110,101,69,110,100,61,34,54,55,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,84,111,116,97,108,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,49,55,57,34,32,108,105,110,101,69,110,100,61,34,49,50,49,56,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,84,111,116,97,108,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,49,55,57,34,32,108,105,110,101,69,110,100,61,34,49,50,49,56,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,82,111,116,111,114,87,105,110,100,105,110,103,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,111,102,32,114,111,116,111,114,32,40,115,113,117,105,114,114,101,108,32,99,97,103,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,49,55,55,34,32,108,105,110,101,69,110,100,61,34,49,50,49,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,82,111,116,111,114,87,105,110,100,105,110,103,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,111,102,32,114,111,116,111,114,32,40,115,113,117,105,114,114,101,108,32,99,97,103,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,49,55,55,34,32,108,105,110,101,69,110,100,61,34,49,50,49,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,83,116,97,116,111,114,87,105,110,100,105,110,103,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,111,102,32,115,116,97,116,111,114,32,119,105,110,100,105,110,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,53,51,52,34,32,108,105,110,101,69,110,100,61,34,49,51,53,51,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,83,116,97,116,111,114,87,105,110,100,105,110,103,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,111,102,32,115,116,97,116,111,114,32,119,105,110,100,105,110,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,53,51,52,34,32,108,105,110,101,69,110,100,61,34,49,51,53,51,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,112,104,105,77,101,99,104,97,110,105,99,97,108,34,32,99,111,109,109,101,110,116,61,34,77,101,99,104,97,110,105,99,97,108,32,97,110,103,108,101,32,111,102,32,114,111,116,111,114,32,97,103,97,105,110,115,116,32,115,116,97,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,48,51,34,32,108,105,110,101,69,110,100,61,34,54,55,48,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,112,104,105,77,101,99,104,97,110,105,99,97,108,34,32,99,111,109,109,101,110,116,61,34,77,101,99,104,97,110,105,99,97,108,32,97,110,103,108,101,32,111,102,32,114,111,116,111,114,32,97,103,97,105,110,115,116,32,115,116,97,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,48,51,34,32,108,105,110,101,69,110,100,61,34,54,55,48,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,116,97,117,83,104,97,102,116,34,32,99,111,109,109,101,110,116,61,34,83,104,97,102,116,32,116,111,114,113,117,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,49,49,34,32,108,105,110,101,69,110,100,61,34,54,55,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,116,97,117,83,104,97,102,116,34,32,99,111,109,109,101,110,116,61,34,83,104,97,102,116,32,116,111,114,113,117,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,49,49,34,32,108,105,110,101,69,110,100,61,34,54,55,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+849960);
/* memory initializer */ allocate([32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,73,34,32,99,111,109,109,101,110,116,61,34,67,111,110,116,105,110,117,111,117,115,32,113,117,97,115,105,32,97,118,101,114,97,103,101,32,82,77,83,32,111,102,32,99,117,114,114,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,51,56,34,32,108,105,110,101,69,110,100,61,34,50,53,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,73,34,32,99,111,109,109,101,110,116,61,34,67,111,110,116,105,110,117,111,117,115,32,113,117,97,115,105,32,97,118,101,114,97,103,101,32,82,77,83,32,111,102,32,99,117,114,114,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,51,56,34,32,108,105,110,101,69,110,100,61,34,50,53,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,103,114,111,117,110,100,77,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,103,114,111,117,110,100,77,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,103,114,111,117,110,100,77,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,103,114,111,117,110,100,77,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+860200);
/* memory initializer */ allocate([83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,114,101,41,34,32,99,111,109,109,101,110,116,61,34,82,101,97,108,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,67,111,109,112,108,101,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,114,101,41,34,32,99,111,109,109,101,110,116,61,34,82,101,97,108,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,67,111,109,112,108,101,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,105,109,41,34,32,99,111,109,109,101,110,116,61,34,73,109,97,103,105,110,97,114,121,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,67,111,109,112,108,101,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,105,109,41,34,32,99,111,109,109,101,110,116,61,34,73,109,97,103,105,110,97,114,121,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,67,111,109,112,108,101,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,105,48,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,55,34,32,108,105,110,101,69,110,100,61,34,49,48,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,105,48,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,55,34,32,108,105,110,101,69,110,100,61,34,49,48,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,114,101,41,34,32,99,111,109,109,101,110,116,61,34,82,101,97,108,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,67,111,109,112,108,101,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,114,101,41,34,32,99,111,109,109,101,110,116,61,34,82,101,97,108,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,67,111,109,112,108,101,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,105,109,41,34,32,99,111,109,109,101,110,116,61,34,73,109,97,103,105,110,97,114,121,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,67,111,109,112,108,101,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,105,109,41,34,32,99,111,109,109,101,110,116,61,34,73,109,97,103,105,110,97,114,121,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,67,111,109,112,108,101,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,97,105,114,71,97,112,46,103,97,109,109,97,41,34,32,99,111,109,109,101,110,116,61,34,69,108,101,99,116,114,105,99,97,108,32,97,110,103,108,101,32,98,101,116,119,101,101,110,32,114,111,116,111,114,32,97,110,100,32,115,116,97,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,53,53,34,32,108,105,110,101,69,110,100,61,34,53,55,53,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,105,109,99,77,46,97,105,114,71,97,112,46,103,97,109,109,97,41,34,32,99,111,109,109,101,110,116,61,34,69,108,101,99,116,114,105,99,97,108,32,97,110,103,108,101,32,98,101,116,119,101,101,110,32,114,111,116,111,114,32,97,110,100,32,115,116,97,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,53,53,34,32,108,105,110,101,69,110,100,61,34,53,55,53,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,97,105,114,71,97,112,46,103,97,109,109,97,41,34,32,99,111,109,109,101,110,116,61,34,69,108,101,99,116,114,105,99,97,108,32,97,110,103,108,101,32,98,101,116,119,101,101,110,32,114,111,116,111,114,32,97,110,100,32,115,116,97,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+870440);
/* memory initializer */ allocate([102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,53,53,34,32,108,105,110,101,69,110,100,61,34,53,55,53,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,105,109,99,51,46,97,105,114,71,97,112,46,103,97,109,109,97,41,34,32,99,111,109,109,101,110,116,61,34,69,108,101,99,116,114,105,99,97,108,32,97,110,103,108,101,32,98,101,116,119,101,101,110,32,114,111,116,111,114,32,97,110,100,32,115,116,97,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,53,53,34,32,108,105,110,101,69,110,100,61,34,53,55,53,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,114,101,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,114,101,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,105,109,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,105,109,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,114,46,114,101,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,114,46,114,101,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,114,46,105,109,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,114,46,105,109,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,114,114,46,114,101,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,114,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,114,114,46,114,101,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,114,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+880680);
/* memory initializer */ allocate([60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,114,114,46,105,109,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,114,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,114,114,46,105,109,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,114,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,114,46,114,101,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,114,46,114,101,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,114,46,105,109,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,114,46,105,109,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,114,114,46,114,101,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,114,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,114,114,46,114,101,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,114,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+890920);
/* memory initializer */ allocate([101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,114,114,46,105,109,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,114,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,114,114,46,105,109,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,114,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,102,108,97,110,103,101,95,97,46,116,97,117,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,53,34,32,108,105,110,101,69,110,100,61,34,54,52,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,102,108,97,110,103,101,95,97,46,116,97,117,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,53,34,32,108,105,110,101,69,110,100,61,34,54,52,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,102,108,97,110,103,101,95,97,46,116,97,117,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,53,34,32,108,105,110,101,69,110,100,61,34,54,52,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,102,108,97,110,103,101,95,97,46,116,97,117,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,53,34,32,108,105,110,101,69,110,100,61,34,54,52,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,54,34,32,108,105,110,101,69,110,100,61,34,50,55,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,54,34,32,108,105,110,101,69,110,100,61,34,50,55,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,46,112,111,114,116,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,46,112,111,114,116,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,67,111,114,101,46,112,111,114,116,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+901160);
/* memory initializer */ allocate([99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,67,111,114,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,67,111,114,101,46,112,111,114,116,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,67,111,114,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,112,111,114,116,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,112,111,114,116,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,54,34,32,108,105,110,101,69,110,100,61,34,50,55,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,54,34,32,108,105,110,101,69,110,100,61,34,50,55,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,46,112,111,114,116,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,46,112,111,114,116,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,54,34,32,108,105,110,101,69,110,100,61,34,50,55,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,54,34,32,108,105,110,101,69,110,100,61,34,50,55,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,46,112,111,114,116,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+911400);
/* memory initializer */ allocate([32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,46,112,111,114,116,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,67,111,114,101,46,112,111,114,116,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,67,111,114,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,67,111,114,101,46,112,111,114,116,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,67,111,114,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,112,111,114,116,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,112,111,114,116,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,54,34,32,108,105,110,101,69,110,100,61,34,50,55,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,54,34,32,108,105,110,101,69,110,100,61,34,50,55,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,46,112,111,114,116,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,46,112,111,114,116,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,112,111,119,101,114,73,110,101,114,116,105,97,83,116,97,116,111,114,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,105,110,101,114,116,105,97,32,112,111,119,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+921640);
/* memory initializer */ allocate([105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,54,48,34,32,108,105,110,101,69,110,100,61,34,49,51,54,54,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,112,111,119,101,114,73,110,101,114,116,105,97,83,116,97,116,111,114,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,105,110,101,114,116,105,97,32,112,111,119,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,54,48,34,32,108,105,110,101,69,110,100,61,34,49,51,54,54,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,112,111,119,101,114,73,110,101,114,116,105,97,83,116,97,116,111,114,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,105,110,101,114,116,105,97,32,112,111,119,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,54,48,34,32,108,105,110,101,69,110,100,61,34,49,51,54,54,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,112,111,119,101,114,73,110,101,114,116,105,97,83,116,97,116,111,114,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,105,110,101,114,116,105,97,32,112,111,119,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,54,48,34,32,108,105,110,101,69,110,100,61,34,49,51,54,54,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,97,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,97,110,103,117,108,97,114,32,97,99,99,101,108,101,114,97,116,105,111,110,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,61,32,100,101,114,40,119,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,49,48,34,32,108,105,110,101,69,110,100,61,34,50,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,97,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,97,110,103,117,108,97,114,32,97,99,99,101,108,101,114,97,116,105,111,110,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,61,32,100,101,114,40,119,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,49,48,34,32,108,105,110,101,69,110,100,61,34,50,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,97,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,97,110,103,117,108,97,114,32,97,99,99,101,108,101,114,97,116,105,111,110,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,61,32,100,101,114,40,119,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,49,48,34,32,108,105,110,101,69,110,100,61,34,50,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,101,114,116,105,97,83,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,97,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,97,110,103,117,108,97,114,32,97,99,99,101,108,101,114,97,116,105,111,110,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,61,32,100,101,114,40,119,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,49,48,34,32,108,105,110,101,69,110,100,61,34,50,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,101,114,116,105,97,83,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+931880);
/* memory initializer */ allocate([46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,97,116,111,114,67,111,114,101,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,99,111,114,101,32,108,111,115,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,54,52,34,32,108,105,110,101,69,110,100,61,34,49,51,54,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,97,116,111,114,67,111,114,101,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,99,111,114,101,32,108,111,115,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,54,52,34,32,108,105,110,101,69,110,100,61,34,49,51,54,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,114,97,121,76,111,97,100,34,32,99,111,109,109,101,110,116,61,34,83,116,114,97,121,32,108,111,97,100,32,108,111,115,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+942120);
/* memory initializer */ allocate([102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,54,54,34,32,108,105,110,101,69,110,100,61,34,49,51,54,54,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,114,97,121,76,111,97,100,34,32,99,111,109,109,101,110,116,61,34,83,116,114,97,121,32,108,111,97,100,32,108,111,115,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,54,54,34,32,108,105,110,101,69,110,100,61,34,49,51,54,54,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,70,114,105,99,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,70,114,105,99,116,105,111,110,32,108,111,115,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,54,55,34,32,108,105,110,101,69,110,100,61,34,49,51,54,54,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,70,114,105,99,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,70,114,105,99,116,105,111,110,32,108,111,115,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,54,55,34,32,108,105,110,101,69,110,100,61,34,49,51,54,54,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,119,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,61,32,100,101,114,40,112,104,105,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,55,34,32,108,105,110,101,69,110,100,61,34,50,51,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,101,114,116,105,97,83,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,119,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,61,32,100,101,114,40,112,104,105,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,55,34,32,108,105,110,101,69,110,100,61,34,50,51,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,101,114,116,105,97,83,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,97,116,111,114,67,111,114,101,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,99,111,114,101,32,108,111,115,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,54,52,34,32,108,105,110,101,69,110,100,61,34,49,51,54,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,97,116,111,114,67,111,114,101,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,99,111,114,101,32,108,111,115,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+952360);
/* memory initializer */ allocate([100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,54,52,34,32,108,105,110,101,69,110,100,61,34,49,51,54,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,114,97,121,76,111,97,100,34,32,99,111,109,109,101,110,116,61,34,83,116,114,97,121,32,108,111,97,100,32,108,111,115,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,54,54,34,32,108,105,110,101,69,110,100,61,34,49,51,54,54,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,114,97,121,76,111,97,100,34,32,99,111,109,109,101,110,116,61,34,83,116,114,97,121,32,108,111,97,100,32,108,111,115,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,54,54,34,32,108,105,110,101,69,110,100,61,34,49,51,54,54,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,70,114,105,99,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,70,114,105,99,116,105,111,110,32,108,111,115,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,54,55,34,32,108,105,110,101,69,110,100,61,34,49,51,54,54,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,70,114,105,99,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,70,114,105,99,116,105,111,110,32,108,111,115,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,54,55,34,32,108,105,110,101,69,110,100,61,34,49,51,54,54,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,119,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,61,32,100,101,114,40,112,104,105,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,55,34,32,108,105,110,101,69,110,100,61,34,50,51,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,119,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,61,32,100,101,114,40,112,104,105,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,55,34,32,108,105,110,101,69,110,100,61,34,50,51,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,82,111,116,111,114,67,111,114,101,34,32,99,111,109,109,101,110,116,61,34,82,111,116,111,114,32,99,111,114,101,32,108,111,115,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,54,53,34,32,108,105,110,101,69,110,100,61,34,49,51,54,54,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,82,111,116,111,114,67,111,114,101,34,32,99,111,109,109,101,110,116,61,34,82,111,116,111,114,32,99,111,114,101,32,108,111,115,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,54,53,34,32,108,105,110,101,69,110,100,61,34,49,51,54,54,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,82,111,116,111,114,67,111,114,101,34,32,99,111,109,109,101,110,116,61,34,82,111,116,111,114,32,99,111,114,101,32,108,111,115,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,54,53,34,32,108,105,110,101,69,110,100,61,34,49,51,54,54,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,82,111,116,111,114,67,111,114,101,34,32,99,111,109,109,101,110,116,61,34,82,111,116,111,114,32,99,111,114,101,32,108,111,115,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,54,53,34,32,108,105,110,101,69,110,100,61,34,49,51,54,54,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,112,104,105,95,115,117,112,112,111,114,116,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,97,110,103,108,101,32,111,102,32,115,117,112,112,111,114,116,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,49,53,34,32,108,105,110,101,69,110,100,61,34,55,48,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,83,111,117,114,99,101,115,46,81,117,97,100,114,97,116,105,99,83,112,101,101,100,68,101,112,101,110,100,101,110,116,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,112,104,105,95,115,117,112,112,111,114,116,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,97,110,103,108,101,32,111,102,32,115,117,112,112,111,114,116,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+962600);
/* memory initializer */ allocate([105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,49,53,34,32,108,105,110,101,69,110,100,61,34,55,48,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,83,111,117,114,99,101,115,46,81,117,97,100,114,97,116,105,99,83,112,101,101,100,68,101,112,101,110,100,101,110,116,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,112,104,105,95,115,117,112,112,111,114,116,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,97,110,103,108,101,32,111,102,32,115,117,112,112,111,114,116,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,49,53,34,32,108,105,110,101,69,110,100,61,34,55,48,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,83,111,117,114,99,101,115,46,81,117,97,100,114,97,116,105,99,83,112,101,101,100,68,101,112,101,110,100,101,110,116,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,112,104,105,95,115,117,112,112,111,114,116,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,97,110,103,108,101,32,111,102,32,115,117,112,112,111,114,116,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,49,53,34,32,108,105,110,101,69,110,100,61,34,55,48,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,83,111,117,114,99,101,115,46,81,117,97,100,114,97,116,105,99,83,112,101,101,100,68,101,112,101,110,100,101,110,116,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,116,97,117,34,32,99,111,109,109,101,110,116,61,34,84,111,114,113,117,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,55,56,34,32,108,105,110,101,69,110,100,61,34,49,52,53,55,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,116,97,117,34,32,99,111,109,109,101,110,116,61,34,84,111,114,113,117,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,55,56,34,32,108,105,110,101,69,110,100,61,34,49,52,53,55,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,116,97,117,34,32,99,111,109,109,101,110,116,61,34,84,111,114,113,117,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,55,56,34,32,108,105,110,101,69,110,100,61,34,49,52,53,55,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,116,97,117,34,32,99,111,109,109,101,110,116,61,34,84,111,114,113,117,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,55,56,34,32,108,105,110,101,69,110,100,61,34,49,52,53,55,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,116,97,117,34,32,99,111,109,109,101,110,116,61,34,84,111,114,113,117,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,55,56,34,32,108,105,110,101,69,110,100,61,34,49,52,53,55,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,116,97,117,34,32,99,111,109,109,101,110,116,61,34,84,111,114,113,117,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,55,56,34,32,108,105,110,101,69,110,100,61,34,49,52,53,55,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+972840);
/* memory initializer */ allocate([62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,116,97,117,34,32,99,111,109,109,101,110,116,61,34,84,111,114,113,117,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,55,56,34,32,108,105,110,101,69,110,100,61,34,49,52,53,55,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,116,97,117,34,32,99,111,109,109,101,110,116,61,34,84,111,114,113,117,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,55,56,34,32,108,105,110,101,69,110,100,61,34,49,52,53,55,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,116,101,114,110,97,108,83,117,112,112,111,114,116,46,116,97,117,34,32,99,111,109,109,101,110,116,61,34,82,101,97,99,116,105,111,110,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,115,117,112,112,111,114,116,47,104,111,117,115,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,53,52,50,34,32,108,105,110,101,69,110,100,61,34,54,53,52,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,116,101,114,110,97,108,83,117,112,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,83,117,112,112,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,105,110,116,101,114,110,97,108,83,117,112,112,111,114,116,46,116,97,117,34,32,99,111,109,109,101,110,116,61,34,82,101,97,99,116,105,111,110,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,115,117,112,112,111,114,116,47,104,111,117,115,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+983080);
/* memory initializer */ allocate([46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,53,52,50,34,32,108,105,110,101,69,110,100,61,34,54,53,52,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,116,101,114,110,97,108,83,117,112,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,83,117,112,112,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,67,111,114,101,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,67,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,67,111,114,101,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,67,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,114,97,121,76,111,97,100,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,114,97,121,76,111,97,100,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,70,114,105,99,116,105,111,110,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,70,114,105,99,116,105,111,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,70,114,105,99,116,105,111,110,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,70,114,105,99,116,105,111,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,87,105,110,100,105,110,103,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,87,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,87,105,110,100,105,110,103,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,87,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,67,111,114,101,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,67,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,67,111,114,101,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+993320);
/* memory initializer */ allocate([67,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,102,108,97,110,103,101,95,98,46,116,97,117,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,56,51,34,32,108,105,110,101,69,110,100,61,34,54,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,102,108,97,110,103,101,95,98,46,116,97,117,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,56,51,34,32,108,105,110,101,69,110,100,61,34,54,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1003560);
/* memory initializer */ allocate([105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,105,110,116,101,114,110,97,108,83,117,112,112,111,114,116,46,116,97,117,34,32,99,111,109,109,101,110,116,61,34,82,101,97,99,116,105,111,110,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,115,117,112,112,111,114,116,47,104,111,117,115,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,53,52,50,34,32,108,105,110,101,69,110,100,61,34,54,53,52,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,116,101,114,110,97,108,83,117,112,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,83,117,112,112,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,105,110,116,101,114,110,97,108,83,117,112,112,111,114,116,46,116,97,117,34,32,99,111,109,109,101,110,116,61,34,82,101,97,99,116,105,111,110,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,115,117,112,112,111,114,116,47,104,111,117,115,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,53,52,50,34,32,108,105,110,101,69,110,100,61,34,54,53,52,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,116,101,114,110,97,108,83,117,112,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,83,117,112,112,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,67,111,114,101,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,67,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,67,111,114,101,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,67,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,114,97,121,76,111,97,100,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,114,97,121,76,111,97,100,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,70,114,105,99,116,105,111,110,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,70,114,105,99,116,105,111,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1013800);
/* memory initializer */ allocate([99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,70,114,105,99,116,105,111,110,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,70,114,105,99,116,105,111,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,87,105,110,100,105,110,103,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,87,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,87,105,110,100,105,110,103,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,87,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,67,111,114,101,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,67,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,67,111,114,101,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,67,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,102,108,97,110,103,101,95,98,46,116,97,117,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,56,51,34,32,108,105,110,101,69,110,100,61,34,54,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,102,108,97,110,103,101,95,98,46,116,97,117,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,56,51,34,32,108,105,110,101,69,110,100,61,34,54,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1024040);
/* memory initializer */ allocate([60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,103,114,111,117,110,100,77,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,103,114,111,117,110,100,77,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,103,114,111,117,110,100,77,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,103,114,111,117,110,100,77,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,103,114,111,117,110,100,51,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1034280);
/* memory initializer */ allocate([101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,103,114,111,117,110,100,51,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,103,114,111,117,110,100,51,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,103,114,111,117,110,100,51,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,99,111,110,116,114,111,108,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,32,61,38,103,116,59,32,112,45,45,110,32,99,111,110,110,101,99,116,101,100,44,32,102,97,108,115,101,32,61,38,103,116,59,32,115,119,105,116,99,104,32,111,112,101,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,48,48,34,32,108,105,110,101,69,110,100,61,34,50,48,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,66,111,111,108,101,97,110,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,99,111,110,116,114,111,108,91,49,93,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,32,61,38,103,116,59,32,112,45,45,110,32,99,111,110,110,101,99,116,101,100,44,32,102,97,108,115,101,32,61,38,103,116,59,32,115,119,105,116,99,104,32,111,112,101,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,48,48,34,32,108,105,110,101,69,110,100,61,34,50,48,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,66,111,111,108,101,97,110,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,99,111,110,116,114,111,108,91,49,93,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,32,61,38,103,116,59,32,112,45,45,110,32,99,111,110,110,101,99,116,101,100,44,32,102,97,108,115,101,32,61,38,103,116,59,32,115,119,105,116,99,104,32,111,112,101,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,48,48,34,32,108,105,110,101,69,110,100,61,34,50,48,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,66,111,111,108,101,97,110,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,99,111,110,116,114,111,108,91,50,93,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,32,61,38,103,116,59,32,112,45,45,110,32,99,111,110,110,101,99,116,101,100,44,32,102,97,108,115,101,32,61,38,103,116,59,32,115,119,105,116,99,104,32,111,112,101,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,48,48,34,32,108,105,110,101,69,110,100,61,34,50,48,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,66,111,111,108,101,97,110,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,99,111,110,116,114,111,108,91,50,93,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,32,61,38,103,116,59,32,112,45,45,110,32,99,111,110,110,101,99,116,101,100,44,32,102,97,108,115,101,32,61,38,103,116,59,32,115,119,105,116,99,104,32,111,112,101,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,48,48,34,32,108,105,110,101,69,110,100,61,34,50,48,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,66,111,111,108,101,97,110,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,99,111,110,116,114,111,108,91,51,93,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,32,61,38,103,116,59,32,112,45,45,110,32,99,111,110,110,101,99,116,101,100,44,32,102,97,108,115,101,32,61,38,103,116,59,32,115,119,105,116,99,104,32,111,112,101,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,48,48,34,32,108,105,110,101,69,110,100,61,34,50,48,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,66,111,111,108,101,97,110,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,99,111,110,116,114,111,108,91,51,93,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,32,61,38,103,116,59,32,112,45,45,110,32,99,111,110,110,101,99,116,101,100,44,32,102,97,108,115,101,32,61,38,103,116,59,32,115,119,105,116,99,104,32,111,112,101,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,48,48,34,32,108,105,110,101,69,110,100,61,34,50,48,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,66,111,111,108,101,97,110,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,99,111,110,116,114,111,108,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,32,61,38,103,116,59,32,112,45,45,110,32,99,111,110,110,101,99,116,101,100,44,32,102,97,108,115,101,32,61,38,103,116,59,32,115,119,105,116,99,104,32,111,112,101,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,48,48,34,32,108,105,110,101,69,110,100,61,34,50,48,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,66,111,111,108,101,97,110,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,99,111,110,116,114,111,108,91,49,93,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,32,61,38,103,116,59,32,112,45,45,110,32,99,111,110,110,101,99,116,101,100,44,32,102,97,108,115,101,32,61,38,103,116,59,32,115,119,105,116,99,104,32,111,112,101,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,48,48,34,32,108,105,110,101,69,110,100,61,34,50,48,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,66,111,111,108,101,97,110,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,99,111,110,116,114,111,108,91,49,93,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,32,61,38,103,116,59,32,112,45,45,110,32,99,111,110,110,101,99,116,101,100,44,32,102,97,108,115,101,32,61,38,103,116,59,32,115,119,105,116,99,104,32,111,112,101,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,48,48,34,32,108,105,110,101,69,110,100,61,34,50,48,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,66,111,111,108,101,97,110,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,99,111,110,116,114,111,108,91,50,93,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,32,61,38,103,116,59,32,112,45,45,110,32,99,111,110,110,101,99,116,101,100,44,32,102,97,108,115,101,32,61,38,103,116,59,32,115,119,105,116,99,104,32,111,112,101,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,48,48,34,32,108,105,110,101,69,110,100,61,34,50,48,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,66,111,111,108,101,97,110,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,99,111,110,116,114,111,108,91,50,93,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,32,61,38,103,116,59,32,112,45,45,110,32,99,111,110,110,101,99,116,101,100,44,32,102,97,108,115,101,32,61,38,103,116,59,32,115,119,105,116,99,104,32,111,112,101,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,48,48,34,32,108,105,110,101,69,110,100,61,34,50,48,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,66,111,111,108,101,97,110,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,99,111,110,116,114,111,108,91,51,93,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,32,61,38,103,116,59,32,112,45,45,110,32,99,111,110,110,101,99,116,101,100,44,32,102,97,108,115,101,32,61,38,103,116,59,32,115,119,105,116,99,104,32,111,112,101,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,48,48,34,32,108,105,110,101,69,110,100,61,34,50,48,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1044520);
/* memory initializer */ allocate([97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,66,111,111,108,101,97,110,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,99,111,110,116,114,111,108,91,51,93,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,32,61,38,103,116,59,32,112,45,45,110,32,99,111,110,110,101,99,116,101,100,44,32,102,97,108,115,101,32,61,38,103,116,59,32,115,119,105,116,99,104,32,111,112,101,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,48,48,34,32,108,105,110,101,69,110,100,61,34,50,48,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,66,111,111,108,101,97,110,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,99,111,110,116,114,111,108,91,52,93,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,32,61,38,103,116,59,32,112,45,45,110,32,99,111,110,110,101,99,116,101,100,44,32,102,97,108,115,101,32,61,38,103,116,59,32,115,119,105,116,99,104,32,111,112,101,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,48,48,34,32,108,105,110,101,69,110,100,61,34,50,48,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,66,111,111,108,101,97,110,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,99,111,110,116,114,111,108,91,52,93,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,32,61,38,103,116,59,32,112,45,45,110,32,99,111,110,110,101,99,116,101,100,44,32,102,97,108,115,101,32,61,38,103,116,59,32,115,119,105,116,99,104,32,111,112,101,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,48,48,34,32,108,105,110,101,69,110,100,61,34,50,48,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,66,111,111,108,101,97,110,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,99,111,110,116,114,111,108,91,53,93,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,32,61,38,103,116,59,32,112,45,45,110,32,99,111,110,110,101,99,116,101,100,44,32,102,97,108,115,101,32,61,38,103,116,59,32,115,119,105,116,99,104,32,111,112,101,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,48,48,34,32,108,105,110,101,69,110,100,61,34,50,48,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,66,111,111,108,101,97,110,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,99,111,110,116,114,111,108,91,53,93,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,32,61,38,103,116,59,32,112,45,45,110,32,99,111,110,110,101,99,116,101,100,44,32,102,97,108,115,101,32,61,38,103,116,59,32,115,119,105,116,99,104,32,111,112,101,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,48,48,34,32,108,105,110,101,69,110,100,61,34,50,48,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,66,111,111,108,101,97,110,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,83,117,112,112,108,121,46,112,105,110,91,53,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,83,117,112,112,108,121,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,83,117,112,112,108,121,46,112,105,110,91,53,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,83,117,112,112,108,121,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,112,46,112,105,110,91,53,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,112,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,112,46,112,105,110,91,53,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,112,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,112,108,117,103,95,115,112,46,112,105,110,91,53,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,108,117,103,95,115,112,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,112,108,117,103,95,115,112,46,112,105,110,91,53,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,108,117,103,95,115,112,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1054760);
/* memory initializer */ allocate([116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,53,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,53,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,53,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,53,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,53,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,53,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,53,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,53,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,112,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1065000);
/* memory initializer */ allocate([46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,112,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,83,117,112,112,108,121,46,112,105,110,91,52,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,83,117,112,112,108,121,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,83,117,112,112,108,121,46,112,105,110,91,52,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,83,117,112,112,108,121,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,112,46,112,105,110,91,52,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,112,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,112,46,112,105,110,91,52,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,112,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,112,108,117,103,95,115,112,46,112,105,110,91,52,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,108,117,103,95,115,112,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,112,108,117,103,95,115,112,46,112,105,110,91,52,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,108,117,103,95,115,112,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1075240);
/* memory initializer */ allocate([46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,52,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,52,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,52,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,52,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,52,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,52,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,52,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,52,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1085480);
/* memory initializer */ allocate([114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,112,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,112,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,83,117,112,112,108,121,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,83,117,112,112,108,121,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,83,117,112,112,108,121,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,83,117,112,112,108,121,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,112,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,112,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,112,108,117,103,95,115,112,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,108,117,103,95,115,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1095720);
/* memory initializer */ allocate([60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,112,108,117,103,95,115,112,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,108,117,103,95,115,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,51,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,51,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,51,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,51,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,51,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,51,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,51,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,51,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1105960);
/* memory initializer */ allocate([105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,83,117,112,112,108,121,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,83,117,112,112,108,121,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,83,117,112,112,108,121,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,83,117,112,112,108,121,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,112,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,112,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1116200);
/* memory initializer */ allocate([108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,112,108,117,103,95,115,112,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,108,117,103,95,115,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,112,108,117,103,95,115,112,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,108,117,103,95,115,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,50,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,50,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,50,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,50,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,50,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,50,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,50,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,50,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1126440);
/* memory initializer */ allocate([114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,83,117,112,112,108,121,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,83,117,112,112,108,121,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,83,117,112,112,108,121,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,83,117,112,112,108,121,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,112,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1136680);
/* memory initializer */ allocate([116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,112,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,112,108,117,103,95,115,112,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,108,117,103,95,115,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,112,108,117,103,95,115,112,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,108,117,103,95,115,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,49,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,49,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,49,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,49,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,49,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,49,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1146920);
/* memory initializer */ allocate([111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,49,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,49,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1157160);
/* memory initializer */ allocate([121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,51,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,51,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,51,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,51,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,51,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,51,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,51,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,51,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1167400);
/* memory initializer */ allocate([60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,83,117,112,112,108,121,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,83,117,112,112,108,121,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,83,117,112,112,108,121,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,83,117,112,112,108,121,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,112,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,112,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,112,108,117,103,95,115,112,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,112,108,117,103,95,115,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,112,108,117,103,95,115,112,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,112,108,117,103,95,115,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1177640);
/* memory initializer */ allocate([108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,50,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,50,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,50,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,50,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,50,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,50,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,50,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,50,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1187880);
/* memory initializer */ allocate([112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,83,117,112,112,108,121,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,83,117,112,112,108,121,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,83,117,112,112,108,121,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,83,117,112,112,108,121,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,112,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,112,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,112,108,117,103,95,115,112,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,112,108,117,103,95,115,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,112,108,117,103,95,115,112,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,112,108,117,103,95,115,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1198120);
/* memory initializer */ allocate([62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,49,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,49,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,49,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,49,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,49,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,49,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,49,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,49,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1208360);
/* memory initializer */ allocate([121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,83,117,112,112,108,121,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,83,117,112,112,108,121,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,83,117,112,112,108,121,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,83,117,112,112,108,121,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,112,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,112,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,112,108,117,103,95,115,112,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,112,108,117,103,95,115,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,112,108,117,103,95,115,112,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,112,108,117,103,95,115,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1218600);
/* memory initializer */ allocate([115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1228840);
/* memory initializer */ allocate([77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,110,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1239080);
/* memory initializer */ allocate([62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,110,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,112,108,117,103,95,115,110,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,112,108,117,103,95,115,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,112,108,117,103,95,115,110,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,112,108,117,103,95,115,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,105,110,95,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,105,110,95,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1249320);
/* memory initializer */ allocate([34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,110,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,110,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,112,108,117,103,95,115,110,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,112,108,117,103,95,115,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,112,108,117,103,95,115,110,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,112,108,117,103,95,115,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,105,110,95,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1259560);
/* memory initializer */ allocate([101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,105,110,95,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,110,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,110,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,112,108,117,103,95,115,110,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,112,108,117,103,95,115,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,112,108,117,103,95,115,110,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,112,108,117,103,95,115,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1269800);
/* memory initializer */ allocate([62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,105,110,95,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,105,110,95,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,116,97,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,103,114,111,117,110,100,51,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,97,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,116,97,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,103,114,111,117,110,100,51,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,97,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,103,114,111,117,110,100,51,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,103,114,111,117,110,100,51,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,103,114,111,117,110,100,51,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,103,114,111,117,110,100,51,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,116,97,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,103,114,111,117,110,100,51,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1280040);
/* memory initializer */ allocate([116,97,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,116,97,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,103,114,111,117,110,100,51,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,97,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,103,114,111,117,110,100,51,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,103,114,111,117,110,100,51,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,103,114,111,117,110,100,51,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,103,114,111,117,110,100,51,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,116,97,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,103,114,111,117,110,100,51,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,97,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,116,97,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,103,114,111,117,110,100,51,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,97,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,103,114,111,117,110,100,51,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,103,114,111,117,110,100,51,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,103,114,111,117,110,100,51,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,103,114,111,117,110,100,51,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1290280);
/* memory initializer */ allocate([115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,112,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,112,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,112,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,112,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1300520);
/* memory initializer */ allocate([97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1310760);
/* memory initializer */ allocate([46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,110,46,112,105,110,91,53,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,110,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,110,46,112,105,110,91,53,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,110,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1321000);
/* memory initializer */ allocate([47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,112,108,117,103,95,115,110,46,112,105,110,91,53,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,108,117,103,95,115,110,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,112,108,117,103,95,115,110,46,112,105,110,91,53,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,108,117,103,95,115,110,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,105,110,95,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,105,110,95,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1331240);
/* memory initializer */ allocate([116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,110,46,112,105,110,91,52,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,110,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,110,46,112,105,110,91,52,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,110,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,112,108,117,103,95,115,110,46,112,105,110,91,52,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,108,117,103,95,115,110,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,112,108,117,103,95,115,110,46,112,105,110,91,52,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,108,117,103,95,115,110,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,105,110,95,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,105,110,95,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1341480);
/* memory initializer */ allocate([116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,110,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,110,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,112,108,117,103,95,115,110,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,108,117,103,95,115,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,112,108,117,103,95,115,110,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,108,117,103,95,115,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1351720);
/* memory initializer */ allocate([115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,105,110,95,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,105,110,95,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,110,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,110,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,112,108,117,103,95,115,110,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,108,117,103,95,115,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,112,108,117,103,95,115,110,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,108,117,103,95,115,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1361960);
/* memory initializer */ allocate([101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,105,110,95,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,105,110,95,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,110,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,110,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,112,108,117,103,95,115,110,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1372200);
/* memory initializer */ allocate([101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,108,117,103,95,115,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,112,108,117,103,95,115,110,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,108,117,103,95,115,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,105,110,95,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,105,110,95,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,116,97,114,77,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,103,114,111,117,110,100,77,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,97,114,77,46,112,108,117,103,95,112,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,116,97,114,77,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,103,114,111,117,110,100,77,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,97,114,77,46,112,108,117,103,95,112,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1382440);
/* memory initializer */ allocate([111,108,116,97,103,101,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,103,114,111,117,110,100,77,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,103,114,111,117,110,100,77,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,103,114,111,117,110,100,77,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,103,114,111,117,110,100,77,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,116,97,114,77,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,103,114,111,117,110,100,77,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,97,114,77,46,112,108,117,103,95,112,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,116,97,114,77,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,103,114,111,117,110,100,77,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,97,114,77,46,112,108,117,103,95,112,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,103,114,111,117,110,100,77,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,103,114,111,117,110,100,77,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,103,114,111,117,110,100,77,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,103,114,111,117,110,100,77,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,116,97,114,77,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,103,114,111,117,110,100,77,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,97,114,77,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,116,97,114,77,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,103,114,111,117,110,100,77,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,97,114,77,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1392680);
/* memory initializer */ allocate([99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,103,114,111,117,110,100,77,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,103,114,111,117,110,100,77,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,103,114,111,117,110,100,77,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,103,114,111,117,110,100,77,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,116,97,114,77,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,103,114,111,117,110,100,77,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,97,114,77,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,116,97,114,77,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,103,114,111,117,110,100,77,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,97,114,77,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,103,114,111,117,110,100,77,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,103,114,111,117,110,100,77,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,103,114,111,117,110,100,77,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,103,114,111,117,110,100,77,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,116,97,114,77,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,103,114,111,117,110,100,77,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,97,114,77,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,116,97,114,77,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,103,114,111,117,110,100,77,46], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1402920);
/* memory initializer */ allocate([112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,97,114,77,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,103,114,111,117,110,100,77,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,103,114,111,117,110,100,77,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,103,114,111,117,110,100,77,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,103,114,111,117,110,100,77,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1413160);
/* memory initializer */ allocate([99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1423400);
/* memory initializer */ allocate([121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,114,114,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1433640);
/* memory initializer */ allocate([97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,114,114,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,114,114,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,114,114,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1443880);
/* memory initializer */ allocate([46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1454120);
/* memory initializer */ allocate([97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1464360);
/* memory initializer */ allocate([46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,105,110,95,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,105,110,95,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1474600);
/* memory initializer */ allocate([111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,105,110,95,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,105,110,95,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,105,110,95,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,105,110,95,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1484840);
/* memory initializer */ allocate([46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,105,110,95,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,105,110,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,105,110,95,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,105,110,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1495080);
/* memory initializer */ allocate([91,50,93,46,112,105,110,95,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,105,110,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,105,110,95,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,105,110,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,105,110,95,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,105,110,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,105,110,95,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,105,110,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1505320);
/* memory initializer */ allocate([32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1515560);
/* memory initializer */ allocate([105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1525800);
/* memory initializer */ allocate([115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,104,101,97,116,80,111,114,116,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,104,101,97,116,80,111,114,116,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,51,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,51,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,97,91,51,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,97,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,97,91,51,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,97,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1536040);
/* memory initializer */ allocate([114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,105,110,95,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,105,110,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,105,110,95,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,105,110,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,105,110,95,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,105,110,95,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1546280);
/* memory initializer */ allocate([47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,55,34,32,108,105,110,101,69,110,100,61,34,52,49,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,55,34,32,108,105,110,101,69,110,100,61,34,52,49,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1556520);
/* memory initializer */ allocate([111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1566760);
/* memory initializer */ allocate([116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,104,101,97,116,80,111,114,116,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,104,101,97,116,80,111,114,116,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,50,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,50,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1577000);
/* memory initializer */ allocate([97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,97,91,50,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,97,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,97,91,50,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,97,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,105,110,95,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,105,110,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1587240);
/* memory initializer */ allocate([118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,105,110,95,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,105,110,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,105,110,95,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,105,110,95,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,55,34,32,108,105,110,101,69,110,100,61,34,52,49,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,34,32,118,97,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1597480);
/* memory initializer */ allocate([105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,55,34,32,108,105,110,101,69,110,100,61,34,52,49,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1607720);
/* memory initializer */ allocate([114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,104,101,97,116,80,111,114,116,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1617960);
/* memory initializer */ allocate([115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,104,101,97,116,80,111,114,116,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,49,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,49,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,97,91,49,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,97,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,97,91,49,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,97,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1628200);
/* memory initializer */ allocate([70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,105,110,95,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,105,110,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,105,110,95,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,105,110,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,105,110,95,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,105,110,95,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1638440);
/* memory initializer */ allocate([32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,55,34,32,108,105,110,101,69,110,100,61,34,52,49,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,55,34,32,108,105,110,101,69,110,100,61,34,52,49,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,56,34,32,108,105,110,101,69,110,100,61,34,52,50,57,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,105,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,56,34,32,108,105,110,101,69,110,100,61,34,52,50,57,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,105,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,56,34,32,108,105,110,101,69,110,100,61,34,52,50,57,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,105,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,56,34,32,108,105,110,101,69,110,100,61,34,52,50,57,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,105,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,56,34,32,108,105,110,101,69,110,100,61,34,52,50,57,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,105,91,51,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,56,34,32,108,105,110,101,69,110,100,61,34,52,50,57,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1648680);
/* memory initializer */ allocate([101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,105,91,51,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,56,34,32,108,105,110,101,69,110,100,61,34,52,50,57,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,91,51,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,91,51,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,105,34,32,99,111,109,109,101,110,116,61,34,67,97,103,101,32,99,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,56,57,34,32,108,105,110,101,69,110,100,61,34,53,56,56,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,105,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,97,103,101,32,99,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,56,57,34,32,108,105,110,101,69,110,100,61,34,53,56,56,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,105,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,97,103,101,32,99,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,114,91], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1658920);
/* memory initializer */ allocate([49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,56,57,34,32,108,105,110,101,69,110,100,61,34,53,56,56,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,105,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,97,103,101,32,99,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,56,57,34,32,108,105,110,101,69,110,100,61,34,53,56,56,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,105,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,97,103,101,32,99,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,56,57,34,32,108,105,110,101,69,110,100,61,34,53,56,56,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,105,91,51,93,34,32,99,111,109,109,101,110,116,61,34,67,97,103,101,32,99,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,56,57,34,32,108,105,110,101,69,110,100,61,34,53,56,56,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,105,91,51,93,34,32,99,111,109,109,101,110,116,61,34,67,97,103,101,32,99,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,56,57,34,32,108,105,110,101,69,110,100,61,34,53,56,56,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1669160);
/* memory initializer */ allocate([91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1679400);
/* memory initializer */ allocate([77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,105,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,105,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,105,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,105,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,105,91,51,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,105,91,51,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1689640);
/* memory initializer */ allocate([112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1699880);
/* memory initializer */ allocate([98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1710120);
/* memory initializer */ allocate([114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1720360);
/* memory initializer */ allocate([110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1730600);
/* memory initializer */ allocate([32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1740840);
/* memory initializer */ allocate([112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,112,46,86,95,109,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,112,46,86,95,109,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,112,46,86,95,109,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,112,46,86,95,109,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,105,110,95,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,105,110,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1751080);
/* memory initializer */ allocate([62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,105,110,95,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,105,110,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,105,110,95,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,105,110,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,105,110,95,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,105,110,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,105,110,95,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,105,110,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1761320);
/* memory initializer */ allocate([116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,105,110,95,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,105,110,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1771560);
/* memory initializer */ allocate([99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,104,101,97,116,80,111,114,116,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,104,101,97,116,80,111,114,116,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,51,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,51,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,91,51,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1781800);
/* memory initializer */ allocate([46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,91,51,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,112,108,117,103,95,115,112,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,112,108,117,103,95,115,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,112,108,117,103,95,115,112,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,112,108,117,103,95,115,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1792040);
/* memory initializer */ allocate([101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1802280);
/* memory initializer */ allocate([101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,105,110,95,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,105,110,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,105,110,95,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,105,110,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,105,110,95,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1812520);
/* memory initializer */ allocate([98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,105,110,95,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,112,108,117,103,95,115,110,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,112,108,117,103,95,115,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,112,108,117,103,95,115,110,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,112,108,117,103,95,115,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,110,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,110,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1822760);
/* memory initializer */ allocate([112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,55,34,32,108,105,110,101,69,110,100,61,34,52,49,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,55,34,32,108,105,110,101,69,110,100,61,34,52,49,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,112,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,112,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,83,117,112,112,108,121,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,83,117,112,112,108,121,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,83,117,112,112,108,121,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,83,117,112,112,108,121,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1833000);
/* memory initializer */ allocate([110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,51,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,51,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,51,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,51,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,105,110,32,116,104,101,32,98,114,97,110,99,104,32,102,114,111,109,32,112,32,116,111,32,110,32,97,115,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,101,110,115,111,114,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,34,32,108,105,110,101,69,110,100,61,34,49,48,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,105,110,32,116,104,101,32,98,114,97,110,99,104,32,102,114,111,109,32,112,32,116,111,32,110,32,97,115,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,101,110,115,111,114,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,34,32,108,105,110,101,69,110,100,61,34,49,48,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,51,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,51,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,51,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,51,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1843240);
/* memory initializer */ allocate([115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1853480);
/* memory initializer */ allocate([34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,116,97,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,97,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,116,97,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,97,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1863720);
/* memory initializer */ allocate([116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,104,101,97,116,80,111,114,116,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,104,101,97,116,80,111,114,116,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,50,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,50,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,91,50,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,91,50,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,112,108,117,103,95,115,112,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,112,108,117,103,95,115,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,112,108,117,103,95,115,112,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,112,108,117,103,95,115,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1873960);
/* memory initializer */ allocate([101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,105,34,32,99,111,109,109,101,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1884200);
/* memory initializer */ allocate([116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1894440);
/* memory initializer */ allocate([34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,105,110,95,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,105,110,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,105,110,95,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,105,110,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,105,110,95,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,105,110,95,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1904680);
/* memory initializer */ allocate([32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,112,108,117,103,95,115,110,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,112,108,117,103,95,115,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,112,108,117,103,95,115,110,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,112,108,117,103,95,115,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,110,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,110,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,55,34,32,108,105,110,101,69,110,100,61,34,52,49,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,55,34,32,108,105,110,101,69,110,100,61,34,52,49,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1914920);
/* memory initializer */ allocate([32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,112,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,112,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,83,117,112,112,108,121,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,83,117,112,112,108,121,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,83,117,112,112,108,121,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,83,117,112,112,108,121,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,50,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,50,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,50,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,50,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1925160);
/* memory initializer */ allocate([117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,105,110,32,116,104,101,32,98,114,97,110,99,104,32,102,114,111,109,32,112,32,116,111,32,110,32,97,115,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,101,110,115,111,114,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,34,32,108,105,110,101,69,110,100,61,34,49,48,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,105,110,32,116,104,101,32,98,114,97,110,99,104,32,102,114,111,109,32,112,32,116,111,32,110,32,97,115,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,101,110,115,111,114,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,34,32,108,105,110,101,69,110,100,61,34,49,48,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,50,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,50,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,50,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,50,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1935400);
/* memory initializer */ allocate([93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1945640);
/* memory initializer */ allocate([116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,116,97,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,97,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,116,97,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,97,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,104,101,97,116,80,111,114,116,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,104,101,97,116,80,111,114,116,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,49,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1955880);
/* memory initializer */ allocate([97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,49,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,91,49,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,91,49,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,112,108,117,103,95,115,112,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,112,108,117,103,95,115,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,112,108,117,103,95,115,112,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,112,108,117,103,95,115,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,105,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,105,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1966120);
/* memory initializer */ allocate([104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,105,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,105,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,105,91,51,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,105,91,51,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1976360);
/* memory initializer */ allocate([32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1986600);
/* memory initializer */ allocate([110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,105,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,105,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,105,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,105,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,105,91,51,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,105,91,51,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1996840);
/* memory initializer */ allocate([32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,105,110,95,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,105,110,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,105,110,95,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,105,110,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,105,110,95,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,105,110,95,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2007080);
/* memory initializer */ allocate([97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,112,108,117,103,95,115,110,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,112,108,117,103,95,115,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,112,108,117,103,95,115,110,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,112,108,117,103,95,115,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,110,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,110,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,55,34,32,108,105,110,101,69,110,100,61,34,52,49,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,55,34,32,108,105,110,101,69,110,100,61,34,52,49,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,56,34,32,108,105,110,101,69,110,100,61,34,52,50,57,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2017320);
/* memory initializer */ allocate([108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,105,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,56,34,32,108,105,110,101,69,110,100,61,34,52,50,57,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,105,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,56,34,32,108,105,110,101,69,110,100,61,34,52,50,57,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,105,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,56,34,32,108,105,110,101,69,110,100,61,34,52,50,57,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,105,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,56,34,32,108,105,110,101,69,110,100,61,34,52,50,57,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,105,91,51,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,56,34,32,108,105,110,101,69,110,100,61,34,52,50,57,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,105,91,51,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,56,34,32,108,105,110,101,69,110,100,61,34,52,50,57,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,105,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,105,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,105,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2027560);
/* memory initializer */ allocate([77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,105,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,105,91,51,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,105,91,51,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,112,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,112,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,83,117,112,112,108,121,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,83,117,112,112,108,121,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,83,117,112,112,108,121,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,83,117,112,112,108,121,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2037800);
/* memory initializer */ allocate([32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,49,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,49,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,49,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,49,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,105,110,32,116,104,101,32,98,114,97,110,99,104,32,102,114,111,109,32,112,32,116,111,32,110,32,97,115,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,101,110,115,111,114,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,34,32,108,105,110,101,69,110,100,61,34,49,48,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,105,110,32,116,104,101,32,98,114,97,110,99,104,32,102,114,111,109,32,112,32,116,111,32,110,32,97,115,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,101,110,115,111,114,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,34,32,108,105,110,101,69,110,100,61,34,49,48,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,105,34,32,99,111,109,109,101,110,116,61,34,99,117,114,114,101,110,116,32,105,110,32,116,104,101,32,98,114,97,110,99,104,32,102,114,111,109,32,112,32,116,111,32,110,32,97,115,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,56,51,34,32,108,105,110,101,69,110,100,61,34,50,52,56,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,105,91,49,93,34,32,99,111,109,109,101,110,116,61,34,99,117,114,114,101,110,116,32,105,110,32,116,104,101,32,98,114,97,110,99,104,32,102,114,111,109,32,112,32,116,111,32,110,32,97,115,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,56,51,34,32,108,105,110,101,69,110,100,61,34,50,52,56,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,105,91,49,93,34,32,99,111,109,109,101,110,116,61,34,99,117,114,114,101,110,116,32,105,110,32,116,104,101,32,98,114,97,110,99,104,32,102,114,111,109,32,112,32,116,111,32,110,32,97,115,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,56,51,34,32,108,105,110,101,69,110,100,61,34,50,52,56,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,105,91,50,93,34,32,99,111,109,109,101,110,116,61,34,99,117,114,114,101,110,116,32,105,110,32,116,104,101,32,98,114,97,110,99,104,32,102,114,111,109,32,112,32,116,111,32,110,32,97,115,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,56,51,34,32,108,105,110,101,69,110,100,61,34,50,52,56,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,105,91,50,93,34,32,99,111,109,109,101,110,116,61,34,99,117,114,114,101,110,116,32,105,110,32,116,104,101,32,98,114,97,110,99,104,32,102,114,111,109,32,112,32,116,111,32,110,32,97,115,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,56,51,34,32,108,105,110,101,69,110,100,61,34,50,52,56,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,105,91,51,93,34,32,99,111,109,109,101,110,116,61,34,99,117,114,114,101,110,116,32,105,110,32,116,104,101,32,98,114,97,110,99,104,32,102,114,111,109,32,112,32,116,111,32,110,32,97,115,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,56,51,34,32,108,105,110,101,69,110,100,61,34,50,52,56,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,105,91,51,93,34,32,99,111,109,109,101,110,116,61,34,99,117,114,114,101,110,116,32,105,110,32,116,104,101,32,98,114,97,110,99,104,32,102,114,111,109,32,112,32,116,111,32,110,32,97,115,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,56,51,34,32,108,105,110,101,69,110,100,61,34,50,52,56,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2048040);
/* memory initializer */ allocate([97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,117,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,52,34,32,108,105,110,101,69,110,100,61,34,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,112,97,99,101,80,104,97,115,111,114,115,46,66,108,111,99,107,115,46,84,111,83,112,97,99,101,80,104,97,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,117,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,52,34,32,108,105,110,101,69,110,100,61,34,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,112,97,99,101,80,104,97,115,111,114,115,46,66,108,111,99,107,115,46,84,111,83,112,97,99,101,80,104,97,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,117,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,52,34,32,108,105,110,101,69,110,100,61,34,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,112,97,99,101,80,104,97,115,111,114,115,46,66,108,111,99,107,115,46,84,111,83,112,97,99,101,80,104,97,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,117,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,52,34,32,108,105,110,101,69,110,100,61,34,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,112,97,99,101,80,104,97,115,111,114,115,46,66,108,111,99,107,115,46,84,111,83,112,97,99,101,80,104,97,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,117,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,52,34,32,108,105,110,101,69,110,100,61,34,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,112,97,99,101,80,104,97,115,111,114,115,46,66,108,111,99,107,115,46,84,111,83,112,97,99,101,80,104,97,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,117,91,51,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,52,34,32,108,105,110,101,69,110,100,61,34,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,112,97,99,101,80,104,97,115,111,114,115,46,66,108,111,99,107,115,46,84,111,83,112,97,99,101,80,104,97,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,117,91,51,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,52,34,32,108,105,110,101,69,110,100,61,34,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,112,97,99,101,80,104,97,115,111,114,115,46,66,108,111,99,107,115,46,84,111,83,112,97,99,101,80,104,97,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,49,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,49,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,49,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,49,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2058280);
/* memory initializer */ allocate([114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2068520);
/* memory initializer */ allocate([102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,116,97,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,97,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,116,97,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,97,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2078760);
/* memory initializer */ allocate([108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,105,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,105,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,105,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,105,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,105,91,51,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,105,91,51,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,105,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,105,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,91,51,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,105,91,51,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2089000);
/* memory initializer */ allocate([97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2099240);
/* memory initializer */ allocate([98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2109480);
/* memory initializer */ allocate([105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2119720);
/* memory initializer */ allocate([51,93,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2129960);
/* memory initializer */ allocate([121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2140200);
/* memory initializer */ allocate([100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,51,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,51,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,50,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,50,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2150440);
/* memory initializer */ allocate([61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,49,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,49,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2160680);
/* memory initializer */ allocate([117,103,95,110,46,112,105,110,91,53,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2170920);
/* memory initializer */ allocate([34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2181160);
/* memory initializer */ allocate([109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2191400);
/* memory initializer */ allocate([97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,114,114,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,114,114,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,114,114,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,114,114,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2201640);
/* memory initializer */ allocate([112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2211880);
/* memory initializer */ allocate([108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,60,47,97,108,105,97,115,62], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2222120);
/* memory initializer */ allocate([10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2232360);
/* memory initializer */ allocate([32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,105,110,95,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2242600);
/* memory initializer */ allocate([97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,105,110,95,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,105,110,95,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,105,110,95,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2252840);
/* memory initializer */ allocate([111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,105,110,95,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,105,110,95,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,105,110,95,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2263080);
/* memory initializer */ allocate([32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,105,110,95,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,105,110,95,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,105,110,95,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2273320);
/* memory initializer */ allocate([104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,105,110,95,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,105,110,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,105,110,95,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,105,110,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,105,110,95,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,105,110,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,105,110,95,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2283560);
/* memory initializer */ allocate([105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,105,110,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,105,110,95,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,105,110,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,105,110,95,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,105,110,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2293800);
/* memory initializer */ allocate([115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,105,110,95,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,105,110,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,105,110,95,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,105,110,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,105,110,95,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2304040);
/* memory initializer */ allocate([61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,105,110,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,105,110,95,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,105,110,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2314280);
/* memory initializer */ allocate([46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2324520);
/* memory initializer */ allocate([121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,112,60,47,105,110,115,116,97,110,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2334760);
/* memory initializer */ allocate([101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,104,101,97,116,80,111,114,116,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,104,101,97,116,80,111,114,116,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2345000);
/* memory initializer */ allocate([34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,53,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,53,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,97,91,53,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,97,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,97,91,53,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,97,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2355240);
/* memory initializer */ allocate([105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,105,110,95,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,105,110,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,105,110,95,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,105,110,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,105,110,95,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,105,110,95,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2365480);
/* memory initializer */ allocate([110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,55,34,32,108,105,110,101,69,110,100,61,34,52,49,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,55,34,32,108,105,110,101,69,110,100,61,34,52,49,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2375720);
/* memory initializer */ allocate([116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2385960);
/* memory initializer */ allocate([101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,104,101,97,116,80,111,114,116,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,104,101,97,116,80,111,114,116,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,52,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,52,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,97,91,52,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,97,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,97,91,52,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,97,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2396200);
/* memory initializer */ allocate([34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,105,110,95,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,105,110,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,105,110,95,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,105,110,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,105,110,95,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2406440);
/* memory initializer */ allocate([46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,105,110,95,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,55,34,32,108,105,110,101,69,110,100,61,34,52,49,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,55,34,32,108,105,110,101,69,110,100,61,34,52,49,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2416680);
/* memory initializer */ allocate([101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2426920);
/* memory initializer */ allocate([32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,104,101,97,116,80,111,114,116,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,104,101,97,116,80,111,114,116,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,51,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2437160);
/* memory initializer */ allocate([117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,51,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,97,91,51,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,97,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,97,91,51,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,97,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2447400);
/* memory initializer */ allocate([111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,105,110,95,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,105,110,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,105,110,95,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,105,110,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,105,110,95,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,105,110,95,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2457640);
/* memory initializer */ allocate([104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,55,34,32,108,105,110,101,69,110,100,61,34,52,49,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,55,34,32,108,105,110,101,69,110,100,61,34,52,49,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2467880);
/* memory initializer */ allocate([110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2478120);
/* memory initializer */ allocate([111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,104,101,97,116,80,111,114,116,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,104,101,97,116,80,111,114,116,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,50,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,50,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,97,91,50,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,97,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,97,91,50,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,97,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2488360);
/* memory initializer */ allocate([102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,105,110,95,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,105,110,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,105,110,95,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,105,110,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,105,110,95,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,105,110,95,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2498600);
/* memory initializer */ allocate([101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,55,34,32,108,105,110,101,69,110,100,61,34,52,49,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,55,34,32,108,105,110,101,69,110,100,61,34,52,49,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2508840);
/* memory initializer */ allocate([116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2519080);
/* memory initializer */ allocate([97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,104,101,97,116,80,111,114,116,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,104,101,97,116,80,111,114,116,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,49,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,49,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,97,91,49,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,97,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,97,91,49,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2529320);
/* memory initializer */ allocate([34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,97,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,105,110,95,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,105,110,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,105,110,95,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,105,110,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2539560);
/* memory initializer */ allocate([109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,105,110,95,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,105,110,95,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,55,34,32,108,105,110,101,69,110,100,61,34,52,49,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,55,34,32,108,105,110,101,69,110,100,61,34,52,49,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,56,34,32,108,105,110,101,69,110,100,61,34,52,50,57,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2549800);
/* memory initializer */ allocate([110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,105,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,56,34,32,108,105,110,101,69,110,100,61,34,52,50,57,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,105,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,56,34,32,108,105,110,101,69,110,100,61,34,52,50,57,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,105,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,56,34,32,108,105,110,101,69,110,100,61,34,52,50,57,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,105,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,56,34,32,108,105,110,101,69,110,100,61,34,52,50,57,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,105,91,51,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,56,34,32,108,105,110,101,69,110,100,61,34,52,50,57,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,105,91,51,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,56,34,32,108,105,110,101,69,110,100,61,34,52,50,57,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,105,91,52,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,56,34,32,108,105,110,101,69,110,100,61,34,52,50,57,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,105,91,52,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,56,34,32,108,105,110,101,69,110,100,61,34,52,50,57,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,105,91,53,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,56,34,32,108,105,110,101,69,110,100,61,34,52,50,57,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,105,91,53,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,56,34,32,108,105,110,101,69,110,100,61,34,52,50,57,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2560040);
/* memory initializer */ allocate([83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,91,51,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,91,51,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,91,52,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,91,52,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,91,53,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2570280);
/* memory initializer */ allocate([110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,91,53,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,105,34,32,99,111,109,109,101,110,116,61,34,67,97,103,101,32,99,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,56,57,34,32,108,105,110,101,69,110,100,61,34,53,56,56,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,105,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,97,103,101,32,99,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,56,57,34,32,108,105,110,101,69,110,100,61,34,53,56,56,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,105,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,97,103,101,32,99,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,56,57,34,32,108,105,110,101,69,110,100,61,34,53,56,56,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,105,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,97,103,101,32,99,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,56,57,34,32,108,105,110,101,69,110,100,61,34,53,56,56,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,105,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,97,103,101,32,99,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,56,57,34,32,108,105,110,101,69,110,100,61,34,53,56,56,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,105,91,51,93,34,32,99,111,109,109,101,110,116,61,34,67,97,103,101,32,99,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,56,57,34,32,108,105,110,101,69,110,100,61,34,53,56,56,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,105,91,51,93,34,32,99,111,109,109,101,110,116,61,34,67,97,103,101,32,99,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,56,57,34,32,108,105,110,101,69,110,100,61,34,53,56,56,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,105,91,52,93,34,32,99,111,109,109,101,110,116,61,34,67,97,103,101,32,99,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,56,57,34,32,108,105,110,101,69,110,100,61,34,53,56,56,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,105,91,52,93,34,32,99,111,109,109,101,110,116,61,34,67,97,103,101,32,99,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,56,57,34,32,108,105,110,101,69,110,100,61,34,53,56,56,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,105,91,53,93,34,32,99,111,109,109,101,110,116,61,34,67,97,103,101,32,99,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,56,57,34,32,108,105,110,101,69,110,100,61,34,53,56,56,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,105,91,53], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2580520);
/* memory initializer */ allocate([93,34,32,99,111,109,109,101,110,116,61,34,67,97,103,101,32,99,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,56,57,34,32,108,105,110,101,69,110,100,61,34,53,56,56,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2590760);
/* memory initializer */ allocate([108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,105,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2601000);
/* memory initializer */ allocate([69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,105,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,105,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,105,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,105,91,51,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,105,91,51,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,105,91,52,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,105,91,52,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,105,91,53,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,105,91,53,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,111,114,116,95,112,46,86,95,109], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2611240);
/* memory initializer */ allocate([60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2621480);
/* memory initializer */ allocate([60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2631720);
/* memory initializer */ allocate([34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2641960);
/* memory initializer */ allocate([100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2652200);
/* memory initializer */ allocate([97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2662440);
/* memory initializer */ allocate([101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2672680);
/* memory initializer */ allocate([101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2682920);
/* memory initializer */ allocate([100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2693160);
/* memory initializer */ allocate([103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2703400);
/* memory initializer */ allocate([105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,112,46,86,95,109,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,112,46,86,95,109,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,112,46,86,95,109,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,112,46,86,95,109,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2713640);
/* memory initializer */ allocate([32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,105,110,95,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,105,110,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,105,110,95,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,105,110,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,105,110,95,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,105,110,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,105,110,95,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,105,110,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2723880);
/* memory initializer */ allocate([101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,105,110,95,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,105,110,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,105,110,95,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,105,110,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,105,110,95,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,105,110,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,105,110,95,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,105,110,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2734120);
/* memory initializer */ allocate([34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,105,110,95,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,105,110,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,105,110,95,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,105,110,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2744360);
/* memory initializer */ allocate([97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2754600);
/* memory initializer */ allocate([121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,104,101,97,116,80,111,114,116,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,104,101,97,116,80,111,114,116,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,53,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,53,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2764840);
/* memory initializer */ allocate([34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,91,53,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,91,53,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,112,108,117,103,95,115,112,46,112,105,110,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,108,117,103,95,115,112,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,112,108,117,103,95,115,112,46,112,105,110,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,108,117,103,95,115,112,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2775080);
/* memory initializer */ allocate([69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2785320);
/* memory initializer */ allocate([62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,105,110,95,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,105,110,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,105,110,95,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2795560);
/* memory initializer */ allocate([105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,105,110,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,105,110,95,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,105,110,95,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,112,108,117,103,95,115,110,46,112,105,110,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,108,117,103,95,115,110,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,112,108,117,103,95,115,110,46,112,105,110,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,108,117,103,95,115,110,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,110,46,112,105,110,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2805800);
/* memory initializer */ allocate([32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,110,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,110,46,112,105,110,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,110,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,55,34,32,108,105,110,101,69,110,100,61,34,52,49,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,55,34,32,108,105,110,101,69,110,100,61,34,52,49,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,112,46,112,105,110,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,112,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,112,46,112,105,110,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,112,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,83,117,112,112,108,121,46,112,105,110,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,83,117,112,112,108,121,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,83,117,112,112,108,121,46,112,105,110,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,83,117,112,112,108,121,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2816040);
/* memory initializer */ allocate([46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,53,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,53,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,53,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,53,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,105,110,32,116,104,101,32,98,114,97,110,99,104,32,102,114,111,109,32,112,32,116,111,32,110,32,97,115,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,101,110,115,111,114,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,34,32,108,105,110,101,69,110,100,61,34,49,48,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,105,110,32,116,104,101,32,98,114,97,110,99,104,32,102,114,111,109,32,112,32,116,111,32,110,32,97,115,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,101,110,115,111,114,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,34,32,108,105,110,101,69,110,100,61,34,49,48,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,53,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,53,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,53,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,53,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2826280);
/* memory initializer */ allocate([117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,112,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,112,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,112,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,112,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2836520);
/* memory initializer */ allocate([117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,112,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,112,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,116,97,114,77,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,97,114,77,46,112,108,117,103,95,112,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,116,97,114,77,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2846760);
/* memory initializer */ allocate([115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,97,114,77,46,112,108,117,103,95,112,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,104,101,97,116,80,111,114,116,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,104,101,97,116,80,111,114,116,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,52,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,52,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,91,52,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,91,52,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,112,108,117,103,95,115,112,46,112,105,110,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,108,117,103,95,115,112,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,112,108,117,103,95,115,112,46,112,105,110,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2857000);
/* memory initializer */ allocate([115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,108,117,103,95,115,112,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2867240);
/* memory initializer */ allocate([114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2877480);
/* memory initializer */ allocate([101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,105,110,95,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,105,110,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,105,110,95,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,105,110,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,105,110,95,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,105,110,95,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2887720);
/* memory initializer */ allocate([77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,112,108,117,103,95,115,110,46,112,105,110,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,108,117,103,95,115,110,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,112,108,117,103,95,115,110,46,112,105,110,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,108,117,103,95,115,110,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,110,46,112,105,110,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,110,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,110,46,112,105,110,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,110,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,55,34,32,108,105,110,101,69,110,100,61,34,52,49,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2897960);
/* memory initializer */ allocate([10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,55,34,32,108,105,110,101,69,110,100,61,34,52,49,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,112,46,112,105,110,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,112,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,112,46,112,105,110,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,112,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,83,117,112,112,108,121,46,112,105,110,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,83,117,112,112,108,121,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,83,117,112,112,108,121,46,112,105,110,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,83,117,112,112,108,121,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,52,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,52,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2908200);
/* memory initializer */ allocate([60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,52,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,52,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,105,110,32,116,104,101,32,98,114,97,110,99,104,32,102,114,111,109,32,112,32,116,111,32,110,32,97,115,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,101,110,115,111,114,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,34,32,108,105,110,101,69,110,100,61,34,49,48,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,105,110,32,116,104,101,32,98,114,97,110,99,104,32,102,114,111,109,32,112,32,116,111,32,110,32,97,115,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,101,110,115,111,114,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,34,32,108,105,110,101,69,110,100,61,34,49,48,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,52,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,52,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,52,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,52,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,112,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,112,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2918440);
/* memory initializer */ allocate([115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,112,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,112,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,112,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,112,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2928680);
/* memory initializer */ allocate([100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,116,97,114,77,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,97,114,77,46,112,108,117,103,95,112,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,116,97,114,77,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,97,114,77,46,112,108,117,103,95,112,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,104,101,97,116,80,111,114,116,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,104,101,97,116,80,111,114,116,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2938920);
/* memory initializer */ allocate([116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,51,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,51,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,91,51,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,91,51,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,112,108,117,103,95,115,112,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,108,117,103,95,115,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,112,108,117,103,95,115,112,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,108,117,103,95,115,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2949160);
/* memory initializer */ allocate([110,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2959400);
/* memory initializer */ allocate([114,91,51,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2969640);
/* memory initializer */ allocate([97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,105,110,95,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,105,110,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,105,110,95,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,105,110,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,105,110,95,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,105,110,95,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2979880);
/* memory initializer */ allocate([101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,112,108,117,103,95,115,110,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,108,117,103,95,115,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,112,108,117,103,95,115,110,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,108,117,103,95,115,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,110,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,110,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,55,34,32,108,105,110,101,69,110,100,61,34,52,49,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,55,34,32,108,105,110,101,69,110,100,61,34,52,49,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,112,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,112,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,83,117,112,112,108,121,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2990120);
/* memory initializer */ allocate([115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,83,117,112,112,108,121,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,83,117,112,112,108,121,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,83,117,112,112,108,121,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,51,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,51,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,51,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,51,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,105,110,32,116,104,101,32,98,114,97,110,99,104,32,102,114,111,109,32,112,32,116,111,32,110,32,97,115,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,101,110,115,111,114,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,34,32,108,105,110,101,69,110,100,61,34,49,48,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,105,110,32,116,104,101,32,98,114,97,110,99,104,32,102,114,111,109,32,112,32,116,111,32,110,32,97,115,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,101,110,115,111,114,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,34,32,108,105,110,101,69,110,100,61,34,49,48,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,51,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,51,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3000360);
/* memory initializer */ allocate([99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,51,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,51,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3010600);
/* memory initializer */ allocate([98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3020840);
/* memory initializer */ allocate([105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,116,97,114,77,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,97,114,77,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,116,97,114,77,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,97,114,77,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,104,101,97,116,80,111,114,116,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,104,101,97,116,80,111,114,116,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,50,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,50,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,91,50,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3031080);
/* memory initializer */ allocate([77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,91,50,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,112,108,117,103,95,115,112,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,108,117,103,95,115,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,112,108,117,103,95,115,112,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,108,117,103,95,115,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3041320);
/* memory initializer */ allocate([115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3051560);
/* memory initializer */ allocate([110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,105,110,95,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,105,110,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,105,110,95,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,105,110,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,105,110,95,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3061800);
/* memory initializer */ allocate([116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,105,110,95,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,112,108,117,103,95,115,110,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,108,117,103,95,115,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,112,108,117,103,95,115,110,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,108,117,103,95,115,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,110,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,110,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3072040);
/* memory initializer */ allocate([32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,55,34,32,108,105,110,101,69,110,100,61,34,52,49,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,55,34,32,108,105,110,101,69,110,100,61,34,52,49,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,112,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,112,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,83,117,112,112,108,121,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,83,117,112,112,108,121,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,83,117,112,112,108,121,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,83,117,112,112,108,121,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3082280);
/* memory initializer */ allocate([116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,50,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,50,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,50,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,50,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,105,110,32,116,104,101,32,98,114,97,110,99,104,32,102,114,111,109,32,112,32,116,111,32,110,32,97,115,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,101,110,115,111,114,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,34,32,108,105,110,101,69,110,100,61,34,49,48,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,105,110,32,116,104,101,32,98,114,97,110,99,104,32,102,114,111,109,32,112,32,116,111,32,110,32,97,115,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,101,110,115,111,114,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,34,32,108,105,110,101,69,110,100,61,34,49,48,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,50,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,50,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,50,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,50,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3092520);
/* memory initializer */ allocate([32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3102760);
/* memory initializer */ allocate([65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,116,97,114,77,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,97,114,77,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,116,97,114,77,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,97,114,77,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3113000);
/* memory initializer */ allocate([116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,104,101,97,116,80,111,114,116,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,104,101,97,116,80,111,114,116,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,49,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,49,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,91,49,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,91,49,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,112,108,117,103,95,115,112,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,108,117,103,95,115,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,112,108,117,103,95,115,112,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,108,117,103,95,115,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3123240);
/* memory initializer */ allocate([99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,105,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,105,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,105,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,105,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,105,91,51,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,105,91,51,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,105,91,52,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,105,91,52,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,105,91,53,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,105,91,53,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3133480);
/* memory initializer */ allocate([121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3143720);
/* memory initializer */ allocate([46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,105,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,105,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3153960);
/* memory initializer */ allocate([116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,105,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,105,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,105,91,51,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,105,91,51,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,105,91,52,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,105,91,52,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,105,91,53,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,105,91,53,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3164200);
/* memory initializer */ allocate([47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,105,110,95,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,105,110,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,105,110,95,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,105,110,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,105,110,95,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,105,110,95,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3174440);
/* memory initializer */ allocate([100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,112,108,117,103,95,115,110,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,108,117,103,95,115,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,112,108,117,103,95,115,110,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,108,117,103,95,115,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,110,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,110,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,55,34,32,108,105,110,101,69,110,100,61,34,52,49,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,55,34,32,108,105,110,101,69,110,100,61,34,52,49,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3184680);
/* memory initializer */ allocate([46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,56,34,32,108,105,110,101,69,110,100,61,34,52,50,57,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,105,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,56,34,32,108,105,110,101,69,110,100,61,34,52,50,57,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,105,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,56,34,32,108,105,110,101,69,110,100,61,34,52,50,57,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,105,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,56,34,32,108,105,110,101,69,110,100,61,34,52,50,57,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,105,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,56,34,32,108,105,110,101,69,110,100,61,34,52,50,57,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,105,91,51,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,56,34,32,108,105,110,101,69,110,100,61,34,52,50,57,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,105,91,51,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,56,34,32,108,105,110,101,69,110,100,61,34,52,50,57,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,105,91,52,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,56,34,32,108,105,110,101,69,110,100,61,34,52,50,57,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,105,91,52,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,56,34,32,108,105,110,101,69,110,100,61,34,52,50,57,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,105,91,53,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,56,34,32,108,105,110,101,69,110,100,61,34,52,50,57,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3194920);
/* memory initializer */ allocate([116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,105,91,53,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,56,34,32,108,105,110,101,69,110,100,61,34,52,50,57,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,105,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,105,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,105,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,105,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,105,91,51,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,105,91,51,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,105,91,52,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,105,91,52,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,105,91,53,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3205160);
/* memory initializer */ allocate([110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,105,91,53,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,112,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,112,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,83,117,112,112,108,121,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,83,117,112,112,108,121,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,83,117,112,112,108,121,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,83,117,112,112,108,121,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,49,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,49,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3215400);
/* memory initializer */ allocate([114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,49,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,49,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,105,110,32,116,104,101,32,98,114,97,110,99,104,32,102,114,111,109,32,112,32,116,111,32,110,32,97,115,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,101,110,115,111,114,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,34,32,108,105,110,101,69,110,100,61,34,49,48,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,105,110,32,116,104,101,32,98,114,97,110,99,104,32,102,114,111,109,32,112,32,116,111,32,110,32,97,115,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,101,110,115,111,114,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,52,34,32,108,105,110,101,69,110,100,61,34,49,48,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,105,34,32,99,111,109,109,101,110,116,61,34,99,117,114,114,101,110,116,32,105,110,32,116,104,101,32,98,114,97,110,99,104,32,102,114,111,109,32,112,32,116,111,32,110,32,97,115,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,56,51,34,32,108,105,110,101,69,110,100,61,34,50,52,56,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,105,91,49,93,34,32,99,111,109,109,101,110,116,61,34,99,117,114,114,101,110,116,32,105,110,32,116,104,101,32,98,114,97,110,99,104,32,102,114,111,109,32,112,32,116,111,32,110,32,97,115,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,56,51,34,32,108,105,110,101,69,110,100,61,34,50,52,56,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,105,91,49,93,34,32,99,111,109,109,101,110,116,61,34,99,117,114,114,101,110,116,32,105,110,32,116,104,101,32,98,114,97,110,99,104,32,102,114,111,109,32,112,32,116,111,32,110,32,97,115,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,56,51,34,32,108,105,110,101,69,110,100,61,34,50,52,56,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,105,91,50,93,34,32,99,111,109,109,101,110,116,61,34,99,117,114,114,101,110,116,32,105,110,32,116,104,101,32,98,114,97,110,99,104,32,102,114,111,109,32,112,32,116,111,32,110,32,97,115,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,56,51,34,32,108,105,110,101,69,110,100,61,34,50,52,56,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,105,91,50,93,34,32,99,111,109,109,101,110,116,61,34,99,117,114,114,101,110,116,32,105,110,32,116,104,101,32,98,114,97,110,99,104,32,102,114,111,109,32,112,32,116,111,32,110,32,97,115,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,56,51,34,32,108,105,110,101,69,110,100,61,34,50,52,56,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,105,91,51,93,34,32,99,111,109,109,101,110,116,61,34,99,117,114,114,101,110,116,32,105,110,32,116,104,101,32,98,114,97,110,99,104,32,102,114,111,109,32,112,32,116,111,32,110,32,97,115,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,56,51,34,32,108,105,110,101,69,110,100,61,34,50,52,56,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,105,91,51,93,34,32,99,111,109,109,101,110,116,61,34,99,117,114,114,101,110,116,32,105,110,32,116,104,101,32,98,114,97,110,99,104,32,102,114,111,109,32,112,32,116,111,32,110,32,97,115,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,56,51,34,32,108,105,110,101,69,110,100,61,34,50,52,56,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,105,91,52,93,34,32,99,111,109,109,101,110,116,61,34,99,117,114,114,101,110,116,32,105,110,32,116,104,101,32,98,114,97,110,99,104,32,102,114,111,109,32,112,32,116,111,32,110,32,97,115,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,56,51,34,32,108,105,110,101,69,110,100,61,34,50,52,56,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,105,91,52,93,34,32,99,111,109,109,101,110,116,61,34,99,117,114,114,101,110,116,32,105,110,32,116,104,101,32,98,114,97,110,99,104,32,102,114,111,109,32,112,32,116,111,32,110,32,97,115,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3225640);
/* memory initializer */ allocate([110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,56,51,34,32,108,105,110,101,69,110,100,61,34,50,52,56,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,105,91,53,93,34,32,99,111,109,109,101,110,116,61,34,99,117,114,114,101,110,116,32,105,110,32,116,104,101,32,98,114,97,110,99,104,32,102,114,111,109,32,112,32,116,111,32,110,32,97,115,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,56,51,34,32,108,105,110,101,69,110,100,61,34,50,52,56,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,105,91,53,93,34,32,99,111,109,109,101,110,116,61,34,99,117,114,114,101,110,116,32,105,110,32,116,104,101,32,98,114,97,110,99,104,32,102,114,111,109,32,112,32,116,111,32,110,32,97,115,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,56,51,34,32,108,105,110,101,69,110,100,61,34,50,52,56,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,113,117,97,115,105,82,77,83,46,117,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,50,57,34,32,108,105,110,101,69,110,100,61,34,50,50,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,113,117,97,115,105,82,77,83,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,108,111,99,107,115,46,81,117,97,115,105,82,77,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,113,117,97,115,105,82,77,83,46,117,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,50,57,34,32,108,105,110,101,69,110,100,61,34,50,50,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,113,117,97,115,105,82,77,83,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,108,111,99,107,115,46,81,117,97,115,105,82,77,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,113,117,97,115,105,82,77,83,46,117,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,50,57,34,32,108,105,110,101,69,110,100,61,34,50,50,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,113,117,97,115,105,82,77,83,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,108,111,99,107,115,46,81,117,97,115,105,82,77,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,113,117,97,115,105,82,77,83,46,117,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,50,57,34,32,108,105,110,101,69,110,100,61,34,50,50,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,113,117,97,115,105,82,77,83,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,108,111,99,107,115,46,81,117,97,115,105,82,77,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,113,117,97,115,105,82,77,83,46,117,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,50,57,34,32,108,105,110,101,69,110,100,61,34,50,50,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,113,117,97,115,105,82,77,83,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,108,111,99,107,115,46,81,117,97,115,105,82,77,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,113,117,97,115,105,82,77,83,46,117,91,51,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,50,57,34,32,108,105,110,101,69,110,100,61,34,50,50,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,113,117,97,115,105,82,77,83,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,108,111,99,107,115,46,81,117,97,115,105,82,77,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,113,117,97,115,105,82,77,83,46,117,91,51,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,50,57,34,32,108,105,110,101,69,110,100,61,34,50,50,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,113,117,97,115,105,82,77,83,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,108,111,99,107,115,46,81,117,97,115,105,82,77,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,113,117,97,115,105,82,77,83,46,117,91,52,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,50,57,34,32,108,105,110,101,69,110,100,61,34,50,50,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,113,117,97,115,105,82,77,83,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,108,111,99,107,115,46,81,117,97,115,105,82,77,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,113,117,97,115,105,82,77,83,46,117,91,52,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,50,57,34,32,108,105,110,101,69,110,100,61,34,50,50,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,113,117,97,115,105,82,77,83,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,108,111,99,107,115,46,81,117,97,115,105,82,77,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,113,117,97,115,105,82,77,83,46,117,91,53,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,50,57,34,32,108,105,110,101,69,110,100,61,34,50,50,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,113,117,97,115,105,82,77,83,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,108,111,99,107,115,46,81,117,97,115,105,82,77,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3235880);
/* memory initializer */ allocate([82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,113,117,97,115,105,82,77,83,46,117,91,53,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,50,57,34,32,108,105,110,101,69,110,100,61,34,50,50,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,113,117,97,115,105,82,77,83,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,108,111,99,107,115,46,81,117,97,115,105,82,77,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,49,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,49,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,49,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,49,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3246120);
/* memory initializer */ allocate([101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3256360);
/* memory initializer */ allocate([97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,116,97,114,77,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,97,114,77,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,116,97,114,77,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,97,114,77,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,105,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,105,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,105,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,105,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,105,91,51,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,105,91,51,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,105,91,52,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3266600);
/* memory initializer */ allocate([105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,105,91,52,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,105,91,53,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,105,91,53,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,91,51,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,91,51,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,91,52,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,91,52,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,91,53,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,91,53,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3276840);
/* memory initializer */ allocate([53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,105,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,105,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,105,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,105,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,105,91,51,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,105,91,51,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,105,91,52,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,105,91,52,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,105,91,53,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,105,91,53,93,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,115,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3287080);
/* memory initializer */ allocate([97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,86,95,109,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,86,95,109,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,86,95,109,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,86,95,109,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3297320);
/* memory initializer */ allocate([32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3307560);
/* memory initializer */ allocate([97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3317800);
/* memory initializer */ allocate([97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3328040);
/* memory initializer */ allocate([32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3338280);
/* memory initializer */ allocate([118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3348520);
/* memory initializer */ allocate([97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3358760);
/* memory initializer */ allocate([99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3369000);
/* memory initializer */ allocate([32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3379240);
/* memory initializer */ allocate([46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,53,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,53,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,52,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3389480);
/* memory initializer */ allocate([61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,52,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,51,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,51,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,50,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,50,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,49,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,49,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,80,111,108,97,114,49,46,117,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,54,34,32,108,105,110,101,69,110,100,61,34,52,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,112,97,99,101,80,104,97,115,111,114,115,46,66,108,111,99,107,115,46,84,111,83,112,97,99,101,80,104,97,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,121,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3399720);
/* memory initializer */ allocate([97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,80,111,108,97,114,49,46,117,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,54,34,32,108,105,110,101,69,110,100,61,34,52,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,112,97,99,101,80,104,97,115,111,114,115,46,66,108,111,99,107,115,46,84,111,83,112,97,99,101,80,104,97,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,121,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,80,111,108,97,114,49,46,117,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,54,34,32,108,105,110,101,69,110,100,61,34,52,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,112,97,99,101,80,104,97,115,111,114,115,46,66,108,111,99,107,115,46,84,111,83,112,97,99,101,80,104,97,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,121,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,80,111,108,97,114,49,46,117,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,54,34,32,108,105,110,101,69,110,100,61,34,52,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,112,97,99,101,80,104,97,115,111,114,115,46,66,108,111,99,107,115,46,84,111,83,112,97,99,101,80,104,97,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,121,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,80,111,108,97,114,49,46,117,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,54,34,32,108,105,110,101,69,110,100,61,34,52,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,112,97,99,101,80,104,97,115,111,114,115,46,66,108,111,99,107,115,46,84,111,83,112,97,99,101,80,104,97,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,82,95,97,99,116,117,97,108,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,114,101,115,105,115,116,97,110,99,101,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,82,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,34,32,108,105,110,101,69,110,100,61,34,55,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,82,95,97,99,116,117,97,108,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,114,101,115,105,115,116,97,110,99,101,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,82,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,34,32,108,105,110,101,69,110,100,61,34,55,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,82,95,97,99,116,117,97,108,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,114,101,115,105,115,116,97,110,99,101,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,82,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,34,32,108,105,110,101,69,110,100,61,34,55,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,82,95,97,99,116,117,97,108,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,114,101,115,105,115,116,97,110,99,101,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,82,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,34,32,108,105,110,101,69,110,100,61,34,55,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,82,95,97,99,116,117,97,108,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,114,101,115,105,115,116,97,110,99,101,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,82,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,34,32,108,105,110,101,69,110,100,61,34,55,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,82,95,97,99,116,117,97,108,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,114,101,115,105,115,116,97,110,99,101,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,82,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,34,32,108,105,110,101,69,110,100,61,34,55,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,82,95,97,99,116,117,97,108,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,114,101,115,105,115,116,97,110,99,101,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3409960);
/* memory initializer */ allocate([108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,82,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,34,32,108,105,110,101,69,110,100,61,34,55,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,82,95,97,99,116,117,97,108,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,114,101,115,105,115,116,97,110,99,101,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,82,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,34,32,108,105,110,101,69,110,100,61,34,55,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,82,95,97,99,116,117,97,108,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,114,101,115,105,115,116,97,110,99,101,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,82,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,34,32,108,105,110,101,69,110,100,61,34,55,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,82,95,97,99,116,117,97,108,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,114,101,115,105,115,116,97,110,99,101,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,82,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,34,32,108,105,110,101,69,110,100,61,34,55,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,82,95,97,99,116,117,97,108,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,114,101,115,105,115,116,97,110,99,101,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,82,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,34,32,108,105,110,101,69,110,100,61,34,55,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,82,95,97,99,116,117,97,108,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,114,101,115,105,115,116,97,110,99,101,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,82,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,34,32,108,105,110,101,69,110,100,61,34,55,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,118,91,50,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,118,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,118,91,50,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,118,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,118,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,118,91,49,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,118,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3420200);
/* memory initializer */ allocate([105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,118,91,49,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,118,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,54,34,32,108,105,110,101,69,110,100,61,34,50,55,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,54,34,32,108,105,110,101,69,110,100,61,34,50,55,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,54,34,32,108,105,110,101,69,110,100,61,34,50,55,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,54,34,32,108,105,110,101,69,110,100,61,34,50,55,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,54,34,32,108,105,110,101,69,110,100,61,34,50,55,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,54,34,32,108,105,110,101,69,110,100,61,34,50,55,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,82,95,97,99,116,117,97,108,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,114,101,115,105,115,116,97,110,99,101,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,82,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,34,32,108,105,110,101,69,110,100,61,34,55,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,82,95,97,99,116,117,97,108,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,114,101,115,105,115,116,97,110,99,101,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,82,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,34,32,108,105,110,101,69,110,100,61,34,55,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,82,95,97,99,116,117,97,108,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,114,101,115,105,115,116,97,110,99,101,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,82,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,34,32,108,105,110,101,69,110,100,61,34,55,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,82,95,97,99,116,117,97,108,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,114,101,115,105,115,116,97,110,99,101,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,82,60,47,97,108,105,97,115,62,10,32,32,32,32,60], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3430440);
/* memory initializer */ allocate([115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,34,32,108,105,110,101,69,110,100,61,34,55,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,82,95,97,99,116,117,97,108,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,114,101,115,105,115,116,97,110,99,101,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,82,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,34,32,108,105,110,101,69,110,100,61,34,55,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,82,95,97,99,116,117,97,108,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,114,101,115,105,115,116,97,110,99,101,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,82,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,34,32,108,105,110,101,69,110,100,61,34,55,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,82,95,97,99,116,117,97,108,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,114,101,115,105,115,116,97,110,99,101,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,82,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,34,32,108,105,110,101,69,110,100,61,34,55,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,82,95,97,99,116,117,97,108,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,114,101,115,105,115,116,97,110,99,101,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,82,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,34,32,108,105,110,101,69,110,100,61,34,55,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,82,95,97,99,116,117,97,108,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,114,101,115,105,115,116,97,110,99,101,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,82,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,34,32,108,105,110,101,69,110,100,61,34,55,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,82,95,97,99,116,117,97,108,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,114,101,115,105,115,116,97,110,99,101,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,82,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,34,32,108,105,110,101,69,110,100,61,34,55,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,82,95,97,99,116,117,97,108,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,114,101,115,105,115,116,97,110,99,101,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,82,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,34,32,108,105,110,101,69,110,100,61,34,55,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,82,95,97,99,116,117,97,108,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,114,101,115,105,115,116,97,110,99,101,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,82,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,34,32,108,105,110,101,69,110,100,61,34,55,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,82,95,97,99,116,117,97,108,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,114,101,115,105,115,116,97,110,99,101,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,82,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,34,32,108,105,110,101,69,110,100,61,34,55,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3440680);
/* memory initializer */ allocate([82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,82,95,97,99,116,117,97,108,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,114,101,115,105,115,116,97,110,99,101,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,82,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,34,32,108,105,110,101,69,110,100,61,34,55,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,82,95,97,99,116,117,97,108,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,114,101,115,105,115,116,97,110,99,101,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,82,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,34,32,108,105,110,101,69,110,100,61,34,55,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,82,95,97,99,116,117,97,108,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,114,101,115,105,115,116,97,110,99,101,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,82,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,34,32,108,105,110,101,69,110,100,61,34,55,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,82,95,97,99,116,117,97,108,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,114,101,115,105,115,116,97,110,99,101,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,82,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,34,32,108,105,110,101,69,110,100,61,34,55,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,82,95,97,99,116,117,97,108,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,114,101,115,105,115,116,97,110,99,101,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,82,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,34,32,108,105,110,101,69,110,100,61,34,55,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,82,95,97,99,116,117,97,108,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,114,101,115,105,115,116,97,110,99,101,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,82,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,34,32,108,105,110,101,69,110,100,61,34,55,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,82,95,97,99,116,117,97,108,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,114,101,115,105,115,116,97,110,99,101,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,82,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,34,32,108,105,110,101,69,110,100,61,34,55,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,118,91,52,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,118,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,118,91,52,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,118,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3450920);
/* memory initializer */ allocate([114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,118,91,51,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,118,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,118,91,51,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,118,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,118,91,50,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,118,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,118,91,50,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,118,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,118,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,118,91,49,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,118,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,118,91,49,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,118,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,54,34,32,108,105,110,101,69,110,100,61,34,50,55,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,54,34,32,108,105,110,101,69,110,100,61,34,50,55,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,54,34,32,108,105,110,101,69,110,100,61,34,50,55,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,54,34,32,108,105,110,101,69,110,100,61,34,50,55,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3461160);
/* memory initializer */ allocate([60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,54,34,32,108,105,110,101,69,110,100,61,34,50,55,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,54,34,32,108,105,110,101,69,110,100,61,34,50,55,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,54,34,32,108,105,110,101,69,110,100,61,34,50,55,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,54,34,32,108,105,110,101,69,110,100,61,34,50,55,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,54,34,32,108,105,110,101,69,110,100,61,34,50,55,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,54,34,32,108,105,110,101,69,110,100,61,34,50,55,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3471400);
/* memory initializer */ allocate([101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,112,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,112,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,112,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3481640);
/* memory initializer */ allocate([60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,112,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3491880);
/* memory initializer */ allocate([80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,54,34,32,108,105,110,101,69,110,100,61,34,52,49,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,54,34,32,108,105,110,101,69,110,100,61,34,52,49,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3502120);
/* memory initializer */ allocate([108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,54,34,32,108,105,110,101,69,110,100,61,34,52,49,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,54,34,32,108,105,110,101,69,110,100,61,34,52,49,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,54,34,32,108,105,110,101,69,110,100,61,34,52,49,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,54,34,32,108,105,110,101,69,110,100,61,34,52,49,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3512360);
/* memory initializer */ allocate([103,95,112,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,54,34,32,108,105,110,101,69,110,100,61,34,52,49,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,54,34,32,108,105,110,101,69,110,100,61,34,52,49,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,54,34,32,108,105,110,101,69,110,100,61,34,52,49,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,54,34,32,108,105,110,101,69,110,100,61,34,52,49,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3522600);
/* memory initializer */ allocate([109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3532840);
/* memory initializer */ allocate([101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3543080);
/* memory initializer */ allocate([115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,54,34,32,108,105,110,101,69,110,100,61,34,52,49,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,54,34,32,108,105,110,101,69,110,100,61,34,52,49,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,54,34,32,108,105,110,101,69,110,100,61,34,52,49,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,54,34,32,108,105,110,101,69,110,100,61,34,52,49,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3553320);
/* memory initializer */ allocate([116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,54,34,32,108,105,110,101,69,110,100,61,34,52,49,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,54,34,32,108,105,110,101,69,110,100,61,34,52,49,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,97,91,49,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,97,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,97,91,49,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,97,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,97,91,50,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,97,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3563560);
/* memory initializer */ allocate([117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,97,91,50,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,97,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,97,91,51,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,97,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,97,91,51,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,97,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,97,91,52,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,97,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,97,91,52,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,97,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,97,91,53,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,97,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,97,91,53,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,97,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,97,91,49,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,97,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,97,91,49,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3573800);
/* memory initializer */ allocate([51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,97,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,97,91,50,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,97,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,97,91,50,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,97,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,97,91,51,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,97,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,97,91,51,93,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,97,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3584040);
/* memory initializer */ allocate([104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,86,95,109,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,86,95,109,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,86,95,109,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3594280);
/* memory initializer */ allocate([121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,86,95,109,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,97,91,51,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,97,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,97,91,51,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,97,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,51,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,51,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,51,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,51,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,91,51,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,91,51,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3604520);
/* memory initializer */ allocate([116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,51,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,51,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,104,101,97,116,80,111,114,116,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,104,101,97,116,80,111,114,116,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,95,104,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,95,104,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,97,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,97,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,97,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,97,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3614760);
/* memory initializer */ allocate([109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,104,101,97,116,80,111,114,116,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,104,101,97,116,80,111,114,116,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3625000);
/* memory initializer */ allocate([105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,95,104,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,95,104,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,97,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,97,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,97,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,97,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3635240);
/* memory initializer */ allocate([80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,104,101,97,116,80,111,114,116,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,104,101,97,116,80,111,114,116,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,95,104,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,95,104,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,97,91,51,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,97,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,97,91,51,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,97,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3645480);
/* memory initializer */ allocate([115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,51,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,51,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,104,101,97,116,80,111,114,116,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,104,101,97,116,80,111,114,116,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,95,104,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,95,104,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,97,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,97,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,97,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,97,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3655720);
/* memory initializer */ allocate([110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,104,101,97,116,80,111,114,116,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,104,101,97,116,80,111,114,116,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,95,104,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,95,104,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,97,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,97,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,97,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,97,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3665960);
/* memory initializer */ allocate([111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,104,101,97,116,80,111,114,116,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,104,101,97,116,80,111,114,116,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,95,104,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,95,104,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,97,91,53,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,97,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,97,91,53,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,97,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,53,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,53,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,53,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3676200);
/* memory initializer */ allocate([116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,53,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,91,53,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,91,53,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,53,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,53,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,104,101,97,116,80,111,114,116,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,104,101,97,116,80,111,114,116,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,84,95,104,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,84,95,104,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3686440);
/* memory initializer */ allocate([116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,97,91,52,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,97,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,97,91,52,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,97,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,52,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,52,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,52,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,52,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,91,52,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,91,52,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,52,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,52,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3696680);
/* memory initializer */ allocate([105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,104,101,97,116,80,111,114,116,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,104,101,97,116,80,111,114,116,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,84,95,104,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,84,95,104,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,97,91,51,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,97,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,97,91,51,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,97,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,51,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,51,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3706920);
/* memory initializer */ allocate([110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,51,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,51,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,91,51,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,91,51,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,51,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,51,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,104,101,97,116,80,111,114,116,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,104,101,97,116,80,111,114,116,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,95,104,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,95,104,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3717160);
/* memory initializer */ allocate([109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,97,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,97,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,97,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,97,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3727400);
/* memory initializer */ allocate([60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,104,101,97,116,80,111,114,116,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,104,101,97,116,80,111,114,116,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,95,104,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,95,104,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,97,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,97,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,97,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,97,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3737640);
/* memory initializer */ allocate([52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,104,101,97,116,80,111,114,116,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,104,101,97,116,80,111,114,116,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,95,104,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3747880);
/* memory initializer */ allocate([77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,95,104,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,97,91,53,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,97,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,97,91,53,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,97,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,53,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,53,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,104,101,97,116,80,111,114,116,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,104,101,97,116,80,111,114,116,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,84,95,104,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,84,95,104,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3758120);
/* memory initializer */ allocate([46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,97,91,52,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,97,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,97,91,52,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,97,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,52,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,52,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,104,101,97,116,80,111,114,116,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,104,101,97,116,80,111,114,116,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,84,95,104,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,84,95,104,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,97,91,51,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,97,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3768360);
/* memory initializer */ allocate([116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,97,91,51,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,97,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,51,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,51,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,104,101,97,116,80,111,114,116,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,104,101,97,116,80,111,114,116,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,95,104,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,95,104,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,97,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,97,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,97,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,97,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3778600);
/* memory initializer */ allocate([66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,104,101,97,116,80,111,114,116,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,104,101,97,116,80,111,114,116,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,95,104,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,95,104,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,97,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,97,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,97,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,97,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3788840);
/* memory initializer */ allocate([103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,104,101,97,116,80,111,114,116,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,104,101,97,116,80,111,114,116,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,95,104,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,95,104,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,84,95,104,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,84,95,104,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,84,95,104,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,84,95,104,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,84,95,104,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3799080);
/* memory initializer */ allocate([67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,84,95,104,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,84,95,104,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,84,95,104,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,84,95,104,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,84,95,104,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,84,95,104,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,84,95,104,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,84,95,104,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,84,95,104,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,84,95,104,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,84,95,104,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,105,100], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3809320);
/* memory initializer */ allocate([101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,114,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3819560);
/* memory initializer */ allocate([97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,114,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,105,114,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3829800);
/* memory initializer */ allocate([118,101,114,116,101,114,91,49,93,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,103,97,105,110,46,121,34,32,99,111,109,109,101,110,116,61,34,79,117,116,112,117,116,32,115,105,103,110,97,108,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,102,101,101,100,98,97,99,107,46,117,50,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,77,97,116,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,51,52,34,32,108,105,110,101,69,110,100,61,34,54,51,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,103,97,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,77,97,116,104,46,71,97,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,103,97,105,110,46,121,34,32,99,111,109,109,101,110,116,61,34,79,117,116,112,117,116,32,115,105,103,110,97,108,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,102,101,101,100,98,97,99,107,46,117,50,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,77,97,116,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,51,52,34,32,108,105,110,101,69,110,100,61,34,54,51,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,103,97,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,77,97,116,104,46,71,97,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,102,101,101,100,98,97,99,107,46,117,49,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,73,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,77,97,116,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,54,48,34,32,108,105,110,101,69,110,100,61,34,57,54,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,101,101,100,98,97,99,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,77,97,116,104,46,70,101,101,100,98,97,99,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,102,101,101,100,98,97,99,107,46,117,49,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,73,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,77,97,116,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,54,48,34,32,108,105,110,101,69,110,100,61,34,57,54,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,101,101,100,98,97,99,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,77,97,116,104,46,70,101,101,100,98,97,99,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,71,97,105,110,49,46,121,34,32,99,111,109,109,101,110,116,61,34,79,117,116,112,117,116,32,115,105,103,110,97,108,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,73,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,77,97,116,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,51,52,34,32,108,105,110,101,69,110,100,61,34,54,51,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,71,97,105,110,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,77,97,116,104,46,71,97,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,71,97,105,110,49,46,121,34,32,99,111,109,109,101,110,116,61,34,79,117,116,112,117,116,32,115,105,103,110,97,108,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,73,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,77,97,116,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,51,52,34,32,108,105,110,101,69,110,100,61,34,54,51,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,71,97,105,110,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,77,97,116,104,46,71,97,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,108,111,97,100,73,110,101,114,116,105,97,77,46,102,108,97,110,103,101,95,98,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,112,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,56,50,34,32,108,105,110,101,69,110,100,61,34,54,52,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,108,111,97,100,73,110,101,114,116,105,97,77,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,108,111,97,100,73,110,101,114,116,105,97,77,46,102,108,97,110,103,101,95,98,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,112,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,56,50,34,32,108,105,110,101,69,110,100,61,34,54,52,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,108,111,97,100,73,110,101,114,116,105,97,77,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,102,108,97,110,103,101,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,112,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,56,50,34,32,108,105,110,101,69,110,100,61,34,54,52,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,83,111,117,114,99,101,115,46,81,117,97,100,114,97,116,105,99,83,112,101,101,100,68,101,112,101,110,100,101,110,116,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,102,108,97,110,103,101,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3840040);
/* memory initializer */ allocate([114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,112,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,56,50,34,32,108,105,110,101,69,110,100,61,34,54,52,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,83,111,117,114,99,101,115,46,81,117,97,100,114,97,116,105,99,83,112,101,101,100,68,101,112,101,110,100,101,110,116,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,108,111,97,100,73,110,101,114,116,105,97,77,46,102,108,97,110,103,101,95,97,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,112,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,52,34,32,108,105,110,101,69,110,100,61,34,54,52,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,108,111,97,100,73,110,101,114,116,105,97,77,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,108,111,97,100,73,110,101,114,116,105,97,77,46,102,108,97,110,103,101,95,97,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,112,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,52,34,32,108,105,110,101,69,110,100,61,34,54,52,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,108,111,97,100,73,110,101,114,116,105,97,77,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,102,108,97,110,103,101,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,112,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,52,34,32,108,105,110,101,69,110,100,61,34,54,52,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,102,108,97,110,103,101,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,112,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,52,34,32,108,105,110,101,69,110,100,61,34,54,52,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,102,108,97,110,103,101,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,112,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,52,34,32,108,105,110,101,69,110,100,61,34,54,52,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,102,108,97,110,103,101,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,112,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,52,34,32,108,105,110,101,69,110,100,61,34,54,52,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,102,108,97,110,103,101,95,98,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,112,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,56,50,34,32,108,105,110,101,69,110,100,61,34,54,52,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,102,108,97,110,103,101,95,98,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,112,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,56,50,34,32,108,105,110,101,69,110,100,61,34,54,52,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,112,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,52,34,32,108,105,110,101,69,110,100,61,34,50,51,48,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,112,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,52,34,32,108,105,110,101,69,110,100,61,34,50,51,48,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,102,108,97,110,103,101,95,97,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,112,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,52,34,32,108,105,110,101,69,110,100,61,34,54,52,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3850280);
/* memory initializer */ allocate([110,101,114,116,105,97,82,111,116,111,114,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,102,108,97,110,103,101,95,97,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,112,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,52,34,32,108,105,110,101,69,110,100,61,34,54,52,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,102,108,97,110,103,101,95,97,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,112,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,52,34,32,108,105,110,101,69,110,100,61,34,54,52,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,97,105,114,71,97,112,46,102,108,97,110,103,101,95,97,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,112,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,52,34,32,108,105,110,101,69,110,100,61,34,54,52,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,102,108,97,110,103,101,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,112,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,52,34,32,108,105,110,101,69,110,100,61,34,54,52,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,102,108,97,110,103,101,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,112,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,52,34,32,108,105,110,101,69,110,100,61,34,54,52,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,103,97,105,110,46,117,34,32,99,111,109,109,101,110,116,61,34,73,110,112,117,116,32,115,105,103,110,97,108,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,73,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,77,97,116,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,51,49,34,32,108,105,110,101,69,110,100,61,34,54,51,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,103,97,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,77,97,116,104,46,71,97,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,103,97,105,110,46,117,34,32,99,111,109,109,101,110,116,61,34,73,110,112,117,116,32,115,105,103,110,97,108,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,73,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,77,97,116,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,51,49,34,32,108,105,110,101,69,110,100,61,34,54,51,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,103,97,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,77,97,116,104,46,71,97,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,113,117,97,115,105,82,77,83,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,73,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,54,34,32,108,105,110,101,69,110,100,61,34,50,55,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,113,117,97,115,105,82,77,83,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,108,111,99,107,115,46,81,117,97,115,105,82,77,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,113,117,97,115,105,82,77,83,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,73,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,54,34,32,108,105,110,101,69,110,100,61,34,50,55,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,113,117,97,115,105,82,77,83,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,108,111,99,107,115,46,81,117,97,115,105,82,77,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,46,112,105,110,95,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,46,112,105,110,95,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,108,111,97,100,73,110,101,114,116,105,97,51,46,102,108,97,110,103,101,95,98,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3860520);
/* memory initializer */ allocate([61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,112,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,56,50,34,32,108,105,110,101,69,110,100,61,34,54,52,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,108,111,97,100,73,110,101,114,116,105,97,51,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,108,111,97,100,73,110,101,114,116,105,97,51,46,102,108,97,110,103,101,95,98,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,112,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,56,50,34,32,108,105,110,101,69,110,100,61,34,54,52,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,108,111,97,100,73,110,101,114,116,105,97,51,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,102,108,97,110,103,101,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,112,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,56,50,34,32,108,105,110,101,69,110,100,61,34,54,52,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,83,111,117,114,99,101,115,46,81,117,97,100,114,97,116,105,99,83,112,101,101,100,68,101,112,101,110,100,101,110,116,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,102,108,97,110,103,101,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,112,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,56,50,34,32,108,105,110,101,69,110,100,61,34,54,52,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,83,111,117,114,99,101,115,46,81,117,97,100,114,97,116,105,99,83,112,101,101,100,68,101,112,101,110,100,101,110,116,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,108,111,97,100,73,110,101,114,116,105,97,51,46,102,108,97,110,103,101,95,97,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,112,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,52,34,32,108,105,110,101,69,110,100,61,34,54,52,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,108,111,97,100,73,110,101,114,116,105,97,51,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,108,111,97,100,73,110,101,114,116,105,97,51,46,102,108,97,110,103,101,95,97,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,112,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,52,34,32,108,105,110,101,69,110,100,61,34,54,52,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,108,111,97,100,73,110,101,114,116,105,97,51,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,102,108,97,110,103,101,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,112,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,52,34,32,108,105,110,101,69,110,100,61,34,54,52,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,102,108,97,110,103,101,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,112,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,52,34,32,108,105,110,101,69,110,100,61,34,54,52,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,102,108,97,110,103,101,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,112,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,52,34,32,108,105,110,101,69,110,100,61,34,54,52,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,102,108,97,110,103,101,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,112,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,52,34,32,108,105,110,101,69,110,100,61,34,54,52,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,102,108,97,110,103,101,95,98,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,112,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,56,50,34,32,108,105,110,101,69,110,100,61,34,54,52,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,102,108,97,110,103,101,95,98,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,112,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,56,50,34,32,108,105,110,101,69,110,100,61,34,54,52,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3870760);
/* memory initializer */ allocate([101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,112,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,52,34,32,108,105,110,101,69,110,100,61,34,50,51,48,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,112,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,52,34,32,108,105,110,101,69,110,100,61,34,50,51,48,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,102,108,97,110,103,101,95,97,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,112,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,52,34,32,108,105,110,101,69,110,100,61,34,54,52,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,102,108,97,110,103,101,95,97,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,112,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,52,34,32,108,105,110,101,69,110,100,61,34,54,52,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,102,108,97,110,103,101,95,97,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,112,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,52,34,32,108,105,110,101,69,110,100,61,34,54,52,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,97,105,114,71,97,112,46,102,108,97,110,103,101,95,97,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,112,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,52,34,32,108,105,110,101,69,110,100,61,34,54,52,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,102,108,97,110,103,101,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,112,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,52,34,32,108,105,110,101,69,110,100,61,34,54,52,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,102,108,97,110,103,101,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,112,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,52,34,32,108,105,110,101,69,110,100,61,34,54,52,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,116,97,114,51,46,112,105,110,95,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,103,114,111,117,110,100,51,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,97,114,51,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,116,97,114,51,46,112,105,110,95,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,103,114,111,117,110,100,51,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,97,114,51,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,46,112,105,110,95,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,46,112,105,110,95,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3881000);
/* memory initializer */ allocate([104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,116,97,114,77,46,112,105,110,95,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,103,114,111,117,110,100,77,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,97,114,77,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,116,97,114,77,46,112,105,110,95,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,103,114,111,117,110,100,77,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,97,114,77,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3891240);
/* memory initializer */ allocate([99,51,46,115,116,97,116,111,114,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,115,112,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,115,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,115,112,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,115,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3901480);
/* memory initializer */ allocate([32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,115,112,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,115,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,115,112,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,115,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3911720);
/* memory initializer */ allocate([101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,102,105,120,101,100,46,102,108,97,110,103,101,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,102,105,120,101,100,46,112,104,105,48,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,56,50,34,32,108,105,110,101,69,110,100,61,34,54,52,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,105,120,101,100,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,102,105,120,101,100,46,102,108,97,110,103,101,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,102,105,120,101,100,46,112,104,105,48,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,56,50,34,32,108,105,110,101,69,110,100,61,34,54,52,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,105,120,101,100,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,115,117,112,112,111,114,116,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,102,105,120,101,100,46,112,104,105,48,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,52,34,32,108,105,110,101,69,110,100,61,34,54,52,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,115,117,112,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,97,105,114,71,97,112,46,115,117,112,112,111,114,116,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,102,105,120,101,100,46,112,104,105,48,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,52,34,32,108,105,110,101,69,110,100,61,34,54,52,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,115,117,112,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,115,117,112,112,111,114,116,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,102,105,120,101,100,46,112,104,105,48,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,52,34,32,108,105,110,101,69,110,100,61,34,54,52,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,115,117,112,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,115,117,112,112,111,114,116,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,102,105,120,101,100,46,112,104,105,48,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,52,34,32,108,105,110,101,69,110,100,61,34,54,52,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,115,117,112,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,105,110,116,101,114,110,97,108,83,117,112,112,111,114,116,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,116,104,101,32,115,117,112,112,111,114,116,47,104,111,117,115,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,102,105,120,101,100,46,112,104,105,48,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,53,52,49,34,32,108,105,110,101,69,110,100,61,34,54,53,52,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,116,101,114,110,97,108,83,117,112,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,83,117,112,112,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,105,110,116,101,114,110,97,108,83,117,112,112,111,114,116,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,116,104,101,32,115,117,112,112,111,114,116,47,104,111,117,115,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,102,105,120,101,100,46,112,104,105,48,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,53,52,49,34,32,108,105,110,101,69,110,100,61,34,54,53,52,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,116,101,114,110,97,108,83,117,112,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,83,117,112,112,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,102,108,97,110,103,101,95,97,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3921960);
/* memory initializer */ allocate([97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,102,105,120,101,100,46,112,104,105,48,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,52,34,32,108,105,110,101,69,110,100,61,34,54,52,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,102,108,97,110,103,101,95,97,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,102,105,120,101,100,46,112,104,105,48,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,52,34,32,108,105,110,101,69,110,100,61,34,54,52,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,102,105,120,101,100,46,112,104,105,48,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,52,34,32,108,105,110,101,69,110,100,61,34,50,51,48,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,101,114,116,105,97,83,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,102,105,120,101,100,46,112,104,105,48,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,52,34,32,108,105,110,101,69,110,100,61,34,50,51,48,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,101,114,116,105,97,83,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,102,108,97,110,103,101,95,98,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,102,105,120,101,100,46,112,104,105,48,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,56,50,34,32,108,105,110,101,69,110,100,61,34,54,52,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,102,108,97,110,103,101,95,98,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,102,105,120,101,100,46,112,104,105,48,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,56,50,34,32,108,105,110,101,69,110,100,61,34,54,52,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,115,117,112,112,111,114,116,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,102,105,120,101,100,46,112,104,105,48,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,52,34,32,108,105,110,101,69,110,100,61,34,54,52,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,115,117,112,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,115,117,112,112,111,114,116,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,102,105,120,101,100,46,112,104,105,48,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,52,34,32,108,105,110,101,69,110,100,61,34,54,52,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,115,117,112,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,114,114,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,114,114,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,114,114,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3932200);
/* memory initializer */ allocate([121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,114,114,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,114,114,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,114,114,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,114,114,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,114,114,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,114,110,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,114,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,114,110,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,114,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3942440);
/* memory initializer */ allocate([109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,114,110,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,114,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,114,110,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,114,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,105,110,95,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,105,110,95,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3952680);
/* memory initializer */ allocate([99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3962920);
/* memory initializer */ allocate([121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,114,112,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,114,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,114,112,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,114,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,114,110,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,114,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,114,110,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,114,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,114,114,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,114,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,114,114,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,114,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,114,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,114,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3973160);
/* memory initializer */ allocate([110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3983400);
/* memory initializer */ allocate([97,105,114,71,97,112,46,112,111,114,116,95,114,112,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,114,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,114,112,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,114,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,114,110,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,114,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,114,110,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,114,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,114,114,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,114,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,114,114,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,114,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,114,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,114,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,98,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,82,111,116,111,114,87,105,110,100,105,110,103,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,98,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,82,111,116,111,114,87,105,110,100,105,110,103,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3993640);
/* memory initializer */ allocate([114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,105,110,95,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,105,110,95,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,112,46,86,95,109,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,112,46,86,95,109,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,112,46,86,95,109,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,112,46,86,95,109,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4003880);
/* memory initializer */ allocate([100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4014120);
/* memory initializer */ allocate([110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4024360);
/* memory initializer */ allocate([49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,108,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,104,101,97,116,80,111,114,116,32,40,38,103,116,59,32,48,44,32,105,102,32,104,101,97,116,32,105,115,32,102,108,111,119,105,110,103,32,111,117,116,32,111,102,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,97,116,111,114,67,111,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,54,54,34,32,108,105,110,101,69,110,100,61,34,50,57,54,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,108,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,104,101,97,116,80,111,114,116,32,40,38,103,116,59,32,48,44,32,105,102,32,104,101,97,116,32,105,115,32,102,108,111,119,105,110,103,32,111,117,116,32,111,102,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,97,116,111,114,67,111,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,54,54,34,32,108,105,110,101,69,110,100,61,34,50,57,54,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,104,101,97,116,80,111,114,116,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,97,116,111,114,67,111,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,104,101,97,116,80,111,114,116,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,97,116,111,114,67,111,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,67,111,114,101,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,97,116,111,114,67,111,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,67,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,67,111,114,101,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,97,116,111,114,67,111,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,67,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4034600);
/* memory initializer */ allocate([113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,115,112,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,115,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,115,112,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,115,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,115,110,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,115,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,115,110,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,115,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,115,112,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,115,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,115,112,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,115,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,115,110,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,115,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,115,110,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,115,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4044840);
/* memory initializer */ allocate([120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,46,112,111,114,116,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,70,114,105,99,116,105,111,110,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,46,112,111,114,116,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,70,114,105,99,116,105,111,110,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,70,114,105,99,116,105,111,110,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,70,114,105,99,116,105,111,110,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,70,114,105,99,116,105,111,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,70,114,105,99,116,105,111,110,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,70,114,105,99,116,105,111,110,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,70,114,105,99,116,105,111,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,46,112,111,114,116,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,114,97,121,76,111,97,100,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,46,112,111,114,116,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,114,97,121,76,111,97,100,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,114,97,121,76,111,97,100,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,114,97,121,76,111,97,100,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4055080);
/* memory initializer */ allocate([112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,114,97,121,76,111,97,100,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,114,97,121,76,111,97,100,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,67,111,114,101,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,67,111,114,101,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,67,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,67,111,114,101,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,67,111,114,101,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,67,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,67,111,114,101,46,112,111,114,116,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,67,111,114,101,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,67,111,114,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,67,111,114,101,46,112,111,114,116,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,67,111,114,101,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,67,111,114,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,82,111,116,111,114,67,111,114,101,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,111,102,32,115,116,97,116,111,114,32,99,111,114,101,32,108,111,115,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,67,111,114,101,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,53,51,56,34,32,108,105,110,101,69,110,100,61,34,49,51,53,51,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,82,111,116,111,114,67,111,114,101,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,111,102,32,115,116,97,116,111,114,32,99,111,114,101,32,108,111,115,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,67,111,114,101,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,53,51,56,34,32,108,105,110,101,69,110,100,61,34,49,51,53,51,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,112,111,114,116,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,97,116,111,114,67,111,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,112,111,114,116,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,97,116,111,114,67,111,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4065320);
/* memory initializer */ allocate([111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,67,111,114,101,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,97,116,111,114,67,111,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,67,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,67,111,114,101,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,97,116,111,114,67,111,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,67,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,87,105,110,100,105,110,103,46,112,111,114,116,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,82,111,116,111,114,87,105,110,100,105,110,103,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,87,105,110,100,105,110,103,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,80,114,101,115,99,114,105,98,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,87,105,110,100,105,110,103,46,112,111,114,116,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,82,111,116,111,114,87,105,110,100,105,110,103,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,87,105,110,100,105,110,103,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,80,114,101,115,99,114,105,98,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,87,105,110,100,105,110,103,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,82,111,116,111,114,87,105,110,100,105,110,103,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,87,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,87,105,110,100,105,110,103,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,82,111,116,111,114,87,105,110,100,105,110,103,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,87,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,87,105,110,100,105,110,103,46,112,111,114,116,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,83,116,97,116,111,114,87,105,110,100,105,110,103,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,87,105,110,100,105,110,103,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,80,114,101,115,99,114,105,98,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,87,105,110,100,105,110,103,46,112,111,114,116,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,83,116,97,116,111,114,87,105,110,100,105,110,103,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,87,105,110,100,105,110,103,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,80,114,101,115,99,114,105,98,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,98,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,83,116,97,116,111,114,87,105,110,100,105,110,103,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4075560);
/* memory initializer */ allocate([60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,98,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,83,116,97,116,111,114,87,105,110,100,105,110,103,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,102,108,97,110,103,101,95,97,46,116,97,117,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,97,117,69,108,101,99,116,114,105,99,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,53,34,32,108,105,110,101,69,110,100,61,34,54,52,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,102,108,97,110,103,101,95,97,46,116,97,117,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,97,117,69,108,101,99,116,114,105,99,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,53,34,32,108,105,110,101,69,110,100,61,34,54,52,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,102,108,97,110,103,101,95,97,46,116,97,117,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,116,97,117,69,108,101,99,116,114,105,99,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,53,34,32,108,105,110,101,69,110,100,61,34,54,52,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,97,105,114,71,97,112,46,102,108,97,110,103,101,95,97,46,116,97,117,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,116,97,117,69,108,101,99,116,114,105,99,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,53,34,32,108,105,110,101,69,110,100,61,34,54,52,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,116,97,117,69,108,101,99,116,114,105,99,97,108,34,32,99,111,109,109,101,110,116,61,34,69,108,101,99,116,114,105,99,97,108,32,116,111,114,113,117,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,97,117,69,108,101,99,116,114,105,99,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,53,51,34,32,108,105,110,101,69,110,100,61,34,53,55,53,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,97,105,114,71,97,112,46,116,97,117,69,108,101,99,116,114,105,99,97,108,34,32,99,111,109,109,101,110,116,61,34,69,108,101,99,116,114,105,99,97,108,32,116,111,114,113,117,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,97,117,69,108,101,99,116,114,105,99,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,53,51,34,32,108,105,110,101,69,110,100,61,34,53,55,53,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,115,117,112,112,111,114,116,46,116,97,117,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,97,117,69,108,101,99,116,114,105,99,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,53,34,32,108,105,110,101,69,110,100,61,34,54,52,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,115,117,112,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,97,105,114,71,97,112,46,115,117,112,112,111,114,116,46,116,97,117,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,97,117,69,108,101,99,116,114,105,99,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,53,34,32,108,105,110,101,69,110,100,61,34,54,52,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,115,117,112,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4085800);
/* memory initializer */ allocate([112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4096040);
/* memory initializer */ allocate([101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,115,112,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,115,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,115,112,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,115,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4106280);
/* memory initializer */ allocate([109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,115,112,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,115,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,115,112,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,115,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,102,105,120,101,100,46,102,108,97,110,103,101,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,102,105,120,101,100,46,112,104,105,48,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,56,50,34,32,108,105,110,101,69,110,100,61,34,54,52,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,105,120,101,100,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4116520);
/* memory initializer */ allocate([110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,102,105,120,101,100,46,102,108,97,110,103,101,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,102,105,120,101,100,46,112,104,105,48,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,56,50,34,32,108,105,110,101,69,110,100,61,34,54,52,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,105,120,101,100,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,115,117,112,112,111,114,116,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,102,105,120,101,100,46,112,104,105,48,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,52,34,32,108,105,110,101,69,110,100,61,34,54,52,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,115,117,112,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,97,105,114,71,97,112,46,115,117,112,112,111,114,116,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,102,105,120,101,100,46,112,104,105,48,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,52,34,32,108,105,110,101,69,110,100,61,34,54,52,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,115,117,112,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,115,117,112,112,111,114,116,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,102,105,120,101,100,46,112,104,105,48,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,52,34,32,108,105,110,101,69,110,100,61,34,54,52,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,115,117,112,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,115,117,112,112,111,114,116,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,102,105,120,101,100,46,112,104,105,48,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,52,34,32,108,105,110,101,69,110,100,61,34,54,52,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,115,117,112,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,116,101,114,110,97,108,83,117,112,112,111,114,116,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,116,104,101,32,115,117,112,112,111,114,116,47,104,111,117,115,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,102,105,120,101,100,46,112,104,105,48,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,53,52,49,34,32,108,105,110,101,69,110,100,61,34,54,53,52,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,116,101,114,110,97,108,83,117,112,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,83,117,112,112,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,105,110,116,101,114,110,97,108,83,117,112,112,111,114,116,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,116,104,101,32,115,117,112,112,111,114,116,47,104,111,117,115,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,102,105,120,101,100,46,112,104,105,48,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,53,52,49,34,32,108,105,110,101,69,110,100,61,34,54,53,52,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,116,101,114,110,97,108,83,117,112,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,83,117,112,112,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,102,108,97,110,103,101,95,97,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,102,105,120,101,100,46,112,104,105,48,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,52,34,32,108,105,110,101,69,110,100,61,34,54,52,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,102,108,97,110,103,101,95,97,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,102,105,120,101,100,46,112,104,105,48,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,52,34,32,108,105,110,101,69,110,100,61,34,54,52,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,102,105,120,101,100,46,112,104,105,48,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,52,34,32,108,105,110,101,69,110,100,61,34,50,51,48,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,102,105,120,101,100,46,112,104,105,48,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,52,34,32,108,105,110,101,69,110,100,61,34,50,51,48,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4126760);
/* memory initializer */ allocate([112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,102,108,97,110,103,101,95,98,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,102,105,120,101,100,46,112,104,105,48,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,56,50,34,32,108,105,110,101,69,110,100,61,34,54,52,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,102,108,97,110,103,101,95,98,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,102,105,120,101,100,46,112,104,105,48,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,56,50,34,32,108,105,110,101,69,110,100,61,34,54,52,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,115,117,112,112,111,114,116,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,102,105,120,101,100,46,112,104,105,48,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,52,34,32,108,105,110,101,69,110,100,61,34,54,52,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,115,117,112,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,115,117,112,112,111,114,116,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,102,105,120,101,100,46,112,104,105,48,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,52,34,32,108,105,110,101,69,110,100,61,34,54,52,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,115,117,112,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,114,114,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,114,114,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,114,114,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,114,114,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,114,114,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,114,114,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4137000);
/* memory initializer */ allocate([32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,114,114,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,114,114,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,114,110,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,114,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,114,110,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,114,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,114,110,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,114,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,114,110,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4147240);
/* memory initializer */ allocate([60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,114,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,105,110,95,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,105,110,95,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4157480);
/* memory initializer */ allocate([101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,114,112,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,114,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,114,112,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,114,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4167720);
/* memory initializer */ allocate([77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,114,110,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,114,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,114,110,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,114,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,114,114,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,114,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,114,114,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,114,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,114,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,114,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4177960);
/* memory initializer */ allocate([99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,114,112,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,114,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,114,112,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,114,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,114,110,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,114,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,114,110,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4188200);
/* memory initializer */ allocate([32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,114,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,114,114,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,114,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,114,114,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,114,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,114,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,114,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,98,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,82,111,116,111,114,87,105,110,100,105,110,103,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,98,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,82,111,116,111,114,87,105,110,100,105,110,103,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,105,110,95,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,105,110,95,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,112,46,86,95,109,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4198440);
/* memory initializer */ allocate([102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,112,46,86,95,109,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,112,46,86,95,109,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,112,46,86,95,109,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4208680);
/* memory initializer */ allocate([104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4218920);
/* memory initializer */ allocate([77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4229160);
/* memory initializer */ allocate([110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,108,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,104,101,97,116,80,111,114,116,32,40,38,103,116,59,32,48,44,32,105,102,32,104,101,97,116,32,105,115,32,102,108,111,119,105,110,103,32,111,117,116,32,111,102,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,97,116,111,114,67,111,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,54,54,34,32,108,105,110,101,69,110,100,61,34,50,57,54,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,108,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,104,101,97,116,80,111,114,116,32,40,38,103,116,59,32,48,44,32,105,102,32,104,101,97,116,32,105,115,32,102,108,111,119,105,110,103,32,111,117,116,32,111,102,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,97,116,111,114,67,111,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,54,54,34,32,108,105,110,101,69,110,100,61,34,50,57,54,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,104,101,97,116,80,111,114,116,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,97,116,111,114,67,111,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,104,101,97,116,80,111,114,116,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,97,116,111,114,67,111,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,67,111,114,101,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,97,116,111,114,67,111,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,67,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,67,111,114,101,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,97,116,111,114,67,111,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,67,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,115,112,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,115,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,115,112,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,115,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,115,110,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,115,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,115,110,46,80,104,105,46,105,109], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4239400);
/* memory initializer */ allocate([34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,115,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,115,112,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,115,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,115,112,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,115,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,115,110,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,115,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,115,110,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,115,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,46,112,111,114,116,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,70,114,105,99,116,105,111,110,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,46,112,111,114,116,46,81,95,102,108,111,119,34,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4249640);
/* memory initializer */ allocate([99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,70,114,105,99,116,105,111,110,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,70,114,105,99,116,105,111,110,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,70,114,105,99,116,105,111,110,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,70,114,105,99,116,105,111,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,70,114,105,99,116,105,111,110,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,70,114,105,99,116,105,111,110,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,70,114,105,99,116,105,111,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,46,112,111,114,116,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,114,97,121,76,111,97,100,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,46,112,111,114,116,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,114,97,121,76,111,97,100,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,114,97,121,76,111,97,100,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,114,97,121,76,111,97,100,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,114,97,121,76,111,97,100,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,114,97,121,76,111,97,100,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,67,111,114,101,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,67,111,114,101,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,67,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,67,111,114,101,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,67,111,114,101,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,67,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4259880);
/* memory initializer */ allocate([67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,67,111,114,101,46,112,111,114,116,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,67,111,114,101,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,67,111,114,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,67,111,114,101,46,112,111,114,116,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,67,111,114,101,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,67,111,114,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,82,111,116,111,114,67,111,114,101,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,111,102,32,115,116,97,116,111,114,32,99,111,114,101,32,108,111,115,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,67,111,114,101,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,53,51,56,34,32,108,105,110,101,69,110,100,61,34,49,51,53,51,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,82,111,116,111,114,67,111,114,101,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,111,102,32,115,116,97,116,111,114,32,99,111,114,101,32,108,111,115,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,67,111,114,101,46,81,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,53,51,56,34,32,108,105,110,101,69,110,100,61,34,49,51,53,51,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,112,111,114,116,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,97,116,111,114,67,111,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,112,111,114,116,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,97,116,111,114,67,111,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,67,111,114,101,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,97,116,111,114,67,111,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,67,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,67,111,114,101,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,97,116,111,114,67,111,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,67,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,87,105,110,100,105,110,103,46,112,111,114,116,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,82,111,116,111,114,87,105,110,100,105,110,103,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,87,105,110,100,105,110,103,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4270120);
/* memory initializer */ allocate([97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,80,114,101,115,99,114,105,98,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,87,105,110,100,105,110,103,46,112,111,114,116,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,82,111,116,111,114,87,105,110,100,105,110,103,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,87,105,110,100,105,110,103,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,80,114,101,115,99,114,105,98,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,87,105,110,100,105,110,103,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,82,111,116,111,114,87,105,110,100,105,110,103,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,87,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,87,105,110,100,105,110,103,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,82,111,116,111,114,87,105,110,100,105,110,103,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,87,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,87,105,110,100,105,110,103,46,112,111,114,116,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,83,116,97,116,111,114,87,105,110,100,105,110,103,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,87,105,110,100,105,110,103,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,80,114,101,115,99,114,105,98,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,87,105,110,100,105,110,103,46,112,111,114,116,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,83,116,97,116,111,114,87,105,110,100,105,110,103,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,87,105,110,100,105,110,103,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,80,114,101,115,99,114,105,98,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,98,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,83,116,97,116,111,114,87,105,110,100,105,110,103,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,98,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,83,116,97,116,111,114,87,105,110,100,105,110,103,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,102,108,97,110,103,101,95,97,46,116,97,117,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,97,117,69,108,101,99,116,114,105,99,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,53,34,32,108,105,110,101,69,110,100,61,34,54,52,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,102,108,97,110,103,101,95,97,46,116,97,117,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,97,117,69,108,101,99,116,114,105,99,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,53,34,32,108,105,110,101,69,110,100,61,34,54,52,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4280360);
/* memory initializer */ allocate([110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,102,108,97,110,103,101,95,97,46,116,97,117,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,116,97,117,69,108,101,99,116,114,105,99,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,53,34,32,108,105,110,101,69,110,100,61,34,54,52,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,97,105,114,71,97,112,46,102,108,97,110,103,101,95,97,46,116,97,117,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,116,97,117,69,108,101,99,116,114,105,99,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,53,34,32,108,105,110,101,69,110,100,61,34,54,52,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,116,97,117,69,108,101,99,116,114,105,99,97,108,34,32,99,111,109,109,101,110,116,61,34,69,108,101,99,116,114,105,99,97,108,32,116,111,114,113,117,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,97,117,69,108,101,99,116,114,105,99,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,53,51,34,32,108,105,110,101,69,110,100,61,34,53,55,53,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,97,105,114,71,97,112,46,116,97,117,69,108,101,99,116,114,105,99,97,108,34,32,99,111,109,109,101,110,116,61,34,69,108,101,99,116,114,105,99,97,108,32,116,111,114,113,117,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,97,117,69,108,101,99,116,114,105,99,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,53,51,34,32,108,105,110,101,69,110,100,61,34,53,55,53,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,115,117,112,112,111,114,116,46,116,97,117,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,97,117,69,108,101,99,116,114,105,99,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,53,34,32,108,105,110,101,69,110,100,61,34,54,52,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,115,117,112,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,97,105,114,71,97,112,46,115,117,112,112,111,114,116,46,116,97,117,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,97,117,69,108,101,99,116,114,105,99,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,53,34,32,108,105,110,101,69,110,100,61,34,54,52,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,115,117,112,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,102,108,97,110,103,101,46,116,97,117,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,116,97,117,83,104,97,102,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,53,34,32,108,105,110,101,69,110,100,61,34,54,52,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,102,108,97,110,103,101,46,116,97,117,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,116,97,117,83,104,97,102,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,53,34,32,108,105,110,101,69,110,100,61,34,54,52,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,108,111,97,100,73,110,101,114,116,105,97,51,46,102,108,97,110,103,101,95,97,46,116,97,117,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,97,117,83,104,97,102,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,53,34,32,108,105,110,101,69,110,100,61,34,54,52,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,108,111,97,100,73,110,101,114,116,105,97,51,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,108,111,97,100,73,110,101,114,116,105,97,51,46,102,108,97,110,103,101,95,97,46,116,97,117,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,97,117,83,104,97,102,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,53,34,32,108,105,110,101,69,110,100,61,34,54,52,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,108,111,97,100,73,110,101,114,116,105,97,51,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,102,108,97,110,103,101,46,116,97,117,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,116,97,117,83,104,97,102,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,53,34,32,108,105,110,101,69,110,100,61,34,54,52,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,102,108,97,110,103,101,46,116,97,117,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,116,111,114,113,117,101,32,105,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4290600);
/* memory initializer */ allocate([32,116,104,101,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,116,97,117,83,104,97,102,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,53,34,32,108,105,110,101,69,110,100,61,34,54,52,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,108,111,97,100,73,110,101,114,116,105,97,77,46,102,108,97,110,103,101,95,97,46,116,97,117,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,97,117,83,104,97,102,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,53,34,32,108,105,110,101,69,110,100,61,34,54,52,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,108,111,97,100,73,110,101,114,116,105,97,77,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,108,111,97,100,73,110,101,114,116,105,97,77,46,102,108,97,110,103,101,95,97,46,116,97,117,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,97,117,83,104,97,102,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,53,34,32,108,105,110,101,69,110,100,61,34,54,52,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,108,111,97,100,73,110,101,114,116,105,97,77,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,102,108,97,110,103,101,46,116,97,117,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,116,97,117,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,56,51,34,32,108,105,110,101,69,110,100,61,34,54,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,83,111,117,114,99,101,115,46,81,117,97,100,114,97,116,105,99,83,112,101,101,100,68,101,112,101,110,100,101,110,116,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,102,108,97,110,103,101,46,116,97,117,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,116,97,117,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,56,51,34,32,108,105,110,101,69,110,100,61,34,54,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,83,111,117,114,99,101,115,46,81,117,97,100,114,97,116,105,99,83,112,101,101,100,68,101,112,101,110,100,101,110,116,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,108,111,97,100,73,110,101,114,116,105,97,51,46,102,108,97,110,103,101,95,98,46,116,97,117,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,116,97,117,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,56,51,34,32,108,105,110,101,69,110,100,61,34,54,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,108,111,97,100,73,110,101,114,116,105,97,51,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,108,111,97,100,73,110,101,114,116,105,97,51,46,102,108,97,110,103,101,95,98,46,116,97,117,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,116,97,117,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,56,51,34,32,108,105,110,101,69,110,100,61,34,54,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,108,111,97,100,73,110,101,114,116,105,97,51,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,102,108,97,110,103,101,46,116,97,117,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,116,97,117,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,56,51,34,32,108,105,110,101,69,110,100,61,34,54,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,83,111,117,114,99,101,115,46,81,117,97,100,114,97,116,105,99,83,112,101,101,100,68,101,112,101,110,100,101,110,116,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,102,108,97,110,103,101,46,116,97,117,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,116,97,117,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,56,51,34,32,108,105,110,101,69,110,100,61,34,54,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,83,111,117,114,99,101,115,46,81,117,97,100,114,97,116,105,99,83,112,101,101,100,68,101,112,101,110,100,101,110,116,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,108,111,97,100,73,110,101,114,116,105,97,77,46,102,108,97,110,103,101,95,98,46,116,97,117,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,116,97,117,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,56,51,34,32,108,105,110,101,69,110,100,61,34,54,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,108,111,97,100,73,110,101,114,116,105,97,77,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,108,111,97,100,73,110,101,114,116,105,97,77,46,102,108,97,110,103,101,95,98,46,116,97,117,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,116,97,117,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,56,51,34,32,108,105,110,101,69,110,100,61,34,54,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,108,111,97,100,73,110,101,114,116,105,97,77,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,46,112,105,110,95,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,46,112,105,110,95,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4300840);
/* memory initializer */ allocate([116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,46,112,105,110,95,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,46,112,105,110,95,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,71,97,105,110,49,46,117,34,32,99,111,109,109,101,110,116,61,34,73,110,112,117,116,32,115,105,103,110,97,108,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,80,111,108,97,114,49,46,121,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,77,97,116,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,51,49,34,32,108,105,110,101,69,110,100,61,34,54,51,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,71,97,105,110,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,77,97,116,104,46,71,97,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,71,97,105,110,49,46,117,34,32,99,111,109,109,101,110,116,61,34,73,110,112,117,116,32,115,105,103,110,97,108,32,99,111,110,110,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,80,111,108,97,114,49,46,121,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,77,97,116,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,51,49,34,32,108,105,110,101,69,110,100,61,34,54,51,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,71,97,105,110,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,77,97,116,104,46,71,97,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,116,97,114,51,46,112,105,110,95,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,103,114,111,117,110,100,51,46,112,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,97,114,51,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,116,97,114,51,46,112,105,110,95,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,103,114,111,117,110,100,51,46,112,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,97,114,51,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,116,97,114,77,46,112,105,110,95,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,103,114,111,117,110,100,77,46,112,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,97,114,77,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,116,97,114,77,46,112,105,110,95,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,103,114,111,117,110,100,77,46,112,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,97,114,77,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4311080);
/* memory initializer */ allocate([65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,118,48,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,118,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,56,34,32,108,105,110,101,69,110,100,61,34,49,48,56,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,118,48,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,118,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,56,34,32,108,105,110,101,69,110,100,61,34,49,48,56,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,115,117,112,112,111,114,116,46,116,97,117,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,116,97,117,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,53,34,32,108,105,110,101,69,110,100,61,34,54,52,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,115,117,112,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,115,117,112,112,111,114,116,46,116,97,117,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,116,97,117,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,53,34,32,108,105,110,101,69,110,100,61,34,54,52,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,115,117,112,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,102,108,97,110,103,101,46,116,97,117,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4321320);
/* memory initializer */ allocate([78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,116,97,117,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,53,34,32,108,105,110,101,69,110,100,61,34,54,52,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,102,108,97,110,103,101,46,116,97,117,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,116,97,117,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,53,34,32,108,105,110,101,69,110,100,61,34,54,52,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,115,117,112,112,111,114,116,46,116,97,117,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,116,97,117,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,53,34,32,108,105,110,101,69,110,100,61,34,54,52,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,115,117,112,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,115,117,112,112,111,114,116,46,116,97,117,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,116,97,117,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,53,34,32,108,105,110,101,69,110,100,61,34,54,52,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,115,117,112,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,102,108,97,110,103,101,46,116,97,117,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,116,97,117,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,53,34,32,108,105,110,101,69,110,100,61,34,54,52,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,102,108,97,110,103,101,46,116,97,117,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,116,97,117,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,53,34,32,108,105,110,101,69,110,100,61,34,54,52,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4331560);
/* memory initializer */ allocate([32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,110,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,118,48,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,118,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,56,34,32,108,105,110,101,69,110,100,61,34,49,48,56,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,118,48,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,118,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,56,34,32,108,105,110,101,69,110,100,61,34,49,48,56,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,115,117,112,112,111,114,116,46,116,97,117,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,116,97,117,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,53,34,32,108,105,110,101,69,110,100,61,34,54,52,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,115,117,112,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,115,117,112,112,111,114,116,46,116,97,117,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,116,97,117,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,53,34,32,108,105,110,101,69,110,100,61,34,54,52,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,115,117,112,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,102,108,97,110,103,101,46,116,97,117,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,116,97,117,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,53,34,32,108,105,110,101,69,110,100,61,34,54,52,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,102,108,97,110,103,101,46,116,97,117,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,116,97,117,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,53,34,32,108,105,110,101,69,110,100,61,34,54,52,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,115,117,112,112,111,114,116,46,116,97,117,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4341800);
/* memory initializer */ allocate([108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,116,97,117,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,53,34,32,108,105,110,101,69,110,100,61,34,54,52,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,115,117,112,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,115,117,112,112,111,114,116,46,116,97,117,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,116,97,117,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,53,34,32,108,105,110,101,69,110,100,61,34,54,52,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,115,117,112,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,102,108,97,110,103,101,46,116,97,117,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,116,97,117,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,53,34,32,108,105,110,101,69,110,100,61,34,54,52,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,102,108,97,110,103,101,46,116,97,117,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,116,97,117,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,53,34,32,108,105,110,101,69,110,100,61,34,54,52,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,108,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,104,101,97,116,80,111,114,116,32,40,38,103,116,59,32,48,44,32,105,102,32,104,101,97,116,32,105,115,32,102,108,111,119,105,110,103,32,111,117,116,32,111,102,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,70,114,105,99,116,105,111,110,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,56,34,32,108,105,110,101,69,110,100,61,34,50,57,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,108,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,104,101,97,116,80,111,114,116,32,40,38,103,116,59,32,48,44,32,105,102,32,104,101,97,116,32,105,115,32,102,108,111,119,105,110,103,32,111,117,116,32,111,102,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,70,114,105,99,116,105,111,110,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,56,34,32,108,105,110,101,69,110,100,61,34,50,57,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,104,101,97,116,80,111,114,116,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,70,114,105,99,116,105,111,110,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,104,101,97,116,80,111,114,116,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,70,114,105,99,116,105,111,110,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,108,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,104,101,97,116,80,111,114,116,32,40,38,103,116,59,32,48,44,32,105,102,32,104,101,97,116,32,105,115,32,102,108,111,119,105,110,103,32,111,117,116,32,111,102,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,114,97,121,76,111,97,100,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,56,34,32,108,105,110,101,69,110,100,61,34,50,57,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,108,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,104,101,97,116,80,111,114,116,32,40,38,103,116,59,32,48,44,32,105,102,32,104,101,97,116,32,105,115,32,102,108,111,119,105,110,103,32,111,117,116,32,111,102,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,114,97,121,76,111,97,100,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,56,34,32,108,105,110,101,69,110,100,61,34,50,57,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,104,101,97,116,80,111,114,116,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,114,97,121,76,111,97,100,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4352040);
/* memory initializer */ allocate([97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,104,101,97,116,80,111,114,116,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,114,97,121,76,111,97,100,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,108,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,104,101,97,116,80,111,114,116,32,40,38,103,116,59,32,48,44,32,105,102,32,104,101,97,116,32,105,115,32,102,108,111,119,105,110,103,32,111,117,116,32,111,102,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,70,114,105,99,116,105,111,110,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,56,34,32,108,105,110,101,69,110,100,61,34,50,57,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,108,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,104,101,97,116,80,111,114,116,32,40,38,103,116,59,32,48,44,32,105,102,32,104,101,97,116,32,105,115,32,102,108,111,119,105,110,103,32,111,117,116,32,111,102,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,70,114,105,99,116,105,111,110,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,56,34,32,108,105,110,101,69,110,100,61,34,50,57,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,104,101,97,116,80,111,114,116,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,70,114,105,99,116,105,111,110,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,104,101,97,116,80,111,114,116,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,70,114,105,99,116,105,111,110,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,108,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,104,101,97,116,80,111,114,116,32,40,38,103,116,59,32,48,44,32,105,102,32,104,101,97,116,32,105,115,32,102,108,111,119,105,110,103,32,111,117,116,32,111,102,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,114,97,121,76,111,97,100,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,56,34,32,108,105,110,101,69,110,100,61,34,50,57,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,108,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,104,101,97,116,80,111,114,116,32,40,38,103,116,59,32,48,44,32,105,102,32,104,101,97,116,32,105,115,32,102,108,111,119,105,110,103,32,111,117,116,32,111,102,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,114,97,121,76,111,97,100,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,56,34,32,108,105,110,101,69,110,100,61,34,50,57,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,104,101,97,116,80,111,114,116,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,114,97,121,76,111,97,100,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,104,101,97,116,80,111,114,116,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,114,97,121,76,111,97,100,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,108,111,97,100,73,110,101,114,116,105,97,77,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,112,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,52,34,32,108,105,110,101,69,110,100,61,34,50,51,48,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,108,111,97,100,73,110,101,114,116,105,97,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,108,111,97,100,73,110,101,114,116,105,97,77,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,112,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4362280);
/* memory initializer */ allocate([105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,52,34,32,108,105,110,101,69,110,100,61,34,50,51,48,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,108,111,97,100,73,110,101,114,116,105,97,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,108,111,97,100,73,110,101,114,116,105,97,51,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,112,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,52,34,32,108,105,110,101,69,110,100,61,34,50,51,48,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,108,111,97,100,73,110,101,114,116,105,97,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,108,111,97,100,73,110,101,114,116,105,97,51,46,112,104,105,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,112,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,52,34,32,108,105,110,101,69,110,100,61,34,50,51,48,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,108,111,97,100,73,110,101,114,116,105,97,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,108,111,97,100,73,110,101,114,116,105,97,77,46,119,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,61,32,100,101,114,40,112,104,105,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,55,34,32,108,105,110,101,69,110,100,61,34,50,51,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,108,111,97,100,73,110,101,114,116,105,97,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,108,111,97,100,73,110,101,114,116,105,97,77,46,119,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,61,32,100,101,114,40,112,104,105,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,55,34,32,108,105,110,101,69,110,100,61,34,50,51,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,108,111,97,100,73,110,101,114,116,105,97,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,70,114,105,99,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,111,102,32,102,114,105,99,116,105,111,110,32,108,111,115,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,70,114,105,99,116,105,111,110,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,53,52,50,34,32,108,105,110,101,69,110,100,61,34,49,51,53,52,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,70,114,105,99,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,111,102,32,102,114,105,99,116,105,111,110,32,108,111,115,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,70,114,105,99,116,105,111,110,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,53,52,50,34,32,108,105,110,101,69,110,100,61,34,49,51,53,52,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,83,116,114,97,121,76,111,97,100,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,111,102,32,115,116,114,97,121,32,108,111,97,100,32,108,111,115,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,114,97,121,76,111,97,100,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,53,52,48,34,32,108,105,110,101,69,110,100,61,34,49,51,53,52,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,83,116,114,97,121,76,111,97,100,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,111,102,32,115,116,114,97,121,32,108,111,97,100,32,108,111,115,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,114,97,121,76,111,97,100,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,53,52,48,34,32,108,105,110,101,69,110,100,61,34,49,51,53,52,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,83,116,97,116,111,114,67,111,114,101,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,111,102,32,115,116,97,116,111,114,32,99,111,114,101,32,108,111,115,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,97,116,111,114,67,111,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,53,51,54,34,32,108,105,110,101,69,110,100,61,34,49,51,53,51,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,83,116,97,116,111,114,67,111,114,101,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,111,102,32,115,116,97,116,111,114,32,99,111,114,101,32,108,111,115,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,97,116,111,114,67,111,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,53,51,54,34,32,108,105,110,101,69,110,100,61,34,49,51,53,51,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,115,110,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,115,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,115,110,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4372520);
/* memory initializer */ allocate([105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,115,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,115,110,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,115,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,115,110,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,115,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,114,112,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,114,114,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,114,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,114,112,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,114,114,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,114,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,114,114,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4382760);
/* memory initializer */ allocate([111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,114,114,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,114,112,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,114,114,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,114,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,114,112,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,114,114,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,114,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,114,114,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,114,114,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,108,111,97,100,73,110,101,114,116,105,97,51,46,119,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,61,32,100,101,114,40,112,104,105,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,55,34,32,108,105,110,101,69,110,100,61,34,50,51,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,108,111,97,100,73,110,101,114,116,105,97,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,108,111,97,100,73,110,101,114,116,105,97,51,46,119,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,61,32,100,101,114,40,112,104,105,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,55,34,32,108,105,110,101,69,110,100,61,34,50,51,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,108,111,97,100,73,110,101,114,116,105,97,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,70,114,105,99,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,111,102,32,102,114,105,99,116,105,111,110,32,108,111,115,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,70,114,105,99,116,105,111,110,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,53,52,50,34,32,108,105,110,101,69,110,100,61,34,49,51,53,52,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,70,114,105,99,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,111,102,32,102,114,105,99,116,105,111,110,32,108,111,115,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,70,114,105,99,116,105,111,110,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,53,52,50,34,32,108,105,110,101,69,110,100,61,34,49,51,53,52,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,83,116,114,97,121,76,111,97,100,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,111,102,32,115,116,114,97,121,32,108,111,97,100,32,108,111,115,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,114,97,121,76,111,97,100,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,53,52,48,34,32,108,105,110,101,69,110,100,61,34,49,51,53,52,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,83,116,114,97,121,76,111,97,100,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,111,102,32,115,116,114,97,121,32,108,111,97,100,32,108,111,115,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,114,97,121,76,111,97,100,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,53,52,48,34,32,108,105,110,101,69,110,100,61,34,49,51,53,52,49,34,32,99,111,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4393000);
/* memory initializer */ allocate([83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,83,116,97,116,111,114,67,111,114,101,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,111,102,32,115,116,97,116,111,114,32,99,111,114,101,32,108,111,115,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,97,116,111,114,67,111,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,53,51,54,34,32,108,105,110,101,69,110,100,61,34,49,51,53,51,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,83,116,97,116,111,114,67,111,114,101,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,111,102,32,115,116,97,116,111,114,32,99,111,114,101,32,108,111,115,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,97,116,111,114,67,111,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,53,51,54,34,32,108,105,110,101,69,110,100,61,34,49,51,53,51,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,115,110,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,115,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,115,110,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,115,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,115,110,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,115,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,115,110,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,115,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4403240);
/* memory initializer */ allocate([111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,114,112,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,114,114,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,114,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,114,112,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,114,114,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,114,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,114,114,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,114,114,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,114,112,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,114,114,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,114,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,114,112,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,114,114,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,114,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,114,114,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,114,114,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,102,108,97,110,103,101,95,98,46,116,97,117,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,116,97,117,83,104,97,102,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,56,51,34,32,108,105,110,101,69,110,100,61,34,54,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,102,108,97,110,103,101,95,98,46,116,97,117,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,116,97,117,83,104,97,102,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4413480);
/* memory initializer */ allocate([108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,56,51,34,32,108,105,110,101,69,110,100,61,34,54,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,82,111,116,111,114,87,105,110,100,105,110,103,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,82,111,116,111,114,87,105,110,100,105,110,103,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,102,108,97,110,103,101,95,98,46,116,97,117,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,116,97,117,83,104,97,102,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,56,51,34,32,108,105,110,101,69,110,100,61,34,54,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,102,108,97,110,103,101,95,98,46,116,97,117,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,116,97,117,83,104,97,102,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,56,51,34,32,108,105,110,101,69,110,100,61,34,54,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,82,111,116,111,114,87,105,110,100,105,110,103,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,46,81,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,82,111,116,111,114,87,105,110,100,105,110,103,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4423720);
/* memory initializer */ allocate([34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,86,95,109,46,114,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,86,95,109,46,105,109,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,97,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,97,110,103,117,108,97,114,32,97,99,99,101,108,101,114,97,116,105,111,110,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,61,32,100,101,114,40,119,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,108,111,97,100,73,110,101,114,116,105,97,51,46,97,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,49,48,34,32,108,105,110,101,69,110,100,61,34,50,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,97,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,97,110,103,117,108,97,114,32,97,99,99,101,108,101,114,97,116,105,111,110,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,61,32,100,101,114,40,119,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,108,111,97,100,73,110,101,114,116,105,97,51,46,97,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,49,48,34,32,108,105,110,101,69,110,100,61,34,50,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,119,34,32,99,111,109,109,101,110,116,61,34,65,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,111,102,32,102,108,97,110,103,101,32,119,105,116,104,32,114,101,115,112,101,99,116,32,116,111,32,115,117,112,112,111,114,116,32,40,61,32,100,101,114,40,112,104,105,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,51,48,53,34,32,108,105,110,101,69,110,100,61,34,54,51,48,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,83,111,117,114,99,101,115,46,81,117,97,100,114,97,116,105,99,83,112,101,101,100,68,101,112,101,110,100,101,110,116,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,119,34,32,99,111,109,109,101,110,116,61,34,65,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,111,102,32,102,108,97,110,103,101,32,119,105,116,104,32,114,101,115,112,101,99,116,32,116,111,32,115,117,112,112,111,114,116,32,40,61,32,100,101,114,40,112,104,105,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,51,48,53,34,32,108,105,110,101,69,110,100,61,34,54,51,48,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,83,111,117,114,99,101,115,46,81,117,97,100,114,97,116,105,99,83,112,101,101,100,68,101,112,101,110,100,101,110,116,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,97,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,97,110,103,117,108,97,114,32,97,99,99,101,108,101,114,97,116,105,111,110,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,61,32,100,101,114,40,119,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,108,111,97,100,73,110,101,114,116,105,97,77,46,97,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,49,48,34,32,108,105,110,101,69,110,100,61,34,50,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,97,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,97,110,103,117,108,97,114,32,97,99,99,101,108,101,114,97,116,105,111,110,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,61,32,100,101,114,40,119,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,108,111,97,100,73,110,101,114,116,105,97,77,46,97,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,49,48,34,32,108,105,110,101,69,110,100,61,34,50,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4433960);
/* memory initializer */ allocate([116,97,110,99,101,62,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,119,34,32,99,111,109,109,101,110,116,61,34,65,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,111,102,32,102,108,97,110,103,101,32,119,105,116,104,32,114,101,115,112,101,99,116,32,116,111,32,115,117,112,112,111,114,116,32,40,61,32,100,101,114,40,112,104,105,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,51,48,53,34,32,108,105,110,101,69,110,100,61,34,54,51,48,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,83,111,117,114,99,101,115,46,81,117,97,100,114,97,116,105,99,83,112,101,101,100,68,101,112,101,110,100,101,110,116,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,119,34,32,99,111,109,109,101,110,116,61,34,65,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,111,102,32,102,108,97,110,103,101,32,119,105,116,104,32,114,101,115,112,101,99,116,32,116,111,32,115,117,112,112,111,114,116,32,40,61,32,100,101,114,40,112,104,105,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,51,48,53,34,32,108,105,110,101,69,110,100,61,34,54,51,48,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,83,111,117,114,99,101,115,46,81,117,97,100,114,97,116,105,99,83,112,101,101,100,68,101,112,101,110,100,101,110,116,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,114,97,121,76,111,97,100,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,46,112,111,114,116,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,114,97,121,76,111,97,100,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,46,112,111,114,116,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,114,97,121,76,111,97,100,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,46,112,111,114,116,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,114,97,121,76,111,97,100,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,46,112,111,114,116,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,104,101,97,116,80,111,114,116,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,46,112,111,114,116,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,104,101,97,116,80,111,114,116,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,46,112,111,114,116,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,87,105,110,100,105,110,103,46,84,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,75,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,54,34,32,108,105,110,101,69,110,100,61,34,49,52,53,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,87,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,80,114,101,115,99,114,105,98,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,87,105,110,100,105,110,103,46,84,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,75,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,54,34,32,108,105,110,101,69,110,100,61,34,49,52,53,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,87,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4444200);
/* memory initializer */ allocate([67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,80,114,101,115,99,114,105,98,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,87,105,110,100,105,110,103,46,112,111,114,116,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,87,105,110,100,105,110,103,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,80,114,101,115,99,114,105,98,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,87,105,110,100,105,110,103,46,112,111,114,116,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,87,105,110,100,105,110,103,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,80,114,101,115,99,114,105,98,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,98,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,98,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,67,111,114,101,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,112,111,114,116,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,67,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,67,111,114,101,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,112,111,114,116,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,67,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,67,111,114,101,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,112,111,114,116,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,67,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,67,111,114,101,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,112,111,114,116,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,67,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,67,111,114,101,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,112,111,114,116,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,67,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4454440);
/* memory initializer */ allocate([101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,67,111,114,101,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,112,111,114,116,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,67,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,104,101,97,116,80,111,114,116,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,112,111,114,116,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,104,101,97,116,80,111,114,116,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,112,111,114,116,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,84,104,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,104,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,112,111,114,116,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,54,56,34,32,108,105,110,101,69,110,100,61,34,50,57,54,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,84,104,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,104,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,112,111,114,116,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,54,56,34,32,108,105,110,101,69,110,100,61,34,50,57,54,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,67,111,114,101,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,67,111,114,101,46,112,111,114,116,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,67,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,67,111,114,101,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,67,111,114,101,46,112,111,114,116,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,67,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,67,111,114,101,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,67,111,114,101,46,112,111,114,116,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,67,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,67,111,114,101,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,67,111,114,101,46,112,111,114,116,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,67,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4464680);
/* memory initializer */ allocate([32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,70,114,105,99,116,105,111,110,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,46,112,111,114,116,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,70,114,105,99,116,105,111,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,70,114,105,99,116,105,111,110,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,46,112,111,114,116,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,70,114,105,99,116,105,111,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,104,101,97,116,80,111,114,116,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,46,112,111,114,116,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,104,101,97,116,80,111,114,116,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,46,112,111,114,116,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,70,114,105,99,116,105,111,110,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,46,112,111,114,116,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,70,114,105,99,116,105,111,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,70,114,105,99,116,105,111,110,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,46,112,111,114,116,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,70,114,105,99,116,105,111,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,87,105,110,100,105,110,103,46,84,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,75,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,54,34,32,108,105,110,101,69,110,100,61,34,49,52,53,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,87,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,80,114,101,115,99,114,105,98,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,87,105,110,100,105,110,103,46,84,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,75,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,54,34,32,108,105,110,101,69,110,100,61,34,49,52,53,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,87,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,80,114,101,115,99,114,105,98,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,87,105,110,100,105,110,103,46,112,111,114,116,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,87,105,110,100,105,110,103,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,80,114,101,115,99,114,105,98,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,87,105,110,100,105,110,103,46,112,111,114,116,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4474920);
/* memory initializer */ allocate([105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,87,105,110,100,105,110,103,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,80,114,101,115,99,114,105,98,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,87,105,110,100,105,110,103,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,87,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,87,105,110,100,105,110,103,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,87,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,87,105,110,100,105,110,103,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,87,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,87,105,110,100,105,110,103,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,87,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,98,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,98,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,114,97,121,76,111,97,100,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,46,112,111,114,116,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4485160);
/* memory initializer */ allocate([105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,114,97,121,76,111,97,100,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,46,112,111,114,116,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,114,97,121,76,111,97,100,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,46,112,111,114,116,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,114,97,121,76,111,97,100,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,46,112,111,114,116,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,104,101,97,116,80,111,114,116,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,46,112,111,114,116,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,104,101,97,116,80,111,114,116,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,46,112,111,114,116,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,87,105,110,100,105,110,103,46,84,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,75,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,54,34,32,108,105,110,101,69,110,100,61,34,49,52,53,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,87,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,80,114,101,115,99,114,105,98,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,87,105,110,100,105,110,103,46,84,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,75,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,54,34,32,108,105,110,101,69,110,100,61,34,49,52,53,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,87,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,80,114,101,115,99,114,105,98,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,87,105,110,100,105,110,103,46,112,111,114,116,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,87,105,110,100,105,110,103,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,80,114,101,115,99,114,105,98,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,87,105,110,100,105,110,103,46,112,111,114,116,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,87,105,110,100,105,110,103,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,80,114,101,115,99,114,105,98,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,98,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4495400);
/* memory initializer */ allocate([32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,98,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,67,111,114,101,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,112,111,114,116,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,67,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,67,111,114,101,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,112,111,114,116,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,67,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,67,111,114,101,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,112,111,114,116,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,67,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,67,111,114,101,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,112,111,114,116,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,67,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,67,111,114,101,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,112,111,114,116,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,67,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,67,111,114,101,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,112,111,114,116,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,67,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,104,101,97,116,80,111,114,116,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,112,111,114,116,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,104,101,97,116,80,111,114,116,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4505640);
/* memory initializer */ allocate([116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,112,111,114,116,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,84,104,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,104,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,112,111,114,116,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,54,56,34,32,108,105,110,101,69,110,100,61,34,50,57,54,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,84,104,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,104,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,112,111,114,116,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,54,56,34,32,108,105,110,101,69,110,100,61,34,50,57,54,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,67,111,114,101,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,67,111,114,101,46,112,111,114,116,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,67,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,67,111,114,101,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,67,111,114,101,46,112,111,114,116,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,67,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,67,111,114,101,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,67,111,114,101,46,112,111,114,116,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,67,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,67,111,114,101,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,67,111,114,101,46,112,111,114,116,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,67,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,70,114,105,99,116,105,111,110,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,46,112,111,114,116,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,70,114,105,99,116,105,111,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,70,114,105,99,116,105,111,110,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,46,112,111,114,116,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,70,114,105,99,116,105,111,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,104,101,97,116,80,111,114,116,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,46,112,111,114,116,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4515880);
/* memory initializer */ allocate([102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,104,101,97,116,80,111,114,116,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,46,112,111,114,116,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,104,101,97,116,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,70,114,105,99,116,105,111,110,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,46,112,111,114,116,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,70,114,105,99,116,105,111,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,70,114,105,99,116,105,111,110,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,46,112,111,114,116,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,70,114,105,99,116,105,111,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,87,105,110,100,105,110,103,46,84,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,75,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,54,34,32,108,105,110,101,69,110,100,61,34,49,52,53,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,87,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,80,114,101,115,99,114,105,98,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,87,105,110,100,105,110,103,46,84,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,75,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,54,34,32,108,105,110,101,69,110,100,61,34,49,52,53,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,87,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,80,114,101,115,99,114,105,98,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,87,105,110,100,105,110,103,46,112,111,114,116,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,87,105,110,100,105,110,103,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,80,114,101,115,99,114,105,98,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,87,105,110,100,105,110,103,46,112,111,114,116,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,87,105,110,100,105,110,103,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,80,114,101,115,99,114,105,98,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,87,105,110,100,105,110,103,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,87,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,87,105,110,100,105,110,103,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,87,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4526120);
/* memory initializer */ allocate([104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,87,105,110,100,105,110,103,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,87,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,87,105,110,100,105,110,103,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,87,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,98,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,98,46,84,34,32,99,111,109,109,101,110,116,61,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,119,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,111,102,32,102,108,97,110,103,101,32,97,110,100,32,115,117,112,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,55,57,34,32,108,105,110,101,69,110,100,61,34,49,52,53,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,119,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,111,102,32,102,108,97,110,103,101,32,97,110,100,32,115,117,112,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,55,57,34,32,108,105,110,101,69,110,100,61,34,49,52,53,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,104,105,41,34,32,99,111,109,109,101,110,116,61,34,65,110,103,108,101,32,98,101,116,119,101,101,110,32,115,104,97,102,116,32,97,110,100,32,115,117,112,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,55,55,34,32,108,105,110,101,69,110,100,61,34,49,52,53,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,104,105,41,34,32,99,111,109,109,101,110,116,61,34,65,110,103,108,101,32,98,101,116,119,101,101,110,32,115,104,97,102,116,32,97,110,100,32,115,117,112,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,55,55,34,32,108,105,110,101,69,110,100,61,34,49,52,53,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,119,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4536360);
/* memory initializer */ allocate([102,32,102,108,97,110,103,101,32,97,110,100,32,115,117,112,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,55,57,34,32,108,105,110,101,69,110,100,61,34,49,52,53,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,119,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,111,102,32,102,108,97,110,103,101,32,97,110,100,32,115,117,112,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,55,57,34,32,108,105,110,101,69,110,100,61,34,49,52,53,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,112,104,105,41,34,32,99,111,109,109,101,110,116,61,34,65,110,103,108,101,32,98,101,116,119,101,101,110,32,115,104,97,102,116,32,97,110,100,32,115,117,112,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,55,55,34,32,108,105,110,101,69,110,100,61,34,49,52,53,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,112,104,105,41,34,32,99,111,109,109,101,110,116,61,34,65,110,103,108,101,32,98,101,116,119,101,101,110,32,115,104,97,102,116,32,97,110,100,32,115,117,112,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,55,55,34,32,108,105,110,101,69,110,100,61,34,49,52,53,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,102,105,120,101,100,46,102,108,97,110,103,101,46,116,97,117,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,116,97,117,69,108,101,99,116,114,105,99,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,56,51,34,32,108,105,110,101,69,110,100,61,34,54,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,105,120,101,100,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,102,105,120,101,100,46,102,108,97,110,103,101,46,116,97,117,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,51,46,116,97,117,69,108,101,99,116,114,105,99,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,56,51,34,32,108,105,110,101,69,110,100,61,34,54,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,105,120,101,100,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,119,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,111,102,32,102,108,97,110,103,101,32,97,110,100,32,115,117,112,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,55,57,34,32,108,105,110,101,69,110,100,61,34,49,52,53,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,119,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,111,102,32,102,108,97,110,103,101,32,97,110,100,32,115,117,112,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,55,57,34,32,108,105,110,101,69,110,100,61,34,49,52,53,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,104,105,41,34,32,99,111,109,109,101,110,116,61,34,65,110,103,108,101,32,98,101,116,119,101,101,110,32,115,104,97,102,116,32,97,110,100,32,115,117,112,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,55,55,34,32,108,105,110,101,69,110,100,61,34,49,52,53,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,104,105,41,34,32,99,111,109,109,101,110,116,61,34,65,110,103,108,101,32,98,101,116,119,101,101,110,32,115,104,97,102,116,32,97,110,100,32,115,117,112,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,55,55,34,32,108,105,110,101,69,110,100,61,34,49,52,53,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,119,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,111,102,32,102,108,97,110,103,101,32,97,110,100,32,115,117,112,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,55,57,34,32,108,105,110,101,69,110,100,61,34,49,52,53,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,119,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,111,102,32,102,108,97,110,103,101,32,97,110,100,32,115,117,112,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,55,57,34,32,108,105,110,101,69,110,100,61,34,49,52,53,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4546600);
/* memory initializer */ allocate([101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,112,104,105,41,34,32,99,111,109,109,101,110,116,61,34,65,110,103,108,101,32,98,101,116,119,101,101,110,32,115,104,97,102,116,32,97,110,100,32,115,117,112,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,55,55,34,32,108,105,110,101,69,110,100,61,34,49,52,53,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,112,104,105,41,34,32,99,111,109,109,101,110,116,61,34,65,110,103,108,101,32,98,101,116,119,101,101,110,32,115,104,97,102,116,32,97,110,100,32,115,117,112,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,55,55,34,32,108,105,110,101,69,110,100,61,34,49,52,53,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,102,105,120,101,100,46,102,108,97,110,103,101,46,116,97,117,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,116,97,117,69,108,101,99,116,114,105,99,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,56,51,34,32,108,105,110,101,69,110,100,61,34,54,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,105,120,101,100,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,102,105,120,101,100,46,102,108,97,110,103,101,46,116,97,117,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,105,109,99,77,46,116,97,117,69,108,101,99,116,114,105,99,97,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,56,51,34,32,108,105,110,101,69,110,100,61,34,54,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,105,120,101,100,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,119,77,101,99,104,97,110,105,99,97,108,34,32,99,111,109,109,101,110,116,61,34,77,101,99,104,97,110,105,99,97,108,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,111,102,32,114,111,116,111,114,32,97,103,97,105,110,115,116,32,115,116,97,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,109,105,110,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,48,53,34,32,108,105,110,101,69,110,100,61,34,54,55,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,119,77,101,99,104,97,110,105,99,97,108,34,32,99,111,109,109,101,110,116,61,34,77,101,99,104,97,110,105,99,97,108,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,111,102,32,114,111,116,111,114,32,97,103,97,105,110,115,116,32,115,116,97,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,109,105,110,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,48,53,34,32,108,105,110,101,69,110,100,61,34,54,55,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,112,104,105,77,101,99,104,97,110,105,99,97,108,41,34,32,99,111,109,109,101,110,116,61,34,77,101,99,104,97,110,105,99,97,108,32,97,110,103,108,101,32,111,102,32,114,111,116,111,114,32,97,103,97,105,110,115,116,32,115,116,97,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,48,51,34,32,108,105,110,101,69,110,100,61,34,54,55,48,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,105,109,99,51,46,112,104,105,77,101,99,104,97,110,105,99,97,108,41,34,32,99,111,109,109,101,110,116,61,34,77,101,99,104,97,110,105,99,97,108,32,97,110,103,108,101,32,111,102,32,114,111,116,111,114,32,97,103,97,105,110,115,116,32,115,116,97,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,48,51,34,32,108,105,110,101,69,110,100,61,34,54,55,48,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,119,77,101,99,104,97,110,105,99,97,108,34,32,99,111,109,109,101,110,116,61,34,77,101,99,104,97,110,105,99,97,108,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,111,102,32,114,111,116,111,114,32,97,103,97,105,110,115,116,32,115,116,97,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,109,105,110,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,48,53,34,32,108,105,110,101,69,110,100,61,34,54,55,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,119,77,101,99,104,97,110,105,99,97,108,34,32,99,111,109,109,101,110,116,61,34,77,101,99,104,97,110,105,99,97,108,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,111,102,32,114,111,116,111,114,32,97,103,97,105,110,115,116,32,115,116,97,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,109,105,110,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,48,53,34,32,108,105,110,101,69,110,100,61,34,54,55,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,112,104,105,77,101,99,104,97,110,105,99,97,108,41,34,32,99,111,109,109,101,110,116,61,34,77,101,99,104,97,110,105,99,97,108,32,97,110,103,108,101,32,111,102,32,114,111,116,111,114,32,97,103,97,105,110,115,116,32,115,116,97,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,48,51,34,32,108,105,110,101,69,110,100,61,34,54,55,48,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,105,109,99,77,46,112,104,105,77,101,99,104,97,110,105,99,97,108,41,34,32,99,111,109,109,101,110,116,61,34,77,101,99,104,97,110,105,99,97,108,32,97,110,103,108,101,32,111,102,32,114,111,116,111,114,32,97,103,97,105,110,115,116,32,115,116,97,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,48,51,34,32,108,105,110,101,69,110,100,61,34,54,55,48,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4556840);
/* memory initializer */ allocate([32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,98,111,111,108,101,97,110,83,116,101,112,51,91,51,93,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,66,111,111,108,101,97,110,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,105,100,101,97,108,67,108,111,115,101,114,51,46,99,111,110,116,114,111,108,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,55,34,32,108,105,110,101,69,110,100,61,34,49,49,51,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,98,111,111,108,101,97,110,83,116,101,112,51,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,66,111,111,108,101,97,110,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,98,111,111,108,101,97,110,83,116,101,112,51,91,51,93,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,66,111,111,108,101,97,110,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,105,100,101,97,108,67,108,111,115,101,114,51,46,99,111,110,116,114,111,108,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,55,34,32,108,105,110,101,69,110,100,61,34,49,49,51,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,98,111,111,108,101,97,110,83,116,101,112,51,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,66,111,111,108,101,97,110,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,99,111,110,116,114,111,108,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,32,61,38,103,116,59,32,112,45,45,110,32,99,111,110,110,101,99,116,101,100,44,32,102,97,108,115,101,32,61,38,103,116,59,32,115,119,105,116,99,104,32,111,112,101,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,105,100,101,97,108,67,108,111,115,101,114,51,46,99,111,110,116,114,111,108,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,52,52,34,32,108,105,110,101,69,110,100,61,34,49,53,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,66,111,111,108,101,97,110,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,99,111,110,116,114,111,108,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,32,61,38,103,116,59,32,112,45,45,110,32,99,111,110,110,101,99,116,101,100,44,32,102,97,108,115,101,32,61,38,103,116,59,32,115,119,105,116,99,104,32,111,112,101,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,105,100,101,97,108,67,108,111,115,101,114,51,46,99,111,110,116,114,111,108,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,52,52,34,32,108,105,110,101,69,110,100,61,34,49,53,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,66,111,111,108,101,97,110,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,98,111,111,108,101,97,110,83,116,101,112,51,91,50,93,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,66,111,111,108,101,97,110,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,105,100,101,97,108,67,108,111,115,101,114,51,46,99,111,110,116,114,111,108,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,55,34,32,108,105,110,101,69,110,100,61,34,49,49,51,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,98,111,111,108,101,97,110,83,116,101,112,51,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,66,111,111,108,101,97,110,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,98,111,111,108,101,97,110,83,116,101,112,51,91,50,93,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,66,111,111,108,101,97,110,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,105,100,101,97,108,67,108,111,115,101,114,51,46,99,111,110,116,114,111,108,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,55,34,32,108,105,110,101,69,110,100,61,34,49,49,51,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,98,111,111,108,101,97,110,83,116,101,112,51,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,66,111,111,108,101,97,110,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,99,111,110,116,114,111,108,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,32,61,38,103,116,59,32,112,45,45,110,32,99,111,110,110,101,99,116,101,100,44,32,102,97,108,115,101,32,61,38,103,116,59,32,115,119,105,116,99,104,32,111,112,101,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,105,100,101,97,108,67,108,111,115,101,114,51,46,99,111,110,116,114,111,108,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,52,52,34,32,108,105,110,101,69,110,100,61,34,49,53,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,66,111,111,108,101,97,110,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,99,111,110,116,114,111,108,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,32,61,38,103,116,59,32,112,45,45,110,32,99,111,110,110,101,99,116,101,100,44,32,102,97,108,115,101,32,61,38,103,116,59,32,115,119,105,116,99,104,32,111,112,101,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,105,100,101,97,108,67,108,111,115,101,114,51,46,99,111,110,116,114,111,108,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,52,52,34,32,108,105,110,101,69,110,100,61,34,49,53,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,66,111,111,108,101,97,110,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,98,111,111,108,101,97,110,83,116,101,112,51,91,49,93,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,66,111,111,108,101,97,110,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,105,100,101,97,108,67,108,111,115,101,114,51,46,99,111,110,116,114,111,108,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,55,34,32,108,105,110,101,69,110,100,61,34,49,49,51,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,98,111,111,108,101,97,110,83,116,101,112,51,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,66,111,111,108,101,97,110,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,98,111,111,108,101,97,110,83,116,101,112,51,91,49,93,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,66,111,111,108,101,97,110,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,105,100,101,97,108,67,108,111,115,101,114,51,46,99,111,110,116,114,111,108,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,55,34,32,108,105,110,101,69,110,100,61,34,49,49,51,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,98,111,111,108,101,97,110,83,116,101,112,51,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,66,111,111,108,101,97,110,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,99,111,110,116,114,111,108,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,32,61,38,103,116,59,32,112,45,45,110,32,99,111,110,110,101,99,116,101,100,44,32,102,97,108,115,101,32,61,38,103,116,59,32,115,119,105,116,99,104,32,111,112,101,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,105,100,101,97,108,67,108,111,115,101,114,51,46,99,111,110,116,114,111,108,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,52,52,34,32,108,105,110,101,69,110,100,61,34,49,53,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,66,111,111,108,101,97,110,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,99,111,110,116,114,111,108,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,32,61,38,103,116,59,32,112,45,45,110,32,99,111,110,110,101,99,116,101,100,44,32,102,97,108,115,101,32,61,38,103,116,59,32,115,119,105,116,99,104,32,111,112,101,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,105,100,101,97,108,67,108,111,115,101,114,51,46,99,111,110,116,114,111,108,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,52,52,34,32,108,105,110,101,69,110,100,61,34,49,53,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,66,111,111,108,101,97,110,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,98,111,111,108,101,97,110,83,116,101,112,77,91,53,93,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,66,111,111,108,101,97,110,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,105,100,101,97,108,67,108,111,115,101,114,77,46,99,111,110,116,114,111,108,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,55,34,32,108,105,110,101,69,110,100,61,34,49,49,51,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,98,111,111,108,101,97,110,83,116,101,112,77,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,66,111,111,108,101,97,110,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,98,111,111,108,101,97,110,83,116,101,112,77,91,53,93,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4567080);
/* memory initializer */ allocate([101,99,116,111,114,32,111,102,32,66,111,111,108,101,97,110,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,105,100,101,97,108,67,108,111,115,101,114,77,46,99,111,110,116,114,111,108,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,55,34,32,108,105,110,101,69,110,100,61,34,49,49,51,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,98,111,111,108,101,97,110,83,116,101,112,77,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,66,111,111,108,101,97,110,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,99,111,110,116,114,111,108,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,32,61,38,103,116,59,32,112,45,45,110,32,99,111,110,110,101,99,116,101,100,44,32,102,97,108,115,101,32,61,38,103,116,59,32,115,119,105,116,99,104,32,111,112,101,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,105,100,101,97,108,67,108,111,115,101,114,77,46,99,111,110,116,114,111,108,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,52,52,34,32,108,105,110,101,69,110,100,61,34,49,53,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,66,111,111,108,101,97,110,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,99,111,110,116,114,111,108,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,32,61,38,103,116,59,32,112,45,45,110,32,99,111,110,110,101,99,116,101,100,44,32,102,97,108,115,101,32,61,38,103,116,59,32,115,119,105,116,99,104,32,111,112,101,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,105,100,101,97,108,67,108,111,115,101,114,77,46,99,111,110,116,114,111,108,91,53,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,52,52,34,32,108,105,110,101,69,110,100,61,34,49,53,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,66,111,111,108,101,97,110,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,98,111,111,108,101,97,110,83,116,101,112,77,91,52,93,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,66,111,111,108,101,97,110,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,105,100,101,97,108,67,108,111,115,101,114,77,46,99,111,110,116,114,111,108,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,55,34,32,108,105,110,101,69,110,100,61,34,49,49,51,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,98,111,111,108,101,97,110,83,116,101,112,77,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,66,111,111,108,101,97,110,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,98,111,111,108,101,97,110,83,116,101,112,77,91,52,93,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,66,111,111,108,101,97,110,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,105,100,101,97,108,67,108,111,115,101,114,77,46,99,111,110,116,114,111,108,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,55,34,32,108,105,110,101,69,110,100,61,34,49,49,51,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,98,111,111,108,101,97,110,83,116,101,112,77,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,66,111,111,108,101,97,110,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,99,111,110,116,114,111,108,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,32,61,38,103,116,59,32,112,45,45,110,32,99,111,110,110,101,99,116,101,100,44,32,102,97,108,115,101,32,61,38,103,116,59,32,115,119,105,116,99,104,32,111,112,101,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,105,100,101,97,108,67,108,111,115,101,114,77,46,99,111,110,116,114,111,108,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,52,52,34,32,108,105,110,101,69,110,100,61,34,49,53,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,66,111,111,108,101,97,110,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,99,111,110,116,114,111,108,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,32,61,38,103,116,59,32,112,45,45,110,32,99,111,110,110,101,99,116,101,100,44,32,102,97,108,115,101,32,61,38,103,116,59,32,115,119,105,116,99,104,32,111,112,101,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,105,100,101,97,108,67,108,111,115,101,114,77,46,99,111,110,116,114,111,108,91,52,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,52,52,34,32,108,105,110,101,69,110,100,61,34,49,53,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,66,111,111,108,101,97,110,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,98,111,111,108,101,97,110,83,116,101,112,77,91,51,93,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,66,111,111,108,101,97,110,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,105,100,101,97,108,67,108,111,115,101,114,77,46,99,111,110,116,114,111,108,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,55,34,32,108,105,110,101,69,110,100,61,34,49,49,51,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,98,111,111,108,101,97,110,83,116,101,112,77,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,66,111,111,108,101,97,110,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,98,111,111,108,101,97,110,83,116,101,112,77,91,51,93,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,66,111,111,108,101,97,110,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,105,100,101,97,108,67,108,111,115,101,114,77,46,99,111,110,116,114,111,108,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,55,34,32,108,105,110,101,69,110,100,61,34,49,49,51,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,98,111,111,108,101,97,110,83,116,101,112,77,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,66,111,111,108,101,97,110,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,99,111,110,116,114,111,108,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,32,61,38,103,116,59,32,112,45,45,110,32,99,111,110,110,101,99,116,101,100,44,32,102,97,108,115,101,32,61,38,103,116,59,32,115,119,105,116,99,104,32,111,112,101,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,105,100,101,97,108,67,108,111,115,101,114,77,46,99,111,110,116,114,111,108,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,52,52,34,32,108,105,110,101,69,110,100,61,34,49,53,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,66,111,111,108,101,97,110,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,99,111,110,116,114,111,108,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,32,61,38,103,116,59,32,112,45,45,110,32,99,111,110,110,101,99,116,101,100,44,32,102,97,108,115,101,32,61,38,103,116,59,32,115,119,105,116,99,104,32,111,112,101,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,105,100,101,97,108,67,108,111,115,101,114,77,46,99,111,110,116,114,111,108,91,51,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,52,52,34,32,108,105,110,101,69,110,100,61,34,49,53,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,66,111,111,108,101,97,110,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,98,111,111,108,101,97,110,83,116,101,112,77,91,50,93,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,66,111,111,108,101,97,110,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,105,100,101,97,108,67,108,111,115,101,114,77,46,99,111,110,116,114,111,108,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,55,34,32,108,105,110,101,69,110,100,61,34,49,49,51,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,98,111,111,108,101,97,110,83,116,101,112,77,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,66,111,111,108,101,97,110,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,98,111,111,108,101,97,110,83,116,101,112,77,91,50,93,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,66,111,111,108,101,97,110,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,105,100,101,97,108,67,108,111,115,101,114,77,46,99,111,110,116,114,111,108,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,55,34,32,108,105,110,101,69,110,100,61,34,49,49,51,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,98,111,111,108,101,97,110,83,116,101,112,77,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,66,111,111,108,101,97,110,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,99,111,110,116,114,111,108,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,32,61,38,103,116,59,32,112,45,45,110,32,99,111,110,110,101,99,116,101,100,44,32,102,97,108,115,101,32,61,38,103,116,59,32,115,119,105,116,99,104,32,111,112,101,110,34,32,118,97,114,105,97,98,105,108,105,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4577320);
/* memory initializer */ allocate([121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,105,100,101,97,108,67,108,111,115,101,114,77,46,99,111,110,116,114,111,108,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,52,52,34,32,108,105,110,101,69,110,100,61,34,49,53,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,66,111,111,108,101,97,110,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,99,111,110,116,114,111,108,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,32,61,38,103,116,59,32,112,45,45,110,32,99,111,110,110,101,99,116,101,100,44,32,102,97,108,115,101,32,61,38,103,116,59,32,115,119,105,116,99,104,32,111,112,101,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,105,100,101,97,108,67,108,111,115,101,114,77,46,99,111,110,116,114,111,108,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,52,52,34,32,108,105,110,101,69,110,100,61,34,49,53,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,66,111,111,108,101,97,110,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,98,111,111,108,101,97,110,83,116,101,112,77,91,49,93,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,66,111,111,108,101,97,110,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,105,100,101,97,108,67,108,111,115,101,114,77,46,99,111,110,116,114,111,108,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,55,34,32,108,105,110,101,69,110,100,61,34,49,49,51,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,98,111,111,108,101,97,110,83,116,101,112,77,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,66,111,111,108,101,97,110,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,98,111,111,108,101,97,110,83,116,101,112,77,91,49,93,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,66,111,111,108,101,97,110,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,105,100,101,97,108,67,108,111,115,101,114,77,46,99,111,110,116,114,111,108,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,55,34,32,108,105,110,101,69,110,100,61,34,49,49,51,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,98,111,111,108,101,97,110,83,116,101,112,77,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,66,111,111,108,101,97,110,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,99,111,110,116,114,111,108,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,32,61,38,103,116,59,32,112,45,45,110,32,99,111,110,110,101,99,116,101,100,44,32,102,97,108,115,101,32,61,38,103,116,59,32,115,119,105,116,99,104,32,111,112,101,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,105,100,101,97,108,67,108,111,115,101,114,77,46,99,111,110,116,114,111,108,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,52,52,34,32,108,105,110,101,69,110,100,61,34,49,53,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,66,111,111,108,101,97,110,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,99,111,110,116,114,111,108,34,32,99,111,109,109,101,110,116,61,34,116,114,117,101,32,61,38,103,116,59,32,112,45,45,110,32,99,111,110,110,101,99,116,101,100,44,32,102,97,108,115,101,32,61,38,103,116,59,32,115,119,105,116,99,104,32,111,112,101,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,105,100,101,97,108,67,108,111,115,101,114,77,46,99,111,110,116,114,111,108,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,52,52,34,32,108,105,110,101,69,110,100,61,34,49,53,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,66,111,111,108,101,97,110,73,110,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,86,34,32,99,111,109,109,101,110,116,61,34,65,109,112,108,105,116,117,100,101,115,32,111,102,32,115,105,110,101,32,119,97,118,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,49,56,34,32,108,105,110,101,69,110,100,61,34,50,56,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,86,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,109,112,108,105,116,117,100,101,115,32,111,102,32,115,105,110,101,32,119,97,118,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,49,56,34,32,108,105,110,101,69,110,100,61,34,50,56,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,86,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,109,112,108,105,116,117,100,101,115,32,111,102,32,115,105,110,101,32,119,97,118,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,49,56,34,32,108,105,110,101,69,110,100,61,34,50,56,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,86,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,109,112,108,105,116,117,100,101,115,32,111,102,32,115,105,110,101,32,119,97,118,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,49,56,34,32,108,105,110,101,69,110,100,61,34,50,56,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,86,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,109,112,108,105,116,117,100,101,115,32,111,102,32,115,105,110,101,32,119,97,118,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,49,56,34,32,108,105,110,101,69,110,100,61,34,50,56,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,86,91,51,93,34,32,99,111,109,109,101,110,116,61,34,65,109,112,108,105,116,117,100,101,115,32,111,102,32,115,105,110,101,32,119,97,118,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,49,56,34,32,108,105,110,101,69,110,100,61,34,50,56,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,86,91,51,93,34,32,99,111,109,109,101,110,116,61,34,65,109,112,108,105,116,117,100,101,115,32,111,102,32,115,105,110,101,32,119,97,118,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,49,56,34,32,108,105,110,101,69,110,100,61,34,50,56,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,86,91,52,93,34,32,99,111,109,109,101,110,116,61,34,65,109,112,108,105,116,117,100,101,115,32,111,102,32,115,105,110,101,32,119,97,118,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,49,56,34,32,108,105,110,101,69,110,100,61,34,50,56,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4587560);
/* memory initializer */ allocate([47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,86,91,52,93,34,32,99,111,109,109,101,110,116,61,34,65,109,112,108,105,116,117,100,101,115,32,111,102,32,115,105,110,101,32,119,97,118,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,49,56,34,32,108,105,110,101,69,110,100,61,34,50,56,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,86,91,53,93,34,32,99,111,109,109,101,110,116,61,34,65,109,112,108,105,116,117,100,101,115,32,111,102,32,115,105,110,101,32,119,97,118,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,49,56,34,32,108,105,110,101,69,110,100,61,34,50,56,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,86,91,53,93,34,32,99,111,109,109,101,110,116,61,34,65,109,112,108,105,116,117,100,101,115,32,111,102,32,115,105,110,101,32,119,97,118,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,49,56,34,32,108,105,110,101,69,110,100,61,34,50,56,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,115,32,111,102,32,115,105,110,101,32,119,97,118,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,48,34,32,108,105,110,101,69,110,100,61,34,50,56,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,112,104,97,115,101,91,49,93,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,115,32,111,102,32,115,105,110,101,32,119,97,118,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,48,34,32,108,105,110,101,69,110,100,61,34,50,56,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,112,104,97,115,101,91,49,93,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,115,32,111,102,32,115,105,110,101,32,119,97,118,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,48,34,32,108,105,110,101,69,110,100,61,34,50,56,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,112,104,97,115,101,91,50,93,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,115,32,111,102,32,115,105,110,101,32,119,97,118,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,48,34,32,108,105,110,101,69,110,100,61,34,50,56,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,112,104,97,115,101,91,50,93,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,115,32,111,102,32,115,105,110,101,32,119,97,118,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,48,34,32,108,105,110,101,69,110,100,61,34,50,56,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,112,104,97,115,101,91,51,93,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,115,32,111,102,32,115,105,110,101,32,119,97,118,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,48,34,32,108,105,110,101,69,110,100,61,34,50,56,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,112,104,97,115,101,91,51,93,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,115,32,111,102,32,115,105,110,101,32,119,97,118,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,48,34,32,108,105,110,101,69,110,100,61,34,50,56,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,112,104,97,115,101,91,52,93,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,115,32,111,102,32,115,105,110,101,32,119,97,118,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,48,34,32,108,105,110,101,69,110,100,61,34,50,56,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,112,104,97,115,101,91,52,93,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,115,32,111,102,32,115,105,110,101,32,119,97,118,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,48,34,32,108,105,110,101,69,110,100,61,34,50,56,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,112,104,97,115,101,91,53,93,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,115,32,111,102,32,115,105,110,101,32,119,97,118,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,48,34,32,108,105,110,101,69,110,100,61,34,50,56,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,112,104,97,115,101,91,53,93,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,115,32,111,102,32,115,105,110,101,32,119,97,118,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,48,34,32,108,105,110,101,69,110,100,61,34,50,56,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,102,114,101,113,72,122,34,32,99,111,109,109,101,110,116,61,34,70,114,101,113,117,101,110,99,105,101,115,32,111,102,32,115,105,110,101,32,119,97,118,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4597800);
/* memory initializer */ allocate([108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,50,34,32,108,105,110,101,69,110,100,61,34,50,56,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,102,114,101,113,72,122,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,114,101,113,117,101,110,99,105,101,115,32,111,102,32,115,105,110,101,32,119,97,118,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,50,34,32,108,105,110,101,69,110,100,61,34,50,56,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,102,114,101,113,72,122,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,114,101,113,117,101,110,99,105,101,115,32,111,102,32,115,105,110,101,32,119,97,118,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,50,34,32,108,105,110,101,69,110,100,61,34,50,56,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,102,114,101,113,72,122,91,50,93,34,32,99,111,109,109,101,110,116,61,34,70,114,101,113,117,101,110,99,105,101,115,32,111,102,32,115,105,110,101,32,119,97,118,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,50,34,32,108,105,110,101,69,110,100,61,34,50,56,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,102,114,101,113,72,122,91,50,93,34,32,99,111,109,109,101,110,116,61,34,70,114,101,113,117,101,110,99,105,101,115,32,111,102,32,115,105,110,101,32,119,97,118,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,50,34,32,108,105,110,101,69,110,100,61,34,50,56,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,102,114,101,113,72,122,91,51,93,34,32,99,111,109,109,101,110,116,61,34,70,114,101,113,117,101,110,99,105,101,115,32,111,102,32,115,105,110,101,32,119,97,118,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,50,34,32,108,105,110,101,69,110,100,61,34,50,56,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,102,114,101,113,72,122,91,51,93,34,32,99,111,109,109,101,110,116,61,34,70,114,101,113,117,101,110,99,105,101,115,32,111,102,32,115,105,110,101,32,119,97,118,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,50,34,32,108,105,110,101,69,110,100,61,34,50,56,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,102,114,101,113,72,122,91,52,93,34,32,99,111,109,109,101,110,116,61,34,70,114,101,113,117,101,110,99,105,101,115,32,111,102,32,115,105,110,101,32,119,97,118,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,50,34,32,108,105,110,101,69,110,100,61,34,50,56,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,102,114,101,113,72,122,91,52,93,34,32,99,111,109,109,101,110,116,61,34,70,114,101,113,117,101,110,99,105,101,115,32,111,102,32,115,105,110,101,32,119,97,118,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,50,34,32,108,105,110,101,69,110,100,61,34,50,56,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,102,114,101,113,72,122,91,53,93,34,32,99,111,109,109,101,110,116,61,34,70,114,101,113,117,101,110,99,105,101,115,32,111,102,32,115,105,110,101,32,119,97,118,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,50,34,32,108,105,110,101,69,110,100,61,34,50,56,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,102,114,101,113,72,122,91,53,93,34,32,99,111,109,109,101,110,116,61,34,70,114,101,113,117,101,110,99,105,101,115,32,111,102,32,115,105,110,101,32,119,97,118,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,50,34,32,108,105,110,101,69,110,100,61,34,50,56,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,111,102,102,115,101,116,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,111,102,102,115,101,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,52,34,32,108,105,110,101,69,110,100,61,34,50,56,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,111,102,102,115,101,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,111,102,102,115,101,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,52,34,32,108,105,110,101,69,110,100,61,34,50,56,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,111,102,102,115,101,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,111,102,102,115,101,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,52,34,32,108,105,110,101,69,110,100,61,34,50,56,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,111,102,102,115,101,116,91,50,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,111,102,102,115,101,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,52,34,32,108,105,110,101,69,110,100,61,34,50,56,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4608040);
/* memory initializer */ allocate([97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,111,102,102,115,101,116,91,50,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,111,102,102,115,101,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,52,34,32,108,105,110,101,69,110,100,61,34,50,56,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,111,102,102,115,101,116,91,51,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,111,102,102,115,101,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,52,34,32,108,105,110,101,69,110,100,61,34,50,56,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,111,102,102,115,101,116,91,51,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,111,102,102,115,101,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,52,34,32,108,105,110,101,69,110,100,61,34,50,56,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,111,102,102,115,101,116,91,52,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,111,102,102,115,101,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,52,34,32,108,105,110,101,69,110,100,61,34,50,56,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,111,102,102,115,101,116,91,52,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,111,102,102,115,101,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,52,34,32,108,105,110,101,69,110,100,61,34,50,56,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,111,102,102,115,101,116,91,53,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,111,102,102,115,101,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,52,34,32,108,105,110,101,69,110,100,61,34,50,56,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,111,102,102,115,101,116,91,53,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,111,102,102,115,101,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,52,34,32,108,105,110,101,69,110,100,61,34,50,56,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,116,97,114,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,84,105,109,101,32,111,102,102,115,101,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,53,34,32,108,105,110,101,69,110,100,61,34,50,56,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,116,97,114,116,84,105,109,101,91,49,93,34,32,99,111,109,109,101,110,116,61,34,84,105,109,101,32,111,102,102,115,101,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,53,34,32,108,105,110,101,69,110,100,61,34,50,56,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,116,97,114,116,84,105,109,101,91,49,93,34,32,99,111,109,109,101,110,116,61,34,84,105,109,101,32,111,102,102,115,101,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,53,34,32,108,105,110,101,69,110,100,61,34,50,56,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,116,97,114,116,84,105,109,101,91,50,93,34,32,99,111,109,109,101,110,116,61,34,84,105,109,101,32,111,102,102,115,101,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,53,34,32,108,105,110,101,69,110,100,61,34,50,56,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,116,97,114,116,84,105,109,101,91,50,93,34,32,99,111,109,109,101,110,116,61,34,84,105,109,101,32,111,102,102,115,101,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,53,34,32,108,105,110,101,69,110,100,61,34,50,56,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,116,97,114,116,84,105,109,101,91,51,93,34,32,99,111,109,109,101,110,116,61,34,84,105,109,101,32,111,102,102,115,101,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,53,34,32,108,105,110,101,69,110,100,61,34,50,56,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,116,97,114,116,84,105,109,101,91,51,93,34,32,99,111,109,109,101,110,116,61,34,84,105,109,101,32,111,102,102,115,101,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,53,34,32,108,105,110,101,69,110,100,61,34,50,56,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,116,97,114,116,84,105,109,101,91,52,93,34,32,99,111,109,109,101,110,116,61,34,84,105,109,101,32,111,102,102,115,101,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4618280);
/* memory initializer */ allocate([116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,53,34,32,108,105,110,101,69,110,100,61,34,50,56,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,116,97,114,116,84,105,109,101,91,52,93,34,32,99,111,109,109,101,110,116,61,34,84,105,109,101,32,111,102,102,115,101,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,53,34,32,108,105,110,101,69,110,100,61,34,50,56,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,116,97,114,116,84,105,109,101,91,53,93,34,32,99,111,109,109,101,110,116,61,34,84,105,109,101,32,111,102,102,115,101,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,53,34,32,108,105,110,101,69,110,100,61,34,50,56,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,116,97,114,116,84,105,109,101,91,53,93,34,32,99,111,109,109,101,110,116,61,34,84,105,109,101,32,111,102,102,115,101,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,53,34,32,108,105,110,101,69,110,100,61,34,50,56,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,111,102,102,115,101,116,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,111,102,102,115,101,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,53,34,32,108,105,110,101,69,110,100,61,34,52,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,111,102,102,115,101,116,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,111,102,102,115,101,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,53,34,32,108,105,110,101,69,110,100,61,34,52,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,116,97,114,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,84,105,109,101,32,111,102,102,115,101,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,54,34,32,108,105,110,101,69,110,100,61,34,52,50,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,116,97,114,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,84,105,109,101,32,111,102,102,115,101,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,54,34,32,108,105,110,101,69,110,100,61,34,52,50,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,86,34,32,99,111,109,109,101,110,116,61,34,65,109,112,108,105,116,117,100,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,57,34,32,108,105,110,101,69,110,100,61,34,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,86,34,32,99,111,109,109,101,110,116,61,34,65,109,112,108,105,116,117,100,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,57,34,32,108,105,110,101,69,110,100,61,34,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,102,114,101,113,72,122,34,32,99,111,109,109,101,110,116,61,34,70,114,101,113,117,101,110,99,121,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,49,34,32,108,105,110,101,69,110,100,61,34,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,102,114,101,113,72,122,34,32,99,111,109,109,101,110,116,61,34,70,114,101,113,117,101,110,99,121,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,49,34,32,108,105,110,101,69,110,100,61,34,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4628520);
/* memory initializer */ allocate([105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,97,109,112,108,105,116,117,100,101,34,32,99,111,109,109,101,110,116,61,34,65,109,112,108,105,116,117,100,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,48,34,32,108,105,110,101,69,110,100,61,34,53,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,97,109,112,108,105,116,117,100,101,34,32,99,111,109,109,101,110,116,61,34,65,109,112,108,105,116,117,100,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,48,34,32,108,105,110,101,69,110,100,61,34,53,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,102,114,101,113,72,122,34,32,99,111,109,109,101,110,116,61,34,70,114,101,113,117,101,110,99,121,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,49,34,32,108,105,110,101,69,110,100,61,34,53,54,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,102,114,101,113,72,122,34,32,99,111,109,109,101,110,116,61,34,70,114,101,113,117,101,110,99,121,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,49,34,32,108,105,110,101,69,110,100,61,34,53,54,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,50,34,32,108,105,110,101,69,110,100,61,34,53,54,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,50,34,32,108,105,110,101,69,110,100,61,34,53,54,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,34,32,99,111,109,109,101,110,116,61,34,79,102,102,115,101,116,32,111,102,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,51,34,32,108,105,110,101,69,110,100,61,34,53,54,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,34,32,99,111,109,109,101,110,116,61,34,79,102,102,115,101,116,32,111,102,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,51,34,32,108,105,110,101,69,110,100,61,34,53,54,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,79,117,116,112,117,116,32,61,32,111,102,102,115,101,116,32,102,111,114,32,116,105,109,101,32,38,108,116,59,32,115,116,97,114,116,84,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,52,34,32,108,105,110,101,69,110,100,61,34,53,54,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,79,117,116,112,117,116,32,61,32,111,102,102,115,101,116,32,102,111,114,32,116,105,109,101,32,38,108,116,59,32,115,116,97,114,116,84,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,52,34,32,108,105,110,101,69,110,100,61,34,53,54,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,111,102,102,115,101,116,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,111,102,102,115,101,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,53,34,32,108,105,110,101,69,110,100,61,34,52,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,111,102,102,115,101,116,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,111,102,102,115,101,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,53,34,32,108,105,110,101,69,110,100,61,34,52,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4638760);
/* memory initializer */ allocate([86,111,108,116,97,103,101,91,50,93,46,115,116,97,114,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,84,105,109,101,32,111,102,102,115,101,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,54,34,32,108,105,110,101,69,110,100,61,34,52,50,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,116,97,114,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,84,105,109,101,32,111,102,102,115,101,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,54,34,32,108,105,110,101,69,110,100,61,34,52,50,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,86,34,32,99,111,109,109,101,110,116,61,34,65,109,112,108,105,116,117,100,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,57,34,32,108,105,110,101,69,110,100,61,34,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,86,34,32,99,111,109,109,101,110,116,61,34,65,109,112,108,105,116,117,100,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,57,34,32,108,105,110,101,69,110,100,61,34,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,102,114,101,113,72,122,34,32,99,111,109,109,101,110,116,61,34,70,114,101,113,117,101,110,99,121,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,49,34,32,108,105,110,101,69,110,100,61,34,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,102,114,101,113,72,122,34,32,99,111,109,109,101,110,116,61,34,70,114,101,113,117,101,110,99,121,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,49,34,32,108,105,110,101,69,110,100,61,34,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,97,109,112,108,105,116,117,100,101,34,32,99,111,109,109,101,110,116,61,34,65,109,112,108,105,116,117,100,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,48,34,32,108,105,110,101,69,110,100,61,34,53,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,97,109,112,108,105,116,117,100,101,34,32,99,111,109,109,101,110,116,61,34,65,109,112,108,105,116,117,100,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,48,34,32,108,105,110,101,69,110,100,61,34,53,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,102,114,101,113,72,122,34,32,99,111,109,109,101,110,116,61,34,70,114,101,113,117,101,110,99,121,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,49,34,32,108,105,110,101,69,110,100,61,34,53,54,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,102,114,101,113,72,122,34,32,99,111,109,109,101,110,116,61,34,70,114,101,113,117,101,110,99,121,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,49,34,32,108,105,110,101,69,110,100,61,34,53,54,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,50,34,32,108,105,110,101,69,110,100,61,34,53,54,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4649000);
/* memory initializer */ allocate([108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,50,34,32,108,105,110,101,69,110,100,61,34,53,54,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,34,32,99,111,109,109,101,110,116,61,34,79,102,102,115,101,116,32,111,102,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,51,34,32,108,105,110,101,69,110,100,61,34,53,54,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,34,32,99,111,109,109,101,110,116,61,34,79,102,102,115,101,116,32,111,102,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,51,34,32,108,105,110,101,69,110,100,61,34,53,54,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,79,117,116,112,117,116,32,61,32,111,102,102,115,101,116,32,102,111,114,32,116,105,109,101,32,38,108,116,59,32,115,116,97,114,116,84,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,52,34,32,108,105,110,101,69,110,100,61,34,53,54,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,79,117,116,112,117,116,32,61,32,111,102,102,115,101,116,32,102,111,114,32,116,105,109,101,32,38,108,116,59,32,115,116,97,114,116,84,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,52,34,32,108,105,110,101,69,110,100,61,34,53,54,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,111,102,102,115,101,116,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,111,102,102,115,101,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,53,34,32,108,105,110,101,69,110,100,61,34,52,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,111,102,102,115,101,116,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,111,102,102,115,101,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,53,34,32,108,105,110,101,69,110,100,61,34,52,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,116,97,114,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,84,105,109,101,32,111,102,102,115,101,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,54,34,32,108,105,110,101,69,110,100,61,34,52,50,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,116,97,114,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,84,105,109,101,32,111,102,102,115,101,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,54,34,32,108,105,110,101,69,110,100,61,34,52,50,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,86,34,32,99,111,109,109,101,110,116,61,34,65,109,112,108,105,116,117,100,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,57,34,32,108,105,110,101,69,110,100,61,34,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,86,34,32,99,111,109,109,101,110,116,61,34,65,109,112,108,105,116,117,100,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,57,34,32,108,105,110,101,69,110,100,61,34,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4659240);
/* memory initializer */ allocate([32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,102,114,101,113,72,122,34,32,99,111,109,109,101,110,116,61,34,70,114,101,113,117,101,110,99,121,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,49,34,32,108,105,110,101,69,110,100,61,34,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,102,114,101,113,72,122,34,32,99,111,109,109,101,110,116,61,34,70,114,101,113,117,101,110,99,121,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,49,34,32,108,105,110,101,69,110,100,61,34,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,97,109,112,108,105,116,117,100,101,34,32,99,111,109,109,101,110,116,61,34,65,109,112,108,105,116,117,100,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,48,34,32,108,105,110,101,69,110,100,61,34,53,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,97,109,112,108,105,116,117,100,101,34,32,99,111,109,109,101,110,116,61,34,65,109,112,108,105,116,117,100,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,48,34,32,108,105,110,101,69,110,100,61,34,53,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,102,114,101,113,72,122,34,32,99,111,109,109,101,110,116,61,34,70,114,101,113,117,101,110,99,121,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,49,34,32,108,105,110,101,69,110,100,61,34,53,54,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,102,114,101,113,72,122,34,32,99,111,109,109,101,110,116,61,34,70,114,101,113,117,101,110,99,121,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,49,34,32,108,105,110,101,69,110,100,61,34,53,54,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,50,34,32,108,105,110,101,69,110,100,61,34,53,54,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,50,34,32,108,105,110,101,69,110,100,61,34,53,54,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,34,32,99,111,109,109,101,110,116,61,34,79,102,102,115,101,116,32,111,102,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,51,34,32,108,105,110,101,69,110,100,61,34,53,54,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,34,32,99,111,109,109,101,110,116,61,34,79,102,102,115,101,116,32,111,102,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,51,34,32,108,105,110,101,69,110,100,61,34,53,54,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,79,117,116,112,117,116,32,61,32,111,102,102,115,101,116,32,102,111,114,32,116,105,109,101,32,38,108,116,59,32,115,116,97,114,116,84,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,52,34,32,108,105,110,101,69,110,100,61,34,53,54,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,79,117,116,112,117,116,32,61,32,111,102,102,115,101,116,32,102,111,114,32,116,105,109,101,32,38,108,116,59,32,115,116,97,114,116,84,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,52,34,32,108,105,110,101,69,110,100,61,34,53,54,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4669480);
/* memory initializer */ allocate([62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,111,102,102,115,101,116,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,111,102,102,115,101,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,53,34,32,108,105,110,101,69,110,100,61,34,52,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,111,102,102,115,101,116,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,111,102,102,115,101,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,53,34,32,108,105,110,101,69,110,100,61,34,52,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,116,97,114,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,84,105,109,101,32,111,102,102,115,101,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,54,34,32,108,105,110,101,69,110,100,61,34,52,50,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,116,97,114,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,84,105,109,101,32,111,102,102,115,101,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,54,34,32,108,105,110,101,69,110,100,61,34,52,50,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,86,34,32,99,111,109,109,101,110,116,61,34,65,109,112,108,105,116,117,100,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,57,34,32,108,105,110,101,69,110,100,61,34,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,86,34,32,99,111,109,109,101,110,116,61,34,65,109,112,108,105,116,117,100,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,57,34,32,108,105,110,101,69,110,100,61,34,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,102,114,101,113,72,122,34,32,99,111,109,109,101,110,116,61,34,70,114,101,113,117,101,110,99,121,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,49,34,32,108,105,110,101,69,110,100,61,34,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,102,114,101,113,72,122,34,32,99,111,109,109,101,110,116,61,34,70,114,101,113,117,101,110,99,121,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,49,34,32,108,105,110,101,69,110,100,61,34,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,97,109,112,108,105,116,117,100,101,34,32,99,111,109,109,101,110,116,61,34,65,109,112,108,105,116,117,100,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,48,34,32,108,105,110,101,69,110,100,61,34,53,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,97,109,112,108,105,116,117,100,101,34,32,99,111,109,109,101,110,116,61,34,65,109,112,108,105,116,117,100,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,48,34,32,108,105,110,101,69,110,100,61,34,53,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,102,114,101,113,72,122,34,32,99,111,109,109,101,110,116,61,34,70,114,101,113,117,101,110,99,121,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4679720);
/* memory initializer */ allocate([112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,49,34,32,108,105,110,101,69,110,100,61,34,53,54,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,102,114,101,113,72,122,34,32,99,111,109,109,101,110,116,61,34,70,114,101,113,117,101,110,99,121,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,49,34,32,108,105,110,101,69,110,100,61,34,53,54,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,50,34,32,108,105,110,101,69,110,100,61,34,53,54,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,50,34,32,108,105,110,101,69,110,100,61,34,53,54,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,34,32,99,111,109,109,101,110,116,61,34,79,102,102,115,101,116,32,111,102,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,51,34,32,108,105,110,101,69,110,100,61,34,53,54,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,34,32,99,111,109,109,101,110,116,61,34,79,102,102,115,101,116,32,111,102,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,51,34,32,108,105,110,101,69,110,100,61,34,53,54,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,79,117,116,112,117,116,32,61,32,111,102,102,115,101,116,32,102,111,114,32,116,105,109,101,32,38,108,116,59,32,115,116,97,114,116,84,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,52,34,32,108,105,110,101,69,110,100,61,34,53,54,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,79,117,116,112,117,116,32,61,32,111,102,102,115,101,116,32,102,111,114,32,116,105,109,101,32,38,108,116,59,32,115,116,97,114,116,84,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,52,34,32,108,105,110,101,69,110,100,61,34,53,54,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,111,102,102,115,101,116,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,111,102,102,115,101,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,53,34,32,108,105,110,101,69,110,100,61,34,52,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,111,102,102,115,101,116,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,111,102,102,115,101,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,53,34,32,108,105,110,101,69,110,100,61,34,52,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,116,97,114,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,84,105,109,101,32,111,102,102,115,101,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,54,34,32,108,105,110,101,69,110,100,61,34,52,50,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,116,97,114,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,84,105,109,101,32,111,102,102,115,101,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,54,34,32,108,105,110,101,69,110,100,61,34,52,50,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,86,34,32,99,111,109,109,101,110,116,61,34,65,109,112,108,105,116,117,100,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,57,34,32,108,105,110,101,69,110,100,61,34,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4689960);
/* memory initializer */ allocate([100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,86,34,32,99,111,109,109,101,110,116,61,34,65,109,112,108,105,116,117,100,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,57,34,32,108,105,110,101,69,110,100,61,34,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,102,114,101,113,72,122,34,32,99,111,109,109,101,110,116,61,34,70,114,101,113,117,101,110,99,121,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,49,34,32,108,105,110,101,69,110,100,61,34,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,102,114,101,113,72,122,34,32,99,111,109,109,101,110,116,61,34,70,114,101,113,117,101,110,99,121,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,49,34,32,108,105,110,101,69,110,100,61,34,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,97,109,112,108,105,116,117,100,101,34,32,99,111,109,109,101,110,116,61,34,65,109,112,108,105,116,117,100,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,48,34,32,108,105,110,101,69,110,100,61,34,53,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,97,109,112,108,105,116,117,100,101,34,32,99,111,109,109,101,110,116,61,34,65,109,112,108,105,116,117,100,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,48,34,32,108,105,110,101,69,110,100,61,34,53,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,102,114,101,113,72,122,34,32,99,111,109,109,101,110,116,61,34,70,114,101,113,117,101,110,99,121,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,49,34,32,108,105,110,101,69,110,100,61,34,53,54,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,102,114,101,113,72,122,34,32,99,111,109,109,101,110,116,61,34,70,114,101,113,117,101,110,99,121,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,49,34,32,108,105,110,101,69,110,100,61,34,53,54,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,50,34,32,108,105,110,101,69,110,100,61,34,53,54,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,50,34,32,108,105,110,101,69,110,100,61,34,53,54,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,34,32,99,111,109,109,101,110,116,61,34,79,102,102,115,101,116,32,111,102,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,51,34,32,108,105,110,101,69,110,100,61,34,53,54,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4700200);
/* memory initializer */ allocate([115,101,116,34,32,99,111,109,109,101,110,116,61,34,79,102,102,115,101,116,32,111,102,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,51,34,32,108,105,110,101,69,110,100,61,34,53,54,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,79,117,116,112,117,116,32,61,32,111,102,102,115,101,116,32,102,111,114,32,116,105,109,101,32,38,108,116,59,32,115,116,97,114,116,84,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,52,34,32,108,105,110,101,69,110,100,61,34,53,54,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,79,117,116,112,117,116,32,61,32,111,102,102,115,101,116,32,102,111,114,32,116,105,109,101,32,38,108,116,59,32,115,116,97,114,116,84,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,52,34,32,108,105,110,101,69,110,100,61,34,53,54,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,84,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,84,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,84,91,50,93,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,84,91,50,93,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,84,91,51,93,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,84,91,51,93,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,84,91,52,93,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,84,91,52,93,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,84,91,53,93,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,84,91,53,93,34,32,99,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4710440);
/* memory initializer */ allocate([109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,82,111,110,34,32,99,111,109,109,101,110,116,61,34,67,108,111,115,101,100,32,115,119,105,116,99,104,32,114,101,115,105,115,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,54,54,54,54,54,54,54,54,54,54,54,54,54,54,55,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,57,53,34,32,108,105,110,101,69,110,100,61,34,49,57,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,82,111,110,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,108,111,115,101,100,32,115,119,105,116,99,104,32,114,101,115,105,115,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,54,54,54,54,54,54,54,54,54,54,54,54,54,54,55,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,57,53,34,32,108,105,110,101,69,110,100,61,34,49,57,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,82,111,110,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,108,111,115,101,100,32,115,119,105,116,99,104,32,114,101,115,105,115,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,54,54,54,54,54,54,54,54,54,54,54,54,54,54,55,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,57,53,34,32,108,105,110,101,69,110,100,61,34,49,57,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,82,111,110,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,108,111,115,101,100,32,115,119,105,116,99,104,32,114,101,115,105,115,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,54,54,54,54,54,54,54,54,54,54,54,54,54,54,55,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,57,53,34,32,108,105,110,101,69,110,100,61,34,49,57,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,82,111,110,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,108,111,115,101,100,32,115,119,105,116,99,104,32,114,101,115,105,115,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,54,54,54,54,54,54,54,54,54,54,54,54,54,54,55,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,57,53,34,32,108,105,110,101,69,110,100,61,34,49,57,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,82,111,110,91,51,93,34,32,99,111,109,109,101,110,116,61,34,67,108,111,115,101,100,32,115,119,105,116,99,104,32,114,101,115,105,115,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,54,54,54,54,54,54,54,54,54,54,54,54,54,54,55,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,57,53,34,32,108,105,110,101,69,110,100,61,34,49,57,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,82,111,110,91,51,93,34,32,99,111,109,109,101,110,116,61,34,67,108,111,115,101,100,32,115,119,105,116,99,104,32,114,101,115,105,115,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,54,54,54,54,54,54,54,54,54,54,54,54,54,54,55,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,57,53,34,32,108,105,110,101,69,110,100,61,34,49,57,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,82,111,110,91,52,93,34,32,99,111,109,109,101,110,116,61,34,67,108,111,115,101,100,32,115,119,105,116,99,104,32,114,101,115,105,115,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,54,54,54,54,54,54,54,54,54,54,54,54,54,54,55,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,57,53,34,32,108,105,110,101,69,110,100,61,34,49,57,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,82,111,110,91,52,93,34,32,99,111,109,109,101,110,116,61,34,67,108,111,115,101,100,32,115,119,105,116,99,104,32,114,101,115,105,115,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,54,54,54,54,54,54,54,54,54,54,54,54,54,54,55,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,57,53,34,32,108,105,110,101,69,110,100,61,34,49,57,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,82,111,110,91,53,93,34,32,99,111,109,109,101,110,116,61,34,67,108,111,115,101,100,32,115,119,105,116,99,104,32,114,101,115,105,115,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,54,54,54,54,54,54,54,54,54,54,54,54,54,54,55,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,57,53,34,32,108,105,110,101,69,110,100,61,34,49,57,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,82,111,110,91,53,93,34,32,99,111,109,109,101,110,116,61,34,67,108,111,115,101,100,32,115,119,105,116,99,104,32,114,101,115,105,115,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,54,54,54,54,54,54,54,54,54,54,54,54,54,54,55,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,57,53,34,32,108,105,110,101,69,110,100,61,34,49,57,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,71,111,102,102,34,32,99,111,109,109,101,110,116,61,34,79,112,101,110,101,100,32,115,119,105,116,99,104,32,99,111,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,54,46,48,48,48,48,48,48,48,48,48,48,48,48,48,48,49,101,45,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,83,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,83,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,57,55,34,32,108,105,110,101,69,110,100,61,34,49,57,57,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,71,111,102,102,91,49,93,34,32,99,111,109,109,101,110,116,61,34,79,112,101,110,101,100,32,115,119,105,116,99,104,32,99,111,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,54,46,48,48,48,48,48,48,48,48,48,48,48,48,48,48,49,101,45,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,83,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,83,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,57,55,34,32,108,105,110,101,69,110,100,61,34,49,57,57,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4720680);
/* memory initializer */ allocate([97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,71,111,102,102,91,49,93,34,32,99,111,109,109,101,110,116,61,34,79,112,101,110,101,100,32,115,119,105,116,99,104,32,99,111,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,54,46,48,48,48,48,48,48,48,48,48,48,48,48,48,48,49,101,45,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,83,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,83,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,57,55,34,32,108,105,110,101,69,110,100,61,34,49,57,57,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,71,111,102,102,91,50,93,34,32,99,111,109,109,101,110,116,61,34,79,112,101,110,101,100,32,115,119,105,116,99,104,32,99,111,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,54,46,48,48,48,48,48,48,48,48,48,48,48,48,48,48,49,101,45,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,83,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,83,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,57,55,34,32,108,105,110,101,69,110,100,61,34,49,57,57,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,71,111,102,102,91,50,93,34,32,99,111,109,109,101,110,116,61,34,79,112,101,110,101,100,32,115,119,105,116,99,104,32,99,111,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,54,46,48,48,48,48,48,48,48,48,48,48,48,48,48,48,49,101,45,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,83,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,83,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,57,55,34,32,108,105,110,101,69,110,100,61,34,49,57,57,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,71,111,102,102,91,51,93,34,32,99,111,109,109,101,110,116,61,34,79,112,101,110,101,100,32,115,119,105,116,99,104,32,99,111,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,54,46,48,48,48,48,48,48,48,48,48,48,48,48,48,48,49,101,45,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,83,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,83,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,57,55,34,32,108,105,110,101,69,110,100,61,34,49,57,57,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,71,111,102,102,91,51,93,34,32,99,111,109,109,101,110,116,61,34,79,112,101,110,101,100,32,115,119,105,116,99,104,32,99,111,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,54,46,48,48,48,48,48,48,48,48,48,48,48,48,48,48,49,101,45,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,83,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,83,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,57,55,34,32,108,105,110,101,69,110,100,61,34,49,57,57,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,71,111,102,102,91,52,93,34,32,99,111,109,109,101,110,116,61,34,79,112,101,110,101,100,32,115,119,105,116,99,104,32,99,111,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,54,46,48,48,48,48,48,48,48,48,48,48,48,48,48,48,49,101,45,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,83,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,83,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,57,55,34,32,108,105,110,101,69,110,100,61,34,49,57,57,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,71,111,102,102,91,52,93,34,32,99,111,109,109,101,110,116,61,34,79,112,101,110,101,100,32,115,119,105,116,99,104,32,99,111,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,54,46,48,48,48,48,48,48,48,48,48,48,48,48,48,48,49,101,45,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,83,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,83,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,57,55,34,32,108,105,110,101,69,110,100,61,34,49,57,57,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,71,111,102,102,91,53,93,34,32,99,111,109,109,101,110,116,61,34,79,112,101,110,101,100,32,115,119,105,116,99,104,32,99,111,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,54,46,48,48,48,48,48,48,48,48,48,48,48,48,48,48,49,101,45,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,83,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,83,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,57,55,34,32,108,105,110,101,69,110,100,61,34,49,57,57,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,71,111,102,102,91,53,93,34,32,99,111,109,109,101,110,116,61,34,79,112,101,110,101,100,32,115,119,105,116,99,104,32,99,111,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,54,46,48,48,48,48,48,48,48,48,48,48,48,48,48,48,49,101,45,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,83,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,83,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,57,55,34,32,108,105,110,101,69,110,100,61,34,49,57,57,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,82,111,110,34,32,99,111,109,109,101,110,116,61,34,67,108,111,115,101,100,32,115,119,105,116,99,104,32,114,101,115,105,115,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,54,54,54,54,54,54,54,54,54,54,54,54,54,54,55,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,54,34,32,108,105,110,101,69,110,100,61,34,49,53,51,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,82,111,110,34,32,99,111,109,109,101,110,116,61,34,67,108,111,115,101,100,32,115,119,105,116,99,104,32,114,101,115,105,115,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,54,54,54,54,54,54,54,54,54,54,54,54,54,54,55,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,54,34,32,108,105,110,101,69,110,100,61,34,49,53,51,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4730920);
/* memory initializer */ allocate([101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,71,111,102,102,34,32,99,111,109,109,101,110,116,61,34,79,112,101,110,101,100,32,115,119,105,116,99,104,32,99,111,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,54,46,48,48,48,48,48,48,48,48,48,48,48,48,48,48,49,101,45,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,83,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,83,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,52,48,34,32,108,105,110,101,69,110,100,61,34,49,53,52,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,71,111,102,102,34,32,99,111,109,109,101,110,116,61,34,79,112,101,110,101,100,32,115,119,105,116,99,104,32,99,111,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,54,46,48,48,48,48,48,48,48,48,48,48,48,48,48,48,49,101,45,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,83,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,83,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,52,48,34,32,108,105,110,101,69,110,100,61,34,49,53,52,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,82,111,110,34,32,99,111,109,109,101,110,116,61,34,67,108,111,115,101,100,32,115,119,105,116,99,104,32,114,101,115,105,115,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,54,54,54,54,54,54,54,54,54,54,54,54,54,54,55,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,54,34,32,108,105,110,101,69,110,100,61,34,49,53,51,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,82,111,110,34,32,99,111,109,109,101,110,116,61,34,67,108,111,115,101,100,32,115,119,105,116,99,104,32,114,101,115,105,115,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,54,54,54,54,54,54,54,54,54,54,54,54,54,54,55,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,54,34,32,108,105,110,101,69,110,100,61,34,49,53,51,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,71,111,102,102,34,32,99,111,109,109,101,110,116,61,34,79,112,101,110,101,100,32,115,119,105,116,99,104,32,99,111,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,54,46,48,48,48,48,48,48,48,48,48,48,48,48,48,48,49,101,45,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,83,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,83,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,52,48,34,32,108,105,110,101,69,110,100,61,34,49,53,52,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,71,111,102,102,34,32,99,111,109,109,101,110,116,61,34,79,112,101,110,101,100,32,115,119,105,116,99,104,32,99,111,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,54,46,48,48,48,48,48,48,48,48,48,48,48,48,48,48,49,101,45,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,83,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,83,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,52,48,34,32,108,105,110,101,69,110,100,61,34,49,53,52,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,82,111,110,34,32,99,111,109,109,101,110,116,61,34,67,108,111,115,101,100,32,115,119,105,116,99,104,32,114,101,115,105,115,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,54,54,54,54,54,54,54,54,54,54,54,54,54,54,55,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,54,34,32,108,105,110,101,69,110,100,61,34,49,53,51,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,82,111,110,34,32,99,111,109,109,101,110,116,61,34,67,108,111,115,101,100,32,115,119,105,116,99,104,32,114,101,115,105,115,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,54,54,54,54,54,54,54,54,54,54,54,54,54,54,55,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,54,34,32,108,105,110,101,69,110,100,61,34,49,53,51,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4741160);
/* memory initializer */ allocate([32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,71,111,102,102,34,32,99,111,109,109,101,110,116,61,34,79,112,101,110,101,100,32,115,119,105,116,99,104,32,99,111,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,54,46,48,48,48,48,48,48,48,48,48,48,48,48,48,48,49,101,45,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,83,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,83,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,52,48,34,32,108,105,110,101,69,110,100,61,34,49,53,52,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,71,111,102,102,34,32,99,111,109,109,101,110,116,61,34,79,112,101,110,101,100,32,115,119,105,116,99,104,32,99,111,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,54,46,48,48,48,48,48,48,48,48,48,48,48,48,48,48,49,101,45,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,83,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,83,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,52,48,34,32,108,105,110,101,69,110,100,61,34,49,53,52,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,82,111,110,34,32,99,111,109,109,101,110,116,61,34,67,108,111,115,101,100,32,115,119,105,116,99,104,32,114,101,115,105,115,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,54,54,54,54,54,54,54,54,54,54,54,54,54,54,55,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,54,34,32,108,105,110,101,69,110,100,61,34,49,53,51,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,82,111,110,34,32,99,111,109,109,101,110,116,61,34,67,108,111,115,101,100,32,115,119,105,116,99,104,32,114,101,115,105,115,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,54,54,54,54,54,54,54,54,54,54,54,54,54,54,55,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,54,34,32,108,105,110,101,69,110,100,61,34,49,53,51,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,71,111,102,102,34,32,99,111,109,109,101,110,116,61,34,79,112,101,110,101,100,32,115,119,105,116,99,104,32,99,111,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,54,46,48,48,48,48,48,48,48,48,48,48,48,48,48,48,49,101,45,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,83,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,83,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,52,48,34,32,108,105,110,101,69,110,100,61,34,49,53,52,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,71,111,102,102,34,32,99,111,109,109,101,110,116,61,34,79,112,101,110,101,100,32,115,119,105,116,99,104,32,99,111,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,54,46,48,48,48,48,48,48,48,48,48,48,48,48,48,48,49,101,45,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,83,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,83,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,52,48,34,32,108,105,110,101,69,110,100,61,34,49,53,52,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,82,111,110,34,32,99,111,109,109,101,110,116,61,34,67,108,111,115,101,100,32,115,119,105,116,99,104,32,114,101,115,105,115,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,54,54,54,54,54,54,54,54,54,54,54,54,54,54,55,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,54,34,32,108,105,110,101,69,110,100,61,34,49,53,51,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,82,111,110,34,32,99,111,109,109,101,110,116,61,34,67,108,111,115,101,100,32,115,119,105,116,99,104,32,114,101,115,105,115,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,54,54,54,54,54,54,54,54,54,54,54,54,54,54,55,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4751400);
/* memory initializer */ allocate([32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,54,34,32,108,105,110,101,69,110,100,61,34,49,53,51,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,71,111,102,102,34,32,99,111,109,109,101,110,116,61,34,79,112,101,110,101,100,32,115,119,105,116,99,104,32,99,111,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,54,46,48,48,48,48,48,48,48,48,48,48,48,48,48,48,49,101,45,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,83,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,83,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,52,48,34,32,108,105,110,101,69,110,100,61,34,49,53,52,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,71,111,102,102,34,32,99,111,109,109,101,110,116,61,34,79,112,101,110,101,100,32,115,119,105,116,99,104,32,99,111,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,54,46,48,48,48,48,48,48,48,48,48,48,48,48,48,48,49,101,45,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,83,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,83,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,52,48,34,32,108,105,110,101,69,110,100,61,34,49,53,52,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,98,111,111,108,101,97,110,83,116,101,112,77,91,49,93,46,115,116,97,114,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,84,105,109,101,32,105,110,115,116,97,110,116,32,111,102,32,115,116,101,112,32,115,116,97,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,53,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,98,111,111,108,101,97,110,83,116,101,112,77,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,98,111,111,108,101,97,110,83,116,101,112,77,91,49,93,46,115,116,97,114,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,84,105,109,101,32,105,110,115,116,97,110,116,32,111,102,32,115,116,101,112,32,115,116,97,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,53,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,98,111,111,108,101,97,110,83,116,101,112,77,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,98,111,111,108,101,97,110,83,116,101,112,77,91,50,93,46,115,116,97,114,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,84,105,109,101,32,105,110,115,116,97,110,116,32,111,102,32,115,116,101,112,32,115,116,97,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,53,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,98,111,111,108,101,97,110,83,116,101,112,77,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,98,111,111,108,101,97,110,83,116,101,112,77,91,50,93,46,115,116,97,114,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,84,105,109,101,32,105,110,115,116,97,110,116,32,111,102,32,115,116,101,112,32,115,116,97,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,53,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,98,111,111,108,101,97,110,83,116,101,112,77,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,98,111,111,108,101,97,110,83,116,101,112,77,91,51,93,46,115,116,97,114,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,84,105,109,101,32,105,110,115,116,97,110,116,32,111,102,32,115,116,101,112,32,115,116,97,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,53,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,98,111,111,108,101,97,110,83,116,101,112,77,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,98,111,111,108,101,97,110,83,116,101,112,77,91,51,93,46,115,116,97,114,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,84,105,109,101,32,105,110,115,116,97,110,116,32,111,102,32,115,116,101,112,32,115,116,97,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,53,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,98,111,111,108,101,97,110,83,116,101,112,77,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,98,111,111,108,101,97,110,83,116,101,112,77,91,52,93,46,115,116,97,114,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,84,105,109,101,32,105,110,115,116,97,110,116,32,111,102,32,115,116,101,112,32,115,116,97,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,53,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,98,111,111,108,101,97,110,83,116,101,112,77,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,98,111,111,108,101,97,110,83,116,101,112,77,91,52,93,46,115,116,97,114,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,84,105,109,101,32,105,110,115,116,97,110,116,32,111,102,32,115,116,101,112,32,115,116,97,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,53,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,98,111,111,108,101,97,110,83,116,101,112,77,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,98,111,111,108,101,97,110,83,116,101,112,77,91,53,93,46,115,116,97,114,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,84,105,109,101,32,105,110,115,116,97,110,116,32,111,102,32,115,116,101,112,32,115,116,97,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,53,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,98,111,111,108,101,97,110,83,116,101,112,77,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,98,111,111,108,101,97,110,83,116,101,112,77,91,53,93,46,115,116,97,114,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,84,105,109,101,32,105,110,115,116,97,110,116,32,111,102,32,115,116,101,112,32,115,116,97,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,53,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,98,111,111,108,101,97,110,83,116,101,112,77,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,99,111,109,109,101,110,116,61,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,48,34,32,108,105,110,101,69,110,100,61,34,52,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4761640);
/* memory initializer */ allocate([34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,48,34,32,108,105,110,101,69,110,100,61,34,52,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,48,34,32,108,105,110,101,69,110,100,61,34,52,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,48,34,32,108,105,110,101,69,110,100,61,34,52,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,48,34,32,108,105,110,101,69,110,100,61,34,52,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,91,51,93,34,32,99,111,109,109,101,110,116,61,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,48,34,32,108,105,110,101,69,110,100,61,34,52,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,91,51,93,34,32,99,111,109,109,101,110,116,61,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,48,34,32,108,105,110,101,69,110,100,61,34,52,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,91,52,93,34,32,99,111,109,109,101,110,116,61,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,48,34,32,108,105,110,101,69,110,100,61,34,52,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,91,52,93,34,32,99,111,109,109,101,110,116,61,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,48,34,32,108,105,110,101,69,110,100,61,34,52,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,91,53,93,34,32,99,111,109,109,101,110,116,61,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,48,34,32,108,105,110,101,69,110,100,61,34,52,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,91,53,93,34,32,99,111,109,109,101,110,116,61,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,48,34,32,108,105,110,101,69,110,100,61,34,52,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,111,114,105,101,110,116,97,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,102,105,101,108,100,32,112,104,97,115,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,49,34,32,108,105,110,101,69,110,100,61,34,52,51,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4771880);
/* memory initializer */ allocate([105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,111,114,105,101,110,116,97,116,105,111,110,91,49,93,34,32,99,111,109,109,101,110,116,61,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,102,105,101,108,100,32,112,104,97,115,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,49,34,32,108,105,110,101,69,110,100,61,34,52,51,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,111,114,105,101,110,116,97,116,105,111,110,91,49,93,34,32,99,111,109,109,101,110,116,61,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,102,105,101,108,100,32,112,104,97,115,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,49,34,32,108,105,110,101,69,110,100,61,34,52,51,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,111,114,105,101,110,116,97,116,105,111,110,91,50,93,34,32,99,111,109,109,101,110,116,61,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,102,105,101,108,100,32,112,104,97,115,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,49,34,32,108,105,110,101,69,110,100,61,34,52,51,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,111,114,105,101,110,116,97,116,105,111,110,91,50,93,34,32,99,111,109,109,101,110,116,61,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,102,105,101,108,100,32,112,104,97,115,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,49,34,32,108,105,110,101,69,110,100,61,34,52,51,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,111,114,105,101,110,116,97,116,105,111,110,91,51,93,34,32,99,111,109,109,101,110,116,61,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,102,105,101,108,100,32,112,104,97,115,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,49,34,32,108,105,110,101,69,110,100,61,34,52,51,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,111,114,105,101,110,116,97,116,105,111,110,91,51,93,34,32,99,111,109,109,101,110,116,61,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,102,105,101,108,100,32,112,104,97,115,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,49,34,32,108,105,110,101,69,110,100,61,34,52,51,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,111,114,105,101,110,116,97,116,105,111,110,91,52,93,34,32,99,111,109,109,101,110,116,61,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,102,105,101,108,100,32,112,104,97,115,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,49,34,32,108,105,110,101,69,110,100,61,34,52,51,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,111,114,105,101,110,116,97,116,105,111,110,91,52,93,34,32,99,111,109,109,101,110,116,61,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,102,105,101,108,100,32,112,104,97,115,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,49,34,32,108,105,110,101,69,110,100,61,34,52,51,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,111,114,105,101,110,116,97,116,105,111,110,91,53,93,34,32,99,111,109,109,101,110,116,61,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,102,105,101,108,100,32,112,104,97,115,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,49,34,32,108,105,110,101,69,110,100,61,34,52,51,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,111,114,105,101,110,116,97,116,105,111,110,91,53,93,34,32,99,111,109,109,101,110,116,61,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,102,105,101,108,100,32,112,104,97,115,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,49,34,32,108,105,110,101,69,110,100,61,34,52,51,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4782120);
/* memory initializer */ allocate([111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,99,111,109,109,101,110,116,61,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,48,34,32,108,105,110,101,69,110,100,61,34,52,49,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,99,111,109,109,101,110,116,61,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,48,34,32,108,105,110,101,69,110,100,61,34,52,49,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,111,114,105,101,110,116,97,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,86,95,109,32,112,104,97,115,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,50,34,32,108,105,110,101,69,110,100,61,34,52,49,57,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,111,114,105,101,110,116,97,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,86,95,109,32,112,104,97,115,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,50,34,32,108,105,110,101,69,110,100,61,34,52,49,57,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,78,46,114,101,34,32,99,111,109,109,101,110,116,61,34,82,101,97,108,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,78,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,67,111,109,112,108,101,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,78,46,114,101,34,32,99,111,109,109,101,110,116,61,34,82,101,97,108,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,78,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,67,111,109,112,108,101,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,78,46,105,109,34,32,99,111,109,109,101,110,116,61,34,73,109,97,103,105,110,97,114,121,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,78,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,67,111,109,112,108,101,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,78,46,105,109,34,32,99,111,109,109,101,110,116,61,34,73,109,97,103,105,110,97,114,121,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,78,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,67,111,109,112,108,101,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,99,111,109,109,101,110,116,61,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,48,34,32,108,105,110,101,69,110,100,61,34,52,49,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4792360);
/* memory initializer */ allocate([32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,99,111,109,109,101,110,116,61,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,48,34,32,108,105,110,101,69,110,100,61,34,52,49,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,111,114,105,101,110,116,97,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,86,95,109,32,112,104,97,115,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,50,34,32,108,105,110,101,69,110,100,61,34,52,49,57,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,111,114,105,101,110,116,97,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,86,95,109,32,112,104,97,115,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,50,34,32,108,105,110,101,69,110,100,61,34,52,49,57,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,78,46,114,101,34,32,99,111,109,109,101,110,116,61,34,82,101,97,108,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,51,48,57,48,49,54,57,57,52,51,55,52,57,52,55,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,78,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,67,111,109,112,108,101,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,78,46,114,101,34,32,99,111,109,109,101,110,116,61,34,82,101,97,108,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,51,48,57,48,49,54,57,57,52,51,55,52,57,52,55,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,78,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,67,111,109,112,108,101,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,78,46,105,109,34,32,99,111,109,109,101,110,116,61,34,73,109,97,103,105,110,97,114,121,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,53,49,48,53,54,53,49,54,50,57,53,49,53,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,78,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,67,111,109,112,108,101,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,78,46,105,109,34,32,99,111,109,109,101,110,116,61,34,73,109,97,103,105,110,97,114,121,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,53,49,48,53,54,53,49,54,50,57,53,49,53,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,78,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,67,111,109,112,108,101,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,99,111,109,109,101,110,116,61,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,48,34,32,108,105,110,101,69,110,100,61,34,52,49,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,99,111,109,109,101,110,116,61], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4802600);
/* memory initializer */ allocate([34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,48,34,32,108,105,110,101,69,110,100,61,34,52,49,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,111,114,105,101,110,116,97,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,86,95,109,32,112,104,97,115,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,53,49,51,50,55,52,49,50,50,56,55,49,56,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,50,34,32,108,105,110,101,69,110,100,61,34,52,49,57,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,111,114,105,101,110,116,97,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,86,95,109,32,112,104,97,115,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,53,49,51,50,55,52,49,50,50,56,55,49,56,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,50,34,32,108,105,110,101,69,110,100,61,34,52,49,57,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,78,46,114,101,34,32,99,111,109,109,101,110,116,61,34,82,101,97,108,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,56,48,57,48,49,54,57,57,52,51,55,52,57,52,55,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,78,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,67,111,109,112,108,101,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,78,46,114,101,34,32,99,111,109,109,101,110,116,61,34,82,101,97,108,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,56,48,57,48,49,54,57,57,52,51,55,52,57,52,55,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,78,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,67,111,109,112,108,101,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,78,46,105,109,34,32,99,111,109,109,101,110,116,61,34,73,109,97,103,105,110,97,114,121,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,56,55,55,56,53,50,53,50,50,57,50,52,55,51,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,78,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,67,111,109,112,108,101,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,78,46,105,109,34,32,99,111,109,109,101,110,116,61,34,73,109,97,103,105,110,97,114,121,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,56,55,55,56,53,50,53,50,50,57,50,52,55,51,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,78,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,67,111,109,112,108,101,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,99,111,109,109,101,110,116,61,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,48,34,32,108,105,110,101,69,110,100,61,34,52,49,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,99,111,109,109,101,110,116,61,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,48,34,32,108,105,110,101,69,110,100,61,34,52,49,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4812840);
/* memory initializer */ allocate([109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,111,114,105,101,110,116,97,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,86,95,109,32,112,104,97,115,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,46,55,54,57,57,49,49,49,56,52,51,48,55,55,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,50,34,32,108,105,110,101,69,110,100,61,34,52,49,57,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,111,114,105,101,110,116,97,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,86,95,109,32,112,104,97,115,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,46,55,54,57,57,49,49,49,56,52,51,48,55,55,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,50,34,32,108,105,110,101,69,110,100,61,34,52,49,57,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,78,46,114,101,34,32,99,111,109,109,101,110,116,61,34,82,101,97,108,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,56,48,57,48,49,54,57,57,52,51,55,52,57,52,55,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,78,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,67,111,109,112,108,101,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,78,46,114,101,34,32,99,111,109,109,101,110,116,61,34,82,101,97,108,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,56,48,57,48,49,54,57,57,52,51,55,52,57,52,55,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,78,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,67,111,109,112,108,101,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,78,46,105,109,34,32,99,111,109,109,101,110,116,61,34,73,109,97,103,105,110,97,114,121,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,53,56,55,55,56,53,50,53,50,50,57,50,52,55,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,78,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,67,111,109,112,108,101,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,78,46,105,109,34,32,99,111,109,109,101,110,116,61,34,73,109,97,103,105,110,97,114,121,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,53,56,55,55,56,53,50,53,50,50,57,50,52,55,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,78,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,67,111,109,112,108,101,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,99,111,109,109,101,110,116,61,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,48,34,32,108,105,110,101,69,110,100,61,34,52,49,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,99,111,109,109,101,110,116,61,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,48,34,32,108,105,110,101,69,110,100,61,34,52,49,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,111,114,105,101,110,116,97,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,86,95,109,32,112,104,97,115,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,46,48,50,54,53,52,56,50,52,53,55,52,51,54,54,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,50,34,32,108,105,110,101,69,110,100,61,34,52,49,57,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4823080);
/* memory initializer */ allocate([97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,111,114,105,101,110,116,97,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,86,95,109,32,112,104,97,115,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,46,48,50,54,53,52,56,50,52,53,55,52,51,54,54,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,50,34,32,108,105,110,101,69,110,100,61,34,52,49,57,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,78,46,114,101,34,32,99,111,109,109,101,110,116,61,34,82,101,97,108,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,51,48,57,48,49,54,57,57,52,51,55,52,57,52,55,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,78,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,67,111,109,112,108,101,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,78,46,114,101,34,32,99,111,109,109,101,110,116,61,34,82,101,97,108,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,51,48,57,48,49,54,57,57,52,51,55,52,57,52,55,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,78,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,67,111,109,112,108,101,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,78,46,105,109,34,32,99,111,109,109,101,110,116,61,34,73,109,97,103,105,110,97,114,121,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,57,53,49,48,53,54,53,49,54,50,57,53,49,53,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,78,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,67,111,109,112,108,101,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,78,46,105,109,34,32,99,111,109,109,101,110,116,61,34,73,109,97,103,105,110,97,114,121,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,57,53,49,48,53,54,53,49,54,50,57,53,49,53,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,78,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,67,111,109,112,108,101,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,50,93,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4833320);
/* memory initializer */ allocate([77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,50,93,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,51,93,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,51,93,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,52,93,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,52,93,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,53,93,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,53,93,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,82,34,32,99,111,109,109,101,110,116,61,34,82,101,115,105,115,116,97,110,99,101,115,32,82,95,114,101,102,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,115,32,84,95,114,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,82,91,49,93,34,32,99,111,109,109,101,110,116,61,34,82,101,115,105,115,116,97,110,99,101,115,32,82,95,114,101,102,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,115,32,84,95,114,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,82,91,49,93,34,32,99,111,109,109,101,110,116,61,34,82,101,115,105,115,116,97,110,99,101,115,32,82,95,114,101,102,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,115,32,84,95,114,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,82,91,50,93,34,32,99,111,109,109,101,110,116,61,34,82,101,115,105,115,116,97,110,99,101,115,32,82,95,114,101,102,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,115,32,84,95,114,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4843560);
/* memory initializer */ allocate([82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,82,91,50,93,34,32,99,111,109,109,101,110,116,61,34,82,101,115,105,115,116,97,110,99,101,115,32,82,95,114,101,102,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,115,32,84,95,114,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,82,91,51,93,34,32,99,111,109,109,101,110,116,61,34,82,101,115,105,115,116,97,110,99,101,115,32,82,95,114,101,102,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,115,32,84,95,114,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,82,91,51,93,34,32,99,111,109,109,101,110,116,61,34,82,101,115,105,115,116,97,110,99,101,115,32,82,95,114,101,102,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,115,32,84,95,114,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,82,91,52,93,34,32,99,111,109,109,101,110,116,61,34,82,101,115,105,115,116,97,110,99,101,115,32,82,95,114,101,102,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,115,32,84,95,114,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,82,91,52,93,34,32,99,111,109,109,101,110,116,61,34,82,101,115,105,115,116,97,110,99,101,115,32,82,95,114,101,102,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,115,32,84,95,114,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,82,91,53,93,34,32,99,111,109,109,101,110,116,61,34,82,101,115,105,115,116,97,110,99,101,115,32,82,95,114,101,102,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,115,32,84,95,114,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,82,91,53,93,34,32,99,111,109,109,101,110,116,61,34,82,101,115,105,115,116,97,110,99,101,115,32,82,95,114,101,102,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,115,32,84,95,114,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,49,93,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,49,93,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4853800);
/* memory initializer */ allocate([101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,50,93,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,50,93,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,51,93,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,51,93,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,52,93,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,52,93,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,53,93,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,53,93,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,97,108,112,104,97,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,115,32,111,102,32,114,101,115,105,115,116,97,110,99,101,115,32,97,116,32,114,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,56,49,34,32,108,105,110,101,69,110,100,61,34,55,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,97,108,112,104,97,91,49,93,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,115,32,111,102,32,114,101,115,105,115,116,97,110,99,101,115,32,97,116,32,114,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,56,49,34,32,108,105,110,101,69,110,100,61,34,55,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,97,108,112,104,97,91,49,93,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,115,32,111,102,32,114,101,115,105,115,116,97,110,99,101,115,32,97,116,32,114,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4864040);
/* memory initializer */ allocate([112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,56,49,34,32,108,105,110,101,69,110,100,61,34,55,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,97,108,112,104,97,91,50,93,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,115,32,111,102,32,114,101,115,105,115,116,97,110,99,101,115,32,97,116,32,114,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,56,49,34,32,108,105,110,101,69,110,100,61,34,55,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,97,108,112,104,97,91,50,93,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,115,32,111,102,32,114,101,115,105,115,116,97,110,99,101,115,32,97,116,32,114,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,56,49,34,32,108,105,110,101,69,110,100,61,34,55,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,97,108,112,104,97,91,51,93,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,115,32,111,102,32,114,101,115,105,115,116,97,110,99,101,115,32,97,116,32,114,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,56,49,34,32,108,105,110,101,69,110,100,61,34,55,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,97,108,112,104,97,91,51,93,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,115,32,111,102,32,114,101,115,105,115,116,97,110,99,101,115,32,97,116,32,114,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,56,49,34,32,108,105,110,101,69,110,100,61,34,55,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,97,108,112,104,97,91,52,93,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,115,32,111,102,32,114,101,115,105,115,116,97,110,99,101,115,32,97,116,32,114,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,56,49,34,32,108,105,110,101,69,110,100,61,34,55,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,97,108,112,104,97,91,52,93,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,115,32,111,102,32,114,101,115,105,115,116,97,110,99,101,115,32,97,116,32,114,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,56,49,34,32,108,105,110,101,69,110,100,61,34,55,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,97,108,112,104,97,91,53,93,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,115,32,111,102,32,114,101,115,105,115,116,97,110,99,101,115,32,97,116,32,114,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,56,49,34,32,108,105,110,101,69,110,100,61,34,55,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,97,108,112,104,97,91,53,93,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,115,32,111,102,32,114,101,115,105,115,116,97,110,99,101,115,32,97,116,32,114,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,56,49,34,32,108,105,110,101,69,110,100,61,34,55,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4874280);
/* memory initializer */ allocate([111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,82,34,32,99,111,109,109,101,110,116,61,34,82,101,115,105,115,116,97,110,99,101,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,32,84,95,114,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,82,34,32,99,111,109,109,101,110,116,61,34,82,101,115,105,115,116,97,110,99,101,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,32,84,95,114,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,95,114,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,95,114,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,97,108,112,104,97,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,114,101,115,105,115,116,97,110,99,101,32,40,82,95,97,99,116,117,97,108,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,53,34,32,108,105,110,101,69,110,100,61,34,54,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,57,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,97,108,112,104,97,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,114,101,115,105,115,116,97,110,99,101,32,40,82,95,97,99,116,117,97,108,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,53,34,32,108,105,110,101,69,110,100,61,34,54,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,57,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,82,34,32,99,111,109,109,101,110,116,61,34,82,101,115,105,115,116,97,110,99,101,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,32,84,95,114,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4884520);
/* memory initializer */ allocate([111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,82,34,32,99,111,109,109,101,110,116,61,34,82,101,115,105,115,116,97,110,99,101,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,32,84,95,114,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,95,114,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,95,114,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,97,108,112,104,97,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,114,101,115,105,115,116,97,110,99,101,32,40,82,95,97,99,116,117,97,108,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,53,34,32,108,105,110,101,69,110,100,61,34,54,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,57,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,97,108,112,104,97,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,114,101,115,105,115,116,97,110,99,101,32,40,82,95,97,99,116,117,97,108,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,53,34,32,108,105,110,101,69,110,100,61,34,54,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,57,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,82,34,32,99,111,109,109,101,110,116,61,34,82,101,115,105,115,116,97,110,99,101,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,32,84,95,114,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,82,34,32,99,111,109,109,101,110,116,61,34,82,101,115,105,115,116,97,110,99,101,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,32,84,95,114,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,95,114,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4894760);
/* memory initializer */ allocate([115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,95,114,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,97,108,112,104,97,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,114,101,115,105,115,116,97,110,99,101,32,40,82,95,97,99,116,117,97,108,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,53,34,32,108,105,110,101,69,110,100,61,34,54,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,57,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,97,108,112,104,97,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,114,101,115,105,115,116,97,110,99,101,32,40,82,95,97,99,116,117,97,108,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,53,34,32,108,105,110,101,69,110,100,61,34,54,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,57,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,82,34,32,99,111,109,109,101,110,116,61,34,82,101,115,105,115,116,97,110,99,101,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,32,84,95,114,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,82,34,32,99,111,109,109,101,110,116,61,34,82,101,115,105,115,116,97,110,99,101,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,32,84,95,114,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,84,95,114,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,84,95,114,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,97,108,112,104,97,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,114,101,115,105,115,116,97,110,99,101,32,40,82,95,97,99,116,117,97,108,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4905000);
/* memory initializer */ allocate([97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,53,34,32,108,105,110,101,69,110,100,61,34,54,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,57,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,97,108,112,104,97,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,114,101,115,105,115,116,97,110,99,101,32,40,82,95,97,99,116,117,97,108,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,53,34,32,108,105,110,101,69,110,100,61,34,54,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,57,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,82,34,32,99,111,109,109,101,110,116,61,34,82,101,115,105,115,116,97,110,99,101,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,32,84,95,114,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,82,34,32,99,111,109,109,101,110,116,61,34,82,101,115,105,115,116,97,110,99,101,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,32,84,95,114,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,84,95,114,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,84,95,114,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,97,108,112,104,97,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,114,101,115,105,115,116,97,110,99,101,32,40,82,95,97,99,116,117,97,108,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,53,34,32,108,105,110,101,69,110,100,61,34,54,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,57,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,97,108,112,104,97,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,114,101,115,105,115,116,97,110,99,101,32,40,82,95,97,99,116,117,97,108,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,53,34,32,108,105,110,101,69,110,100,61,34,54,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,57,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4915240);
/* memory initializer */ allocate([104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,99,111,109,109,101,110,116,61,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,48,34,32,108,105,110,101,69,110,100,61,34,52,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,48,34,32,108,105,110,101,69,110,100,61,34,52,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,48,34,32,108,105,110,101,69,110,100,61,34,52,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,48,34,32,108,105,110,101,69,110,100,61,34,52,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,48,34,32,108,105,110,101,69,110,100,61,34,52,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,91,51,93,34,32,99,111,109,109,101,110,116,61,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,48,34,32,108,105,110,101,69,110,100,61,34,52,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,91,51,93,34,32,99,111,109,109,101,110,116,61,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,48,34,32,108,105,110,101,69,110,100,61,34,52,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,91,52,93,34,32,99,111,109,109,101,110,116,61,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,48,34,32,108,105,110,101,69,110,100,61,34,52,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,91,52,93,34,32,99,111,109,109,101,110,116,61,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,48,34,32,108,105,110,101,69,110,100,61,34,52,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,91,53,93,34,32,99,111,109,109,101,110,116,61,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,48,34,32,108,105,110,101,69,110,100,61,34,52,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,91,53,93,34,32,99,111,109,109,101,110,116,61,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,48,34,32,108,105,110,101,69,110,100,61,34,52,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4925480);
/* memory initializer */ allocate([101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,111,114,105,101,110,116,97,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,102,105,101,108,100,32,112,104,97,115,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,49,34,32,108,105,110,101,69,110,100,61,34,52,51,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,111,114,105,101,110,116,97,116,105,111,110,91,49,93,34,32,99,111,109,109,101,110,116,61,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,102,105,101,108,100,32,112,104,97,115,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,49,34,32,108,105,110,101,69,110,100,61,34,52,51,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,111,114,105,101,110,116,97,116,105,111,110,91,49,93,34,32,99,111,109,109,101,110,116,61,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,102,105,101,108,100,32,112,104,97,115,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,49,34,32,108,105,110,101,69,110,100,61,34,52,51,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,111,114,105,101,110,116,97,116,105,111,110,91,50,93,34,32,99,111,109,109,101,110,116,61,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,102,105,101,108,100,32,112,104,97,115,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,49,34,32,108,105,110,101,69,110,100,61,34,52,51,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,111,114,105,101,110,116,97,116,105,111,110,91,50,93,34,32,99,111,109,109,101,110,116,61,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,102,105,101,108,100,32,112,104,97,115,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,49,34,32,108,105,110,101,69,110,100,61,34,52,51,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,111,114,105,101,110,116,97,116,105,111,110,91,51,93,34,32,99,111,109,109,101,110,116,61,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,102,105,101,108,100,32,112,104,97,115,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,49,34,32,108,105,110,101,69,110,100,61,34,52,51,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,111,114,105,101,110,116,97,116,105,111,110,91,51,93,34,32,99,111,109,109,101,110,116,61,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,102,105,101,108,100,32,112,104,97,115,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,49,34,32,108,105,110,101,69,110,100,61,34,52,51,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,111,114,105,101,110,116,97,116,105,111,110,91,52,93,34,32,99,111,109,109,101,110,116,61,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,102,105,101,108,100,32,112,104,97,115,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,49,34,32,108,105,110,101,69,110,100,61,34,52,51,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,111,114,105,101,110,116,97,116,105,111,110,91,52,93,34,32,99,111,109,109,101,110,116,61,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,102,105,101,108,100,32,112,104,97,115,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,49,34,32,108,105,110,101,69,110,100,61,34,52,51,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,111,114,105,101,110,116,97,116,105,111,110,91,53,93,34,32,99,111,109,109,101,110,116,61,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,102,105,101,108,100,32,112,104,97,115,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,49,34,32,108,105,110,101,69,110,100,61,34,52,51,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4935720);
/* memory initializer */ allocate([10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,111,114,105,101,110,116,97,116,105,111,110,91,53,93,34,32,99,111,109,109,101,110,116,61,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,102,105,101,108,100,32,112,104,97,115,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,49,34,32,108,105,110,101,69,110,100,61,34,52,51,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,99,111,109,109,101,110,116,61,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,48,34,32,108,105,110,101,69,110,100,61,34,52,49,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,99,111,109,109,101,110,116,61,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,48,34,32,108,105,110,101,69,110,100,61,34,52,49,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,111,114,105,101,110,116,97,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,86,95,109,32,112,104,97,115,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,50,34,32,108,105,110,101,69,110,100,61,34,52,49,57,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,111,114,105,101,110,116,97,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,86,95,109,32,112,104,97,115,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,50,34,32,108,105,110,101,69,110,100,61,34,52,49,57,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,78,46,114,101,34,32,99,111,109,109,101,110,116,61,34,82,101,97,108,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,78,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,67,111,109,112,108,101,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,78,46,114,101,34,32,99,111,109,109,101,110,116,61,34,82,101,97,108,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,78,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,67,111,109,112,108,101,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,78,46,105,109,34,32,99,111,109,109,101,110,116,61,34,73,109,97,103,105,110,97,114,121,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,78,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,67,111,109,112,108,101,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,78,46,105,109,34,32,99,111,109,109,101,110,116,61,34,73,109,97,103,105,110,97,114,121,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,78,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4945960);
/* memory initializer */ allocate([108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,67,111,109,112,108,101,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,99,111,109,109,101,110,116,61,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,48,34,32,108,105,110,101,69,110,100,61,34,52,49,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,99,111,109,109,101,110,116,61,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,48,34,32,108,105,110,101,69,110,100,61,34,52,49,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,111,114,105,101,110,116,97,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,86,95,109,32,112,104,97,115,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,50,34,32,108,105,110,101,69,110,100,61,34,52,49,57,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,111,114,105,101,110,116,97,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,86,95,109,32,112,104,97,115,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,50,34,32,108,105,110,101,69,110,100,61,34,52,49,57,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,78,46,114,101,34,32,99,111,109,109,101,110,116,61,34,82,101,97,108,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,51,48,57,48,49,54,57,57,52,51,55,52,57,52,55,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,78,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,67,111,109,112,108,101,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,78,46,114,101,34,32,99,111,109,109,101,110,116,61,34,82,101,97,108,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,51,48,57,48,49,54,57,57,52,51,55,52,57,52,55,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,78,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,67,111,109,112,108,101,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,78,46,105,109,34,32,99,111,109,109,101,110,116,61,34,73,109,97,103,105,110,97,114,121,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,53,49,48,53,54,53,49,54,50,57,53,49,53,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,78,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,67,111,109,112,108,101,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,78,46,105,109,34,32,99,111,109,109,101,110,116,61,34,73,109,97,103,105,110,97,114,121,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,53,49,48,53,54,53,49,54,50,57,53,49,53,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,78,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,67,111,109,112,108,101,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,99,111,109,109,101,110,116,61,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,48,34,32,108,105,110,101,69,110,100,61,34,52,49,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4956200);
/* memory initializer */ allocate([99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,99,111,109,109,101,110,116,61,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,48,34,32,108,105,110,101,69,110,100,61,34,52,49,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,111,114,105,101,110,116,97,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,86,95,109,32,112,104,97,115,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,53,49,51,50,55,52,49,50,50,56,55,49,56,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,50,34,32,108,105,110,101,69,110,100,61,34,52,49,57,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,111,114,105,101,110,116,97,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,86,95,109,32,112,104,97,115,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,53,49,51,50,55,52,49,50,50,56,55,49,56,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,50,34,32,108,105,110,101,69,110,100,61,34,52,49,57,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,78,46,114,101,34,32,99,111,109,109,101,110,116,61,34,82,101,97,108,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,56,48,57,48,49,54,57,57,52,51,55,52,57,52,55,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,78,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,67,111,109,112,108,101,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,78,46,114,101,34,32,99,111,109,109,101,110,116,61,34,82,101,97,108,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,56,48,57,48,49,54,57,57,52,51,55,52,57,52,55,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,78,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,67,111,109,112,108,101,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,78,46,105,109,34,32,99,111,109,109,101,110,116,61,34,73,109,97,103,105,110,97,114,121,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,56,55,55,56,53,50,53,50,50,57,50,52,55,51,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,78,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,67,111,109,112,108,101,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,78,46,105,109,34,32,99,111,109,109,101,110,116,61,34,73,109,97,103,105,110,97,114,121,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,56,55,55,56,53,50,53,50,50,57,50,52,55,51,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,78,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,67,111,109,112,108,101,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,99,111,109,109,101,110,116,61,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,48,34,32,108,105,110,101,69,110,100,61,34,52,49,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,99,111,109,109,101,110,116,61,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,48,34,32,108,105,110,101,69,110,100,61,34,52,49,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4966440);
/* memory initializer */ allocate([109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,111,114,105,101,110,116,97,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,86,95,109,32,112,104,97,115,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,46,55,54,57,57,49,49,49,56,52,51,48,55,55,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,50,34,32,108,105,110,101,69,110,100,61,34,52,49,57,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,111,114,105,101,110,116,97,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,86,95,109,32,112,104,97,115,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,46,55,54,57,57,49,49,49,56,52,51,48,55,55,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,50,34,32,108,105,110,101,69,110,100,61,34,52,49,57,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,78,46,114,101,34,32,99,111,109,109,101,110,116,61,34,82,101,97,108,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,56,48,57,48,49,54,57,57,52,51,55,52,57,52,55,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,78,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,67,111,109,112,108,101,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,78,46,114,101,34,32,99,111,109,109,101,110,116,61,34,82,101,97,108,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,56,48,57,48,49,54,57,57,52,51,55,52,57,52,55,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,78,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,67,111,109,112,108,101,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,78,46,105,109,34,32,99,111,109,109,101,110,116,61,34,73,109,97,103,105,110,97,114,121,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,53,56,55,55,56,53,50,53,50,50,57,50,52,55,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,78,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,67,111,109,112,108,101,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,78,46,105,109,34,32,99,111,109,109,101,110,116,61,34,73,109,97,103,105,110,97,114,121,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,53,56,55,55,56,53,50,53,50,50,57,50,52,55,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,78,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,67,111,109,112,108,101,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,99,111,109,109,101,110,116,61,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,48,34,32,108,105,110,101,69,110,100,61,34,52,49,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,99,111,109,109,101,110,116,61,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,48,34,32,108,105,110,101,69,110,100,61,34,52,49,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,111,114,105,101,110,116,97,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,86,95,109,32,112,104,97,115,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,46,48,50,54,53,52,56,50,52,53,55,52,51,54,54,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,50,34,32,108,105,110,101,69,110,100,61,34,52,49,57,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4976680);
/* memory initializer */ allocate([10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,111,114,105,101,110,116,97,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,86,95,109,32,112,104,97,115,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,46,48,50,54,53,52,56,50,52,53,55,52,51,54,54,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,50,34,32,108,105,110,101,69,110,100,61,34,52,49,57,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,78,46,114,101,34,32,99,111,109,109,101,110,116,61,34,82,101,97,108,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,51,48,57,48,49,54,57,57,52,51,55,52,57,52,55,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,78,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,67,111,109,112,108,101,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,78,46,114,101,34,32,99,111,109,109,101,110,116,61,34,82,101,97,108,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,51,48,57,48,49,54,57,57,52,51,55,52,57,52,55,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,78,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,67,111,109,112,108,101,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,78,46,105,109,34,32,99,111,109,109,101,110,116,61,34,73,109,97,103,105,110,97,114,121,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,57,53,49,48,53,54,53,49,54,50,57,53,49,53,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,78,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,67,111,109,112,108,101,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,78,46,105,109,34,32,99,111,109,109,101,110,116,61,34,73,109,97,103,105,110,97,114,121,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,57,53,49,48,53,54,53,49,54,50,57,53,49,53,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,78,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,67,111,109,112,108,101,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,76,34,32,99,111,109,109,101,110,116,61,34,73,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,49,57,34,32,108,105,110,101,69,110,100,61,34,57,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,76,91,49,93,34,32,99,111,109,109,101,110,116,61,34,73,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,49,57,34,32,108,105,110,101,69,110,100,61,34,57,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,76,91,49,93,34,32,99,111,109,109,101,110,116,61,34,73,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,49,57,34,32,108,105,110,101,69,110,100,61,34,57,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,76,91,50,93,34,32,99,111,109,109,101,110,116,61,34,73,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,49,57,34,32,108,105,110,101,69,110,100,61,34,57,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4986920);
/* memory initializer */ allocate([108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,76,91,50,93,34,32,99,111,109,109,101,110,116,61,34,73,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,49,57,34,32,108,105,110,101,69,110,100,61,34,57,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,76,91,51,93,34,32,99,111,109,109,101,110,116,61,34,73,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,49,57,34,32,108,105,110,101,69,110,100,61,34,57,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,76,91,51,93,34,32,99,111,109,109,101,110,116,61,34,73,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,49,57,34,32,108,105,110,101,69,110,100,61,34,57,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,76,91,52,93,34,32,99,111,109,109,101,110,116,61,34,73,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,49,57,34,32,108,105,110,101,69,110,100,61,34,57,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,76,91,52,93,34,32,99,111,109,109,101,110,116,61,34,73,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,49,57,34,32,108,105,110,101,69,110,100,61,34,57,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,76,91,53,93,34,32,99,111,109,109,101,110,116,61,34,73,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,49,57,34,32,108,105,110,101,69,110,100,61,34,57,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,76,91,53,93,34,32,99,111,109,109,101,110,116,61,34,73,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,49,57,34,32,108,105,110,101,69,110,100,61,34,57,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,46,76,34,32,99,111,109,109,101,110,116,61,34,73,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,34,32,108,105,110,101,69,110,100,61,34,51,51,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,46,76,34,32,99,111,109,109,101,110,116,61,34,73,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,34,32,108,105,110,101,69,110,100,61,34,51,51,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,46,76,34,32,99,111,109,109,101,110,116,61,34,73,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,34,32,108,105,110,101,69,110,100,61,34,51,51,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,46,76,34,32,99,111,109,109,101,110,116,61,34,73,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,34,32,108,105,110,101,69,110,100,61,34,51,51,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4997160);
/* memory initializer */ allocate([103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,46,76,34,32,99,111,109,109,101,110,116,61,34,73,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,34,32,108,105,110,101,69,110,100,61,34,51,51,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,46,76,34,32,99,111,109,109,101,110,116,61,34,73,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,34,32,108,105,110,101,69,110,100,61,34,51,51,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,76,34,32,99,111,109,109,101,110,116,61,34,73,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,34,32,108,105,110,101,69,110,100,61,34,51,51,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,76,34,32,99,111,109,109,101,110,116,61,34,73,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,34,32,108,105,110,101,69,110,100,61,34,51,51,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,76,34,32,99,111,109,109,101,110,116,61,34,73,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,34,32,108,105,110,101,69,110,100,61,34,51,51,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,76,34,32,99,111,109,109,101,110,116,61,34,73,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,34,32,108,105,110,101,69,110,100,61,34,51,51,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,50,93,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5007400);
/* memory initializer */ allocate([32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,50,93,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,51,93,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,51,93,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,52,93,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,52,93,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,53,93,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,53,93,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,82,34,32,99,111,109,109,101,110,116,61,34,82,101,115,105,115,116,97,110,99,101,115,32,82,95,114,101,102,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,115,32,84,95,114,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,82,91,49,93,34,32,99,111,109,109,101,110,116,61,34,82,101,115,105,115,116,97,110,99,101,115,32,82,95,114,101,102,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,115,32,84,95,114,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,82,91,49,93,34,32,99,111,109,109,101,110,116,61,34,82,101,115,105,115,116,97,110,99,101,115,32,82,95,114,101,102,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,115,32,84,95,114,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5017640);
/* memory initializer */ allocate([116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,82,91,50,93,34,32,99,111,109,109,101,110,116,61,34,82,101,115,105,115,116,97,110,99,101,115,32,82,95,114,101,102,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,115,32,84,95,114,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,82,91,50,93,34,32,99,111,109,109,101,110,116,61,34,82,101,115,105,115,116,97,110,99,101,115,32,82,95,114,101,102,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,115,32,84,95,114,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,82,91,51,93,34,32,99,111,109,109,101,110,116,61,34,82,101,115,105,115,116,97,110,99,101,115,32,82,95,114,101,102,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,115,32,84,95,114,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,82,91,51,93,34,32,99,111,109,109,101,110,116,61,34,82,101,115,105,115,116,97,110,99,101,115,32,82,95,114,101,102,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,115,32,84,95,114,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,82,91,52,93,34,32,99,111,109,109,101,110,116,61,34,82,101,115,105,115,116,97,110,99,101,115,32,82,95,114,101,102,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,115,32,84,95,114,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,82,91,52,93,34,32,99,111,109,109,101,110,116,61,34,82,101,115,105,115,116,97,110,99,101,115,32,82,95,114,101,102,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,115,32,84,95,114,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,82,91,53,93,34,32,99,111,109,109,101,110,116,61,34,82,101,115,105,115,116,97,110,99,101,115,32,82,95,114,101,102,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,115,32,84,95,114,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,82,91,53,93,34,32,99,111,109,109,101,110,116,61,34,82,101,115,105,115,116,97,110,99,101,115,32,82,95,114,101,102,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,115,32,84,95,114,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,49,93,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,49,93,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5027880);
/* memory initializer */ allocate([117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,50,93,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,50,93,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,51,93,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,51,93,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,52,93,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,52,93,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,53,93,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,53,93,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,97,108,112,104,97,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,115,32,111,102,32,114,101,115,105,115,116,97,110,99,101,115,32,97,116,32,114,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,56,49,34,32,108,105,110,101,69,110,100,61,34,55,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,97,108,112,104,97,91,49,93,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,115,32,111,102,32,114,101,115,105,115,116,97,110,99,101,115,32,97,116,32,114,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,56,49,34,32,108,105,110,101,69,110,100,61,34,55,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5038120);
/* memory initializer */ allocate([101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,97,108,112,104,97,91,49,93,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,115,32,111,102,32,114,101,115,105,115,116,97,110,99,101,115,32,97,116,32,114,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,56,49,34,32,108,105,110,101,69,110,100,61,34,55,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,97,108,112,104,97,91,50,93,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,115,32,111,102,32,114,101,115,105,115,116,97,110,99,101,115,32,97,116,32,114,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,56,49,34,32,108,105,110,101,69,110,100,61,34,55,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,97,108,112,104,97,91,50,93,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,115,32,111,102,32,114,101,115,105,115,116,97,110,99,101,115,32,97,116,32,114,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,56,49,34,32,108,105,110,101,69,110,100,61,34,55,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,97,108,112,104,97,91,51,93,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,115,32,111,102,32,114,101,115,105,115,116,97,110,99,101,115,32,97,116,32,114,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,56,49,34,32,108,105,110,101,69,110,100,61,34,55,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,97,108,112,104,97,91,51,93,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,115,32,111,102,32,114,101,115,105,115,116,97,110,99,101,115,32,97,116,32,114,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,56,49,34,32,108,105,110,101,69,110,100,61,34,55,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,97,108,112,104,97,91,52,93,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,115,32,111,102,32,114,101,115,105,115,116,97,110,99,101,115,32,97,116,32,114,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,56,49,34,32,108,105,110,101,69,110,100,61,34,55,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,97,108,112,104,97,91,52,93,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,115,32,111,102,32,114,101,115,105,115,116,97,110,99,101,115,32,97,116,32,114,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,56,49,34,32,108,105,110,101,69,110,100,61,34,55,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,97,108,112,104,97,91,53,93,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,115,32,111,102,32,114,101,115,105,115,116,97,110,99,101,115,32,97,116,32,114,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,56,49,34,32,108,105,110,101,69,110,100,61,34,55,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,97,108,112,104,97,91,53,93,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,115,32,111,102,32,114,101,115,105,115,116,97,110,99,101,115,32,97,116,32,114,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,56,49,34,32,108,105,110,101,69,110,100,61,34,55,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5048360);
/* memory initializer */ allocate([101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,82,34,32,99,111,109,109,101,110,116,61,34,82,101,115,105,115,116,97,110,99,101,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,32,84,95,114,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,82,34,32,99,111,109,109,101,110,116,61,34,82,101,115,105,115,116,97,110,99,101,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,32,84,95,114,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,95,114,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,95,114,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,97,108,112,104,97,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,114,101,115,105,115,116,97,110,99,101,32,40,82,95,97,99,116,117,97,108,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,53,34,32,108,105,110,101,69,110,100,61,34,54,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,57,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,97,108,112,104,97,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,114,101,115,105,115,116,97,110,99,101,32,40,82,95,97,99,116,117,97,108,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,53,34,32,108,105,110,101,69,110,100,61,34,54,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,57,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,82,34,32,99,111,109,109,101,110,116,61,34,82,101,115,105,115,116,97,110,99,101,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,32,84,95,114,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5058600);
/* memory initializer */ allocate([32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,82,34,32,99,111,109,109,101,110,116,61,34,82,101,115,105,115,116,97,110,99,101,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,32,84,95,114,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,95,114,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,95,114,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,97,108,112,104,97,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,114,101,115,105,115,116,97,110,99,101,32,40,82,95,97,99,116,117,97,108,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,53,34,32,108,105,110,101,69,110,100,61,34,54,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,57,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,97,108,112,104,97,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,114,101,115,105,115,116,97,110,99,101,32,40,82,95,97,99,116,117,97,108,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,53,34,32,108,105,110,101,69,110,100,61,34,54,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,57,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,82,34,32,99,111,109,109,101,110,116,61,34,82,101,115,105,115,116,97,110,99,101,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,32,84,95,114,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,82,34,32,99,111,109,109,101,110,116,61,34,82,101,115,105,115,116,97,110,99,101,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,32,84,95,114,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5068840);
/* memory initializer */ allocate([77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,95,114,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,95,114,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,97,108,112,104,97,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,114,101,115,105,115,116,97,110,99,101,32,40,82,95,97,99,116,117,97,108,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,53,34,32,108,105,110,101,69,110,100,61,34,54,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,57,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,97,108,112,104,97,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,114,101,115,105,115,116,97,110,99,101,32,40,82,95,97,99,116,117,97,108,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,53,34,32,108,105,110,101,69,110,100,61,34,54,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,57,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,82,34,32,99,111,109,109,101,110,116,61,34,82,101,115,105,115,116,97,110,99,101,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,32,84,95,114,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,82,34,32,99,111,109,109,101,110,116,61,34,82,101,115,105,115,116,97,110,99,101,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,32,84,95,114,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,84,95,114,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,84,95,114,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5079080);
/* memory initializer */ allocate([105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,97,108,112,104,97,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,114,101,115,105,115,116,97,110,99,101,32,40,82,95,97,99,116,117,97,108,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,53,34,32,108,105,110,101,69,110,100,61,34,54,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,57,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,97,108,112,104,97,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,114,101,115,105,115,116,97,110,99,101,32,40,82,95,97,99,116,117,97,108,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,53,34,32,108,105,110,101,69,110,100,61,34,54,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,57,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,82,34,32,99,111,109,109,101,110,116,61,34,82,101,115,105,115,116,97,110,99,101,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,32,84,95,114,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,82,34,32,99,111,109,109,101,110,116,61,34,82,101,115,105,115,116,97,110,99,101,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,32,84,95,114,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,84,95,114,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,84,95,114,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,97,108,112,104,97,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,114,101,115,105,115,116,97,110,99,101,32,40,82,95,97,99,116,117,97,108,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,53,34,32,108,105,110,101,69,110,100,61,34,54,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,57,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5089320);
/* memory initializer */ allocate([83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,97,108,112,104,97,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,114,101,115,105,115,116,97,110,99,101,32,40,82,95,97,99,116,117,97,108,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,53,34,32,108,105,110,101,69,110,100,61,34,54,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,57,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,86,34,32,99,111,109,109,101,110,116,61,34,65,109,112,108,105,116,117,100,101,115,32,111,102,32,115,105,110,101,32,119,97,118,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,49,56,34,32,108,105,110,101,69,110,100,61,34,50,56,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,86,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,109,112,108,105,116,117,100,101,115,32,111,102,32,115,105,110,101,32,119,97,118,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,49,56,34,32,108,105,110,101,69,110,100,61,34,50,56,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,86,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,109,112,108,105,116,117,100,101,115,32,111,102,32,115,105,110,101,32,119,97,118,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,49,56,34,32,108,105,110,101,69,110,100,61,34,50,56,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,86,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,109,112,108,105,116,117,100,101,115,32,111,102,32,115,105,110,101,32,119,97,118,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,49,56,34,32,108,105,110,101,69,110,100,61,34,50,56,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,86,91,50,93,34,32,99,111,109,109,101,110,116,61,34,65,109,112,108,105,116,117,100,101,115,32,111,102,32,115,105,110,101,32,119,97,118,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,49,56,34,32,108,105,110,101,69,110,100,61,34,50,56,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,86,91,51,93,34,32,99,111,109,109,101,110,116,61,34,65,109,112,108,105,116,117,100,101,115,32,111,102,32,115,105,110,101,32,119,97,118,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,49,56,34,32,108,105,110,101,69,110,100,61,34,50,56,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,86,91,51,93,34,32,99,111,109,109,101,110,116,61,34,65,109,112,108,105,116,117,100,101,115,32,111,102,32,115,105,110,101,32,119,97,118,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,49,56,34,32,108,105,110,101,69,110,100,61,34,50,56,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,115,32,111,102,32,115,105,110,101,32,119,97,118,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,48,34,32,108,105,110,101,69,110,100,61,34,50,56,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,112,104,97,115,101,91,49,93,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,115,32,111,102,32,115,105,110,101,32,119,97,118,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,48,34,32,108,105,110,101,69,110,100,61,34,50,56,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,112,104,97,115,101,91,49,93,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,115,32,111,102,32,115,105,110,101,32,119,97,118,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,48,34,32,108,105,110,101,69,110,100,61,34,50,56,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,112,104,97,115,101,91,50,93,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,115,32,111,102,32,115,105,110,101,32,119,97,118,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,48,57,52,51,57,53,49,48,50,51,57,51,49,57,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,48,34,32,108,105,110,101,69,110,100,61,34,50,56,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,112,104,97,115,101,91,50,93,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,115,32,111,102,32,115,105,110,101,32,119,97,118,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,48,57,52,51,57,53,49,48,50,51,57,51,49,57,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,48,34,32,108,105,110,101,69,110,100,61,34,50,56,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,112,104,97,115,101,91,51,93,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,115,32,111,102,32,115,105,110,101,32,119,97,118,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,46,49,56,56,55,57,48,50,48,52,55,56,54,51,57,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5099560);
/* memory initializer */ allocate([50,56,50,48,34,32,108,105,110,101,69,110,100,61,34,50,56,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,112,104,97,115,101,91,51,93,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,115,32,111,102,32,115,105,110,101,32,119,97,118,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,46,49,56,56,55,57,48,50,48,52,55,56,54,51,57,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,48,34,32,108,105,110,101,69,110,100,61,34,50,56,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,102,114,101,113,72,122,34,32,99,111,109,109,101,110,116,61,34,70,114,101,113,117,101,110,99,105,101,115,32,111,102,32,115,105,110,101,32,119,97,118,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,50,34,32,108,105,110,101,69,110,100,61,34,50,56,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,102,114,101,113,72,122,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,114,101,113,117,101,110,99,105,101,115,32,111,102,32,115,105,110,101,32,119,97,118,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,50,34,32,108,105,110,101,69,110,100,61,34,50,56,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,102,114,101,113,72,122,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,114,101,113,117,101,110,99,105,101,115,32,111,102,32,115,105,110,101,32,119,97,118,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,50,34,32,108,105,110,101,69,110,100,61,34,50,56,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,102,114,101,113,72,122,91,50,93,34,32,99,111,109,109,101,110,116,61,34,70,114,101,113,117,101,110,99,105,101,115,32,111,102,32,115,105,110,101,32,119,97,118,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,50,34,32,108,105,110,101,69,110,100,61,34,50,56,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,102,114,101,113,72,122,91,50,93,34,32,99,111,109,109,101,110,116,61,34,70,114,101,113,117,101,110,99,105,101,115,32,111,102,32,115,105,110,101,32,119,97,118,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,50,34,32,108,105,110,101,69,110,100,61,34,50,56,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,102,114,101,113,72,122,91,51,93,34,32,99,111,109,109,101,110,116,61,34,70,114,101,113,117,101,110,99,105,101,115,32,111,102,32,115,105,110,101,32,119,97,118,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,50,34,32,108,105,110,101,69,110,100,61,34,50,56,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,102,114,101,113,72,122,91,51,93,34,32,99,111,109,109,101,110,116,61,34,70,114,101,113,117,101,110,99,105,101,115,32,111,102,32,115,105,110,101,32,119,97,118,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,50,34,32,108,105,110,101,69,110,100,61,34,50,56,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,111,102,102,115,101,116,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,111,102,102,115,101,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,52,34,32,108,105,110,101,69,110,100,61,34,50,56,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,111,102,102,115,101,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,111,102,102,115,101,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,52,34,32,108,105,110,101,69,110,100,61,34,50,56,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,111,102,102,115,101,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,111,102,102,115,101,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,52,34,32,108,105,110,101,69,110,100,61,34,50,56,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,111,102,102,115,101,116,91,50,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,111,102,102,115,101,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,52,34,32,108,105,110,101,69,110,100,61,34,50,56,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,111,102,102,115,101,116,91,50,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,111,102,102,115,101,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,52,34,32,108,105,110,101,69,110,100,61,34,50,56,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,111,102,102,115,101,116,91,51,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,111,102,102,115,101,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,52,34,32,108,105,110,101,69,110,100,61,34,50,56,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5109800);
/* memory initializer */ allocate([111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,111,102,102,115,101,116,91,51,93,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,111,102,102,115,101,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,52,34,32,108,105,110,101,69,110,100,61,34,50,56,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,116,97,114,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,84,105,109,101,32,111,102,102,115,101,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,53,34,32,108,105,110,101,69,110,100,61,34,50,56,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,116,97,114,116,84,105,109,101,91,49,93,34,32,99,111,109,109,101,110,116,61,34,84,105,109,101,32,111,102,102,115,101,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,53,34,32,108,105,110,101,69,110,100,61,34,50,56,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,115,116,97,114,116,84,105,109,101,91,49,93,34,32,99,111,109,109,101,110,116,61,34,84,105,109,101,32,111,102,102,115,101,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,53,34,32,108,105,110,101,69,110,100,61,34,50,56,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,116,97,114,116,84,105,109,101,91,50,93,34,32,99,111,109,109,101,110,116,61,34,84,105,109,101,32,111,102,102,115,101,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,53,34,32,108,105,110,101,69,110,100,61,34,50,56,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,115,116,97,114,116,84,105,109,101,91,50,93,34,32,99,111,109,109,101,110,116,61,34,84,105,109,101,32,111,102,102,115,101,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,53,34,32,108,105,110,101,69,110,100,61,34,50,56,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,116,97,114,116,84,105,109,101,91,51,93,34,32,99,111,109,109,101,110,116,61,34,84,105,109,101,32,111,102,102,115,101,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,53,34,32,108,105,110,101,69,110,100,61,34,50,56,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,115,116,97,114,116,84,105,109,101,91,51,93,34,32,99,111,109,109,101,110,116,61,34,84,105,109,101,32,111,102,102,115,101,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,53,34,32,108,105,110,101,69,110,100,61,34,50,56,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,111,102,102,115,101,116,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,111,102,102,115,101,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,53,34,32,108,105,110,101,69,110,100,61,34,52,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,111,102,102,115,101,116,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,111,102,102,115,101,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,53,34,32,108,105,110,101,69,110,100,61,34,52,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,116,97,114,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,84,105,109,101,32,111,102,102,115,101,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,54,34,32,108,105,110,101,69,110,100,61,34,52,50,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,116,97,114,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,84,105,109,101,32,111,102,102,115,101,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,54,34,32,108,105,110,101,69,110,100,61,34,52,50,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,86,34,32,99,111,109,109,101,110,116,61,34,65,109,112,108,105,116,117,100,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,57,34,32,108,105,110,101,69,110,100,61,34,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,86,34,32,99,111,109,109,101,110,116,61,34,65,109,112,108,105,116,117,100,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,57,34,32,108,105,110,101,69,110,100,61,34,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5120040);
/* memory initializer */ allocate([110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,102,114,101,113,72,122,34,32,99,111,109,109,101,110,116,61,34,70,114,101,113,117,101,110,99,121,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,49,34,32,108,105,110,101,69,110,100,61,34,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,102,114,101,113,72,122,34,32,99,111,109,109,101,110,116,61,34,70,114,101,113,117,101,110,99,121,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,49,34,32,108,105,110,101,69,110,100,61,34,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,97,109,112,108,105,116,117,100,101,34,32,99,111,109,109,101,110,116,61,34,65,109,112,108,105,116,117,100,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,48,34,32,108,105,110,101,69,110,100,61,34,53,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,97,109,112,108,105,116,117,100,101,34,32,99,111,109,109,101,110,116,61,34,65,109,112,108,105,116,117,100,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,48,34,32,108,105,110,101,69,110,100,61,34,53,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,102,114,101,113,72,122,34,32,99,111,109,109,101,110,116,61,34,70,114,101,113,117,101,110,99,121,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,49,34,32,108,105,110,101,69,110,100,61,34,53,54,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,102,114,101,113,72,122,34,32,99,111,109,109,101,110,116,61,34,70,114,101,113,117,101,110,99,121,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,49,34,32,108,105,110,101,69,110,100,61,34,53,54,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,50,34,32,108,105,110,101,69,110,100,61,34,53,54,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,50,34,32,108,105,110,101,69,110,100,61,34,53,54,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,34,32,99,111,109,109,101,110,116,61,34,79,102,102,115,101,116,32,111,102,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,51,34,32,108,105,110,101,69,110,100,61,34,53,54,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,34,32,99,111,109,109,101,110,116,61,34,79,102,102,115,101,116,32,111,102,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,51,34,32,108,105,110,101,69,110,100,61,34,53,54,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,79,117,116,112,117,116,32,61,32,111,102,102,115,101,116,32,102,111,114,32,116,105,109,101,32,38,108,116,59,32,115,116,97,114,116,84,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5130280);
/* memory initializer */ allocate([97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,52,34,32,108,105,110,101,69,110,100,61,34,53,54,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,79,117,116,112,117,116,32,61,32,111,102,102,115,101,116,32,102,111,114,32,116,105,109,101,32,38,108,116,59,32,115,116,97,114,116,84,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,52,34,32,108,105,110,101,69,110,100,61,34,53,54,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,111,102,102,115,101,116,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,111,102,102,115,101,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,53,34,32,108,105,110,101,69,110,100,61,34,52,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,111,102,102,115,101,116,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,111,102,102,115,101,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,53,34,32,108,105,110,101,69,110,100,61,34,52,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,116,97,114,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,84,105,109,101,32,111,102,102,115,101,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,54,34,32,108,105,110,101,69,110,100,61,34,52,50,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,116,97,114,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,84,105,109,101,32,111,102,102,115,101,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,54,34,32,108,105,110,101,69,110,100,61,34,52,50,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,86,34,32,99,111,109,109,101,110,116,61,34,65,109,112,108,105,116,117,100,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,57,34,32,108,105,110,101,69,110,100,61,34,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,86,34,32,99,111,109,109,101,110,116,61,34,65,109,112,108,105,116,117,100,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,57,34,32,108,105,110,101,69,110,100,61,34,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,102,114,101,113,72,122,34,32,99,111,109,109,101,110,116,61,34,70,114,101,113,117,101,110,99,121,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,49,34,32,108,105,110,101,69,110,100,61,34,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,102,114,101,113,72,122,34,32,99,111,109,109,101,110,116,61,34,70,114,101,113,117,101,110,99,121,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,49,34,32,108,105,110,101,69,110,100,61,34,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,97,109,112,108,105,116,117,100,101,34,32,99,111,109,109,101,110,116,61,34,65,109,112,108,105,116,117,100,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,48,34,32,108,105,110,101,69,110,100,61,34,53,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5140520);
/* memory initializer */ allocate([114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,97,109,112,108,105,116,117,100,101,34,32,99,111,109,109,101,110,116,61,34,65,109,112,108,105,116,117,100,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,48,34,32,108,105,110,101,69,110,100,61,34,53,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,102,114,101,113,72,122,34,32,99,111,109,109,101,110,116,61,34,70,114,101,113,117,101,110,99,121,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,49,34,32,108,105,110,101,69,110,100,61,34,53,54,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,102,114,101,113,72,122,34,32,99,111,109,109,101,110,116,61,34,70,114,101,113,117,101,110,99,121,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,49,34,32,108,105,110,101,69,110,100,61,34,53,54,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,50,34,32,108,105,110,101,69,110,100,61,34,53,54,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,50,34,32,108,105,110,101,69,110,100,61,34,53,54,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,34,32,99,111,109,109,101,110,116,61,34,79,102,102,115,101,116,32,111,102,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,51,34,32,108,105,110,101,69,110,100,61,34,53,54,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,34,32,99,111,109,109,101,110,116,61,34,79,102,102,115,101,116,32,111,102,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,51,34,32,108,105,110,101,69,110,100,61,34,53,54,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,79,117,116,112,117,116,32,61,32,111,102,102,115,101,116,32,102,111,114,32,116,105,109,101,32,38,108,116,59,32,115,116,97,114,116,84,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,52,34,32,108,105,110,101,69,110,100,61,34,53,54,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,79,117,116,112,117,116,32,61,32,111,102,102,115,101,116,32,102,111,114,32,116,105,109,101,32,38,108,116,59,32,115,116,97,114,116,84,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,52,34,32,108,105,110,101,69,110,100,61,34,53,54,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,111,102,102,115,101,116,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,111,102,102,115,101,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,53,34,32,108,105,110,101,69,110,100,61,34,52,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,111,102,102,115,101,116,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,111,102,102,115,101,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,53,34,32,108,105,110,101,69,110,100,61,34,52,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,116,97,114,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,84,105,109,101,32,111,102,102,115,101,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,54,34,32,108,105,110,101,69,110,100,61,34,52,50,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,116,97,114,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,84,105,109,101,32,111,102,102,115,101,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5150760);
/* memory initializer */ allocate([110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,54,34,32,108,105,110,101,69,110,100,61,34,52,50,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,86,34,32,99,111,109,109,101,110,116,61,34,65,109,112,108,105,116,117,100,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,57,34,32,108,105,110,101,69,110,100,61,34,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,86,34,32,99,111,109,109,101,110,116,61,34,65,109,112,108,105,116,117,100,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,57,34,32,108,105,110,101,69,110,100,61,34,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,102,114,101,113,72,122,34,32,99,111,109,109,101,110,116,61,34,70,114,101,113,117,101,110,99,121,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,49,34,32,108,105,110,101,69,110,100,61,34,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,102,114,101,113,72,122,34,32,99,111,109,109,101,110,116,61,34,70,114,101,113,117,101,110,99,121,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,49,34,32,108,105,110,101,69,110,100,61,34,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,97,109,112,108,105,116,117,100,101,34,32,99,111,109,109,101,110,116,61,34,65,109,112,108,105,116,117,100,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,48,34,32,108,105,110,101,69,110,100,61,34,53,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,97,109,112,108,105,116,117,100,101,34,32,99,111,109,109,101,110,116,61,34,65,109,112,108,105,116,117,100,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,48,34,32,108,105,110,101,69,110,100,61,34,53,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,102,114,101,113,72,122,34,32,99,111,109,109,101,110,116,61,34,70,114,101,113,117,101,110,99,121,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,49,34,32,108,105,110,101,69,110,100,61,34,53,54,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,102,114,101,113,72,122,34,32,99,111,109,109,101,110,116,61,34,70,114,101,113,117,101,110,99,121,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,49,34,32,108,105,110,101,69,110,100,61,34,53,54,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,50,34,32,108,105,110,101,69,110,100,61,34,53,54,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,50,34,32,108,105,110,101,69,110,100,61,34,53,54,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5161000);
/* memory initializer */ allocate([101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,34,32,99,111,109,109,101,110,116,61,34,79,102,102,115,101,116,32,111,102,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,51,34,32,108,105,110,101,69,110,100,61,34,53,54,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,34,32,99,111,109,109,101,110,116,61,34,79,102,102,115,101,116,32,111,102,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,51,34,32,108,105,110,101,69,110,100,61,34,53,54,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,79,117,116,112,117,116,32,61,32,111,102,102,115,101,116,32,102,111,114,32,116,105,109,101,32,38,108,116,59,32,115,116,97,114,116,84,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,52,34,32,108,105,110,101,69,110,100,61,34,53,54,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,79,117,116,112,117,116,32,61,32,111,102,102,115,101,116,32,102,111,114,32,116,105,109,101,32,38,108,116,59,32,115,116,97,114,116,84,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,52,34,32,108,105,110,101,69,110,100,61,34,53,54,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,84,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,84,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,84,91,50,93,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,84,91,50,93,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,84,91,51,93,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,84,91,51,93,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,82,111,110,34,32,99,111,109,109,101,110,116,61,34,67,108,111,115,101,100,32,115,119,105,116,99,104,32,114,101,115,105,115,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,57,53,34,32,108,105,110,101,69,110,100,61,34,49,57,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,82,111,110,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,108,111,115,101,100,32,115,119,105,116,99,104,32,114,101,115,105,115,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,57,53,34,32,108,105,110,101,69,110,100,61,34,49,57,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5171240);
/* memory initializer */ allocate([99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,82,111,110,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,108,111,115,101,100,32,115,119,105,116,99,104,32,114,101,115,105,115,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,57,53,34,32,108,105,110,101,69,110,100,61,34,49,57,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,82,111,110,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,108,111,115,101,100,32,115,119,105,116,99,104,32,114,101,115,105,115,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,57,53,34,32,108,105,110,101,69,110,100,61,34,49,57,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,82,111,110,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,108,111,115,101,100,32,115,119,105,116,99,104,32,114,101,115,105,115,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,57,53,34,32,108,105,110,101,69,110,100,61,34,49,57,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,82,111,110,91,51,93,34,32,99,111,109,109,101,110,116,61,34,67,108,111,115,101,100,32,115,119,105,116,99,104,32,114,101,115,105,115,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,57,53,34,32,108,105,110,101,69,110,100,61,34,49,57,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,82,111,110,91,51,93,34,32,99,111,109,109,101,110,116,61,34,67,108,111,115,101,100,32,115,119,105,116,99,104,32,114,101,115,105,115,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,57,53,34,32,108,105,110,101,69,110,100,61,34,49,57,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,71,111,102,102,34,32,99,111,109,109,101,110,116,61,34,79,112,101,110,101,100,32,115,119,105,116,99,104,32,99,111,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,83,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,83,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,57,55,34,32,108,105,110,101,69,110,100,61,34,49,57,57,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,71,111,102,102,91,49,93,34,32,99,111,109,109,101,110,116,61,34,79,112,101,110,101,100,32,115,119,105,116,99,104,32,99,111,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,83,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,83,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,57,55,34,32,108,105,110,101,69,110,100,61,34,49,57,57,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,71,111,102,102,91,49,93,34,32,99,111,109,109,101,110,116,61,34,79,112,101,110,101,100,32,115,119,105,116,99,104,32,99,111,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,83,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,83,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,57,55,34,32,108,105,110,101,69,110,100,61,34,49,57,57,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,71,111,102,102,91,50,93,34,32,99,111,109,109,101,110,116,61,34,79,112,101,110,101,100,32,115,119,105,116,99,104,32,99,111,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,83,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,83,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,57,55,34,32,108,105,110,101,69,110,100,61,34,49,57,57,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,71,111,102,102,91,50,93,34,32,99,111,109,109,101,110,116,61,34,79,112,101,110,101,100,32,115,119,105,116,99,104,32,99,111,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,83,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,83,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,57,55,34,32,108,105,110,101,69,110,100,61,34,49,57,57,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,71,111,102,102,91,51,93,34,32,99,111,109,109,101,110,116,61,34,79,112,101,110,101,100,32,115,119,105,116,99,104,32,99,111,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,83,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,83,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,57,55,34,32,108,105,110,101,69,110,100,61,34,49,57,57,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,71,111,102,102,91,51,93,34,32,99,111,109,109,101,110,116,61,34,79,112,101,110,101,100,32,115,119,105,116,99,104,32,99,111,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,83,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,83,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,57,55,34,32,108,105,110,101,69,110,100,61,34,49,57,57,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5181480);
/* memory initializer */ allocate([47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,82,111,110,34,32,99,111,109,109,101,110,116,61,34,67,108,111,115,101,100,32,115,119,105,116,99,104,32,114,101,115,105,115,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,54,34,32,108,105,110,101,69,110,100,61,34,49,53,51,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,82,111,110,34,32,99,111,109,109,101,110,116,61,34,67,108,111,115,101,100,32,115,119,105,116,99,104,32,114,101,115,105,115,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,54,34,32,108,105,110,101,69,110,100,61,34,49,53,51,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,71,111,102,102,34,32,99,111,109,109,101,110,116,61,34,79,112,101,110,101,100,32,115,119,105,116,99,104,32,99,111,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,83,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,83,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,52,48,34,32,108,105,110,101,69,110,100,61,34,49,53,52,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,71,111,102,102,34,32,99,111,109,109,101,110,116,61,34,79,112,101,110,101,100,32,115,119,105,116,99,104,32,99,111,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,83,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,83,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,52,48,34,32,108,105,110,101,69,110,100,61,34,49,53,52,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,82,111,110,34,32,99,111,109,109,101,110,116,61,34,67,108,111,115,101,100,32,115,119,105,116,99,104,32,114,101,115,105,115,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,54,34,32,108,105,110,101,69,110,100,61,34,49,53,51,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,82,111,110,34,32,99,111,109,109,101,110,116,61,34,67,108,111,115,101,100,32,115,119,105,116,99,104,32,114,101,115,105,115,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,54,34,32,108,105,110,101,69,110,100,61,34,49,53,51,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,71,111,102,102,34,32,99,111,109,109,101,110,116,61,34,79,112,101,110,101,100,32,115,119,105,116,99,104,32,99,111,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,83,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,83,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,52,48,34,32,108,105,110,101,69,110,100,61,34,49,53,52,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,71,111,102,102,34,32,99,111,109,109,101,110,116,61,34,79,112,101,110,101,100,32,115,119,105,116,99,104,32,99,111,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,83,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,83,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,52,48,34,32,108,105,110,101,69,110,100,61,34,49,53,52,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5191720);
/* memory initializer */ allocate([116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,82,111,110,34,32,99,111,109,109,101,110,116,61,34,67,108,111,115,101,100,32,115,119,105,116,99,104,32,114,101,115,105,115,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,54,34,32,108,105,110,101,69,110,100,61,34,49,53,51,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,82,111,110,34,32,99,111,109,109,101,110,116,61,34,67,108,111,115,101,100,32,115,119,105,116,99,104,32,114,101,115,105,115,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,54,34,32,108,105,110,101,69,110,100,61,34,49,53,51,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,71,111,102,102,34,32,99,111,109,109,101,110,116,61,34,79,112,101,110,101,100,32,115,119,105,116,99,104,32,99,111,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,83,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,83,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,52,48,34,32,108,105,110,101,69,110,100,61,34,49,53,52,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,71,111,102,102,34,32,99,111,109,109,101,110,116,61,34,79,112,101,110,101,100,32,115,119,105,116,99,104,32,99,111,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,83,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,83,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,52,48,34,32,108,105,110,101,69,110,100,61,34,49,53,52,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,98,111,111,108,101,97,110,83,116,101,112,51,91,49,93,46,115,116,97,114,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,84,105,109,101,32,105,110,115,116,97,110,116,32,111,102,32,115,116,101,112,32,115,116,97,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,53,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,98,111,111,108,101,97,110,83,116,101,112,51,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,98,111,111,108,101,97,110,83,116,101,112,51,91,49,93,46,115,116,97,114,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,84,105,109,101,32,105,110,115,116,97,110,116,32,111,102,32,115,116,101,112,32,115,116,97,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,53,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,98,111,111,108,101,97,110,83,116,101,112,51,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,98,111,111,108,101,97,110,83,116,101,112,51,91,50,93,46,115,116,97,114,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,84,105,109,101,32,105,110,115,116,97,110,116,32,111,102,32,115,116,101,112,32,115,116,97,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,53,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,98,111,111,108,101,97,110,83,116,101,112,51,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,98,111,111,108,101,97,110,83,116,101,112,51,91,50,93,46,115,116,97,114,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,84,105,109,101,32,105,110,115,116,97,110,116,32,111,102,32,115,116,101,112,32,115,116,97,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,53,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,98,111,111,108,101,97,110,83,116,101,112,51,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,98,111,111,108,101,97,110,83,116,101,112,51,91,51,93,46,115,116,97,114,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,84,105,109,101,32,105,110,115,116,97,110,116,32,111,102,32,115,116,101,112,32,115,116,97,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,53,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,98,111,111,108,101,97,110,83,116,101,112,51,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,98,111,111,108,101,97,110,83,116,101,112,51,91,51,93,46,115,116,97,114,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,84,105,109,101,32,105,110,115,116,97,110,116,32,111,102,32,115,116,101,112,32,115,116,97,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,53,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,98,111,111,108,101,97,110,83,116,101,112,51,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,84,114,97,110,115,102,111,114,109,97,116,105,111,110,77,97,116,114,105,120,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,54,54,54,54,54,54,54,54,54,54,54,54,54,54,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,48,54,34,32,108,105,110,101,69,110,100,61,34,49,48,56,48,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,56,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,112,97,99,101,80,104,97,115,111,114,115,46,66,108,111,99,107,115,46,84,111,83,112,97,99,101,80,104,97,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,84,114,97,110,115,102,111,114,109,97,116,105,111,110,77,97,116,114,105,120,91,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,54,54,54,54,54,54,54,54,54,54,54,54,54,54,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,48,54,34,32,108,105,110,101,69,110,100,61,34,49,48,56,48,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,56,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,112,97,99,101,80,104,97,115,111,114,115,46,66,108,111,99,107,115,46,84,111,83,112,97,99,101,80,104,97,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,84,114,97,110,115,102,111,114,109,97,116,105,111,110,77,97,116,114,105,120,91,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,54,54,54,54,54,54,54,54,54,54,54,54,54,54,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,48,54,34,32,108,105,110,101,69,110,100,61,34,49,48,56,48,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,56,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,112,97,99,101,80,104,97,115,111,114,115,46,66,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5201960);
/* memory initializer */ allocate([111,99,107,115,46,84,111,83,112,97,99,101,80,104,97,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,84,114,97,110,115,102,111,114,109,97,116,105,111,110,77,97,116,114,105,120,91,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,51,51,51,51,51,51,51,51,51,51,51,51,51,51,51,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,48,54,34,32,108,105,110,101,69,110,100,61,34,49,48,56,48,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,56,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,112,97,99,101,80,104,97,115,111,114,115,46,66,108,111,99,107,115,46,84,111,83,112,97,99,101,80,104,97,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,84,114,97,110,115,102,111,114,109,97,116,105,111,110,77,97,116,114,105,120,91,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,51,51,51,51,51,51,51,51,51,51,51,51,51,51,51,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,48,54,34,32,108,105,110,101,69,110,100,61,34,49,48,56,48,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,56,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,112,97,99,101,80,104,97,115,111,114,115,46,66,108,111,99,107,115,46,84,111,83,112,97,99,101,80,104,97,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,84,114,97,110,115,102,111,114,109,97,116,105,111,110,77,97,116,114,105,120,91,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,51,51,51,51,51,51,51,51,51,51,51,51,51,51,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,48,54,34,32,108,105,110,101,69,110,100,61,34,49,48,56,48,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,56,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,112,97,99,101,80,104,97,115,111,114,115,46,66,108,111,99,107,115,46,84,111,83,112,97,99,101,80,104,97,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,84,114,97,110,115,102,111,114,109,97,116,105,111,110,77,97,116,114,105,120,91,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,51,51,51,51,51,51,51,51,51,51,51,51,51,51,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,48,54,34,32,108,105,110,101,69,110,100,61,34,49,48,56,48,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,56,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,112,97,99,101,80,104,97,115,111,114,115,46,66,108,111,99,107,115,46,84,111,83,112,97,99,101,80,104,97,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,84,114,97,110,115,102,111,114,109,97,116,105,111,110,77,97,116,114,105,120,91,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,48,54,34,32,108,105,110,101,69,110,100,61,34,49,48,56,48,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,56,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,112,97,99,101,80,104,97,115,111,114,115,46,66,108,111,99,107,115,46,84,111,83,112,97,99,101,80,104,97,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,84,114,97,110,115,102,111,114,109,97,116,105,111,110,77,97,116,114,105,120,91,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,48,54,34,32,108,105,110,101,69,110,100,61,34,49,48,56,48,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,56,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,112,97,99,101,80,104,97,115,111,114,115,46,66,108,111,99,107,115,46,84,111,83,112,97,99,101,80,104,97,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,84,114,97,110,115,102,111,114,109,97,116,105,111,110,77,97,116,114,105,120,91,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,55,55,51,53,48,50,54,57,49,56,57,54,50,53,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,48,54,34,32,108,105,110,101,69,110,100,61,34,49,48,56,48,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,56,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,112,97,99,101,80,104,97,115,111,114,115,46,66,108,111,99,107,115,46,84,111,83,112,97,99,101,80,104,97,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,84,114,97,110,115,102,111,114,109,97,116,105,111,110,77,97,116,114,105,120,91,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,55,55,51,53,48,50,54,57,49,56,57,54,50,53,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,48,54,34,32,108,105,110,101,69,110,100,61,34,49,48,56,48,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,56,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,112,97,99,101,80,104,97,115,111,114,115,46,66,108,111,99,107,115,46,84,111,83,112,97,99,101,80,104,97,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,84,114,97,110,115,102,111,114,109,97,116,105,111,110,77,97,116,114,105,120,91,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,53,55,55,51,53,48,50,54,57,49,56,57,54,50,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,48,54,34,32,108,105,110,101,69,110,100,61,34,49,48,56,48,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,56,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,112,97,99,101,80,104,97,115,111,114,115,46,66,108,111,99,107,115,46,84,111,83,112,97,99,101,80,104,97,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,84,114,97,110,115,102,111,114,109,97,116,105,111,110,77,97,116,114,105,120,91,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,53,55,55,51,53,48,50,54,57,49,56,57,54,50,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,48,54,34,32,108,105,110,101,69,110,100,61,34,49,48,56,48,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,56,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,112,97,99,101,80,104,97,115,111,114,115,46,66,108,111,99,107,115,46,84,111,83,112,97,99,101,80,104,97,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,73,110,118,101,114,115,101,84,114,97,110,115,102,111,114,109,97,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,48,56,34,32,108,105,110,101,69,110,100,61,34,49,48,56,48,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,112,97,99,101,80,104,97,115,111,114,115,46,66,108,111,99,107,115,46,84,111,83,112,97,99,101,80,104,97,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,73,110,118,101,114,115,101,84,114,97,110,115,102,111,114,109,97,116,105,111,110,91,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,48,56,34,32,108,105,110,101,69,110,100,61,34,49,48,56,48,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,112,97,99,101,80,104,97,115,111,114,115,46,66,108,111,99,107,115,46,84,111,83,112,97,99,101,80,104,97,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,73,110,118,101,114,115,101,84,114,97,110,115,102,111,114,109,97,116,105,111,110,91,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,48,56,34,32,108,105,110,101,69,110,100,61,34,49,48,56,48,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5212200);
/* memory initializer */ allocate([121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,112,97,99,101,80,104,97,115,111,114,115,46,66,108,111,99,107,115,46,84,111,83,112,97,99,101,80,104,97,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,73,110,118,101,114,115,101,84,114,97,110,115,102,111,114,109,97,116,105,111,110,91,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,48,56,34,32,108,105,110,101,69,110,100,61,34,49,48,56,48,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,112,97,99,101,80,104,97,115,111,114,115,46,66,108,111,99,107,115,46,84,111,83,112,97,99,101,80,104,97,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,73,110,118,101,114,115,101,84,114,97,110,115,102,111,114,109,97,116,105,111,110,91,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,48,56,34,32,108,105,110,101,69,110,100,61,34,49,48,56,48,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,112,97,99,101,80,104,97,115,111,114,115,46,66,108,111,99,107,115,46,84,111,83,112,97,99,101,80,104,97,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,73,110,118,101,114,115,101,84,114,97,110,115,102,111,114,109,97,116,105,111,110,91,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,52,57,57,57,57,57,57,57,57,57,57,57,57,57,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,48,56,34,32,108,105,110,101,69,110,100,61,34,49,48,56,48,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,112,97,99,101,80,104,97,115,111,114,115,46,66,108,111,99,107,115,46,84,111,83,112,97,99,101,80,104,97,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,73,110,118,101,114,115,101,84,114,97,110,115,102,111,114,109,97,116,105,111,110,91,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,52,57,57,57,57,57,57,57,57,57,57,57,57,57,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,48,56,34,32,108,105,110,101,69,110,100,61,34,49,48,56,48,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,112,97,99,101,80,104,97,115,111,114,115,46,66,108,111,99,107,115,46,84,111,83,112,97,99,101,80,104,97,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,73,110,118,101,114,115,101,84,114,97,110,115,102,111,114,109,97,116,105,111,110,91,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,54,54,48,50,53,52,48,51,55,56,52,52,51,56,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,48,56,34,32,108,105,110,101,69,110,100,61,34,49,48,56,48,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,112,97,99,101,80,104,97,115,111,114,115,46,66,108,111,99,107,115,46,84,111,83,112,97,99,101,80,104,97,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,73,110,118,101,114,115,101,84,114,97,110,115,102,111,114,109,97,116,105,111,110,91,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,54,54,48,50,53,52,48,51,55,56,52,52,51,56,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,48,56,34,32,108,105,110,101,69,110,100,61,34,49,48,56,48,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,112,97,99,101,80,104,97,115,111,114,115,46,66,108,111,99,107,115,46,84,111,83,112,97,99,101,80,104,97,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,73,110,118,101,114,115,101,84,114,97,110,115,102,111,114,109,97,116,105,111,110,91,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,53,48,48,48,48,48,48,48,48,48,48,48,48,48,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,48,56,34,32,108,105,110,101,69,110,100,61,34,49,48,56,48,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,112,97,99,101,80,104,97,115,111,114,115,46,66,108,111,99,107,115,46,84,111,83,112,97,99,101,80,104,97,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,73,110,118,101,114,115,101,84,114,97,110,115,102,111,114,109,97,116,105,111,110,91,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,53,48,48,48,48,48,48,48,48,48,48,48,48,48,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,48,56,34,32,108,105,110,101,69,110,100,61,34,49,48,56,48,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,112,97,99,101,80,104,97,115,111,114,115,46,66,108,111,99,107,115,46,84,111,83,112,97,99,101,80,104,97,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,73,110,118,101,114,115,101,84,114,97,110,115,102,111,114,109,97,116,105,111,110,91,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,56,54,54,48,50,53,52,48,51,55,56,52,52,51,56,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,48,56,34,32,108,105,110,101,69,110,100,61,34,49,48,56,48,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,112,97,99,101,80,104,97,115,111,114,115,46,66,108,111,99,107,115,46,84,111,83,112,97,99,101,80,104,97,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,73,110,118,101,114,115,101,84,114,97,110,115,102,111,114,109,97,116,105,111,110,91,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,56,54,54,48,50,53,52,48,51,55,56,52,52,51,56,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,48,56,34,32,108,105,110,101,69,110,100,61,34,49,48,56,48,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,112,97,99,101,80,104,97,115,111,114,115,46,66,108,111,99,107,115,46,84,111,83,112,97,99,101,80,104,97,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,99,111,109,109,101,110,116,61,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,48,34,32,108,105,110,101,69,110,100,61,34,52,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,48,34,32,108,105,110,101,69,110,100,61,34,52,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,69,102,102,101,99,116,105,118], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5222440);
/* memory initializer */ allocate([101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,48,34,32,108,105,110,101,69,110,100,61,34,52,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,48,34,32,108,105,110,101,69,110,100,61,34,52,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,48,34,32,108,105,110,101,69,110,100,61,34,52,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,91,51,93,34,32,99,111,109,109,101,110,116,61,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,48,34,32,108,105,110,101,69,110,100,61,34,52,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,91,51,93,34,32,99,111,109,109,101,110,116,61,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,48,34,32,108,105,110,101,69,110,100,61,34,52,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,111,114,105,101,110,116,97,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,102,105,101,108,100,32,112,104,97,115,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,49,34,32,108,105,110,101,69,110,100,61,34,52,51,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,111,114,105,101,110,116,97,116,105,111,110,91,49,93,34,32,99,111,109,109,101,110,116,61,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,102,105,101,108,100,32,112,104,97,115,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,49,34,32,108,105,110,101,69,110,100,61,34,52,51,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,111,114,105,101,110,116,97,116,105,111,110,91,49,93,34,32,99,111,109,109,101,110,116,61,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,102,105,101,108,100,32,112,104,97,115,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,49,34,32,108,105,110,101,69,110,100,61,34,52,51,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,111,114,105,101,110,116,97,116,105,111,110,91,50,93,34,32,99,111,109,109,101,110,116,61,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,102,105,101,108,100,32,112,104,97,115,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,49,34,32,108,105,110,101,69,110,100,61,34,52,51,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,111,114,105,101,110,116,97,116,105,111,110,91,50,93,34,32,99,111,109,109,101,110,116,61,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,102,105,101,108,100,32,112,104,97,115,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,49,34,32,108,105,110,101,69,110,100,61,34,52,51,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,111,114,105,101,110,116,97,116,105,111,110,91,51,93,34,32,99,111,109,109,101,110,116,61,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,102,105,101,108,100,32,112,104,97,115,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5232680);
/* memory initializer */ allocate([102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,49,34,32,108,105,110,101,69,110,100,61,34,52,51,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,111,114,105,101,110,116,97,116,105,111,110,91,51,93,34,32,99,111,109,109,101,110,116,61,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,102,105,101,108,100,32,112,104,97,115,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,49,34,32,108,105,110,101,69,110,100,61,34,52,51,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,99,111,109,109,101,110,116,61,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,48,34,32,108,105,110,101,69,110,100,61,34,52,49,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,99,111,109,109,101,110,116,61,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,48,34,32,108,105,110,101,69,110,100,61,34,52,49,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,111,114,105,101,110,116,97,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,86,95,109,32,112,104,97,115,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,50,34,32,108,105,110,101,69,110,100,61,34,52,49,57,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,111,114,105,101,110,116,97,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,86,95,109,32,112,104,97,115,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,50,34,32,108,105,110,101,69,110,100,61,34,52,49,57,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,78,46,114,101,34,32,99,111,109,109,101,110,116,61,34,82,101,97,108,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,78,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,67,111,109,112,108,101,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,78,46,114,101,34,32,99,111,109,109,101,110,116,61,34,82,101,97,108,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,78,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,67,111,109,112,108,101,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,78,46,105,109,34,32,99,111,109,109,101,110,116,61,34,73,109,97,103,105,110,97,114,121,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,78,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,67,111,109,112,108,101,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,78,46,105,109,34,32,99,111,109,109,101,110,116,61,34,73,109,97,103,105,110,97,114,121,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5242920);
/* memory initializer */ allocate([32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,78,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,67,111,109,112,108,101,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,99,111,109,109,101,110,116,61,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,48,34,32,108,105,110,101,69,110,100,61,34,52,49,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,99,111,109,109,101,110,116,61,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,48,34,32,108,105,110,101,69,110,100,61,34,52,49,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,111,114,105,101,110,116,97,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,86,95,109,32,112,104,97,115,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,48,57,52,51,57,53,49,48,50,51,57,51,49,57,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,50,34,32,108,105,110,101,69,110,100,61,34,52,49,57,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,111,114,105,101,110,116,97,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,86,95,109,32,112,104,97,115,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,48,57,52,51,57,53,49,48,50,51,57,51,49,57,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,50,34,32,108,105,110,101,69,110,100,61,34,52,49,57,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,78,46,114,101,34,32,99,111,109,109,101,110,116,61,34,82,101,97,108,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,52,57,57,57,57,57,57,57,57,57,57,57,57,57,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,78,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,67,111,109,112,108,101,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,78,46,114,101,34,32,99,111,109,109,101,110,116,61,34,82,101,97,108,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,52,57,57,57,57,57,57,57,57,57,57,57,57,57,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,78,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,67,111,109,112,108,101,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,78,46,105,109,34,32,99,111,109,109,101,110,116,61,34,73,109,97,103,105,110,97,114,121,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,54,54,48,50,53,52,48,51,55,56,52,52,51,56,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,78,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,67,111,109,112,108,101,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,78,46,105,109,34,32,99,111,109,109,101,110,116,61,34,73,109,97,103,105,110,97,114,121,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,54,54,48,50,53,52,48,51,55,56,52,52,51,56,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,78,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,67,111,109,112,108,101,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5253160);
/* memory initializer */ allocate([108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,99,111,109,109,101,110,116,61,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,48,34,32,108,105,110,101,69,110,100,61,34,52,49,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,99,111,109,109,101,110,116,61,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,48,34,32,108,105,110,101,69,110,100,61,34,52,49,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,111,114,105,101,110,116,97,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,86,95,109,32,112,104,97,115,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,46,49,56,56,55,57,48,50,48,52,55,56,54,51,57,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,50,34,32,108,105,110,101,69,110,100,61,34,52,49,57,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,111,114,105,101,110,116,97,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,86,95,109,32,112,104,97,115,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,46,49,56,56,55,57,48,50,48,52,55,56,54,51,57,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,50,34,32,108,105,110,101,69,110,100,61,34,52,49,57,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,78,46,114,101,34,32,99,111,109,109,101,110,116,61,34,82,101,97,108,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,53,48,48,48,48,48,48,48,48,48,48,48,48,48,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,78,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,67,111,109,112,108,101,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,78,46,114,101,34,32,99,111,109,109,101,110,116,61,34,82,101,97,108,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,53,48,48,48,48,48,48,48,48,48,48,48,48,48,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,78,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,67,111,109,112,108,101,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,78,46,105,109,34,32,99,111,109,109,101,110,116,61,34,73,109,97,103,105,110,97,114,121,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,56,54,54,48,50,53,52,48,51,55,56,52,52,51,56,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,78,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,67,111,109,112,108,101,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,78,46,105,109,34,32,99,111,109,109,101,110,116,61,34,73,109,97,103,105,110,97,114,121,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,56,54,54,48,50,53,52,48,51,55,56,52,52,51,56,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,78,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,67,111,109,112,108,101,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5263400);
/* memory initializer */ allocate([108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,50,93,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,50,93,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,51,93,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,51,93,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,82,34,32,99,111,109,109,101,110,116,61,34,82,101,115,105,115,116,97,110,99,101,115,32,82,95,114,101,102,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,115,32,84,95,114,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,82,91,49,93,34,32,99,111,109,109,101,110,116,61,34,82,101,115,105,115,116,97,110,99,101,115,32,82,95,114,101,102,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,115,32,84,95,114,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,82,91,49,93,34,32,99,111,109,109,101,110,116,61,34,82,101,115,105,115,116,97,110,99,101,115,32,82,95,114,101,102,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,115,32,84,95,114,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,82,91,50,93,34,32,99,111,109,109,101,110,116,61,34,82,101,115,105,115,116,97,110,99,101,115,32,82,95,114,101,102,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,115,32,84,95,114,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,82,91,50,93,34,32,99,111,109,109,101,110,116,61,34,82,101,115,105,115,116,97,110,99,101,115,32,82,95,114,101,102,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,115,32,84,95,114,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5273640);
/* memory initializer */ allocate([116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,82,91,51,93,34,32,99,111,109,109,101,110,116,61,34,82,101,115,105,115,116,97,110,99,101,115,32,82,95,114,101,102,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,115,32,84,95,114,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,82,91,51,93,34,32,99,111,109,109,101,110,116,61,34,82,101,115,105,115,116,97,110,99,101,115,32,82,95,114,101,102,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,115,32,84,95,114,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,49,93,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,49,93,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,50,93,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,50,93,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,51,93,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,51,93,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,97,108,112,104,97,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,115,32,111,102,32,114,101,115,105,115,116,97,110,99,101,115,32,97,116,32,114,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,56,49,34,32,108,105,110,101,69,110,100,61,34,55,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5283880);
/* memory initializer */ allocate([87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,97,108,112,104,97,91,49,93,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,115,32,111,102,32,114,101,115,105,115,116,97,110,99,101,115,32,97,116,32,114,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,56,49,34,32,108,105,110,101,69,110,100,61,34,55,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,97,108,112,104,97,91,49,93,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,115,32,111,102,32,114,101,115,105,115,116,97,110,99,101,115,32,97,116,32,114,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,56,49,34,32,108,105,110,101,69,110,100,61,34,55,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,97,108,112,104,97,91,50,93,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,115,32,111,102,32,114,101,115,105,115,116,97,110,99,101,115,32,97,116,32,114,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,56,49,34,32,108,105,110,101,69,110,100,61,34,55,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,97,108,112,104,97,91,50,93,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,115,32,111,102,32,114,101,115,105,115,116,97,110,99,101,115,32,97,116,32,114,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,56,49,34,32,108,105,110,101,69,110,100,61,34,55,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,97,108,112,104,97,91,51,93,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,115,32,111,102,32,114,101,115,105,115,116,97,110,99,101,115,32,97,116,32,114,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,56,49,34,32,108,105,110,101,69,110,100,61,34,55,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,97,108,112,104,97,91,51,93,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,115,32,111,102,32,114,101,115,105,115,116,97,110,99,101,115,32,97,116,32,114,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,56,49,34,32,108,105,110,101,69,110,100,61,34,55,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,82,34,32,99,111,109,109,101,110,116,61,34,82,101,115,105,115,116,97,110,99,101,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,32,84,95,114,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,82,34,32,99,111,109,109,101,110,116,61,34,82,101,115,105,115,116,97,110,99,101,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,32,84,95,114,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5294120);
/* memory initializer */ allocate([115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,95,114,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,95,114,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,97,108,112,104,97,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,114,101,115,105,115,116,97,110,99,101,32,40,82,95,97,99,116,117,97,108,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,53,34,32,108,105,110,101,69,110,100,61,34,54,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,57,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,97,108,112,104,97,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,114,101,115,105,115,116,97,110,99,101,32,40,82,95,97,99,116,117,97,108,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,53,34,32,108,105,110,101,69,110,100,61,34,54,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,57,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,82,34,32,99,111,109,109,101,110,116,61,34,82,101,115,105,115,116,97,110,99,101,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,32,84,95,114,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,82,34,32,99,111,109,109,101,110,116,61,34,82,101,115,105,115,116,97,110,99,101,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,32,84,95,114,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,95,114,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,95,114,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5304360);
/* memory initializer */ allocate([101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,97,108,112,104,97,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,114,101,115,105,115,116,97,110,99,101,32,40,82,95,97,99,116,117,97,108,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,53,34,32,108,105,110,101,69,110,100,61,34,54,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,57,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,97,108,112,104,97,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,114,101,115,105,115,116,97,110,99,101,32,40,82,95,97,99,116,117,97,108,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,53,34,32,108,105,110,101,69,110,100,61,34,54,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,57,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,82,34,32,99,111,109,109,101,110,116,61,34,82,101,115,105,115,116,97,110,99,101,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,32,84,95,114,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,82,34,32,99,111,109,109,101,110,116,61,34,82,101,115,105,115,116,97,110,99,101,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,32,84,95,114,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,95,114,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,95,114,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,97,108,112,104,97,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,114,101,115,105,115,116,97,110,99,101,32,40,82,95,97,99,116,117,97,108,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,53,34,32,108,105,110,101,69,110,100,61,34,54,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,57,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5314600);
/* memory initializer */ allocate([121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,97,108,112,104,97,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,114,101,115,105,115,116,97,110,99,101,32,40,82,95,97,99,116,117,97,108,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,53,34,32,108,105,110,101,69,110,100,61,34,54,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,57,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,99,111,109,109,101,110,116,61,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,48,34,32,108,105,110,101,69,110,100,61,34,52,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,48,34,32,108,105,110,101,69,110,100,61,34,52,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,48,34,32,108,105,110,101,69,110,100,61,34,52,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,48,34,32,108,105,110,101,69,110,100,61,34,52,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,48,34,32,108,105,110,101,69,110,100,61,34,52,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,91,51,93,34,32,99,111,109,109,101,110,116,61,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,48,34,32,108,105,110,101,69,110,100,61,34,52,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,91,51,93,34,32,99,111,109,109,101,110,116,61,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,48,34,32,108,105,110,101,69,110,100,61,34,52,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,111,114,105,101,110,116,97,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,102,105,101,108,100,32,112,104,97,115,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,49,34,32,108,105,110,101,69,110,100,61,34,52,51,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,111,114,105,101,110,116,97,116,105,111,110,91,49,93,34,32,99,111,109,109,101,110,116,61,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,102,105,101,108,100,32,112,104,97,115,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,49,34,32,108,105,110,101,69,110,100,61,34,52,51,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,111,114,105,101,110,116,97,116,105,111,110,91,49,93,34,32,99,111,109,109,101,110,116,61,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,102,105,101,108,100,32,112,104,97,115,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,49,34,32,108,105,110,101,69,110,100,61,34,52,51,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5324840);
/* memory initializer */ allocate([61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,111,114,105,101,110,116,97,116,105,111,110,91,50,93,34,32,99,111,109,109,101,110,116,61,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,102,105,101,108,100,32,112,104,97,115,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,49,34,32,108,105,110,101,69,110,100,61,34,52,51,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,111,114,105,101,110,116,97,116,105,111,110,91,50,93,34,32,99,111,109,109,101,110,116,61,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,102,105,101,108,100,32,112,104,97,115,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,49,34,32,108,105,110,101,69,110,100,61,34,52,51,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,111,114,105,101,110,116,97,116,105,111,110,91,51,93,34,32,99,111,109,109,101,110,116,61,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,102,105,101,108,100,32,112,104,97,115,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,49,34,32,108,105,110,101,69,110,100,61,34,52,51,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,111,114,105,101,110,116,97,116,105,111,110,91,51,93,34,32,99,111,109,109,101,110,116,61,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,102,105,101,108,100,32,112,104,97,115,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,49,34,32,108,105,110,101,69,110,100,61,34,52,51,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,99,111,109,109,101,110,116,61,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,48,34,32,108,105,110,101,69,110,100,61,34,52,49,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,99,111,109,109,101,110,116,61,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,48,34,32,108,105,110,101,69,110,100,61,34,52,49,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,111,114,105,101,110,116,97,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,86,95,109,32,112,104,97,115,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,50,34,32,108,105,110,101,69,110,100,61,34,52,49,57,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,111,114,105,101,110,116,97,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,86,95,109,32,112,104,97,115,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,50,34,32,108,105,110,101,69,110,100,61,34,52,49,57,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,78,46,114,101,34,32,99,111,109,109,101,110,116,61,34,82,101,97,108,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,78,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5335080);
/* memory initializer */ allocate([101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,67,111,109,112,108,101,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,78,46,114,101,34,32,99,111,109,109,101,110,116,61,34,82,101,97,108,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,78,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,67,111,109,112,108,101,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,78,46,105,109,34,32,99,111,109,109,101,110,116,61,34,73,109,97,103,105,110,97,114,121,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,78,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,67,111,109,112,108,101,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,78,46,105,109,34,32,99,111,109,109,101,110,116,61,34,73,109,97,103,105,110,97,114,121,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,78,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,67,111,109,112,108,101,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,99,111,109,109,101,110,116,61,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,48,34,32,108,105,110,101,69,110,100,61,34,52,49,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,99,111,109,109,101,110,116,61,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,48,34,32,108,105,110,101,69,110,100,61,34,52,49,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,111,114,105,101,110,116,97,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,86,95,109,32,112,104,97,115,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,48,57,52,51,57,53,49,48,50,51,57,51,49,57,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,50,34,32,108,105,110,101,69,110,100,61,34,52,49,57,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,111,114,105,101,110,116,97,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,86,95,109,32,112,104,97,115,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,48,57,52,51,57,53,49,48,50,51,57,51,49,57,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,50,34,32,108,105,110,101,69,110,100,61,34,52,49,57,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,78,46,114,101,34,32,99,111,109,109,101,110,116,61,34,82,101,97,108,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,52,57,57,57,57,57,57,57,57,57,57,57,57,57,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,78,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,67,111,109,112,108,101,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,78,46,114,101,34,32,99,111,109,109,101,110,116,61,34,82,101,97,108,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,52,57,57,57,57,57,57,57,57,57,57,57,57,57,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,78,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5345320);
/* memory initializer */ allocate([97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,67,111,109,112,108,101,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,78,46,105,109,34,32,99,111,109,109,101,110,116,61,34,73,109,97,103,105,110,97,114,121,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,54,54,48,50,53,52,48,51,55,56,52,52,51,56,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,78,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,67,111,109,112,108,101,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,78,46,105,109,34,32,99,111,109,109,101,110,116,61,34,73,109,97,103,105,110,97,114,121,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,54,54,48,50,53,52,48,51,55,56,52,52,51,56,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,78,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,67,111,109,112,108,101,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,99,111,109,109,101,110,116,61,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,48,34,32,108,105,110,101,69,110,100,61,34,52,49,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,99,111,109,109,101,110,116,61,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,48,34,32,108,105,110,101,69,110,100,61,34,52,49,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,111,114,105,101,110,116,97,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,86,95,109,32,112,104,97,115,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,46,49,56,56,55,57,48,50,48,52,55,56,54,51,57,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,50,34,32,108,105,110,101,69,110,100,61,34,52,49,57,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,111,114,105,101,110,116,97,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,86,95,109,32,112,104,97,115,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,46,49,56,56,55,57,48,50,48,52,55,56,54,51,57,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,57,50,34,32,108,105,110,101,69,110,100,61,34,52,49,57,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,78,46,114,101,34,32,99,111,109,109,101,110,116,61,34,82,101,97,108,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,53,48,48,48,48,48,48,48,48,48,48,48,48,48,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,78,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,67,111,109,112,108,101,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,78,46,114,101,34,32,99,111,109,109,101,110,116,61,34,82,101,97,108,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,53,48,48,48,48,48,48,48,48,48,48,48,48,48,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,78,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,67,111,109,112,108,101,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,78,46,105,109,34,32,99,111,109,109,101,110,116,61,34,73,109,97,103,105,110,97,114,121,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,56,54,54,48,50,53,52,48,51,55,56,52,52,51,56,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,78,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5355560);
/* memory initializer */ allocate([62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,67,111,109,112,108,101,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,78,46,105,109,34,32,99,111,109,109,101,110,116,61,34,73,109,97,103,105,110,97,114,121,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,56,54,54,48,50,53,52,48,51,55,56,52,52,51,56,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,78,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,67,111,109,112,108,101,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,76,34,32,99,111,109,109,101,110,116,61,34,73,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,49,57,34,32,108,105,110,101,69,110,100,61,34,57,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,76,91,49,93,34,32,99,111,109,109,101,110,116,61,34,73,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,49,57,34,32,108,105,110,101,69,110,100,61,34,57,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,76,91,49,93,34,32,99,111,109,109,101,110,116,61,34,73,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,49,57,34,32,108,105,110,101,69,110,100,61,34,57,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,76,91,50,93,34,32,99,111,109,109,101,110,116,61,34,73,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,49,57,34,32,108,105,110,101,69,110,100,61,34,57,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,76,91,50,93,34,32,99,111,109,109,101,110,116,61,34,73,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,49,57,34,32,108,105,110,101,69,110,100,61,34,57,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,76,91,51,93,34,32,99,111,109,109,101,110,116,61,34,73,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,49,57,34,32,108,105,110,101,69,110,100,61,34,57,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,76,91,51,93,34,32,99,111,109,109,101,110,116,61,34,73,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,49,57,34,32,108,105,110,101,69,110,100,61,34,57,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,46,76,34,32,99,111,109,109,101,110,116,61,34,73,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,34,32,108,105,110,101,69,110,100,61,34,51,51,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,46,76,34,32,99,111,109,109,101,110,116,61,34,73,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,34,32,108,105,110,101,69,110,100,61,34,51,51,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5365800);
/* memory initializer */ allocate([50,93,46,76,34,32,99,111,109,109,101,110,116,61,34,73,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,34,32,108,105,110,101,69,110,100,61,34,51,51,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,46,76,34,32,99,111,109,109,101,110,116,61,34,73,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,34,32,108,105,110,101,69,110,100,61,34,51,51,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,46,76,34,32,99,111,109,109,101,110,116,61,34,73,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,34,32,108,105,110,101,69,110,100,61,34,51,51,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,46,76,34,32,99,111,109,109,101,110,116,61,34,73,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,34,32,108,105,110,101,69,110,100,61,34,51,51,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,49,93,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,50,93,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,50,93,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,51,93,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,51,93,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5376040);
/* memory initializer */ allocate([115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,82,34,32,99,111,109,109,101,110,116,61,34,82,101,115,105,115,116,97,110,99,101,115,32,82,95,114,101,102,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,115,32,84,95,114,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,82,91,49,93,34,32,99,111,109,109,101,110,116,61,34,82,101,115,105,115,116,97,110,99,101,115,32,82,95,114,101,102,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,115,32,84,95,114,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,82,91,49,93,34,32,99,111,109,109,101,110,116,61,34,82,101,115,105,115,116,97,110,99,101,115,32,82,95,114,101,102,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,115,32,84,95,114,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,82,91,50,93,34,32,99,111,109,109,101,110,116,61,34,82,101,115,105,115,116,97,110,99,101,115,32,82,95,114,101,102,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,115,32,84,95,114,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,82,91,50,93,34,32,99,111,109,109,101,110,116,61,34,82,101,115,105,115,116,97,110,99,101,115,32,82,95,114,101,102,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,115,32,84,95,114,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,82,91,51,93,34,32,99,111,109,109,101,110,116,61,34,82,101,115,105,115,116,97,110,99,101,115,32,82,95,114,101,102,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,115,32,84,95,114,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,82,91,51,93,34,32,99,111,109,109,101,110,116,61,34,82,101,115,105,115,116,97,110,99,101,115,32,82,95,114,101,102,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,115,32,84,95,114,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,49,93,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,49,93,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5386280);
/* memory initializer */ allocate([97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,50,93,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,50,93,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,51,93,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,51,93,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,97,108,112,104,97,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,115,32,111,102,32,114,101,115,105,115,116,97,110,99,101,115,32,97,116,32,114,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,56,49,34,32,108,105,110,101,69,110,100,61,34,55,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,97,108,112,104,97,91,49,93,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,115,32,111,102,32,114,101,115,105,115,116,97,110,99,101,115,32,97,116,32,114,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,56,49,34,32,108,105,110,101,69,110,100,61,34,55,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,97,108,112,104,97,91,49,93,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,115,32,111,102,32,114,101,115,105,115,116,97,110,99,101,115,32,97,116,32,114,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,56,49,34,32,108,105,110,101,69,110,100,61,34,55,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,97,108,112,104,97,91,50,93,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,115,32,111,102,32,114,101,115,105,115,116,97,110,99,101,115,32,97,116,32,114,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,56,49,34,32,108,105,110,101,69,110,100,61,34,55,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,97,108,112,104,97,91,50,93,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,115,32,111,102,32,114,101,115,105,115,116,97,110,99,101,115,32,97,116,32,114,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,56,49,34,32,108,105,110,101,69,110,100,61,34,55,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,97,108,112,104,97,91,51,93,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,115,32,111,102,32,114,101,115,105,115,116,97,110,99,101,115,32,97,116,32,114,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,56,49,34,32,108,105,110,101,69,110,100,61,34,55,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5396520);
/* memory initializer */ allocate([77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,97,108,112,104,97,91,51,93,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,115,32,111,102,32,114,101,115,105,115,116,97,110,99,101,115,32,97,116,32,114,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,56,49,34,32,108,105,110,101,69,110,100,61,34,55,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,82,34,32,99,111,109,109,101,110,116,61,34,82,101,115,105,115,116,97,110,99,101,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,32,84,95,114,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,82,34,32,99,111,109,109,101,110,116,61,34,82,101,115,105,115,116,97,110,99,101,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,32,84,95,114,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,95,114,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,95,114,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,97,108,112,104,97,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,114,101,115,105,115,116,97,110,99,101,32,40,82,95,97,99,116,117,97,108,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,53,34,32,108,105,110,101,69,110,100,61,34,54,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,57,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,97,108,112,104,97,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,114,101,115,105,115,116,97,110,99,101,32,40,82,95,97,99,116,117,97,108,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,53,34,32,108,105,110,101,69,110,100,61,34,54,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,57,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5406760);
/* memory initializer */ allocate([34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,82,34,32,99,111,109,109,101,110,116,61,34,82,101,115,105,115,116,97,110,99,101,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,32,84,95,114,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,82,34,32,99,111,109,109,101,110,116,61,34,82,101,115,105,115,116,97,110,99,101,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,32,84,95,114,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,95,114,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,95,114,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,97,108,112,104,97,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,114,101,115,105,115,116,97,110,99,101,32,40,82,95,97,99,116,117,97,108,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,53,34,32,108,105,110,101,69,110,100,61,34,54,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,57,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,97,108,112,104,97,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,114,101,115,105,115,116,97,110,99,101,32,40,82,95,97,99,116,117,97,108,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,53,34,32,108,105,110,101,69,110,100,61,34,54,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,57,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5417000);
/* memory initializer */ allocate([101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,82,34,32,99,111,109,109,101,110,116,61,34,82,101,115,105,115,116,97,110,99,101,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,32,84,95,114,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,82,34,32,99,111,109,109,101,110,116,61,34,82,101,115,105,115,116,97,110,99,101,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,32,84,95,114,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,95,114,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,95,114,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,97,108,112,104,97,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,114,101,115,105,115,116,97,110,99,101,32,40,82,95,97,99,116,117,97,108,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,53,34,32,108,105,110,101,69,110,100,61,34,54,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,57,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,97,108,112,104,97,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,114,101,115,105,115,116,97,110,99,101,32,40,82,95,97,99,116,117,97,108,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,53,34,32,108,105,110,101,69,110,100,61,34,54,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,57,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,86,115,78,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,82,77,83,32,118,111,108,116,97,103,101,32,112,101,114,32,112,104,97,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,49,51,34,32,108,105,110,101,69,110,100,61,34,49,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,86,115,78,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,82,77,83,32,118,111,108,116,97,103,101,32,112,101,114,32,112,104,97,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,49,51,34,32,108,105,110,101,69,110,100,61,34,49,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,102,78,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,102,114,101,113,117,101,110,99,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,49,53,34,32,108,105,110,101,69,110,100,61,34,49,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,102,78,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,102,114,101,113,117,101,110,99,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,49,53,34,32,108,105,110,101,69,110,100,61,34,49,51,49,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,79,110,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,116,105,109,101,32,111,102,32,109,97,99,104,105,110,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,49,54,34,32,108,105,110,101,69,110,100,61,34,49,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,79,110,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,116,105,109,101,32,111,102,32,109,97,99,104,105,110,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,49,54,34,32,108,105,110,101,69,110,100,61,34,49,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,84,95,76,111,97,100,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,108,111,97,100,32,116,111,114,113,117,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,54,49,46,52,34,32,102,105,120,101,100,61], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5427240);
/* memory initializer */ allocate([34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,49,55,34,32,108,105,110,101,69,110,100,61,34,49,51,49,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,84,95,76,111,97,100,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,108,111,97,100,32,116,111,114,113,117,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,54,49,46,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,49,55,34,32,108,105,110,101,69,110,100,61,34,49,51,49,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,119,95,76,111,97,100,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,108,111,97,100,32,115,112,101,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,53,48,46,56,52,51,53,55,49,50,54,50,49,49,51,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,109,105,110,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,49,56,34,32,108,105,110,101,69,110,100,61,34,49,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,119,95,76,111,97,100,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,108,111,97,100,32,115,112,101,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,53,48,46,56,52,51,53,55,49,50,54,50,49,49,51,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,109,105,110,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,49,56,34,32,108,105,110,101,69,110,100,61,34,49,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,74,95,76,111,97,100,34,32,99,111,109,109,101,110,116,61,34,76,111,97,100,32,105,110,101,114,116,105,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,50,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,46,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,50,48,34,32,108,105,110,101,69,110,100,61,34,49,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,74,95,76,111,97,100,34,32,99,111,109,109,101,110,116,61,34,76,111,97,100,32,105,110,101,114,116,105,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,50,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,46,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,50,48,34,32,108,105,110,101,69,110,100,61,34,49,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,74,114,34,32,99,111,109,109,101,110,116,61,34,82,111,116,111,114,32,105,110,101,114,116,105,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,50,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,46,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,53,52,34,32,108,105,110,101,69,110,100,61,34,54,54,53,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,74,114,34,32,99,111,109,109,101,110,116,61,34,82,111,116,111,114,32,105,110,101,114,116,105,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,50,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,46,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,53,52,34,32,108,105,110,101,69,110,100,61,34,54,54,53,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,102,115,78,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,102,114,101,113,117,101,110,99,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,54,51,34,32,108,105,110,101,69,110,100,61,34,54,54,54,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,102,115,78,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,102,114,101,113,117,101,110,99,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,54,51,34,32,108,105,110,101,69,110,100,61,34,54,54,54,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,84,115,79,112,101,114,97,116,105,111,110,97,108,34,32,99,111,109,109,101,110,116,61,34,79,112,101,114,97,116,105,111,110,97,108,32,116,101,109,112,101,114,97,116,117,114,101,32,111,102,32,115,116,97,116,111,114,32,114,101,115,105,115,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,54,53,34,32,108,105,110,101,69,110,100,61,34,54,54,54,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,84,115,79,112,101,114,97,116,105,111,110,97,108,34,32,99,111,109,109,101,110,116,61,34,79,112,101,114,97,116,105,111,110,97,108,32,116,101,109,112,101,114,97,116,117,114,101,32,111,102,32,115,116,97,116,111,114,32,114,101,115,105,115,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,54,53,34,32,108,105,110,101,69,110,100,61,34,54,54,54,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,82,115,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,114,101,115,105,115,116,97,110,99,101,32,112,101,114,32,112,104,97,115,101,32,97,116,32,84,82,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,54,56,34,32,108,105,110,101,69,110,100,61,34,54,54,55,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,82,115,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,114,101,115,105,115,116,97,110,99,101,32,112,101,114,32,112,104,97,115,101,32,97,116,32,84,82,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,54,56,34,32,108,105,110,101,69,110,100,61,34,54,54,55,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,84,115,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,111,102,32,115,116,97,116,111,114,32,114,101,115,105,115,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,55,49,34,32,108,105,110,101,69,110,100,61,34,54,54,55,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5437480);
/* memory initializer */ allocate([101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,84,115,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,111,102,32,115,116,97,116,111,114,32,114,101,115,105,115,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,55,49,34,32,108,105,110,101,69,110,100,61,34,54,54,55,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,97,108,112,104,97,50,48,115,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,115,116,97,116,111,114,32,114,101,115,105,115,116,97,110,99,101,32,97,116,32,50,48,32,100,101,103,67,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,55,52,34,32,108,105,110,101,69,110,100,61,34,54,54,55,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,50,48,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,97,108,112,104,97,50,48,115,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,115,116,97,116,111,114,32,114,101,115,105,115,116,97,110,99,101,32,97,116,32,50,48,32,100,101,103,67,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,55,52,34,32,108,105,110,101,69,110,100,61,34,54,54,55,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,50,48,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,101,102,102,101,99,116,105,118,101,83,116,97,116,111,114,84,117,114,110,115,34,32,99,111,109,109,101,110,116,61,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,115,116,97,116,111,114,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,55,57,34,32,108,105,110,101,69,110,100,61,34,54,54,55,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,101,102,102,101,99,116,105,118,101,83,116,97,116,111,114,84,117,114,110,115,34,32,99,111,109,109,101,110,116,61,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,115,116,97,116,111,114,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,55,57,34,32,108,105,110,101,69,110,100,61,34,54,54,55,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,82,114,34,32,99,111,109,109,101,110,116,61,34,82,111,116,111,114,32,114,101,115,105,115,116,97,110,99,101,32,111,102,32,101,113,117,105,118,97,108,101,110,116,32,109,32,112,104,97,115,101,32,119,105,110,100,105,110,103,32,119,46,114,46,116,46,32,115,116,97,116,111,114,32,115,105,100,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,51,50,34,32,108,105,110,101,69,110,100,61,34,52,53,51,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,82,114,34,32,99,111,109,109,101,110,116,61,34,82,111,116,111,114,32,114,101,115,105,115,116,97,110,99,101,32,111,102,32,101,113,117,105,118,97,108,101,110,116,32,109,32,112,104,97,115,101,32,119,105,110,100,105,110,103,32,119,46,114,46,116,46,32,115,116,97,116,111,114,32,115,105,100,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,51,50,34,32,108,105,110,101,69,110,100,61,34,52,53,51,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,84,114,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,111,102,32,114,111,116,111,114,32,114,101,115,105,115,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,51,53,34,32,108,105,110,101,69,110,100,61,34,52,53,51,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,84,114,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,111,102,32,114,111,116,111,114,32,114,101,115,105,115,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,51,53,34,32,108,105,110,101,69,110,100,61,34,52,53,51,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,97,108,112,104,97,50,48,114,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,114,111,116,111,114,32,114,101,115,105,115,116,97,110,99,101,32,97,116,32,50,48,32,100,101,103,67,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,51,56,34,32,108,105,110,101,69,110,100,61,34,52,53,52,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,50,48,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,97,108,112,104,97,50,48,114,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,114,111,116,111,114,32,114,101,115,105,115,116,97,110,99,101,32,97,116,32,50,48,32,100,101,103,67,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,51,56,34,32,108,105,110,101,69,110,100,61,34,52,53,52,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,50,48,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,84,114,79,112,101,114,97,116,105,111,110,97,108,34,32,99,111,109,109,101,110,116,61,34,79,112,101,114,97,116,105,111,110,97,108,32,116,101,109,112,101,114,97,116,117,114,101,32,111,102,32,114,111,116,111,114,32,114,101,115,105,115,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,52,51,34,32,108,105,110,101,69,110,100,61,34,52,53,52,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,84,114,79,112,101,114,97,116,105,111,110,97,108,34,32,99,111,109,109,101,110,116,61,34,79,112,101,114,97,116,105,111,110,97,108,32,116,101,109,112,101,114,97,116,117,114,101,32,111,102,32,114,111,116,111,114,32,114,101,115,105,115,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,52,51,34,32,108,105,110,101,69,110,100,61,34,52,53,52,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5447720);
/* memory initializer */ allocate([32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,74,115,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,105,110,101,114,116,105,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,46,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,53,55,34,32,108,105,110,101,69,110,100,61,34,54,54,53,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,74,115,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,105,110,101,114,116,105,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,46,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,53,55,34,32,108,105,110,101,69,110,100,61,34,54,54,53,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,74,34,32,99,111,109,109,101,110,116,61,34,77,111,109,101,110,116,32,111,102,32,105,110,101,114,116,105,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,46,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,48,34,32,108,105,110,101,69,110,100,61,34,50,51,48,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,74,34,32,99,111,109,109,101,110,116,61,34,77,111,109,101,110,116,32,111,102,32,105,110,101,114,116,105,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,46,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,48,34,32,108,105,110,101,69,110,100,61,34,50,51,48,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,102,105,120,101,100,46,112,104,105,48,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,111,102,102,115,101,116,32,97,110,103,108,101,32,111,102,32,104,111,117,115,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,48,34,32,108,105,110,101,69,110,100,61,34,50,50,53,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,105,120,101,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,102,105,120,101,100,46,112,104,105,48,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,111,102,102,115,101,116,32,97,110,103,108,101,32,111,102,32,104,111,117,115,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,48,34,32,108,105,110,101,69,110,100,61,34,50,50,53,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,105,120,101,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,102,114,105,99,116,105,111,110,32,108,111,115,115,101,115,32,97,116,32,119,82,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,50,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,102,114,105,99,116,105,111,110,32,108,111,115,115,101,115,32,97,116,32,119,82,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,50,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,116,104,97,116,32,116,104,101,32,80,82,101,102,32,114,101,102,101,114,32,116,111,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,109,105,110,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,52,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,116,104,97,116,32,116,104,101,32,80,82,101,102,32,114,101,102,101,114,32,116,111,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,109,105,110,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,52,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,34,32,99,111,109,109,101,110,116,61,34,69,120,112,111,110,101,110,116,32,111,102,32,102,114,105,99,116,105,111,110,32,116,111,114,113,117,101,32,119,46,114,46,116,46,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,54,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,34,32,99,111,109,109,101,110,116,61,34,69,120,112,111,110,101,110,116,32,111,102,32,102,114,105,99,116,105,111,110,32,116,111,114,113,117,101,32,119,46,114,46,116,46,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,54,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,116,97,117,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,102,114,105,99,116,105,111,110,32,116,111,114,113,117,101,32,97,116,32,114,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5457960);
/* memory initializer */ allocate([115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,56,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,116,97,117,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,102,114,105,99,116,105,111,110,32,116,111,114,113,117,101,32,97,116,32,114,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,56,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,108,105,110,101,97,114,34,32,99,111,109,109,101,110,116,61,34,76,105,110,101,97,114,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,114,97,110,103,101,32,119,105,116,104,32,114,101,115,112,101,99,116,32,116,111,32,114,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,56,48,34,32,108,105,110,101,69,110,100,61,34,49,49,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,108,105,110,101,97,114,34,32,99,111,109,109,101,110,116,61,34,76,105,110,101,97,114,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,114,97,110,103,101,32,119,105,116,104,32,114,101,115,112,101,99,116,32,116,111,32,114,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,56,48,34,32,108,105,110,101,69,110,100,61,34,49,49,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,116,97,117,76,105,110,101,97,114,34,32,99,111,109,109,101,110,116,61,34,84,111,114,113,117,101,32,99,111,114,114,101,115,112,111,110,100,105,110,103,32,119,105,116,104,32,108,105,110,101,97,114,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,114,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,56,52,34,32,108,105,110,101,69,110,100,61,34,49,49,50,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,116,97,117,76,105,110,101,97,114,34,32,99,111,109,109,101,110,116,61,34,84,111,114,113,117,101,32,99,111,114,114,101,115,112,111,110,100,105,110,103,32,119,105,116,104,32,108,105,110,101,97,114,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,114,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,56,52,34,32,108,105,110,101,69,110,100,61,34,49,49,50,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,76,105,110,101,97,114,34,32,99,111,109,109,101,110,116,61,34,76,105,110,101,97,114,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,114,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,49,53,55,48,55,57,54,51,50,54,55,57,52,56,57,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,56,50,34,32,108,105,110,101,69,110,100,61,34,49,49,50,56,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,76,105,110,101,97,114,34,32,99,111,109,109,101,110,116,61,34,76,105,110,101,97,114,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,114,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,49,53,55,48,55,57,54,51,50,54,55,57,52,56,57,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,56,50,34,32,108,105,110,101,69,110,100,61,34,49,49,50,56,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,99,111,114,101,32,108,111,115,115,101,115,32,97,116,32,114,101,102,101,114,101,110,99,101,32,105,110,110,101,114,32,118,111,108,116,97,103,101,32,86,82,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,51,52,34,32,108,105,110,101,69,110,100,61,34,49,49,51,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,99,111,114,101,32,108,111,115,115,101,115,32,97,116,32,114,101,102,101,114,101,110,99,101,32,105,110,110,101,114,32,118,111,108,116,97,103,101,32,86,82,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,51,52,34,32,108,105,110,101,69,110,100,61,34,49,49,51,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,86,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,105,110,110,101,114,32,82,77,83,32,118,111,108,116,97,103,101,32,116,104,97,116,32,114,101,102,101,114,101,110,99,101,32,99,111,114,101,32,108,111,115,115,101,115,32,80,82,101,102,32,114,101,102,101,114,32,116,111,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,51,54,34,32,108,105,110,101,69,110,100,61,34,49,49,51,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,86,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,105,110,110,101,114,32,82,77,83,32,118,111,108,116,97,103,101,32,116,104,97,116,32,114,101,102,101,114,101,110,99,101,32,99,111,114,101,32,108,111,115,115,101,115,32,80,82,101,102,32,114,101,102,101,114,32,116,111,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,51,54,34,32,108,105,110,101,69,110,100,61,34,49,49,51,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5468200);
/* memory initializer */ allocate([32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,116,104,97,116,32,114,101,102,101,114,101,110,99,101,32,99,111,114,101,32,108,111,115,115,101,115,32,80,82,101,102,32,114,101,102,101,114,32,116,111,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,51,56,34,32,108,105,110,101,69,110,100,61,34,49,49,51,51,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,116,104,97,116,32,114,101,102,101,114,101,110,99,101,32,99,111,114,101,32,108,111,115,115,101,115,32,80,82,101,102,32,114,101,102,101,114,32,116,111,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,51,56,34,32,108,105,110,101,69,110,100,61,34,49,49,51,51,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,114,97,116,105,111,72,121,115,116,101,114,101,115,105,115,34,32,99,111,109,109,101,110,116,61,34,82,97,116,105,111,32,111,102,32,104,121,115,116,101,114,101,115,105,115,32,108,111,115,115,101,115,32,119,105,116,104,32,114,101,115,112,101,99,116,32,116,111,32,116,104,101,32,116,111,116,97,108,32,99,111,114,101,32,108,111,115,115,101,115,32,97,116,32,86,82,101,102,32,97,110,100,32,102,82,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,52,49,34,32,108,105,110,101,69,110,100,61,34,49,49,51,52,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,114,97,116,105,111,72,121,115,116,101,114,101,115,105,115,34,32,99,111,109,109,101,110,116,61,34,82,97,116,105,111,32,111,102,32,104,121,115,116,101,114,101,115,105,115,32,108,111,115,115,101,115,32,119,105,116,104,32,114,101,115,112,101,99,116,32,116,111,32,116,104,101,32,116,111,116,97,108,32,99,111,114,101,32,108,111,115,115,101,115,32,97,116,32,86,82,101,102,32,97,110,100,32,102,82,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,52,49,34,32,108,105,110,101,69,110,100,61,34,49,49,51,52,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,71,99,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,99,111,110,100,117,99,116,97,110,99,101,32,97,116,32,114,101,102,101,114,101,110,99,101,32,102,114,101,113,117,101,110,99,121,32,97,110,100,32,118,111,108,116,97,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,83,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,83,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,52,51,34,32,108,105,110,101,69,110,100,61,34,49,49,51,52,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,71,99,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,99,111,110,100,117,99,116,97,110,99,101,32,97,116,32,114,101,102,101,114,101,110,99,101,32,102,114,101,113,117,101,110,99,121,32,97,110,100,32,118,111,108,116,97,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,83,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,83,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,52,51,34,32,108,105,110,101,69,110,100,61,34,49,49,51,52,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,119,77,105,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,51,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,52,53,34,32,108,105,110,101,69,110,100,61,34,49,49,51,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,119,77,105,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,51,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,52,53,34,32,108,105,110,101,69,110,100,61,34,49,49,51,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,115,116,114,97,121,32,108,111,97,100,32,108,111,115,115,101,115,32,97,116,32,73,82,101,102,32,97,110,100,32,119,82,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,49,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,115,116,114,97,121,32,108,111,97,100,32,108,111,115,115,101,115,32,97,116,32,73,82,101,102,32,97,110,100,32,119,82,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,49,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,73,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,82,77,83,32,99,117,114,114,101,110,116,32,116,104,97,116,32,80,82,101,102,32,114,101,102,101,114,115,32,116,111,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,51,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,73,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,82,77,83,32,99,117,114,114,101,110,116,32,116,104,97,116,32,80,82,101,102,32,114,101,102,101,114,115,32,116,111,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,51,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5478440);
/* memory initializer */ allocate([77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,116,104,97,116,32,80,82,101,102,32,114,101,102,101,114,115,32,116,111,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,109,105,110,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,53,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,116,104,97,116,32,80,82,101,102,32,114,101,102,101,114,115,32,116,111,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,109,105,110,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,53,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,34,32,99,111,109,109,101,110,116,61,34,69,120,112,111,110,101,110,116,32,111,102,32,115,116,114,97,121,32,108,111,97,100,32,108,111,115,115,32,116,111,114,113,117,101,32,119,46,114,46,116,46,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,55,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,34,32,99,111,109,109,101,110,116,61,34,69,120,112,111,110,101,110,116,32,111,102,32,115,116,114,97,121,32,108,111,97,100,32,108,111,115,115,32,116,111,114,113,117,101,32,119,46,114,46,116,46,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,55,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,116,97,117,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,115,116,114,97,121,32,108,111,97,100,32,116,111,114,113,117,101,32,97,116,32,114,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,97,110,100,32,114,101,102,101,114,101,110,99,101,32,99,117,114,114,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,57,34,32,108,105,110,101,69,110,100,61,34,49,49,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,116,97,117,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,115,116,114,97,121,32,108,111,97,100,32,116,111,114,113,117,101,32,97,116,32,114,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,97,110,100,32,114,101,102,101,114,101,110,99,101,32,99,117,114,114,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,57,34,32,108,105,110,101,69,110,100,61,34,49,49,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,76,109,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,109,97,105,110,32,102,105,101,108,100,32,105,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,53,34,32,108,105,110,101,69,110,100,61,34,52,53,50,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,76,109,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,109,97,105,110,32,102,105,101,108,100,32,105,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,53,34,32,108,105,110,101,69,110,100,61,34,52,53,50,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,76,114,115,105,103,109,97,34,32,99,111,109,109,101,110,116,61,34,82,111,116,111,114,32,108,101,97,107,97,103,101,32,105,110,100,117,99,116,97,110,99,101,32,111,102,32,101,113,117,105,118,97,108,101,110,116,32,109,32,112,104,97,115,101,32,119,105,110,100,105,110,103,32,119,46,114,46,116,46,32,115,116,97,116,111,114,32,115,105,100,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,56,34,32,108,105,110,101,69,110,100,61,34,52,53,51,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,76,114,115,105,103,109,97,34,32,99,111,109,109,101,110,116,61,34,82,111,116,111,114,32,108,101,97,107,97,103,101,32,105,110,100,117,99,116,97,110,99,101,32,111,102,32,101,113,117,105,118,97,108,101,110,116,32,109,32,112,104,97,115,101,32,119,105,110,100,105,110,103,32,119,46,114,46,116,46,32,115,116,97,116,111,114,32,115,105,100,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,56,34,32,108,105,110,101,69,110,100,61,34,52,53,51,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,84,115,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,115,116,97,116,111,114,32,119,105,110,100,105,110,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,53,51,49,34,32,108,105,110,101,69,110,100,61,34,49,51,53,51,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,84,115,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,115,116,97,116,111,114,32,119,105,110,100,105,110,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,53,51,49,34,32,108,105,110,101,69,110,100,61,34,49,51,53,51,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5488680);
/* memory initializer */ allocate([116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,116,101,109,112,101,114,97,116,117,114,101,32,97,116,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,56,56,34,32,108,105,110,101,69,110,100,61,34,49,51,56,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,116,101,109,112,101,114,97,116,117,114,101,32,97,116,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,56,56,34,32,108,105,110,101,69,110,100,61,34,49,51,56,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,67,111,114,101,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,116,101,109,112,101,114,97,116,117,114,101,32,97,116,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,56,56,34,32,108,105,110,101,69,110,100,61,34,49,51,56,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,67,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,67,111,114,101,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,116,101,109,112,101,114,97,116,117,114,101,32,97,116,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,56,56,34,32,108,105,110,101,69,110,100,61,34,49,51,56,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,67,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,116,101,109,112,101,114,97,116,117,114,101,32,97,116,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,56,56,34,32,108,105,110,101,69,110,100,61,34,49,51,56,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,116,101,109,112,101,114,97,116,117,114,101,32,97,116,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,56,56,34,32,108,105,110,101,69,110,100,61,34,49,51,56,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,116,101,109,112,101,114,97,116,117,114,101,32,97,116,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,56,56,34,32,108,105,110,101,69,110,100,61,34,49,51,56,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,116,101,109,112,101,114,97,116,117,114,101,32,97,116,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,56,56,34,32,108,105,110,101,69,110,100,61,34,49,51,56,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,84,114,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,114,111,116,111,114,32,40,115,113,117,105,114,114,101,108,32,99,97,103,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,50,49,55,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,84,114,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,114,111,116,111,114,32,40,115,113,117,105,114,114,101,108,32,99,97,103,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,50,49,55,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5498920);
/* memory initializer */ allocate([112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,107,34,32,99,111,109,109,101,110,116,61,34,67,111,110,115,116,97,110,116,32,111,117,116,112,117,116,32,118,97,108,117,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,57,34,32,108,105,110,101,69,110,100,61,34,50,51,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,107,34,32,99,111,109,109,101,110,116,61,34,67,111,110,115,116,97,110,116,32,111,117,116,112,117,116,32,118,97,108,117,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,57,34,32,108,105,110,101,69,110,100,61,34,50,51,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,107,34,32,99,111,109,109,101,110,116,61,34,67,111,110,115,116,97,110,116,32,111,117,116,112,117,116,32,118,97,108,117,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,57,34,32,108,105,110,101,69,110,100,61,34,50,51,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,107,34,32,99,111,109,109,101,110,116,61,34,67,111,110,115,116,97,110,116,32,111,117,116,112,117,116,32,118,97,108,117,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,57,34,32,108,105,110,101,69,110,100,61,34,50,51,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,74,34,32,99,111,109,109,101,110,116,61,34,77,111,109,101,110,116,32,111,102,32,105,110,101,114,116,105,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,46,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,48,34,32,108,105,110,101,69,110,100,61,34,50,51,48,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,74,34,32,99,111,109,109,101,110,116,61,34,77,111,109,101,110,116,32,111,102,32,105,110,101,114,116,105,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,46,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,48,34,32,108,105,110,101,69,110,100,61,34,50,51,48,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,102,114,105,99,116,105,111,110,32,108,111,115,115,101,115,32,97,116,32,119,82,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,50,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,102,114,105,99,116,105,111,110,32,108,111,115,115,101,115,32,97,116,32,119,82,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,50,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,116,104,97,116,32,116,104,101,32,80,82,101,102,32,114,101,102,101,114,32,116,111,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,109,105,110,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,52,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,116,104,97,116,32,116,104,101,32,80,82,101,102,32,114,101,102,101,114,32,116,111,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,109,105,110,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,52,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,34,32,99,111,109,109,101,110,116,61,34,69,120,112,111,110,101,110,116,32,111,102,32,102,114,105,99,116,105,111,110,32,116,111,114,113,117,101,32,119,46,114,46,116,46,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,54,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,34,32,99,111,109,109,101,110,116,61,34,69,120,112,111,110,101,110,116,32,111,102,32,102,114,105,99,116,105,111,110,32,116,111,114,113,117,101,32,119,46,114,46,116,46,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5509160);
/* memory initializer */ allocate([111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,54,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,116,97,117,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,102,114,105,99,116,105,111,110,32,116,111,114,113,117,101,32,97,116,32,114,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,56,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,116,97,117,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,102,114,105,99,116,105,111,110,32,116,111,114,113,117,101,32,97,116,32,114,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,56,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,108,105,110,101,97,114,34,32,99,111,109,109,101,110,116,61,34,76,105,110,101,97,114,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,114,97,110,103,101,32,119,105,116,104,32,114,101,115,112,101,99,116,32,116,111,32,114,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,56,48,34,32,108,105,110,101,69,110,100,61,34,49,49,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,108,105,110,101,97,114,34,32,99,111,109,109,101,110,116,61,34,76,105,110,101,97,114,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,114,97,110,103,101,32,119,105,116,104,32,114,101,115,112,101,99,116,32,116,111,32,114,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,56,48,34,32,108,105,110,101,69,110,100,61,34,49,49,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,116,97,117,76,105,110,101,97,114,34,32,99,111,109,109,101,110,116,61,34,84,111,114,113,117,101,32,99,111,114,114,101,115,112,111,110,100,105,110,103,32,119,105,116,104,32,108,105,110,101,97,114,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,114,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,56,52,34,32,108,105,110,101,69,110,100,61,34,49,49,50,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,116,97,117,76,105,110,101,97,114,34,32,99,111,109,109,101,110,116,61,34,84,111,114,113,117,101,32,99,111,114,114,101,115,112,111,110,100,105,110,103,32,119,105,116,104,32,108,105,110,101,97,114,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,114,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,56,52,34,32,108,105,110,101,69,110,100,61,34,49,49,50,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,76,105,110,101,97,114,34,32,99,111,109,109,101,110,116,61,34,76,105,110,101,97,114,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,114,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,49,53,55,48,55,57,54,51,50,54,55,57,52,56,57,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,56,50,34,32,108,105,110,101,69,110,100,61,34,49,49,50,56,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,76,105,110,101,97,114,34,32,99,111,109,109,101,110,116,61,34,76,105,110,101,97,114,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,114,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,49,53,55,48,55,57,54,51,50,54,55,57,52,56,57,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,56,50,34,32,108,105,110,101,69,110,100,61,34,49,49,50,56,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,115,116,114,97,121,32,108,111,97,100,32,108,111,115,115,101,115,32,97,116,32,73,82,101,102,32,97,110,100,32,119,82,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,49,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,115,116,114,97,121,32,108,111,97,100,32,108,111,115,115,101,115,32,97,116,32,73,82,101,102,32,97,110,100,32,119,82,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,49,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5519400);
/* memory initializer */ allocate([62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,73,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,82,77,83,32,99,117,114,114,101,110,116,32,116,104,97,116,32,80,82,101,102,32,114,101,102,101,114,115,32,116,111,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,51,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,73,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,82,77,83,32,99,117,114,114,101,110,116,32,116,104,97,116,32,80,82,101,102,32,114,101,102,101,114,115,32,116,111,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,51,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,116,104,97,116,32,80,82,101,102,32,114,101,102,101,114,115,32,116,111,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,109,105,110,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,53,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,116,104,97,116,32,80,82,101,102,32,114,101,102,101,114,115,32,116,111,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,109,105,110,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,53,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,34,32,99,111,109,109,101,110,116,61,34,69,120,112,111,110,101,110,116,32,111,102,32,115,116,114,97,121,32,108,111,97,100,32,108,111,115,115,32,116,111,114,113,117,101,32,119,46,114,46,116,46,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,55,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,34,32,99,111,109,109,101,110,116,61,34,69,120,112,111,110,101,110,116,32,111,102,32,115,116,114,97,121,32,108,111,97,100,32,108,111,115,115,32,116,111,114,113,117,101,32,119,46,114,46,116,46,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,55,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,116,97,117,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,115,116,114,97,121,32,108,111,97,100,32,116,111,114,113,117,101,32,97,116,32,114,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,97,110,100,32,114,101,102,101,114,101,110,99,101,32,99,117,114,114,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,57,34,32,108,105,110,101,69,110,100,61,34,49,49,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,116,97,117,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,115,116,114,97,121,32,108,111,97,100,32,116,111,114,113,117,101,32,97,116,32,114,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,97,110,100,32,114,101,102,101,114,101,110,99,101,32,99,117,114,114,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,57,34,32,108,105,110,101,69,110,100,61,34,49,49,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,76,115,115,105,103,109,97,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,115,116,114,97,121,32,105,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,56,48,34,32,108,105,110,101,69,110,100,61,34,54,54,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,76,115,115,105,103,109,97,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,115,116,114,97,121,32,105,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,56,48,34,32,108,105,110,101,69,110,100,61,34,54,54,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,76,115,122,101,114,111,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,122,101,114,111,32,105,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,56,51,34,32,108,105,110,101,69,110,100,61,34,54,54,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,76,115,122,101,114,111,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,122,101,114,111,32,105,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5529640);
/* memory initializer */ allocate([97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,56,51,34,32,108,105,110,101,69,110,100,61,34,54,54,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,76,48,46,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,50,51,34,32,108,105,110,101,69,110,100,61,34,55,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,76,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,84,121,112,101,115,46,83,97,108,105,101,110,116,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,76,48,46,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,50,51,34,32,108,105,110,101,69,110,100,61,34,55,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,76,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,84,121,112,101,115,46,83,97,108,105,101,110,116,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,76,48,46,113,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,50,52,34,32,108,105,110,101,69,110,100,61,34,55,48,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,76,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,84,121,112,101,115,46,83,97,108,105,101,110,116,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,76,48,46,113,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,50,52,34,32,108,105,110,101,69,110,100,61,34,55,48,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,76,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,84,121,112,101,115,46,83,97,108,105,101,110,116,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,82,82,101,102,34,32,99,111,109,109,101,110,116,61,34,87,105,110,100,105,110,103,32,114,101,115,105,115,116,97,110,99,101,32,112,101,114,32,112,104,97,115,101,32,97,116,32,84,82,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,53,57,34,32,108,105,110,101,69,110,100,61,34,53,53,54,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,82,82,101,102,34,32,99,111,109,109,101,110,116,61,34,87,105,110,100,105,110,103,32,114,101,115,105,115,116,97,110,99,101,32,112,101,114,32,112,104,97,115,101,32,97,116,32,84,82,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,53,57,34,32,108,105,110,101,69,110,100,61,34,53,53,54,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,84,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,111,102,32,119,105,110,100,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,54,49,34,32,108,105,110,101,69,110,100,61,34,53,53,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,84,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,111,102,32,119,105,110,100,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,54,49,34,32,108,105,110,101,69,110,100,61,34,53,53,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,97,108,112,104,97,50,48,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,119,105,110,100,105,110,103,32,97,116,32,50,48,32,100,101,103,67,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,54,51,34,32,108,105,110,101,69,110,100,61,34,53,53,54,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,50,48,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,97,108,112,104,97,50,48,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,119,105,110,100,105,110,103,32,97,116,32,50,48,32,100,101,103,67,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,54,51,34,32,108,105,110,101,69,110,100,61,34,53,53,54,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,50,48,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,84,79,112,101,114,97,116,105,111,110,97,108,34,32,99,111,109,109,101,110,116,61,34,79,112,101,114,97,116,105,111,110,97,108,32,116,101,109,112,101,114,97,116,117,114,101,32,111,102,32,119,105,110,100,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,55,49,34,32,108,105,110,101,69,110,100,61,34,53,53,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,84,79,112,101,114,97,116,105,111,110,97,108,34,32,99,111,109,109,101,110,116,61,34,79,112,101,114,97,116,105,111,110,97,108,32,116,101,109,112,101,114,97,116,117,114,101,32,111,102,32,119,105,110,100,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5539880);
/* memory initializer */ allocate([49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,55,49,34,32,108,105,110,101,69,110,100,61,34,53,53,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,76,115,105,103,109,97,34,32,99,111,109,109,101,110,116,61,34,87,105,110,100,105,110,103,32,115,116,114,97,121,32,105,110,100,117,99,116,97,110,99,101,32,112,101,114,32,112,104,97,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,55,52,34,32,108,105,110,101,69,110,100,61,34,53,53,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,76,115,105,103,109,97,34,32,99,111,109,109,101,110,116,61,34,87,105,110,100,105,110,103,32,115,116,114,97,121,32,105,110,100,117,99,116,97,110,99,101,32,112,101,114,32,112,104,97,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,55,52,34,32,108,105,110,101,69,110,100,61,34,53,53,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,76,122,101,114,111,34,32,99,111,109,109,101,110,116,61,34,90,101,114,111,32,115,101,113,117,101,110,99,101,32,105,110,100,117,99,116,97,110,99,101,32,111,102,32,119,105,110,100,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,55,54,34,32,108,105,110,101,69,110,100,61,34,53,53,55,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,76,122,101,114,111,34,32,99,111,109,109,101,110,116,61,34,90,101,114,111,32,115,101,113,117,101,110,99,101,32,105,110,100,117,99,116,97,110,99,101,32,111,102,32,119,105,110,100,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,55,54,34,32,108,105,110,101,69,110,100,61,34,53,53,55,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,99,111,109,109,101,110,116,61,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,32,112,101,114,32,112,104,97,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,55,56,34,32,108,105,110,101,69,110,100,61,34,53,53,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,99,111,109,109,101,110,116,61,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,32,112,101,114,32,112,104,97,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,55,56,34,32,108,105,110,101,69,110,100,61,34,53,53,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,71,99,82,101,102,34,32,99,111,109,109,101,110,116,61,34,69,108,101,99,116,114,105,99,97,108,32,114,101,102,101,114,101,110,99,101,32,99,111,114,101,32,108,111,115,115,32,114,101,108,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,83,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,83,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,55,57,34,32,108,105,110,101,69,110,100,61,34,53,53,56,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,71,99,82,101,102,34,32,99,111,109,109,101,110,116,61,34,69,108,101,99,116,114,105,99,97,108,32,114,101,102,101,114,101,110,99,101,32,99,111,114,101,32,108,111,115,115,32,114,101,108,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,83,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,83,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,55,57,34,32,108,105,110,101,69,110,100,61,34,53,53,56,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,97,108,112,104,97,82,101,102,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,54,54,34,32,108,105,110,101,69,110,100,61,34,53,53,55,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,97,108,112,104,97,82,101,102,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,54,54,34,32,108,105,110,101,69,110,100,61,34,53,53,55,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,76,122,101,114,111,34,32,99,111,109,109,101,110,116,61,34,90,101,114,111,32,115,101,113,117,101,110,99,101,32,105,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,54,34,32,108,105,110,101,69,110,100,61,34,49,48,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5550120);
/* memory initializer */ allocate([10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,76,122,101,114,111,34,32,99,111,109,109,101,110,116,61,34,90,101,114,111,32,115,101,113,117,101,110,99,101,32,105,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,54,34,32,108,105,110,101,69,110,100,61,34,49,48,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,55,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,53,55,34,32,108,105,110,101,69,110,100,61,34,50,57,53,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,55,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,53,55,34,32,108,105,110,101,69,110,100,61,34,50,57,53,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,71,34,32,99,111,109,109,101,110,116,61,34,69,113,117,105,118,97,108,101,110,116,32,115,121,109,109,101,116,114,105,99,32,108,111,115,115,32,99,111,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,83,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,83,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,55,49,34,32,108,105,110,101,69,110,100,61,34,52,48,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,71,34,32,99,111,109,109,101,110,116,61,34,69,113,117,105,118,97,108,101,110,116,32,115,121,109,109,101,116,114,105,99,32,108,111,115,115,32,99,111,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,83,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,83,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,55,49,34,32,108,105,110,101,69,110,100,61,34,52,48,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,82,95,109,46,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,50,51,34,32,108,105,110,101,69,110,100,61,34,55,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,82,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,84,121,112,101,115,46,83,97,108,105,101,110,116,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,82,95,109,46,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,50,51,34,32,108,105,110,101,69,110,100,61,34,55,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,82,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,84,121,112,101,115,46,83,97,108,105,101,110,116,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,82,95,109,46,113,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,50,52,34,32,108,105,110,101,69,110,100,61,34,55,48,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,82,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,84,121,112,101,115,46,83,97,108,105,101,110,116,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,82,95,109,46,113,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,50,52,34,32,108,105,110,101,69,110,100,61,34,55,48,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,82,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,84,121,112,101,115,46,83,97,108,105,101,110,116,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,76,48,46,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,50,51,34,32,108,105,110,101,69,110,100,61,34,55,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,76,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,84,121,112,101,115,46,83,97,108,105,101,110,116,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,97,105,114,71,97,112,46,76,48,46,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,50], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5560360);
/* memory initializer */ allocate([51,34,32,108,105,110,101,69,110,100,61,34,55,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,76,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,84,121,112,101,115,46,83,97,108,105,101,110,116,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,76,48,46,113,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,50,52,34,32,108,105,110,101,69,110,100,61,34,55,48,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,76,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,84,121,112,101,115,46,83,97,108,105,101,110,116,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,97,105,114,71,97,112,46,76,48,46,113,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,50,52,34,32,108,105,110,101,69,110,100,61,34,55,48,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,76,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,84,121,112,101,115,46,83,97,108,105,101,110,116,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,82,95,109,46,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,54,50,46,53,57,53,55,55,48,52,48,49,50,49,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,50,51,34,32,108,105,110,101,69,110,100,61,34,55,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,82,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,84,121,112,101,115,46,83,97,108,105,101,110,116,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,97,105,114,71,97,112,46,82,95,109,46,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,54,50,46,53,57,53,55,55,48,52,48,49,50,49,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,50,51,34,32,108,105,110,101,69,110,100,61,34,55,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,82,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,84,121,112,101,115,46,83,97,108,105,101,110,116,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,82,95,109,46,113,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,54,50,46,53,57,53,55,55,48,52,48,49,50,49,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,50,52,34,32,108,105,110,101,69,110,100,61,34,55,48,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,82,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,84,121,112,101,115,46,83,97,108,105,101,110,116,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,97,105,114,71,97,112,46,82,95,109,46,113,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,54,50,46,53,57,53,55,55,48,52,48,49,50,49,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,50,52,34,32,108,105,110,101,69,110,100,61,34,55,48,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,82,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,84,121,112,101,115,46,83,97,108,105,101,110,116,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,82,82,101,102,34,32,99,111,109,109,101,110,116,61,34,87,105,110,100,105,110,103,32,114,101,115,105,115,116,97,110,99,101,32,112,101,114,32,112,104,97,115,101,32,97,116,32,84,82,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,55,50,34,32,108,105,110,101,69,110,100,61,34,53,56,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,82,82,101,102,34,32,99,111,109,109,101,110,116,61,34,87,105,110,100,105,110,103,32,114,101,115,105,115,116,97,110,99,101,32,112,101,114,32,112,104,97,115,101,32,97,116,32,84,82,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,55,50,34,32,108,105,110,101,69,110,100,61,34,53,56,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,111,102,32,119,105,110,100,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,55,52,34,32,108,105,110,101,69,110,100,61,34,53,56,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,111,102,32,119,105,110,100,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,55,52,34,32,108,105,110,101,69,110,100,61,34,53,56,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,97,108,112,104,97,50,48,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,119,105,110,100,105,110,103,32,97,116,32,50,48,32,100,101,103,67,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,55,54,34,32,108,105,110,101,69,110,100,61,34,53,56,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5570600);
/* memory initializer */ allocate([110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,50,48,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,97,108,112,104,97,50,48,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,119,105,110,100,105,110,103,32,97,116,32,50,48,32,100,101,103,67,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,55,54,34,32,108,105,110,101,69,110,100,61,34,53,56,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,50,48,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,84,79,112,101,114,97,116,105,111,110,97,108,34,32,99,111,109,109,101,110,116,61,34,79,112,101,114,97,116,105,111,110,97,108,32,116,101,109,112,101,114,97,116,117,114,101,32,111,102,32,119,105,110,100,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,56,52,34,32,108,105,110,101,69,110,100,61,34,53,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,84,79,112,101,114,97,116,105,111,110,97,108,34,32,99,111,109,109,101,110,116,61,34,79,112,101,114,97,116,105,111,110,97,108,32,116,101,109,112,101,114,97,116,117,114,101,32,111,102,32,119,105,110,100,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,56,52,34,32,108,105,110,101,69,110,100,61,34,53,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,76,115,105,103,109,97,34,32,99,111,109,109,101,110,116,61,34,67,97,103,101,32,115,116,114,97,121,32,105,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,56,55,34,32,108,105,110,101,69,110,100,61,34,53,56,56,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,76,115,105,103,109,97,34,32,99,111,109,109,101,110,116,61,34,67,97,103,101,32,115,116,114,97,121,32,105,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,56,55,34,32,108,105,110,101,69,110,100,61,34,53,56,56,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,99,111,109,109,101,110,116,61,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,56,56,34,32,108,105,110,101,69,110,100,61,34,53,56,56,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,99,111,109,109,101,110,116,61,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,56,56,34,32,108,105,110,101,69,110,100,61,34,53,56,56,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,97,108,112,104,97,82,101,102,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,55,57,34,32,108,105,110,101,69,110,100,61,34,53,56,56,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,97,108,112,104,97,82,101,102,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,55,57,34,32,108,105,110,101,69,110,100,61,34,53,56,56,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,108,111,97,100,73,110,101,114,116,105,97,77,46,74,34,32,99,111,109,109,101,110,116,61,34,77,111,109,101,110,116,32,111,102,32,105,110,101,114,116,105,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,46,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,48,34,32,108,105,110,101,69,110,100,61,34,50,51,48,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,108,111,97,100,73,110,101,114,116,105,97,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,108,111,97,100,73,110,101,114,116,105,97,77,46,74,34,32,99,111,109,109,101,110,116,61,34,77,111,109,101,110,116,32,111,102,32,105,110,101,114,116,105,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,46,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,48,34,32,108,105,110,101,69,110,100,61,34,50,51,48,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,108,111,97,100,73,110,101,114,116,105,97,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,116,97,117,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,116,111,114,113,117,101,32,40,105,102,32,110,101,103,97,116,105,118,101,44,32,116,111,114,113,117,101,32,105,115,32,97,99,116,105,110,103,32,97,115,32,108,111,97,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,57,57,34,32,108,105,110,101,69,110,100,61,34,54,51,48,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5580840);
/* memory initializer */ allocate([105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,83,111,117,114,99,101,115,46,81,117,97,100,114,97,116,105,99,83,112,101,101,100,68,101,112,101,110,100,101,110,116,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,116,97,117,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,116,111,114,113,117,101,32,40,105,102,32,110,101,103,97,116,105,118,101,44,32,116,111,114,113,117,101,32,105,115,32,97,99,116,105,110,103,32,97,115,32,108,111,97,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,57,57,34,32,108,105,110,101,69,110,100,61,34,54,51,48,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,83,111,117,114,99,101,115,46,81,117,97,100,114,97,116,105,99,83,112,101,101,100,68,101,112,101,110,100,101,110,116,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,119,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,115,112,101,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,49,53,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,51,48,51,34,32,108,105,110,101,69,110,100,61,34,54,51,48,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,83,111,117,114,99,101,115,46,81,117,97,100,114,97,116,105,99,83,112,101,101,100,68,101,112,101,110,100,101,110,116,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,119,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,115,112,101,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,49,53,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,51,48,51,34,32,108,105,110,101,69,110,100,61,34,54,51,48,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,83,111,117,114,99,101,115,46,81,117,97,100,114,97,116,105,99,83,112,101,101,100,68,101,112,101,110,100,101,110,116,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,74,114,34,32,99,111,109,109,101,110,116,61,34,82,111,116,111,114,39,115,32,109,111,109,101,110,116,32,111,102,32,105,110,101,114,116,105,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,50,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,46,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,56,57,53,34,32,108,105,110,101,69,110,100,61,34,49,52,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,68,97,116,97,46,74,114,34,32,99,111,109,109,101,110,116,61,34,82,111,116,111,114,39,115,32,109,111,109,101,110,116,32,111,102,32,105,110,101,114,116,105,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,50,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,46,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,56,57,53,34,32,108,105,110,101,69,110,100,61,34,49,52,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,102,115,78,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,102,114,101,113,117,101,110,99,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,56,57,56,34,32,108,105,110,101,69,110,100,61,34,49,52,56,57,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,68,97,116,97,46,102,115,78,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,102,114,101,113,117,101,110,99,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,56,57,56,34,32,108,105,110,101,69,110,100,61,34,49,52,56,57,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,82,115,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,114,101,115,105,115,116,97,110,99,101,32,112,101,114,32,112,104,97,115,101,32,97,116,32,84,82,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,56,57,57,34,32,108,105,110,101,69,110,100,61,34,49,52,57,48,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,68,97,116,97,46,82,115,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,114,101,115,105,115,116,97,110,99,101,32,112,101,114,32,112,104,97,115,101,32,97,116,32,84,82,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,56,57,57,34,32,108,105,110,101,69,110,100,61,34,49,52,57,48,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,84,115,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,111,102,32,115,116,97,116,111,114,32,114,101,115,105,115,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,57,48,50,34,32,108,105,110,101,69,110,100,61,34,49,52,57,48,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,68,97,116,97,46,84,115,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,111,102,32,115,116,97,116,111,114,32,114,101,115,105,115,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,57,48,50,34,32,108,105,110,101,69,110,100,61,34,49,52,57,48,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,97,108,112,104,97,50,48,115,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,115,116,97,116,111,114,32,114,101,115,105,115,116,97,110,99,101,32,97,116,32,50,48,32,100,101,103,67,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,57,48,53,34,32,108,105,110,101,69,110,100,61,34,49,52,57,48,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,50,48,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,68,97,116,97,46,97,108,112,104,97,50,48,115,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,115,116,97,116,111,114,32,114,101,115,105,115,116,97,110,99,101,32,97,116,32,50,48,32,100,101,103,67,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,57,48,53,34,32,108,105,110,101,69,110,100,61,34,49,52,57,48,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,50,48,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,82,114,34,32,99,111,109,109,101,110,116,61,34,82,111,116,111,114,32,114,101,115,105,115,116,97,110,99,101,32,40,101,113,117,105,118,97,108,101,110,116,32,116,104,114,101,101,32,112,104,97,115,101,32,119,105,110,100,105,110,103,41,32,97,116,32,84,82,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5591080);
/* memory initializer */ allocate([114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,57,52,53,34,32,108,105,110,101,69,110,100,61,34,49,52,57,52,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,68,97,116,97,46,82,114,34,32,99,111,109,109,101,110,116,61,34,82,111,116,111,114,32,114,101,115,105,115,116,97,110,99,101,32,40,101,113,117,105,118,97,108,101,110,116,32,116,104,114,101,101,32,112,104,97,115,101,32,119,105,110,100,105,110,103,41,32,97,116,32,84,82,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,57,52,53,34,32,108,105,110,101,69,110,100,61,34,49,52,57,52,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,84,114,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,111,102,32,114,111,116,111,114,32,114,101,115,105,115,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,57,52,56,34,32,108,105,110,101,69,110,100,61,34,49,52,57,53,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,68,97,116,97,46,84,114,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,111,102,32,114,111,116,111,114,32,114,101,115,105,115,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,57,52,56,34,32,108,105,110,101,69,110,100,61,34,49,52,57,53,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,97,108,112,104,97,50,48,114,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,114,111,116,111,114,32,114,101,115,105,115,116,97,110,99,101,32,97,116,32,50,48,32,100,101,103,67,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,57,53,49,34,32,108,105,110,101,69,110,100,61,34,49,52,57,53,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,50,48,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,68,97,116,97,46,97,108,112,104,97,50,48,114,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,114,111,116,111,114,32,114,101,115,105,115,116,97,110,99,101,32,97,116,32,50,48,32,100,101,103,67,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,57,53,49,34,32,108,105,110,101,69,110,100,61,34,49,52,57,53,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,50,48,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,74,115,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,39,115,32,109,111,109,101,110,116,32,111,102,32,105,110,101,114,116,105,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,46,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,56,57,54,34,32,108,105,110,101,69,110,100,61,34,49,52,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,68,97,116,97,46,74,115,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,39,115,32,109,111,109,101,110,116,32,111,102,32,105,110,101,114,116,105,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,46,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,56,57,54,34,32,108,105,110,101,69,110,100,61,34,49,52,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,76,115,115,105,103,109,97,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,115,116,114,97,121,32,105,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,57,49,49,34,32,108,105,110,101,69,110,100,61,34,49,52,57,49,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,68,97,116,97,46,76,115,115,105,103,109,97,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,115,116,114,97,121,32,105,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,57,49,49,34,32,108,105,110,101,69,110,100,61,34,49,52,57,49,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,102,114,105,99,116,105,111,110,32,108,111,115,115,101,115,32,97,116,32,119,82,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,50,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,102,114,105,99,116,105,111,110,32,108,111,115,115,101,115,32,97,116,32,119,82,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,50,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,116,104,97,116,32,116,104,101,32,80,82,101,102,32,114,101,102,101,114,32,116,111,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,109,105,110,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,52,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,116,104,97,116,32,116,104,101,32,80,82,101,102,32,114,101,102,101,114,32,116,111,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5601320);
/* memory initializer */ allocate([116,61,34,49,47,109,105,110,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,52,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,34,32,99,111,109,109,101,110,116,61,34,69,120,112,111,110,101,110,116,32,111,102,32,102,114,105,99,116,105,111,110,32,116,111,114,113,117,101,32,119,46,114,46,116,46,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,54,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,34,32,99,111,109,109,101,110,116,61,34,69,120,112,111,110,101,110,116,32,111,102,32,102,114,105,99,116,105,111,110,32,116,111,114,113,117,101,32,119,46,114,46,116,46,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,54,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,116,97,117,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,102,114,105,99,116,105,111,110,32,116,111,114,113,117,101,32,97,116,32,114,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,56,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,116,97,117,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,102,114,105,99,116,105,111,110,32,116,111,114,113,117,101,32,97,116,32,114,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,56,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,108,105,110,101,97,114,34,32,99,111,109,109,101,110,116,61,34,76,105,110,101,97,114,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,114,97,110,103,101,32,119,105,116,104,32,114,101,115,112,101,99,116,32,116,111,32,114,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,56,48,34,32,108,105,110,101,69,110,100,61,34,49,49,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,108,105,110,101,97,114,34,32,99,111,109,109,101,110,116,61,34,76,105,110,101,97,114,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,114,97,110,103,101,32,119,105,116,104,32,114,101,115,112,101,99,116,32,116,111,32,114,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,56,48,34,32,108,105,110,101,69,110,100,61,34,49,49,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,116,97,117,76,105,110,101,97,114,34,32,99,111,109,109,101,110,116,61,34,84,111,114,113,117,101,32,99,111,114,114,101,115,112,111,110,100,105,110,103,32,119,105,116,104,32,108,105,110,101,97,114,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,114,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,56,52,34,32,108,105,110,101,69,110,100,61,34,49,49,50,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,116,97,117,76,105,110,101,97,114,34,32,99,111,109,109,101,110,116,61,34,84,111,114,113,117,101,32,99,111,114,114,101,115,112,111,110,100,105,110,103,32,119,105,116,104,32,108,105,110,101,97,114,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,114,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,56,52,34,32,108,105,110,101,69,110,100,61,34,49,49,50,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,76,105,110,101,97,114,34,32,99,111,109,109,101,110,116,61,34,76,105,110,101,97,114,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,114,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,49,53,55,48,55,57,54,51,50,54,55,57,52,56,57,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,56,50,34,32,108,105,110,101,69,110,100,61,34,49,49,50,56,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,76,105,110,101,97,114,34,32,99,111,109,109,101,110,116,61,34,76,105,110,101,97,114,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,114,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,49,53,55,48,55,57,54,51,50,54,55,57,52,56,57,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,56,50,34,32,108,105,110,101,69,110,100,61,34,49,49,50,56,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,99,111,114,101,32,108,111,115,115,101,115,32,97,116,32,114,101,102,101,114,101,110,99,101,32,105,110,110,101,114,32,118,111,108,116,97,103,101,32,86,82,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,51,52,34,32,108,105,110,101,69,110,100,61,34,49,49,51,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,99,111,114,101,32,108,111,115,115,101,115,32,97,116,32,114,101,102,101,114,101,110,99,101,32,105,110,110,101,114,32,118,111,108,116,97,103,101,32,86,82,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5611560);
/* memory initializer */ allocate([68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,51,52,34,32,108,105,110,101,69,110,100,61,34,49,49,51,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,86,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,105,110,110,101,114,32,82,77,83,32,118,111,108,116,97,103,101,32,116,104,97,116,32,114,101,102,101,114,101,110,99,101,32,99,111,114,101,32,108,111,115,115,101,115,32,80,82,101,102,32,114,101,102,101,114,32,116,111,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,51,54,34,32,108,105,110,101,69,110,100,61,34,49,49,51,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,86,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,105,110,110,101,114,32,82,77,83,32,118,111,108,116,97,103,101,32,116,104,97,116,32,114,101,102,101,114,101,110,99,101,32,99,111,114,101,32,108,111,115,115,101,115,32,80,82,101,102,32,114,101,102,101,114,32,116,111,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,51,54,34,32,108,105,110,101,69,110,100,61,34,49,49,51,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,116,104,97,116,32,114,101,102,101,114,101,110,99,101,32,99,111,114,101,32,108,111,115,115,101,115,32,80,82,101,102,32,114,101,102,101,114,32,116,111,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,51,56,34,32,108,105,110,101,69,110,100,61,34,49,49,51,51,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,116,104,97,116,32,114,101,102,101,114,101,110,99,101,32,99,111,114,101,32,108,111,115,115,101,115,32,80,82,101,102,32,114,101,102,101,114,32,116,111,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,51,56,34,32,108,105,110,101,69,110,100,61,34,49,49,51,51,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,114,97,116,105,111,72,121,115,116,101,114,101,115,105,115,34,32,99,111,109,109,101,110,116,61,34,82,97,116,105,111,32,111,102,32,104,121,115,116,101,114,101,115,105,115,32,108,111,115,115,101,115,32,119,105,116,104,32,114,101,115,112,101,99,116,32,116,111,32,116,104,101,32,116,111,116,97,108,32,99,111,114,101,32,108,111,115,115,101,115,32,97,116,32,86,82,101,102,32,97,110,100,32,102,82,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,52,49,34,32,108,105,110,101,69,110,100,61,34,49,49,51,52,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,114,97,116,105,111,72,121,115,116,101,114,101,115,105,115,34,32,99,111,109,109,101,110,116,61,34,82,97,116,105,111,32,111,102,32,104,121,115,116,101,114,101,115,105,115,32,108,111,115,115,101,115,32,119,105,116,104,32,114,101,115,112,101,99,116,32,116,111,32,116,104,101,32,116,111,116,97,108,32,99,111,114,101,32,108,111,115,115,101,115,32,97,116,32,86,82,101,102,32,97,110,100,32,102,82,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,52,49,34,32,108,105,110,101,69,110,100,61,34,49,49,51,52,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,71,99,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,99,111,110,100,117,99,116,97,110,99,101,32,97,116,32,114,101,102,101,114,101,110,99,101,32,102,114,101,113,117,101,110,99,121,32,97,110,100,32,118,111,108,116,97,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,83,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,83,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,52,51,34,32,108,105,110,101,69,110,100,61,34,49,49,51,52,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,71,99,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,99,111,110,100,117,99,116,97,110,99,101,32,97,116,32,114,101,102,101,114,101,110,99,101,32,102,114,101,113,117,101,110,99,121,32,97,110,100,32,118,111,108,116,97,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,83,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,83,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,52,51,34,32,108,105,110,101,69,110,100,61,34,49,49,51,52,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,119,77,105,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,51,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,52,53,34,32,108,105,110,101,69,110,100,61,34,49,49,51,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,119,77,105,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,51,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,52,53,34,32,108,105,110,101,69,110,100,61,34,49,49,51,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,115,116,114,97,121,32,108,111,97,100,32,108,111,115,115,101,115,32,97,116,32,73,82,101,102,32,97,110,100,32,119,82,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,49,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5621800);
/* memory initializer */ allocate([46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,115,116,114,97,121,32,108,111,97,100,32,108,111,115,115,101,115,32,97,116,32,73,82,101,102,32,97,110,100,32,119,82,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,49,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,73,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,82,77,83,32,99,117,114,114,101,110,116,32,116,104,97,116,32,80,82,101,102,32,114,101,102,101,114,115,32,116,111,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,51,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,73,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,82,77,83,32,99,117,114,114,101,110,116,32,116,104,97,116,32,80,82,101,102,32,114,101,102,101,114,115,32,116,111,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,51,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,116,104,97,116,32,80,82,101,102,32,114,101,102,101,114,115,32,116,111,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,109,105,110,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,53,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,116,104,97,116,32,80,82,101,102,32,114,101,102,101,114,115,32,116,111,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,109,105,110,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,53,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,34,32,99,111,109,109,101,110,116,61,34,69,120,112,111,110,101,110,116,32,111,102,32,115,116,114,97,121,32,108,111,97,100,32,108,111,115,115,32,116,111,114,113,117,101,32,119,46,114,46,116,46,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,55,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,34,32,99,111,109,109,101,110,116,61,34,69,120,112,111,110,101,110,116,32,111,102,32,115,116,114,97,121,32,108,111,97,100,32,108,111,115,115,32,116,111,114,113,117,101,32,119,46,114,46,116,46,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,55,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,116,97,117,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,115,116,114,97,121,32,108,111,97,100,32,116,111,114,113,117,101,32,97,116,32,114,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,97,110,100,32,114,101,102,101,114,101,110,99,101,32,99,117,114,114,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,57,34,32,108,105,110,101,69,110,100,61,34,49,49,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,116,97,117,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,115,116,114,97,121,32,108,111,97,100,32,116,111,114,113,117,101,32,97,116,32,114,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,97,110,100,32,114,101,102,101,114,101,110,99,101,32,99,117,114,114,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,57,34,32,108,105,110,101,69,110,100,61,34,49,49,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,76,109,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,109,97,105,110,32,102,105,101,108,100,32,105,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,57,51,57,34,32,108,105,110,101,69,110,100,61,34,49,52,57,52,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,68,97,116,97,46,76,109,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,109,97,105,110,32,102,105,101,108,100,32,105,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,57,51,57,34,32,108,105,110,101,69,110,100,61,34,49,52,57,52,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,76,114,115,105,103,109,97,34,32,99,111,109,109,101,110,116,61,34,82,111,116,111,114,32,115,116,114,97,121,32,105,110,100,117,99,116,97,110,99,101,32,40,101,113,117,105,118,97,108,101,110,116,32,116,104,114,101,101,32,112,104,97,115,101,32,119,105,110,100,105,110,103,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,57,52,50,34,32,108,105,110,101,69,110,100,61,34,49,52,57,52,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,68,97,116,97,46,76,114,115,105,103,109,97,34,32,99,111,109,109,101,110,116,61,34,82,111,116,111,114,32,115,116,114,97,121,32,105,110,100,117,99,116,97,110,99,101,32,40,101,113,117,105,118,97,108,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5632040);
/* memory initializer */ allocate([110,116,32,116,104,114,101,101,32,112,104,97,115,101,32,119,105,110,100,105,110,103,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,57,52,50,34,32,108,105,110,101,69,110,100,61,34,49,52,57,52,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,76,115,122,101,114,111,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,122,101,114,111,32,115,101,113,117,101,110,99,101,32,105,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,57,48,56,34,32,108,105,110,101,69,110,100,61,34,49,52,57,49,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,68,97,116,97,46,76,115,122,101,114,111,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,122,101,114,111,32,115,101,113,117,101,110,99,101,32,105,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,57,48,56,34,32,108,105,110,101,69,110,100,61,34,49,52,57,49,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,71,97,105,110,49,46,107,34,32,99,111,109,109,101,110,116,61,34,71,97,105,110,32,118,97,108,117,101,32,109,117,108,116,105,112,108,105,101,100,32,119,105,116,104,32,105,110,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,48,55,49,48,54,55,56,49,49,56,54,53,52,55,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,77,97,116,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,56,34,32,108,105,110,101,69,110,100,61,34,54,50,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,71,97,105,110,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,77,97,116,104,46,71,97,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,71,97,105,110,49,46,107,34,32,99,111,109,109,101,110,116,61,34,71,97,105,110,32,118,97,108,117,101,32,109,117,108,116,105,112,108,105,101,100,32,119,105,116,104,32,105,110,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,48,55,49,48,54,55,56,49,49,56,54,53,52,55,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,77,97,116,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,56,34,32,108,105,110,101,69,110,100,61,34,54,50,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,71,97,105,110,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,77,97,116,104,46,71,97,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,74,114,34,32,99,111,109,109,101,110,116,61,34,82,111,116,111,114,32,105,110,101,114,116,105,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,50,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,46,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,53,52,34,32,108,105,110,101,69,110,100,61,34,54,54,53,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,74,114,34,32,99,111,109,109,101,110,116,61,34,82,111,116,111,114,32,105,110,101,114,116,105,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,50,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,46,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,53,52,34,32,108,105,110,101,69,110,100,61,34,54,54,53,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,102,115,78,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,102,114,101,113,117,101,110,99,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,54,51,34,32,108,105,110,101,69,110,100,61,34,54,54,54,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,102,115,78,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,102,114,101,113,117,101,110,99,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,54,51,34,32,108,105,110,101,69,110,100,61,34,54,54,54,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,84,115,79,112,101,114,97,116,105,111,110,97,108,34,32,99,111,109,109,101,110,116,61,34,79,112,101,114,97,116,105,111,110,97,108,32,116,101,109,112,101,114,97,116,117,114,101,32,111,102,32,115,116,97,116,111,114,32,114,101,115,105,115,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,54,53,34,32,108,105,110,101,69,110,100,61,34,54,54,54,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,84,115,79,112,101,114,97,116,105,111,110,97,108,34,32,99,111,109,109,101,110,116,61,34,79,112,101,114,97,116,105,111,110,97,108,32,116,101,109,112,101,114,97,116,117,114,101,32,111,102,32,115,116,97,116,111,114,32,114,101,115,105,115,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,54,53,34,32,108,105,110,101,69,110,100,61,34,54,54,54,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,82,115,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,114,101,115,105,115,116,97,110,99,101,32,112,101,114,32,112,104,97,115,101,32,97,116,32,84,82,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,54,56,34,32,108,105,110,101,69,110,100,61,34,54,54,55,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,82,115,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,114,101,115,105,115,116,97,110,99,101,32,112,101,114,32,112,104,97,115,101,32,97,116,32,84,82,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,54,56,34,32,108,105,110,101,69,110,100,61,34,54,54,55,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,84,115,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,111,102,32,115,116,97,116,111,114,32,114,101,115,105,115,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,55,49,34,32,108,105,110,101,69,110,100,61,34,54,54,55,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5642280);
/* memory initializer */ allocate([110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,84,115,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,111,102,32,115,116,97,116,111,114,32,114,101,115,105,115,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,55,49,34,32,108,105,110,101,69,110,100,61,34,54,54,55,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,97,108,112,104,97,50,48,115,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,115,116,97,116,111,114,32,114,101,115,105,115,116,97,110,99,101,32,97,116,32,50,48,32,100,101,103,67,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,55,52,34,32,108,105,110,101,69,110,100,61,34,54,54,55,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,50,48,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,97,108,112,104,97,50,48,115,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,115,116,97,116,111,114,32,114,101,115,105,115,116,97,110,99,101,32,97,116,32,50,48,32,100,101,103,67,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,55,52,34,32,108,105,110,101,69,110,100,61,34,54,54,55,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,50,48,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,101,102,102,101,99,116,105,118,101,83,116,97,116,111,114,84,117,114,110,115,34,32,99,111,109,109,101,110,116,61,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,115,116,97,116,111,114,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,55,57,34,32,108,105,110,101,69,110,100,61,34,54,54,55,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,101,102,102,101,99,116,105,118,101,83,116,97,116,111,114,84,117,114,110,115,34,32,99,111,109,109,101,110,116,61,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,115,116,97,116,111,114,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,55,57,34,32,108,105,110,101,69,110,100,61,34,54,54,55,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,82,114,34,32,99,111,109,109,101,110,116,61,34,82,111,116,111,114,32,114,101,115,105,115,116,97,110,99,101,32,111,102,32,101,113,117,105,118,97,108,101,110,116,32,109,32,112,104,97,115,101,32,119,105,110,100,105,110,103,32,119,46,114,46,116,46,32,115,116,97,116,111,114,32,115,105,100,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,51,50,34,32,108,105,110,101,69,110,100,61,34,52,53,51,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,82,114,34,32,99,111,109,109,101,110,116,61,34,82,111,116,111,114,32,114,101,115,105,115,116,97,110,99,101,32,111,102,32,101,113,117,105,118,97,108,101,110,116,32,109,32,112,104,97,115,101,32,119,105,110,100,105,110,103,32,119,46,114,46,116,46,32,115,116,97,116,111,114,32,115,105,100,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,51,50,34,32,108,105,110,101,69,110,100,61,34,52,53,51,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,84,114,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,111,102,32,114,111,116,111,114,32,114,101,115,105,115,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,51,53,34,32,108,105,110,101,69,110,100,61,34,52,53,51,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,84,114,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,111,102,32,114,111,116,111,114,32,114,101,115,105,115,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,51,53,34,32,108,105,110,101,69,110,100,61,34,52,53,51,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,97,108,112,104,97,50,48,114,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,114,111,116,111,114,32,114,101,115,105,115,116,97,110,99,101,32,97,116,32,50,48,32,100,101,103,67,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,51,56,34,32,108,105,110,101,69,110,100,61,34,52,53,52,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,50,48,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,97,108,112,104,97,50,48,114,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,114,111,116,111,114,32,114,101,115,105,115,116,97,110,99,101,32,97,116,32,50,48,32,100,101,103,67,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,51,56,34,32,108,105,110,101,69,110,100,61,34,52,53,52,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,50,48,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,84,114,79,112,101,114,97,116,105,111,110,97,108,34,32,99,111,109,109,101,110,116,61,34,79,112,101,114,97,116,105,111,110,97,108,32,116,101,109,112,101,114,97,116,117,114,101,32,111,102,32,114,111,116,111,114,32,114,101,115,105,115,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,52,51,34,32,108,105,110,101,69,110,100,61,34,52,53,52,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,84,114,79,112,101,114,97,116,105,111,110,97,108,34,32,99,111,109,109,101,110,116,61,34,79,112,101,114,97,116,105,111,110,97,108,32,116,101,109,112,101,114,97,116,117,114,101,32,111,102,32,114,111,116,111,114,32,114,101,115,105,115,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,52,51,34,32,108,105,110,101,69,110,100,61,34,52,53,52,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5652520);
/* memory initializer */ allocate([112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,74,115,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,105,110,101,114,116,105,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,46,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,53,55,34,32,108,105,110,101,69,110,100,61,34,54,54,53,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,74,115,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,105,110,101,114,116,105,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,46,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,53,55,34,32,108,105,110,101,69,110,100,61,34,54,54,53,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,74,34,32,99,111,109,109,101,110,116,61,34,77,111,109,101,110,116,32,111,102,32,105,110,101,114,116,105,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,46,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,48,34,32,108,105,110,101,69,110,100,61,34,50,51,48,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,74,34,32,99,111,109,109,101,110,116,61,34,77,111,109,101,110,116,32,111,102,32,105,110,101,114,116,105,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,46,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,48,34,32,108,105,110,101,69,110,100,61,34,50,51,48,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,102,105,120,101,100,46,112,104,105,48,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,111,102,102,115,101,116,32,97,110,103,108,101,32,111,102,32,104,111,117,115,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,48,34,32,108,105,110,101,69,110,100,61,34,50,50,53,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,105,120,101,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,102,105,120,101,100,46,112,104,105,48,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,111,102,102,115,101,116,32,97,110,103,108,101,32,111,102,32,104,111,117,115,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,48,34,32,108,105,110,101,69,110,100,61,34,50,50,53,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,105,120,101,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,102,114,105,99,116,105,111,110,32,108,111,115,115,101,115,32,97,116,32,119,82,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,50,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,102,114,105,99,116,105,111,110,32,108,111,115,115,101,115,32,97,116,32,119,82,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,50,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,116,104,97,116,32,116,104,101,32,80,82,101,102,32,114,101,102,101,114,32,116,111,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,109,105,110,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,52,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,116,104,97,116,32,116,104,101,32,80,82,101,102,32,114,101,102,101,114,32,116,111,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,109,105,110,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,52,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,34,32,99,111,109,109,101,110,116,61,34,69,120,112,111,110,101,110,116,32,111,102,32,102,114,105,99,116,105,111,110,32,116,111,114,113,117,101,32,119,46,114,46,116,46,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,54,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,34,32,99,111,109,109,101,110,116,61,34,69,120,112,111,110,101,110,116,32,111,102,32,102,114,105,99,116,105,111,110,32,116,111,114,113,117,101,32,119,46,114,46,116,46,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,54,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5662760);
/* memory initializer */ allocate([108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,116,97,117,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,102,114,105,99,116,105,111,110,32,116,111,114,113,117,101,32,97,116,32,114,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,56,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,116,97,117,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,102,114,105,99,116,105,111,110,32,116,111,114,113,117,101,32,97,116,32,114,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,56,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,108,105,110,101,97,114,34,32,99,111,109,109,101,110,116,61,34,76,105,110,101,97,114,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,114,97,110,103,101,32,119,105,116,104,32,114,101,115,112,101,99,116,32,116,111,32,114,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,56,48,34,32,108,105,110,101,69,110,100,61,34,49,49,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,108,105,110,101,97,114,34,32,99,111,109,109,101,110,116,61,34,76,105,110,101,97,114,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,114,97,110,103,101,32,119,105,116,104,32,114,101,115,112,101,99,116,32,116,111,32,114,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,56,48,34,32,108,105,110,101,69,110,100,61,34,49,49,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,116,97,117,76,105,110,101,97,114,34,32,99,111,109,109,101,110,116,61,34,84,111,114,113,117,101,32,99,111,114,114,101,115,112,111,110,100,105,110,103,32,119,105,116,104,32,108,105,110,101,97,114,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,114,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,56,52,34,32,108,105,110,101,69,110,100,61,34,49,49,50,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,116,97,117,76,105,110,101,97,114,34,32,99,111,109,109,101,110,116,61,34,84,111,114,113,117,101,32,99,111,114,114,101,115,112,111,110,100,105,110,103,32,119,105,116,104,32,108,105,110,101,97,114,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,114,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,56,52,34,32,108,105,110,101,69,110,100,61,34,49,49,50,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,76,105,110,101,97,114,34,32,99,111,109,109,101,110,116,61,34,76,105,110,101,97,114,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,114,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,49,53,55,48,55,57,54,51,50,54,55,57,52,56,57,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,56,50,34,32,108,105,110,101,69,110,100,61,34,49,49,50,56,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,76,105,110,101,97,114,34,32,99,111,109,109,101,110,116,61,34,76,105,110,101,97,114,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,114,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,49,53,55,48,55,57,54,51,50,54,55,57,52,56,57,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,56,50,34,32,108,105,110,101,69,110,100,61,34,49,49,50,56,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,99,111,114,101,32,108,111,115,115,101,115,32,97,116,32,114,101,102,101,114,101,110,99,101,32,105,110,110,101,114,32,118,111,108,116,97,103,101,32,86,82,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,51,52,34,32,108,105,110,101,69,110,100,61,34,49,49,51,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,99,111,114,101,32,108,111,115,115,101,115,32,97,116,32,114,101,102,101,114,101,110,99,101,32,105,110,110,101,114,32,118,111,108,116,97,103,101,32,86,82,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,51,52,34,32,108,105,110,101,69,110,100,61,34,49,49,51,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,86,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,105,110,110,101,114,32,82,77,83,32,118,111,108,116,97,103,101,32,116,104,97,116,32,114,101,102,101,114,101,110,99,101,32,99,111,114,101,32,108,111,115,115,101,115,32,80,82,101,102,32,114,101,102,101,114,32,116,111,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,51,54,34,32,108,105,110,101,69,110,100,61,34,49,49,51,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,86,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,105,110,110,101,114,32,82,77,83,32,118,111,108,116,97,103,101,32,116,104,97,116,32,114,101,102,101,114,101,110,99,101,32,99,111,114,101,32,108,111,115,115,101,115,32,80,82,101,102,32,114,101,102,101,114,32,116,111,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,51,54,34,32,108,105,110,101,69,110,100,61,34,49,49,51,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5673000);
/* memory initializer */ allocate([99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,116,104,97,116,32,114,101,102,101,114,101,110,99,101,32,99,111,114,101,32,108,111,115,115,101,115,32,80,82,101,102,32,114,101,102,101,114,32,116,111,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,51,56,34,32,108,105,110,101,69,110,100,61,34,49,49,51,51,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,116,104,97,116,32,114,101,102,101,114,101,110,99,101,32,99,111,114,101,32,108,111,115,115,101,115,32,80,82,101,102,32,114,101,102,101,114,32,116,111,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,51,56,34,32,108,105,110,101,69,110,100,61,34,49,49,51,51,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,114,97,116,105,111,72,121,115,116,101,114,101,115,105,115,34,32,99,111,109,109,101,110,116,61,34,82,97,116,105,111,32,111,102,32,104,121,115,116,101,114,101,115,105,115,32,108,111,115,115,101,115,32,119,105,116,104,32,114,101,115,112,101,99,116,32,116,111,32,116,104,101,32,116,111,116,97,108,32,99,111,114,101,32,108,111,115,115,101,115,32,97,116,32,86,82,101,102,32,97,110,100,32,102,82,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,52,49,34,32,108,105,110,101,69,110,100,61,34,49,49,51,52,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,114,97,116,105,111,72,121,115,116,101,114,101,115,105,115,34,32,99,111,109,109,101,110,116,61,34,82,97,116,105,111,32,111,102,32,104,121,115,116,101,114,101,115,105,115,32,108,111,115,115,101,115,32,119,105,116,104,32,114,101,115,112,101,99,116,32,116,111,32,116,104,101,32,116,111,116,97,108,32,99,111,114,101,32,108,111,115,115,101,115,32,97,116,32,86,82,101,102,32,97,110,100,32,102,82,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,52,49,34,32,108,105,110,101,69,110,100,61,34,49,49,51,52,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,71,99,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,99,111,110,100,117,99,116,97,110,99,101,32,97,116,32,114,101,102,101,114,101,110,99,101,32,102,114,101,113,117,101,110,99,121,32,97,110,100,32,118,111,108,116,97,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,83,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,83,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,52,51,34,32,108,105,110,101,69,110,100,61,34,49,49,51,52,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,71,99,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,99,111,110,100,117,99,116,97,110,99,101,32,97,116,32,114,101,102,101,114,101,110,99,101,32,102,114,101,113,117,101,110,99,121,32,97,110,100,32,118,111,108,116,97,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,83,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,83,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,52,51,34,32,108,105,110,101,69,110,100,61,34,49,49,51,52,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,119,77,105,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,51,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,52,53,34,32,108,105,110,101,69,110,100,61,34,49,49,51,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,119,77,105,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,51,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,52,53,34,32,108,105,110,101,69,110,100,61,34,49,49,51,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,115,116,114,97,121,32,108,111,97,100,32,108,111,115,115,101,115,32,97,116,32,73,82,101,102,32,97,110,100,32,119,82,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,49,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,115,116,114,97,121,32,108,111,97,100,32,108,111,115,115,101,115,32,97,116,32,73,82,101,102,32,97,110,100,32,119,82,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,49,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,73,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,82,77,83,32,99,117,114,114,101,110,116,32,116,104,97,116,32,80,82,101,102,32,114,101,102,101,114,115,32,116,111,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,51,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,73,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,82,77,83,32,99,117,114,114,101,110,116,32,116,104,97,116,32,80,82,101,102,32,114,101,102,101,114,115,32,116,111,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,117,110,105,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5683240);
/* memory initializer */ allocate([61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,51,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,116,104,97,116,32,80,82,101,102,32,114,101,102,101,114,115,32,116,111,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,109,105,110,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,53,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,116,104,97,116,32,80,82,101,102,32,114,101,102,101,114,115,32,116,111,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,109,105,110,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,53,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,34,32,99,111,109,109,101,110,116,61,34,69,120,112,111,110,101,110,116,32,111,102,32,115,116,114,97,121,32,108,111,97,100,32,108,111,115,115,32,116,111,114,113,117,101,32,119,46,114,46,116,46,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,55,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,34,32,99,111,109,109,101,110,116,61,34,69,120,112,111,110,101,110,116,32,111,102,32,115,116,114,97,121,32,108,111,97,100,32,108,111,115,115,32,116,111,114,113,117,101,32,119,46,114,46,116,46,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,55,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,116,97,117,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,115,116,114,97,121,32,108,111,97,100,32,116,111,114,113,117,101,32,97,116,32,114,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,97,110,100,32,114,101,102,101,114,101,110,99,101,32,99,117,114,114,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,57,34,32,108,105,110,101,69,110,100,61,34,49,49,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,116,97,117,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,115,116,114,97,121,32,108,111,97,100,32,116,111,114,113,117,101,32,97,116,32,114,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,97,110,100,32,114,101,102,101,114,101,110,99,101,32,99,117,114,114,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,57,34,32,108,105,110,101,69,110,100,61,34,49,49,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,76,109,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,109,97,105,110,32,102,105,101,108,100,32,105,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,53,34,32,108,105,110,101,69,110,100,61,34,52,53,50,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,76,109,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,109,97,105,110,32,102,105,101,108,100,32,105,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,53,34,32,108,105,110,101,69,110,100,61,34,52,53,50,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,76,114,115,105,103,109,97,34,32,99,111,109,109,101,110,116,61,34,82,111,116,111,114,32,108,101,97,107,97,103,101,32,105,110,100,117,99,116,97,110,99,101,32,111,102,32,101,113,117,105,118,97,108,101,110,116,32,109,32,112,104,97,115,101,32,119,105,110,100,105,110,103,32,119,46,114,46,116,46,32,115,116,97,116,111,114,32,115,105,100,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,56,34,32,108,105,110,101,69,110,100,61,34,52,53,51,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,76,114,115,105,103,109,97,34,32,99,111,109,109,101,110,116,61,34,82,111,116,111,114,32,108,101,97,107,97,103,101,32,105,110,100,117,99,116,97,110,99,101,32,111,102,32,101,113,117,105,118,97,108,101,110,116,32,109,32,112,104,97,115,101,32,119,105,110,100,105,110,103,32,119,46,114,46,116,46,32,115,116,97,116,111,114,32,115,105,100,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,56,34,32,108,105,110,101,69,110,100,61,34,52,53,51,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,84,115,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,115,116,97,116,111,114,32,119,105,110,100,105,110,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,53,51,49,34,32,108,105,110,101,69,110,100,61,34,49,51,53,51,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,84,115,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,115,116,97,116,111,114,32,119,105,110,100,105,110,103,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5693480);
/* memory initializer */ allocate([34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,53,51,49,34,32,108,105,110,101,69,110,100,61,34,49,51,53,51,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,116,101,109,112,101,114,97,116,117,114,101,32,97,116,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,56,56,34,32,108,105,110,101,69,110,100,61,34,49,51,56,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,116,101,109,112,101,114,97,116,117,114,101,32,97,116,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,56,56,34,32,108,105,110,101,69,110,100,61,34,49,51,56,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,67,111,114,101,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,116,101,109,112,101,114,97,116,117,114,101,32,97,116,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,56,56,34,32,108,105,110,101,69,110,100,61,34,49,51,56,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,67,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,67,111,114,101,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,116,101,109,112,101,114,97,116,117,114,101,32,97,116,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,56,56,34,32,108,105,110,101,69,110,100,61,34,49,51,56,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,67,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,116,101,109,112,101,114,97,116,117,114,101,32,97,116,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,56,56,34,32,108,105,110,101,69,110,100,61,34,49,51,56,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,116,101,109,112,101,114,97,116,117,114,101,32,97,116,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,56,56,34,32,108,105,110,101,69,110,100,61,34,49,51,56,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,116,101,109,112,101,114,97,116,117,114,101,32,97,116,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,56,56,34,32,108,105,110,101,69,110,100,61,34,49,51,56,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,116,101,109,112,101,114,97,116,117,114,101,32,97,116,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,56,56,34,32,108,105,110,101,69,110,100,61,34,49,51,56,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,84,114,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,114,111,116,111,114,32,40,115,113,117,105,114,114,101,108,32,99,97,103,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,50,49,55,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,84,114,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,114,111,116,111,114,32,40,115,113,117,105,114,114,101,108,32,99,97,103,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,50,49,55,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5703720);
/* memory initializer */ allocate([62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,107,34,32,99,111,109,109,101,110,116,61,34,67,111,110,115,116,97,110,116,32,111,117,116,112,117,116,32,118,97,108,117,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,57,34,32,108,105,110,101,69,110,100,61,34,50,51,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,107,34,32,99,111,109,109,101,110,116,61,34,67,111,110,115,116,97,110,116,32,111,117,116,112,117,116,32,118,97,108,117,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,57,34,32,108,105,110,101,69,110,100,61,34,50,51,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,107,34,32,99,111,109,109,101,110,116,61,34,67,111,110,115,116,97,110,116,32,111,117,116,112,117,116,32,118,97,108,117,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,57,34,32,108,105,110,101,69,110,100,61,34,50,51,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,107,34,32,99,111,109,109,101,110,116,61,34,67,111,110,115,116,97,110,116,32,111,117,116,112,117,116,32,118,97,108,117,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,57,34,32,108,105,110,101,69,110,100,61,34,50,51,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,74,34,32,99,111,109,109,101,110,116,61,34,77,111,109,101,110,116,32,111,102,32,105,110,101,114,116,105,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,46,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,48,34,32,108,105,110,101,69,110,100,61,34,50,51,48,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,101,114,116,105,97,83,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,74,34,32,99,111,109,109,101,110,116,61,34,77,111,109,101,110,116,32,111,102,32,105,110,101,114,116,105,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,46,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,48,34,32,108,105,110,101,69,110,100,61,34,50,51,48,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,101,114,116,105,97,83,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,102,114,105,99,116,105,111,110,32,108,111,115,115,101,115,32,97,116,32,119,82,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,50,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,102,114,105,99,116,105,111,110,32,108,111,115,115,101,115,32,97,116,32,119,82,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,50,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,116,104,97,116,32,116,104,101,32,80,82,101,102,32,114,101,102,101,114,32,116,111,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,109,105,110,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,52,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,116,104,97,116,32,116,104,101,32,80,82,101,102,32,114,101,102,101,114,32,116,111,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,109,105,110,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,52,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,34,32,99,111,109,109,101,110,116,61,34,69,120,112,111,110,101,110,116,32,111,102,32,102,114,105,99,116,105,111,110,32,116,111,114,113,117,101,32,119,46,114,46,116,46,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,54,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5713960);
/* memory initializer */ allocate([82,69,46,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,34,32,99,111,109,109,101,110,116,61,34,69,120,112,111,110,101,110,116,32,111,102,32,102,114,105,99,116,105,111,110,32,116,111,114,113,117,101,32,119,46,114,46,116,46,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,54,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,116,97,117,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,102,114,105,99,116,105,111,110,32,116,111,114,113,117,101,32,97,116,32,114,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,56,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,116,97,117,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,102,114,105,99,116,105,111,110,32,116,111,114,113,117,101,32,97,116,32,114,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,56,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,108,105,110,101,97,114,34,32,99,111,109,109,101,110,116,61,34,76,105,110,101,97,114,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,114,97,110,103,101,32,119,105,116,104,32,114,101,115,112,101,99,116,32,116,111,32,114,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,56,48,34,32,108,105,110,101,69,110,100,61,34,49,49,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,108,105,110,101,97,114,34,32,99,111,109,109,101,110,116,61,34,76,105,110,101,97,114,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,114,97,110,103,101,32,119,105,116,104,32,114,101,115,112,101,99,116,32,116,111,32,114,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,56,48,34,32,108,105,110,101,69,110,100,61,34,49,49,50,56,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,116,97,117,76,105,110,101,97,114,34,32,99,111,109,109,101,110,116,61,34,84,111,114,113,117,101,32,99,111,114,114,101,115,112,111,110,100,105,110,103,32,119,105,116,104,32,108,105,110,101,97,114,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,114,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,56,52,34,32,108,105,110,101,69,110,100,61,34,49,49,50,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,116,97,117,76,105,110,101,97,114,34,32,99,111,109,109,101,110,116,61,34,84,111,114,113,117,101,32,99,111,114,114,101,115,112,111,110,100,105,110,103,32,119,105,116,104,32,108,105,110,101,97,114,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,114,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,56,52,34,32,108,105,110,101,69,110,100,61,34,49,49,50,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,76,105,110,101,97,114,34,32,99,111,109,109,101,110,116,61,34,76,105,110,101,97,114,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,114,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,49,53,55,48,55,57,54,51,50,54,55,57,52,56,57,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,56,50,34,32,108,105,110,101,69,110,100,61,34,49,49,50,56,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,76,105,110,101,97,114,34,32,99,111,109,109,101,110,116,61,34,76,105,110,101,97,114,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,114,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,49,53,55,48,55,57,54,51,50,54,55,57,52,56,57,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,56,50,34,32,108,105,110,101,69,110,100,61,34,49,49,50,56,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,115,116,114,97,121,32,108,111,97,100,32,108,111,115,115,101,115,32,97,116,32,73,82,101,102,32,97,110,100,32,119,82,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,49,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,115,116,114,97,121,32,108,111,97,100,32,108,111,115,115,101,115,32,97,116,32,73,82,101,102,32,97,110,100,32,119,82,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,49,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5724200);
/* memory initializer */ allocate([65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,73,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,82,77,83,32,99,117,114,114,101,110,116,32,116,104,97,116,32,80,82,101,102,32,114,101,102,101,114,115,32,116,111,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,51,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,73,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,82,77,83,32,99,117,114,114,101,110,116,32,116,104,97,116,32,80,82,101,102,32,114,101,102,101,114,115,32,116,111,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,51,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,116,104,97,116,32,80,82,101,102,32,114,101,102,101,114,115,32,116,111,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,109,105,110,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,53,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,116,104,97,116,32,80,82,101,102,32,114,101,102,101,114,115,32,116,111,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,109,105,110,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,53,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,34,32,99,111,109,109,101,110,116,61,34,69,120,112,111,110,101,110,116,32,111,102,32,115,116,114,97,121,32,108,111,97,100,32,108,111,115,115,32,116,111,114,113,117,101,32,119,46,114,46,116,46,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,55,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,34,32,99,111,109,109,101,110,116,61,34,69,120,112,111,110,101,110,116,32,111,102,32,115,116,114,97,121,32,108,111,97,100,32,108,111,115,115,32,116,111,114,113,117,101,32,119,46,114,46,116,46,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,55,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,116,97,117,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,115,116,114,97,121,32,108,111,97,100,32,116,111,114,113,117,101,32,97,116,32,114,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,97,110,100,32,114,101,102,101,114,101,110,99,101,32,99,117,114,114,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,57,34,32,108,105,110,101,69,110,100,61,34,49,49,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,116,97,117,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,115,116,114,97,121,32,108,111,97,100,32,116,111,114,113,117,101,32,97,116,32,114,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,97,110,100,32,114,101,102,101,114,101,110,99,101,32,99,117,114,114,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,57,34,32,108,105,110,101,69,110,100,61,34,49,49,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,76,115,115,105,103,109,97,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,115,116,114,97,121,32,105,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,56,48,34,32,108,105,110,101,69,110,100,61,34,54,54,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,76,115,115,105,103,109,97,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,115,116,114,97,121,32,105,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,56,48,34,32,108,105,110,101,69,110,100,61,34,54,54,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,76,115,122,101,114,111,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,122,101,114,111,32,105,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,56,51,34,32,108,105,110,101,69,110,100,61,34,54,54,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5734440);
/* memory initializer */ allocate([67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,76,115,122,101,114,111,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,111,114,32,122,101,114,111,32,105,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,56,51,34,32,108,105,110,101,69,110,100,61,34,54,54,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,76,48,46,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,50,51,34,32,108,105,110,101,69,110,100,61,34,55,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,76,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,84,121,112,101,115,46,83,97,108,105,101,110,116,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,76,48,46,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,50,51,34,32,108,105,110,101,69,110,100,61,34,55,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,76,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,84,121,112,101,115,46,83,97,108,105,101,110,116,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,76,48,46,113,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,50,52,34,32,108,105,110,101,69,110,100,61,34,55,48,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,76,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,84,121,112,101,115,46,83,97,108,105,101,110,116,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,76,48,46,113,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,50,52,34,32,108,105,110,101,69,110,100,61,34,55,48,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,76,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,84,121,112,101,115,46,83,97,108,105,101,110,116,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,82,82,101,102,34,32,99,111,109,109,101,110,116,61,34,87,105,110,100,105,110,103,32,114,101,115,105,115,116,97,110,99,101,32,112,101,114,32,112,104,97,115,101,32,97,116,32,84,82,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,53,57,34,32,108,105,110,101,69,110,100,61,34,53,53,54,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,82,82,101,102,34,32,99,111,109,109,101,110,116,61,34,87,105,110,100,105,110,103,32,114,101,115,105,115,116,97,110,99,101,32,112,101,114,32,112,104,97,115,101,32,97,116,32,84,82,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,53,57,34,32,108,105,110,101,69,110,100,61,34,53,53,54,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,84,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,111,102,32,119,105,110,100,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,54,49,34,32,108,105,110,101,69,110,100,61,34,53,53,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,84,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,111,102,32,119,105,110,100,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,54,49,34,32,108,105,110,101,69,110,100,61,34,53,53,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,97,108,112,104,97,50,48,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,119,105,110,100,105,110,103,32,97,116,32,50,48,32,100,101,103,67,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,54,51,34,32,108,105,110,101,69,110,100,61,34,53,53,54,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,50,48,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,97,108,112,104,97,50,48,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,119,105,110,100,105,110,103,32,97,116,32,50,48,32,100,101,103,67,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,54,51,34,32,108,105,110,101,69,110,100,61,34,53,53,54,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,50,48,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,84,79,112,101,114,97,116,105,111,110,97,108,34,32,99,111,109,109,101,110,116,61,34,79,112,101,114,97,116,105,111,110,97,108,32,116,101,109,112,101,114,97,116,117,114,101,32,111,102,32,119,105,110,100,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,55,49,34,32,108,105,110,101,69,110,100,61,34,53,53,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5744680);
/* memory initializer */ allocate([32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,84,79,112,101,114,97,116,105,111,110,97,108,34,32,99,111,109,109,101,110,116,61,34,79,112,101,114,97,116,105,111,110,97,108,32,116,101,109,112,101,114,97,116,117,114,101,32,111,102,32,119,105,110,100,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,55,49,34,32,108,105,110,101,69,110,100,61,34,53,53,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,76,115,105,103,109,97,34,32,99,111,109,109,101,110,116,61,34,87,105,110,100,105,110,103,32,115,116,114,97,121,32,105,110,100,117,99,116,97,110,99,101,32,112,101,114,32,112,104,97,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,55,52,34,32,108,105,110,101,69,110,100,61,34,53,53,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,76,115,105,103,109,97,34,32,99,111,109,109,101,110,116,61,34,87,105,110,100,105,110,103,32,115,116,114,97,121,32,105,110,100,117,99,116,97,110,99,101,32,112,101,114,32,112,104,97,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,55,52,34,32,108,105,110,101,69,110,100,61,34,53,53,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,76,122,101,114,111,34,32,99,111,109,109,101,110,116,61,34,90,101,114,111,32,115,101,113,117,101,110,99,101,32,105,110,100,117,99,116,97,110,99,101,32,111,102,32,119,105,110,100,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,55,54,34,32,108,105,110,101,69,110,100,61,34,53,53,55,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,76,122,101,114,111,34,32,99,111,109,109,101,110,116,61,34,90,101,114,111,32,115,101,113,117,101,110,99,101,32,105,110,100,117,99,116,97,110,99,101,32,111,102,32,119,105,110,100,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,55,54,34,32,108,105,110,101,69,110,100,61,34,53,53,55,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,99,111,109,109,101,110,116,61,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,32,112,101,114,32,112,104,97,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,55,56,34,32,108,105,110,101,69,110,100,61,34,53,53,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,99,111,109,109,101,110,116,61,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,32,112,101,114,32,112,104,97,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,55,56,34,32,108,105,110,101,69,110,100,61,34,53,53,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,71,99,82,101,102,34,32,99,111,109,109,101,110,116,61,34,69,108,101,99,116,114,105,99,97,108,32,114,101,102,101,114,101,110,99,101,32,99,111,114,101,32,108,111,115,115,32,114,101,108,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,83,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,83,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,55,57,34,32,108,105,110,101,69,110,100,61,34,53,53,56,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,71,99,82,101,102,34,32,99,111,109,109,101,110,116,61,34,69,108,101,99,116,114,105,99,97,108,32,114,101,102,101,114,101,110,99,101,32,99,111,114,101,32,108,111,115,115,32,114,101,108,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,83,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,83,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,55,57,34,32,108,105,110,101,69,110,100,61,34,53,53,56,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,97,108,112,104,97,82,101,102,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,54,54,34,32,108,105,110,101,69,110,100,61,34,53,53,55,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,97,108,112,104,97,82,101,102,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,54,54,34,32,108,105,110,101,69,110,100,61,34,53,53,55,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,76,122,101,114,111,34,32,99,111,109,109,101,110,116,61,34,90,101,114,111,32,115,101,113,117,101,110,99,101,32,105,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,54,34,32,108,105,110,101,69,110,100,61,34,49,48,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5754920);
/* memory initializer */ allocate([117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,76,122,101,114,111,34,32,99,111,109,109,101,110,116,61,34,90,101,114,111,32,115,101,113,117,101,110,99,101,32,105,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,54,34,32,108,105,110,101,69,110,100,61,34,49,48,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,55,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,53,55,34,32,108,105,110,101,69,110,100,61,34,50,57,53,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,55,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,53,55,34,32,108,105,110,101,69,110,100,61,34,50,57,53,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,71,34,32,99,111,109,109,101,110,116,61,34,69,113,117,105,118,97,108,101,110,116,32,115,121,109,109,101,116,114,105,99,32,108,111,115,115,32,99,111,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,83,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,83,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,55,49,34,32,108,105,110,101,69,110,100,61,34,52,48,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,71,34,32,99,111,109,109,101,110,116,61,34,69,113,117,105,118,97,108,101,110,116,32,115,121,109,109,101,116,114,105,99,32,108,111,115,115,32,99,111,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,83,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,83,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,55,49,34,32,108,105,110,101,69,110,100,61,34,52,48,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,82,95,109,46,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,50,51,34,32,108,105,110,101,69,110,100,61,34,55,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,82,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,84,121,112,101,115,46,83,97,108,105,101,110,116,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,82,95,109,46,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,50,51,34,32,108,105,110,101,69,110,100,61,34,55,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,82,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,84,121,112,101,115,46,83,97,108,105,101,110,116,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,82,95,109,46,113,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,50,52,34,32,108,105,110,101,69,110,100,61,34,55,48,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,82,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,84,121,112,101,115,46,83,97,108,105,101,110,116,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,82,95,109,46,113,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,50,52,34,32,108,105,110,101,69,110,100,61,34,55,48,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,82,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,84,121,112,101,115,46,83,97,108,105,101,110,116,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,76,48,46,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,50,51,34,32,108,105,110,101,69,110,100,61,34,55,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,76,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,84,121,112,101,115,46,83,97,108,105,101,110,116,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,97,105,114,71,97,112,46,76,48,46,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5765160);
/* memory initializer */ allocate([116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,50,51,34,32,108,105,110,101,69,110,100,61,34,55,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,76,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,84,121,112,101,115,46,83,97,108,105,101,110,116,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,76,48,46,113,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,50,52,34,32,108,105,110,101,69,110,100,61,34,55,48,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,76,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,84,121,112,101,115,46,83,97,108,105,101,110,116,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,97,105,114,71,97,112,46,76,48,46,113,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,50,52,34,32,108,105,110,101,69,110,100,61,34,55,48,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,76,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,84,121,112,101,115,46,83,97,108,105,101,110,116,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,82,95,109,46,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,54,50,46,53,57,53,55,55,48,52,48,49,50,49,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,50,51,34,32,108,105,110,101,69,110,100,61,34,55,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,82,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,84,121,112,101,115,46,83,97,108,105,101,110,116,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,97,105,114,71,97,112,46,82,95,109,46,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,54,50,46,53,57,53,55,55,48,52,48,49,50,49,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,50,51,34,32,108,105,110,101,69,110,100,61,34,55,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,82,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,84,121,112,101,115,46,83,97,108,105,101,110,116,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,82,95,109,46,113,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,54,50,46,53,57,53,55,55,48,52,48,49,50,49,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,50,52,34,32,108,105,110,101,69,110,100,61,34,55,48,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,82,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,84,121,112,101,115,46,83,97,108,105,101,110,116,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,97,105,114,71,97,112,46,82,95,109,46,113,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,54,50,46,53,57,53,55,55,48,52,48,49,50,49,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,50,52,34,32,108,105,110,101,69,110,100,61,34,55,48,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,82,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,84,121,112,101,115,46,83,97,108,105,101,110,116,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,82,82,101,102,34,32,99,111,109,109,101,110,116,61,34,87,105,110,100,105,110,103,32,114,101,115,105,115,116,97,110,99,101,32,112,101,114,32,112,104,97,115,101,32,97,116,32,84,82,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,55,50,34,32,108,105,110,101,69,110,100,61,34,53,56,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,82,82,101,102,34,32,99,111,109,109,101,110,116,61,34,87,105,110,100,105,110,103,32,114,101,115,105,115,116,97,110,99,101,32,112,101,114,32,112,104,97,115,101,32,97,116,32,84,82,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,55,50,34,32,108,105,110,101,69,110,100,61,34,53,56,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,111,102,32,119,105,110,100,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,55,52,34,32,108,105,110,101,69,110,100,61,34,53,56,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,111,102,32,119,105,110,100,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,55,52,34,32,108,105,110,101,69,110,100,61,34,53,56,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,97,108,112,104,97,50,48,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,119,105,110,100,105,110,103,32,97,116,32,50,48,32,100,101,103,67,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5775400);
/* memory initializer */ allocate([114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,55,54,34,32,108,105,110,101,69,110,100,61,34,53,56,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,50,48,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,97,108,112,104,97,50,48,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,119,105,110,100,105,110,103,32,97,116,32,50,48,32,100,101,103,67,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,55,54,34,32,108,105,110,101,69,110,100,61,34,53,56,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,50,48,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,84,79,112,101,114,97,116,105,111,110,97,108,34,32,99,111,109,109,101,110,116,61,34,79,112,101,114,97,116,105,111,110,97,108,32,116,101,109,112,101,114,97,116,117,114,101,32,111,102,32,119,105,110,100,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,56,52,34,32,108,105,110,101,69,110,100,61,34,53,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,84,79,112,101,114,97,116,105,111,110,97,108,34,32,99,111,109,109,101,110,116,61,34,79,112,101,114,97,116,105,111,110,97,108,32,116,101,109,112,101,114,97,116,117,114,101,32,111,102,32,119,105,110,100,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,56,52,34,32,108,105,110,101,69,110,100,61,34,53,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,76,115,105,103,109,97,34,32,99,111,109,109,101,110,116,61,34,67,97,103,101,32,115,116,114,97,121,32,105,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,56,55,34,32,108,105,110,101,69,110,100,61,34,53,56,56,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,76,115,105,103,109,97,34,32,99,111,109,109,101,110,116,61,34,67,97,103,101,32,115,116,114,97,121,32,105,110,100,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,56,55,34,32,108,105,110,101,69,110,100,61,34,53,56,56,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,99,111,109,109,101,110,116,61,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,56,56,34,32,108,105,110,101,69,110,100,61,34,53,56,56,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,99,111,109,109,101,110,116,61,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,56,56,34,32,108,105,110,101,69,110,100,61,34,53,56,56,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,97,108,112,104,97,82,101,102,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,55,57,34,32,108,105,110,101,69,110,100,61,34,53,56,56,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,97,108,112,104,97,82,101,102,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,55,57,34,32,108,105,110,101,69,110,100,61,34,53,56,56,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,108,111,97,100,73,110,101,114,116,105,97,51,46,74,34,32,99,111,109,109,101,110,116,61,34,77,111,109,101,110,116,32,111,102,32,105,110,101,114,116,105,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,46,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,48,34,32,108,105,110,101,69,110,100,61,34,50,51,48,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,108,111,97,100,73,110,101,114,116,105,97,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,108,111,97,100,73,110,101,114,116,105,97,51,46,74,34,32,99,111,109,109,101,110,116,61,34,77,111,109,101,110,116,32,111,102,32,105,110,101,114,116,105,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,46,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,48,34,32,108,105,110,101,69,110,100,61,34,50,51,48,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,108,111,97,100,73,110,101,114,116,105,97,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,116,97,117,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,116,111,114,113,117,101,32,40,105,102,32,110,101,103,97,116,105,118,101,44,32,116,111,114,113,117,101,32,105,115,32,97,99,116,105,110,103,32,97,115,32,108,111,97,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5785640);
/* memory initializer */ allocate([105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,57,57,34,32,108,105,110,101,69,110,100,61,34,54,51,48,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,83,111,117,114,99,101,115,46,81,117,97,100,114,97,116,105,99,83,112,101,101,100,68,101,112,101,110,100,101,110,116,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,116,97,117,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,116,111,114,113,117,101,32,40,105,102,32,110,101,103,97,116,105,118,101,44,32,116,111,114,113,117,101,32,105,115,32,97,99,116,105,110,103,32,97,115,32,108,111,97,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,57,57,34,32,108,105,110,101,69,110,100,61,34,54,51,48,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,83,111,117,114,99,101,115,46,81,117,97,100,114,97,116,105,99,83,112,101,101,100,68,101,112,101,110,100,101,110,116,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,119,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,115,112,101,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,49,53,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,51,48,51,34,32,108,105,110,101,69,110,100,61,34,54,51,48,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,83,111,117,114,99,101,115,46,81,117,97,100,114,97,116,105,99,83,112,101,101,100,68,101,112,101,110,100,101,110,116,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,119,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,115,112,101,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,49,53,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,51,48,51,34,32,108,105,110,101,69,110,100,61,34,54,51,48,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,83,111,117,114,99,101,115,46,81,117,97,100,114,97,116,105,99,83,112,101,101,100,68,101,112,101,110,100,101,110,116,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,103,97,105,110,46,107,34,32,99,111,109,109,101,110,116,61,34,71,97,105,110,32,118,97,108,117,101,32,109,117,108,116,105,112,108,105,101,100,32,119,105,116,104,32,105,110,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,54,54,54,54,54,54,54,54,54,54,54,54,54,54,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,77,97,116,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,56,34,32,108,105,110,101,69,110,100,61,34,54,50,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,103,97,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,77,97,116,104,46,71,97,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,103,97,105,110,46,107,34,32,99,111,109,109,101,110,116,61,34,71,97,105,110,32,118,97,108,117,101,32,109,117,108,116,105,112,108,105,101,100,32,119,105,116,104,32,105,110,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,54,54,54,54,54,54,54,54,54,54,54,54,54,54,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,77,97,116,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,56,34,32,108,105,110,101,69,110,100,61,34,54,50,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,103,97,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,77,97,116,104,46,71,97,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,115,116,97,116,111,114,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,49,50,34,32,108,105,110,101,69,110,100,61,34,49,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,115,116,97,116,111,114,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,49,50,34,32,108,105,110,101,69,110,100,61,34,49,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,111,108,101,32,112,97,105,114,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,50,49,34,32,108,105,110,101,69,110,100,61,34,49,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,111,108,101,32,112,97,105,114,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,50,49,34,32,108,105,110,101,69,110,100,61,34,49,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,116,97,114,77,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,50,49,34,32,108,105,110,101,69,110,100,61,34,53,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,97,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,116,97,114,77,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,50,49,34,32,108,105,110,101,69,110,100,61,34,53,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,97,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,116,97,114,77,46,112,108,117,103,95,112,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,97,114,77,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,116,97,114,77,46,112,108,117,103,95,112,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,97,114,77,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,112,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5795880);
/* memory initializer */ allocate([10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,112,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,110,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,110,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,112,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,112,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,110,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,110,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,109,104,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,104,101,97,116,80,111,114,116,115,61,110,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,56,54,34,32,108,105,110,101,69,110,100,61,34,51,50,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,109,104,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,104,101,97,116,80,111,114,116,115,61,110,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,56,54,34,32,108,105,110,101,69,110,100,61,34,51,50,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,112,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5806120);
/* memory initializer */ allocate([110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,112,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,55,56,34,32,108,105,110,101,69,110,100,61,34,50,52,55,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,55,56,34,32,108,105,110,101,69,110,100,61,34,50,52,55,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,112,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,112,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,110,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,110,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,113,117,97,115,105,82,77,83,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,50,56,34,32,108,105,110,101,69,110,100,61,34,50,50,50,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,113,117,97,115,105,82,77,83,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,108,111,99,107,115,46,81,117,97,115,105,82,77,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,113,117,97,115,105,82,77,83,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,50,56,34,32,108,105,110,101,69,110,100,61,34,50,50,50,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,113,117,97,115,105,82,77,83,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,108,111,99,107,115,46,81,117,97,115,105,82,77,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,55,50,48,34,32,108,105,110,101,69,110,100,61,34,49,53,55,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,77,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,55,50,48,34,32,108,105,110,101,69,110,100,61,34,49,53,55,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,112,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5816360);
/* memory initializer */ allocate([114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,112,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,110,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,110,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,83,117,112,112,108,121,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,83,117,112,112,108,121,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,83,117,112,112,108,121,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,83,117,112,112,108,121,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,50,49,34,32,108,105,110,101,69,110,100,61,34,53,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,50,49,34,32,108,105,110,101,69,110,100,61,34,53,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,46,112,108,117,103,95,112,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,46,112,108,117,103,95,112,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,115,116,97,116,111,114,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,53,50,34,32,108,105,110,101,69,110,100,61,34,54,54,53,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,115,116,97,116,111,114,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,53,50,34,32,108,105,110,101,69,110,100,61,34,54,54,53,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,112,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,111,108,101,32,112,97,105,114,115,32,40,73,110,116,101,103,101,114,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,54,50,34,32,108,105,110,101,69,110,100,61,34,54,54,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,112,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,111,108,101,32,112,97,105,114,115,32,40,73,110,116,101,103,101,114,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,54,50,34,32,108,105,110,101,69,110,100,61,34,54,54,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,112,108,117,103,95,115,112,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5826600);
/* memory initializer */ allocate([99,77,46,112,108,117,103,95,115,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,112,108,117,103,95,115,112,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,108,117,103,95,115,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,112,108,117,103,95,115,110,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,108,117,103,95,115,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,112,108,117,103,95,115,110,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,108,117,103,95,115,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,115,116,97,116,111,114,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,52,56,53,34,32,108,105,110,101,69,110,100,61,34,49,51,52,56,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,115,116,97,116,111,114,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,52,56,53,34,32,108,105,110,101,69,110,100,61,34,49,51,52,56,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,115,116,97,116,101,83,101,108,101,99,116,34,32,99,111,109,109,101,110,116,61,34,80,114,105,111,114,105,116,121,32,116,111,32,117,115,101,32,112,104,105,32,97,110,100,32,119,32,97,115,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,32,47,42,69,78,85,77,58,83,116,97,116,101,83,101,108,101,99,116,46,100,101,102,97,117,108,116,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,49,34,32,108,105,110,101,69,110,100,61,34,50,51,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,83,116,97,116,101,83,101,108,101,99,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,83,116,97,116,101,83,101,108,101,99,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,115,116,97,116,101,83,101,108,101,99,116,34,32,99,111,109,109,101,110,116,61,34,80,114,105,111,114,105,116,121,32,116,111,32,117,115,101,32,112,104,105,32,97,110,100,32,119,32,97,115,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,32,47,42,69,78,85,77,58,83,116,97,116,101,83,101,108,101,99,116,46,100,101,102,97,117,108,116,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,49,34,32,108,105,110,101,69,110,100,61,34,50,51,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,83,116,97,116,101,83,101,108,101,99,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,83,116,97,116,101,83,101,108,101,99,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,32,40,49,32,102,111,114,32,68,67,44,32,51,32,102,111,114,32,105,110,100,117,99,116,105,111,110,32,109,97,99,104,105,110,101,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,51,50,34,32,108,105,110,101,69,110,100,61,34,49,49,51,51,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,32,40,49,32,102,111,114,32,68,67,44,32,51,32,102,111,114,32,105,110,100,117,99,116,105,111,110,32,109,97,99,104,105,110,101,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,51,50,34,32,108,105,110,101,69,110,100,61,34,49,49,51,51,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,115,116,97,116,111,114,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,53,50,53,34,32,108,105,110,101,69,110,100,61,34,49,51,53,50,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,115,116,97,116,111,114,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,53,50,53,34,32,108,105,110,101,69,110,100,61,34,49,51,53,50,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,115,116,97,116,111,114,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,52,56,53,34,32,108,105,110,101,69,110,100,61,34,49,51,52,56,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,115,116,97,116,111,114,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5836840);
/* memory initializer */ allocate([116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,52,56,53,34,32,108,105,110,101,69,110,100,61,34,49,51,52,56,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,99,111,108,108,101,99,116,101,100,32,104,101,97,116,32,102,108,111,119,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,55,55,34,32,108,105,110,101,69,110,100,61,34,57,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,99,111,108,108,101,99,116,101,100,32,104,101,97,116,32,102,108,111,119,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,55,55,34,32,108,105,110,101,69,110,100,61,34,57,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,115,116,97,116,101,83,101,108,101,99,116,34,32,99,111,109,109,101,110,116,61,34,80,114,105,111,114,105,116,121,32,116,111,32,117,115,101,32,112,104,105,32,97,110,100,32,119,32,97,115,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,32,47,42,69,78,85,77,58,83,116,97,116,101,83,101,108,101,99,116,46,100,101,102,97,117,108,116,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,49,34,32,108,105,110,101,69,110,100,61,34,50,51,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,83,116,97,116,101,83,101,108,101,99,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,83,116,97,116,101,83,101,108,101,99,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,115,116,97,116,101,83,101,108,101,99,116,34,32,99,111,109,109,101,110,116,61,34,80,114,105,111,114,105,116,121,32,116,111,32,117,115,101,32,112,104,105,32,97,110,100,32,119,32,97,115,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,32,47,42,69,78,85,77,58,83,116,97,116,101,83,101,108,101,99,116,46,100,101,102,97,117,108,116,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,49,34,32,108,105,110,101,69,110,100,61,34,50,51,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,83,116,97,116,101,83,101,108,101,99,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,83,116,97,116,101,83,101,108,101,99,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,53,52,34,32,108,105,110,101,69,110,100,61,34,53,53,53,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5847080);
/* memory initializer */ allocate([62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,53,52,34,32,108,105,110,101,69,110,100,61,34,53,53,53,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,49,57,34,32,108,105,110,101,69,110,100,61,34,52,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5857320);
/* memory initializer */ allocate([77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,49,57,34,32,108,105,110,101,69,110,100,61,34,52,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5867560);
/* memory initializer */ allocate([114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,109,104,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,104,101,97,116,80,111,114,116,115,61,110,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,56,54,34,32,108,105,110,101,69,110,100,61,34,51,50,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,109,104,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,104,101,97,116,80,111,114,116,115,61,110,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,56,54,34,32,108,105,110,101,69,110,100,61,34,51,50,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,112,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,111,108,101,32,112,97,105,114,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,50,55,34,32,108,105,110,101,69,110,100,61,34,53,55,50,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,97,105,114,71,97,112,46,112,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,111,108,101,32,112,97,105,114,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,50,55,34,32,108,105,110,101,69,110,100,61,34,53,55,50,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,54,56,34,32,108,105,110,101,69,110,100,61,34,53,56,54,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,54,56,34,32,108,105,110,101,69,110,100,61,34,53,56,54,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,50,49,34,32,108,105,110,101,69,110,100,61,34,53,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,50,49,34,32,108,105,110,101,69,110,100,61,34,53,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,50,49,34,32,108,105,110,101,69,110,100,61,34,53,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5877800);
/* memory initializer */ allocate([62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,50,49,34,32,108,105,110,101,69,110,100,61,34,53,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,99,111,108,108,101,99,116,101,100,32,104,101,97,116,32,102,108,111,119,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,55,55,34,32,108,105,110,101,69,110,100,61,34,57,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,99,111,108,108,101,99,116,101,100,32,104,101,97,116,32,102,108,111,119,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,55,55,34,32,108,105,110,101,69,110,100,61,34,57,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,49,57,34,32,108,105,110,101,69,110,100,61,34,52,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,49,57,34,32,108,105,110,101,69,110,100,61,34,52,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5888040);
/* memory initializer */ allocate([99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5898280);
/* memory initializer */ allocate([97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,109,104,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,104,101,97,116,80,111,114,116,115,61,110,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,56,54,34,32,108,105,110,101,69,110,100,61,34,51,50,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,109,104,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,104,101,97,116,80,111,114,116,115,61,110,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,56,54,34,32,108,105,110,101,69,110,100,61,34,51,50,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,108,111,97,100,73,110,101,114,116,105,97,77,46,115,116,97,116,101,83,101,108,101,99,116,34,32,99,111,109,109,101,110,116,61,34,80,114,105,111,114,105,116,121,32,116,111,32,117,115,101,32,112,104,105,32,97,110,100,32,119,32,97,115,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,32,47,42,69,78,85,77,58,83,116,97,116,101,83,101,108,101,99,116,46,100,101,102,97,117,108,116,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,49,34,32,108,105,110,101,69,110,100,61,34,50,51,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,83,116,97,116,101,83,101,108,101,99,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,108,111,97,100,73,110,101,114,116,105,97,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,83,116,97,116,101,83,101,108,101,99,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,108,111,97,100,73,110,101,114,116,105,97,77,46,115,116,97,116,101,83,101,108,101,99,116,34,32,99,111,109,109,101,110,116,61,34,80,114,105,111,114,105,116,121,32,116,111,32,117,115,101,32,112,104,105,32,97,110,100,32,119,32,97,115,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,32,47,42,69,78,85,77,58,83,116,97,116,101,83,101,108,101,99,116,46,100,101,102,97,117,108,116,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,49,34,32,108,105,110,101,69,110,100,61,34,50,51,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,83,116,97,116,101,83,101,108,101,99,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,108,111,97,100,73,110,101,114,116,105,97,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,83,116,97,116,101,83,101,108,101,99,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,56,57,52,34,32,108,105,110,101,69,110,100,61,34,49,52,56,57,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,68,97,116,97,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,56,57,52,34,32,108,105,110,101,69,110,100,61,34,49,52,56,57,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,112,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,111,108,101,32,112,97,105,114,115,32,40,73,110,116,101,103,101,114,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,56,57,55,34,32,108,105,110,101,69,110,100,61,34,49,52,56,57,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,68,97,116,97,46,112,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,111,108,101,32,112,97,105,114,115,32,40,73,110,116,101,103,101,114,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,56,57,55,34,32,108,105,110,101,69,110,100,61,34,49,52,56,57,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,32,40,49,32,102,111,114,32,68,67,44,32,51,32,102,111,114,32,105,110,100,117,99,116,105,111,110,32,109,97,99,104,105,110,101,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,51,50,34,32,108,105,110,101,69,110,100,61,34,49,49,51,51,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,32,40,49,32,102,111,114,32,68,67,44,32,51,32,102,111,114,32,105,110,100,117,99,116,105,111,110,32,109,97,99,104,105,110,101,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,51,50,34,32,108,105,110,101,69,110,100,61,34,49,49,51,51,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,116,97,114,51,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,50,49,34,32,108,105,110,101,69,110,100,61,34,53,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,97,114,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,116,97,114,51,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,50,49,34,32,108,105,110,101,69,110,100,61,34,53,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,97,114,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,116,97,114,51,46,112,108,117,103,95,112,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5908520);
/* memory initializer */ allocate([105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,97,114,51,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,116,97,114,51,46,112,108,117,103,95,112,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,97,114,51,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,112,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,112,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,110,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,110,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,112,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,112,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,110,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,110,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,109,104,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,104,101,97,116,80,111,114,116,115,61,110,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,56,54,34,32,108,105,110,101,69,110,100,61,34,51,50,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5918760);
/* memory initializer */ allocate([60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,109,104,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,104,101,97,116,80,111,114,116,115,61,110,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,56,54,34,32,108,105,110,101,69,110,100,61,34,51,50,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,110,111,117,116,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,111,117,116,112,117,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,112,97,99,101,80,104,97,115,111,114,115,46,66,108,111,99,107,115,46,84,111,83,112,97,99,101,80,104,97,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,110,111,117,116,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,111,117,116,112,117,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,48,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,112,97,99,101,80,104,97,115,111,114,115,46,66,108,111,99,107,115,46,84,111,83,112,97,99,101,80,104,97,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,110,105,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,34,32,108,105,110,101,69,110,100,61,34,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,112,97,99,101,80,104,97,115,111,114,115,46,66,108,111,99,107,115,46,84,111,83,112,97,99,101,80,104,97,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,110,105,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,34,32,108,105,110,101,69,110,100,61,34,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,112,97,99,101,80,104,97,115,111,114,115,46,66,108,111,99,107,115,46,84,111,83,112,97,99,101,80,104,97,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,80,111,108,97,114,49,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,32,40,61,32,110,117,109,98,101,114,32,111,102,32,111,117,116,112,117,116,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,34,32,108,105,110,101,69,110,100,61,34,52,50,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,80,111,108,97,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,112,97,99,101,80,104,97,115,111,114,115,46,66,108,111,99,107,115,46,84,111,80,111,108,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,80,111,108,97,114,49,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,32,40,61,32,110,117,109,98,101,114,32,111,102,32,111,117,116,112,117,116,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,34,32,108,105,110,101,69,110,100,61,34,52,50,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,80,111,108,97,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,112,97,99,101,80,104,97,115,111,114,115,46,66,108,111,99,107,115,46,84,111,80,111,108,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,110,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,110,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,55,56,34,32,108,105,110,101,69,110,100,61,34,50,52,55,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,55,56,34,32,108,105,110,101,69,110,100,61,34,50,52,55,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,112,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5929000);
/* memory initializer */ allocate([101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,112,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,110,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,110,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,51,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,55,50,48,34,32,108,105,110,101,69,110,100,61,34,49,53,55,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,51,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,55,50,48,34,32,108,105,110,101,69,110,100,61,34,49,53,55,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,112,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,112,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,110,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,110,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,83,117,112,112,108,121,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,83,117,112,112,108,121,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,83,117,112,112,108,121,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,83,117,112,112,108,121,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,50,49,34,32,108,105,110,101,69,110,100,61,34,53,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,50,49,34,32,108,105,110,101,69,110,100,61,34,53,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,46,112,108,117,103,95,112,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5939240);
/* memory initializer */ allocate([105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,46,112,108,117,103,95,112,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,115,116,97,116,111,114,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,53,50,34,32,108,105,110,101,69,110,100,61,34,54,54,53,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,115,116,97,116,111,114,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,53,50,34,32,108,105,110,101,69,110,100,61,34,54,54,53,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,112,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,111,108,101,32,112,97,105,114,115,32,40,73,110,116,101,103,101,114,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,54,50,34,32,108,105,110,101,69,110,100,61,34,54,54,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,112,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,111,108,101,32,112,97,105,114,115,32,40,73,110,116,101,103,101,114,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,54,50,34,32,108,105,110,101,69,110,100,61,34,54,54,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,112,108,117,103,95,115,112,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,112,108,117,103,95,115,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,112,108,117,103,95,115,112,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,112,108,117,103,95,115,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,112,108,117,103,95,115,110,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,112,108,117,103,95,115,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,112,108,117,103,95,115,110,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,112,108,117,103,95,115,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,115,116,97,116,111,114,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,52,56,53,34,32,108,105,110,101,69,110,100,61,34,49,51,52,56,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,115,116,97,116,111,114,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,52,56,53,34,32,108,105,110,101,69,110,100,61,34,49,51,52,56,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,115,116,97,116,101,83,101,108,101,99,116,34,32,99,111,109,109,101,110,116,61,34,80,114,105,111,114,105,116,121,32,116,111,32,117,115,101,32,112,104,105,32,97,110,100,32,119,32,97,115,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,32,47,42,69,78,85,77,58,83,116,97,116,101,83,101,108,101,99,116,46,100,101,102,97,117,108,116,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,49,34,32,108,105,110,101,69,110,100,61,34,50,51,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,83,116,97,116,101,83,101,108,101,99,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,83,116,97,116,101,83,101,108,101,99,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,115,116,97,116,101,83,101,108,101,99,116,34,32,99,111,109,109,101,110,116,61,34,80,114,105,111,114,105,116,121,32,116,111,32,117,115,101,32,112,104,105,32,97,110,100,32,119,32,97,115,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,32,47,42,69,78,85,77,58,83,116,97,116,101,83,101,108,101,99,116,46,100,101,102,97,117,108,116,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,49,34,32,108,105,110,101,69,110,100,61,34,50,51,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,83,116,97,116,101,83,101,108,101,99,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5949480);
/* memory initializer */ allocate([114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,83,116,97,116,101,83,101,108,101,99,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,32,40,49,32,102,111,114,32,68,67,44,32,51,32,102,111,114,32,105,110,100,117,99,116,105,111,110,32,109,97,99,104,105,110,101,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,51,50,34,32,108,105,110,101,69,110,100,61,34,49,49,51,51,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,32,40,49,32,102,111,114,32,68,67,44,32,51,32,102,111,114,32,105,110,100,117,99,116,105,111,110,32,109,97,99,104,105,110,101,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,51,50,34,32,108,105,110,101,69,110,100,61,34,49,49,51,51,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,115,116,97,116,111,114,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,53,50,53,34,32,108,105,110,101,69,110,100,61,34,49,51,53,50,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,115,116,97,116,111,114,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,53,50,53,34,32,108,105,110,101,69,110,100,61,34,49,51,53,50,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,115,116,97,116,111,114,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,52,56,53,34,32,108,105,110,101,69,110,100,61,34,49,51,52,56,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,115,116,97,116,111,114,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,52,56,53,34,32,108,105,110,101,69,110,100,61,34,49,51,52,56,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,99,111,108,108,101,99,116,101,100,32,104,101,97,116,32,102,108,111,119,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,55,55,34,32,108,105,110,101,69,110,100,61,34,57,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,99,111,108,108,101,99,116,101,100,32,104,101,97,116,32,102,108,111,119,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,55,55,34,32,108,105,110,101,69,110,100,61,34,57,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,115,116,97,116,101,83,101,108,101,99,116,34,32,99,111,109,109,101,110,116,61,34,80,114,105,111,114,105,116,121,32,116,111,32,117,115,101,32,112,104,105,32,97,110,100,32,119,32,97,115,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,32,47,42,69,78,85,77,58,83,116,97,116,101,83,101,108,101,99,116,46,100,101,102,97,117,108,116,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,49,34,32,108,105,110,101,69,110,100,61,34,50,51,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,83,116,97,116,101,83,101,108,101,99,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,101,114,116,105,97,83,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,83,116,97,116,101,83,101,108,101,99,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,115,116,97,116,101,83,101,108,101,99,116,34,32,99,111,109,109,101,110,116,61,34,80,114,105,111,114,105,116,121,32,116,111,32,117,115,101,32,112,104,105,32,97,110,100,32,119,32,97,115,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,32,47,42,69,78,85,77,58,83,116,97,116,101,83,101,108,101,99,116,46,100,101,102,97,117,108,116,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,49,34,32,108,105,110,101,69,110,100,61,34,50,51,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,83,116,97,116,101,83,101,108,101,99,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,101,114,116,105,97,83,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,83,116,97,116,101,83,101,108,101,99,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5959720);
/* memory initializer */ allocate([105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,53,52,34,32,108,105,110,101,69,110,100,61,34,53,53,53,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,53,52,34,32,108,105,110,101,69,110,100,61,34,53,53,53,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5969960);
/* memory initializer */ allocate([116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,49,57,34,32,108,105,110,101,69,110,100,61,34,52,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,49,57,34,32,108,105,110,101,69,110,100,61,34,52,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5980200);
/* memory initializer */ allocate([97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,109,104,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,104,101,97,116,80,111,114,116,115,61,110,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,56,54,34,32,108,105,110,101,69,110,100,61,34,51,50,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,109,104,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,104,101,97,116,80,111,114,116,115,61,110,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,56,54,34,32,108,105,110,101,69,110,100,61,34,51,50,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,112,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,111,108,101,32,112,97,105,114,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,50,55,34,32,108,105,110,101,69,110,100,61,34,53,55,50,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,97,105,114,71,97,112,46,112,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,111,108,101,32,112,97,105,114,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,50,55,34,32,108,105,110,101,69,110,100,61,34,53,55,50,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,54,56,34,32,108,105,110,101,69,110,100,61,34,53,56,54,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,54,56,34,32,108,105,110,101,69,110,100,61,34,53,56,54,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5990440);
/* memory initializer */ allocate([114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,50,49,34,32,108,105,110,101,69,110,100,61,34,53,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,50,49,34,32,108,105,110,101,69,110,100,61,34,53,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,50,49,34,32,108,105,110,101,69,110,100,61,34,53,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,50,49,34,32,108,105,110,101,69,110,100,61,34,53,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,99,111,108,108,101,99,116,101,100,32,104,101,97,116,32,102,108,111,119,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,55,55,34,32,108,105,110,101,69,110,100,61,34,57,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,99,111,108,108,101,99,116,101,100,32,104,101,97,116,32,102,108,111,119,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,55,55,34,32,108,105,110,101,69,110,100,61,34,57,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,49,57,34,32,108,105,110,101,69,110,100,61,34,52,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6000680);
/* memory initializer */ allocate([110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,49,57,34,32,108,105,110,101,69,110,100,61,34,52,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6010920);
/* memory initializer */ allocate([100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,109,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,109,104,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,104,101,97,116,80,111,114,116,115,61,110,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,56,54,34,32,108,105,110,101,69,110,100,61,34,51,50,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,109,104,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,104,101,97,116,80,111,114,116,115,61,110,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,56,54,34,32,108,105,110,101,69,110,100,61,34,51,50,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,108,111,97,100,73,110,101,114,116,105,97,51,46,115,116,97,116,101,83,101,108,101,99,116,34,32,99,111,109,109,101,110,116,61,34,80,114,105,111,114,105,116,121,32,116,111,32,117,115,101,32,112,104,105,32,97,110,100,32,119,32,97,115,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,32,47,42,69,78,85,77,58,83,116,97,116,101,83,101,108,101,99,116,46,100,101,102,97,117,108,116,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,49,34,32,108,105,110,101,69,110,100,61,34,50,51,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,83,116,97,116,101,83,101,108,101,99,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,108,111,97,100,73,110,101,114,116,105,97,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,83,116,97,116,101,83,101,108,101,99,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,108,111,97,100,73,110,101,114,116,105,97,51,46,115,116,97,116,101,83,101,108,101,99,116,34,32,99,111,109,109,101,110,116,61,34,80,114,105,111,114,105,116,121,32,116,111,32,117,115,101,32,112,104,105,32,97,110,100,32,119,32,97,115,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,32,47,42,69,78,85,77,58,83,116,97,116,101,83,101,108,101,99,116,46,100,101,102,97,117,108,116,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,49,34,32,108,105,110,101,69,110,100,61,34,50,51,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,83,116,97,116,101,83,101,108,101,99,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,108,111,97,100,73,110,101,114,116,105,97,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,83,116,97,116,101,83,101,108,101,99,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,52,34,32,108,105,110,101,69,110,100,61,34,51,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,52,34,32,108,105,110,101,69,110,100,61,34,51,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6021160);
/* memory initializer */ allocate([104,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,52,34,32,108,105,110,101,69,110,100,61,34,51,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,52,34,32,108,105,110,101,69,110,100,61,34,51,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,52,34,32,108,105,110,101,69,110,100,61,34,51,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,52,34,32,108,105,110,101,69,110,100,61,34,51,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,52,34,32,108,105,110,101,69,110,100,61,34,51,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,52,34,32,108,105,110,101,69,110,100,61,34,51,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,52,34,32,108,105,110,101,69,110,100,61,34,51,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,52,34,32,108,105,110,101,69,110,100,61,34,51,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,98,111,111,108,101,97,110,83,116,101,112,77,91,49,93,46,115,116,97,114,116,86,97,108,117,101,34,32,99,111,109,109,101,110,116,61,34,79,117,116,112,117,116,32,98,101,102,111,114,101,32,115,116,97,114,116,84,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,54,34,32,108,105,110,101,69,110,100,61,34,50,55,50,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,98,111,111,108,101,97,110,83,116,101,112,77,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,98,111,111,108,101,97,110,83,116,101,112,77,91,49,93,46,115,116,97,114,116,86,97,108,117,101,34,32,99,111,109,109,101,110,116,61,34,79,117,116,112,117,116,32,98,101,102,111,114,101,32,115,116,97,114,116,84,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,54,34,32,108,105,110,101,69,110,100,61,34,50,55,50,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,98,111,111,108,101,97,110,83,116,101,112,77,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,98,111,111,108,101,97,110,83,116,101,112,77,91,50,93,46,115,116,97,114,116,86,97,108,117,101,34,32,99,111,109,109,101,110,116,61,34,79,117,116,112,117,116,32,98,101,102,111,114,101,32,115,116,97,114,116,84,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,54,34,32,108,105,110,101,69,110,100,61,34,50,55,50,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,98,111,111,108,101,97,110,83,116,101,112,77,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,98,111,111,108,101,97,110,83,116,101,112,77,91,50,93,46,115,116,97,114,116,86,97,108,117,101,34,32,99,111,109,109,101,110,116,61,34,79,117,116,112,117,116,32,98,101,102,111,114,101,32,115,116,97,114,116,84,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,54,34,32,108,105,110,101,69,110,100,61,34,50,55,50,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,98,111,111,108,101,97,110,83,116,101,112,77,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,98,111,111,108,101,97,110,83,116,101,112,77,91,51,93,46,115,116,97,114,116,86,97,108,117,101,34,32,99,111,109,109,101,110,116,61,34,79,117,116,112,117,116,32,98,101,102,111,114,101,32,115,116,97,114,116,84,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,54,34,32,108,105,110,101,69,110,100,61,34,50,55,50,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,98,111,111,108,101,97,110,83,116,101,112,77,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,98,111,111,108,101,97,110,83,116,101,112,77,91,51,93,46,115,116,97,114,116,86,97,108,117,101,34,32,99,111,109,109,101,110,116,61,34,79,117,116,112,117,116,32,98,101,102,111,114,101,32,115,116,97,114,116,84,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,54,34,32,108,105,110,101,69,110,100,61,34,50,55,50,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6031400);
/* memory initializer */ allocate([97,110,99,101,62,98,111,111,108,101,97,110,83,116,101,112,77,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,98,111,111,108,101,97,110,83,116,101,112,77,91,52,93,46,115,116,97,114,116,86,97,108,117,101,34,32,99,111,109,109,101,110,116,61,34,79,117,116,112,117,116,32,98,101,102,111,114,101,32,115,116,97,114,116,84,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,54,34,32,108,105,110,101,69,110,100,61,34,50,55,50,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,98,111,111,108,101,97,110,83,116,101,112,77,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,98,111,111,108,101,97,110,83,116,101,112,77,91,52,93,46,115,116,97,114,116,86,97,108,117,101,34,32,99,111,109,109,101,110,116,61,34,79,117,116,112,117,116,32,98,101,102,111,114,101,32,115,116,97,114,116,84,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,54,34,32,108,105,110,101,69,110,100,61,34,50,55,50,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,98,111,111,108,101,97,110,83,116,101,112,77,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,98,111,111,108,101,97,110,83,116,101,112,77,91,53,93,46,115,116,97,114,116,86,97,108,117,101,34,32,99,111,109,109,101,110,116,61,34,79,117,116,112,117,116,32,98,101,102,111,114,101,32,115,116,97,114,116,84,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,54,34,32,108,105,110,101,69,110,100,61,34,50,55,50,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,98,111,111,108,101,97,110,83,116,101,112,77,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,98,111,111,108,101,97,110,83,116,101,112,77,91,53,93,46,115,116,97,114,116,86,97,108,117,101,34,32,99,111,109,109,101,110,116,61,34,79,117,116,112,117,116,32,98,101,102,111,114,101,32,115,116,97,114,116,84,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,54,34,32,108,105,110,101,69,110,100,61,34,50,55,50,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,98,111,111,108,101,97,110,83,116,101,112,77,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,52,34,32,108,105,110,101,69,110,100,61,34,51,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,52,34,32,108,105,110,101,69,110,100,61,34,51,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,52,34,32,108,105,110,101,69,110,100,61,34,51,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,52,34,32,108,105,110,101,69,110,100,61,34,51,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,52,34,32,108,105,110,101,69,110,100,61,34,51,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,52,34,32,108,105,110,101,69,110,100,61,34,51,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,52,34,32,108,105,110,101,69,110,100,61,34,51,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,52,34,32,108,105,110,101,69,110,100,61,34,51,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6041640);
/* memory initializer */ allocate([97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,52,34,32,108,105,110,101,69,110,100,61,34,51,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,52,34,32,108,105,110,101,69,110,100,61,34,51,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,52,34,32,108,105,110,101,69,110,100,61,34,51,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,52,34,32,108,105,110,101,69,110,100,61,34,51,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,52,34,32,108,105,110,101,69,110,100,61,34,51,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,52,34,32,108,105,110,101,69,110,100,61,34,51,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,52,34,32,108,105,110,101,69,110,100,61,34,51,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,52,34,32,108,105,110,101,69,110,100,61,34,51,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,52,34,32,108,105,110,101,69,110,100,61,34,51,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,52,34,32,108,105,110,101,69,110,100,61,34,51,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6051880);
/* memory initializer */ allocate([104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,52,34,32,108,105,110,101,69,110,100,61,34,51,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,52,34,32,108,105,110,101,69,110,100,61,34,51,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,52,34,32,108,105,110,101,69,110,100,61,34,51,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,52,34,32,108,105,110,101,69,110,100,61,34,51,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,52,34,32,108,105,110,101,69,110,100,61,34,51,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,52,34,32,108,105,110,101,69,110,100,61,34,51,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,52,34,32,108,105,110,101,69,110,100,61,34,51,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,52,34,32,108,105,110,101,69,110,100,61,34,51,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,98,111,111,108,101,97,110,83,116,101,112,51,91,49,93,46,115,116,97,114,116,86,97,108,117,101,34,32,99,111,109,109,101,110,116,61,34,79,117,116,112,117,116,32,98,101,102,111,114,101,32,115,116,97,114,116,84,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,54,34,32,108,105,110,101,69,110,100,61,34,50,55,50,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,98,111,111,108,101,97,110,83,116,101,112,51,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,98,111,111,108,101,97,110,83,116,101,112,51,91,49,93,46,115,116,97,114,116,86,97,108,117,101,34,32,99,111,109,109,101,110,116,61,34,79,117,116,112,117,116,32,98,101,102,111,114,101,32,115,116,97,114,116,84,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,54,34,32,108,105,110,101,69,110,100,61,34,50,55,50,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,98,111,111,108,101,97,110,83,116,101,112,51,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,98,111,111,108,101,97,110,83,116,101,112,51,91,50,93,46,115,116,97,114,116,86,97,108,117,101,34,32,99,111,109,109,101,110,116,61,34,79,117,116,112,117,116,32,98,101,102,111,114,101,32,115,116,97,114,116,84,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,54,34,32,108,105,110,101,69,110,100,61,34,50,55,50,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,98,111,111,108,101,97,110,83,116,101,112,51,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,98,111,111,108,101,97,110,83,116,101,112,51,91,50,93,46,115,116,97,114,116,86,97,108,117,101,34,32,99,111,109,109,101,110,116,61,34,79,117,116,112,117,116,32,98,101,102,111,114,101,32,115,116,97,114,116,84,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,54,34,32,108,105,110,101,69,110,100,61,34,50,55,50,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,98,111,111,108,101,97,110,83,116,101,112,51,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,98,111,111,108,101,97,110,83,116,101,112,51,91,51,93,46,115,116,97,114,116,86,97,108,117,101,34,32,99,111,109,109,101,110,116,61,34,79,117,116,112,117,116,32,98,101,102,111,114,101,32,115,116,97,114,116,84,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,54,34,32,108,105,110,101,69,110,100,61,34,50,55,50,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,98,111,111,108,101,97,110,83,116,101,112,51,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,98,111,111,108,101,97,110,83,116,101,112,51,91,51,93,46,115,116,97,114,116,86,97,108,117,101,34,32,99,111,109,109,101,110,116,61,34,79,117,116,112,117,116,32,98,101,102,111,114,101,32,115,116,97,114,116,84,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6062120);
/* memory initializer */ allocate([114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,54,34,32,108,105,110,101,69,110,100,61,34,50,55,50,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,98,111,111,108,101,97,110,83,116,101,112,51,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,52,34,32,108,105,110,101,69,110,100,61,34,51,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,52,34,32,108,105,110,101,69,110,100,61,34,51,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,52,34,32,108,105,110,101,69,110,100,61,34,51,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,52,34,32,108,105,110,101,69,110,100,61,34,51,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,52,34,32,108,105,110,101,69,110,100,61,34,51,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,52,34,32,108,105,110,101,69,110,100,61,34,51,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,52,34,32,108,105,110,101,69,110,100,61,34,51,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,52,34,32,108,105,110,101,69,110,100,61,34,51,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,52,34,32,108,105,110,101,69,110,100,61,34,51,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,52,34,32,108,105,110,101,69,110,100,61,34,51,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6072360);
/* memory initializer */ allocate([105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,52,34,32,108,105,110,101,69,110,100,61,34,51,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,52,34,32,108,105,110,101,69,110,100,61,34,51,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,97,108,108,32,72,101,97,116,80,111,114,116,115,32,97,114,101,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,56,55,34,32,108,105,110,101,69,110,100,61,34,51,50,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,97,108,108,32,72,101,97,116,80,111,114,116,115,32,97,114,101,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,56,55,34,32,108,105,110,101,69,110,100,61,34,51,50,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,117,115,101,83,117,112,112,111,114,116,34,32,99,111,109,109,101,110,116,61,34,69,110,97,98,108,101,32,47,32,100,105,115,97,98,108,101,32,40,61,102,105,120,101,100,32,115,116,97,116,111,114,41,32,115,117,112,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,53,53,34,32,108,105,110,101,69,110,100,61,34,54,54,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,117,115,101,83,117,112,112,111,114,116,34,32,99,111,109,109,101,110,116,61,34,69,110,97,98,108,101,32,47,32,100,105,115,97,98,108,101,32,40,61,102,105,120,101,100,32,115,116,97,116,111,114,41,32,115,117,112,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,53,53,34,32,108,105,110,101,69,110,100,61,34,54,54,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,117,115,101,84,104,101,114,109,97,108,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,69,110,97,98,108,101,32,47,32,100,105,115,97,98,108,101,32,40,61,102,105,120,101,100,32,116,101,109,112,101,114,97,116,117,114,101,115,41,32,116,104,101,114,109,97,108,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,53,57,34,32,108,105,110,101,69,110,100,61,34,54,54,54,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,117,115,101,84,104,101,114,109,97,108,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,69,110,97,98,108,101,32,47,32,100,105,115,97,98,108,101,32,40,61,102,105,120,101,100,32,116,101,109,112,101,114,97,116,117,114,101,115,41,32,116,104,101,114,109,97,108,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,53,57,34,32,108,105,110,101,69,110,100,61,34,54,54,54,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,117,115,101,84,101,109,112,101,114,97,116,117,114,101,73,110,112,117,116,115,34,32,99,111,109,109,101,110,116,61,34,73,102,32,116,114,117,101,44,32,116,101,109,112,101,114,97,116,117,114,101,32,105,110,112,117,116,115,32,97,114,101,32,117,115,101,100,59,32,101,108,115,101,44,32,116,101,109,112,101,114,97,116,117,114,101,115,32,97,114,101,32,99,111,110,115,116,97,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,53,50,54,34,32,108,105,110,101,69,110,100,61,34,49,51,53,50,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,117,115,101,84,101,109,112,101,114,97,116,117,114,101,73,110,112,117,116,115,34,32,99,111,109,109,101,110,116,61,34,73,102,32,116,114,117,101,44,32,116,101,109,112,101,114,97,116,117,114,101,32,105,110,112,117,116,115,32,97,114,101,32,117,115,101,100,59,32,101,108,115,101,44,32,116,101,109,112,101,114,97,116,117,114,101,115,32,97,114,101,32,99,111,110,115,116,97,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,53,50,54,34,32,108,105,110,101,69,110,100,61,34,49,51,53,50,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,104,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,49,34,32,108,105,110,101,69,110,100,61,34,50,57,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,104,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,49,34,32,108,105,110,101,69,110,100,61,34,50,57,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,104,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,49,34,32,108,105,110,101,69,110,100,61,34,50,57,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6082600);
/* memory initializer */ allocate([110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,104,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,49,34,32,108,105,110,101,69,110,100,61,34,50,57,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,69,110,97,98,108,101,32,47,32,100,105,115,97,98,108,101,32,40,61,102,105,120,101,100,32,116,101,109,112,101,114,97,116,117,114,101,115,41,32,116,104,101,114,109,97,108,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,53,53,34,32,108,105,110,101,69,110,100,61,34,53,53,53,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,69,110,97,98,108,101,32,47,32,100,105,115,97,98,108,101,32,40,61,102,105,120,101,100,32,116,101,109,112,101,114,97,116,117,114,101,115,41,32,116,104,101,114,109,97,108,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,53,53,34,32,108,105,110,101,69,110,100,61,34,53,53,53,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,104,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,53,53,34,32,108,105,110,101,69,110,100,61,34,50,57,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,104,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,53,53,34,32,108,105,110,101,69,110,100,61,34,50,57,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,97,108,108,32,72,101,97,116,80,111,114,116,115,32,97,114,101,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,56,55,34,32,108,105,110,101,69,110,100,61,34,51,50,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,97,108,108,32,72,101,97,116,80,111,114,116,115,32,97,114,101,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,56,55,34,32,108,105,110,101,69,110,100,61,34,51,50,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,69,110,97,98,108,101,32,47,32,100,105,115,97,98,108,101,32,40,61,102,105,120,101,100,32,116,101,109,112,101,114,97,116,117,114,101,115,41,32,116,104,101,114,109,97,108,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,54,57,34,32,108,105,110,101,69,110,100,61,34,53,56,55,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,69,110,97,98,108,101,32,47,32,100,105,115,97,98,108,101,32,40,61,102,105,120,101,100,32,116,101,109,112,101,114,97,116,117,114,101,115,41,32,116,104,101,114,109,97,108,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,54,57,34,32,108,105,110,101,69,110,100,61,34,53,56,55,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,97,108,108,32,72,101,97,116,80,111,114,116,115,32,97,114,101,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,56,55,34,32,108,105,110,101,69,110,100,61,34,51,50,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,97,108,108,32,72,101,97,116,80,111,114,116,115,32,97,114,101,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,56,55,34,32,108,105,110,101,69,110,100,61,34,51,50,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,117,115,101,83,117,112,112,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,115,117,112,112,111,114,116,32,102,108,97,110,103,101,32,101,110,97,98,108,101,100,44,32,111,116,104,101,114,119,105,115,101,32,105,109,112,108,105,99,105,116,108,121,32,103,114,111,117,110,100,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,48,51,34,32,108,105,110,101,69,110,100,61,34,55,48,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6092840);
/* memory initializer */ allocate([99,101,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,83,111,117,114,99,101,115,46,81,117,97,100,114,97,116,105,99,83,112,101,101,100,68,101,112,101,110,100,101,110,116,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,117,115,101,83,117,112,112,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,115,117,112,112,111,114,116,32,102,108,97,110,103,101,32,101,110,97,98,108,101,100,44,32,111,116,104,101,114,119,105,115,101,32,105,109,112,108,105,99,105,116,108,121,32,103,114,111,117,110,100,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,48,51,34,32,108,105,110,101,69,110,100,61,34,55,48,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,83,111,117,114,99,101,115,46,81,117,97,100,114,97,116,105,99,83,112,101,101,100,68,101,112,101,110,100,101,110,116,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,84,111,114,113,117,101,68,105,114,101,99,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,83,97,109,101,32,100,105,114,101,99,116,105,111,110,32,111,102,32,116,111,114,113,117,101,32,105,110,32,98,111,116,104,32,100,105,114,101,99,116,105,111,110,115,32,111,102,32,114,111,116,97,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,51,48,49,34,32,108,105,110,101,69,110,100,61,34,54,51,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,83,111,117,114,99,101,115,46,81,117,97,100,114,97,116,105,99,83,112,101,101,100,68,101,112,101,110,100,101,110,116,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,84,111,114,113,117,101,68,105,114,101,99,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,83,97,109,101,32,100,105,114,101,99,116,105,111,110,32,111,102,32,116,111,114,113,117,101,32,105,110,32,98,111,116,104,32,100,105,114,101,99,116,105,111,110,115,32,111,102,32,114,111,116,97,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,51,48,49,34,32,108,105,110,101,69,110,100,61,34,54,51,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,83,111,117,114,99,101,115,46,81,117,97,100,114,97,116,105,99,83,112,101,101,100,68,101,112,101,110,100,101,110,116,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,97,108,108,32,72,101,97,116,80,111,114,116,115,32,97,114,101,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,56,55,34,32,108,105,110,101,69,110,100,61,34,51,50,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,97,108,108,32,72,101,97,116,80,111,114,116,115,32,97,114,101,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,56,55,34,32,108,105,110,101,69,110,100,61,34,51,50,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,117,115,101,83,117,112,112,111,114,116,34,32,99,111,109,109,101,110,116,61,34,69,110,97,98,108,101,32,47,32,100,105,115,97,98,108,101,32,40,61,102,105,120,101,100,32,115,116,97,116,111,114,41,32,115,117,112,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,53,53,34,32,108,105,110,101,69,110,100,61,34,54,54,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,117,115,101,83,117,112,112,111,114,116,34,32,99,111,109,109,101,110,116,61,34,69,110,97,98,108,101,32,47,32,100,105,115,97,98,108,101,32,40,61,102,105,120,101,100,32,115,116,97,116,111,114,41,32,115,117,112,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,53,53,34,32,108,105,110,101,69,110,100,61,34,54,54,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,117,115,101,84,104,101,114,109,97,108,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,69,110,97,98,108,101,32,47,32,100,105,115,97,98,108,101,32,40,61,102,105,120,101,100,32,116,101,109,112,101,114,97,116,117,114,101,115,41,32,116,104,101,114,109,97,108,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,53,57,34,32,108,105,110,101,69,110,100,61,34,54,54,54,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,117,115,101,84,104,101,114,109,97,108,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,69,110,97,98,108,101,32,47,32,100,105,115,97,98,108,101,32,40,61,102,105,120,101,100,32,116,101,109,112,101,114,97,116,117,114,101,115,41,32,116,104,101,114,109,97,108,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,53,57,34,32,108,105,110,101,69,110,100,61,34,54,54,54,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,117,115,101,84,101,109,112,101,114,97,116,117,114,101,73,110,112,117,116,115,34,32,99,111,109,109,101,110,116,61,34,73,102,32,116,114,117,101,44,32,116,101,109,112,101,114,97,116,117,114,101,32,105,110,112,117,116,115,32,97,114,101,32,117,115,101,100,59,32,101,108,115,101,44,32,116,101,109,112,101,114,97,116,117,114,101,115,32,97,114,101,32,99,111,110,115,116,97,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,53,50,54,34,32,108,105,110,101,69,110,100,61,34,49,51,53,50,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,117,115,101,84,101,109,112,101,114,97,116,117,114,101,73,110,112,117,116,115,34,32,99,111,109,109,101,110,116,61,34,73,102,32,116,114,117,101,44,32,116,101,109,112,101,114,97,116,117,114,101,32,105,110,112,117,116,115,32,97,114,101,32,117,115,101,100,59,32,101,108,115,101,44,32,116,101,109,112,101,114,97,116,117,114,101,115,32,97,114,101,32,99,111,110,115,116,97,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,53,50,54,34,32,108,105,110,101,69,110,100,61,34,49,51,53,50,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,104,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,49,34,32,108,105,110,101,69,110,100,61,34,50,57,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,104,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,49,34,32,108,105,110,101,69,110,100,61,34,50,57,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,104,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6103080);
/* memory initializer */ allocate([100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,49,34,32,108,105,110,101,69,110,100,61,34,50,57,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,104,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,49,34,32,108,105,110,101,69,110,100,61,34,50,57,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,69,110,97,98,108,101,32,47,32,100,105,115,97,98,108,101,32,40,61,102,105,120,101,100,32,116,101,109,112,101,114,97,116,117,114,101,115,41,32,116,104,101,114,109,97,108,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,53,53,34,32,108,105,110,101,69,110,100,61,34,53,53,53,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,69,110,97,98,108,101,32,47,32,100,105,115,97,98,108,101,32,40,61,102,105,120,101,100,32,116,101,109,112,101,114,97,116,117,114,101,115,41,32,116,104,101,114,109,97,108,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,53,53,34,32,108,105,110,101,69,110,100,61,34,53,53,53,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,104,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,53,53,34,32,108,105,110,101,69,110,100,61,34,50,57,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,104,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,53,53,34,32,108,105,110,101,69,110,100,61,34,50,57,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,97,108,108,32,72,101,97,116,80,111,114,116,115,32,97,114,101,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,56,55,34,32,108,105,110,101,69,110,100,61,34,51,50,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,97,108,108,32,72,101,97,116,80,111,114,116,115,32,97,114,101,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,56,55,34,32,108,105,110,101,69,110,100,61,34,51,50,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,69,110,97,98,108,101,32,47,32,100,105,115,97,98,108,101,32,40,61,102,105,120,101,100,32,116,101,109,112,101,114,97,116,117,114,101,115,41,32,116,104,101,114,109,97,108,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,54,57,34,32,108,105,110,101,69,110,100,61,34,53,56,55,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,69,110,97,98,108,101,32,47,32,100,105,115,97,98,108,101,32,40,61,102,105,120,101,100,32,116,101,109,112,101,114,97,116,117,114,101,115,41,32,116,104,101,114,109,97,108,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,54,57,34,32,108,105,110,101,69,110,100,61,34,53,56,55,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,97,108,108,32,72,101,97,116,80,111,114,116,115,32,97,114,101,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,56,55,34,32,108,105,110,101,69,110,100,61,34,51,50,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,97,108,108,32,72,101,97,116,80,111,114,116,115,32,97,114,101,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,56,55,34,32,108,105,110,101,69,110,100,61,34,51,50,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,117,115,101,83,117,112,112,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,115,117,112,112,111,114,116,32,102,108,97,110,103,101,32,101,110,97,98,108,101,100,44,32,111,116,104,101,114,119,105,115,101,32,105,109,112,108,105,99,105,116,108,121,32,103,114,111,117,110,100], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6113320);
/* memory initializer */ allocate([101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,48,51,34,32,108,105,110,101,69,110,100,61,34,55,48,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,83,111,117,114,99,101,115,46,81,117,97,100,114,97,116,105,99,83,112,101,101,100,68,101,112,101,110,100,101,110,116,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,117,115,101,83,117,112,112,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,115,117,112,112,111,114,116,32,102,108,97,110,103,101,32,101,110,97,98,108,101,100,44,32,111,116,104,101,114,119,105,115,101,32,105,109,112,108,105,99,105,116,108,121,32,103,114,111,117,110,100,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,48,51,34,32,108,105,110,101,69,110,100,61,34,55,48,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,83,111,117,114,99,101,115,46,81,117,97,100,114,97,116,105,99,83,112,101,101,100,68,101,112,101,110,100,101,110,116,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,84,111,114,113,117,101,68,105,114,101,99,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,83,97,109,101,32,100,105,114,101,99,116,105,111,110,32,111,102,32,116,111,114,113,117,101,32,105,110,32,98,111,116,104,32,100,105,114,101,99,116,105,111,110,115,32,111,102,32,114,111,116,97,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,51,48,49,34,32,108,105,110,101,69,110,100,61,34,54,51,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,83,111,117,114,99,101,115,46,81,117,97,100,114,97,116,105,99,83,112,101,101,100,68,101,112,101,110,100,101,110,116,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,84,111,114,113,117,101,68,105,114,101,99,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,83,97,109,101,32,100,105,114,101,99,116,105,111,110,32,111,102,32,116,111,114,113,117,101,32,105,110,32,98,111,116,104,32,100,105,114,101,99,116,105,111,110,115,32,111,102,32,114,111,116,97,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,51,48,49,34,32,108,105,110,101,69,110,100,61,34,54,51,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,83,111,117,114,99,101,115,46,81,117,97,100,114,97,116,105,99,83,112,101,101,100,68,101,112,101,110,100,101,110,116,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,116,101,114,109,105,110,97,108,67,111,110,110,101,99,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,67,104,111,111,115,101,32,89,61,115,116,97,114,47,68,61,100,101,108,116,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,83,116,114,105,110,103,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,89,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,55,50,49,34,32,108,105,110,101,69,110,100,61,34,49,53,55,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,83,116,114,105,110,103,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,83,116,114,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,77,46,116,101,114,109,105,110,97,108,67,111,110,110,101,99,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,67,104,111,111,115,101,32,89,61,115,116,97,114,47,68,61,100,101,108,116,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,83,116,114,105,110,103,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,89,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,55,50,49,34,32,108,105,110,101,69,110,100,61,34,49,53,55,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,83,116,114,105,110,103,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,83,116,114,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,51,46,116,101,114,109,105,110,97,108,67,111,110,110,101,99,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,67,104,111,111,115,101,32,89,61,115,116,97,114,47,68,61,100,101,108,116,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,83,116,114,105,110,103,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,89,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,55,50,49,34,32,108,105,110,101,69,110,100,61,34,49,53,55,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,83,116,114,105,110,103,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,83,116,114,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,116,101,114,109,105,110,97,108,66,111,120,51,46,116,101,114,109,105,110,97,108,67,111,110,110,101,99,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,67,104,111,111,115,101,32,89,61,115,116,97,114,47,68,61,100,101,108,116,97,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,83,116,114,105,110,103,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,89,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,55,50,49,34,32,108,105,110,101,69,110,100,61,34,49,53,55,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,83,116,114,105,110,103,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,83,116,114,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,105,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,55,34,32,108,105,110,101,69,110,100,61,34,53,54,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,105,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,55,34,32,108,105,110,101,69,110,100,61,34,53,54,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,105,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,55,34,32,108,105,110,101,69,110,100,61,34,53,54,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,105,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,55,34,32,108,105,110,101,69,110,100,61,34,53,54,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,105,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,55,34,32,108,105,110,101,69,110,100,61,34,53,54,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,105,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,55,34,32,108,105,110,101,69,110,100,61,34,53,54,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,105,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6123560);
/* memory initializer */ allocate([115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,55,34,32,108,105,110,101,69,110,100,61,34,53,54,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,105,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,55,34,32,108,105,110,101,69,110,100,61,34,53,54,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,105,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,55,34,32,108,105,110,101,69,110,100,61,34,53,54,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,105,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,55,34,32,108,105,110,101,69,110,100,61,34,53,54,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,117,110,105,116,86,111,108,116,97,103,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,50,34,32,108,105,110,101,69,110,100,61,34,49,53,53,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,117,110,105,116,86,111,108,116,97,103,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,50,34,32,108,105,110,101,69,110,100,61,34,49,53,53,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,117,110,105,116,67,117,114,114,101,110,116,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,51,34,32,108,105,110,101,69,110,100,61,34,49,53,53,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,117,110,105,116,67,117,114,114,101,110,116,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,51,34,32,108,105,110,101,69,110,100,61,34,49,53,53,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,117,110,105,116,86,111,108,116,97,103,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,50,34,32,108,105,110,101,69,110,100,61,34,49,53,53,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,117,110,105,116,86,111,108,116,97,103,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,50,34,32,108,105,110,101,69,110,100,61,34,49,53,53,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,117,110,105,116,67,117,114,114,101,110,116,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,51,34,32,108,105,110,101,69,110,100,61,34,49,53,53,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,117,110,105,116,67,117,114,114,101,110,116,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,51,34,32,108,105,110,101,69,110,100,61,34,49,53,53,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,117,110,105,116,86,111,108,116,97,103,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,50,34,32,108,105,110,101,69,110,100,61,34,49,53,53,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6133800);
/* memory initializer */ allocate([115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,117,110,105,116,86,111,108,116,97,103,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,50,34,32,108,105,110,101,69,110,100,61,34,49,53,53,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,117,110,105,116,67,117,114,114,101,110,116,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,51,34,32,108,105,110,101,69,110,100,61,34,49,53,53,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,117,110,105,116,67,117,114,114,101,110,116,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,51,34,32,108,105,110,101,69,110,100,61,34,49,53,53,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,117,110,105,116,86,111,108,116,97,103,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,50,34,32,108,105,110,101,69,110,100,61,34,49,53,53,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,117,110,105,116,86,111,108,116,97,103,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,50,34,32,108,105,110,101,69,110,100,61,34,49,53,53,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,117,110,105,116,67,117,114,114,101,110,116,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,51,34,32,108,105,110,101,69,110,100,61,34,49,53,53,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,117,110,105,116,67,117,114,114,101,110,116,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,51,34,32,108,105,110,101,69,110,100,61,34,49,53,53,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,117,110,105,116,86,111,108,116,97,103,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,50,34,32,108,105,110,101,69,110,100,61,34,49,53,53,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,117,110,105,116,86,111,108,116,97,103,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,50,34,32,108,105,110,101,69,110,100,61,34,49,53,53,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,117,110,105,116,67,117,114,114,101,110,116,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,51,34,32,108,105,110,101,69,110,100,61,34,49,53,53,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,117,110,105,116,67,117,114,114,101,110,116,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,51,34,32,108,105,110,101,69,110,100,61,34,49,53,53,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,105,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,55,34,32,108,105,110,101,69,110,100,61,34,53,54,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,105,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,55,34,32,108,105,110,101,69,110,100,61,34,53,54,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6144040);
/* memory initializer */ allocate([77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,105,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,55,34,32,108,105,110,101,69,110,100,61,34,53,54,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,105,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,55,34,32,108,105,110,101,69,110,100,61,34,53,54,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,105,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,55,34,32,108,105,110,101,69,110,100,61,34,53,54,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,105,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,55,34,32,108,105,110,101,69,110,100,61,34,53,54,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,117,110,105,116,86,111,108,116,97,103,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,50,34,32,108,105,110,101,69,110,100,61,34,49,53,53,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,117,110,105,116,86,111,108,116,97,103,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,50,34,32,108,105,110,101,69,110,100,61,34,49,53,53,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,117,110,105,116,67,117,114,114,101,110,116,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,51,34,32,108,105,110,101,69,110,100,61,34,49,53,53,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,117,110,105,116,67,117,114,114,101,110,116,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,51,34,32,108,105,110,101,69,110,100,61,34,49,53,53,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,117,110,105,116,86,111,108,116,97,103,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,50,34,32,108,105,110,101,69,110,100,61,34,49,53,53,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,117,110,105,116,86,111,108,116,97,103,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,50,34,32,108,105,110,101,69,110,100,61,34,49,53,53,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,117,110,105,116,67,117,114,114,101,110,116,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,51,34,32,108,105,110,101,69,110,100,61,34,49,53,53,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,117,110,105,116,67,117,114,114,101,110,116,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,51,34,32,108,105,110,101,69,110,100,61,34,49,53,53,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,117,110,105,116,86,111,108,116,97,103,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,50,34,32,108,105,110,101,69,110,100,61,34,49,53,53,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6154280);
/* memory initializer */ allocate([101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,117,110,105,116,86,111,108,116,97,103,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,50,34,32,108,105,110,101,69,110,100,61,34,49,53,53,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,117,110,105,116,67,117,114,114,101,110,116,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,51,34,32,108,105,110,101,69,110,100,61,34,49,53,53,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,117,110,105,116,67,117,114,114,101,110,116,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,51,34,32,108,105,110,101,69,110,100,61,34,49,53,53,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,112,105,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,53,49,34,32,108,105,110,101,69,110,100,61,34,54,54,53,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,112,105,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,53,49,34,32,108,105,110,101,69,110,100,61,34,54,54,53,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,84,68,101,102,97,117,108,116,34,32,99,111,109,109,101,110,116,61,34,68,101,102,97,117,108,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,53,50,57,34,32,108,105,110,101,69,110,100,61,34,49,51,53,51,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,84,68,101,102,97,117,108,116,34,32,99,111,109,109,101,110,116,61,34,68,101,102,97,117,108,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,53,50,57,34,32,108,105,110,101,69,110,100,61,34,49,51,53,51,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,112,105,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,48,52,34,32,108,105,110,101,69,110,100,61,34,49,48,56,48,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,112,97,99,101,80,104,97,115,111,114,115,46,66,108,111,99,107,115,46,84,111,83,112,97,99,101,80,104,97,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,112,105,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,48,52,34,32,108,105,110,101,69,110,100,61,34,49,48,56,48,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,112,97,99,101,80,104,97,115,111,114,115,46,66,108,111,99,107,115,46,84,111,83,112,97,99,101,80,104,97,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,80,111,108,97,114,49,46,115,109,97,108,108,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,57,52,49,34,32,108,105,110,101,69,110,100,61,34,49,48,57,52,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,80,111,108,97,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,112,97,99,101,80,104,97,115,111,114,115,46,66,108,111,99,107,115,46,84,111,80,111,108,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,80,111,108,97,114,49,46,115,109,97,108,108,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,57,52,49,34,32,108,105,110,101,69,110,100,61,34,49,48,57,52,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,80,111,108,97,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,112,97,99,101,80,104,97,115,111,114,115,46,66,108,111,99,107,115,46,84,111,80,111,108,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,112,105,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,53,49,34,32,108,105,110,101,69,110,100,61,34,54,54,53,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,112,105,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,53,49,34,32,108,105,110,101,69,110,100,61,34,54,54,53,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,84,68,101,102,97,117,108,116,34,32,99,111,109,109,101,110,116,61,34,68,101,102,97,117,108,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6164520);
/* memory initializer */ allocate([99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,53,50,57,34,32,108,105,110,101,69,110,100,61,34,49,51,53,51,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,84,68,101,102,97,117,108,116,34,32,99,111,109,109,101,110,116,61,34,68,101,102,97,117,108,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,115,116,97,110,116,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,53,50,57,34,32,108,105,110,101,69,110,100,61,34,49,51,53,51,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,60,47,118,97,114,105,97,98,108,101,115,62,10,60,105,110,105,116,105,97,108,45,101,113,117,97,116,105,111,110,115,32,115,105,122,101,61,34,55,53,50,34,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,95,115,116,97,114,116,40,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,105,109,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,119,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,119,95,76,111,97,100,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,119,95,76,111,97,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,51,48,51,34,32,108,105,110,101,69,110,100,61,34,54,51,48,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,83,111,117,114,99,101,115,46,81,117,97,100,114,97,116,105,99,83,112,101,101,100,68,101,112,101,110,100,101,110,116,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,116,97,117,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,84,95,76,111,97,100,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,84,95,76,111,97,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,57,57,34,32,108,105,110,101,69,110,100,61,34,54,51,48,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,83,111,117,114,99,101,115,46,81,117,97,100,114,97,116,105,99,83,112,101,101,100,68,101,112,101,110,100,101,110,116,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,108,111,97,100,73,110,101,114,116,105,97,51,46,74,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,74,95,76,111,97,100,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,74,95,76,111,97,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,48,34,32,108,105,110,101,69,110,100,61,34,50,51,48,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,108,111,97,100,73,110,101,114,116,105,97,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,101,102,102,101,99,116,105,118,101,83,116,97,116,111,114,84,117,114,110,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,101,102,102,101,99,116,105,118,101,83,116,97,116,111,114,84,117,114,110,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,55,56,34,32,108,105,110,101,69,110,100,61,34,53,53,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,48,34,32,108,105,110,101,69,110,100,61,34,52,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,48,34,32,108,105,110,101,69,110,100,61,34,52,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,48,34,32,108,105,110,101,69,110,100,61,34,52,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,82,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,82,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,82,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,51,50,34,32,108,105,110,101,69,110,100,61,34,52,53,51,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,82,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,82,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,82,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,55,50,34,32,108,105,110,101,69,110,100,61,34,53,56,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,82,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,82,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,82,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,82,34,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6174760);
/* memory initializer */ allocate([47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,82,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,82,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,82,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,82,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,82,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,82,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,82,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,82,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,82,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,82,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,82,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,82,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,82,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,82,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,82,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,54,56,34,32,108,105,110,101,69,110,100,61,34,54,54,55,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,82,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,82,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,82,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,53,57,34,32,108,105,110,101,69,110,100,61,34,53,53,54,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,82,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,82,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,82,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,82,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,82,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,82,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,82,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,82,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,82,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,82,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,82,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,82,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,82,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6185000);
/* memory initializer */ allocate([49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,82,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,82,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,112,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,54,50,34,32,108,105,110,101,69,110,100,61,34,54,54,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,112,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,50,55,34,32,108,105,110,101,69,110,100,61,34,53,55,50,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,74,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,74,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,74,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,53,52,34,32,108,105,110,101,69,110,100,61,34,54,54,53,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,74,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,74,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,74,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,48,34,32,108,105,110,101,69,110,100,61,34,50,51,48,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,98,111,111,108,101,97,110,83,116,101,112,51,91,51,93,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,79,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,116,79,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,53,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,98,111,111,108,101,97,110,83,116,101,112,51,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,98,111,111,108,101,97,110,83,116,101,112,51,91,50,93,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,79,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,116,79,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,53,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,98,111,111,108,101,97,110,83,116,101,112,51,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,98,111,111,108,101,97,110,83,116,101,112,51,91,49,93,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,79,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,116,79,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,53,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,98,111,111,108,101,97,110,83,116,101,112,51,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,71,111,102,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,71,111,102,102,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,100,101,97,108,67,108,111,115,101,114,51,46,71,111,102,102,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,52,48,34,32,108,105,110,101,69,110,100,61,34,49,53,52,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,82,111,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,82,111,110,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,100,101,97,108,67,108,111,115,101,114,51,46,82,111,110,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,54,34,32,108,105,110,101,69,110,100,61,34,49,53,51,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,71,111,102,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,71,111,102,102,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,100,101,97,108,67,108,111,115,101,114,51,46,71,111,102,102,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,52,48,34,32,108,105,110,101,69,110,100,61,34,49,53,52,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,82,111,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,82,111,110,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,100,101,97,108,67,108,111,115,101,114,51,46,82,111,110,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,54,34,32,108,105,110,101,69,110,100,61,34,49,53,51,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,71,111,102,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,71,111,102,102,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,100,101,97,108,67,108,111,115,101,114,51,46,71,111,102,102,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,52,48,34,32,108,105,110,101,69,110,100,61,34,49,53,52,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,100,117,99,116,97,110,99,101,60,47,116,121,112], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6195240);
/* memory initializer */ allocate([101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,82,111,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,82,111,110,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,100,101,97,108,67,108,111,115,101,114,51,46,82,111,110,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,54,34,32,108,105,110,101,69,110,100,61,34,49,53,51,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,112,104,97,115,101,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,112,104,97,115,101,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,112,104,97,115,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,50,34,32,108,105,110,101,69,110,100,61,34,53,54,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,116,97,114,116,84,105,109,101,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,116,97,114,116,84,105,109,101,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,54,34,32,108,105,110,101,69,110,100,61,34,52,50,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,116,97,114,116,84,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,52,34,32,108,105,110,101,69,110,100,61,34,53,54,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,111,102,102,115,101,116,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,111,102,102,115,101,116,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,53,34,32,108,105,110,101,69,110,100,61,34,52,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,111,102,102,115,101,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,51,34,32,108,105,110,101,69,110,100,61,34,53,54,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,112,104,97,115,101,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,112,104,97,115,101,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,112,104,97,115,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,50,34,32,108,105,110,101,69,110,100,61,34,53,54,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,116,97,114,116,84,105,109,101,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,116,97,114,116,84,105,109,101,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,54,34,32,108,105,110,101,69,110,100,61,34,52,50,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,116,97,114,116,84,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,52,34,32,108,105,110,101,69,110,100,61,34,53,54,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,111,102,102,115,101,116,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,111,102,102,115,101,116,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,53,34,32,108,105,110,101,69,110,100,61,34,52,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,111,102,102,115,101,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,51,34,32,108,105,110,101,69,110,100,61,34,53,54,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6205480);
/* memory initializer */ allocate([87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,112,104,97,115,101,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,112,104,97,115,101,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,112,104,97,115,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,50,34,32,108,105,110,101,69,110,100,61,34,53,54,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,116,97,114,116,84,105,109,101,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,116,97,114,116,84,105,109,101,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,54,34,32,108,105,110,101,69,110,100,61,34,52,50,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,116,97,114,116,84,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,52,34,32,108,105,110,101,69,110,100,61,34,53,54,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,111,102,102,115,101,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,111,102,102,115,101,116,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,53,34,32,108,105,110,101,69,110,100,61,34,52,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,111,102,102,115,101,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,51,34,32,108,105,110,101,69,110,100,61,34,53,54,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,102,114,101,113,72,122,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,102,78,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,102,78,111,109,105,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,50,34,32,108,105,110,101,69,110,100,61,34,50,56,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,102,114,101,113,72,122,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,102,114,101,113,72,122,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,102,114,101,113,72,122,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,49,34,32,108,105,110,101,69,110,100,61,34,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,102,114,101,113,72,122,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,102,114,101,113,72,122,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,102,114,101,113,72,122,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,49,34,32,108,105,110,101,69,110,100,61,34,53,54,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,102,114,101,113,72,122,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,102,78,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,102,78,111,109,105,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,50,34,32,108,105,110,101,69,110,100,61,34,50,56,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,102,114,101,113,72,122,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,102,114,101,113,72,122,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,102,114,101,113,72,122,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,49,34,32,108,105,110,101,69,110,100,61,34,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,102,114,101,113,72,122,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,102,114,101,113,72,122,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,102,114,101,113,72,122,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,49,34,32,108,105,110,101,69,110,100,61,34,53,54,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,102,114,101,113,72,122,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,102,78,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,102,78,111,109,105,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,50,34,32,108,105,110,101,69,110,100,61,34,50,56,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6215720);
/* memory initializer */ allocate([101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,102,114,101,113,72,122,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,102,114,101,113,72,122,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,102,114,101,113,72,122,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,49,34,32,108,105,110,101,69,110,100,61,34,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,102,114,101,113,72,122,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,102,114,101,113,72,122,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,102,114,101,113,72,122,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,49,34,32,108,105,110,101,69,110,100,61,34,53,54,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,86,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,86,115,78,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,52,49,52,50,49,51,53,54,50,51,55,51,48,57,53,32,42,32,86,115,78,111,109,105,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,49,56,34,32,108,105,110,101,69,110,100,61,34,50,56,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,86,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,86,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,86,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,57,34,32,108,105,110,101,69,110,100,61,34,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,97,109,112,108,105,116,117,100,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,86,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,86,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,48,34,32,108,105,110,101,69,110,100,61,34,53,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,86,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,86,115,78,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,52,49,52,50,49,51,53,54,50,51,55,51,48,57,53,32,42,32,86,115,78,111,109,105,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,49,56,34,32,108,105,110,101,69,110,100,61,34,50,56,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,86,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,86,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,86,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,57,34,32,108,105,110,101,69,110,100,61,34,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,97,109,112,108,105,116,117,100,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,86,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,86,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,48,34,32,108,105,110,101,69,110,100,61,34,53,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,86,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,86,115,78,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,52,49,52,50,49,51,53,54,50,51,55,51,48,57,53,32,42,32,86,115,78,111,109,105,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,49,56,34,32,108,105,110,101,69,110,100,61,34,50,56,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,86,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,86,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,86,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,57,34,32,108,105,110,101,69,110,100,61,34,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,97,109,112,108,105,116,117,100,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,86,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,86,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,48,34,32,108,105,110,101,69,110,100,61,34,53,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,76,114,115,105,103,109,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,102,115,78,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,48,46,49,48,49,55,55,54,52,48,54,49,52,49,49,54,56,56,44,32,97,105,109,99,68,97,116,97,46,102,115,78,111,109,105,110,97,108,32,42,32,54,46,50,56,51,49,56,53,51,48,55,49,55,57,53,56,54,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,57,52,50,34,32,108,105,110,101,69,110,100,61,34,49,52,57,52,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,76,114,115,105,103,109,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,76,114,115,105,103,109,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,76,114,115,105,103,109,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,56,34,32,108,105,110,101,69,110,100,61,34,52,53,51,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,76,115,105,103,109,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,76,114,115,105,103,109,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,76,114,115,105,103,109,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,56,55,34,32,108,105,110,101,69,110,100,61,34,53,56,56,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6225960);
/* memory initializer */ allocate([116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,76,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,76,115,105,103,109,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,76,115,105,103,109,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,49,57,34,32,108,105,110,101,69,110,100,61,34,57,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,46,76,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,76,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,76,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,34,32,108,105,110,101,69,110,100,61,34,51,51,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,76,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,76,115,105,103,109,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,76,115,105,103,109,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,49,57,34,32,108,105,110,101,69,110,100,61,34,57,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,46,76,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,76,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,76,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,34,32,108,105,110,101,69,110,100,61,34,51,51,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,76,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,76,115,105,103,109,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,76,115,105,103,109,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,49,57,34,32,108,105,110,101,69,110,100,61,34,57,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,46,76,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,76,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,76,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,34,32,108,105,110,101,69,110,100,61,34,51,51,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,76,115,115,105,103,109,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,102,115,78,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,48,46,49,48,49,55,55,54,52,48,54,49,52,49,49,54,56,56,44,32,97,105,109,99,68,97,116,97,46,102,115,78,111,109,105,110,97,108,32,42,32,54,46,50,56,51,49,56,53,51,48,55,49,55,57,53,56,54,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,57,49,49,34,32,108,105,110,101,69,110,100,61,34,49,52,57,49,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,76,115,122,101,114,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,76,115,115,105,103,109,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,76,115,115,105,103,109,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,57,48,56,34,32,108,105,110,101,69,110,100,61,34,49,52,57,49,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,76,115,122,101,114,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,76,115,122,101,114,111,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,76,115,122,101,114,111,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,56,51,34,32,108,105,110,101,69,110,100,61,34,54,54,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,76,122,101,114,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,76,115,122,101,114,111,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,76,115,122,101,114,111,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,55,54,34,32,108,105,110,101,69,110,100,61,34,53,53,55,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,76,122,101,114,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,76,122,101,114,111,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,76,122,101,114,111,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,54,34,32,108,105,110,101,69,110,100,61,34,49,48,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,76,115,115,105,103,109,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,76,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6236200);
/* memory initializer */ allocate([115,105,103,109,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,76,115,115,105,103,109,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,56,48,34,32,108,105,110,101,69,110,100,61,34,54,54,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,76,115,105,103,109,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,76,115,115,105,103,109,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,76,115,115,105,103,109,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,55,52,34,32,108,105,110,101,69,110,100,61,34,53,53,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,82,95,109,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,76,115,105,103,109,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,53,32,42,32,68,73,86,73,83,73,79,78,40,97,105,109,99,51,46,115,116,97,116,111,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,32,94,32,50,46,48,44,32,97,105,109,99,51,46,115,116,97,116,111,114,46,76,115,105,103,109,97,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,50,51,34,32,108,105,110,101,69,110,100,61,34,55,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,82,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,84,121,112,101,115,46,83,97,108,105,101,110,116,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,82,95,109,46,113,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,76,115,105,103,109,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,53,32,42,32,68,73,86,73,83,73,79,78,40,97,105,109,99,51,46,115,116,97,116,111,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,32,94,32,50,46,48,44,32,97,105,109,99,51,46,115,116,97,116,111,114,46,76,115,105,103,109,97,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,50,52,34,32,108,105,110,101,69,110,100,61,34,55,48,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,82,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,84,121,112,101,115,46,83,97,108,105,101,110,116,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,119,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,119,95,76,111,97,100,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,119,95,76,111,97,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,51,48,51,34,32,108,105,110,101,69,110,100,61,34,54,51,48,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,83,111,117,114,99,101,115,46,81,117,97,100,114,97,116,105,99,83,112,101,101,100,68,101,112,101,110,100,101,110,116,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,116,97,117,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,84,95,76,111,97,100,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,84,95,76,111,97,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,57,57,34,32,108,105,110,101,69,110,100,61,34,54,51,48,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,83,111,117,114,99,101,115,46,81,117,97,100,114,97,116,105,99,83,112,101,101,100,68,101,112,101,110,100,101,110,116,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,108,111,97,100,73,110,101,114,116,105,97,77,46,74,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,74,95,76,111,97,100,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,74,95,76,111,97,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,48,34,32,108,105,110,101,69,110,100,61,34,50,51,48,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,108,111,97,100,73,110,101,114,116,105,97,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,101,102,102,101,99,116,105,118,101,83,116,97,116,111,114,84,117,114,110,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,101,102,102,101,99,116,105,118,101,83,116,97,116,111,114,84,117,114,110,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,55,56,34,32,108,105,110,101,69,110,100,61,34,53,53,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,48,34,32,108,105,110,101,69,110,100,61,34,52,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,48,34,32,108,105,110,101,69,110,100,61,34,52,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,48,34,32,108,105,110,101,69,110,100,61,34,52,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,48,34,32,108,105,110,101,69,110,100,61,34,52,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6246440);
/* memory initializer */ allocate([118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,48,34,32,108,105,110,101,69,110,100,61,34,52,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,76,115,122,101,114,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,76,115,122,101,114,111,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,54,54,54,54,54,54,54,54,54,54,54,54,54,54,55,32,42,32,97,105,109,99,68,97,116,97,46,76,115,122,101,114,111,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,56,51,34,32,108,105,110,101,69,110,100,61,34,54,54,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,76,122,101,114,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,76,115,122,101,114,111,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,76,115,122,101,114,111,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,55,54,34,32,108,105,110,101,69,110,100,61,34,53,53,55,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,76,122,101,114,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,76,122,101,114,111,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,76,122,101,114,111,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,54,34,32,108,105,110,101,69,110,100,61,34,49,48,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,76,115,115,105,103,109,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,76,115,115,105,103,109,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,54,54,54,54,54,54,54,54,54,54,54,54,54,54,55,32,42,32,97,105,109,99,68,97,116,97,46,76,115,115,105,103,109,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,56,48,34,32,108,105,110,101,69,110,100,61,34,54,54,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,76,115,105,103,109,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,76,115,115,105,103,109,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,76,115,115,105,103,109,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,55,52,34,32,108,105,110,101,69,110,100,61,34,53,53,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,82,95,109,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,76,115,105,103,109,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,50,46,53,32,42,32,68,73,86,73,83,73,79,78,40,97,105,109,99,77,46,115,116,97,116,111,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,32,94,32,50,46,48,44,32,97,105,109,99,77,46,115,116,97,116,111,114,46,76,115,105,103,109,97,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,50,51,34,32,108,105,110,101,69,110,100,61,34,55,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,82,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,84,121,112,101,115,46,83,97,108,105,101,110,116,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,82,95,109,46,113,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,76,115,105,103,109,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,50,46,53,32,42,32,68,73,86,73,83,73,79,78,40,97,105,109,99,77,46,115,116,97,116,111,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,32,94,32,50,46,48,44,32,97,105,109,99,77,46,115,116,97,116,111,114,46,76,115,105,103,109,97,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,50,52,34,32,108,105,110,101,69,110,100,61,34,55,48,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,82,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,84,121,112,101,115,46,83,97,108,105,101,110,116,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,76,114,115,105,103,109,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,76,114,115,105,103,109,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,54,54,54,54,54,54,54,54,54,54,54,54,54,54,55,32,42,32,97,105,109,99,68,97,116,97,46,76,114,115,105,103,109,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,56,34,32,108,105,110,101,69,110,100,61,34,52,53,51,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,76,115,105,103,109,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,76,114,115,105,103,109,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,76,114,115,105,103,109,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,56,55,34,32,108,105,110,101,69,110,100,61,34,53,56,56,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,76,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,76,115,105,103,109,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,76,115,105,103,109,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,49,57,34,32,108,105,110,101,69,110,100,61,34,57,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,46,76,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,76,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,76,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,34,32,108,105,110,101,69,110,100,61,34,51,51,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6256680);
/* memory initializer */ allocate([99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,76,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,76,115,105,103,109,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,76,115,105,103,109,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,49,57,34,32,108,105,110,101,69,110,100,61,34,57,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,46,76,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,76,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,76,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,34,32,108,105,110,101,69,110,100,61,34,51,51,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,76,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,76,115,105,103,109,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,76,115,105,103,109,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,49,57,34,32,108,105,110,101,69,110,100,61,34,57,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,46,76,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,76,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,76,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,34,32,108,105,110,101,69,110,100,61,34,51,51,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,76,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,76,115,105,103,109,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,76,115,105,103,109,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,49,57,34,32,108,105,110,101,69,110,100,61,34,57,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,76,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,76,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,76,91,52,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,34,32,108,105,110,101,69,110,100,61,34,51,51,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,76,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,76,115,105,103,109,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,76,115,105,103,109,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,49,57,34,32,108,105,110,101,69,110,100,61,34,57,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,76,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,76,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,76,91,53,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,34,32,108,105,110,101,69,110,100,61,34,51,51,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,82,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,82,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,54,54,54,54,54,54,54,54,54,54,54,54,54,54,55,32,42,32,97,105,109,99,68,97,116,97,46,82,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,51,50,34,32,108,105,110,101,69,110,100,61,34,52,53,51,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,82,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,82,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,82,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,55,50,34,32,108,105,110,101,69,110,100,61,34,53,56,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,82,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,82,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,82,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6266920);
/* memory initializer */ allocate([99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,82,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,82,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,82,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,82,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,82,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,82,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,82,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,82,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,82,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,82,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,82,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,82,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,82,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,82,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,82,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,82,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,82,91,52,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,82,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,82,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,82,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,82,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,82,91,53,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,82,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,82,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,54,54,54,54,54,54,54,54,54,54,54,54,54,54,55,32,42,32,97,105,109,99,68,97,116,97,46,82,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,54,56,34,32,108,105,110,101,69,110,100,61,34,54,54,55,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,82,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,82,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,82,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,53,57,34,32,108,105,110,101,69,110,100,61,34,53,53,54,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6277160);
/* memory initializer */ allocate([46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,82,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,82,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,82,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,82,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,82,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,82,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,82,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,82,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,82,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,82,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,82,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,82,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,82,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,82,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,82,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,82,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,82,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,82,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,82,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,82,91,52,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,82,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,82,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,82,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,82,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,82,91,53,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,112,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,54,50,34,32,108,105,110,101,69,110,100,61,34,54,54,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6287400);
/* memory initializer */ allocate([46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,112,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,50,55,34,32,108,105,110,101,69,110,100,61,34,53,55,50,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,74,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,74,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,74,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,53,52,34,32,108,105,110,101,69,110,100,61,34,54,54,53,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,74,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,74,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,74,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,48,34,32,108,105,110,101,69,110,100,61,34,50,51,48,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,98,111,111,108,101,97,110,83,116,101,112,77,91,53,93,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,79,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,116,79,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,53,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,98,111,111,108,101,97,110,83,116,101,112,77,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,98,111,111,108,101,97,110,83,116,101,112,77,91,52,93,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,79,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,116,79,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,53,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,98,111,111,108,101,97,110,83,116,101,112,77,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,98,111,111,108,101,97,110,83,116,101,112,77,91,51,93,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,79,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,116,79,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,53,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,98,111,111,108,101,97,110,83,116,101,112,77,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,98,111,111,108,101,97,110,83,116,101,112,77,91,50,93,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,79,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,116,79,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,53,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,98,111,111,108,101,97,110,83,116,101,112,77,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,98,111,111,108,101,97,110,83,116,101,112,77,91,49,93,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,79,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,116,79,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,53,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,98,111,111,108,101,97,110,83,116,101,112,77,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,116,97,114,116,84,105,109,101,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,116,97,114,116,84,105,109,101,91,53,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,54,34,32,108,105,110,101,69,110,100,61,34,52,50,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,116,97,114,116,84,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,52,34,32,108,105,110,101,69,110,100,61,34,53,54,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,111,102,102,115,101,116,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,111,102,102,115,101,116,91,53,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,53,34,32,108,105,110,101,69,110,100,61,34,52,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,111,102,102,115,101,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,51,34,32,108,105,110,101,69,110,100,61,34,53,54,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,116,97,114,116,84,105,109,101,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,116,97,114,116,84,105,109,101,91,52,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,54,34,32,108,105,110,101,69,110,100,61,34,52,50,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,116,97,114,116,84,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,52,34,32,108,105,110,101,69,110,100,61,34,53,54,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6297640);
/* memory initializer */ allocate([110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,111,102,102,115,101,116,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,111,102,102,115,101,116,91,52,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,53,34,32,108,105,110,101,69,110,100,61,34,52,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,111,102,102,115,101,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,51,34,32,108,105,110,101,69,110,100,61,34,53,54,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,116,97,114,116,84,105,109,101,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,116,97,114,116,84,105,109,101,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,54,34,32,108,105,110,101,69,110,100,61,34,52,50,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,116,97,114,116,84,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,52,34,32,108,105,110,101,69,110,100,61,34,53,54,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,111,102,102,115,101,116,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,111,102,102,115,101,116,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,53,34,32,108,105,110,101,69,110,100,61,34,52,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,111,102,102,115,101,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,51,34,32,108,105,110,101,69,110,100,61,34,53,54,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,116,97,114,116,84,105,109,101,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,116,97,114,116,84,105,109,101,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,54,34,32,108,105,110,101,69,110,100,61,34,52,50,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,116,97,114,116,84,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,52,34,32,108,105,110,101,69,110,100,61,34,53,54,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,111,102,102,115,101,116,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,111,102,102,115,101,116,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,53,34,32,108,105,110,101,69,110,100,61,34,52,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,111,102,102,115,101,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,51,34,32,108,105,110,101,69,110,100,61,34,53,54,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,116,97,114,116,84,105,109,101,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,116,97,114,116,84,105,109,101,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,54,34,32,108,105,110,101,69,110,100,61,34,52,50,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,116,97,114,116,84,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,52,34,32,108,105,110,101,69,110,100,61,34,53,54,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,111,102,102,115,101,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,111,102,102,115,101,116,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,53,34,32,108,105,110,101,69,110,100,61,34,52,50,53], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6307880);
/* memory initializer */ allocate([34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,111,102,102,115,101,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,51,34,32,108,105,110,101,69,110,100,61,34,53,54,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,102,114,101,113,72,122,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,102,78,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,102,78,111,109,105,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,50,34,32,108,105,110,101,69,110,100,61,34,50,56,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,102,114,101,113,72,122,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,102,114,101,113,72,122,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,102,114,101,113,72,122,91,53,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,49,34,32,108,105,110,101,69,110,100,61,34,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,102,114,101,113,72,122,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,102,114,101,113,72,122,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,102,114,101,113,72,122,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,49,34,32,108,105,110,101,69,110,100,61,34,53,54,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,102,114,101,113,72,122,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,102,78,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,102,78,111,109,105,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,50,34,32,108,105,110,101,69,110,100,61,34,50,56,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,102,114,101,113,72,122,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,102,114,101,113,72,122,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,102,114,101,113,72,122,91,52,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,49,34,32,108,105,110,101,69,110,100,61,34,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,102,114,101,113,72,122,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,102,114,101,113,72,122,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,102,114,101,113,72,122,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,49,34,32,108,105,110,101,69,110,100,61,34,53,54,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,102,114,101,113,72,122,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,102,78,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,102,78,111,109,105,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,50,34,32,108,105,110,101,69,110,100,61,34,50,56,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,102,114,101,113,72,122,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,102,114,101,113,72,122,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,102,114,101,113,72,122,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,49,34,32,108,105,110,101,69,110,100,61,34,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,102,114,101,113,72,122,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,102,114,101,113,72,122,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,102,114,101,113,72,122,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,49,34,32,108,105,110,101,69,110,100,61,34,53,54,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,102,114,101,113,72,122,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,102,78,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,102,78,111,109,105,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,50,34,32,108,105,110,101,69,110,100,61,34,50,56,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,102,114,101,113,72,122,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,102,114,101,113,72,122,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,102,114,101,113,72,122,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,49,34,32,108,105,110,101,69,110,100,61,34,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,102,114,101,113,72,122,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,102,114,101,113,72,122,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,102,114,101,113,72,122,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,49,34,32,108,105,110,101,69,110,100,61,34,53,54,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6318120);
/* memory initializer */ allocate([60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,102,114,101,113,72,122,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,102,78,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,102,78,111,109,105,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,50,34,32,108,105,110,101,69,110,100,61,34,50,56,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,102,114,101,113,72,122,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,102,114,101,113,72,122,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,102,114,101,113,72,122,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,49,34,32,108,105,110,101,69,110,100,61,34,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,102,114,101,113,72,122,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,102,114,101,113,72,122,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,102,114,101,113,72,122,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,49,34,32,108,105,110,101,69,110,100,61,34,53,54,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,112,104,97,115,101,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,70,117,110,99,116,105,111,110,115,46,115,121,109,109,101,116,114,105,99,79,114,105,101,110,116,97,116,105,111,110,40,53,41,41,91,53,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,48,34,32,108,105,110,101,69,110,100,61,34,50,56,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,112,104,97,115,101,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,112,104,97,115,101,91,53,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,112,104,97,115,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,50,34,32,108,105,110,101,69,110,100,61,34,53,54,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,112,104,97,115,101,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,70,117,110,99,116,105,111,110,115,46,115,121,109,109,101,116,114,105,99,79,114,105,101,110,116,97,116,105,111,110,40,53,41,41,91,52,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,48,34,32,108,105,110,101,69,110,100,61,34,50,56,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,112,104,97,115,101,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,112,104,97,115,101,91,52,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,112,104,97,115,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,50,34,32,108,105,110,101,69,110,100,61,34,53,54,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,112,104,97,115,101,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,70,117,110,99,116,105,111,110,115,46,115,121,109,109,101,116,114,105,99,79,114,105,101,110,116,97,116,105,111,110,40,53,41,41,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,48,34,32,108,105,110,101,69,110,100,61,34,50,56,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,112,104,97,115,101,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,112,104,97,115,101,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,112,104,97,115,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,50,34,32,108,105,110,101,69,110,100,61,34,53,54,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,112,104,97,115,101,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,70,117,110,99,116,105,111,110,115,46,115,121,109,109,101,116,114,105,99,79,114,105,101,110,116,97,116,105,111,110,40,53,41,41,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,48,34,32,108,105,110,101,69,110,100,61,34,50,56,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,112,104,97,115,101,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,112,104,97,115,101,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6328360);
/* memory initializer */ allocate([99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,112,104,97,115,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,50,34,32,108,105,110,101,69,110,100,61,34,53,54,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,112,104,97,115,101,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,70,117,110,99,116,105,111,110,115,46,115,121,109,109,101,116,114,105,99,79,114,105,101,110,116,97,116,105,111,110,40,53,41,41,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,48,34,32,108,105,110,101,69,110,100,61,34,50,56,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,112,104,97,115,101,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,112,104,97,115,101,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,112,104,97,115,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,50,34,32,108,105,110,101,69,110,100,61,34,53,54,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,86,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,86,115,78,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,52,49,52,50,49,51,53,54,50,51,55,51,48,57,53,32,42,32,86,115,78,111,109,105,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,49,56,34,32,108,105,110,101,69,110,100,61,34,50,56,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,86,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,86,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,86,91,53,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,57,34,32,108,105,110,101,69,110,100,61,34,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,97,109,112,108,105,116,117,100,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,86,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,86,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,48,34,32,108,105,110,101,69,110,100,61,34,53,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,86,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,86,115,78,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,52,49,52,50,49,51,53,54,50,51,55,51,48,57,53,32,42,32,86,115,78,111,109,105,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,49,56,34,32,108,105,110,101,69,110,100,61,34,50,56,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,86,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,86,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,86,91,52,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,57,34,32,108,105,110,101,69,110,100,61,34,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,97,109,112,108,105,116,117,100,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,86,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,86,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,48,34,32,108,105,110,101,69,110,100,61,34,53,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,86,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,86,115,78,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,52,49,52,50,49,51,53,54,50,51,55,51,48,57,53,32,42,32,86,115,78,111,109,105,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,49,56,34,32,108,105,110,101,69,110,100,61,34,50,56,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,86,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,86,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,86,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,57,34,32,108,105,110,101,69,110,100,61,34,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,97,109,112,108,105,116,117,100,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,86,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,86,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,48,34,32,108,105,110,101,69,110,100,61,34,53,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6338600);
/* memory initializer */ allocate([32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,86,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,86,115,78,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,52,49,52,50,49,51,53,54,50,51,55,51,48,57,53,32,42,32,86,115,78,111,109,105,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,49,56,34,32,108,105,110,101,69,110,100,61,34,50,56,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,86,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,86,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,86,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,57,34,32,108,105,110,101,69,110,100,61,34,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,97,109,112,108,105,116,117,100,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,86,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,86,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,48,34,32,108,105,110,101,69,110,100,61,34,53,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,86,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,86,115,78,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,52,49,52,50,49,51,53,54,50,51,55,51,48,57,53,32,42,32,86,115,78,111,109,105,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,49,56,34,32,108,105,110,101,69,110,100,61,34,50,56,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,86,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,86,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,86,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,57,34,32,108,105,110,101,69,110,100,61,34,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,97,109,112,108,105,116,117,100,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,86,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,86,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,48,34,32,108,105,110,101,69,110,100,61,34,53,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,102,114,101,113,72,122,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,97,109,112,108,105,116,117,100,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,32,43,32,40,105,102,32,116,105,109,101,32,38,108,116,59,32,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,32,116,104,101,110,32,48,46,48,32,101,108,115,101,32,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,97,109,112,108,105,116,117,100,101,32,42,32,115,105,110,40,54,46,50,56,51,49,56,53,51,48,55,49,55,57,53,56,54,32,42,32,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,102,114,101,113,72,122,32,42,32,40,116,105,109,101,32,45,32,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,41,32,43,32,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,104,97,115,101,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,48,34,32,108,105,110,101,69,110,100,61,34,53,55,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,102,114,101,113,72,122,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,97,109,112,108,105,116,117,100,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,32,43,32,40,105,102,32,116,105,109,101,32,38,108,116,59,32,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,32,116,104,101,110,32,48,46,48,32,101,108,115,101,32,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,97,109,112,108,105,116,117,100,101,32,42,32,115,105,110,40,54,46,50,56,51,49,56,53,51,48,55,49,55,57,53,56,54,32,42,32,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,102,114,101,113,72,122,32,42,32,40,116,105,109,101,32,45,32,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,41,32,43,32,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,104,97,115,101,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,48,34,32,108,105,110,101,69,110,100,61,34,53,55,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,102,114,101,113,72,122,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,97,109,112,108,105,116,117,100,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,32,43,32,40,105,102,32,116,105,109,101,32,38,108,116,59,32,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,32,116,104,101,110,32,48,46,48,32,101,108,115,101,32,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,97,109,112,108,105,116,117,100,101,32,42,32,115,105,110,40,54,46,50,56,51,49,56,53,51,48,55,49,55,57,53,56,54,32,42,32,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,102,114,101,113,72,122,32,42,32,40,116,105,109,101,32,45,32,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,41,32,43,32,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,104,97,115,101,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,48,34,32,108,105,110,101,69,110,100,61,34,53,55,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,102,114,101,113,72,122,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,97,109,112,108,105,116,117,100,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,32,43,32,40,105,102,32,116,105,109,101,32,38,108,116,59,32,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,32,116,104,101,110,32,48,46,48,32,101,108,115,101,32,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,97,109,112,108,105,116,117,100,101,32,42,32,115,105,110,40,54,46,50,56,51,49,56,53,51,48,55,49,55,57,53,56,54,32,42,32,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,102,114,101,113,72,122,32,42,32,40,116,105,109,101,32,45,32,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,41,32,43,32,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,104,97,115,101,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,48,34,32,108,105,110,101,69,110,100,61,34,53,55,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,102,114,101,113,72,122,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,97,109,112,108,105,116,117,100,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,32,43,32,40,105,102,32,116,105,109,101,32,38,108,116,59,32,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,32,116,104,101,110,32,48,46,48,32,101,108,115,101,32,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,97,109,112,108,105,116,117,100,101,32,42,32,115,105,110,40,54,46,50,56,51,49,56,53,51,48,55,49,55,57,53,56,54,32,42,32,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,102,114,101,113,72,122,32,42,32,40,116,105,109,101,32,45,32,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,41,32,43,32,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,104,97,115,101,41,41,60,47,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6348840);
/* memory initializer */ allocate([104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,48,34,32,108,105,110,101,69,110,100,61,34,53,55,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,102,114,101,113,72,122,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,97,109,112,108,105,116,117,100,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,32,43,32,40,105,102,32,116,105,109,101,32,38,108,116,59,32,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,32,116,104,101,110,32,48,46,48,32,101,108,115,101,32,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,97,109,112,108,105,116,117,100,101,32,42,32,115,105,110,40,54,46,50,56,51,49,56,53,51,48,55,49,55,57,53,56,54,32,42,32,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,102,114,101,113,72,122,32,42,32,40,116,105,109,101,32,45,32,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,41,32,43,32,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,104,97,115,101,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,48,34,32,108,105,110,101,69,110,100,61,34,53,55,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,102,114,101,113,72,122,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,97,109,112,108,105,116,117,100,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,32,43,32,40,105,102,32,116,105,109,101,32,38,108,116,59,32,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,32,116,104,101,110,32,48,46,48,32,101,108,115,101,32,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,97,109,112,108,105,116,117,100,101,32,42,32,115,105,110,40,54,46,50,56,51,49,56,53,51,48,55,49,55,57,53,56,54,32,42,32,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,102,114,101,113,72,122,32,42,32,40,116,105,109,101,32,45,32,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,41,32,43,32,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,104,97,115,101,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,48,34,32,108,105,110,101,69,110,100,61,34,53,55,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,102,114,101,113,72,122,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,97,109,112,108,105,116,117,100,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,32,43,32,40,105,102,32,116,105,109,101,32,38,108,116,59,32,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,32,116,104,101,110,32,48,46,48,32,101,108,115,101,32,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,97,109,112,108,105,116,117,100,101,32,42,32,115,105,110,40,54,46,50,56,51,49,56,53,51,48,55,49,55,57,53,56,54,32,42,32,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,102,114,101,113,72,122,32,42,32,40,116,105,109,101,32,45,32,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,41,32,43,32,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,104,97,115,101,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,48,34,32,108,105,110,101,69,110,100,61,34,53,55,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,99,111,110,116,114,111,108,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,98,111,111,108,101,97,110,83,116,101,112,51,91,51,93,46,115,116,97,114,116,86,97,108,117,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,98,111,111,108,101,97,110,83,116,101,112,51,91,51,93,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,116,105,109,101,32,38,103,116,59,61,32,98,111,111,108,101,97,110,83,116,101,112,51,91,51,93,46,115,116,97,114,116,84,105,109,101,32,116,104,101,110,32,110,111,116,32,98,111,111,108,101,97,110,83,116,101,112,51,91,51,93,46,115,116,97,114,116,86,97,108,117,101,32,101,108,115,101,32,98,111,111,108,101,97,110,83,116,101,112,51,91,51,93,46,115,116,97,114,116,86,97,108,117,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,51,48,34,32,108,105,110,101,69,110,100,61,34,50,55,51,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,98,111,111,108,101,97,110,83,116,101,112,51,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,99,111,110,116,114,111,108,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,98,111,111,108,101,97,110,83,116,101,112,51,91,50,93,46,115,116,97,114,116,86,97,108,117,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,98,111,111,108,101,97,110,83,116,101,112,51,91,50,93,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,116,105,109,101,32,38,103,116,59,61,32,98,111,111,108,101,97,110,83,116,101,112,51,91,50,93,46,115,116,97,114,116,84,105,109,101,32,116,104,101,110,32,110,111,116,32,98,111,111,108,101,97,110,83,116,101,112,51,91,50,93,46,115,116,97,114,116,86,97,108,117,101,32,101,108,115,101,32,98,111,111,108,101,97,110,83,116,101,112,51,91,50,93,46,115,116,97,114,116,86,97,108,117,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,51,48,34,32,108,105,110,101,69,110,100,61,34,50,55,51,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,98,111,111,108,101,97,110,83,116,101,112,51,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,99,111,110,116,114,111,108,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,98,111,111,108,101,97,110,83,116,101,112,51,91,49,93,46,115,116,97,114,116,86,97,108,117,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,98,111,111,108,101,97,110,83,116,101,112,51,91,49,93,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,116,105,109,101,32,38,103,116,59,61,32,98,111,111,108,101,97,110,83,116,101,112,51,91,49,93,46,115,116,97,114,116,84,105,109,101,32,116,104,101,110,32,110,111,116,32,98,111,111,108,101,97,110,83,116,101,112,51,91,49,93,46,115,116,97,114,116,86,97,108,117,101,32,101,108,115,101,32,98,111,111,108,101,97,110,83,116,101,112,51,91,49,93,46,115,116,97,114,116,86,97,108,117,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,51,48,34,32,108,105,110,101,69,110,100,61,34,50,55,51,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,98,111,111,108,101,97,110,83,116,101,112,51,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,99,111,110,116,114,111,108,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,98,111,111,108,101,97,110,83,116,101,112,77,91,53,93,46,115,116,97,114,116,86,97,108,117,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,98,111,111,108,101,97,110,83,116,101,112,77,91,53,93,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,116,105,109,101,32,38,103,116,59,61,32,98,111,111,108,101,97,110,83,116,101,112,77,91,53,93,46,115,116,97,114,116,84,105,109,101,32,116,104,101,110,32,110,111,116,32,98,111,111,108,101,97,110,83,116,101,112,77,91,53,93,46,115,116,97,114,116,86,97,108,117,101,32,101,108,115,101,32,98,111,111,108,101,97,110,83,116,101,112,77,91,53,93,46,115,116,97,114,116,86,97,108,117,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,51,48,34,32,108,105,110,101,69,110,100,61,34,50,55,51,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,98,111,111,108,101,97,110,83,116,101,112,77,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,99,111,110,116,114,111,108,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,98,111,111,108,101,97,110,83,116,101,112,77,91,52,93,46,115,116,97,114,116,86,97,108,117,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,98,111,111,108,101,97,110,83,116,101,112,77,91,52,93,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,116,105,109,101,32,38,103,116,59,61,32,98,111,111,108,101,97,110,83,116,101,112,77,91,52,93,46,115,116,97,114,116,84,105,109,101,32,116,104,101,110,32,110,111,116,32,98,111,111,108,101,97,110,83,116,101,112,77,91,52,93,46,115,116,97,114,116,86,97,108,117,101,32,101,108,115,101,32,98,111,111,108,101,97,110,83,116,101,112,77,91,52,93,46,115,116,97,114,116,86,97,108,117,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,51,48,34,32,108,105,110,101,69,110,100,61,34,50,55,51,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,98,111,111,108,101,97,110,83,116,101,112,77,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,99,111,110,116,114,111,108,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,98,111,111,108,101,97,110,83,116,101,112,77,91,51,93,46,115,116,97,114,116,86,97,108,117,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,98,111,111,108,101,97,110,83,116,101,112,77,91,51,93,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,116,105,109,101,32,38,103,116,59,61,32,98,111,111,108,101,97,110,83,116,101,112,77,91,51,93,46,115,116,97,114,116,84,105,109,101,32,116,104,101,110,32,110,111,116,32,98,111,111,108,101,97,110,83,116,101,112,77,91,51,93,46,115,116,97,114,116,86,97,108,117,101,32,101,108,115,101,32,98,111,111,108,101,97,110,83,116,101,112,77,91,51,93,46,115,116,97,114,116,86,97,108,117,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,51,48,34,32,108,105,110,101,69,110,100,61,34,50,55,51,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,98,111,111,108,101,97,110,83,116,101,112,77,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,99,111,110,116,114,111,108,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,98,111,111,108,101,97,110,83,116,101,112,77,91,50,93,46,115,116,97,114,116,86,97,108,117,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,98,111,111,108,101,97,110,83,116,101,112,77,91,50,93,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,116,105,109,101,32,38,103,116,59,61,32,98,111,111,108,101,97,110,83,116,101,112,77,91,50,93,46,115,116,97,114,116,84,105,109,101,32,116,104,101,110,32,110,111,116,32,98,111,111,108,101,97,110,83,116,101,112,77,91,50,93,46,115,116,97,114,116,86,97,108,117,101,32,101,108,115,101,32,98,111,111,108,101,97,110,83,116,101,112,77,91,50,93,46,115,116,97,114,116,86,97,108,117,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,51,48,34,32,108,105,110,101,69,110,100,61,34,50,55,51,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,98,111,111,108,101,97,110,83,116,101,112,77,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,99,111,110,116,114,111,108,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,98,111,111,108,101,97,110,83,116,101,112,77,91,49,93,46,115,116,97,114,116,86,97,108,117,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,98,111,111,108,101,97,110,83,116,101,112,77,91,49,93,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,116,105,109,101,32,38,103,116,59,61,32,98,111,111,108,101,97,110,83,116,101,112,77,91,49,93,46,115,116,97,114,116,84,105,109,101,32,116,104,101,110,32,110,111,116,32,98,111,111,108,101,97,110,83,116,101,112,77,91,49,93,46,115,116,97,114,116,86,97,108,117,101,32,101,108,115,101,32,98,111,111,108,101,97,110,83,116,101,112,77,91,49,93,46,115,116,97,114,116,86,97,108,117,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,51,48,34,32,108,105,110,101,69,110,100,61,34,50,55,51,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,98,111,111,108,101,97,110,83,116,101,112,77,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,112,104,105,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,51,49,48,34,32,108,105,110,101,69,110,100,61,34,54,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,83,111,117,114,99,101,115,46,81,117,97,100,114,97,116,105,99,83,112,101,101,100,68,101,112,101,110,100,101,110,116,84,111,114,113,117,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,116,97,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,119,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,116,97,117,95,110,111,109,105,110,97,108,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6359080);
/* memory initializer */ allocate([32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,116,97,117,95,110,111,109,105,110,97,108,32,42,32,115,109,111,111,116,104,40,49,44,32,105,102,32,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,32,38,103,116,59,61,32,48,46,48,32,116,104,101,110,32,68,73,86,73,83,73,79,78,40,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,44,32,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,119,95,110,111,109,105,110,97,108,41,32,94,32,50,46,48,32,101,108,115,101,32,45,68,73,86,73,83,73,79,78,40,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,44,32,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,119,95,110,111,109,105,110,97,108,41,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,51,49,53,34,32,108,105,110,101,69,110,100,61,34,54,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,83,111,117,114,99,101,115,46,81,117,97,100,114,97,116,105,99,83,112,101,101,100,68,101,112,101,110,100,101,110,116,84,111,114,113,117,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,97,105,114,71,97,112,46,103,97,109,109,97,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,47,42,82,101,97,108,42,47,40,97,105,109,99,77,46,97,105,114,71,97,112,46,112,41,32,42,32,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,48,52,34,32,108,105,110,101,69,110,100,61,34,53,56,48,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,112,104,105,77,101,99,104,97,110,105,99,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,112,104,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,102,105,120,101,100,46,112,104,105,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,112,104,105,77,101,99,104,97,110,105,99,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,112,104,105,77,101,99,104,97,110,105,99,97,108,32,43,32,97,105,109,99,77,46,102,105,120,101,100,46,112,104,105,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,48,51,34,32,108,105,110,101,69,110,100,61,34,54,55,48,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,103,97,109,109,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,102,105,120,101,100,46,112,104,105,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,112,104,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,47,42,82,101,97,108,42,47,40,97,105,109,99,77,46,97,105,114,71,97,112,46,112,41,32,42,32,40,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,112,104,105,32,45,32,97,105,109,99,77,46,102,105,120,101,100,46,112,104,105,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,48,52,34,32,108,105,110,101,69,110,100,61,34,53,56,48,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,114,101,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,97,105,114,71,97,112,46,103,97,109,109,97,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,103,97,109,109,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,115,105,110,40,97,105,109,99,77,46,97,105,114,71,97,112,46,103,97,109,109,97,41,41,32,42,32,36,68,69,82,46,97,105,109,99,77,46,97,105,114,71,97,112,46,103,97,109,109,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,48,53,34,32,108,105,110,101,69,110,100,61,34,53,56,48,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,105,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,97,105,114,71,97,112,46,103,97,109,109,97,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,103,97,109,109,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,111,115,40,97,105,109,99,77,46,97,105,114,71,97,112,46,103,97,109,109,97,41,32,42,32,36,68,69,82,46,97,105,109,99,77,46,97,105,114,71,97,112,46,103,97,109,109,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,48,53,34,32,108,105,110,101,69,110,100,61,34,53,56,48,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,103,97,109,109,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,111,115,40,97,105,109,99,77,46,97,105,114,71,97,112,46,103,97,109,109,97,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,48,53,34,32,108,105,110,101,69,110,100,61,34,53,56,48,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,103,97,109,109,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,40,97,105,109,99,77,46,97,105,114,71,97,112,46,103,97,109,109,97,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,48,53,34,32,108,105,110,101,69,110,100,61,34,53,56,48,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,104,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,102,105,120,101,100,46,112,104,105,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,112,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,112,104,105,32,45,32,97,105,109,99,77,46,102,105,120,101,100,46,112,104,105,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,56,50,34,32,108,105,110,101,69,110,100,61,34,49,52,53,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,112,104,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,102,105,120,101,100,46,112,104,105,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,112,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,112,104,105,32,45,32,97,105,109,99,77,46,102,105,120,101,100,46,112,104,105,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,56,50,34,32,108,105,110,101,69,110,100,61,34,49,52,53,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,112,104,105,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,51,49,48,34,32,108,105,110,101,69,110,100,61,34,54,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,83,111,117,114,99,101,115,46,81,117,97,100,114,97,116,105,99,83,112,101,101,100,68,101,112,101,110,100,101,110,116,84,111,114,113,117,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,116,97,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,119,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,116,97,117,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,116,97,117,95,110,111,109,105,110,97,108,32,42,32,115,109,111,111,116,104,40,49,44,32,105,102,32,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,32,38,103,116,59,61,32,48,46,48,32,116,104,101,110,32,68,73,86,73,83,73,79,78,40,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,44,32,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,119,95,110,111,109,105,110,97,108,41,32,94,32,50,46,48,32,101,108,115,101,32,45,68,73,86,73,83,73,79,78,40,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,44,32,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,119,95,110,111,109,105,110,97,108,41,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,51,49,53,34,32,108,105,110,101,69,110,100,61,34,54,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,83,111,117,114,99,101,115,46,81,117,97,100,114,97,116,105,99,83,112,101,101,100,68,101,112,101,110,100,101,110,116,84,111,114,113,117,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,97,105,114,71,97,112,46,103,97,109,109,97,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,47,42,82,101,97,108,42,47,40,97,105,109,99,51,46,97,105,114,71,97,112,46,112,41,32,42,32,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,48,52,34,32,108,105,110,101,69,110,100,61,34,53,56,48,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,112,104,105,77,101,99,104,97,110,105,99,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,112,104,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,102,105,120,101,100,46,112,104,105,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,112,104,105,77,101,99,104,97,110,105,99,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,112,104,105,77,101,99,104,97,110,105,99,97,108,32,43,32,97,105,109,99,51,46,102,105,120,101,100,46,112,104,105,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,48,51,34,32,108,105,110,101,69,110,100,61,34,54,55,48,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,103,97,109,109,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,102,105,120,101,100,46,112,104,105,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,112,104,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,47,42,82,101,97,108,42,47,40,97,105,109,99,51,46,97,105,114,71,97,112,46,112,41,32,42,32,40,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,112,104,105,32,45,32,97,105,109,99,51,46,102,105,120,101,100,46,112,104,105,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,48,52,34,32,108,105,110,101,69,110,100,61,34,53,56,48,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6369320);
/* memory initializer */ allocate([114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,114,101,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,97,105,114,71,97,112,46,103,97,109,109,97,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,103,97,109,109,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,115,105,110,40,97,105,109,99,51,46,97,105,114,71,97,112,46,103,97,109,109,97,41,41,32,42,32,36,68,69,82,46,97,105,109,99,51,46,97,105,114,71,97,112,46,103,97,109,109,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,48,53,34,32,108,105,110,101,69,110,100,61,34,53,56,48,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,105,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,97,105,114,71,97,112,46,103,97,109,109,97,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,103,97,109,109,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,111,115,40,97,105,109,99,51,46,97,105,114,71,97,112,46,103,97,109,109,97,41,32,42,32,36,68,69,82,46,97,105,109,99,51,46,97,105,114,71,97,112,46,103,97,109,109,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,48,53,34,32,108,105,110,101,69,110,100,61,34,53,56,48,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,103,97,109,109,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,111,115,40,97,105,109,99,51,46,97,105,114,71,97,112,46,103,97,109,109,97,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,48,53,34,32,108,105,110,101,69,110,100,61,34,53,56,48,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,103,97,109,109,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,40,97,105,109,99,51,46,97,105,114,71,97,112,46,103,97,109,109,97,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,48,53,34,32,108,105,110,101,69,110,100,61,34,53,56,48,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,104,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,102,105,120,101,100,46,112,104,105,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,112,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,112,104,105,32,45,32,97,105,109,99,51,46,102,105,120,101,100,46,112,104,105,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,56,50,34,32,108,105,110,101,69,110,100,61,34,49,52,53,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,112,104,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,102,105,120,101,100,46,112,104,105,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,112,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,112,104,105,32,45,32,97,105,109,99,51,46,102,105,120,101,100,46,112,104,105,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,56,50,34,32,108,105,110,101,69,110,100,61,34,49,52,53,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,114,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,56,52,34,32,108,105,110,101,69,110,100,61,34,49,52,56,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,114,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,97,105,109,99,77,46,105,114,91,52,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,52,54,34,32,108,105,110,101,69,110,100,61,34,52,53,52,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,82,32,42,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,54,34,32,108,105,110,101,69,110,100,61,34,55,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,118,32,42,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,49,53,48,51,54,50,49,52,56,48,48,52,56,52,32,42,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,86,95,109,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,51,55,52,49,57,53,55,49,51,53,49,53,52,53,53,54,32,42,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,114,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,56,52,34,32,108,105,110,101,69,110,100,61,34,49,52,56,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,114,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,82,41,32,42,32,97,105,109,99,77,46,105,114,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,54,34,32,108,105,110,101,69,110,100,61,34,55,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,114,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,118,41,32,42,32,97,105,109,99,77,46,105,114,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,114,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,51,55,52,49,57,53,55,49,51,53,49,53,52,53,53,55,32,42,32,97,105,109,99,77,46,105,114,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,114,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,48,46,53,49,53,48,51,54,50,49,52,56,48,48,52,56,51,57,32,42,32,97,105,109,99,77,46,105,114,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,114,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6379560);
/* memory initializer */ allocate([32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,56,52,34,32,108,105,110,101,69,110,100,61,34,49,52,56,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,114,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,82,41,32,42,32,97,105,109,99,77,46,105,114,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,54,34,32,108,105,110,101,69,110,100,61,34,55,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,114,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,118,41,32,42,32,97,105,109,99,77,46,105,114,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,114,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,49,57,54,55,50,54,51,50,56,54,49,54,54,57,51,50,32,42,32,97,105,109,99,77,46,105,114,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,114,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,54,48,53,52,54,49,51,56,50,57,49,50,53,50,53,54,32,42,32,97,105,109,99,77,46,105,114,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,105,109,41,32,45,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,105,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,86,95,109,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,32,45,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,86,95,109,46,105,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,114,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,56,52,34,32,108,105,110,101,69,110,100,61,34,49,52,56,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,114,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,82,41,32,42,32,97,105,109,99,77,46,105,114,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,54,34,32,108,105,110,101,69,110,100,61,34,55,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,114,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,118,41,32,42,32,97,105,109,99,77,46,105,114,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,114,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,54,51,54,54,49,57,55,55,50,51,54,55,53,56,49,52,32,42,32,97,105,109,99,77,46,105,114,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,114,101,41,32,45,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,46,114,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,32,45,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,114,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,32,45,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,86,95,109,46,114,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,114,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,114,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,114,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,105,114,91,49,93,32,45,32,40,45,97,105,109,99,77,46,105,114,91,51,93,41,32,45,32,97,105,109,99,77,46,105,114,91,50,93,32,45,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6389800);
/* memory initializer */ allocate([50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,51,34,32,108,105,110,101,69,110,100,61,34,53,51,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,114,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,114,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,114,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,105,114,91,50,93,32,43,32,97,105,109,99,77,46,105,114,91,49,93,32,45,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,32,43,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,32,45,32,97,105,109,99,77,46,105,114,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,51,34,32,108,105,110,101,69,110,100,61,34,53,51,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,82,32,42,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,54,34,32,108,105,110,101,69,110,100,61,34,55,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,118,32,42,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,82,111,116,111,114,87,105,110,100,105,110,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,32,43,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,32,43,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,32,43,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,76,111,115,115,80,111,119,101,114,32,43,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,76,111,115,115,80,111,119,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,57,50,34,32,108,105,110,101,69,110,100,61,34,49,51,54,57,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,82,111,116,111,114,87,105,110,100,105,110,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,32,43,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,32,45,32,40,45,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,76,111,115,115,80,111,119,101,114,41,32,45,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,76,111,115,115,80,111,119,101,114,32,45,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,56,52,34,32,108,105,110,101,69,110,100,61,34,57,56,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,114,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,52,54,34,32,108,105,110,101,69,110,100,61,34,52,53,52,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,48,46,49,57,54,55,50,54,51,50,56,54,49,54,54,57,51,49,32,42,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,114,114,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,32,45,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,86,95,109,46,114,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,86,95,109,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,54,48,53,52,54,49,51,56,50,57,49,50,53,50,53,55,32,42,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,114,114,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,86,95,109,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,32,45,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,86,95,109,46,105,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,56,51,34,32,108,105,110,101,69,110,100,61,34,49,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,82,32,42,32,97,105,109,99,77,46,105,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,54,34,32,108,105,110,101,69,110,100,61,34,55,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,118,32,42,32,97,105,109,99,77,46,105,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6400040);
/* memory initializer */ allocate([101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,49,57,54,55,50,54,51,50,56,54,49,54,54,57,51,50,32,42,32,97,105,109,99,77,46,105,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,54,48,53,52,54,49,51,56,50,57,49,50,53,50,53,54,32,42,32,97,105,109,99,77,46,105,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,99,111,110,116,114,111,108,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,97,105,109,99,77,46,105,115,91,50,93,44,32,105,102,32,105,100,101,97,108,67,108,111,115,101,114,77,46,99,111,110,116,114,111,108,91,50,93,32,116,104,101,110,32,49,46,48,32,101,108,115,101,32,54,46,48,48,48,48,48,48,48,48,48,48,48,48,48,48,49,101,45,48,54,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,54,34,32,108,105,110,101,69,110,100,61,34,49,53,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,99,111,110,116,114,111,108,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,115,32,42,32,40,105,102,32,105,100,101,97,108,67,108,111,115,101,114,77,46,99,111,110,116,114,111,108,91,50,93,32,116,104,101,110,32,49,46,54,54,54,54,54,54,54,54,54,54,54,54,54,54,55,101,45,48,53,32,101,108,115,101,32,49,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,53,34,32,108,105,110,101,69,110,100,61,34,49,53,53,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,118,32,42,32,97,105,109,99,77,46,105,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,56,34,32,108,105,110,101,69,110,100,61,34,49,53,53,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,50,93,32,45,32,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,118,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,50,93,32,45,32,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,32,45,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,118,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,32,45,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,56,51,34,32,108,105,110,101,69,110,100,61,34,49,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,82,32,42,32,97,105,109,99,77,46,105,115,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,54,34,32,108,105,110,101,69,110,100,61,34,55,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,49,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,118,32,42,32,97,105,109,99,77,46,105,115,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,49,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,54,51,54,54,49,57,55,55,50,51,54,55,53,56,49,52,32,42,32,97,105,109,99,77,46,105,115,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,49,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,99,111,110,116,114,111,108,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,97,105,109,99,77,46,105,115,91,49,93,44,32,105,102,32,105,100,101,97,108,67,108,111,115,101,114,77,46,99,111,110,116,114,111,108,91,49,93,32,116,104,101,110,32,49,46,48,32,101,108,115,101,32,54,46,48,48,48,48,48,48,48,48,48,48,48,48,48,48,49,101,45,48,54,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,54,34,32,108,105,110,101,69,110,100,61,34,49,53,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,49,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,99,111,110,116,114,111,108,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,115,32,42,32,40,105,102,32,105,100,101,97,108,67,108,111,115,101,114,77,46,99,111,110,116,114,111,108,91,49,93,32,116,104,101,110,32,49,46,54,54,54,54,54,54,54,54,54,54,54,54,54,54,55,101,45,48,53,32,101,108,115,101,32,49,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,53,34,32,108,105,110,101,69,110,100,61,34,49,53,53,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,49,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,118,32,42,32,97,105,109,99,77,46,105,115,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,56,34,32,108,105,110,101,69,110,100,61,34,49,53,53,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,49,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6410280);
/* memory initializer */ allocate([108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,49,93,32,45,32,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,49,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,118,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,49,93,32,45,32,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,49,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,32,45,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,49,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,118,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,32,45,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,49,57,34,62,10,32,32,32,32,60,108,105,110,101,97,114,32,115,105,122,101,61,34,52,57,34,32,110,110,122,61,34,49,50,48,34,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,86,95,109,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,114,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,114,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,86,95,109,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,118,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,114,111,119,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,51,93,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,52,93,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,105,109,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,49,46,53,55,48,55,57,54,51,50,54,55,57,52,56,57,55,32,42,32,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,114,114,46,114,101,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,105,109,32,42,32,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,105,109,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,105,109,32,42,32,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,114,101,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,49,46,53,55,48,55,57,54,51,50,54,55,57,52,56,57,55,32,42,32,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,114,114,46,105,109,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,46,114,101,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,114,101,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,40,45,97,105,109,99,77,46,105,115,91,49,93,41,32,45,32,97,105,109,99,77,46,105,115,91,50,93,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,53,93,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,60,47,99,101,108,108,62,10,32,32,32,32,32,32,60,47,114,111,119,62,10,32,32,32,32,32,32,60,109,97,116,114,105,120,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,32,114,111,119,61,34,48,34,32,99,111,108,61,34,51,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,48,34,32,99,111,108,61,34,52,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,34,32,99,111,108,61,34,50,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,34,32,99,111,108,61,34,52,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,34,32,99,111,108,61,34,52,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6420520);
/* memory initializer */ allocate([101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,34,32,99,111,108,61,34,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,34,32,99,111,108,61,34,52,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,34,32,99,111,108,61,34,52,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,34,32,99,111,108,61,34,52,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,34,32,99,111,108,61,34,52,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,34,32,99,111,108,61,34,52,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,40,105,102,32,105,100,101,97,108,67,108,111,115,101,114,77,46,99,111,110,116,114,111,108,91,51,93,32,116,104,101,110,32,49,46,54,54,54,54,54,54,54,54,54,54,54,54,54,54,55,101,45,48,53,32,101,108,115,101,32,49,46,48,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,53,34,32,108,105,110,101,69,110,100,61,34,49,53,53,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,34,32,99,111,108,61,34,52,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,53,34,32,108,105,110,101,69,110,100,61,34,49,53,53,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,53,34,32,99,111,108,61,34,52,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,54,34,32,108,105,110,101,69,110,100,61,34,49,53,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,53,34,32,99,111,108,61,34,52,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,40,105,102,32,105,100,101,97,108,67,108,111,115,101,114,77,46,99,111,110,116,114,111,108,91,51,93,32,116,104,101,110,32,49,46,48,32,101,108,115,101,32,54,46,48,48,48,48,48,48,48,48,48,48,48,48,48,48,49,101,45,48,54,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,54,34,32,108,105,110,101,69,110,100,61,34,49,53,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,54,34,32,99,111,108,61,34,52,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,54,34,32,99,111,108,61,34,52,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,48,46,53,49,53,48,51,54,50,49,52,56,48,48,52,56,51,57,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,55,34,32,99,111,108,61,34,49,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,55,34,32,99,111,108,61,34,52,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,55,34,32,99,111,108,61,34,52,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,56,34,32,99,111,108,61,34,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,56,34,32,99,111,108,61,34,52,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,56,34,32,99,111,108,61,34,52,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,57,34,32,99,111,108,61,34,51,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,48,46,53,49,53,48,51,54,50,49,52,56,48,48,52,56,52,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,57,34,32,99,111,108,61,34,52,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,48,34,32,99,111,108,61,34,51,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,40,105,102,32,105,100,101,97,108,67,108,111,115,101,114,77,46,99,111,110,116,114,111,108,91,52,93,32,116,104,101,110,32,49,46,48,32,101,108,115,101,32,54,46,48,48,48,48,48,48,48,48,48,48,48,48,48,48,49,101,45,48,54,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,54,34,32,108,105,110,101,69,110,100,61,34,49,53,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,48,34,32,99,111,108,61,34,51,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,54,34,32,108,105,110,101,69,110,100,61,34,49,53,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,49,34,32,99,111,108,61,34,51,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6430760);
/* memory initializer */ allocate([117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,53,34,32,108,105,110,101,69,110,100,61,34,49,53,53,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,49,34,32,99,111,108,61,34,51,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,40,105,102,32,105,100,101,97,108,67,108,111,115,101,114,77,46,99,111,110,116,114,111,108,91,52,93,32,116,104,101,110,32,49,46,54,54,54,54,54,54,54,54,54,54,54,54,54,54,55,101,45,48,53,32,101,108,115,101,32,49,46,48,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,53,34,32,108,105,110,101,69,110,100,61,34,49,53,53,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,50,34,32,99,111,108,61,34,51,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,50,34,32,99,111,108,61,34,51,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,51,34,32,99,111,108,61,34,49,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,51,34,32,99,111,108,61,34,51,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,51,34,32,99,111,108,61,34,51,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,52,34,32,99,111,108,61,34,51,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,52,34,32,99,111,108,61,34,51,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,52,34,32,99,111,108,61,34,52,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,53,34,32,99,111,108,61,34,50,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,53,34,32,99,111,108,61,34,51,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,53,34,32,99,111,108,61,34,51,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,54,34,32,99,111,108,61,34,50,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,48,46,53,56,55,55,56,53,50,53,50,50,57,50,52,55,51,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,50,52,34,32,108,105,110,101,69,110,100,61,34,52,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,54,34,32,99,111,108,61,34,51,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,48,46,56,48,57,48,49,54,57,57,52,51,55,52,57,52,55,54,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,50,52,34,32,108,105,110,101,69,110,100,61,34,52,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,54,34,32,99,111,108,61,34,51,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,50,52,34,32,108,105,110,101,69,110,100,61,34,52,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,55,34,32,99,111,108,61,34,50,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,55,34,32,99,111,108,61,34,51,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,55,34,32,99,111,108,61,34,51,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,56,34,32,99,111,108,61,34,50,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,48,46,53,56,55,55,56,53,50,53,50,50,57,50,52,55,51,50,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,50,52,34,32,108,105,110,101,69,110,100,61,34,52,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,56,34,32,99,111,108,61,34,51,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,50,52,34,32,108,105,110,101,69,110,100,61,34,52,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,56,34,32,99,111,108,61,34,51,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,48,46,56,48,57,48,49,54,57,57,52,51,55,52,57,52,55,51,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,50,52,34,32,108,105,110,101,69,110,100,61,34,52,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6441000);
/* memory initializer */ allocate([97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,57,34,32,99,111,108,61,34,50,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,57,34,32,99,111,108,61,34,50,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,57,34,32,99,111,108,61,34,51,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,48,34,32,99,111,108,61,34,50,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,48,46,57,53,49,48,53,54,53,49,54,50,57,53,49,53,51,54,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,50,52,34,32,108,105,110,101,69,110,100,61,34,52,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,48,34,32,99,111,108,61,34,50,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,50,52,34,32,108,105,110,101,69,110,100,61,34,52,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,48,34,32,99,111,108,61,34,51,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,48,46,51,48,57,48,49,54,57,57,52,51,55,52,57,52,55,50,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,50,52,34,32,108,105,110,101,69,110,100,61,34,52,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,49,34,32,99,111,108,61,34,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,49,34,32,99,111,108,61,34,50,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,49,34,32,99,111,108,61,34,50,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,50,34,32,99,111,108,61,34,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,50,34,32,99,111,108,61,34,50,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,50,34,32,99,111,108,61,34,50,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,51,34,32,99,111,108,61,34,50,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,48,46,57,53,49,48,53,54,53,49,54,50,57,53,49,53,51,53,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,50,52,34,32,108,105,110,101,69,110,100,61,34,52,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,51,34,32,99,111,108,61,34,50,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,50,52,34,32,108,105,110,101,69,110,100,61,34,52,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,51,34,32,99,111,108,61,34,51,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,48,46,51,48,57,48,49,54,57,57,52,51,55,52,57,52,55,53,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,50,52,34,32,108,105,110,101,69,110,100,61,34,52,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,52,34,32,99,111,108,61,34,50,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,52,34,32,99,111,108,61,34,51,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,48,46,51,55,52,49,57,53,55,49,51,53,49,53,52,53,53,54,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,53,34,32,99,111,108,61,34,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,53,34,32,99,111,108,61,34,50,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,53,34,32,99,111,108,61,34,50,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6451240);
/* memory initializer */ allocate([114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,54,34,32,99,111,108,61,34,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,54,34,32,99,111,108,61,34,50,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,54,34,32,99,111,108,61,34,50,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,55,34,32,99,111,108,61,34,50,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,55,34,32,99,111,108,61,34,50,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,56,34,32,99,111,108,61,34,49,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,114,101,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,57,51,34,32,108,105,110,101,69,110,100,61,34,53,55,57,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,56,34,32,99,111,108,61,34,50,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,57,51,34,32,108,105,110,101,69,110,100,61,34,53,55,57,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,56,34,32,99,111,108,61,34,50,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,105,109,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,57,51,34,32,108,105,110,101,69,110,100,61,34,53,55,57,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,57,34,32,99,111,108,61,34,49,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,54,50,46,53,57,53,55,55,48,52,48,49,50,49,57,57,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,57,55,34,32,108,105,110,101,69,110,100,61,34,53,55,57,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,57,34,32,99,111,108,61,34,50,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,53,55,48,55,57,54,51,50,54,55,57,52,56,57,55,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,57,55,34,32,108,105,110,101,69,110,100,61,34,53,55,57,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,48,34,32,99,111,108,61,34,49,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,114,101,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,56,48,34,32,108,105,110,101,69,110,100,61,34,53,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,48,34,32,99,111,108,61,34,49,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,56,48,34,32,108,105,110,101,69,110,100,61,34,53,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,49,34,32,99,111,108,61,34,49,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,56,48,34,32,108,105,110,101,69,110,100,61,34,53,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,49,34,32,99,111,108,61,34,49,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,105,109,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,56,48,34,32,108,105,110,101,69,110,100,61,34,53,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,50,34,32,99,111,108,61,34,49,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,53,55,48,55,57,54,51,50,54,55,57,52,56,57,55,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,57,56,34,32,108,105,110,101,69,110,100,61,34,53,55,57,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,50,34,32,99,111,108,61,34,49,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,54,50,46,53,57,53,55,55,48,52,48,49,50,49,57,57,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,57,56,34,32,108,105,110,101,69,110,100,61,34,53,55,57,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,51,34,32,99,111,108,61,34,49,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,105,109,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,57,51,34,32,108,105,110,101,69,110,100,61,34,53,55,57,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,51,34,32,99,111,108,61,34,49,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,57,51,34,32,108,105,110,101,69,110,100,61,34,53,55,57,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,51,34,32,99,111,108,61,34,50,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,114,101,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,57,51,34,32,108,105,110,101,69,110,100,61,34,53,55,57,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,52,34,32,99,111,108,61,34,49,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,52,34,32,99,111,108,61,34,49,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,53,34,32,99,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6461480);
/* memory initializer */ allocate([108,61,34,49,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,53,34,32,99,111,108,61,34,49,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,54,34,32,99,111,108,61,34,49,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,54,34,32,108,105,110,101,69,110,100,61,34,55,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,54,34,32,99,111,108,61,34,51,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,82,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,54,34,32,108,105,110,101,69,110,100,61,34,55,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,55,34,32,99,111,108,61,34,49,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,51,34,32,108,105,110,101,69,110,100,61,34,53,51,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,55,34,32,99,111,108,61,34,51,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,51,34,32,108,105,110,101,69,110,100,61,34,53,51,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,55,34,32,99,111,108,61,34,52,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,51,34,32,108,105,110,101,69,110,100,61,34,53,51,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,56,34,32,99,111,108,61,34,49,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,40,105,102,32,105,100,101,97,108,67,108,111,115,101,114,77,46,99,111,110,116,114,111,108,91,53,93,32,116,104,101,110,32,49,46,48,32,101,108,115,101,32,54,46,48,48,48,48,48,48,48,48,48,48,48,48,48,48,49,101,45,48,54,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,54,34,32,108,105,110,101,69,110,100,61,34,49,53,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,56,34,32,99,111,108,61,34,49,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,54,34,32,108,105,110,101,69,110,100,61,34,49,53,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,57,34,32,99,111,108,61,34,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,53,34,32,108,105,110,101,69,110,100,61,34,49,53,53,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,57,34,32,99,111,108,61,34,49,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,40,105,102,32,105,100,101,97,108,67,108,111,115,101,114,77,46,99,111,110,116,114,111,108,91,53,93,32,116,104,101,110,32,49,46,54,54,54,54,54,54,54,54,54,54,54,54,54,54,55,101,45,48,53,32,101,108,115,101,32,49,46,48,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,53,34,32,108,105,110,101,69,110,100,61,34,49,53,53,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,48,34,32,99,111,108,61,34,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,48,34,32,99,111,108,61,34,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,49,34,32,99,111,108,61,34,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,49,34,32,99,111,108,61,34,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,49,34,32,99,111,108,61,34,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,50,34,32,99,111,108,61,34,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,50,34,32,99,111,108,61,34,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,50,34,32,99,111,108,61,34,52,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,51,34,32,99,111,108,61,34,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,51,34,32,99,111,108,61,34,49,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,48,46,54,48,53,52,54,49,51,56,50,57,49,50,53,50,53,55,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,52,34,32,99,111,108,61,34,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,52,34,32,99,111,108,61,34,49,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,48,46,49,57,54,55,50,54,51,50,56,54,49,54,54,57,51,49,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6471720);
/* memory initializer */ allocate([114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,53,34,32,99,111,108,61,34,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,54,34,32,108,105,110,101,69,110,100,61,34,55,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,53,34,32,99,111,108,61,34,49,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,82,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,54,34,32,108,105,110,101,69,110,100,61,34,55,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,54,34,32,99,111,108,61,34,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,54,34,32,108,105,110,101,69,110,100,61,34,55,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,54,34,32,99,111,108,61,34,52,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,82,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,54,34,32,108,105,110,101,69,110,100,61,34,55,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,55,34,32,99,111,108,61,34,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,55,34,32,99,111,108,61,34,52,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,48,46,51,55,52,49,57,53,55,49,51,53,49,53,52,53,53,55,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,56,34,32,99,111,108,61,34,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,56,34,32,99,111,108,61,34,52,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,10,32,32,32,32,32,32,60,47,109,97,116,114,105,120,62,10,32,32,32,32,60,47,108,105,110,101,97,114,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,50,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,105,48,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,76,122,101,114,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,118,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,118,91,53,93,44,32,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,76,122,101,114,111,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,57,49,34,32,108,105,110,101,69,110,100,61,34,49,48,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,50,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,118,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,32,45,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,50,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,118,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,51,93,32,45,32,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,50,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,118,32,42,32,97,105,109,99,77,46,105,115,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,56,34,32,108,105,110,101,69,110,100,61,34,49,53,53,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,50,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,118,32,42,32,97,105,109,99,77,46,105,115,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,50,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,105,82,77,83,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,113,114,116,40,48,46,50,32,42,32,40,97,105,109,99,77,46,105,115,91,49,93,32,94,32,50,46,48,32,43,32,97,105,109,99,77,46,105,115,91,50,93,32,94,32,50,46,48,32,43,32,97,105,109,99,77,46,105,115,91,51,93,32,94,32,50,46,48,32,43,32,97,105,109,99,77,46,105,115,91,52,93,32,94,32,50,46,48,32,43,32,97,105,109,99,77,46,105,115,91,53,93,32,94,32,50,46,48,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,53,53,57,34,32,108,105,110,101,69,110,100,61,34,49,49,53,53,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,50,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,103,114,111,117,110,100,77,46,112,46,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,105,109,99,77,46,105,115,91,53,93,41,32,45,32,40,97,105,109,99,77,46,105,115,91,49,93,32,43,32,97,105,109,99,77,46,105,115,91,50,93,32,43,32,97,105,109,99,77,46,105,115,91,51,93,32,43,32,97,105,109,99,77,46,105,115,91,52,93,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,51,34,32,108,105,110,101,69,110,100,61,34,53,51,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,97,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,50,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,73,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,113,114,116,40,48,46,50,32,42,32,40,97,105,109,99,77,46,105,115,91,49,93,32,94,32,50,46,48,32,43,32,97,105,109,99,77,46,105,115,91,50,93,32,94,32,50,46,48,32,43,32,97,105,109,99,77,46,105,115,91,51,93,32,94,32,50,46,48,32,43,32,97,105,109,99,77,46,105,115,91,52,93,32,94,32,50,46,48,32,43,32,97,105,109,99,77,46,105,115,91,53,93,32,94,32,50,46,48,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,51,50,34,32,108,105,110,101,69,110,100,61,34,50,50,51,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,108,111,99,107,115,46,81,117,97,115,105,82,77,83,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,113,117,97,115,105,82,77,83,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,50,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,102,101,101,100,98,97,99,107,46,117,50,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,73,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,54,54,54,54,54,54,54,54,54,54,54,54,54,54,55,32,42,32,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,73,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,77,97,116,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,51,57,34,32,108,105,110,101,69,110,100,61,34,54,51,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,77,97,116,104,46,71,97,105,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,103,97,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,50,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,118,32,42,32,97,105,109], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6481960);
/* memory initializer */ allocate([99,77,46,105,115,91,53,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,51,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,118,32,42,32,97,105,109,99,77,46,105,115,91,53,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,56,34,32,108,105,110,101,69,110,100,61,34,49,53,53,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,51,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,118,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,53,93,32,45,32,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,51,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,118,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,32,45,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,51,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,118,32,42,32,97,105,109,99,77,46,105,115,91,52,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,51,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,97,116,111,114,87,105,110,100,105,110,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,32,43,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,32,43,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,32,43,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,76,111,115,115,80,111,119,101,114,32,43,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,76,111,115,115,80,111,119,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,54,51,34,32,108,105,110,101,69,110,100,61,34,49,51,54,54,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,51,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,84,111,116,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,82,111,116,111,114,87,105,110,100,105,110,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,97,116,111,114,87,105,110,100,105,110,103,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,97,116,111,114,87,105,110,100,105,110,103,32,43,32,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,82,111,116,111,114,87,105,110,100,105,110,103,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,54,50,34,32,108,105,110,101,69,110,100,61,34,49,51,54,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,51,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,83,116,97,116,111,114,87,105,110,100,105,110,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,32,43,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,32,45,32,40,45,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,76,111,115,115,80,111,119,101,114,41,32,45,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,76,111,115,115,80,111,119,101,114,32,45,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,56,52,34,32,108,105,110,101,69,110,100,61,34,57,56,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,51,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,84,111,116,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,82,111,116,111,114,87,105,110,100,105,110,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,83,116,97,116,111,114,87,105,110,100,105,110,103,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,83,116,97,116,111,114,87,105,110,100,105,110,103,32,43,32,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,82,111,116,111,114,87,105,110,100,105,110,103,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,49,55,57,34,32,108,105,110,101,69,110,100,61,34,49,50,49,56,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,51,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,116,97,117,69,108,101,99,116,114,105,99,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,49,46,53,55,48,55,57,54,51,50,54,55,57,52,56,57,55,32,42,32,47,42,82,101,97,108,42,47,40,97,105,109,99,77,46,97,105,114,71,97,112,46,112,41,32,42,32,40,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,105,109,32,42,32,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,32,45,32,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,114,101,32,42,32,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,48,48,34,32,108,105,110,101,69,110,100,61,34,53,56,48,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,51,57,34,62,10,32,32,32,32,60,108,105,110,101,97,114,32,115,105,122,101,61,34,50,34,32,110,110,122,61,34,52,34,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,116,97,117,83,104,97,102,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,108,111,97,100,73,110,101,114,116,105,97,77,46,97,34,32,47,62,10,32,32,32,32,32,32,60,114,111,119,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,97,105,109,99,77,46,116,97,117,69,108,101,99,116,114,105,99,97,108,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,116,97,117,60,47,99,101,108,108,62,10,32,32,32,32,32,32,60,47,114,111,119,62,10,32,32,32,32,32,32,60,109,97,116,114,105,120,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,32,114,111,119,61,34,48,34,32,99,111,108,61,34,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,49,57,34,32,108,105,110,101,69,110,100,61,34,50,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,48,34,32,99,111,108,61,34,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,74,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,49,57,34,32,108,105,110,101,69,110,100,61,34,50,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,34,32,99,111,108,61,34,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,49,57,34,32,108,105,110,101,69,110,100,61,34,50,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,108,111,97,100,73,110,101,114,116,105,97,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,34,32,99,111,108,61,34,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,108,111,97,100,73,110,101,114,116,105,97,77,46,74,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,49,57,34,32,108,105,110,101,69,110,100,61,34,50,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,108,111,97,100,73,110,101,114,116,105,97,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,10,32,32,32,32,32,32,60,47,109,97,116,114,105,120,62,10,32,32,32,32,60,47,108,105,110,101,97,114,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,52,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,112,111,119,101,114,73,110,101,114,116,105,97,82,111,116,111,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,108,111,97,100,73,110,101,114,116,105,97,77,46,97,34,32,47,62,10,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6492200);
/* memory initializer */ allocate([32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,74,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,74,32,42,32,108,111,97,100,73,110,101,114,116,105,97,77,46,97,32,42,32,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,54,49,34,32,108,105,110,101,69,110,100,61,34,49,51,54,54,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,52,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,108,111,97,100,73,110,101,114,116,105,97,77,46,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,108,111,97,100,73,110,101,114,116,105,97,77,46,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,49,56,34,32,108,105,110,101,69,110,100,61,34,50,51,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,52,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,112,111,119,101,114,77,101,99,104,97,110,105,99,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,116,97,117,83,104,97,102,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,32,42,32,97,105,109,99,77,46,116,97,117,83,104,97,102,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,53,57,34,32,108,105,110,101,69,110,100,61,34,49,51,54,53,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,52,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,82,95,109,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,45,49,46,53,55,48,55,57,54,51,50,54,55,57,52,56,57,55,32,42,32,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,44,32,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,82,95,109,46,100,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,55,34,32,108,105,110,101,69,110,100,61,34,52,48,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,52,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,114,101,32,45,32,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,114,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,51,55,34,32,108,105,110,101,69,110,100,61,34,53,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,99,111,110,110,101,99,116,45,101,113,117,97,116,105,111,110,32,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,52,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,114,101,41,32,45,32,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,52,55,34,32,108,105,110,101,69,110,100,61,34,53,54,53,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,99,111,110,110,101,99,116,45,101,113,117,97,116,105,111,110,32,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,52,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,105,109,99,77,46,115,116,97,116,111,114,46,112,111,114,116,95,110,46,80,104,105,46,114,101,41,32,45,32,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,114,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,53,54,52,34,32,108,105,110,101,69,110,100,61,34,54,53,57,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,115,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,52,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,82,95,109,46,113,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,45,49,46,53,55,48,55,57,54,51,50,54,55,57,52,56,57,55,32,42,32,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,44,32,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,82,95,109,46,113,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,56,34,32,108,105,110,101,69,110,100,61,34,52,48,50,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,52,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,105,109,32,45,32,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,105,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,51,55,34,32,108,105,110,101,69,110,100,61,34,53,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,99,111,110,110,101,99,116,45,101,113,117,97,116,105,111,110,32,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,52,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,105,109,41,32,45,32,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,52,55,34,32,108,105,110,101,69,110,100,61,34,53,54,53,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,99,111,110,110,101,99,116,45,101,113,117,97,116,105,111,110,32,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,53,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,105,109,99,77,46,115,116,97,116,111,114,46,112,111,114,116,95,110,46,80,104,105,46,105,109,41,32,45,32,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,105,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,53,54,52,34,32,108,105,110,101,69,110,100,61,34,54,53,57,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,115,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,53,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,118,32,42,32,97,105,109,99,77,46,105,115,91,52,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,56,34,32,108,105,110,101,69,110,100,61,34,49,53,53,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,53,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,118,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,52,93,32,45,32,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,53,51,34,62,10,32,32,32,32,60,97,115,115,105,103], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6502440);
/* memory initializer */ allocate([110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,118,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,32,45,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,53,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,118,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,118,32,45,32,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,55,34,32,108,105,110,101,69,110,100,61,34,52,50,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,53,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,118,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,118,32,45,32,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,55,34,32,108,105,110,101,69,110,100,61,34,52,50,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,53,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,118,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,32,45,32,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,55,34,32,108,105,110,101,69,110,100,61,34,52,50,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,53,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,118,115,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,32,45,32,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,50,54,34,32,108,105,110,101,69,110,100,61,34,54,55,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,53,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,118,115,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,32,45,32,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,50,54,34,32,108,105,110,101,69,110,100,61,34,54,55,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,53,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,118,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,32,45,32,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,50,54,34,32,108,105,110,101,69,110,100,61,34,54,55,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,54,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,118,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,32,45,32,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,50,54,34,32,108,105,110,101,69,110,100,61,34,54,55,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,54,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,118,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,32,45,32,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,50,54,34,32,108,105,110,101,69,110,100,61,34,54,55,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,54,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,112,111,119,101,114,83,116,97,116,111,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,118,115,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,118,115,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,118,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,118,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,118,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,118,115,91,49,93,32,42,32,97,105,109,99,77,46,105,115,91,49,93,32,43,32,97,105,109,99,77,46,118,115,91,50,93,32,42,32,97,105,109,99,77,46,105,115,91,50,93,32,43,32,97,105,109,99,77,46,118,115,91,51,93,32,42,32,97,105,109,99,77,46,105,115,91,51,93,32,43,32,97,105,109,99,77,46,118,115,91,52,93,32,42,32,97,105,109,99,77,46,105,115,91,52,93,32,43,32,97,105,109,99,77,46,118,115,91,53,93,32,42,32,97,105,109,99,77,46,105,115,91,53,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,53,56,34,32,108,105,110,101,69,110,100,61,34,49,51,54,53,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,54,51,34,62,10,32,32,32,32,60,108,105,110,101,97,114,32,115,105,122,101,61,34,52,54,34,32,110,110,122,61,34,49,49,55,34,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,114,46,114,101,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,114,114,46,114,101,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,46,114,101,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,46,105,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,86,95,109,46,114,101,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,86,95,109,46,105,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,114,101,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,105,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,46,105,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,86,95,109,46,105,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,86,95,109,46,114,101,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,114,101,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,114,46,105,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,114,114,46,105,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,105,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,46,105,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,105,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,114,101,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,114,101,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,105,109,41,34,32,47,62,10,32,32,32,32,32,32,60,114,111,119,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,36,68,69,82,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6512680);
/* memory initializer */ allocate([111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,40,45,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,41,32,42,32,36,68,69,82,46,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,105,109,32,43,32,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,32,42,32,36,68,69,82,46,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,114,101,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,118,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,40,45,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,114,101,41,32,42,32,36,68,69,82,46,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,105,109,32,43,32,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,105,109,32,42,32,36,68,69,82,46,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,114,101,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,114,101,32,42,32,36,68,69,82,46,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,114,101,32,43,32,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,105,109,32,42,32,36,68,69,82,46,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,105,109,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,118,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,118,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,118,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,118,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,118,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,32,42,32,36,68,69,82,46,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,114,101,32,43,32,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,32,42,32,36,68,69,82,46,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,105,109,60,47,99,101,108,108,62,10,32,32,32,32,32,32,60,47,114,111,119,62,10,32,32,32,32,32,32,60,109,97,116,114,105,120,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,32,114,111,119,61,34,48,34,32,99,111,108,61,34,52,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,51,55,34,32,108,105,110,101,69,110,100,61,34,53,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,99,111,110,110,101,99,116,45,101,113,117,97,116,105,111,110,32,47,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,48,34,32,99,111,108,61,34,52,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,51,55,34,32,108,105,110,101,69,110,100,61,34,53,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,99,111,110,110,101,99,116,45,101,113,117,97,116,105,111,110,32,47,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,34,32,99,111,108,61,34,52,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,53,55,48,55,57,54,51,50,54,55,57,52,56,57,55,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,56,34,32,108,105,110,101,69,110,100,61,34,52,48,50,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,34,32,99,111,108,61,34,52,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,82,95,109,46,113,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,56,34,32,108,105,110,101,69,110,100,61,34,52,48,50,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,34,32,99,111,108,61,34,50,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,57,51,34,32,108,105,110,101,69,110,100,61,34,53,55,57,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,34,32,99,111,108,61,34,52,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,105,109,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,57,51,34,32,108,105,110,101,69,110,100,61,34,53,55,57,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,34,32,99,111,108,61,34,52,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,114,101,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,57,51,34,32,108,105,110,101,69,110,100,61,34,53,55,57,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,34,32,99,111,108,61,34,52,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,82,95,109,46,100,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,55,34,32,108,105,110,101,69,110,100,61,34,52,48,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,34,32,99,111,108,61,34,52,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,53,55,48,55,57,54,51,50,54,55,57,52,56,57,55,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,55,34,32,108,105,110,101,69,110,100,61,34,52,48,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,34,32,99,111,108,61,34,52,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,51,55,34,32,108,105,110,101,69,110,100,61,34,53,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,99,111,110,110,101,99,116,45,101,113,117,97,116,105,111,110,32,47,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,34,32,99,111,108,61,34,52,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,51,55,34,32,108,105,110,101,69,110,100,61,34,53,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,99,111,110,110,101,99,116,45,101,113,117,97,116,105,111,110,32,47,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,53,34,32,99,111,108,61,34,49,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,56,48,34,32,108,105,110,101,69,110,100,61,34,53,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,53,34,32,99,111,108,61,34,52,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,114,101,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,56,48,34,32,108,105,110,101,69,110,100,61,34,53,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,53,34,32,99,111,108,61,34,52,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,105,109,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,56,48,34,32,108,105,110,101,69,110,100,61,34,53,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,54,34,32,99,111,108,61,34,51,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,56,48,34,32,108,105,110,101,69,110,100,61,34,53,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,54,34,32,99,111,108,61,34,52,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,105,109,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,56,48,34,32,108,105,110,101,69,110,100,61,34,53,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,54,34,32,99,111,108,61,34,52,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6522920);
/* memory initializer */ allocate([114,101,115,105,100,117,97,108,62,45,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,114,101,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,56,48,34,32,108,105,110,101,69,110,100,61,34,53,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,55,34,32,99,111,108,61,34,49,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,48,46,57,53,49,48,53,54,53,49,54,50,57,53,49,53,51,53,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,50,52,34,32,108,105,110,101,69,110,100,61,34,52,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,55,34,32,99,111,108,61,34,51,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,50,52,34,32,108,105,110,101,69,110,100,61,34,52,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,55,34,32,99,111,108,61,34,51,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,48,46,51,48,57,48,49,54,57,57,52,51,55,52,57,52,55,53,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,50,52,34,32,108,105,110,101,69,110,100,61,34,52,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,56,34,32,99,111,108,61,34,49,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,56,34,32,99,111,108,61,34,51,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,56,34,32,99,111,108,61,34,51,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,57,34,32,99,111,108,61,34,51,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,57,34,32,99,111,108,61,34,51,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,48,34,32,99,111,108,61,34,51,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,48,34,32,99,111,108,61,34,51,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,49,34,32,99,111,108,61,34,49,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,49,34,32,99,111,108,61,34,51,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,49,34,32,99,111,108,61,34,51,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,50,34,32,99,111,108,61,34,51,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,46,76,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,56,34,32,108,105,110,101,69,110,100,61,34,51,51,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,50,34,32,99,111,108,61,34,51,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,56,34,32,108,105,110,101,69,110,100,61,34,51,51,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,51,34,32,99,111,108,61,34,51,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,51,34,32,99,111,108,61,34,51,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,48,46,51,55,52,49,57,53,55,49,51,53,49,53,52,53,53,55,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,52,34,32,99,111,108,61,34,50,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,52,34,32,99,111,108,61,34,51,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,52,34,32,99,111,108,61,34,51,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,53,34,32,99,111,108,61,34,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,53,34,32,99,111,108,61,34,51,48,34,62,10,32,32,32,32,32,32,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6533160);
/* memory initializer */ allocate([32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,53,34,32,99,111,108,61,34,51,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,54,34,32,99,111,108,61,34,50,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,54,34,32,99,111,108,61,34,50,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,54,34,32,99,111,108,61,34,51,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,55,34,32,99,111,108,61,34,49,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,54,50,46,53,57,53,55,55,48,52,48,49,50,49,57,57,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,57,56,34,32,108,105,110,101,69,110,100,61,34,53,55,57,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,55,34,32,99,111,108,61,34,50,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,53,55,48,55,57,54,51,50,54,55,57,52,56,57,55,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,57,56,34,32,108,105,110,101,69,110,100,61,34,53,55,57,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,55,34,32,99,111,108,61,34,50,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,53,55,48,55,57,54,51,50,54,55,57,52,56,57,55,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,57,56,34,32,108,105,110,101,69,110,100,61,34,53,55,57,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,56,34,32,99,111,108,61,34,50,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,56,34,32,99,111,108,61,34,51,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,48,46,53,49,53,48,51,54,50,49,52,56,48,48,52,56,51,57,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,57,34,32,99,111,108,61,34,49,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,57,34,32,99,111,108,61,34,50,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,57,34,32,99,111,108,61,34,50,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,48,34,32,99,111,108,61,34,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,48,34,32,99,111,108,61,34,50,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,48,34,32,99,111,108,61,34,50,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,49,34,32,99,111,108,61,34,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,49,34,32,99,111,108,61,34,50,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,49,34,32,99,111,108,61,34,50,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,50,34,32,99,111,108,61,34,50,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,48,46,49,57,54,55,50,54,51,50,56,54,49,54,54,57,51,49,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,50,34,32,99,111,108,61,34,50,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6543400);
/* memory initializer */ allocate([77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,51,34,32,99,111,108,61,34,50,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,51,34,32,99,111,108,61,34,50,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,48,46,54,48,53,52,54,49,51,56,50,57,49,50,53,50,53,55,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,52,34,32,99,111,108,61,34,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,51,34,32,108,105,110,101,69,110,100,61,34,53,51,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,52,34,32,99,111,108,61,34,49,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,51,34,32,108,105,110,101,69,110,100,61,34,53,51,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,52,34,32,99,111,108,61,34,50,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,51,34,32,108,105,110,101,69,110,100,61,34,53,51,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,52,34,32,99,111,108,61,34,50,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,51,34,32,108,105,110,101,69,110,100,61,34,53,51,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,52,34,32,99,111,108,61,34,51,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,51,34,32,108,105,110,101,69,110,100,61,34,53,51,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,53,34,32,99,111,108,61,34,50,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,53,34,32,99,111,108,61,34,50,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,48,46,54,48,53,52,54,49,51,56,50,57,49,50,53,50,53,54,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,54,34,32,99,111,108,61,34,49,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,54,34,32,99,111,108,61,34,50,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,48,46,49,57,54,55,50,54,51,50,56,54,49,54,54,57,51,50,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,55,34,32,99,111,108,61,34,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,55,34,32,99,111,108,61,34,49,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,55,34,32,99,111,108,61,34,49,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,56,34,32,99,111,108,61,34,49,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,56,34,32,108,105,110,101,69,110,100,61,34,51,51,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,56,34,32,99,111,108,61,34,50,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,46,76,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,56,34,32,108,105,110,101,69,110,100,61,34,51,51,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,57,34,32,99,111,108,61,34,49,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,56,34,32,108,105,110,101,69,110,100,61,34,51,51,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,57,34,32,99,111,108,61,34,50,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,76,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,56,34,32,108,105,110,101,69,110,100,61,34,51,51,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,48,34,32,99,111,108,61,34,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,48,34,32,99,111,108,61,34,49,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,48,34,32,99,111,108,61,34,49,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,49,34,32,99,111,108,61,34,49,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,48,46,57,53,49,48,53,54,53,49,54,50,57,53,49,53,51,54,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,50,52,34,32,108,105,110,101,69,110,100,61,34,52,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6553640);
/* memory initializer */ allocate([101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,49,34,32,99,111,108,61,34,49,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,50,52,34,32,108,105,110,101,69,110,100,61,34,52,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,49,34,32,99,111,108,61,34,51,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,48,46,51,48,57,48,49,54,57,57,52,51,55,52,57,52,55,50,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,50,52,34,32,108,105,110,101,69,110,100,61,34,52,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,50,34,32,99,111,108,61,34,49,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,50,52,34,32,108,105,110,101,69,110,100,61,34,52,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,50,34,32,99,111,108,61,34,49,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,48,46,53,56,55,55,56,53,50,53,50,50,57,50,52,55,51,50,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,50,52,34,32,108,105,110,101,69,110,100,61,34,52,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,50,34,32,99,111,108,61,34,51,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,48,46,56,48,57,48,49,54,57,57,52,51,55,52,57,52,55,51,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,50,52,34,32,108,105,110,101,69,110,100,61,34,52,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,51,34,32,99,111,108,61,34,49,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,50,52,34,32,108,105,110,101,69,110,100,61,34,52,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,51,34,32,99,111,108,61,34,49,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,48,46,53,56,55,55,56,53,50,53,50,50,57,50,52,55,51,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,50,52,34,32,108,105,110,101,69,110,100,61,34,52,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,51,34,32,99,111,108,61,34,51,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,48,46,56,48,57,48,49,54,57,57,52,51,55,52,57,52,55,54,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,50,52,34,32,108,105,110,101,69,110,100,61,34,52,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,52,34,32,99,111,108,61,34,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,52,34,32,99,111,108,61,34,49,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,52,34,32,99,111,108,61,34,49,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,53,34,32,99,111,108,61,34,49,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,76,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,56,34,32,108,105,110,101,69,110,100,61,34,51,51,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,53,34,32,99,111,108,61,34,49,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,56,34,32,108,105,110,101,69,110,100,61,34,51,51,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,54,34,32,99,111,108,61,34,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,54,34,32,99,111,108,61,34,49,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,48,46,51,55,52,49,57,53,55,49,51,53,49,53,52,53,53,54,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,55,34,32,99,111,108,61,34,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,55,34,32,99,111,108,61,34,49,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,48,46,53,49,53,48,51,54,50,49,52,56,48,48,52,56,52,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,56,34,32,99,111,108,61,34,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,56,34,32,99,111,108,61,34,51,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,57,34,32,99,111,108,61,34,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,57,34,32,99,111,108,61,34,51,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,48,34,32,99,111,108,61,34,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6563880);
/* memory initializer */ allocate([46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,48,34,32,99,111,108,61,34,51,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,49,34,32,99,111,108,61,34,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,49,34,32,99,111,108,61,34,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,49,34,32,99,111,108,61,34,51,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,50,34,32,99,111,108,61,34,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,46,76,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,56,34,32,108,105,110,101,69,110,100,61,34,51,51,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,50,34,32,99,111,108,61,34,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,56,34,32,108,105,110,101,69,110,100,61,34,51,51,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,51,34,32,99,111,108,61,34,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,51,34,32,99,111,108,61,34,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,48,46,54,51,54,54,49,57,55,55,50,51,54,55,53,56,49,52,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,52,34,32,99,111,108,61,34,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,53,55,48,55,57,54,51,50,54,55,57,52,56,57,55,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,57,55,34,32,108,105,110,101,69,110,100,61,34,53,55,57,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,52,34,32,99,111,108,61,34,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,53,55,48,55,57,54,51,50,54,55,57,52,56,57,55,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,57,55,34,32,108,105,110,101,69,110,100,61,34,53,55,57,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,52,34,32,99,111,108,61,34,51,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,54,50,46,53,57,53,55,55,48,52,48,49,50,49,57,57,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,57,55,34,32,108,105,110,101,69,110,100,61,34,53,55,57,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,53,34,32,99,111,108,61,34,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,57,51,34,32,108,105,110,101,69,110,100,61,34,53,55,57,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,53,34,32,99,111,108,61,34,52,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,114,101,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,57,51,34,32,108,105,110,101,69,110,100,61,34,53,55,57,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,53,34,32,99,111,108,61,34,52,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,105,109,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,57,51,34,32,108,105,110,101,69,110,100,61,34,53,55,57,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,10,32,32,32,32,32,32,60,47,109,97,116,114,105,120,62,10,32,32,32,32,60,47,108,105,110,101,97,114,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,54,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,118,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,50,93,32,45,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,54,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,118,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,32,45,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,54,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,118,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,32,45,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,54,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,118,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,49,93,32,45,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,54,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,118,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,118,32,45,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,54,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,118,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6574120);
/* memory initializer */ allocate([118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,118,32,45,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,55,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,118,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,32,45,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,55,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,118,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,53,93,32,45,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,55,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,118,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,52,93,32,45,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,55,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,118,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,51,93,32,45,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,55,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,118,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,32,45,32,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,55,34,32,108,105,110,101,69,110,100,61,34,52,50,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,55,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,118,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,32,45,32,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,55,34,32,108,105,110,101,69,110,100,61,34,52,50,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,55,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,105,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,105,115,91,52,93,32,42,32,48,46,50,32,45,32,40,45,97,105,109,99,77,46,105,115,91,50,93,41,32,42,32,48,46,50,32,45,32,97,105,109,99,77,46,105,115,91,49,93,32,42,32,48,46,50,32,45,32,97,105,109,99,77,46,105,115,91,51,93,32,42,32,48,46,50,32,45,32,97,105,109,99,77,46,105,115,91,53,93,32,42,32,48,46,50,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,57,48,34,32,108,105,110,101,69,110,100,61,34,49,48,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,55,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,114,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,56,50,34,32,108,105,110,101,69,110,100,61,34,49,52,56,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,55,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,114,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,82,41,32,42,32,97,105,109,99,51,46,105,114,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,54,34,32,108,105,110,101,69,110,100,61,34,55,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,55,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,114,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,118,41,32,42,32,97,105,109,99,51,46,105,114,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,56,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,114,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,53,49,51,50,56,56,57,53,52,50,49,55,57,50,49,32,42,32,97,105,109,99,51,46,105,114,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,56,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,114,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,48,46,51,49,56,51,48,57,56,56,54,49,56,51,55,57,48,53,32,42,32,97,105,109,99,51,46,105,114,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,56,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,114,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,56,50,34,32,108,105,110,101,69,110,100,61,34,49,52,56,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,56,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,114,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,82,41,32,42,32,97,105,109,99,51,46,105,114,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,54,34,32,108,105,110,101,69,110,100,61,34,55,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,56,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,114,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,118,41,32,42,32,97,105,109,99,51,46,105,114,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,56,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,114,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,54,51,54,54,49,57,55,55,50,51,54,55,53,56,49,52,32,42,32,97,105,109,99,51,46,105,114,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6584360);
/* memory initializer */ allocate([97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,56,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,114,101,41,32,45,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,46,114,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,56,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,114,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,114,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,114,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,105,109,99,51,46,105,114,91,50,93,41,32,45,32,97,105,109,99,51,46,105,114,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,51,34,32,108,105,110,101,69,110,100,61,34,53,51,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,56,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,114,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,114,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,114,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,105,114,91,50,93,32,43,32,97,105,109,99,51,46,105,114,91,51,93,32,43,32,97,105,109,99,51,46,105,114,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,51,34,32,108,105,110,101,69,110,100,61,34,53,51,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,56,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,114,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,82,41,32,42,32,97,105,109,99,51,46,105,114,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,54,34,32,108,105,110,101,69,110,100,61,34,55,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,57,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,114,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,118,41,32,42,32,97,105,109,99,51,46,105,114,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,57,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,82,111,116,111,114,87,105,110,100,105,110,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,32,43,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,32,43,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,57,50,34,32,108,105,110,101,69,110,100,61,34,49,51,54,57,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,57,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,82,111,116,111,114,87,105,110,100,105,110,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,32,43,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,32,43,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,56,52,34,32,108,105,110,101,69,110,100,61,34,57,56,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,57,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,114,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,48,46,53,53,49,51,50,56,56,57,53,52,50,49,55,57,49,57,32,42,32,97,105,109,99,51,46,105,114,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,57,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,114,114,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,105,109,41,32,45,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,105,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,57,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,114,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,48,46,51,49,56,51,48,57,56,56,54,49,56,51,55,57,49,32,42,32,97,105,109,99,51,46,105,114,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,57,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,114,114,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,32,45,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,114,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,57,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,56,49,34,32,108,105,110,101,69,110,100,61,34,49,52,56,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,57,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,71,111,102,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,99,111,110,116,114,111,108,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,97,105,109,99,51,46,105,115,91,50,93,44,32,105,102,32,105,100,101,97,108,67,108,111,115,101,114,51,46,99,111,110,116,114,111,108,91,50,93,32,116,104,101,110,32,49,46,48,32,101,108,115,101,32,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,71,111,102,102,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,54,34,32,108,105,110,101,69,110,100,61,34,49,53,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,57,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,82,111,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,99,111,110,116,114,111,108,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,115,32,42,32,40,105,102,32,105,100,101,97,108,67,108,111,115,101,114,51,46,99,111,110,116,114,111,108,91,50,93,32,116,104,101,110,32,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,82,111,110,32,101,108,115,101,32,49,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,53,34,32,108,105,110,101,69,110,100,61,34,49,53,53,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6594600);
/* memory initializer */ allocate([110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,48,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,50,93,32,45,32,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,48,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,118,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,50,93,32,45,32,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,48,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,118,32,42,32,97,105,109,99,51,46,105,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,56,34,32,108,105,110,101,69,110,100,61,34,49,53,53,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,48,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,82,32,42,32,97,105,109,99,51,46,105,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,54,34,32,108,105,110,101,69,110,100,61,34,55,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,48,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,32,45,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,48,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,118,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,32,45,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,48,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,118,32,42,32,97,105,109,99,51,46,105,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,48,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,48,46,51,49,56,51,48,57,56,56,54,49,56,51,55,57,48,53,32,42,32,97,105,109,99,51,46,105,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,48,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,53,49,51,50,56,56,57,53,52,50,49,55,57,50,49,32,42,32,97,105,109,99,51,46,105,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,48,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,56,49,34,32,108,105,110,101,69,110,100,61,34,49,52,56,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,49,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,71,111,102,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,99,111,110,116,114,111,108,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,97,105,109,99,51,46,105,115,91,49,93,44,32,105,102,32,105,100,101,97,108,67,108,111,115,101,114,51,46,99,111,110,116,114,111,108,91,49,93,32,116,104,101,110,32,49,46,48,32,101,108,115,101,32,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,71,111,102,102,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,54,34,32,108,105,110,101,69,110,100,61,34,49,53,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,49,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,82,111,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,99,111,110,116,114,111,108,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,115,32,42,32,40,105,102,32,105,100,101,97,108,67,108,111,115,101,114,51,46,99,111,110,116,114,111,108,91,49,93,32,116,104,101,110,32,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,82,111,110,32,101,108,115,101,32,49,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,53,34,32,108,105,110,101,69,110,100,61,34,49,53,53,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,49,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,49,93,32,45,32,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,49,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,118,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,49,93,32,45,32,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,49,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,118,32,42,32,97,105,109,99,51,46,105,115,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,56,34,32,108,105,110,101,69,110,100,61,34,49,53,53,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,49,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,82,32,42,32,97,105,109,99,51,46,105,115,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,54,34,32,108,105,110,101,69,110,100,61,34,55,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6604840);
/* memory initializer */ allocate([93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,49,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,32,45,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,49,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,118,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,32,45,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,49,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,118,32,42,32,97,105,109,99,51,46,105,115,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,49,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,54,51,54,54,49,57,55,55,50,51,54,55,53,56,49,52,32,42,32,97,105,109,99,51,46,105,115,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,50,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,105,109,99,51,46,105,115,91,49,93,41,32,45,32,97,105,109,99,51,46,105,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,51,34,32,108,105,110,101,69,110,100,61,34,53,51,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,50,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,105,82,77,83,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,113,114,116,40,97,105,109,99,51,46,105,115,91,49,93,32,94,32,50,46,48,32,47,32,51,46,48,32,43,32,97,105,109,99,51,46,105,115,91,50,93,32,94,32,50,46,48,32,47,32,51,46,48,32,43,32,97,105,109,99,51,46,105,115,91,51,93,32,94,32,50,46,48,32,47,32,51,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,53,53,57,34,32,108,105,110,101,69,110,100,61,34,49,49,53,53,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,50,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,122,101,114,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,97,105,109,99,51,46,105,115,91,50,93,32,45,32,40,45,97,105,109,99,51,46,105,115,91,51,93,41,32,45,32,97,105,109,99,51,46,105,115,91,49,93,41,32,47,32,51,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,49,53,34,32,108,105,110,101,69,110,100,61,34,49,48,56,49,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,112,97,99,101,80,104,97,115,111,114,115,46,66,108,111,99,107,115,46,84,111,83,112,97,99,101,80,104,97,115,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,50,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,80,111,108,97,114,49,46,117,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,84,114,97,110,115,102,111,114,109,97,116,105,111,110,77,97,116,114,105,120,91,49,44,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,84,114,97,110,115,102,111,114,109,97,116,105,111,110,77,97,116,114,105,120,91,49,44,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,84,114,97,110,115,102,111,114,109,97,116,105,111,110,77,97,116,114,105,120,91,49,44,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,84,114,97,110,115,102,111,114,109,97,116,105,111,110,77,97,116,114,105,120,91,49,44,49,93,32,42,32,97,105,109,99,51,46,105,115,91,49,93,32,43,32,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,84,114,97,110,115,102,111,114,109,97,116,105,111,110,77,97,116,114,105,120,91,49,44,50,93,32,42,32,97,105,109,99,51,46,105,115,91,50,93,32,43,32,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,84,114,97,110,115,102,111,114,109,97,116,105,111,110,77,97,116,114,105,120,91,49,44,51,93,32,42,32,97,105,109,99,51,46,105,115,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,49,54,34,32,108,105,110,101,69,110,100,61,34,49,48,56,49,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,112,97,99,101,80,104,97,115,111,114,115,46,66,108,111,99,107,115,46,84,111,83,112,97,99,101,80,104,97,115,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,50,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,80,111,108,97,114,49,46,117,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,84,114,97,110,115,102,111,114,109,97,116,105,111,110,77,97,116,114,105,120,91,50,44,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,84,114,97,110,115,102,111,114,109,97,116,105,111,110,77,97,116,114,105,120,91,50,44,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,84,114,97,110,115,102,111,114,109,97,116,105,111,110,77,97,116,114,105,120,91,50,44,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,84,114,97,110,115,102,111,114,109,97,116,105,111,110,77,97,116,114,105,120,91,50,44,49,93,32,42,32,97,105,109,99,51,46,105,115,91,49,93,32,43,32,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,84,114,97,110,115,102,111,114,109,97,116,105,111,110,77,97,116,114,105,120,91,50,44,50,93,32,42,32,97,105,109,99,51,46,105,115,91,50,93,32,43,32,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,84,114,97,110,115,102,111,114,109,97,116,105,111,110,77,97,116,114,105,120,91,50,44,51,93,32,42,32,97,105,109,99,51,46,105,115,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,49,54,34,32,108,105,110,101,69,110,100,61,34,49,48,56,49,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,112,97,99,101,80,104,97,115,111,114,115,46,66,108,111,99,107,115,46,84,111,83,112,97,99,101,80,104,97,115,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,50,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,80,111,108,97,114,49,46,121,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,80,111,108,97,114,49,46,117,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,80,111,108,97,114,49,46,117,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,113,114,116,40,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,80,111,108,97,114,49,46,117,91,49,93,32,94,32,50,46,48,32,43,32,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,80,111,108,97,114,49,46,117,91,50,93,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,57,52,51,34,32,108,105,110,101,69,110,100,61,34,49,48,57,52,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,112,97,99,101,80,104,97,115,111,114,115,46,66,108,111,99,107,115,46,84,111,80,111,108,97,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,80,111,108,97,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,50,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,73,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,80,111,108,97,114,49,46,121,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,71,97,105,110,49,46,107,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,71,97,105,110,49,46,107,32,42,32,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,80,111,108,97,114,49,46,121,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,77,97,116,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,51,57,34,32,108,105,110,101,69,110,100,61,34,54,51,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,77,97,116,104,46,71,97,105,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,71,97,105,110,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,50,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,102,101,101,100,98,97,99,107,46,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,102,101,101,100,98,97,99,107,46,117,50,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,73,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,73,32,45,32,102,101,101,100,98,97,99,107,46,117,50,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,77,97,116,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,55,49,34,32,108,105,110,101,69,110,100,61,34,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,77,97,116,104,46,70,101,101,100,98,97,99,107,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,101,101,100,98,97,99,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,50,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,80,111,108,97,114,49,46,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,80,111,108,97,114,49,46,117,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,80,111,108,97,114,49,46,117,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,80,111,108,97,114,49,46,121,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,110,111,69,118,101,110,116,40,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,80,111,108,97,114,49,46,121,91,49,93,32,38,108,116,59,61,32,49,101,45,54,48,41,32,116,104,101,110,32,48,46,48,32,101,108,115,101,32,97,116,97,110,50,40,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,80,111,108,97,114,49,46,117,91,50,93,44,32,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,80,111,108,97,114,49,46,117,91,49,93,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,57,52,52,34,32,108,105,110,101,69,110,100,61,34,49,48,57,52,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,56,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,112,97,99,101,80,104,97,115,111,114,115,46,66,108,111,99,107,115,46,84,111,80,111,108,97,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,80,111,108,97,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,50,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,103,114,111,117,110,100,51,46,112,46,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,105,109,99,51,46,105,115,91,51,93,41,32,45,32,40,97,105,109,99,51,46,105,115,91,49,93,32,43,32,97,105,109,99,51,46,105,115,91,50,93,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,51,34,32,108,105,110,101,69,110,100,61,34,53,51,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,97,114,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,51,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,71,111,102,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,99,111,110,116,114,111,108,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,97,105,109,99,51,46,105,115,91,51,93], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6615080);
/* memory initializer */ allocate([44,32,105,102,32,105,100,101,97,108,67,108,111,115,101,114,51,46,99,111,110,116,114,111,108,91,51,93,32,116,104,101,110,32,49,46,48,32,101,108,115,101,32,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,71,111,102,102,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,54,34,32,108,105,110,101,69,110,100,61,34,49,53,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,51,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,82,111,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,99,111,110,116,114,111,108,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,115,32,42,32,40,105,102,32,105,100,101,97,108,67,108,111,115,101,114,51,46,99,111,110,116,114,111,108,91,51,93,32,116,104,101,110,32,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,82,111,110,32,101,108,115,101,32,49,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,53,34,32,108,105,110,101,69,110,100,61,34,49,53,53,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,51,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,51,93,32,45,32,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,51,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,118,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,51,93,32,45,32,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,51,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,118,32,42,32,97,105,109,99,51,46,105,115,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,56,34,32,108,105,110,101,69,110,100,61,34,49,53,53,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,51,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,82,32,42,32,97,105,109,99,51,46,105,115,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,54,34,32,108,105,110,101,69,110,100,61,34,55,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,51,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,32,45,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,51,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,118,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,32,45,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,51,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,118,32,42,32,97,105,109,99,51,46,105,115,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,51,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,97,116,111,114,87,105,110,100,105,110,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,32,43,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,32,43,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,54,51,34,32,108,105,110,101,69,110,100,61,34,49,51,54,54,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,52,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,84,111,116,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,82,111,116,111,114,87,105,110,100,105,110,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,97,116,111,114,87,105,110,100,105,110,103,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,97,116,111,114,87,105,110,100,105,110,103,32,43,32,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,82,111,116,111,114,87,105,110,100,105,110,103,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,54,50,34,32,108,105,110,101,69,110,100,61,34,49,51,54,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,52,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,83,116,97,116,111,114,87,105,110,100,105,110,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,32,43,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,32,43,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,56,52,34,32,108,105,110,101,69,110,100,61,34,57,56,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,52,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,84,111,116,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,82,111,116,111,114,87,105,110,100,105,110,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,83,116,97,116,111,114,87,105,110,100,105,110,103,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,83,116,97,116,111,114,87,105,110,100,105,110,103,32,43,32,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,82,111,116,111,114,87,105,110,100,105,110,103,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,49,55,57,34,32,108,105,110,101,69,110,100,61,34,49,50,49,56,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,52,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,48,46,51,49,56,51,48,57,56,56,54,49,56,51,55,57,49,32,42,32,97,105,109,99,51,46,105,115,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,52,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6625320);
/* memory initializer */ allocate([10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,114,101,32,43,32,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,114,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,52,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,46,114,101,41,32,45,32,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,52,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,82,95,109,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,45,49,46,53,55,48,55,57,54,51,50,54,55,57,52,56,57,55,32,42,32,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,44,32,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,82,95,109,46,100,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,55,34,32,108,105,110,101,69,110,100,61,34,52,48,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,52,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,48,46,53,53,49,51,50,56,56,57,53,52,50,49,55,57,49,57,32,42,32,97,105,109,99,51,46,105,115,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,52,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,105,109,41,32,45,32,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,105,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,52,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,114,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,41,32,42,32,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,105,109,32,43,32,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,32,42,32,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,114,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,57,51,34,32,108,105,110,101,69,110,100,61,34,53,55,57,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,53,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,114,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,114,114,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,48,57,54,54,48,55,52,53,51,49,50,56,54,50,55,55,49,32,42,32,40,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,114,114,46,105,109,32,43,32,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,114,46,105,109,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,57,56,34,32,108,105,110,101,69,110,100,61,34,53,55,57,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,53,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,114,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,32,42,32,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,114,101,32,45,32,40,45,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,41,32,42,32,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,105,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,57,51,34,32,108,105,110,101,69,110,100,61,34,53,55,57,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,53,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,114,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,114,114,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,48,57,54,54,48,55,52,53,51,49,50,56,54,50,55,55,49,32,42,32,40,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,114,114,46,114,101,32,43,32,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,114,46,114,101,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,57,55,34,32,108,105,110,101,69,110,100,61,34,53,55,57,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,53,51,34,62,10,32,32,32,32,60,108,105,110,101,97,114,32,115,105,122,101,61,34,50,34,32,110,110,122,61,34,52,34,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,114,111,119,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,99,101,108,108,62,10,32,32,32,32,32,32,60,47,114,111,119,62,10,32,32,32,32,32,32,60,109,97,116,114,105,120,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,32,114,111,119,61,34,48,34,32,99,111,108,61,34,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,114,101,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,56,48,34,32,108,105,110,101,69,110,100,61,34,53,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,48,34,32,99,111,108,61,34,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,105,109,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,56,48,34,32,108,105,110,101,69,110,100,61,34,53,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,34,32,99,111,108,61,34,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,105,109,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,56,48,34,32,108,105,110,101,69,110,100,61,34,53,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,34,32,99,111,108,61,34,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,114,101,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,56,48,34,32,108,105,110,101,69,110,100,61,34,53,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,10,32,32,32,32,32,32,60,47,109,97,116,114,105,120,62,10,32,32,32,32,60,47,108,105,110,101,97,114,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,53,52,34,62,10,32,32,32,32,60,108,105,110,101,97,114,32,115,105,122,101,61,34,52,57,34,32,110,110,122,61,34,49,50,54,34,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,46,114,101,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,105,115,91,49,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,105,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,105,115,91,51,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,114,101,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,114,101,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6635560);
/* memory initializer */ allocate([108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,118,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,105,48,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,105,115,91,50,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,105,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,105,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,114,101,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,114,101,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,114,114,46,105,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,105,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,46,105,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,46,105,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,46,105,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,46,114,101,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,114,114,46,114,101,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,114,46,114,101,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,105,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,105,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,114,101,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,114,101,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,114,46,105,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,41,34,32,47,62,10,32,32,32,32,32,32,60,114,111,119,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,40,45,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,114,101,41,32,42,32,36,68,69,82,46,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,105,109,32,43,32,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,105,109,32,42,32,36,68,69,82,46,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,114,101,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,40,45,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,41,32,42,32,36,68,69,82,46,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,105,109,32,43,32,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,32,42,32,36,68,69,82,46,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,114,101,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,114,101,32,42,32,36,68,69,82,46,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,114,101,32,43,32,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,105,109,32,42,32,36,68,69,82,46,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,105,109,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,32,42,32,36,68,69,82,46,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,114,101,32,43,32,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,32,42,32,36,68,69,82,46,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,105,109,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,118,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,118,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,118,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,60,47,114,111,119,62,10,32,32,32,32,32,32,60,109,97,116,114,105,120,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,32,114,111,119,61,34,48,34,32,99,111,108,61,34,52,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,114,101,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,56,48,34,32,108,105,110,101,69,110,100,61,34,53,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,48,34,32,99,111,108,61,34,52,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,105,109,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,56,48,34,32,108,105,110,101,69,110,100,61,34,53,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,48,34,32,99,111,108,61,34,52,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,56,48,34,32,108,105,110,101,69,110,100,61,34,53,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,34,32,99,111,108,61,34,50,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,53,55,48,55,57,54,51,50,54,55,57,52,56,57,55,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,57,56,34,32,108,105,110,101,69,110,100,61,34,53,55,57,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,34,32,99,111,108,61,34,52,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,53,55,48,55,57,54,51,50,54,55,57,52,56,57,55,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,57,56,34,32,108,105,110,101,69,110,100,61,34,53,55,57,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,34,32,99,111,108,61,34,52,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,54,50,46,53,57,53,55,55,48,52,48,49,50,49,57,57,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,57,56,34,32,108,105,110,101,69,110,100,61,34,53,55,57,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,34,32,99,111,108,61,34,52,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,114,101,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,57,51,34,32,108,105,110,101,69,110,100,61,34,53,55,57,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,34,32,99,111,108,61,34,52,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,105,109,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,57,51,34,32,108,105,110,101,69,110,100,61,34,53,55,57,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,34,32,99,111,108,61,34,52,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,57,51,34,32,108,105,110,101,69,110,100,61,34,53,55,57,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,34,32,99,111,108,61,34,52,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,82,95,109,46,100,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,55,34,32,108,105,110,101,69,110,100,61,34,52,48,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,34,32,99,111,108,61,34,52,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,53,55,48,55,57,54,51,50,54,55,57,52,56,57,55,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,55,34,32,108,105,110,101,69,110,100,61,34,52,48,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,34,32,99,111,108,61,34,49,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,51,55,34,32,108,105,110,101,69,110,100,61,34,53,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,59,60,47,112,97,114,116,45,111,102,62,60], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6645800);
/* memory initializer */ allocate([112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,99,111,110,110,101,99,116,45,101,113,117,97,116,105,111,110,32,47,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,34,32,99,111,108,61,34,52,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,51,55,34,32,108,105,110,101,69,110,100,61,34,53,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,99,111,110,110,101,99,116,45,101,113,117,97,116,105,111,110,32,47,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,34,32,99,111,108,61,34,52,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,51,55,34,32,108,105,110,101,69,110,100,61,34,53,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,99,111,110,110,101,99,116,45,101,113,117,97,116,105,111,110,32,47,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,53,34,32,99,111,108,61,34,51,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,56,48,34,32,108,105,110,101,69,110,100,61,34,53,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,53,34,32,99,111,108,61,34,52,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,105,109,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,56,48,34,32,108,105,110,101,69,110,100,61,34,53,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,53,34,32,99,111,108,61,34,52,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,114,101,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,56,48,34,32,108,105,110,101,69,110,100,61,34,53,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,54,34,32,99,111,108,61,34,49,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,51,55,34,32,108,105,110,101,69,110,100,61,34,53,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,99,111,110,110,101,99,116,45,101,113,117,97,116,105,111,110,32,47,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,54,34,32,99,111,108,61,34,52,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,51,55,34,32,108,105,110,101,69,110,100,61,34,53,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,99,111,110,110,101,99,116,45,101,113,117,97,116,105,111,110,32,47,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,54,34,32,99,111,108,61,34,52,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,51,55,34,32,108,105,110,101,69,110,100,61,34,53,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,99,111,110,110,101,99,116,45,101,113,117,97,116,105,111,110,32,47,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,55,34,32,99,111,108,61,34,52,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,53,55,48,55,57,54,51,50,54,55,57,52,56,57,55,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,56,34,32,108,105,110,101,69,110,100,61,34,52,48,50,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,55,34,32,99,111,108,61,34,52,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,82,95,109,46,113,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,56,34,32,108,105,110,101,69,110,100,61,34,52,48,50,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,56,34,32,99,111,108,61,34,52,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,57,51,34,32,108,105,110,101,69,110,100,61,34,53,55,57,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,56,34,32,99,111,108,61,34,52,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,105,109,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,57,51,34,32,108,105,110,101,69,110,100,61,34,53,55,57,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,56,34,32,99,111,108,61,34,52,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,114,101,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,57,51,34,32,108,105,110,101,69,110,100,61,34,53,55,57,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,57,34,32,99,111,108,61,34,51,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,54,50,46,53,57,53,55,55,48,52,48,49,50,49,57,57,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,57,55,34,32,108,105,110,101,69,110,100,61,34,53,55,57,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,57,34,32,99,111,108,61,34,51,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,53,55,48,55,57,54,51,50,54,55,57,52,56,57,55,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,57,55,34,32,108,105,110,101,69,110,100,61,34,53,55,57,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,57,34,32,99,111,108,61,34,52,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,53,55,48,55,57,54,51,50,54,55,57,52,56,57,55,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,57,55,34,32,108,105,110,101,69,110,100,61,34,53,55,57,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,48,34,32,99,111,108,61,34,50,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,48,34,32,99,111,108,61,34,51,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,48,34,32,99,111,108,61,34,51,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6656040);
/* memory initializer */ allocate([105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,49,34,32,99,111,108,61,34,50,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,49,34,32,99,111,108,61,34,51,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,49,34,32,99,111,108,61,34,51,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,50,34,32,99,111,108,61,34,51,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,48,46,54,51,54,54,49,57,55,55,50,51,54,55,53,56,49,52,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,50,34,32,99,111,108,61,34,51,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,51,34,32,99,111,108,61,34,51,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,56,34,32,108,105,110,101,69,110,100,61,34,51,51,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,51,34,32,99,111,108,61,34,51,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,46,76,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,56,34,32,108,105,110,101,69,110,100,61,34,51,51,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,52,34,32,99,111,108,61,34,51,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,52,34,32,99,111,108,61,34,51,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,52,34,32,99,111,108,61,34,51,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,53,34,32,99,111,108,61,34,51,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,53,34,32,99,111,108,61,34,51,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,54,34,32,99,111,108,61,34,51,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,54,34,32,99,111,108,61,34,51,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,55,34,32,99,111,108,61,34,50,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,55,34,32,99,111,108,61,34,51,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,55,34,32,99,111,108,61,34,51,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,56,34,32,99,111,108,61,34,51,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,48,46,53,48,48,48,48,48,48,48,48,48,48,48,48,48,48,52,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,50,52,34,32,108,105,110,101,69,110,100,61,34,52,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,56,34,32,99,111,108,61,34,51,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,50,52,34,32,108,105,110,101,69,110,100,61,34,52,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,56,34,32,99,111,108,61,34,52,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,48,46,56,54,54,48,50,53,52,48,51,55,56,52,52,51,56,52,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,50,52,34,32,108,105,110,101,69,110,100,61,34,52,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,57,34,32,99,111,108,61,34,50,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,50,52,34,32,108,105,110,101,69,110,100,61,34,52,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,57,34,32,99,111,108,61,34,51,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,48,46,52,57,57,57,57,57,57,57,57,57,57,57,57,57,57,56,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,50,52,34,32,108,105,110,101,69,110,100,61,34,52,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6666280);
/* memory initializer */ allocate([110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,57,34,32,99,111,108,61,34,52,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,48,46,56,54,54,48,50,53,52,48,51,55,56,52,52,51,56,55,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,50,52,34,32,108,105,110,101,69,110,100,61,34,52,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,48,34,32,99,111,108,61,34,49,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,48,34,32,99,111,108,61,34,50,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,48,34,32,99,111,108,61,34,50,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,49,34,32,99,111,108,61,34,50,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,46,76,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,56,34,32,108,105,110,101,69,110,100,61,34,51,51,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,49,34,32,99,111,108,61,34,50,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,56,34,32,108,105,110,101,69,110,100,61,34,51,51,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,50,34,32,99,111,108,61,34,50,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,51,34,32,108,105,110,101,69,110,100,61,34,53,51,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,50,34,32,99,111,108,61,34,50,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,51,34,32,108,105,110,101,69,110,100,61,34,53,51,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,50,34,32,99,111,108,61,34,51,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,51,34,32,108,105,110,101,69,110,100,61,34,53,51,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,51,34,32,99,111,108,61,34,50,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,51,34,32,99,111,108,61,34,50,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,48,46,53,53,49,51,50,56,56,57,53,52,50,49,55,57,49,57,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,52,34,32,99,111,108,61,34,50,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,52,34,32,99,111,108,61,34,50,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,52,34,32,99,111,108,61,34,50,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,53,34,32,99,111,108,61,34,50,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,56,34,32,108,105,110,101,69,110,100,61,34,51,51,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,53,34,32,99,111,108,61,34,50,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,46,76,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,56,34,32,108,105,110,101,69,110,100,61,34,51,51,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,54,34,32,99,111,108,61,34,50,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,54,34,32,99,111,108,61,34,50,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,48,46,51,49,56,51,48,57,56,56,54,49,56,51,55,57,49,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,55,34,32,99,111,108,61,34,50,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,55,34,32,99,111,108,61,34,50,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,48,46,51,49,56,51,48,57,56,56,54,49,56,51,55,57,48,53,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,56,34,32,99,111,108,61,34,50,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,56,34,32,99,111,108,61,34,50,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,48,46,53,53,49,51,50,56,56,57,53,52,50,49,55,57,50,49,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6676520);
/* memory initializer */ allocate([117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,57,34,32,99,111,108,61,34,49,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,57,34,32,99,111,108,61,34,51,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,48,34,32,99,111,108,61,34,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,48,34,32,99,111,108,61,34,49,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,48,34,32,99,111,108,61,34,52,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,49,34,32,99,111,108,61,34,49,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,48,46,53,53,49,51,50,56,56,57,53,52,50,49,55,57,50,49,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,49,34,32,99,111,108,61,34,49,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,50,34,32,99,111,108,61,34,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,57,48,34,32,108,105,110,101,69,110,100,61,34,49,48,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,50,34,32,99,111,108,61,34,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,57,48,34,32,108,105,110,101,69,110,100,61,34,49,48,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,50,34,32,99,111,108,61,34,49,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,51,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,57,48,34,32,108,105,110,101,69,110,100,61,34,49,48,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,50,34,32,99,111,108,61,34,49,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,57,48,34,32,108,105,110,101,69,110,100,61,34,49,48,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,51,34,32,99,111,108,61,34,49,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,57,49,34,32,108,105,110,101,69,110,100,61,34,49,48,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,51,34,32,99,111,108,61,34,49,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,76,122,101,114,111,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,57,49,34,32,108,105,110,101,69,110,100,61,34,49,48,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,52,34,32,99,111,108,61,34,49,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,52,34,32,99,111,108,61,34,49,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,53,34,32,99,111,108,61,34,49,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,53,34,32,99,111,108,61,34,49,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,53,34,32,99,111,108,61,34,49,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,54,34,32,99,111,108,61,34,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,54,34,32,99,111,108,61,34,49,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,54,34,32,99,111,108,61,34,49,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6686760);
/* memory initializer */ allocate([32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,55,34,32,99,111,108,61,34,49,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,48,46,52,57,57,57,57,57,57,57,57,57,57,57,57,57,57,56,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,50,52,34,32,108,105,110,101,69,110,100,61,34,52,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,55,34,32,99,111,108,61,34,49,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,48,46,56,54,54,48,50,53,52,48,51,55,56,52,52,51,56,55,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,50,52,34,32,108,105,110,101,69,110,100,61,34,52,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,55,34,32,99,111,108,61,34,49,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,50,52,34,32,108,105,110,101,69,110,100,61,34,52,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,56,34,32,99,111,108,61,34,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,50,52,34,32,108,105,110,101,69,110,100,61,34,52,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,56,34,32,99,111,108,61,34,49,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,48,46,53,48,48,48,48,48,48,48,48,48,48,48,48,48,48,52,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,50,52,34,32,108,105,110,101,69,110,100,61,34,52,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,56,34,32,99,111,108,61,34,49,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,48,46,56,54,54,48,50,53,52,48,51,55,56,52,52,51,56,52,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,50,52,34,32,108,105,110,101,69,110,100,61,34,52,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,57,34,32,99,111,108,61,34,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,57,34,32,99,111,108,61,34,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,57,34,32,99,111,108,61,34,49,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,48,34,32,99,111,108,61,34,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,48,34,32,99,111,108,61,34,49,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,49,34,32,99,111,108,61,34,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,49,34,32,99,111,108,61,34,49,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,50,34,32,99,111,108,61,34,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,50,34,32,99,111,108,61,34,49,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,48,46,51,49,56,51,48,57,56,56,54,49,56,51,55,57,48,53,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,51,34,32,99,111,108,61,34,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,51,34,32,99,111,108,61,34,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,51,34,32,99,111,108,61,34,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,52,34,32,99,111,108,61,34,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,48,46,51,49,56,51,48,57,56,56,54,49,56,51,55,57,49,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,52,34,32,99,111,108,61,34,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,53,34,32,99,111,108,61,34,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6697000);
/* memory initializer */ allocate([97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,53,34,32,99,111,108,61,34,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,48,46,53,53,49,51,50,56,56,57,53,52,50,49,55,57,49,57,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,54,34,32,99,111,108,61,34,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,51,34,32,108,105,110,101,69,110,100,61,34,53,51,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,54,34,32,99,111,108,61,34,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,51,34,32,108,105,110,101,69,110,100,61,34,53,51,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,54,34,32,99,111,108,61,34,49,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,51,34,32,108,105,110,101,69,110,100,61,34,53,51,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,55,34,32,99,111,108,61,34,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,55,34,32,99,111,108,61,34,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,48,46,54,51,54,54,49,57,55,55,50,51,54,55,53,56,49,52,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,56,34,32,99,111,108,61,34,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,56,34,32,99,111,108,61,34,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,56,34,32,99,111,108,61,34,52,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,10,32,32,32,32,32,32,60,47,109,97,116,114,105,120,62,10,32,32,32,32,60,47,108,105,110,101,97,114,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,53,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,118,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,32,45,32,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,55,34,32,108,105,110,101,69,110,100,61,34,52,50,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,53,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,118,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,32,45,32,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,55,34,32,108,105,110,101,69,110,100,61,34,52,50,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,53,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,118,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,32,45,32,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,55,34,32,108,105,110,101,69,110,100,61,34,52,50,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,53,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,118,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,32,45,32,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,50,54,34,32,108,105,110,101,69,110,100,61,34,54,55,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,53,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,118,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,32,45,32,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,50,54,34,32,108,105,110,101,69,110,100,61,34,54,55,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,54,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,118,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,32,45,32,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,50,54,34,32,108,105,110,101,69,110,100,61,34,54,55,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,54,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,112,111,119,101,114,83,116,97,116,111,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,118,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,118,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,118,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,118,115,91,49,93,32,42,32,97,105,109,99,51,46,105,115,91,49,93,32,43,32,97,105,109,99,51,46,118,115,91,50,93,32,42,32,97,105,109,99,51,46,105,115,91,50,93,32,43,32,97,105,109,99,51,46,118,115,91,51,93,32,42,32,97,105,109,99,51,46,105,115,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,53,56,34,32,108,105,110,101,69,110,100,61,34,49,51,54,53,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,54,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,118,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,32,45,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,54,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,118,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6707240);
/* memory initializer */ allocate([91,50,93,46,118,32,45,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,54,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,118,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,32,45,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,54,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,118,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,51,93,32,45,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,54,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,118,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,49,93,32,45,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,54,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,118,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,50,93,32,45,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,54,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,116,97,117,69,108,101,99,116,114,105,99,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,49,46,53,55,48,55,57,54,51,50,54,55,57,52,56,57,55,32,42,32,47,42,82,101,97,108,42,47,40,97,105,109,99,51,46,97,105,114,71,97,112,46,112,41,32,42,32,40,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,105,109,32,42,32,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,32,45,32,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,114,101,32,42,32,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,48,48,34,32,108,105,110,101,69,110,100,61,34,53,56,48,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,54,57,34,62,10,32,32,32,32,60,108,105,110,101,97,114,32,115,105,122,101,61,34,50,34,32,110,110,122,61,34,52,34,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,116,97,117,83,104,97,102,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,108,111,97,100,73,110,101,114,116,105,97,51,46,97,34,32,47,62,10,32,32,32,32,32,32,60,114,111,119,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,97,105,109,99,51,46,116,97,117,69,108,101,99,116,114,105,99,97,108,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,116,97,117,60,47,99,101,108,108,62,10,32,32,32,32,32,32,60,47,114,111,119,62,10,32,32,32,32,32,32,60,109,97,116,114,105,120,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,32,114,111,119,61,34,48,34,32,99,111,108,61,34,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,49,57,34,32,108,105,110,101,69,110,100,61,34,50,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,48,34,32,99,111,108,61,34,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,74,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,49,57,34,32,108,105,110,101,69,110,100,61,34,50,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,34,32,99,111,108,61,34,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,49,57,34,32,108,105,110,101,69,110,100,61,34,50,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,108,111,97,100,73,110,101,114,116,105,97,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,34,32,99,111,108,61,34,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,108,111,97,100,73,110,101,114,116,105,97,51,46,74,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,49,57,34,32,108,105,110,101,69,110,100,61,34,50,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,108,111,97,100,73,110,101,114,116,105,97,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,10,32,32,32,32,32,32,60,47,109,97,116,114,105,120,62,10,32,32,32,32,60,47,108,105,110,101,97,114,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,55,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,112,111,119,101,114,73,110,101,114,116,105,97,82,111,116,111,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,108,111,97,100,73,110,101,114,116,105,97,51,46,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,74,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,74,32,42,32,108,111,97,100,73,110,101,114,116,105,97,51,46,97,32,42,32,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,54,49,34,32,108,105,110,101,69,110,100,61,34,49,51,54,54,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,55,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,108,111,97,100,73,110,101,114,116,105,97,51,46,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,108,111,97,100,73,110,101,114,116,105,97,51,46,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,49,56,34,32,108,105,110,101,69,110,100,61,34,50,51,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,55,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,112,111,119,101,114,77,101,99,104,97,110,105,99,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,116,97,117,83,104,97,102,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,32,42,32,97,105,109,99,51,46,116,97,117,83,104,97,102,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,53,57,34,32,108,105,110,101,69,110,100,61,34,49,51,54,53,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,55,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,114,101,32,45,32,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,114,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,51,55,34,32,108,105,110,101,69,110,100,61,34,53,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,99,111,110,110,101,99,116,45,101,113,117,97,116,105,111,110,32,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,55,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,114,101,41,32,45,32,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,52,55,34,32,108,105,110,101,69,110,100,61,34,53,54,53,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,99,111,110,110,101,99,116,45,101,113,117,97,116,105,111,110,32,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,55,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6717480);
/* memory initializer */ allocate([101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,105,109,99,51,46,115,116,97,116,111,114,46,112,111,114,116,95,110,46,80,104,105,46,114,101,41,32,45,32,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,114,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,53,54,52,34,32,108,105,110,101,69,110,100,61,34,54,53,57,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,115,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,55,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,82,95,109,46,113,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,45,49,46,53,55,48,55,57,54,51,50,54,55,57,52,56,57,55,32,42,32,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,44,32,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,82,95,109,46,113,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,56,34,32,108,105,110,101,69,110,100,61,34,52,48,50,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,55,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,105,109,32,45,32,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,105,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,51,55,34,32,108,105,110,101,69,110,100,61,34,53,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,99,111,110,110,101,99,116,45,101,113,117,97,116,105,111,110,32,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,55,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,105,109,41,32,45,32,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,52,55,34,32,108,105,110,101,69,110,100,61,34,53,54,53,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,99,111,110,110,101,99,116,45,101,113,117,97,116,105,111,110,32,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,55,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,105,109,99,51,46,115,116,97,116,111,114,46,112,111,114,116,95,110,46,80,104,105,46,105,109,41,32,45,32,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,105,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,53,54,52,34,32,108,105,110,101,69,110,100,61,34,54,53,57,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,115,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,56,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,105,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,97,105,109,99,51,46,105,115,91,50,93,32,45,32,40,45,97,105,109,99,51,46,105,115,91,51,93,41,32,45,32,97,105,109,99,51,46,105,115,91,49,93,41,32,47,32,51,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,57,48,34,32,108,105,110,101,69,110,100,61,34,49,48,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,56,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,84,114,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,84,114,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,84,114,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,51,53,34,32,108,105,110,101,69,110,100,61,34,52,53,51,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,56,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,84,114,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,84,114,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,55,52,34,32,108,105,110,101,69,110,100,61,34,53,56,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,56,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,56,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,56,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,56,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,56,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,114,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6727720);
/* memory initializer */ allocate([116,111,114,67,97,103,101,46,84,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,56,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,56,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,57,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,95,114,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,57,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,57,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,95,114,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,57,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,57,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,95,114,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,57,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,84,79,112,101,114,97,116,105,111,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,84,114,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,84,114,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,56,52,34,32,108,105,110,101,69,110,100,61,34,53,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,57,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,111,114,105,101,110,116,97,116,105,111,110,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,70,117,110,99,116,105,111,110,115,46,115,121,109,109,101,116,114,105,99,79,114,105,101,110,116,97,116,105,111,110,40,51,41,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,49,34,32,108,105,110,101,69,110,100,61,34,52,51,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,57,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,111,114,105,101,110,116,97,116,105,111,110,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,70,117,110,99,116,105,111,110,115,46,115,121,109,109,101,116,114,105,99,79,114,105,101,110,116,97,116,105,111,110,40,51,41,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,49,34,32,108,105,110,101,69,110,100,61,34,52,51,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6737960);
/* memory initializer */ allocate([101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,57,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,111,114,105,101,110,116,97,116,105,111,110,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,70,117,110,99,116,105,111,110,115,46,115,121,109,109,101,116,114,105,99,79,114,105,101,110,116,97,116,105,111,110,40,51,41,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,49,34,32,108,105,110,101,69,110,100,61,34,52,51,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,57,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,101,102,102,101,99,116,105,118,101,83,116,97,116,111,114,84,117,114,110,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,101,102,102,101,99,116,105,118,101,83,116,97,116,111,114,84,117,114,110,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,56,56,34,32,108,105,110,101,69,110,100,61,34,53,56,56,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,48,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,48,34,32,108,105,110,101,69,110,100,61,34,52,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,48,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,48,34,32,108,105,110,101,69,110,100,61,34,52,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,48,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,48,34,32,108,105,110,101,69,110,100,61,34,52,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,48,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,108,112,104,97,50,48,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,97,108,112,104,97,50,48,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,97,108,112,104,97,50,48,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,51,56,34,32,108,105,110,101,69,110,100,61,34,52,53,52,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,50,48,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,48,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,97,108,112,104,97,50,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,108,112,104,97,50,48,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,97,108,112,104,97,50,48,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,55,54,34,32,108,105,110,101,69,110,100,61,34,53,56,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,50,48,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,48,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,76,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,102,115,78,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,50,46,56,57,56,50,50,51,53,57,51,56,53,56,56,51,49,44,32,97,105,109,99,68,97,116,97,46,102,115,78,111,109,105,110,97,108,32,42,32,54,46,50,56,51,49,56,53,51,48,55,49,55,57,53,56,54,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,57,51,57,34,32,108,105,110,101,69,110,100,61,34,49,52,57,52,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,48,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,76,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,76,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,76,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,53,34,32,108,105,110,101,69,110,100,61,34,52,53,50,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,48,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,76,48,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,101,102,102,101,99,116,105,118,101,83,116,97,116,111,114,84,117,114,110,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,76,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,50,46,48,32,42,32,68,73,86,73,83,73,79,78,40,97,105,109,99,51,46,76,109,44,32,97,105,109,99,51,46,101,102,102,101,99,116,105,118,101,83,116,97,116,111,114,84,117,114,110,115,32,94,32,50,46,48,32,42,32,51,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,50,51,34,32,108,105,110,101,69,110,100,61,34,55,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,76,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,84,121,112,101,115,46,83,97,108,105,101,110,116,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,48,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,76,48,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,76,48,46,100,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,76,48,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,50,51,34,32,108,105,110,101,69,110,100,61,34,55,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,76,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,84,121,112,101,115,46,83,97,108,105,101,110,116,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,48,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,76,48,46,113,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,101,102,102,101,99,116,105,118,101,83,116,97,116,111,114,84,117,114,110,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,76,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,50,46,48,32,42,32,68,73,86,73,83,73,79,78,40,97,105,109,99,51,46,76,109,44,32,97,105,109,99,51,46,101,102,102,101,99,116,105,118,101,83,116,97,116,111,114,84,117,114,110,115,32,94,32,50,46,48,32,42,32,51,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,50,52,34,32,108,105,110,101,69,110,100,61,34,55,48,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,76,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,84,121,112,101,115,46,83,97,108,105,101,110,116,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6748200);
/* memory initializer */ allocate([32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,49,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,76,48,46,113,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,76,48,46,113,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,76,48,46,113,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,50,52,34,32,108,105,110,101,69,110,100,61,34,55,48,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,76,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,84,121,112,101,115,46,83,97,108,105,101,110,116,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,49,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,76,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,76,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,54,54,54,54,54,54,54,54,54,54,54,54,54,54,55,32,42,32,97,105,109,99,68,97,116,97,46,76,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,53,34,32,108,105,110,101,69,110,100,61,34,52,53,50,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,49,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,76,48,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,101,102,102,101,99,116,105,118,101,83,116,97,116,111,114,84,117,114,110,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,76,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,52,32,42,32,68,73,86,73,83,73,79,78,40,97,105,109,99,77,46,76,109,44,32,97,105,109,99,77,46,101,102,102,101,99,116,105,118,101,83,116,97,116,111,114,84,117,114,110,115,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,50,51,34,32,108,105,110,101,69,110,100,61,34,55,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,76,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,84,121,112,101,115,46,83,97,108,105,101,110,116,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,49,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,76,48,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,76,48,46,100,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,76,48,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,50,51,34,32,108,105,110,101,69,110,100,61,34,55,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,76,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,84,121,112,101,115,46,83,97,108,105,101,110,116,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,49,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,76,48,46,113,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,101,102,102,101,99,116,105,118,101,83,116,97,116,111,114,84,117,114,110,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,76,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,52,32,42,32,68,73,86,73,83,73,79,78,40,97,105,109,99,77,46,76,109,44,32,97,105,109,99,77,46,101,102,102,101,99,116,105,118,101,83,116,97,116,111,114,84,117,114,110,115,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,50,52,34,32,108,105,110,101,69,110,100,61,34,55,48,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,76,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,84,121,112,101,115,46,83,97,108,105,101,110,116,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,49,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,76,48,46,113,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,76,48,46,113,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,76,48,46,113,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,50,52,34,32,108,105,110,101,69,110,100,61,34,55,48,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,76,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,84,121,112,101,115,46,83,97,108,105,101,110,116,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,49,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,84,115,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,84,115,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,84,115,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,55,49,34,32,108,105,110,101,69,110,100,61,34,54,54,55,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,49,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,84,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,84,115,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,84,115,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,54,49,34,32,108,105,110,101,69,110,100,61,34,53,53,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,49,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,84,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,84,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,49,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,95,114,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,50,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,84,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,84,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,50,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,95,114,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6758440);
/* memory initializer */ allocate([117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,50,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,84,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,84,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,50,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,95,114,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,50,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,84,79,112,101,114,97,116,105,111,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,84,115,79,112,101,114,97,116,105,111,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,84,115,79,112,101,114,97,116,105,111,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,55,49,34,32,108,105,110,101,69,110,100,61,34,53,53,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,50,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,84,79,112,101,114,97,116,105,111,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,84,79,112,101,114,97,116,105,111,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,50,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,50,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,84,79,112,101,114,97,116,105,111,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,84,79,112,101,114,97,116,105,111,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,50,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,50,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,84,79,112,101,114,97,116,105,111,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,84,79,112,101,114,97,116,105,111,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,51,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,51,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,111,114,105,101,110,116,97,116,105,111,110,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,70,117,110,99,116,105,111,110,115,46,115,121,109,109,101,116,114,105,99,79,114,105,101,110,116,97,116,105,111,110,40,51,41,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,49,34,32,108,105,110,101,69,110,100,61,34,52,51,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,51,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,111,114,105,101,110,116,97,116,105,111,110,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,70,117,110,99,116,105,111,110,115,46,115,121,109,109,101,116,114,105,99,79,114,105,101,110,116,97,116,105,111,110,40,51,41,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,49,34,32,108,105,110,101,69,110,100,61,34,52,51,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6768680);
/* memory initializer */ allocate([101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,51,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,111,114,105,101,110,116,97,116,105,111,110,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,70,117,110,99,116,105,111,110,115,46,115,121,109,109,101,116,114,105,99,79,114,105,101,110,116,97,116,105,111,110,40,51,41,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,49,34,32,108,105,110,101,69,110,100,61,34,52,51,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,51,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,108,112,104,97,50,48,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,97,108,112,104,97,50,48,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,97,108,112,104,97,50,48,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,55,52,34,32,108,105,110,101,69,110,100,61,34,54,54,55,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,50,48,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,51,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,97,108,112,104,97,50,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,108,112,104,97,50,48,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,97,108,112,104,97,50,48,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,54,51,34,32,108,105,110,101,69,110,100,61,34,53,53,54,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,50,48,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,51,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,55,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,51,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,55,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,51,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,102,115,78,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,54,46,50,56,51,49,56,53,51,48,55,49,55,57,53,56,54,32,42,32,68,73,86,73,83,73,79,78,40,97,105,109,99,68,97,116,97,46,102,115,78,111,109,105,110,97,108,44,32,47,42,82,101,97,108,42,47,40,97,105,109,99,68,97,116,97,46,112,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,53,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,51,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,53,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,52,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,53,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,52,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,53,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,52,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,53,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,52,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,73,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,73,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,73,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,51,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,52,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,73,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,73,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,73,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6778920);
/* memory initializer */ allocate([97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,51,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,52,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,49,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,52,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,49,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,52,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,54,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,52,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,54,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,52,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,102,115,78,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,54,46,50,56,51,49,56,53,51,48,55,49,55,57,53,56,54,32,42,32,68,73,86,73,83,73,79,78,40,97,105,109,99,68,97,116,97,46,102,115,78,111,109,105,110,97,108,44,32,47,42,82,101,97,108,42,47,40,97,105,109,99,68,97,116,97,46,112,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,52,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,53,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,52,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,53,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,52,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,53,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,52,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,53,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,52,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,53,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,50,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,53,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,50,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6789160);
/* memory initializer */ allocate([10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,53,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,74,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,74,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,74,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,56,57,54,34,32,108,105,110,101,69,110,100,61,34,49,52,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,53,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,74,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,74,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,74,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,53,55,34,32,108,105,110,101,69,110,100,61,34,54,54,53,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,53,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,74,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,74,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,74,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,48,34,32,108,105,110,101,69,110,100,61,34,50,51,48,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,101,114,116,105,97,83,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,53,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,74,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,74,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,74,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,53,55,34,32,108,105,110,101,69,110,100,61,34,54,54,53,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,54,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,74,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,74,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,74,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,48,34,32,108,105,110,101,69,110,100,61,34,50,51,48,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,54,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,102,115,78,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,54,46,50,56,51,49,56,53,51,48,55,49,55,57,53,56,54,32,42,32,97,105,109,99,68,97,116,97,46,102,115,78,111,109,105,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,51,56,34,32,108,105,110,101,69,110,100,61,34,49,49,51,51,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,54,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,51,56,34,32,108,105,110,101,69,110,100,61,34,49,49,51,51,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,54,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,51,56,34,32,108,105,110,101,69,110,100,61,34,49,49,51,51,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,54,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,86,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,86,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,86,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,51,54,34,32,108,105,110,101,69,110,100,61,34,49,49,51,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,54,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,51,52,34,32,108,105,110,101,69,110,100,61,34,49,49,51,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,54,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,102,115,78,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,102,115,78,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,102,115,78,111,109,105,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,54,51,34,32,108,105,110,101,69,110,100,61,34,54,54,54,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,54,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,46,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,51,46,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,116,101,114,109,105,110,97,108,66,111,120,51,46,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,50,49,34,32,108,105,110,101,69,110,100,61,34,53,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,54,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,109,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,100,101,97,108,67,108,111,115,101,114,51,46,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,56,54,34,32,108,105,110,101,69,110,100,61,34,51,50,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,54,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,84,114,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,84,114,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,84,114,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,51,53,34,32,108,105,110,101,69,110,100,61,34,52,53,51,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6799400);
/* memory initializer */ allocate([46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,55,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,84,114,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,84,114,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,55,52,34,32,108,105,110,101,69,110,100,61,34,53,56,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,55,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,55,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,55,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,55,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,55,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,55,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,55,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,55,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,52,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,55,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,56,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,53,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6809640);
/* memory initializer */ allocate([76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,56,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,56,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,95,114,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,56,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,56,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,95,114,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,56,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,56,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,95,114,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,56,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,56,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,84,95,114,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,52,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,56,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,57,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,84,95,114,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,53,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,57,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,84,79,112,101,114,97,116,105,111,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,84,114,82,101,102,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6819880);
/* memory initializer */ allocate([32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,84,114,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,56,52,34,32,108,105,110,101,69,110,100,61,34,53,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,57,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,111,114,105,101,110,116,97,116,105,111,110,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,70,117,110,99,116,105,111,110,115,46,115,121,109,109,101,116,114,105,99,79,114,105,101,110,116,97,116,105,111,110,40,53,41,91,53,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,49,34,32,108,105,110,101,69,110,100,61,34,52,51,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,57,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,111,114,105,101,110,116,97,116,105,111,110,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,70,117,110,99,116,105,111,110,115,46,115,121,109,109,101,116,114,105,99,79,114,105,101,110,116,97,116,105,111,110,40,53,41,91,52,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,49,34,32,108,105,110,101,69,110,100,61,34,52,51,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,57,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,111,114,105,101,110,116,97,116,105,111,110,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,70,117,110,99,116,105,111,110,115,46,115,121,109,109,101,116,114,105,99,79,114,105,101,110,116,97,116,105,111,110,40,53,41,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,49,34,32,108,105,110,101,69,110,100,61,34,52,51,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,57,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,111,114,105,101,110,116,97,116,105,111,110,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,70,117,110,99,116,105,111,110,115,46,115,121,109,109,101,116,114,105,99,79,114,105,101,110,116,97,116,105,111,110,40,53,41,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,49,34,32,108,105,110,101,69,110,100,61,34,52,51,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,57,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,111,114,105,101,110,116,97,116,105,111,110,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,70,117,110,99,116,105,111,110,115,46,115,121,109,109,101,116,114,105,99,79,114,105,101,110,116,97,116,105,111,110,40,53,41,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,49,34,32,108,105,110,101,69,110,100,61,34,52,51,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,57,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,101,102,102,101,99,116,105,118,101,83,116,97,116,111,114,84,117,114,110,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,101,102,102,101,99,116,105,118,101,83,116,97,116,111,114,84,117,114,110,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,56,56,34,32,108,105,110,101,69,110,100,61,34,53,56,56,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,57,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,48,34,32,108,105,110,101,69,110,100,61,34,52,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,57,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,48,34,32,108,105,110,101,69,110,100,61,34,52,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,48,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,48,34,32,108,105,110,101,69,110,100,61,34,52,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,48,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,48,34,32,108,105,110,101,69,110,100,61,34,52,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,48,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6830120);
/* memory initializer */ allocate([101,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,48,34,32,108,105,110,101,69,110,100,61,34,52,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,48,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,108,112,104,97,50,48,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,97,108,112,104,97,50,48,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,97,108,112,104,97,50,48,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,51,56,34,32,108,105,110,101,69,110,100,61,34,52,53,52,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,50,48,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,48,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,97,108,112,104,97,50,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,108,112,104,97,50,48,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,97,108,112,104,97,50,48,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,55,54,34,32,108,105,110,101,69,110,100,61,34,53,56,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,50,48,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,48,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,84,115,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,84,115,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,84,115,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,55,49,34,32,108,105,110,101,69,110,100,61,34,54,54,55,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,48,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,84,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,84,115,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,84,115,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,54,49,34,32,108,105,110,101,69,110,100,61,34,53,53,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,48,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,84,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,84,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,48,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,95,114,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,48,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,84,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,84,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,49,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,95,114,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,49,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,84,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,84,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,49,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,95,114,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,49,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,84,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,84,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6840360);
/* memory initializer */ allocate([115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,49,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,84,95,114,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,52,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,49,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,84,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,84,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,49,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,84,95,114,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,53,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,49,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,84,79,112,101,114,97,116,105,111,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,84,115,79,112,101,114,97,116,105,111,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,84,115,79,112,101,114,97,116,105,111,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,55,49,34,32,108,105,110,101,69,110,100,61,34,53,53,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,49,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,84,79,112,101,114,97,116,105,111,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,84,79,112,101,114,97,116,105,111,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,49,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,50,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,84,79,112,101,114,97,116,105,111,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,84,79,112,101,114,97,116,105,111,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,50,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,50,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,84,79,112,101,114,97,116,105,111,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,84,79,112,101,114,97,116,105,111,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,50,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,50,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,84,79,112,101,114,97,116,105,111,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,84,79,112,101,114,97,116,105,111,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6850600);
/* memory initializer */ allocate([97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,50,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,52,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,50,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,84,79,112,101,114,97,116,105,111,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,84,79,112,101,114,97,116,105,111,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,50,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,53,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,50,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,111,114,105,101,110,116,97,116,105,111,110,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,70,117,110,99,116,105,111,110,115,46,115,121,109,109,101,116,114,105,99,79,114,105,101,110,116,97,116,105,111,110,40,53,41,91,53,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,49,34,32,108,105,110,101,69,110,100,61,34,52,51,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,50,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,111,114,105,101,110,116,97,116,105,111,110,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,70,117,110,99,116,105,111,110,115,46,115,121,109,109,101,116,114,105,99,79,114,105,101,110,116,97,116,105,111,110,40,53,41,91,52,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,49,34,32,108,105,110,101,69,110,100,61,34,52,51,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,51,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,111,114,105,101,110,116,97,116,105,111,110,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,70,117,110,99,116,105,111,110,115,46,115,121,109,109,101,116,114,105,99,79,114,105,101,110,116,97,116,105,111,110,40,53,41,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,49,34,32,108,105,110,101,69,110,100,61,34,52,51,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,51,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,111,114,105,101,110,116,97,116,105,111,110,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,70,117,110,99,116,105,111,110,115,46,115,121,109,109,101,116,114,105,99,79,114,105,101,110,116,97,116,105,111,110,40,53,41,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,49,34,32,108,105,110,101,69,110,100,61,34,52,51,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,51,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,111,114,105,101,110,116,97,116,105,111,110,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,70,117,110,99,116,105,111,110,115,46,115,121,109,109,101,116,114,105,99,79,114,105,101,110,116,97,116,105,111,110,40,53,41,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,49,34,32,108,105,110,101,69,110,100,61,34,52,51,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,51,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,108,112,104,97,50,48,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,97,108,112,104,97,50,48,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,97,108,112,104,97,50,48,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,55,52,34,32,108,105,110,101,69,110,100,61,34,54,54,55,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,50,48,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,51,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,97,108,112,104,97,50,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,108,112,104,97,50,48,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,97,108,112,104,97,50,48,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,54,51,34,32,108,105,110,101,69,110,100,61,34,53,53,54,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,50,48,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,51,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,55,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6860840);
/* memory initializer */ allocate([101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,51,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,55,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,51,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,73,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,73,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,73,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,51,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,51,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,73,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,73,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,73,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,51,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,51,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,49,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,52,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,49,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,52,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,54,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,52,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,54,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,52,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,50,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,52,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,50,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,52,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,86,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,86,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,86,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,51,54,34,32,108,105,110,101,69,110,100,61,34,49,49,51,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,52,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,51,52,34,32,108,105,110,101,69,110,100,61,34,49,49,51,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,52,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,102,115,78,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,102,115,78,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,102,115,78,111,109,105,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6871080);
/* memory initializer */ allocate([101,83,116,97,114,116,61,34,54,54,54,51,34,32,108,105,110,101,69,110,100,61,34,54,54,54,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,52,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,103,114,111,117,110,100,51,46,112,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,103,114,111,117,110,100,51,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,52,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,103,114,111,117,110,100,77,46,112,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,103,114,111,117,110,100,77,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,53,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,53,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,53,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,53,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,53,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,53,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,53,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,102,108,97,110,103,101,95,98,46,116,97,117,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,56,51,34,32,108,105,110,101,69,110,100,61,34,54,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,53,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,67,111,114,101,46,81,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,67,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,53,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,51,93,46,81,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,53,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,50,93,46,81,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6881320);
/* memory initializer */ allocate([97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,54,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,49,93,46,81,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,54,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,87,105,110,100,105,110,103,46,81,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,87,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,54,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,70,114,105,99,116,105,111,110,46,81,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,70,114,105,99,116,105,111,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,54,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,114,97,121,76,111,97,100,46,81,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,54,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,67,111,114,101,46,81,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,67,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,54,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,110,116,101,114,110,97,108,83,117,112,112,111,114,116,46,116,97,117,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,53,52,50,34,32,108,105,110,101,69,110,100,61,34,54,53,52,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,116,101,114,110,97,108,83,117,112,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,83,117,112,112,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,54,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,54,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,54,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,54,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,55,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,55,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6891560);
/* memory initializer */ allocate([32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,55,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,102,108,97,110,103,101,95,98,46,116,97,117,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,56,51,34,32,108,105,110,101,69,110,100,61,34,54,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,55,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,67,111,114,101,46,81,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,67,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,55,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,53,93,46,81,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,55,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,52,93,46,81,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,55,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,51,93,46,81,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,55,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,50,93,46,81,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,55,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,49,93,46,81,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,55,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,87,105,110,100,105,110,103,46,81,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,87,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,56,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,70,114,105,99,116,105,111,110,46,81,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,70,114,105,99,116,105,111,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,56,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,114,97,121,76,111,97,100,46,81,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,56,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,67,111,114,101,46,81,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,67,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6901800);
/* memory initializer */ allocate([117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,56,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,116,101,114,110,97,108,83,117,112,112,111,114,116,46,116,97,117,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,53,52,50,34,32,108,105,110,101,69,110,100,61,34,54,53,52,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,116,101,114,110,97,108,83,117,112,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,83,117,112,112,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,56,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,56,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,46,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,56,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,56,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,56,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,86,95,109,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,56,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,57,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,116,97,117,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,55,56,34,32,108,105,110,101,69,110,100,61,34,49,52,53,55,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,57,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,118,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,57,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,118,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,57,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,118,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,57,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,116,97,117,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,55,56,34,32,108,105,110,101,69,110,100,61,34,49,52,53,55,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,57,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6912040);
/* memory initializer */ allocate([80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,57,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,57,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,86,95,109,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,57,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,57,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,116,97,117,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,55,56,34,32,108,105,110,101,69,110,100,61,34,49,52,53,55,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,48,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,118,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,48,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,118,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,48,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,118,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,48,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,118,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,48,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,118,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,48,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,116,97,117,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,55,56,34,32,108,105,110,101,69,110,100,61,34,49,52,53,55,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,48,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,112,104,105,95,115,117,112,112,111,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,49,53,34,32,108,105,110,101,69,110,100,61,34,55,48,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,83,111,117,114,99,101,115,46,81,117,97,100,114,97,116,105,99,83,112,101,101,100,68,101,112,101,110,100,101,110,116,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,48,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,112,104,105,95,115,117,112,112,111,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,49,53,34,32,108,105,110,101,69,110,100,61,34,55,48,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,83,111,117,114,99,101,115,46,81,117,97,100,114,97,116,105,99,83,112,101,101,100,68,101,112,101,110,100,101,110,116,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,48,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,82,111,116,111,114,67,111,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6922280);
/* memory initializer */ allocate([110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,54,53,34,32,108,105,110,101,69,110,100,61,34,49,51,54,54,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,48,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,82,111,116,111,114,67,111,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,54,53,34,32,108,105,110,101,69,110,100,61,34,49,51,54,54,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,49,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,118,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,49,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,118,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,49,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,118,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,49,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,118,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,49,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,118,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,49,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,55,34,32,108,105,110,101,69,110,100,61,34,50,51,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,49,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,70,114,105,99,116,105,111,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,54,55,34,32,108,105,110,101,69,110,100,61,34,49,51,54,54,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,49,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,114,97,121,76,111,97,100,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,54,54,34,32,108,105,110,101,69,110,100,61,34,49,51,54,54,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,49,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,97,116,111,114,67,111,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,54,52,34,32,108,105,110,101,69,110,100,61,34,49,51,54,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,49,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,50,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,50,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6932520);
/* memory initializer */ allocate([111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,50,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,55,34,32,108,105,110,101,69,110,100,61,34,50,51,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,101,114,116,105,97,83,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,50,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,70,114,105,99,116,105,111,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,54,55,34,32,108,105,110,101,69,110,100,61,34,49,51,54,54,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,50,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,114,97,121,76,111,97,100,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,54,54,34,32,108,105,110,101,69,110,100,61,34,49,51,54,54,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,50,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,97,116,111,114,67,111,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,54,52,34,32,108,105,110,101,69,110,100,61,34,49,51,54,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,50,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,50,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,50,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,50,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,51,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,51,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,51,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,51,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6942760);
/* memory initializer */ allocate([101,114,116,105,97,83,116,97,116,111,114,46,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,49,48,34,32,108,105,110,101,69,110,100,61,34,50,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,101,114,116,105,97,83,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,51,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,49,48,34,32,108,105,110,101,69,110,100,61,34,50,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,51,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,112,111,119,101,114,73,110,101,114,116,105,97,83,116,97,116,111,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,54,48,34,32,108,105,110,101,69,110,100,61,34,49,51,54,54,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,51,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,112,111,119,101,114,73,110,101,114,116,105,97,83,116,97,116,111,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,54,48,34,32,108,105,110,101,69,110,100,61,34,49,51,54,54,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,51,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,46,112,111,114,116,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,50,57,51,46,49,53,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,51,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,50,57,51,46,49,53,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,54,34,32,108,105,110,101,69,110,100,61,34,50,55,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,51,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,112,111,114,116,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,50,57,51,46,49,53,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,52,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,67,111,114,101,46,112,111,114,116,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,50,57,51,46,49,53,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,67,111,114,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,52,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,46,112,111,114,116,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,50,57,51,46,49,53,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,52,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,50,57,51,46,49,53,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,54,34,32,108,105,110,101,69,110,100,61,34,50,55,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,52,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,46,112,111,114,116,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,50,57,51,46,49,53,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,52,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,50,57,51,46,49,53,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,54,34,32,108,105,110,101,69,110,100,61,34,50,55,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6953000);
/* memory initializer */ allocate([101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,52,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,112,111,114,116,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,50,57,51,46,49,53,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,52,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,67,111,114,101,46,112,111,114,116,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,50,57,51,46,49,53,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,67,111,114,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,52,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,46,112,111,114,116,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,50,57,51,46,49,53,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,52,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,50,57,51,46,49,53,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,54,34,32,108,105,110,101,69,110,100,61,34,50,55,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,52,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,102,108,97,110,103,101,95,97,46,116,97,117,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,53,34,32,108,105,110,101,69,110,100,61,34,54,52,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,53,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,102,108,97,110,103,101,95,97,46,116,97,117,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,53,34,32,108,105,110,101,69,110,100,61,34,54,52,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,53,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,110,111,116,32,110,111,69,118,101,110,116,40,53,46,48,32,61,61,32,50,46,48,32,94,32,47,42,82,101,97,108,42,47,40,105,110,116,101,103,101,114,40,50,46,56,50,49,57,50,56,48,57,52,56,56,55,51,54,50,41,41,41,44,32,38,113,117,111,116,59,53,32,112,104,97,115,101,115,32,97,114,101,32,99,117,114,114,101,110,116,108,121,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,105,110,32,116,104,105,115,32,118,101,114,115,105,111,110,32,111,102,32,70,117,110,100,97,109,101,116,97,108,87,97,118,101,38,113,117,111,116,59,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,56,50,54,34,32,108,105,110,101,69,110,100,61,34,54,56,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,53,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,110,111,116,32,110,111,69,118,101,110,116,40,51,46,48,32,61,61,32,50,46,48,32,94,32,47,42,82,101,97,108,42,47,40,105,110,116,101,103,101,114,40,50,46,48,56,52,57,54,50,53,48,48,55,50,49,49,53,54,41,41,41,44,32,38,113,117,111,116,59,51,32,112,104,97,115,101,115,32,97,114,101,32,99,117,114,114,101,110,116,108,121,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,105,110,32,116,104,105,115,32,118,101,114,115,105,111,110,32,111,102,32,70,117,110,100,97,109,101,116,97,108,87,97,118,101,38,113,117,111,116,59,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,56,50,54,34,32,108,105,110,101,69,110,100,61,34,54,56,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,60,47,105,110,105,116,105,97,108,45,101,113,117,97,116,105,111,110,115,62,10,60,114,101,115,105,100,117,97,108,45,101,113,117,97,116,105,111,110,115,32,115,105,122,101,61,34,49,52,34,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,53,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,110,111,116,32,110,111,69,118,101,110,116,40,53,46,48,32,61,61,32,50,46,48,32,94,32,47,42,82,101,97,108,42,47,40,105,110,116,101,103,101,114,40,50,46,56,50,49,57,50,56,48,57,52,56,56,55,51,54,50,41,41,41,44,32,38,113,117,111,116,59,53,32,112,104,97,115,101,115,32,97,114,101,32,99,117,114,114,101,110,116,108,121,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,105,110,32,116,104,105,115,32,118,101,114,115,105,111,110,32,111,102,32,70,117,110,100,97,109,101,116,97,108,87,97,118,101,38,113,117,111,116,59,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,56,50,54,34,32,108,105,110,101,69,110,100,61,34,54,56,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,53,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,110,111,116,32,110,111,69,118,101,110,116,40,51,46,48,32,61,61,32,50,46,48,32,94,32,47,42,82,101,97,108,42,47,40,105,110,116,101,103,101,114,40,50,46,48,56,52,57,54,50,53,48,48,55,50,49,49,53,54,41,41,41,44,32,38,113,117,111,116,59,51,32,112,104,97,115,101,115,32,97,114,101,32,99,117,114,114,101,110,116,108,121,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,105,110,32,116,104,105,115,32,118,101,114,115,105,111,110,32,111,102,32,70,117,110,100,97,109,101,116,97,108,87,97,118,101,38,113,117,111,116,59,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,56,50,54,34,32,108,105,110,101,69,110,100,61,34,54,56,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,53,53,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,97,105,109,99,51,46,112,104,105,77,101,99,104,97,110,105,99,97,108,32,45,32,36,95,115,116,97,114,116,40,97,105,109,99,51,46,112,104,105,77,101,99,104,97,110,105,99,97,108,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,53,54,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,97,105,109,99,77,46,112,104,105,77,101,99,104,97,110,105,99,97,108,32,45,32,36,95,115,116,97,114,116,40,97,105,109,99,77,46,112,104,105,77,101,99,104,97,110,105,99,97,108,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,53,55,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,97,105,109,99,77,46,105,114,91,52,93,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,56,52,34,32,108,105,110,101,69,110,100,61,34,49,52,56,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,53,56,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,97,105,109,99,77,46,105,114,91,51,93,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,56,52,34,32,108,105,110,101,69,110,100,61,34,49,52,56,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,53,57,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,97,105,109,99,77,46,105,114,91,50,93,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,56,52,34,32,108,105,110,101,69,110,100,61,34,49,52,56,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,54,48,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,97,105,109,99,77,46,105,114,91,49,93,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,56,52,34,32,108,105,110,101,69,110,100,61,34,49,52,56,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,54,49,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,97,105,109,99,77,46,105,115,91,50,93,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,56,51,34,32,108,105,110,101,69,110,100,61,34,49,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,54,50,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,97,105,109,99,77,46,105,115,91,49,93,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6963240);
/* memory initializer */ allocate([99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,56,51,34,32,108,105,110,101,69,110,100,61,34,49,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,54,51,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,97,105,109,99,51,46,105,114,91,50,93,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,56,50,34,32,108,105,110,101,69,110,100,61,34,49,52,56,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,54,52,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,97,105,109,99,51,46,105,114,91,49,93,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,56,50,34,32,108,105,110,101,69,110,100,61,34,49,52,56,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,54,53,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,97,105,109,99,51,46,105,115,91,50,93,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,56,49,34,32,108,105,110,101,69,110,100,61,34,49,52,56,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,54,54,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,97,105,109,99,51,46,105,115,91,49,93,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,56,49,34,32,108,105,110,101,69,110,100,61,34,49,52,56,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,60,47,114,101,115,105,100,117,97,108,45,101,113,117,97,116,105,111,110,115,62,10,60,101,113,117,97,116,105,111,110,115,32,115,105,122,101,61,34,50,50,54,34,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,54,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,99,111,110,116,114,111,108,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,98,111,111,108,101,97,110,83,116,101,112,77,91,49,93,46,115,116,97,114,116,86,97,108,117,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,98,111,111,108,101,97,110,83,116,101,112,77,91,49,93,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,116,105,109,101,32,38,103,116,59,61,32,98,111,111,108,101,97,110,83,116,101,112,77,91,49,93,46,115,116,97,114,116,84,105,109,101,32,116,104,101,110,32,110,111,116,32,98,111,111,108,101,97,110,83,116,101,112,77,91,49,93,46,115,116,97,114,116,86,97,108,117,101,32,101,108,115,101,32,98,111,111,108,101,97,110,83,116,101,112,77,91,49,93,46,115,116,97,114,116,86,97,108,117,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,51,48,34,32,108,105,110,101,69,110,100,61,34,50,55,51,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,98,111,111,108,101,97,110,83,116,101,112,77,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,54,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,99,111,110,116,114,111,108,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,98,111,111,108,101,97,110,83,116,101,112,77,91,50,93,46,115,116,97,114,116,86,97,108,117,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,98,111,111,108,101,97,110,83,116,101,112,77,91,50,93,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,116,105,109,101,32,38,103,116,59,61,32,98,111,111,108,101,97,110,83,116,101,112,77,91,50,93,46,115,116,97,114,116,84,105,109,101,32,116,104,101,110,32,110,111,116,32,98,111,111,108,101,97,110,83,116,101,112,77,91,50,93,46,115,116,97,114,116,86,97,108,117,101,32,101,108,115,101,32,98,111,111,108,101,97,110,83,116,101,112,77,91,50,93,46,115,116,97,114,116,86,97,108,117,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,51,48,34,32,108,105,110,101,69,110,100,61,34,50,55,51,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,98,111,111,108,101,97,110,83,116,101,112,77,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,54,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,99,111,110,116,114,111,108,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,98,111,111,108,101,97,110,83,116,101,112,77,91,51,93,46,115,116,97,114,116,86,97,108,117,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,98,111,111,108,101,97,110,83,116,101,112,77,91,51,93,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,116,105,109,101,32,38,103,116,59,61,32,98,111,111,108,101,97,110,83,116,101,112,77,91,51,93,46,115,116,97,114,116,84,105,109,101,32,116,104,101,110,32,110,111,116,32,98,111,111,108,101,97,110,83,116,101,112,77,91,51,93,46,115,116,97,114,116,86,97,108,117,101,32,101,108,115,101,32,98,111,111,108,101,97,110,83,116,101,112,77,91,51,93,46,115,116,97,114,116,86,97,108,117,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,51,48,34,32,108,105,110,101,69,110,100,61,34,50,55,51,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,98,111,111,108,101,97,110,83,116,101,112,77,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,55,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,99,111,110,116,114,111,108,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,98,111,111,108,101,97,110,83,116,101,112,77,91,52,93,46,115,116,97,114,116,86,97,108,117,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,98,111,111,108,101,97,110,83,116,101,112,77,91,52,93,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,116,105,109,101,32,38,103,116,59,61,32,98,111,111,108,101,97,110,83,116,101,112,77,91,52,93,46,115,116,97,114,116,84,105,109,101,32,116,104,101,110,32,110,111,116,32,98,111,111,108,101,97,110,83,116,101,112,77,91,52,93,46,115,116,97,114,116,86,97,108,117,101,32,101,108,115,101,32,98,111,111,108,101,97,110,83,116,101,112,77,91,52,93,46,115,116,97,114,116,86,97,108,117,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,51,48,34,32,108,105,110,101,69,110,100,61,34,50,55,51,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,98,111,111,108,101,97,110,83,116,101,112,77,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,55,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,99,111,110,116,114,111,108,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,98,111,111,108,101,97,110,83,116,101,112,77,91,53,93,46,115,116,97,114,116,86,97,108,117,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,98,111,111,108,101,97,110,83,116,101,112,77,91,53,93,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,116,105,109,101,32,38,103,116,59,61,32,98,111,111,108,101,97,110,83,116,101,112,77,91,53,93,46,115,116,97,114,116,84,105,109,101,32,116,104,101,110,32,110,111,116,32,98,111,111,108,101,97,110,83,116,101,112,77,91,53,93,46,115,116,97,114,116,86,97,108,117,101,32,101,108,115,101,32,98,111,111,108,101,97,110,83,116,101,112,77,91,53,93,46,115,116,97,114,116,86,97,108,117,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,51,48,34,32,108,105,110,101,69,110,100,61,34,50,55,51,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,98,111,111,108,101,97,110,83,116,101,112,77,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,55,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,99,111,110,116,114,111,108,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,98,111,111,108,101,97,110,83,116,101,112,51,91,49,93,46,115,116,97,114,116,86,97,108,117,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,98,111,111,108,101,97,110,83,116,101,112,51,91,49,93,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,116,105,109,101,32,38,103,116,59,61,32,98,111,111,108,101,97,110,83,116,101,112,51,91,49,93,46,115,116,97,114,116,84,105,109,101,32,116,104,101,110,32,110,111,116,32,98,111,111,108,101,97,110,83,116,101,112,51,91,49,93,46,115,116,97,114,116,86,97,108,117,101,32,101,108,115,101,32,98,111,111,108,101,97,110,83,116,101,112,51,91,49,93,46,115,116,97,114,116,86,97,108,117,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,51,48,34,32,108,105,110,101,69,110,100,61,34,50,55,51,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,98,111,111,108,101,97,110,83,116,101,112,51,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,55,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,99,111,110,116,114,111,108,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,98,111,111,108,101,97,110,83,116,101,112,51,91,50,93,46,115,116,97,114,116,86,97,108,117,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,98,111,111,108,101,97,110,83,116,101,112,51,91,50,93,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,116,105,109,101,32,38,103,116,59,61,32,98,111,111,108,101,97,110,83,116,101,112,51,91,50,93,46,115,116,97,114,116,84,105,109,101,32,116,104,101,110,32,110,111,116,32,98,111,111,108,101,97,110,83,116,101,112,51,91,50,93,46,115,116,97,114,116,86,97,108,117,101,32,101,108,115,101,32,98,111,111,108,101,97,110,83,116,101,112,51,91,50,93,46,115,116,97,114,116,86,97,108,117,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,51,48,34,32,108,105,110,101,69,110,100,61,34,50,55,51,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,98,111,111,108,101,97,110,83,116,101,112,51,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,55,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,71,111,102,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,99,111,110,116,114,111,108,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,97,105,109,99,51,46,105,115,91,50,93,44,32,105,102,32,105,100,101,97,108,67,108,111,115,101,114,51,46,99,111,110,116,114,111,108,91,50,93,32,116,104,101,110,32,49,46,48,32,101,108,115,101,32,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,71,111,102,102,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,54,34,32,108,105,110,101,69,110,100,61,34,49,53,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,55,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,82,111,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,99,111,110,116,114,111,108,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,115,32,42,32,40,105,102,32,105,100,101,97,108,67,108,111,115,101,114,51,46,99,111,110,116,114,111,108,91,50,93,32,116,104,101,110,32,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,82,111,110,32,101,108,115,101,32,49,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,53,34,32,108,105,110,101,69,110,100,61,34,49,53,53,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,55,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,118,32,42,32,97,105,109,99,51,46,105,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,56,34,32,108,105,110,101,69,110,100,61,34,49,53,53,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,55,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,99,111,110,116,114,111,108,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,98,111,111,108,101,97,110,83,116,101,112,51,91,51,93,46,115,116,97,114,116,86,97,108,117,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,98,111,111,108,101,97,110,83,116,101,112,51,91,51,93,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,116,105,109,101,32,38,103,116,59,61,32,98,111,111,108,101,97,110,83,116,101,112,51,91,51,93,46,115,116,97,114,116,84,105,109,101,32,116,104,101,110,32,110,111,116,32,98,111,111,108,101,97,110,83,116,101,112,51,91,51,93,46,115,116,97,114,116,86,97,108,117,101,32,101,108,115,101,32,98,111,111,108,101,97,110,83,116,101,112,51,91,51,93,46,115,116,97,114,116,86,97,108,117,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,51,48,34,32,108,105,110,101,69,110,100,61,34,50,55,51,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,98,111,111,108,101,97,110,83,116,101,112,51,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,55,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,71,111,102,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,99,111,110,116,114,111,108,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,97,105,109,99,51,46,105,115,91,51,93,44,32,105,102,32,105,100,101,97,108,67,108,111,115,101,114,51,46,99,111,110,116,114,111,108,91,51,93,32,116,104,101,110,32,49,46,48,32,101,108,115,101,32,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,71,111,102,102,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,54,34,32,108,105,110,101,69,110,100,61,34,49,53,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,55,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,82,111,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,99,111,110,116,114,111,108,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,100,101,97,108,67,108,111,115,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6973480);
/* memory initializer */ allocate([114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,115,32,42,32,40,105,102,32,105,100,101,97,108,67,108,111,115,101,114,51,46,99,111,110,116,114,111,108,91,51,93,32,116,104,101,110,32,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,82,111,110,32,101,108,115,101,32,49,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,53,34,32,108,105,110,101,69,110,100,61,34,49,53,53,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,56,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,118,32,42,32,97,105,109,99,51,46,105,115,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,56,34,32,108,105,110,101,69,110,100,61,34,49,53,53,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,56,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,112,104,105,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,51,49,48,34,32,108,105,110,101,69,110,100,61,34,54,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,83,111,117,114,99,101,115,46,81,117,97,100,114,97,116,105,99,83,112,101,101,100,68,101,112,101,110,100,101,110,116,84,111,114,113,117,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,56,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,116,97,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,119,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,116,97,117,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,116,97,117,95,110,111,109,105,110,97,108,32,42,32,115,109,111,111,116,104,40,49,44,32,105,102,32,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,32,38,103,116,59,61,32,48,46,48,32,116,104,101,110,32,68,73,86,73,83,73,79,78,40,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,44,32,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,119,95,110,111,109,105,110,97,108,41,32,94,32,50,46,48,32,101,108,115,101,32,45,68,73,86,73,83,73,79,78,40,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,44,32,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,119,95,110,111,109,105,110,97,108,41,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,51,49,53,34,32,108,105,110,101,69,110,100,61,34,54,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,83,111,117,114,99,101,115,46,81,117,97,100,114,97,116,105,99,83,112,101,101,100,68,101,112,101,110,100,101,110,116,84,111,114,113,117,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,56,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,112,104,105,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,51,49,48,34,32,108,105,110,101,69,110,100,61,34,54,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,83,111,117,114,99,101,115,46,81,117,97,100,114,97,116,105,99,83,112,101,101,100,68,101,112,101,110,100,101,110,116,84,111,114,113,117,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,56,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,116,97,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,119,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,116,97,117,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,116,97,117,95,110,111,109,105,110,97,108,32,42,32,115,109,111,111,116,104,40,49,44,32,105,102,32,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,32,38,103,116,59,61,32,48,46,48,32,116,104,101,110,32,68,73,86,73,83,73,79,78,40,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,44,32,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,119,95,110,111,109,105,110,97,108,41,32,94,32,50,46,48,32,101,108,115,101,32,45,68,73,86,73,83,73,79,78,40,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,44,32,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,119,95,110,111,109,105,110,97,108,41,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,51,49,53,34,32,108,105,110,101,69,110,100,61,34,54,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,83,111,117,114,99,101,115,46,81,117,97,100,114,97,116,105,99,83,112,101,101,100,68,101,112,101,110,100,101,110,116,84,111,114,113,117,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,56,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,102,114,101,113,72,122,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,97,109,112,108,105,116,117,100,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,32,43,32,40,105,102,32,116,105,109,101,32,38,108,116,59,32,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,32,116,104,101,110,32,48,46,48,32,101,108,115,101,32,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,97,109,112,108,105,116,117,100,101,32,42,32,115,105,110,40,54,46,50,56,51,49,56,53,51,48,55,49,55,57,53,56,54,32,42,32,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,102,114,101,113,72,122,32,42,32,40,116,105,109,101,32,45,32,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,41,32,43,32,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,104,97,115,101,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,48,34,32,108,105,110,101,69,110,100,61,34,53,55,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,56,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,102,114,101,113,72,122,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,97,109,112,108,105,116,117,100,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,32,43,32,40,105,102,32,116,105,109,101,32,38,108,116,59,32,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,32,116,104,101,110,32,48,46,48,32,101,108,115,101,32,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,97,109,112,108,105,116,117,100,101,32,42,32,115,105,110,40,54,46,50,56,51,49,56,53,51,48,55,49,55,57,53,56,54,32,42,32,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,102,114,101,113,72,122,32,42,32,40,116,105,109,101,32,45,32,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,41,32,43,32,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,104,97,115,101,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,48,34,32,108,105,110,101,69,110,100,61,34,53,55,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,56,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,102,114,101,113,72,122,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,97,109,112,108,105,116,117,100,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,32,43,32,40,105,102,32,116,105,109,101,32,38,108,116,59,32,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,32,116,104,101,110,32,48,46,48,32,101,108,115,101,32,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,97,109,112,108,105,116,117,100,101,32,42,32,115,105,110,40,54,46,50,56,51,49,56,53,51,48,55,49,55,57,53,56,54,32,42,32,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,102,114,101,113,72,122,32,42,32,40,116,105,109,101,32,45,32,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,41,32,43,32,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,104,97,115,101,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,48,34,32,108,105,110,101,69,110,100,61,34,53,55,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,56,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,102,114,101,113,72,122,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,97,109,112,108,105,116,117,100,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,32,43,32,40,105,102,32,116,105,109,101,32,38,108,116,59,32,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,32,116,104,101,110,32,48,46,48,32,101,108,115,101,32,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,97,109,112,108,105,116,117,100,101,32,42,32,115,105,110,40,54,46,50,56,51,49,56,53,51,48,55,49,55,57,53,56,54,32,42,32,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,102,114,101,113,72,122,32,42,32,40,116,105,109,101,32,45,32,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,41,32,43,32,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,104,97,115,101,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,48,34,32,108,105,110,101,69,110,100,61,34,53,55,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,56,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,102,114,101,113,72,122,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,97,109,112,108,105,116,117,100,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,32,43,32,40,105,102,32,116,105,109,101,32,38,108,116,59,32,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,32,116,104,101,110,32,48,46,48,32,101,108,115,101,32,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,97,109,112,108,105,116,117,100,101,32,42,32,115,105,110,40,54,46,50,56,51,49,56,53,51,48,55,49,55,57,53,56,54,32,42,32,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,102,114,101,113,72,122,32,42,32,40,116,105,109,101,32,45,32,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,41,32,43,32,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,104,97,115,101,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,48,34,32,108,105,110,101,69,110,100,61,34,53,55,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,57,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,97,105,114,71,97,112,46,103,97,109,109,97,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,47,42,82,101,97,108,42,47,40,97,105,109,99,77,46,97,105,114,71,97,112,46,112,41,32,42,32,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6983720);
/* memory initializer */ allocate([116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,48,52,34,32,108,105,110,101,69,110,100,61,34,53,56,48,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,57,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,82,32,42,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,54,34,32,108,105,110,101,69,110,100,61,34,55,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,57,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,118,32,42,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,57,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,82,32,42,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,54,34,32,108,105,110,101,69,110,100,61,34,55,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,57,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,118,32,42,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,57,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,102,114,101,113,72,122,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,97,109,112,108,105,116,117,100,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,32,43,32,40,105,102,32,116,105,109,101,32,38,108,116,59,32,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,32,116,104,101,110,32,48,46,48,32,101,108,115,101,32,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,97,109,112,108,105,116,117,100,101,32,42,32,115,105,110,40,54,46,50,56,51,49,56,53,51,48,55,49,55,57,53,56,54,32,42,32,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,102,114,101,113,72,122,32,42,32,40,116,105,109,101,32,45,32,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,41,32,43,32,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,104,97,115,101,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,48,34,32,108,105,110,101,69,110,100,61,34,53,55,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,57,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,102,114,101,113,72,122,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,97,109,112,108,105,116,117,100,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,32,43,32,40,105,102,32,116,105,109,101,32,38,108,116,59,32,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,32,116,104,101,110,32,48,46,48,32,101,108,115,101,32,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,97,109,112,108,105,116,117,100,101,32,42,32,115,105,110,40,54,46,50,56,51,49,56,53,51,48,55,49,55,57,53,56,54,32,42,32,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,102,114,101,113,72,122,32,42,32,40,116,105,109,101,32,45,32,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,41,32,43,32,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,104,97,115,101,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,48,34,32,108,105,110,101,69,110,100,61,34,53,55,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,57,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,50,93,32,45,32,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,57,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,118,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,50,93,32,45,32,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,57,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,102,114,101,113,72,122,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,97,109,112,108,105,116,117,100,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,32,43,32,40,105,102,32,116,105,109,101,32,38,108,116,59,32,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,32,116,104,101,110,32,48,46,48,32,101,108,115,101,32,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,97,109,112,108,105,116,117,100,101,32,42,32,115,105,110,40,54,46,50,56,51,49,56,53,51,48,55,49,55,57,53,56,54,32,42,32,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,102,114,101,113,72,122,32,42,32,40,116,105,109,101,32,45,32,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,41,32,43,32,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,104,97,115,101,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,48,34,32,108,105,110,101,69,110,100,61,34,53,55,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,48,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,51,93,32,45,32,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,48,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,118,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,51,93,32,45,32,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,48,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,82,32,42,32,97,105,109,99,51,46,105,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,54,34,32,108,105,110,101,69,110,100,61,34,55,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,48,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,118,32,42,32,97,105,109,99,51,46,105,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6993960);
/* memory initializer */ allocate([111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,48,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,32,45,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,48,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,118,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,32,45,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,48,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,82,32,42,32,97,105,109,99,51,46,105,115,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,54,34,32,108,105,110,101,69,110,100,61,34,55,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,48,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,118,32,42,32,97,105,109,99,51,46,105,115,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,48,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,32,45,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,48,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,118,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,32,45,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,49,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,97,105,114,71,97,112,46,103,97,109,109,97,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,47,42,82,101,97,108,42,47,40,97,105,109,99,51,46,97,105,114,71,97,112,46,112,41,32,42,32,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,48,52,34,32,108,105,110,101,69,110,100,61,34,53,56,48,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,49,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,114,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,52,54,34,32,108,105,110,101,69,110,100,61,34,52,53,52,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,49,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,114,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,52,54,34,32,108,105,110,101,69,110,100,61,34,52,53,52,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,49,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,105,109,32,45,32,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,105,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,51,55,34,32,108,105,110,101,69,110,100,61,34,53,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,99,111,110,110,101,99,116,45,101,113,117,97,116,105,111,110,32,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,49,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,105,109,41,32,45,32,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,52,55,34,32,108,105,110,101,69,110,100,61,34,53,54,53,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,99,111,110,110,101,99,116,45,101,113,117,97,116,105,111,110,32,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,49,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,105,109,99,77,46,115,116,97,116,111,114,46,112,111,114,116,95,110,46,80,104,105,46,105,109,41,32,45,32,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,105,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,53,54,52,34,32,108,105,110,101,69,110,100,61,34,54,53,57,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,115,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,49,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,114,101,32,45,32,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,114,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,51,55,34,32,108,105,110,101,69,110,100,61,34,53,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,99,111,110,110,101,99,116,45,101,113,117,97,116,105,111,110,32,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,49,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,114,101,41,32,45,32,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,52,55,34,32,108,105,110,101,69,110,100,61,34,53,54,53,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,99,111,110,110,101,99,116,45,101,113,117,97,116,105,111,110,32,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,49,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7004200);
/* memory initializer */ allocate([32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,105,109,99,77,46,115,116,97,116,111,114,46,112,111,114,116,95,110,46,80,104,105,46,114,101,41,32,45,32,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,114,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,53,54,52,34,32,108,105,110,101,69,110,100,61,34,54,53,57,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,115,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,49,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,103,97,109,109,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,102,105,120,101,100,46,112,104,105,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,112,104,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,47,42,82,101,97,108,42,47,40,97,105,109,99,51,46,97,105,114,71,97,112,46,112,41,32,42,32,40,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,112,104,105,32,45,32,97,105,109,99,51,46,102,105,120,101,100,46,112,104,105,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,48,52,34,32,108,105,110,101,69,110,100,61,34,53,56,48,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,50,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,103,97,109,109,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,40,97,105,109,99,51,46,97,105,114,71,97,112,46,103,97,109,109,97,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,48,53,34,32,108,105,110,101,69,110,100,61,34,53,56,48,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,50,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,103,97,109,109,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,111,115,40,97,105,109,99,51,46,97,105,114,71,97,112,46,103,97,109,109,97,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,48,53,34,32,108,105,110,101,69,110,100,61,34,53,56,48,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,50,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,114,101,32,42,32,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,114,101,32,45,32,40,45,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,105,109,41,32,42,32,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,105,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,56,48,34,32,108,105,110,101,69,110,100,61,34,53,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,50,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,114,101,41,32,42,32,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,105,109,32,43,32,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,105,109,32,42,32,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,114,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,56,48,34,32,108,105,110,101,69,110,100,61,34,53,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,50,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,105,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,97,105,114,71,97,112,46,103,97,109,109,97,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,103,97,109,109,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,111,115,40,97,105,109,99,51,46,97,105,114,71,97,112,46,103,97,109,109,97,41,32,42,32,36,68,69,82,46,97,105,109,99,51,46,97,105,114,71,97,112,46,103,97,109,109,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,48,53,34,32,108,105,110,101,69,110,100,61,34,53,56,48,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,50,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,114,101,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,97,105,114,71,97,112,46,103,97,109,109,97,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,103,97,109,109,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,115,105,110,40,97,105,109,99,51,46,97,105,114,71,97,112,46,103,97,109,109,97,41,41,32,42,32,36,68,69,82,46,97,105,109,99,51,46,97,105,114,71,97,112,46,103,97,109,109,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,48,53,34,32,108,105,110,101,69,110,100,61,34,53,56,48,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,50,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,48,46,51,49,56,51,48,57,56,56,54,49,56,51,55,57,49,32,42,32,97,105,109,99,51,46,105,115,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,50,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,48,46,53,53,49,51,50,56,56,57,53,52,50,49,55,57,49,57,32,42,32,97,105,109,99,51,46,105,115,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,50,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,48,46,51,49,56,51,48,57,56,56,54,49,56,51,55,57,48,53,32,42,32,97,105,109,99,51,46,105,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,50,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,114,101,32,43,32,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,114,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,51,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,53,49,51,50,56,56,57,53,52,50,49,55,57,50,49,32,42,32,97,105,109,99,51,46,105,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,51,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,105,109,41,32,45,32,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,105,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,51,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,82,95,109,46,113,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,45,49,46,53,55,48,55,57,54,51,50,54,55,57,52,56,57,55,32,42,32,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,44,32,97,105,109,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7014440);
/* memory initializer */ allocate([51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,82,95,109,46,113,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,56,34,32,108,105,110,101,69,110,100,61,34,52,48,50,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,51,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,105,109,32,45,32,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,105,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,51,55,34,32,108,105,110,101,69,110,100,61,34,53,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,99,111,110,110,101,99,116,45,101,113,117,97,116,105,111,110,32,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,51,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,105,109,41,32,45,32,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,52,55,34,32,108,105,110,101,69,110,100,61,34,53,54,53,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,99,111,110,110,101,99,116,45,101,113,117,97,116,105,111,110,32,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,51,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,105,109,99,51,46,115,116,97,116,111,114,46,112,111,114,116,95,110,46,80,104,105,46,105,109,41,32,45,32,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,105,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,53,54,52,34,32,108,105,110,101,69,110,100,61,34,54,53,57,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,115,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,51,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,104,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,102,105,120,101,100,46,112,104,105,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,112,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,112,104,105,32,45,32,97,105,109,99,51,46,102,105,120,101,100,46,112,104,105,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,56,50,34,32,108,105,110,101,69,110,100,61,34,49,52,53,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,51,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,112,104,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,102,105,120,101,100,46,112,104,105,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,112,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,112,104,105,32,45,32,97,105,109,99,51,46,102,105,120,101,100,46,112,104,105,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,56,50,34,32,108,105,110,101,69,110,100,61,34,49,52,53,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,51,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,48,46,49,57,54,55,50,54,51,50,56,54,49,54,54,57,51,49,32,42,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,51,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,86,95,109,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,54,48,53,52,54,49,51,56,50,57,49,50,53,50,53,55,32,42,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,52,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,49,53,48,51,54,50,49,52,56,48,48,52,56,52,32,42,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,52,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,86,95,109,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,51,55,52,49,57,53,55,49,51,53,49,53,52,53,53,54,32,42,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,52,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,103,97,109,109,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,102,105,120,101,100,46,112,104,105,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,112,104,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,47,42,82,101,97,108,42,47,40,97,105,109,99,77,46,97,105,114,71,97,112,46,112,41,32,42,32,40,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,112,104,105,32,45,32,97,105,109,99,77,46,102,105,120,101,100,46,112,104,105,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,48,52,34,32,108,105,110,101,69,110,100,61,34,53,56,48,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,52,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,103,97,109,109,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,40,97,105,109,99,77,46,97,105,114,71,97,112,46,103,97,109,109,97,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,48,53,34,32,108,105,110,101,69,110,100,61,34,53,56,48,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,52,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,103,97,109,109,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,111,115,40,97,105,109,99,77,46,97,105,114,71,97,112,46,103,97,109,109,97,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,48,53,34,32,108,105,110,101,69,110,100,61,34,53,56,48,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,52,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,114,101,32,42,32,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,114,101,32,45,32,40,45,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,105,109,41,32,42,32,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,105,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,56,48,34,32,108,105,110,101,69,110,100,61,34,53,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,52,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,114,101,41,32,42,32,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,105,109,32,43,32,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,105,109,32,42,32,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,114,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7024680);
/* memory initializer */ allocate([46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,56,48,34,32,108,105,110,101,69,110,100,61,34,53,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,52,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,105,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,97,105,114,71,97,112,46,103,97,109,109,97,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,103,97,109,109,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,111,115,40,97,105,109,99,77,46,97,105,114,71,97,112,46,103,97,109,109,97,41,32,42,32,36,68,69,82,46,97,105,109,99,77,46,97,105,114,71,97,112,46,103,97,109,109,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,48,53,34,32,108,105,110,101,69,110,100,61,34,53,56,48,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,52,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,114,101,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,97,105,114,71,97,112,46,103,97,109,109,97,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,103,97,109,109,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,115,105,110,40,97,105,109,99,77,46,97,105,114,71,97,112,46,103,97,109,109,97,41,41,32,42,32,36,68,69,82,46,97,105,109,99,77,46,97,105,114,71,97,112,46,103,97,109,109,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,48,53,34,32,108,105,110,101,69,110,100,61,34,53,56,48,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,52,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,82,95,109,46,113,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,82,95,109,46,113,32,42,32,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,105,109,32,47,32,45,49,46,53,55,48,55,57,54,51,50,54,55,57,52,56,57,55,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,56,34,32,108,105,110,101,69,110,100,61,34,52,48,50,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,53,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,82,95,109,46,100,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,82,95,109,46,100,32,42,32,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,114,101,32,47,32,45,49,46,53,55,48,55,57,54,51,50,54,55,57,52,56,57,55,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,55,34,32,108,105,110,101,69,110,100,61,34,52,48,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,53,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,114,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,32,42,32,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,114,101,32,45,32,40,45,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,41,32,42,32,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,105,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,57,51,34,32,108,105,110,101,69,110,100,61,34,53,55,57,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,53,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,114,114,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,114,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,48,51,46,53,49,49,54,56,50,51,52,48,55,53,54,49,32,42,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,32,45,32,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,114,46,114,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,57,55,34,32,108,105,110,101,69,110,100,61,34,53,55,57,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,53,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,114,114,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,86,95,109,46,114,101,32,43,32,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,114,114,46,114,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,53,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,86,95,109,46,114,101,32,43,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,53,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,114,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,41,32,42,32,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,105,109,32,43,32,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,32,42,32,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,114,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,57,51,34,32,108,105,110,101,69,110,100,61,34,53,55,57,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,53,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,114,114,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,114,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,48,51,46,53,49,49,54,56,50,51,52,48,55,53,54,49,32,42,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,32,45,32,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,114,46,105,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,57,56,34,32,108,105,110,101,69,110,100,61,34,53,55,57,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,53,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,114,114,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,86,95,109,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,86,95,109,46,105,109,32,43,32,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,114,114,46,105,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,53,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,86,95,109,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,86,95,109,46,105,109,32,43,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,53,57,34,62,10,32,32,32,32,60,108,105,110,101,97,114,32,115,105,122,101,61,34,57,34,32,110,110,122,61,34,50,48,34,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,114,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,114,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,114,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,114,111,119,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,40,45,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,41,32,45,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7034920);
/* memory initializer */ allocate([115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,60,47,99,101,108,108,62,10,32,32,32,32,32,32,60,47,114,111,119,62,10,32,32,32,32,32,32,60,109,97,116,114,105,120,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,32,114,111,119,61,34,48,34,32,99,111,108,61,34,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,48,34,32,99,111,108,61,34,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,34,32,99,111,108,61,34,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,48,46,51,55,52,49,57,53,55,49,51,53,49,53,52,53,53,55,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,34,32,99,111,108,61,34,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,34,32,99,111,108,61,34,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,51,34,32,108,105,110,101,69,110,100,61,34,53,51,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,34,32,99,111,108,61,34,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,51,34,32,108,105,110,101,69,110,100,61,34,53,51,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,34,32,99,111,108,61,34,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,51,34,32,108,105,110,101,69,110,100,61,34,53,51,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,34,32,99,111,108,61,34,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,34,32,99,111,108,61,34,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,48,46,54,51,54,54,49,57,55,55,50,51,54,55,53,56,49,52,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,34,32,99,111,108,61,34,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,34,32,99,111,108,61,34,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,34,32,99,111,108,61,34,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,53,34,32,99,111,108,61,34,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,48,46,49,57,54,55,50,54,51,50,56,54,49,54,54,57,51,50,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,53,34,32,99,111,108,61,34,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,54,34,32,99,111,108,61,34,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,54,34,32,99,111,108,61,34,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,48,46,54,48,53,52,54,49,51,56,50,57,49,50,53,50,53,54,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,55,34,32,99,111,108,61,34,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,55,34,32,99,111,108,61,34,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,48,46,53,49,53,48,51,54,50,49,52,56,48,48,52,56,51,57,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,56,34,32,99,111,108,61,34,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,56,34,32,99,111,108,61,34,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,10,32,32,32,32,32,32,60,47,109,97,116,114,105,120,62,10,32,32,32,32,60,47,108,105,110,101,97,114,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,54,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,114,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7045160);
/* memory initializer */ allocate([97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,82,41,32,42,32,97,105,109,99,77,46,105,114,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,54,34,32,108,105,110,101,69,110,100,61,34,55,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,54,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,114,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,118,41,32,42,32,97,105,109,99,77,46,105,114,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,54,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,114,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,82,41,32,42,32,97,105,109,99,77,46,105,114,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,54,34,32,108,105,110,101,69,110,100,61,34,55,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,54,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,114,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,118,41,32,42,32,97,105,109,99,77,46,105,114,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,54,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,114,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,82,41,32,42,32,97,105,109,99,77,46,105,114,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,54,34,32,108,105,110,101,69,110,100,61,34,55,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,54,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,114,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,118,41,32,42,32,97,105,109,99,77,46,105,114,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,54,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,82,111,116,111,114,87,105,110,100,105,110,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,32,43,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,32,45,32,40,45,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,76,111,115,115,80,111,119,101,114,41,32,45,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,76,111,115,115,80,111,119,101,114,32,45,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,56,52,34,32,108,105,110,101,69,110,100,61,34,57,56,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,54,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,82,111,116,111,114,87,105,110,100,105,110,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,32,43,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,32,43,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,32,43,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,76,111,115,115,80,111,119,101,114,32,43,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,76,111,115,115,80,111,119,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,57,50,34,32,108,105,110,101,69,110,100,61,34,49,51,54,57,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,54,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,114,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,114,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,114,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,105,114,91,50,93,32,43,32,97,105,109,99,77,46,105,114,91,49,93,32,45,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,32,43,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,32,45,32,97,105,109,99,77,46,105,114,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,51,34,32,108,105,110,101,69,110,100,61,34,53,51,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,54,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,116,97,117,69,108,101,99,116,114,105,99,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,49,46,53,55,48,55,57,54,51,50,54,55,57,52,56,57,55,32,42,32,47,42,82,101,97,108,42,47,40,97,105,109,99,77,46,97,105,114,71,97,112,46,112,41,32,42,32,40,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,105,109,32,42,32,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,32,45,32,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,114,101,32,42,32,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,48,48,34,32,108,105,110,101,69,110,100,61,34,53,56,48,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,55,48,34,62,10,32,32,32,32,60,108,105,110,101,97,114,32,115,105,122,101,61,34,50,34,32,110,110,122,61,34,52,34,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,116,97,117,83,104,97,102,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,108,111,97,100,73,110,101,114,116,105,97,77,46,97,34,32,47,62,10,32,32,32,32,32,32,60,114,111,119,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,97,105,109,99,77,46,116,97,117,69,108,101,99,116,114,105,99,97,108,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,116,97,117,60,47,99,101,108,108,62,10,32,32,32,32,32,32,60,47,114,111,119,62,10,32,32,32,32,32,32,60,109,97,116,114,105,120,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,32,114,111,119,61,34,48,34,32,99,111,108,61,34,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,49,57,34,32,108,105,110,101,69,110,100,61,34,50,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,48,34,32,99,111,108,61,34,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,74,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,49,57,34,32,108,105,110,101,69,110,100,61,34,50,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,34,32,99,111,108,61,34,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,49,57,34,32,108,105,110,101,69,110,100,61,34,50,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,108,111,97,100,73,110,101,114,116,105,97,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,34,32,99,111,108,61,34,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,108,111,97,100,73,110,101,114,116,105,97,77,46,74,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,49,57,34,32,108,105,110,101,69,110,100,61,34,50,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,108,111,97,100,73,110,101,114,116,105,97,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,10,32,32,32,32,32,32,60,47,109,97,116,114,105,120,62,10,32,32,32,32,60,47,108,105,110,101,97,114,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,55,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,112,111,119,101,114,77,101,99,104,97,110,105,99,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,116,97,117,83,104,97,102,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,32,42,32,97,105,109,99,77,46,116,97,117,83,104,97,102,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,53,57,34,32,108,105,110,101,69,110,100,61,34,49,51,54,53,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7055400);
/* memory initializer */ allocate([101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,55,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,108,111,97,100,73,110,101,114,116,105,97,77,46,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,108,111,97,100,73,110,101,114,116,105,97,77,46,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,49,56,34,32,108,105,110,101,69,110,100,61,34,50,51,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,55,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,112,111,119,101,114,73,110,101,114,116,105,97,82,111,116,111,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,108,111,97,100,73,110,101,114,116,105,97,77,46,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,74,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,74,32,42,32,108,111,97,100,73,110,101,114,116,105,97,77,46,97,32,42,32,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,54,49,34,32,108,105,110,101,69,110,100,61,34,49,51,54,54,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,55,52,34,62,10,32,32,32,32,60,108,105,110,101,97,114,32,115,105,122,101,61,34,53,55,34,32,110,110,122,61,34,49,52,52,34,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,86,95,109,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,118,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,86,95,109,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,111,119,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,51,93,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,53,46,48,32,42,32,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,105,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,53,93,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,50,93,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,52,93,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,49,93,60,47,99,101,108,108,62,10,32,32,32,32,32,32,60,47,114,111,119,62,10,32,32,32,32,32,32,60,109,97,116,114,105,120,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,32,114,111,119,61,34,48,34,32,99,111,108,61,34,53,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,48,34,32,99,111,108,61,34,53,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,34,32,99,111,108,61,34,53,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,48,46,54,51,54,54,49,57,55,55,50,51,54,55,53,56,49,52,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,34,32,99,111,108,61,34,53,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,34,32,99,111,108,61,34,50,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,51,34,32,108,105,110,101,69,110,100,61,34,53,51,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7065640);
/* memory initializer */ allocate([32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,34,32,99,111,108,61,34,51,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,51,34,32,108,105,110,101,69,110,100,61,34,53,51,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,34,32,99,111,108,61,34,51,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,51,34,32,108,105,110,101,69,110,100,61,34,53,51,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,34,32,99,111,108,61,34,53,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,51,34,32,108,105,110,101,69,110,100,61,34,53,51,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,34,32,99,111,108,61,34,53,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,51,34,32,108,105,110,101,69,110,100,61,34,53,51,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,34,32,99,111,108,61,34,53,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,34,32,99,111,108,61,34,53,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,48,46,53,49,53,48,51,54,50,49,52,56,48,48,52,56,52,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,34,32,99,111,108,61,34,50,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,34,32,99,111,108,61,34,53,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,34,32,99,111,108,61,34,53,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,53,34,32,99,111,108,61,34,49,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,53,34,32,99,111,108,61,34,53,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,53,34,32,99,111,108,61,34,53,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,54,34,32,99,111,108,61,34,49,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,54,34,32,99,111,108,61,34,53,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,54,34,32,99,111,108,61,34,53,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,55,34,32,99,111,108,61,34,52,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,54,34,32,108,105,110,101,69,110,100,61,34,55,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,55,34,32,99,111,108,61,34,53,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,82,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,54,34,32,108,105,110,101,69,110,100,61,34,55,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,56,34,32,99,111,108,61,34,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,56,34,32,99,111,108,61,34,52,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,56,34,32,99,111,108,61,34,52,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,57,34,32,99,111,108,61,34,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,57,34,32,99,111,108,61,34,52,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7075880);
/* memory initializer */ allocate([32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,57,34,32,99,111,108,61,34,52,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,48,34,32,99,111,108,61,34,52,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,48,34,32,99,111,108,61,34,52,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,48,34,32,99,111,108,61,34,52,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,49,34,32,99,111,108,61,34,50,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,49,34,32,99,111,108,61,34,52,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,49,34,32,99,111,108,61,34,52,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,50,34,32,99,111,108,61,34,52,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,48,46,51,48,57,48,49,54,57,57,52,51,55,52,57,52,55,53,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,50,52,34,32,108,105,110,101,69,110,100,61,34,52,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,50,34,32,99,111,108,61,34,52,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,48,46,57,53,49,48,53,54,53,49,54,50,57,53,49,53,51,53,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,50,52,34,32,108,105,110,101,69,110,100,61,34,52,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,50,34,32,99,111,108,61,34,52,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,50,52,34,32,108,105,110,101,69,110,100,61,34,52,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,51,34,32,99,111,108,61,34,50,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,50,52,34,32,108,105,110,101,69,110,100,61,34,52,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,51,34,32,99,111,108,61,34,52,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,48,46,51,48,57,48,49,54,57,57,52,51,55,52,57,52,55,50,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,50,52,34,32,108,105,110,101,69,110,100,61,34,52,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,51,34,32,99,111,108,61,34,52,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,48,46,57,53,49,48,53,54,53,49,54,50,57,53,49,53,51,54,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,50,52,34,32,108,105,110,101,69,110,100,61,34,52,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,52,34,32,99,111,108,61,34,52,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,50,52,34,32,108,105,110,101,69,110,100,61,34,52,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,52,34,32,99,111,108,61,34,52,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,48,46,56,48,57,48,49,54,57,57,52,51,55,52,57,52,55,54,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,50,52,34,32,108,105,110,101,69,110,100,61,34,52,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,52,34,32,99,111,108,61,34,52,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,48,46,53,56,55,55,56,53,50,53,50,50,57,50,52,55,51,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,50,52,34,32,108,105,110,101,69,110,100,61,34,52,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,53,34,32,99,111,108,61,34,52,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,50,52,34,32,108,105,110,101,69,110,100,61,34,52,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,53,34,32,99,111,108,61,34,52,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,48,46,56,48,57,48,49,54,57,57,52,51,55,52,57,52,55,51,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,50,52,34,32,108,105,110,101,69,110,100,61,34,52,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,53,34,32,99,111,108,61,34,52,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,48,46,53,56,55,55,56,53,50,53,50,50,57,50,52,55,51,50,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,50,52,34,32,108,105,110,101,69,110,100,61,34,52,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,54,34,32,99,111,108,61,34,52,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7086120);
/* memory initializer */ allocate([108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,54,34,32,99,111,108,61,34,52,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,54,34,32,99,111,108,61,34,52,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,55,34,32,99,111,108,61,34,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,55,34,32,99,111,108,61,34,51,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,55,34,32,99,111,108,61,34,52,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,56,34,32,99,111,108,61,34,49,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,56,34,32,99,111,108,61,34,51,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,56,34,32,99,111,108,61,34,51,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,57,34,32,99,111,108,61,34,51,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,57,34,32,99,111,108,61,34,51,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,48,34,32,99,111,108,61,34,51,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,40,105,102,32,105,100,101,97,108,67,108,111,115,101,114,77,46,99,111,110,116,114,111,108,91,51,93,32,116,104,101,110,32,49,46,54,54,54,54,54,54,54,54,54,54,54,54,54,54,55,101,45,48,53,32,101,108,115,101,32,49,46,48,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,53,34,32,108,105,110,101,69,110,100,61,34,49,53,53,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,48,34,32,99,111,108,61,34,51,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,53,34,32,108,105,110,101,69,110,100,61,34,49,53,53,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,49,34,32,99,111,108,61,34,51,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,54,34,32,108,105,110,101,69,110,100,61,34,49,53,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,49,34,32,99,111,108,61,34,51,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,40,105,102,32,105,100,101,97,108,67,108,111,115,101,114,77,46,99,111,110,116,114,111,108,91,51,93,32,116,104,101,110,32,49,46,48,32,101,108,115,101,32,54,46,48,48,48,48,48,48,48,48,48,48,48,48,48,48,49,101,45,48,54,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,54,34,32,108,105,110,101,69,110,100,61,34,49,53,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,50,34,32,99,111,108,61,34,51,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,50,34,32,99,111,108,61,34,51,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,48,46,51,55,52,49,57,53,55,49,51,53,49,53,52,53,53,55,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,51,34,32,99,111,108,61,34,50,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,51,34,32,99,111,108,61,34,51,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,51,34,32,99,111,108,61,34,51,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,52,34,32,99,111,108,61,34,51,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,52,34,32,99,111,108,61,34,51,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,53,34,32,99,111,108,61,34,51,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,48,46,54,48,53,52,54,49,51,56,50,57,49,50,53,50,53,54,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7096360);
/* memory initializer */ allocate([97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,53,34,32,99,111,108,61,34,51,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,54,34,32,99,111,108,61,34,51,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,54,34,32,108,105,110,101,69,110,100,61,34,55,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,54,34,32,99,111,108,61,34,51,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,82,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,54,34,32,108,105,110,101,69,110,100,61,34,55,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,55,34,32,99,111,108,61,34,49,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,55,34,32,99,111,108,61,34,50,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,55,34,32,99,111,108,61,34,51,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,56,34,32,99,111,108,61,34,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,56,34,32,99,111,108,61,34,50,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,56,34,32,99,111,108,61,34,50,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,57,34,32,99,111,108,61,34,50,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,57,48,34,32,108,105,110,101,69,110,100,61,34,49,48,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,57,34,32,99,111,108,61,34,51,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,57,48,34,32,108,105,110,101,69,110,100,61,34,49,48,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,57,34,32,99,111,108,61,34,51,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,57,48,34,32,108,105,110,101,69,110,100,61,34,49,48,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,57,34,32,99,111,108,61,34,53,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,57,48,34,32,108,105,110,101,69,110,100,61,34,49,48,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,57,34,32,99,111,108,61,34,53,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,57,48,34,32,108,105,110,101,69,110,100,61,34,49,48,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,48,34,32,99,111,108,61,34,50,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,54,34,32,108,105,110,101,69,110,100,61,34,55,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,48,34,32,99,111,108,61,34,50,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,82,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,54,34,32,108,105,110,101,69,110,100,61,34,55,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,49,34,32,99,111,108,61,34,49,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,49,34,32,99,111,108,61,34,50,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,49,34,32,99,111,108,61,34,50,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,50,34,32,99,111,108,61,34,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,50,34,32,99,111,108,61,34,50,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,50,34,32,99,111,108,61,34,50,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,51,34,32,99,111,108,61,34,50,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7106600);
/* memory initializer */ allocate([112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,51,34,32,99,111,108,61,34,50,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,51,34,32,99,111,108,61,34,52,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,52,34,32,99,111,108,61,34,50,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,52,34,32,99,111,108,61,34,50,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,48,46,49,57,54,55,50,54,51,50,56,54,49,54,54,57,51,49,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,53,34,32,99,111,108,61,34,50,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,53,34,32,99,111,108,61,34,50,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,48,46,54,48,53,52,54,49,51,56,50,57,49,50,53,50,53,55,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,54,34,32,99,111,108,61,34,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,54,34,32,99,111,108,61,34,50,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,54,34,32,99,111,108,61,34,50,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,55,34,32,99,111,108,61,34,49,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,40,105,102,32,105,100,101,97,108,67,108,111,115,101,114,77,46,99,111,110,116,114,111,108,91,53,93,32,116,104,101,110,32,49,46,48,32,101,108,115,101,32,54,46,48,48,48,48,48,48,48,48,48,48,48,48,48,48,49,101,45,48,54,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,54,34,32,108,105,110,101,69,110,100,61,34,49,53,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,55,34,32,99,111,108,61,34,50,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,54,34,32,108,105,110,101,69,110,100,61,34,49,53,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,56,34,32,99,111,108,61,34,49,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,53,34,32,108,105,110,101,69,110,100,61,34,49,53,53,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,56,34,32,99,111,108,61,34,49,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,40,105,102,32,105,100,101,97,108,67,108,111,115,101,114,77,46,99,111,110,116,114,111,108,91,53,93,32,116,104,101,110,32,49,46,54,54,54,54,54,54,54,54,54,54,54,54,54,54,55,101,45,48,53,32,101,108,115,101,32,49,46,48,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,53,34,32,108,105,110,101,69,110,100,61,34,49,53,53,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,57,34,32,99,111,108,61,34,49,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,57,34,32,99,111,108,61,34,49,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,48,34,32,99,111,108,61,34,49,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,48,34,32,99,111,108,61,34,51,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,48,46,49,57,54,55,50,54,51,50,56,54,49,54,54,57,51,50,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,49,34,32,99,111,108,61,34,49,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,40,105,102,32,105,100,101,97,108,67,108,111,115,101,114,77,46,99,111,110,116,114,111,108,91,50,93,32,116,104,101,110,32,49,46,48,32,101,108,115,101,32,54,46,48,48,48,48,48,48,48,48,48,48,48,48,48,48,49,101,45,48,54,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,54,34,32,108,105,110,101,69,110,100,61,34,49,53,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,49,34,32,99,111,108,61,34,51,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,54,34,32,108,105,110,101,69,110,100,61,34,49,53,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,50,34,32,99,111,108,61,34,49,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,53,34,32,108,105,110,101,69,110,100,61,34,49,53,53,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,50,34,32,99,111,108,61,34,49,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,40,105,102,32,105,100,101,97,108,67,108,111,115,101,114,77,46,99,111,110,116,114,111,108,91,50,93,32,116,104,101,110,32,49,46,54,54,54,54,54,54,54,54,54,54,54,54,54,54,55,101,45,48,53,32,101,108,115,101,32,49,46,48,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7116840);
/* memory initializer */ allocate([108,105,110,101,83,116,97,114,116,61,34,49,53,53,53,34,32,108,105,110,101,69,110,100,61,34,49,53,53,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,51,34,32,99,111,108,61,34,49,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,51,34,32,99,111,108,61,34,49,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,52,34,32,99,111,108,61,34,49,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,54,34,32,108,105,110,101,69,110,100,61,34,55,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,52,34,32,99,111,108,61,34,51,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,82,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,54,34,32,108,105,110,101,69,110,100,61,34,55,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,53,34,32,99,111,108,61,34,49,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,53,34,32,99,111,108,61,34,51,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,48,46,53,49,53,48,51,54,50,49,52,56,48,48,52,56,51,57,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,54,34,32,99,111,108,61,34,49,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,54,34,32,99,111,108,61,34,52,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,54,34,32,99,111,108,61,34,52,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,55,34,32,99,111,108,61,34,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,55,34,32,99,111,108,61,34,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,55,34,32,99,111,108,61,34,49,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,56,34,32,99,111,108,61,34,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,56,34,32,99,111,108,61,34,53,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,48,46,51,55,52,49,57,53,55,49,51,53,49,53,52,53,53,54,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,57,34,32,99,111,108,61,34,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,40,105,102,32,105,100,101,97,108,67,108,111,115,101,114,77,46,99,111,110,116,114,111,108,91,52,93,32,116,104,101,110,32,49,46,48,32,101,108,115,101,32,54,46,48,48,48,48,48,48,48,48,48,48,48,48,48,48,49,101,45,48,54,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,54,34,32,108,105,110,101,69,110,100,61,34,49,53,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,57,34,32,99,111,108,61,34,53,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,54,34,32,108,105,110,101,69,110,100,61,34,49,53,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,53,48,34,32,99,111,108,61,34,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,53,34,32,108,105,110,101,69,110,100,61,34,49,53,53,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,53,48,34,32,99,111,108,61,34,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,40,105,102,32,105,100,101,97,108,67,108,111,115,101,114,77,46,99,111,110,116,114,111,108,91,52,93,32,116,104,101,110,32,49,46,54,54,54,54,54,54,54,54,54,54,54,54,54,54,55,101,45,48,53,32,101,108,115,101,32,49,46,48,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,53,34,32,108,105,110,101,69,110,100,61,34,49,53,53,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,53,49,34,32,99,111,108,61,34,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,53,49,34,32,99,111,108,61,34,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,53,50,34,32,99,111,108,61,34,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,54,34,32,108,105,110,101,69,110,100,61,34,55,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,53,50,34,32,99,111,108,61,34,53,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,82,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7127080);
/* memory initializer */ allocate([100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,54,34,32,108,105,110,101,69,110,100,61,34,55,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,53,51,34,32,99,111,108,61,34,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,53,51,34,32,99,111,108,61,34,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,53,51,34,32,99,111,108,61,34,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,53,52,34,32,99,111,108,61,34,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,40,105,102,32,105,100,101,97,108,67,108,111,115,101,114,77,46,99,111,110,116,114,111,108,91,49,93,32,116,104,101,110,32,49,46,48,32,101,108,115,101,32,54,46,48,48,48,48,48,48,48,48,48,48,48,48,48,48,49,101,45,48,54,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,54,34,32,108,105,110,101,69,110,100,61,34,49,53,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,53,52,34,32,99,111,108,61,34,53,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,54,34,32,108,105,110,101,69,110,100,61,34,49,53,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,53,53,34,32,99,111,108,61,34,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,53,34,32,108,105,110,101,69,110,100,61,34,49,53,53,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,53,53,34,32,99,111,108,61,34,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,40,105,102,32,105,100,101,97,108,67,108,111,115,101,114,77,46,99,111,110,116,114,111,108,91,49,93,32,116,104,101,110,32,49,46,54,54,54,54,54,54,54,54,54,54,54,54,54,54,55,101,45,48,53,32,101,108,115,101,32,49,46,48,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,53,34,32,108,105,110,101,69,110,100,61,34,49,53,53,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,53,54,34,32,99,111,108,61,34,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,53,54,34,32,99,111,108,61,34,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,10,32,32,32,32,32,32,60,47,109,97,116,114,105,120,62,10,32,32,32,32,60,47,108,105,110,101,97,114,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,55,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,118,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,49,93,32,45,32,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,55,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,118,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,32,45,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,55,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,118,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,52,93,32,45,32,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,55,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,105,48,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,76,122,101,114,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,118,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,118,91,53,93,44,32,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,76,122,101,114,111,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,57,49,34,32,108,105,110,101,69,110,100,61,34,49,48,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,55,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,118,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,50,93,32,45,32,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,56,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,118,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,53,93,32,45,32,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,56,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,118,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,32,45,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,56,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,118,32,42,32,97,105,109,99,77,46,105,115,91,53,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,56,34,32,108,105,110,101,69,110,100,61,34,49,53,53,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,56,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,118,32,42,32,97,105,109,99,77,46,105,115,91,53,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,56,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,118,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,32,45,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,60,47,114,104,115,62,10,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7137320);
/* memory initializer */ allocate([32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,56,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,118,32,42,32,97,105,109,99,77,46,105,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,56,34,32,108,105,110,101,69,110,100,61,34,49,53,53,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,56,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,118,32,42,32,97,105,109,99,77,46,105,115,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,56,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,118,32,42,32,97,105,109,99,77,46,105,115,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,56,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,118,32,42,32,97,105,109,99,77,46,105,115,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,56,34,32,108,105,110,101,69,110,100,61,34,49,53,53,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,56,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,118,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,51,93,32,45,32,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,57,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,118,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,32,45,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,57,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,118,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,32,45,32,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,50,54,34,32,108,105,110,101,69,110,100,61,34,54,55,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,57,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,118,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,32,45,32,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,50,54,34,32,108,105,110,101,69,110,100,61,34,54,55,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,57,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,118,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,32,45,32,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,50,54,34,32,108,105,110,101,69,110,100,61,34,54,55,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,57,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,118,115,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,32,45,32,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,50,54,34,32,108,105,110,101,69,110,100,61,34,54,55,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,57,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,118,115,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,32,45,32,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,50,54,34,32,108,105,110,101,69,110,100,61,34,54,55,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,57,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,118,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,32,45,32,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,55,34,32,108,105,110,101,69,110,100,61,34,52,50,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,57,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,118,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,32,45,32,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,55,34,32,108,105,110,101,69,110,100,61,34,52,50,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,57,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,118,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,32,45,32,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,55,34,32,108,105,110,101,69,110,100,61,34,52,50,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,57,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,118,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,118,32,45,32,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,55,34,32,108,105,110,101,69,110,100,61,34,52,50,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,48,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,118,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,118,32,45,32,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,55,34,32,108,105,110,101,69,110,100,61,34,52,50,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,48,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7147560);
/* memory initializer */ allocate([32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,118,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,32,45,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,48,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,118,32,42,32,97,105,109,99,77,46,105,115,91,52,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,56,34,32,108,105,110,101,69,110,100,61,34,49,53,53,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,48,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,118,32,42,32,97,105,109,99,77,46,105,115,91,52,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,48,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,118,32,42,32,97,105,109,99,77,46,105,115,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,56,34,32,108,105,110,101,69,110,100,61,34,49,53,53,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,48,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,118,32,42,32,97,105,109,99,77,46,105,115,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,48,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,83,116,97,116,111,114,87,105,110,100,105,110,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,32,43,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,32,45,32,40,45,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,76,111,115,115,80,111,119,101,114,41,32,45,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,76,111,115,115,80,111,119,101,114,32,45,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,56,52,34,32,108,105,110,101,69,110,100,61,34,57,56,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,48,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,84,111,116,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,82,111,116,111,114,87,105,110,100,105,110,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,83,116,97,116,111,114,87,105,110,100,105,110,103,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,83,116,97,116,111,114,87,105,110,100,105,110,103,32,43,32,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,82,111,116,111,114,87,105,110,100,105,110,103,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,49,55,57,34,32,108,105,110,101,69,110,100,61,34,49,50,49,56,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,48,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,97,116,111,114,87,105,110,100,105,110,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,32,43,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,32,43,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,32,43,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,76,111,115,115,80,111,119,101,114,32,43,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,76,111,115,115,80,111,119,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,54,51,34,32,108,105,110,101,69,110,100,61,34,49,51,54,54,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,48,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,84,111,116,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,82,111,116,111,114,87,105,110,100,105,110,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,97,116,111,114,87,105,110,100,105,110,103,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,97,116,111,114,87,105,110,100,105,110,103,32,43,32,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,82,111,116,111,114,87,105,110,100,105,110,103,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,54,50,34,32,108,105,110,101,69,110,100,61,34,49,51,54,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,49,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,73,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,113,114,116,40,48,46,50,32,42,32,40,97,105,109,99,77,46,105,115,91,49,93,32,94,32,50,46,48,32,43,32,97,105,109,99,77,46,105,115,91,50,93,32,94,32,50,46,48,32,43,32,97,105,109,99,77,46,105,115,91,51,93,32,94,32,50,46,48,32,43,32,97,105,109,99,77,46,105,115,91,52,93,32,94,32,50,46,48,32,43,32,97,105,109,99,77,46,105,115,91,53,93,32,94,32,50,46,48,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,51,50,34,32,108,105,110,101,69,110,100,61,34,50,50,51,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,108,111,99,107,115,46,81,117,97,115,105,82,77,83,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,113,117,97,115,105,82,77,83,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,49,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,102,101,101,100,98,97,99,107,46,117,50,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,73,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,54,54,54,54,54,54,54,54,54,54,54,54,54,54,55,32,42,32,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,73,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,77,97,116,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,51,57,34,32,108,105,110,101,69,110,100,61,34,54,51,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,77,97,116,104,46,71,97,105,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,103,97,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,49,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,103,114,111,117,110,100,77,46,112,46,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,105,109,99,77,46,105,115,91,53,93,41,32,45,32,40,97,105,109,99,77,46,105,115,91,49,93,32,43,32,97,105,109,99,77,46,105,115,91,50,93,32,43,32,97,105,109,99,77,46,105,115,91,51,93,32,43,32,97,105,109,99,77,46,105,115,91,52,93,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,51,34,32,108,105,110,101,69,110,100,61,34,53,51,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,97,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,49,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,112,111,119,101,114,83,116,97,116,111,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,118,115,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,118,115,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,118,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,118,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,118,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,118,115,91,49,93,32,42,32,97,105,109,99,77,46,105,115,91,49,93,32,43,32,97,105,109,99,77,46,118,115,91,50,93,32,42,32,97,105,109,99,77,46,105,115,91,50,93,32,43,32,97,105,109,99,77,46,118,115,91,51,93,32,42,32,97,105,109,99,77,46,105,115,91,51,93,32,43,32,97,105,109,99,77,46,118,115,91,52,93,32,42,32,97,105,109,99,77,46,105,115,91,52,93,32,43,32,97,105,109,99,77,46,118,115,91,53,93,32,42,32,97,105,109,99,77,46,105,115,91,53,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,53,56,34,32,108,105,110,101,69,110,100,61,34,49,51,54,53,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7157800);
/* memory initializer */ allocate([99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,49,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,105,82,77,83,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,113,114,116,40,48,46,50,32,42,32,40,97,105,109,99,77,46,105,115,91,49,93,32,94,32,50,46,48,32,43,32,97,105,109,99,77,46,105,115,91,50,93,32,94,32,50,46,48,32,43,32,97,105,109,99,77,46,105,115,91,51,93,32,94,32,50,46,48,32,43,32,97,105,109,99,77,46,105,115,91,52,93,32,94,32,50,46,48,32,43,32,97,105,109,99,77,46,105,115,91,53,93,32,94,32,50,46,48,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,53,53,57,34,32,108,105,110,101,69,110,100,61,34,49,49,53,53,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,49,53,34,62,10,32,32,32,32,60,108,105,110,101,97,114,32,115,105,122,101,61,34,52,54,34,32,110,110,122,61,34,49,49,55,34,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,86,95,109,46,105,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,86,95,109,46,114,101,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,105,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,114,101,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,46,105,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,105,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,114,101,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,46,114,101,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,46,105,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,46,105,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,105,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,114,46,105,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,114,101,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,114,101,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,105,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,86,95,109,46,105,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,114,114,46,105,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,86,95,109,46,114,101,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,114,114,46,114,101,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,114,46,114,101,41,34,32,47,62,10,32,32,32,32,32,32,60,114,111,119,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,32,42,32,36,68,69,82,46,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,114,101,32,43,32,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,32,42,32,36,68,69,82,46,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,105,109,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,114,101,32,42,32,36,68,69,82,46,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,114,101,32,43,32,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,105,109,32,42,32,36,68,69,82,46,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,105,109,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,40,45,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,114,101,41,32,42,32,36,68,69,82,46,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,105,109,32,43,32,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,105,109,32,42,32,36,68,69,82,46,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,114,101,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,118,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,40,45,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,41,32,42,32,36,68,69,82,46,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,105,109,32,43,32,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,32,42,32,36,68,69,82,46,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,114,101,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,36,68,69,82,46,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,118,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,118,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,118,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,118,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,118,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,60,47,114,111,119,62,10,32,32,32,32,32,32,60,109,97,116,114,105,120,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,32,114,111,119,61,34,48,34,32,99,111,108,61,34,50,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,105,109,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,57,51,34,32,108,105,110,101,69,110,100,61,34,53,55,57,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,48,34,32,99,111,108,61,34,50,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,114,101,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,57,51,34,32,108,105,110,101,69,110,100,61,34,53,55,57,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,48,34,32,99,111,108,61,34,52,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,57,51,34,32,108,105,110,101,69,110,100,61,34,53,55,57,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,34,32,99,111,108,61,34,51,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,54,50,46,53,57,53,55,55,48,52,48,49,50,49,57,57,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,57,55,34,32,108,105,110,101,69,110,100,61,34,53,55,57,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,34,32,99,111,108,61,34,52,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,53,55,48,55,57,54,51,50,54,55,57,52,56,57,55,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,57,55,34,32,108,105,110,101,69,110,100,61,34,53,55,57,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,34,32,99,111,108,61,34,52,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,53,55,48,55,57,54,51,50,54,55,57,52,56,57,55,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,57,55,34,32,108,105,110,101,69,110,100,61,34,53,55,57,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,34,32,99,111,108,61,34,49,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,34,32,99,111,108,61,34,52,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7168040);
/* memory initializer */ allocate([32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,34,32,99,111,108,61,34,52,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,34,32,99,111,108,61,34,52,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,48,46,49,57,54,55,50,54,51,50,56,54,49,54,54,57,51,49,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,34,32,99,111,108,61,34,52,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,34,32,99,111,108,61,34,52,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,56,34,32,108,105,110,101,69,110,100,61,34,51,51,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,34,32,99,111,108,61,34,52,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,76,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,56,34,32,108,105,110,101,69,110,100,61,34,51,51,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,53,34,32,99,111,108,61,34,50,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,53,34,32,99,111,108,61,34,52,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,53,34,32,99,111,108,61,34,52,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,54,34,32,99,111,108,61,34,51,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,48,46,51,48,57,48,49,54,57,57,52,51,55,52,57,52,55,50,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,50,52,34,32,108,105,110,101,69,110,100,61,34,52,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,54,34,32,99,111,108,61,34,51,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,48,46,57,53,49,48,53,54,53,49,54,50,57,53,49,53,51,54,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,50,52,34,32,108,105,110,101,69,110,100,61,34,52,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,54,34,32,99,111,108,61,34,52,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,50,52,34,32,108,105,110,101,69,110,100,61,34,52,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,55,34,32,99,111,108,61,34,50,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,53,55,48,55,57,54,51,50,54,55,57,52,56,57,55,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,57,56,34,32,108,105,110,101,69,110,100,61,34,53,55,57,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,55,34,32,99,111,108,61,34,51,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,53,55,48,55,57,54,51,50,54,55,57,52,56,57,55,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,57,56,34,32,108,105,110,101,69,110,100,61,34,53,55,57,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,55,34,32,99,111,108,61,34,51,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,54,50,46,53,57,53,55,55,48,52,48,49,50,49,57,57,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,57,56,34,32,108,105,110,101,69,110,100,61,34,53,55,57,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,56,34,32,99,111,108,61,34,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,56,34,32,99,111,108,61,34,51,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,56,34,32,99,111,108,61,34,51,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,57,34,32,99,111,108,61,34,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,57,34,32,99,111,108,61,34,51,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,57,34,32,99,111,108,61,34,51,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,48,34,32,99,111,108,61,34,51,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,48,46,51,55,52,49,57,53,55,49,51,53,49,53,52,53,53,54,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7178280);
/* memory initializer */ allocate([111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,48,34,32,99,111,108,61,34,51,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,49,34,32,99,111,108,61,34,51,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,56,34,32,108,105,110,101,69,110,100,61,34,51,51,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,49,34,32,99,111,108,61,34,51,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,76,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,56,34,32,108,105,110,101,69,110,100,61,34,51,51,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,50,34,32,99,111,108,61,34,50,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,50,34,32,99,111,108,61,34,51,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,50,34,32,99,111,108,61,34,51,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,51,34,32,99,111,108,61,34,51,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,48,46,56,48,57,48,49,54,57,57,52,51,55,52,57,52,55,54,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,50,52,34,32,108,105,110,101,69,110,100,61,34,52,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,51,34,32,99,111,108,61,34,51,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,50,52,34,32,108,105,110,101,69,110,100,61,34,52,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,51,34,32,99,111,108,61,34,51,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,48,46,53,56,55,55,56,53,50,53,50,50,57,50,52,55,51,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,50,52,34,32,108,105,110,101,69,110,100,61,34,52,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,52,34,32,99,111,108,61,34,51,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,114,101,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,56,48,34,32,108,105,110,101,69,110,100,61,34,53,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,52,34,32,99,111,108,61,34,51,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,105,109,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,56,48,34,32,108,105,110,101,69,110,100,61,34,53,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,52,34,32,99,111,108,61,34,51,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,56,48,34,32,108,105,110,101,69,110,100,61,34,53,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,53,34,32,99,111,108,61,34,51,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,105,109,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,56,48,34,32,108,105,110,101,69,110,100,61,34,53,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,53,34,32,99,111,108,61,34,51,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,114,101,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,56,48,34,32,108,105,110,101,69,110,100,61,34,53,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,53,34,32,99,111,108,61,34,51,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,56,48,34,32,108,105,110,101,69,110,100,61,34,53,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,54,34,32,99,111,108,61,34,50,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,51,55,34,32,108,105,110,101,69,110,100,61,34,53,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,99,111,110,110,101,99,116,45,101,113,117,97,116,105,111,110,32,47,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,54,34,32,99,111,108,61,34,51,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,51,55,34,32,108,105,110,101,69,110,100,61,34,53,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,99,111,110,110,101,99,116,45,101,113,117,97,116,105,111,110,32,47,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,55,34,32,99,111,108,61,34,50,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,53,55,48,55,57,54,51,50,54,55,57,52,56,57,55,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,55,34,32,108,105,110,101,69,110,100,61,34,52,48,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,55,34,32,99,111,108,61,34,50,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,82,95,109,46,100,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,55,34,32,108,105,110,101,69,110,100,61,34,52,48,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,56,34,32,99,111,108,61,34,50,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,114,101,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,57,51,34,32,108,105,110,101,69,110,100,61,34,53,55,57,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,56,34,32,99,111,108,61,34,50,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,57,51,34,32,108,105,110,101,69,110,100], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7188520);
/* memory initializer */ allocate([61,34,53,55,57,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,56,34,32,99,111,108,61,34,50,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,105,109,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,57,51,34,32,108,105,110,101,69,110,100,61,34,53,55,57,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,57,34,32,99,111,108,61,34,50,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,51,55,34,32,108,105,110,101,69,110,100,61,34,53,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,99,111,110,110,101,99,116,45,101,113,117,97,116,105,111,110,32,47,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,57,34,32,99,111,108,61,34,51,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,51,55,34,32,108,105,110,101,69,110,100,61,34,53,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,99,111,110,110,101,99,116,45,101,113,117,97,116,105,111,110,32,47,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,48,34,32,99,111,108,61,34,50,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,53,55,48,55,57,54,51,50,54,55,57,52,56,57,55,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,56,34,32,108,105,110,101,69,110,100,61,34,52,48,50,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,48,34,32,99,111,108,61,34,50,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,82,95,109,46,113,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,56,34,32,108,105,110,101,69,110,100,61,34,52,48,50,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,49,34,32,99,111,108,61,34,49,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,49,34,32,99,111,108,61,34,50,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,49,34,32,99,111,108,61,34,51,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,50,34,32,99,111,108,61,34,50,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,50,34,32,99,111,108,61,34,50,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,51,34,32,99,111,108,61,34,50,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,51,34,32,99,111,108,61,34,50,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,52,34,32,99,111,108,61,34,50,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,52,34,32,99,111,108,61,34,50,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,53,34,32,99,111,108,61,34,50,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,53,34,32,99,111,108,61,34,50,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,54,34,32,99,111,108,61,34,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,54,34,32,99,111,108,61,34,49,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,54,34,32,99,111,108,61,34,50,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,55,34,32,99,111,108,61,34,49,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,46,76,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,56,34,32,108,105,110,101,69,110,100,61,34,51,51,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,55,34,32,99,111,108,61,34,49,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,56,34,32,108,105,110,101,69,110,100,61,34,51,51,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,56,34,32,99,111,108,61,34,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,51,34,32,108,105,110,101,69,110,100,61,34,53,51,51,34,32,99,111,108,83,116,97,114,116,61,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7198760);
/* memory initializer */ allocate([55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,56,34,32,99,111,108,61,34,49,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,51,34,32,108,105,110,101,69,110,100,61,34,53,51,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,56,34,32,99,111,108,61,34,49,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,51,34,32,108,105,110,101,69,110,100,61,34,53,51,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,56,34,32,99,111,108,61,34,51,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,51,34,32,108,105,110,101,69,110,100,61,34,53,51,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,56,34,32,99,111,108,61,34,52,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,51,34,32,108,105,110,101,69,110,100,61,34,53,51,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,57,34,32,99,111,108,61,34,49,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,56,34,32,108,105,110,101,69,110,100,61,34,51,51,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,57,34,32,99,111,108,61,34,49,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,46,76,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,56,34,32,108,105,110,101,69,110,100,61,34,51,51,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,48,34,32,99,111,108,61,34,49,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,48,34,32,99,111,108,61,34,49,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,48,46,54,51,54,54,49,57,55,55,50,51,54,55,53,56,49,52,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,49,34,32,99,111,108,61,34,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,49,34,32,99,111,108,61,34,49,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,49,34,32,99,111,108,61,34,49,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,50,34,32,99,111,108,61,34,49,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,50,34,32,99,111,108,61,34,49,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,50,34,32,99,111,108,61,34,49,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,51,34,32,99,111,108,61,34,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,51,34,32,99,111,108,61,34,49,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,51,34,32,99,111,108,61,34,49,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,52,34,32,99,111,108,61,34,49,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,52,34,32,99,111,108,61,34,49,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,48,46,53,49,53,48,51,54,50,49,52,56,48,48,52,56,51,57,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,53,34,32,99,111,108,61,34,49,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,53,34,32,99,111,108,61,34,49,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,48,46,51,55,52,49,57,53,55,49,51,53,49,53,52,53,53,55,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7209000);
/* memory initializer */ allocate([32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,54,34,32,99,111,108,61,34,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,54,34,32,99,111,108,61,34,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,54,34,32,99,111,108,61,34,49,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,55,34,32,99,111,108,61,34,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,55,34,32,99,111,108,61,34,50,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,56,34,32,99,111,108,61,34,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,56,34,32,99,111,108,61,34,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,56,34,32,99,111,108,61,34,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,57,34,32,99,111,108,61,34,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,46,76,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,56,34,32,108,105,110,101,69,110,100,61,34,51,51,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,57,34,32,99,111,108,61,34,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,56,34,32,108,105,110,101,69,110,100,61,34,51,51,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,48,34,32,99,111,108,61,34,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,48,34,32,99,111,108,61,34,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,48,46,49,57,54,55,50,54,51,50,56,54,49,54,54,57,51,50,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,49,34,32,99,111,108,61,34,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,49,34,32,99,111,108,61,34,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,48,46,54,48,53,52,54,49,51,56,50,57,49,50,53,50,53,54,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,50,34,32,99,111,108,61,34,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,50,52,34,32,108,105,110,101,69,110,100,61,34,52,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,50,34,32,99,111,108,61,34,51,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,48,46,56,48,57,48,49,54,57,57,52,51,55,52,57,52,55,51,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,50,52,34,32,108,105,110,101,69,110,100,61,34,52,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,50,34,32,99,111,108,61,34,51,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,48,46,53,56,55,55,56,53,50,53,50,50,57,50,52,55,51,50,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,50,52,34,32,108,105,110,101,69,110,100,61,34,52,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,51,34,32,99,111,108,61,34,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,50,52,34,32,108,105,110,101,69,110,100,61,34,52,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,51,34,32,99,111,108,61,34,51,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,48,46,51,48,57,48,49,54,57,57,52,51,55,52,57,52,55,53,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,50,52,34,32,108,105,110,101,69,110,100,61,34,52,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,51,34,32,99,111,108,61,34,51,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,48,46,57,53,49,48,53,54,53,49,54,50,57,53,49,53,51,53,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,50,52,34,32,108,105,110,101,69,110,100,61,34,52,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,52,34,32,99,111,108,61,34,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,52,34,32,99,111,108,61,34,51,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,48,46,53,49,53,48,51,54,50,49,52,56,48,48,52,56,52,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7219240);
/* memory initializer */ allocate([32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,53,34,32,99,111,108,61,34,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,53,34,32,99,111,108,61,34,52,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,48,46,54,48,53,52,54,49,51,56,50,57,49,50,53,50,53,55,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,10,32,32,32,32,32,32,60,47,109,97,116,114,105,120,62,10,32,32,32,32,60,47,108,105,110,101,97,114,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,49,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,118,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,50,93,32,45,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,49,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,118,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,51,93,32,45,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,49,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,118,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,32,45,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,49,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,118,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,32,45,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,50,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,118,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,118,32,45,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,50,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,118,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,118,32,45,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,50,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,118,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,32,45,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,50,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,118,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,49,93,32,45,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,50,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,118,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,52,93,32,45,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,50,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,118,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,53,93,32,45,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,50,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,104,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,102,105,120,101,100,46,112,104,105,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,112,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,112,104,105,32,45,32,97,105,109,99,77,46,102,105,120,101,100,46,112,104,105,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,56,50,34,32,108,105,110,101,69,110,100,61,34,49,52,53,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,50,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,112,104,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,102,105,120,101,100,46,112,104,105,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,112,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,112,104,105,32,45,32,97,105,109,99,77,46,102,105,120,101,100,46,112,104,105,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,56,50,34,32,108,105,110,101,69,110,100,61,34,49,52,53,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,50,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,105,109,99,51,46,105,115,91,50,93,41,32,45,32,97,105,109,99,51,46,105,115,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,51,34,32,108,105,110,101,69,110,100,61,34,53,51,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,50,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,105,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,97,105,109,99,51,46,105,115,91,50,93,32,45,32,40,45,97,105,109,99,51,46,105,115,91,51,93,41,32,45,32,97,105,109,99,51,46,105,115,91,49,93,41,32,47,32,51,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,57,48,34,32,108,105,110,101,69,110,100,61,34,49,48,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7229480);
/* memory initializer */ allocate([105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,51,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,54,51,54,54,49,57,55,55,50,51,54,55,53,56,49,52,32,42,32,97,105,109,99,51,46,105,115,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,51,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,46,114,101,41,32,45,32,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,51,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,82,95,109,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,45,49,46,53,55,48,55,57,54,51,50,54,55,57,52,56,57,55,32,42,32,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,44,32,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,82,95,109,46,100,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,55,34,32,108,105,110,101,69,110,100,61,34,52,48,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,51,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,114,101,32,45,32,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,114,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,51,55,34,32,108,105,110,101,69,110,100,61,34,53,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,99,111,110,110,101,99,116,45,101,113,117,97,116,105,111,110,32,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,51,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,114,101,41,32,45,32,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,52,55,34,32,108,105,110,101,69,110,100,61,34,53,54,53,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,99,111,110,110,101,99,116,45,101,113,117,97,116,105,111,110,32,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,51,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,105,109,99,51,46,115,116,97,116,111,114,46,112,111,114,116,95,110,46,80,104,105,46,114,101,41,32,45,32,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,114,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,53,54,52,34,32,108,105,110,101,69,110,100,61,34,54,53,57,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,115,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,51,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,114,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,32,42,32,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,114,101,32,45,32,40,45,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,41,32,42,32,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,105,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,57,51,34,32,108,105,110,101,69,110,100,61,34,53,55,57,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,51,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,114,114,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,114,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,48,51,46,53,49,49,54,56,50,51,52,48,55,53,54,49,32,42,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,32,45,32,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,114,46,114,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,57,55,34,32,108,105,110,101,69,110,100,61,34,53,55,57,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,51,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,114,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,41,32,42,32,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,105,109,32,43,32,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,32,42,32,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,114,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,57,51,34,32,108,105,110,101,69,110,100,61,34,53,55,57,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,51,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,114,114,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,114,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,48,51,46,53,49,49,54,56,50,51,52,48,55,53,54,49,32,42,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,32,45,32,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,114,46,105,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,57,56,34,32,108,105,110,101,69,110,100,61,34,53,55,57,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,52,48,34,62,10,32,32,32,32,60,108,105,110,101,97,114,32,115,105,122,101,61,34,57,34,32,110,110,122,61,34,50,48,34,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,114,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,114,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,114,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,114,111,119,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,114,114,46,105,109,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,114,114,46,114,101,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,60,47,114,111,119,62,10,32,32,32,32,32,32,60,109,97,116,114,105,120,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,32,114,111,119,61,34,48,34,32,99,111,108,61,34,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,48,34,32,99,111,108,61,34,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,34,32,99,111,108,61,34,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,48,46,53,53,49,51,50,56,56,57,53,52,50,49,55,57,50,49,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7239720);
/* memory initializer */ allocate([32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,34,32,99,111,108,61,34,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,34,32,99,111,108,61,34,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,51,34,32,108,105,110,101,69,110,100,61,34,53,51,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,34,32,99,111,108,61,34,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,51,34,32,108,105,110,101,69,110,100,61,34,53,51,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,34,32,99,111,108,61,34,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,51,34,32,108,105,110,101,69,110,100,61,34,53,51,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,34,32,99,111,108,61,34,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,34,32,99,111,108,61,34,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,48,46,54,51,54,54,49,57,55,55,50,51,54,55,53,56,49,52,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,34,32,99,111,108,61,34,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,34,32,99,111,108,61,34,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,34,32,99,111,108,61,34,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,53,34,32,99,111,108,61,34,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,53,34,32,99,111,108,61,34,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,54,34,32,99,111,108,61,34,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,48,46,51,49,56,51,48,57,56,56,54,49,56,51,55,57,49,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,54,34,32,99,111,108,61,34,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,55,34,32,99,111,108,61,34,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,55,34,32,99,111,108,61,34,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,48,46,53,53,49,51,50,56,56,57,53,52,50,49,55,57,49,57,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,56,34,32,99,111,108,61,34,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,56,34,32,99,111,108,61,34,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,48,46,51,49,56,51,48,57,56,56,54,49,56,51,55,57,48,53,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,10,32,32,32,32,32,32,60,47,109,97,116,114,105,120,62,10,32,32,32,32,60,47,108,105,110,101,97,114,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,52,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,114,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,82,41,32,42,32,97,105,109,99,51,46,105,114,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,54,34,32,108,105,110,101,69,110,100,61,34,55,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,52,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,114,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,118,41,32,42,32,97,105,109,99,51,46,105,114,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,52,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,114,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,82,41,32,42,32,97,105,109,99,51,46,105,114,91,49,93,60,47,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7249960);
/* memory initializer */ allocate([104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,54,34,32,108,105,110,101,69,110,100,61,34,55,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,52,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,114,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,118,41,32,42,32,97,105,109,99,51,46,105,114,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,52,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,114,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,82,41,32,42,32,97,105,109,99,51,46,105,114,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,54,34,32,108,105,110,101,69,110,100,61,34,55,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,52,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,114,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,118,41,32,42,32,97,105,109,99,51,46,105,114,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,52,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,82,111,116,111,114,87,105,110,100,105,110,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,32,43,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,32,43,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,56,52,34,32,108,105,110,101,69,110,100,61,34,57,56,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,52,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,82,111,116,111,114,87,105,110,100,105,110,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,32,43,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,32,43,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,57,50,34,32,108,105,110,101,69,110,100,61,34,49,51,54,57,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,52,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,114,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,114,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,114,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,105,114,91,50,93,32,43,32,97,105,109,99,51,46,105,114,91,51,93,32,43,32,97,105,109,99,51,46,105,114,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,51,34,32,108,105,110,101,69,110,100,61,34,53,51,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,53,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,116,97,117,69,108,101,99,116,114,105,99,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,49,46,53,55,48,55,57,54,51,50,54,55,57,52,56,57,55,32,42,32,47,42,82,101,97,108,42,47,40,97,105,109,99,51,46,97,105,114,71,97,112,46,112,41,32,42,32,40,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,105,109,32,42,32,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,32,45,32,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,114,101,32,42,32,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,48,48,34,32,108,105,110,101,69,110,100,61,34,53,56,48,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,53,49,34,62,10,32,32,32,32,60,108,105,110,101,97,114,32,115,105,122,101,61,34,50,34,32,110,110,122,61,34,52,34,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,108,111,97,100,73,110,101,114,116,105,97,51,46,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,116,97,117,83,104,97,102,116,34,32,47,62,10,32,32,32,32,32,32,60,114,111,119,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,97,105,109,99,51,46,116,97,117,69,108,101,99,116,114,105,99,97,108,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,116,97,117,60,47,99,101,108,108,62,10,32,32,32,32,32,32,60,47,114,111,119,62,10,32,32,32,32,32,32,60,109,97,116,114,105,120,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,32,114,111,119,61,34,48,34,32,99,111,108,61,34,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,74,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,49,57,34,32,108,105,110,101,69,110,100,61,34,50,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,48,34,32,99,111,108,61,34,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,49,57,34,32,108,105,110,101,69,110,100,61,34,50,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,34,32,99,111,108,61,34,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,108,111,97,100,73,110,101,114,116,105,97,51,46,74,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,49,57,34,32,108,105,110,101,69,110,100,61,34,50,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,108,111,97,100,73,110,101,114,116,105,97,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,34,32,99,111,108,61,34,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,49,57,34,32,108,105,110,101,69,110,100,61,34,50,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,108,111,97,100,73,110,101,114,116,105,97,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,10,32,32,32,32,32,32,60,47,109,97,116,114,105,120,62,10,32,32,32,32,60,47,108,105,110,101,97,114,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,53,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,108,111,97,100,73,110,101,114,116,105,97,51,46,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,108,111,97,100,73,110,101,114,116,105,97,51,46,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,49,56,34,32,108,105,110,101,69,110,100,61,34,50,51,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,53,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,112,111,119,101,114,73,110,101,114,116,105,97,82,111,116,111,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,108,111,97,100,73,110,101,114,116,105,97,51,46,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,74,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,74,32,42,32,108,111,97,100,73,110,101,114,116,105,97,51,46,97,32,42,32,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,54,49,34,32,108,105,110,101,69,110,100,61,34,49,51,54,54,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,53,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,112,111,119,101,114,77,101,99,104,97,110,105,99,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,116,97,117,83,104,97,102,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,32,42,32,97,105,109,99,51,46,116,97,117,83,104,97,102,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,53,57,34,32,108,105,110,101,69,110,100,61,34,49,51,54,53,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,53,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,82,32,42,32,97,105,109,99,51,46,105,115,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7260200);
/* memory initializer */ allocate([62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,54,34,32,108,105,110,101,69,110,100,61,34,55,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,53,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,118,32,42,32,97,105,109,99,51,46,105,115,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,53,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,83,116,97,116,111,114,87,105,110,100,105,110,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,32,43,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,32,43,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,56,52,34,32,108,105,110,101,69,110,100,61,34,57,56,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,53,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,84,111,116,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,82,111,116,111,114,87,105,110,100,105,110,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,83,116,97,116,111,114,87,105,110,100,105,110,103,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,83,116,97,116,111,114,87,105,110,100,105,110,103,32,43,32,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,82,111,116,111,114,87,105,110,100,105,110,103,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,49,55,57,34,32,108,105,110,101,69,110,100,61,34,49,50,49,56,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,53,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,97,116,111,114,87,105,110,100,105,110,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,32,43,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,32,43,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,54,51,34,32,108,105,110,101,69,110,100,61,34,49,51,54,54,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,54,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,84,111,116,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,82,111,116,111,114,87,105,110,100,105,110,103,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,97,116,111,114,87,105,110,100,105,110,103,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,97,116,111,114,87,105,110,100,105,110,103,32,43,32,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,82,111,116,111,114,87,105,110,100,105,110,103,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,54,50,34,32,108,105,110,101,69,110,100,61,34,49,51,54,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,54,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,71,111,102,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,99,111,110,116,114,111,108,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,97,105,109,99,51,46,105,115,91,49,93,44,32,105,102,32,105,100,101,97,108,67,108,111,115,101,114,51,46,99,111,110,116,114,111,108,91,49,93,32,116,104,101,110,32,49,46,48,32,101,108,115,101,32,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,71,111,102,102,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,54,34,32,108,105,110,101,69,110,100,61,34,49,53,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,54,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,82,111,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,99,111,110,116,114,111,108,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,115,32,42,32,40,105,102,32,105,100,101,97,108,67,108,111,115,101,114,51,46,99,111,110,116,114,111,108,91,49,93,32,116,104,101,110,32,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,82,111,110,32,101,108,115,101,32,49,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,53,34,32,108,105,110,101,69,110,100,61,34,49,53,53,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,54,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,49,93,32,45,32,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,54,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,118,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,49,93,32,45,32,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,54,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,32,45,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,54,54,34,62,10,32,32,32,32,60,108,105,110,101,97,114,32,115,105,122,101,61,34,52,57,34,32,110,110,122,61,34,49,50,54,34,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,114,101,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,105,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,114,101,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,114,101,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,105,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,105,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,114,101,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,46,105,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,114,101,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,114,46,114,101,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,105,115,91,49,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,46,114,101,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7270440);
/* memory initializer */ allocate([109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,114,46,105,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,114,114,46,105,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,105,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,46,105,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,46,105,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,46,114,101,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,114,114,46,114,101,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,114,101,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,118,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,105,48,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,105,115,91,51,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,105,115,91,50,93,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,105,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,105,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,111,119,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,114,101,32,42,32,36,68,69,82,46,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,114,101,32,43,32,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,105,109,32,42,32,36,68,69,82,46,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,105,109,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,40,45,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,41,32,42,32,36,68,69,82,46,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,105,109,32,43,32,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,32,42,32,36,68,69,82,46,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,114,101,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,32,42,32,36,68,69,82,46,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,114,101,32,43,32,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,32,42,32,36,68,69,82,46,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,105,109,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,40,45,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,114,101,41,32,42,32,36,68,69,82,46,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,105,109,32,43,32,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,105,109,32,42,32,36,68,69,82,46,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,114,101,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,118,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,118,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,118,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,60,47,114,111,119,62,10,32,32,32,32,32,32,60,109,97,116,114,105,120,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,32,114,111,119,61,34,48,34,32,99,111,108,61,34,51,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,48,34,32,99,111,108,61,34,52,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,34,32,99,111,108,61,34,51,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,34,32,99,111,108,61,34,52,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,34,32,99,111,108,61,34,52,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,34,32,99,111,108,61,34,51,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,34,32,99,111,108,61,34,52,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,34,32,99,111,108,61,34,52,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,34,32,99,111,108,61,34,51,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,48,46,53,48,48,48,48,48,48,48,48,48,48,48,48,48,48,52,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,50,52,34,32,108,105,110,101,69,110,100,61,34,52,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,34,32,99,111,108,61,34,52,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,48,46,56,54,54,48,50,53,52,48,51,55,56,52,52,51,56,52,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,50,52,34,32,108,105,110,101,69,110,100,61,34,52,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,34,32,99,111,108,61,34,52,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,50,52,34,32,108,105,110,101,69,110,100,61,34,52,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,34,32,99,111,108,61,34,49,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,51,55,34,32,108,105,110,101,69,110,100,61,34,53,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,99,111,110,110,101,99,116,45,101,113,117,97,116,105,111,110,32,47,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,34,32,99,111,108,61,34,52,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,51,55,34,32,108,105,110,101,69,110,100,61,34,53,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7280680);
/* memory initializer */ allocate([66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,99,111,110,110,101,99,116,45,101,113,117,97,116,105,111,110,32,47,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,34,32,99,111,108,61,34,52,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,51,55,34,32,108,105,110,101,69,110,100,61,34,53,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,99,111,110,110,101,99,116,45,101,113,117,97,116,105,111,110,32,47,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,53,34,32,99,111,108,61,34,52,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,53,55,48,55,57,54,51,50,54,55,57,52,56,57,55,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,56,34,32,108,105,110,101,69,110,100,61,34,52,48,50,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,53,34,32,99,111,108,61,34,52,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,82,95,109,46,113,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,56,34,32,108,105,110,101,69,110,100,61,34,52,48,50,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,54,34,32,99,111,108,61,34,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,54,34,32,99,111,108,61,34,52,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,54,34,32,99,111,108,61,34,52,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,55,34,32,99,111,108,61,34,52,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,48,46,53,53,49,51,50,56,56,57,53,52,50,49,55,57,50,49,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,55,34,32,99,111,108,61,34,52,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,56,34,32,99,111,108,61,34,50,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,51,34,32,108,105,110,101,69,110,100,61,34,53,51,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,56,34,32,99,111,108,61,34,52,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,51,34,32,108,105,110,101,69,110,100,61,34,53,51,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,56,34,32,99,111,108,61,34,52,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,51,34,32,108,105,110,101,69,110,100,61,34,53,51,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,57,34,32,99,111,108,61,34,50,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,57,48,34,32,108,105,110,101,69,110,100,61,34,49,48,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,57,34,32,99,111,108,61,34,51,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,51,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,57,48,34,32,108,105,110,101,69,110,100,61,34,49,48,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,57,34,32,99,111,108,61,34,52,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,57,48,34,32,108,105,110,101,69,110,100,61,34,49,48,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,57,34,32,99,111,108,61,34,52,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,57,48,34,32,108,105,110,101,69,110,100,61,34,49,48,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,48,34,32,99,111,108,61,34,51,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,57,49,34,32,108,105,110,101,69,110,100,61,34,49,48,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,48,34,32,99,111,108,61,34,51,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,76,122,101,114,111,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,57,49,34,32,108,105,110,101,69,110,100,61,34,49,48,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,49,34,32,99,111,108,61,34,51,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,49,34,32,99,111,108,61,34,51,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,50,34,32,99,111,108,61,34,51,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,50,34,32,99,111,108,61,34,51,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,51,34,32,99,111,108,61,34,51,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7290920);
/* memory initializer */ allocate([108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,51,34,32,99,111,108,61,34,51,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,51,34,32,99,111,108,61,34,52,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,49,34,32,108,105,110,101,69,110,100,61,34,52,50,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,52,34,32,99,111,108,61,34,51,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,48,46,52,57,57,57,57,57,57,57,57,57,57,57,57,57,57,56,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,50,52,34,32,108,105,110,101,69,110,100,61,34,52,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,52,34,32,99,111,108,61,34,51,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,50,52,34,32,108,105,110,101,69,110,100,61,34,52,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,52,34,32,99,111,108,61,34,52,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,48,46,56,54,54,48,50,53,52,48,51,55,56,52,52,51,56,55,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,50,52,34,32,108,105,110,101,69,110,100,61,34,52,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,53,34,32,99,111,108,61,34,49,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,51,55,34,32,108,105,110,101,69,110,100,61,34,53,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,99,111,110,110,101,99,116,45,101,113,117,97,116,105,111,110,32,47,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,53,34,32,99,111,108,61,34,51,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,51,55,34,32,108,105,110,101,69,110,100,61,34,53,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,99,111,110,110,101,99,116,45,101,113,117,97,116,105,111,110,32,47,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,53,34,32,99,111,108,61,34,51,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,51,55,34,32,108,105,110,101,69,110,100,61,34,53,54,51,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,99,111,110,110,101,99,116,45,101,113,117,97,116,105,111,110,32,47,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,54,34,32,99,111,108,61,34,49,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,105,109,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,56,48,34,32,108,105,110,101,69,110,100,61,34,53,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,54,34,32,99,111,108,61,34,51,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,56,48,34,32,108,105,110,101,69,110,100,61,34,53,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,54,34,32,99,111,108,61,34,51,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,114,101,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,56,48,34,32,108,105,110,101,69,110,100,61,34,53,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,55,34,32,99,111,108,61,34,50,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,53,55,48,55,57,54,51,50,54,55,57,52,56,57,55,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,57,55,34,32,108,105,110,101,69,110,100,61,34,53,55,57,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,55,34,32,99,111,108,61,34,51,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,53,55,48,55,57,54,51,50,54,55,57,52,56,57,55,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,57,55,34,32,108,105,110,101,69,110,100,61,34,53,55,57,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,55,34,32,99,111,108,61,34,51,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,54,50,46,53,57,53,55,55,48,52,48,49,50,49,57,57,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,57,55,34,32,108,105,110,101,69,110,100,61,34,53,55,57,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,56,34,32,99,111,108,61,34,49,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,56,34,32,99,111,108,61,34,51,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,56,34,32,99,111,108,61,34,51,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,57,34,32,99,111,108,61,34,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,57,34,32,99,111,108,61,34,50,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7301160);
/* memory initializer */ allocate([108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,57,34,32,99,111,108,61,34,51,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,48,34,32,99,111,108,61,34,50,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,48,46,54,51,54,54,49,57,55,55,50,51,54,55,53,56,49,52,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,48,34,32,99,111,108,61,34,50,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,49,34,32,99,111,108,61,34,49,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,51,34,32,108,105,110,101,69,110,100,61,34,53,51,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,49,34,32,99,111,108,61,34,50,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,51,34,32,108,105,110,101,69,110,100,61,34,53,51,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,49,34,32,99,111,108,61,34,50,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,51,34,32,108,105,110,101,69,110,100,61,34,53,51,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,50,34,32,99,111,108,61,34,50,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,50,34,32,99,111,108,61,34,50,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,48,46,53,53,49,51,50,56,56,57,53,52,50,49,55,57,50,49,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,51,34,32,99,111,108,61,34,49,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,51,34,32,99,111,108,61,34,50,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,51,34,32,99,111,108,61,34,50,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,52,34,32,99,111,108,61,34,49,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,54,50,46,53,57,53,55,55,48,52,48,49,50,49,57,57,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,57,56,34,32,108,105,110,101,69,110,100,61,34,53,55,57,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,52,34,32,99,111,108,61,34,50,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,53,55,48,55,57,54,51,50,54,55,57,52,56,57,55,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,57,56,34,32,108,105,110,101,69,110,100,61,34,53,55,57,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,52,34,32,99,111,108,61,34,50,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,53,55,48,55,57,54,51,50,54,55,57,52,56,57,55,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,57,56,34,32,108,105,110,101,69,110,100,61,34,53,55,57,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,53,34,32,99,111,108,61,34,50,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,105,109,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,57,51,34,32,108,105,110,101,69,110,100,61,34,53,55,57,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,53,34,32,99,111,108,61,34,50,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,57,51,34,32,108,105,110,101,69,110,100,61,34,53,55,57,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,53,34,32,99,111,108,61,34,52,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,114,101,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,57,51,34,32,108,105,110,101,69,110,100,61,34,53,55,57,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,54,34,32,99,111,108,61,34,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,54,34,32,99,111,108,61,34,50,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,54,34,32,99,111,108,61,34,50,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,55,34,32,99,111,108,61,34,50,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,48,46,54,51,54,54,49,57,55,55,50,51,54,55,53,56,49,52,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,55,34,32,99,111,108,61,34,50,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7311400);
/* memory initializer */ allocate([101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,56,34,32,99,111,108,61,34,50,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,57,51,34,32,108,105,110,101,69,110,100,61,34,53,55,57,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,56,34,32,99,111,108,61,34,50,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,114,101,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,57,51,34,32,108,105,110,101,69,110,100,61,34,53,55,57,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,56,34,32,99,111,108,61,34,52,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,105,109,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,57,51,34,32,108,105,110,101,69,110,100,61,34,53,55,57,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,57,34,32,99,111,108,61,34,49,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,82,95,109,46,100,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,55,34,32,108,105,110,101,69,110,100,61,34,52,48,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,57,34,32,99,111,108,61,34,50,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,53,55,48,55,57,54,51,50,54,55,57,52,56,57,55,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,55,34,32,108,105,110,101,69,110,100,61,34,52,48,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,48,34,32,99,111,108,61,34,49,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,56,34,32,108,105,110,101,69,110,100,61,34,51,51,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,48,34,32,99,111,108,61,34,50,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,46,76,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,56,34,32,108,105,110,101,69,110,100,61,34,51,51,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,49,34,32,99,111,108,61,34,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,49,34,32,99,111,108,61,34,49,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,49,34,32,99,111,108,61,34,49,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,50,34,32,99,111,108,61,34,49,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,48,46,56,54,54,48,50,53,52,48,51,55,56,52,52,51,56,55,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,50,52,34,32,108,105,110,101,69,110,100,61,34,52,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,50,34,32,99,111,108,61,34,49,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,50,52,34,32,108,105,110,101,69,110,100,61,34,52,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,50,34,32,99,111,108,61,34,51,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,48,46,52,57,57,57,57,57,57,57,57,57,57,57,57,57,57,56,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,50,52,34,32,108,105,110,101,69,110,100,61,34,52,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,51,34,32,99,111,108,61,34,49,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,50,52,34,32,108,105,110,101,69,110,100,61,34,52,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,51,34,32,99,111,108,61,34,49,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,48,46,56,54,54,48,50,53,52,48,51,55,56,52,52,51,56,52,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,50,52,34,32,108,105,110,101,69,110,100,61,34,52,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,51,34,32,99,111,108,61,34,51,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,48,46,53,48,48,48,48,48,48,48,48,48,48,48,48,48,48,52,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,50,52,34,32,108,105,110,101,69,110,100,61,34,52,50,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,52,34,32,99,111,108,61,34,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,52,34,32,99,111,108,61,34,49,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,52,34,32,99,111,108,61,34,49,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,53,34,32,99,111,108,61,34,49,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,46,76,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,56,34,32,108,105,110,101,69,110,100,61,34,51,51,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,53,34,32,99,111,108,61,34,49,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,56,34,32,108,105,110,101,69,110,100,61,34,51,51,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,54,34,32,99,111,108,61,34,49,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7321640);
/* memory initializer */ allocate([105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,54,34,32,99,111,108,61,34,49,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,48,46,51,49,56,51,48,57,56,56,54,49,56,51,55,57,49,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,55,34,32,99,111,108,61,34,49,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,55,34,32,99,111,108,61,34,49,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,48,46,53,53,49,51,50,56,56,57,53,52,50,49,55,57,49,57,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,56,34,32,99,111,108,61,34,49,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,114,101,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,56,48,34,32,108,105,110,101,69,110,100,61,34,53,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,56,34,32,99,111,108,61,34,49,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,56,48,34,32,108,105,110,101,69,110,100,61,34,53,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,56,34,32,99,111,108,61,34,51,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,105,109,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,56,48,34,32,108,105,110,101,69,110,100,61,34,53,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,57,34,32,99,111,108,61,34,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,57,34,32,99,111,108,61,34,50,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,48,46,51,49,56,51,48,57,56,56,54,49,56,51,55,57,48,53,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,48,34,32,99,111,108,61,34,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,56,34,32,108,105,110,101,69,110,100,61,34,51,51,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,48,34,32,99,111,108,61,34,50,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,46,76,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,56,34,32,108,105,110,101,69,110,100,61,34,51,51,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,49,34,32,99,111,108,61,34,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,49,34,32,99,111,108,61,34,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,49,34,32,99,111,108,61,34,51,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,50,34,32,99,111,108,61,34,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,50,34,32,99,111,108,61,34,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,51,34,32,99,111,108,61,34,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,51,34,32,99,111,108,61,34,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,52,34,32,99,111,108,61,34,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,52,34,32,99,111,108,61,34,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,53,34,32,99,111,108,61,34,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,53,34,32,99,111,108,61,34,52,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,48,46,51,49,56,51,48,57,56,56,54,49,56,51,55,57,49,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,54,34,32,99,111,108,61,34,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7331880);
/* memory initializer */ allocate([98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,54,34,32,99,111,108,61,34,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,54,34,32,99,111,108,61,34,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,57,34,32,108,105,110,101,69,110,100,61,34,52,50,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,55,34,32,99,111,108,61,34,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,55,34,32,99,111,108,61,34,52,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,48,46,53,53,49,51,50,56,56,57,53,52,50,49,55,57,49,57,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,56,34,32,99,111,108,61,34,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,56,34,32,99,111,108,61,34,52,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,48,46,51,49,56,51,48,57,56,56,54,49,56,51,55,57,48,53,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,49,57,34,32,108,105,110,101,69,110,100,61,34,52,50,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,10,32,32,32,32,32,32,60,47,109,97,116,114,105,120,62,10,32,32,32,32,60,47,108,105,110,101,97,114,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,54,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,118,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,32,45,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,54,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,118,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,32,45,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,54,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,118,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,32,45,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,55,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,118,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,51,93,32,45,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,55,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,118,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,50,93,32,45,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,55,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,118,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,49,93,32,45,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,55,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,118,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,32,45,32,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,50,54,34,32,108,105,110,101,69,110,100,61,34,54,55,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,55,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,118,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,32,45,32,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,50,54,34,32,108,105,110,101,69,110,100,61,34,54,55,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,55,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,118,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,32,45,32,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,55,34,32,108,105,110,101,69,110,100,61,34,52,50,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,55,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,118,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,32,45,32,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,55,34,32,108,105,110,101,69,110,100,61,34,52,50,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,55,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,118,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,32,45,32,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7342120);
/* memory initializer */ allocate([111,105,110,116,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,57,55,34,32,108,105,110,101,69,110,100,61,34,52,50,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,55,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,118,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,32,45,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,50,49,34,32,108,105,110,101,69,110,100,61,34,51,51,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,55,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,118,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,32,45,32,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,50,54,34,32,108,105,110,101,69,110,100,61,34,54,55,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,56,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,118,32,42,32,97,105,109,99,51,46,105,115,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,56,34,32,108,105,110,101,69,110,100,61,34,49,53,53,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,56,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,103,114,111,117,110,100,51,46,112,46,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,105,109,99,51,46,105,115,91,51,93,41,32,45,32,40,97,105,109,99,51,46,105,115,91,49,93,32,43,32,97,105,109,99,51,46,105,115,91,50,93,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,51,34,32,108,105,110,101,69,110,100,61,34,53,51,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,97,114,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,56,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,80,111,108,97,114,49,46,117,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,84,114,97,110,115,102,111,114,109,97,116,105,111,110,77,97,116,114,105,120,91,50,44,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,84,114,97,110,115,102,111,114,109,97,116,105,111,110,77,97,116,114,105,120,91,50,44,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,84,114,97,110,115,102,111,114,109,97,116,105,111,110,77,97,116,114,105,120,91,50,44,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,84,114,97,110,115,102,111,114,109,97,116,105,111,110,77,97,116,114,105,120,91,50,44,49,93,32,42,32,97,105,109,99,51,46,105,115,91,49,93,32,43,32,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,84,114,97,110,115,102,111,114,109,97,116,105,111,110,77,97,116,114,105,120,91,50,44,50,93,32,42,32,97,105,109,99,51,46,105,115,91,50,93,32,43,32,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,84,114,97,110,115,102,111,114,109,97,116,105,111,110,77,97,116,114,105,120,91,50,44,51,93,32,42,32,97,105,109,99,51,46,105,115,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,49,54,34,32,108,105,110,101,69,110,100,61,34,49,48,56,49,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,112,97,99,101,80,104,97,115,111,114,115,46,66,108,111,99,107,115,46,84,111,83,112,97,99,101,80,104,97,115,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,56,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,80,111,108,97,114,49,46,117,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,84,114,97,110,115,102,111,114,109,97,116,105,111,110,77,97,116,114,105,120,91,49,44,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,84,114,97,110,115,102,111,114,109,97,116,105,111,110,77,97,116,114,105,120,91,49,44,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,84,114,97,110,115,102,111,114,109,97,116,105,111,110,77,97,116,114,105,120,91,49,44,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,84,114,97,110,115,102,111,114,109,97,116,105,111,110,77,97,116,114,105,120,91,49,44,49,93,32,42,32,97,105,109,99,51,46,105,115,91,49,93,32,43,32,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,84,114,97,110,115,102,111,114,109,97,116,105,111,110,77,97,116,114,105,120,91,49,44,50,93,32,42,32,97,105,109,99,51,46,105,115,91,50,93,32,43,32,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,84,114,97,110,115,102,111,114,109,97,116,105,111,110,77,97,116,114,105,120,91,49,44,51,93,32,42,32,97,105,109,99,51,46,105,115,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,49,54,34,32,108,105,110,101,69,110,100,61,34,49,48,56,49,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,112,97,99,101,80,104,97,115,111,114,115,46,66,108,111,99,107,115,46,84,111,83,112,97,99,101,80,104,97,115,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,56,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,80,111,108,97,114,49,46,121,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,80,111,108,97,114,49,46,117,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,80,111,108,97,114,49,46,117,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,113,114,116,40,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,80,111,108,97,114,49,46,117,91,49,93,32,94,32,50,46,48,32,43,32,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,80,111,108,97,114,49,46,117,91,50,93,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,57,52,51,34,32,108,105,110,101,69,110,100,61,34,49,48,57,52,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,112,97,99,101,80,104,97,115,111,114,115,46,66,108,111,99,107,115,46,84,111,80,111,108,97,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,80,111,108,97,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,56,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,73,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,80,111,108,97,114,49,46,121,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,71,97,105,110,49,46,107,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,71,97,105,110,49,46,107,32,42,32,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,80,111,108,97,114,49,46,121,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,77,97,116,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,51,57,34,32,108,105,110,101,69,110,100,61,34,54,51,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,77,97,116,104,46,71,97,105,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,71,97,105,110,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,56,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,102,101,101,100,98,97,99,107,46,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,102,101,101,100,98,97,99,107,46,117,50,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,73,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,73,32,45,32,102,101,101,100,98,97,99,107,46,117,50,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,77,97,116,104,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,55,49,34,32,108,105,110,101,69,110,100,61,34,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,77,97,116,104,46,70,101,101,100,98,97,99,107,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,101,101,100,98,97,99,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,56,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,80,111,108,97,114,49,46,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,80,111,108,97,114,49,46,117,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,80,111,108,97,114,49,46,117,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,80,111,108,97,114,49,46,121,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,110,111,69,118,101,110,116,40,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,80,111,108,97,114,49,46,121,91,49,93,32,38,108,116,59,61,32,49,101,45,54,48,41,32,116,104,101,110,32,48,46,48,32,101,108,115,101,32,97,116,97,110,50,40,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,80,111,108,97,114,49,46,117,91,50,93,44,32,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,80,111,108,97,114,49,46,117,91,49,93,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,57,52,52,34,32,108,105,110,101,69,110,100,61,34,49,48,57,52,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,56,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,112,97,99,101,80,104,97,115,111,114,115,46,66,108,111,99,107,115,46,84,111,80,111,108,97,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,80,111,108,97,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,56,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,122,101,114,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,97,105,109,99,51,46,105,115,91,50,93,32,45,32,40,45,97,105,109,99,51,46,105,115,91,51,93,41,32,45,32,97,105,109,99,51,46,105,115,91,49,93,41,32,47,32,51,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,49,53,34,32,108,105,110,101,69,110,100,61,34,49,48,56,49,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,112,97,99,101,80,104,97,115,111,114,115,46,66,108,111,99,107,115,46,84,111,83,112,97,99,101,80,104,97,115,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,56,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,112,111,119,101,114,83,116,97,116,111,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,118,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,118,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,118,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,118,115,91,49,93,32,42,32,97,105,109,99,51,46,105,115,91,49,93,32,43,32,97,105,109,99,51,46,118,115,91,50,93,32,42,32,97,105,109,99,51,46,105,115,91,50,93,32,43,32,97,105,109,99,51,46,118,115,91,51,93,32,42,32,97,105,109,99,51,46,105,115,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,53,56,34,32,108,105,110,101,69,110,100,61,34,49,51,54,53,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,57,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,105,82,77,83,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,113,114,116,40,97,105,109,99,51,46,105,115,91,49,93,32,94,32,50,46,48,32,47,32,51,46,48,32,43,32,97,105,109,99,51,46,105,115,91,50,93,32,94,32,50,46,48,32,47,32,51,46,48,32,43,32,97,105,109,99,51,46,105,115,91,51,93,32,94,32,50,46,48,32,47,32,51,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,53,53,57,34,32,108,105,110,101,69,110,100,61,34,49,49,53,53,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,57,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,112,104,105,77,101,99,104,97,110,105,99,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,102,105,120,101,100,46,112,104,105,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,112,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7352360);
/* memory initializer */ allocate([111,114,113,117,101,51,46,112,104,105,32,45,32,97,105,109,99,51,46,102,105,120,101,100,46,112,104,105,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,48,51,34,32,108,105,110,101,69,110,100,61,34,54,55,48,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,57,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,112,104,105,77,101,99,104,97,110,105,99,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,102,105,120,101,100,46,112,104,105,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,112,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,112,104,105,32,45,32,97,105,109,99,77,46,102,105,120,101,100,46,112,104,105,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,48,51,34,32,108,105,110,101,69,110,100,61,34,54,55,48,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,60,47,101,113,117,97,116,105,111,110,115,62,10,60,115,116,97,114,116,45,101,113,117,97,116,105,111,110,115,32,115,105,122,101,61,34,48,34,62,10,60,47,115,116,97,114,116,45,101,113,117,97,116,105,111,110,115,62,10,60,110,111,109,105,110,97,108,45,101,113,117,97,116,105,111,110,115,32,115,105,122,101,61,34,48,34,62,10,60,47,110,111,109,105,110,97,108,45,101,113,117,97,116,105,111,110,115,62,10,60,109,105,110,45,101,113,117,97,116,105,111,110,115,32,115,105,122,101,61,34,48,34,62,10,60,47,109,105,110,45,101,113,117,97,116,105,111,110,115,62,10,60,109,97,120,45,101,113,117,97,116,105,111,110,115,32,115,105,122,101,61,34,48,34,62,10,60,47,109,97,120,45,101,113,117,97,116,105,111,110,115,62,10,60,112,97,114,97,109,101,116,101,114,45,101,113,117,97,116,105,111,110,115,32,115,105,122,101,61,34,56,48,56,34,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,57,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,102,108,97,110,103,101,95,97,46,116,97,117,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,53,34,32,108,105,110,101,69,110,100,61,34,54,52,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,57,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,102,108,97,110,103,101,95,97,46,116,97,117,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,50,53,34,32,108,105,110,101,69,110,100,61,34,54,52,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,57,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,50,57,51,46,49,53,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,54,34,32,108,105,110,101,69,110,100,61,34,50,55,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,57,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,46,112,111,114,116,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,50,57,51,46,49,53,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,57,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,67,111,114,101,46,112,111,114,116,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,50,57,51,46,49,53,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,67,111,114,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,57,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,112,111,114,116,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,50,57,51,46,49,53,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,57,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,50,57,51,46,49,53,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,54,34,32,108,105,110,101,69,110,100,61,34,50,55,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,48,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,46,112,111,114,116,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,50,57,51,46,49,53,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,48,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,50,57,51,46,49,53,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,54,34,32,108,105,110,101,69,110,100,61,34,50,55,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,48,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,46,112,111,114,116,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,50,57,51,46,49,53,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7362600);
/* memory initializer */ allocate([60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,48,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,67,111,114,101,46,112,111,114,116,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,50,57,51,46,49,53,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,67,111,114,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,48,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,112,111,114,116,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,50,57,51,46,49,53,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,48,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,50,57,51,46,49,53,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,54,34,32,108,105,110,101,69,110,100,61,34,50,55,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,48,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,46,112,111,114,116,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,50,57,51,46,49,53,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,48,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,112,111,119,101,114,73,110,101,114,116,105,97,83,116,97,116,111,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,54,48,34,32,108,105,110,101,69,110,100,61,34,49,51,54,54,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,48,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,112,111,119,101,114,73,110,101,114,116,105,97,83,116,97,116,111,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,54,48,34,32,108,105,110,101,69,110,100,61,34,49,51,54,54,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,48,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,49,48,34,32,108,105,110,101,69,110,100,61,34,50,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,49,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,49,48,34,32,108,105,110,101,69,110,100,61,34,50,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,101,114,116,105,97,83,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,49,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,49,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,49,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,49,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,80,104,105,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7372840);
/* memory initializer */ allocate([99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,49,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,49,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,49,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,49,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,97,116,111,114,67,111,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,54,52,34,32,108,105,110,101,69,110,100,61,34,49,51,54,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,49,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,114,97,121,76,111,97,100,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,54,54,34,32,108,105,110,101,69,110,100,61,34,49,51,54,54,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,50,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,70,114,105,99,116,105,111,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,54,55,34,32,108,105,110,101,69,110,100,61,34,49,51,54,54,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,50,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,55,34,32,108,105,110,101,69,110,100,61,34,50,51,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,101,114,116,105,97,83,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,50,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,50,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,50,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,50,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,97,116,111,114,67,111,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,54,52,34,32,108,105,110,101,69,110,100,61,34,49,51,54,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7383080);
/* memory initializer */ allocate([101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,50,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,114,97,121,76,111,97,100,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,54,54,34,32,108,105,110,101,69,110,100,61,34,49,51,54,54,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,50,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,70,114,105,99,116,105,111,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,54,55,34,32,108,105,110,101,69,110,100,61,34,49,51,54,54,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,50,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,55,34,32,108,105,110,101,69,110,100,61,34,50,51,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,50,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,118,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,51,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,118,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,51,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,118,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,51,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,118,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,51,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,118,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,51,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,82,111,116,111,114,67,111,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,54,53,34,32,108,105,110,101,69,110,100,61,34,49,51,54,54,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,51,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,82,111,116,111,114,67,111,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,54,54,53,34,32,108,105,110,101,69,110,100,61,34,49,51,54,54,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,51,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,112,104,105,95,115,117,112,112,111,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,49,53,34,32,108,105,110,101,69,110,100,61,34,55,48,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,83,111,117,114,99,101,115,46,81,117,97,100,114,97,116,105,99,83,112,101,101,100,68,101,112,101,110,100,101,110,116,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,51,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,112,104,105,95,115,117,112,112,111,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,49,53,34,32,108,105,110,101,69,110,100,61,34,55,48,49,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,83,111,117,114,99,101,115,46,81,117,97,100,114,97,116,105,99,83,112,101,101,100,68,101,112,101,110,100,101,110,116,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,51,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,116,97,117,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,55,56,34,32,108,105,110,101,69,110,100,61,34,49,52,53,55,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,51,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,118,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,52,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,118,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7393320);
/* memory initializer */ allocate([45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,52,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,118,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,52,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,118,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,52,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,118,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,52,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,116,97,117,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,55,56,34,32,108,105,110,101,69,110,100,61,34,49,52,53,55,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,52,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,52,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,86,95,109,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,52,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,52,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,52,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,116,97,117,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,55,56,34,32,108,105,110,101,69,110,100,61,34,49,52,53,55,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,53,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,118,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,53,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,118,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,53,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,118,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7403560);
/* memory initializer */ allocate([110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,53,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,116,97,117,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,55,56,34,32,108,105,110,101,69,110,100,61,34,49,52,53,55,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,53,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,53,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,86,95,109,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,53,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,53,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,83,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,53,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,46,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,53,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,54,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,116,101,114,110,97,108,83,117,112,112,111,114,116,46,116,97,117,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,53,52,50,34,32,108,105,110,101,69,110,100,61,34,54,53,52,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,116,101,114,110,97,108,83,117,112,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,83,117,112,112,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,54,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,67,111,114,101,46,81,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,67,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,54,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,114,97,121,76,111,97,100,46,81,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,54,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,70,114,105,99,116,105,111,110,46,81,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,70,114,105,99,116,105,111,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,54,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,87,105,110,100,105,110,103,46,81,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,87,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7413800);
/* memory initializer */ allocate([101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,54,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,49,93,46,81,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,54,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,50,93,46,81,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,54,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,51,93,46,81,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,54,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,52,93,46,81,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,54,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,53,93,46,81,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,55,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,67,111,114,101,46,81,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,67,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,55,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,102,108,97,110,103,101,95,98,46,116,97,117,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,56,51,34,32,108,105,110,101,69,110,100,61,34,54,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,55,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,55,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,55,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,55,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,55,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7424040);
/* memory initializer */ allocate([110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,55,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,55,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,110,116,101,114,110,97,108,83,117,112,112,111,114,116,46,116,97,117,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,53,52,50,34,32,108,105,110,101,69,110,100,61,34,54,53,52,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,116,101,114,110,97,108,83,117,112,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,83,117,112,112,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,55,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,67,111,114,101,46,81,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,67,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,56,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,114,97,121,76,111,97,100,46,81,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,56,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,70,114,105,99,116,105,111,110,46,81,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,70,114,105,99,116,105,111,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,56,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,87,105,110,100,105,110,103,46,81,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,87,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,56,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,49,93,46,81,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,56,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,50,93,46,81,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,56,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,51,93,46,81,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,56,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,67,111,114,101,46,81,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,52,34,32,108,105,110,101,69,110,100,61,34,50,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,67,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,80,111,114,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,72,101,97,116,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,56,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,102,108,97,110,103,101,95,98,46,116,97,117,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,56,51,34,32,108,105,110,101,69,110,100,61,34,54,52,56,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7434280);
/* memory initializer */ allocate([113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,56,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,56,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,57,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,57,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,57,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,34,32,108,105,110,101,69,110,100,61,34,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,57,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,34,32,108,105,110,101,69,110,100,61,34,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,57,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,103,114,111,117,110,100,77,46,112,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,103,114,111,117,110,100,77,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,57,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,103,114,111,117,110,100,51,46,112,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,103,114,111,117,110,100,51,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,57,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,86,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,86,115,78,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,52,49,52,50,49,51,53,54,50,51,55,51,48,57,53,32,42,32,86,115,78,111,109,105,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,49,56,34,32,108,105,110,101,69,110,100,61,34,50,56,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,57,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,86,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,86,115,78,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,52,49,52,50,49,51,53,54,50,51,55,51,48,57,53,32,42,32,86,115,78,111,109,105,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,49,56,34,32,108,105,110,101,69,110,100,61,34,50,56,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,57,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,86,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,86,115,78,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,52,49,52,50,49,51,53,54,50,51,55,51,48,57,53,32,42,32,86,115,78,111,109,105,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,49,56,34,32,108,105,110,101,69,110,100,61,34,50,56,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,57,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,86,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,86,115,78,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,52,49,52,50,49,51,53,54,50,51,55,51,48,57,53,32,42,32,86,115,78,111,109,105,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,49,56,34,32,108,105,110,101,69,110,100,61,34,50,56,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,48,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,86,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,86,115,78,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,52,49,52,50,49,51,53,54,50,51,55,51,48,57,53,32,42,32,86,115,78,111,109,105,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,49,56,34,32,108,105,110,101,69,110,100,61,34,50,56,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,48,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,112,104,97,115,101,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,70,117,110,99,116,105,111,110,115,46,115,121,109,109,101,116,114,105,99,79,114,105,101,110,116,97,116,105,111,110,40,53,41,41,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7444520);
/* memory initializer */ allocate([105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,48,34,32,108,105,110,101,69,110,100,61,34,50,56,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,48,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,112,104,97,115,101,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,70,117,110,99,116,105,111,110,115,46,115,121,109,109,101,116,114,105,99,79,114,105,101,110,116,97,116,105,111,110,40,53,41,41,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,48,34,32,108,105,110,101,69,110,100,61,34,50,56,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,48,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,112,104,97,115,101,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,70,117,110,99,116,105,111,110,115,46,115,121,109,109,101,116,114,105,99,79,114,105,101,110,116,97,116,105,111,110,40,53,41,41,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,48,34,32,108,105,110,101,69,110,100,61,34,50,56,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,48,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,112,104,97,115,101,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,70,117,110,99,116,105,111,110,115,46,115,121,109,109,101,116,114,105,99,79,114,105,101,110,116,97,116,105,111,110,40,53,41,41,91,52,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,48,34,32,108,105,110,101,69,110,100,61,34,50,56,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,48,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,112,104,97,115,101,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,70,117,110,99,116,105,111,110,115,46,115,121,109,109,101,116,114,105,99,79,114,105,101,110,116,97,116,105,111,110,40,53,41,41,91,53,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,48,34,32,108,105,110,101,69,110,100,61,34,50,56,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,48,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,102,114,101,113,72,122,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,102,78,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,102,78,111,109,105,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,50,34,32,108,105,110,101,69,110,100,61,34,50,56,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,48,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,102,114,101,113,72,122,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,102,78,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,102,78,111,109,105,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,50,34,32,108,105,110,101,69,110,100,61,34,50,56,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,48,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,102,114,101,113,72,122,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,102,78,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,102,78,111,109,105,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,50,34,32,108,105,110,101,69,110,100,61,34,50,56,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,48,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,102,114,101,113,72,122,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,102,78,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,102,78,111,109,105,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,50,34,32,108,105,110,101,69,110,100,61,34,50,56,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,49,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,102,114,101,113,72,122,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,102,78,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,102,78,111,109,105,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,50,34,32,108,105,110,101,69,110,100,61,34,50,56,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,49,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,111,102,102,115,101,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,111,102,102,115,101,116,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,53,34,32,108,105,110,101,69,110,100,61,34,52,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,49,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,116,97,114,116,84,105,109,101,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,116,97,114,116,84,105,109,101,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,54,34,32,108,105,110,101,69,110,100,61,34,52,50,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,49,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,86,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,86,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,86,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,57,34,32,108,105,110,101,69,110,100,61,34,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,49,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,112,104,97,115,101,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,112,104,97,115,101,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,49,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,102,114,101,113,72,122,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,102,114,101,113,72,122,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,102,114,101,113,72,122,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,49,34,32,108,105,110,101,69,110,100,61,34,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,49,54,34,62,10,32,32,32,32,60], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7454760);
/* memory initializer */ allocate([97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,97,109,112,108,105,116,117,100,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,86,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,86,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,48,34,32,108,105,110,101,69,110,100,61,34,53,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,49,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,102,114,101,113,72,122,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,102,114,101,113,72,122,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,102,114,101,113,72,122,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,49,34,32,108,105,110,101,69,110,100,61,34,53,54,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,49,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,112,104,97,115,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,50,34,32,108,105,110,101,69,110,100,61,34,53,54,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,49,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,111,102,102,115,101,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,51,34,32,108,105,110,101,69,110,100,61,34,53,54,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,50,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,116,97,114,116,84,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,52,34,32,108,105,110,101,69,110,100,61,34,53,54,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,50,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,111,102,102,115,101,116,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,111,102,102,115,101,116,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,53,34,32,108,105,110,101,69,110,100,61,34,52,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,50,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,116,97,114,116,84,105,109,101,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,116,97,114,116,84,105,109,101,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,54,34,32,108,105,110,101,69,110,100,61,34,52,50,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,50,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,86,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,86,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,86,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,57,34,32,108,105,110,101,69,110,100,61,34,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,50,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,112,104,97,115,101,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,112,104,97,115,101,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,50,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,102,114,101,113,72,122,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,102,114,101,113,72,122,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,102,114,101,113,72,122,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,49,34,32,108,105,110,101,69,110,100,61,34,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,50,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,97,109,112,108,105,116,117,100,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,86,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,86,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,48,34,32,108,105,110,101,69,110,100,61,34,53,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,50,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,102,114,101,113,72,122,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,102,114,101,113,72,122,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,102,114,101,113,72,122,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,49,34,32,108,105,110,101,69,110,100,61,34,53,54,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,50,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,112,104,97,115,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,50,34,32,108,105,110,101,69,110,100,61,34,53,54,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7465000);
/* memory initializer */ allocate([110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,50,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,111,102,102,115,101,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,51,34,32,108,105,110,101,69,110,100,61,34,53,54,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,51,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,116,97,114,116,84,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,52,34,32,108,105,110,101,69,110,100,61,34,53,54,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,51,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,111,102,102,115,101,116,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,111,102,102,115,101,116,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,53,34,32,108,105,110,101,69,110,100,61,34,52,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,51,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,116,97,114,116,84,105,109,101,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,116,97,114,116,84,105,109,101,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,54,34,32,108,105,110,101,69,110,100,61,34,52,50,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,51,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,86,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,86,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,86,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,57,34,32,108,105,110,101,69,110,100,61,34,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,51,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,112,104,97,115,101,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,112,104,97,115,101,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,51,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,102,114,101,113,72,122,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,102,114,101,113,72,122,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,102,114,101,113,72,122,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,49,34,32,108,105,110,101,69,110,100,61,34,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,51,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,97,109,112,108,105,116,117,100,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,86,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,86,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,48,34,32,108,105,110,101,69,110,100,61,34,53,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,51,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,102,114,101,113,72,122,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,102,114,101,113,72,122,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,102,114,101,113,72,122,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,49,34,32,108,105,110,101,69,110,100,61,34,53,54,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,51,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,112,104,97,115,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,50,34,32,108,105,110,101,69,110,100,61,34,53,54,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,51,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,111,102,102,115,101,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,51,34,32,108,105,110,101,69,110,100,61,34,53,54,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,52,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,116,97,114,116,84,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,52,34,32,108,105,110,101,69,110,100,61,34,53,54,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,52,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,111,102,102,115,101,116,34,32,47,62,10,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7475240);
/* memory initializer */ allocate([32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,111,102,102,115,101,116,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,111,102,102,115,101,116,91,52,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,53,34,32,108,105,110,101,69,110,100,61,34,52,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,52,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,116,97,114,116,84,105,109,101,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,116,97,114,116,84,105,109,101,91,52,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,54,34,32,108,105,110,101,69,110,100,61,34,52,50,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,52,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,86,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,86,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,86,91,52,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,57,34,32,108,105,110,101,69,110,100,61,34,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,52,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,112,104,97,115,101,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,112,104,97,115,101,91,52,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,52,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,102,114,101,113,72,122,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,102,114,101,113,72,122,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,102,114,101,113,72,122,91,52,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,49,34,32,108,105,110,101,69,110,100,61,34,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,52,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,97,109,112,108,105,116,117,100,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,86,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,86,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,48,34,32,108,105,110,101,69,110,100,61,34,53,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,52,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,102,114,101,113,72,122,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,102,114,101,113,72,122,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,102,114,101,113,72,122,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,49,34,32,108,105,110,101,69,110,100,61,34,53,54,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,52,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,112,104,97,115,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,50,34,32,108,105,110,101,69,110,100,61,34,53,54,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,52,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,111,102,102,115,101,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,51,34,32,108,105,110,101,69,110,100,61,34,53,54,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,53,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,116,97,114,116,84,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,52,34,32,108,105,110,101,69,110,100,61,34,53,54,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,53,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,111,102,102,115,101,116,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,111,102,102,115,101,116,91,53,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,53,34,32,108,105,110,101,69,110,100,61,34,52,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,53,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,116,97,114,116,84,105,109,101,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,116,97,114,116,84,105,109,101,91,53,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,54,34,32,108,105,110,101,69,110,100,61,34,52,50,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,53,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,86,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,86,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,86,91,53,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,57,34,32,108,105,110,101,69,110,100,61,34,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7485480);
/* memory initializer */ allocate([46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,53,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,112,104,97,115,101,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,112,104,97,115,101,91,53,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,53,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,102,114,101,113,72,122,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,102,114,101,113,72,122,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,102,114,101,113,72,122,91,53,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,49,34,32,108,105,110,101,69,110,100,61,34,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,53,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,97,109,112,108,105,116,117,100,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,86,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,86,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,48,34,32,108,105,110,101,69,110,100,61,34,53,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,53,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,102,114,101,113,72,122,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,102,114,101,113,72,122,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,102,114,101,113,72,122,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,49,34,32,108,105,110,101,69,110,100,61,34,53,54,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,53,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,112,104,97,115,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,50,34,32,108,105,110,101,69,110,100,61,34,53,54,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,53,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,111,102,102,115,101,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,51,34,32,108,105,110,101,69,110,100,61,34,53,54,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,54,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,116,97,114,116,84,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,52,34,32,108,105,110,101,69,110,100,61,34,53,54,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,54,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,98,111,111,108,101,97,110,83,116,101,112,77,91,49,93,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,79,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,116,79,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,53,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,98,111,111,108,101,97,110,83,116,101,112,77,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,54,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,98,111,111,108,101,97,110,83,116,101,112,77,91,50,93,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,79,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,116,79,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,53,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,98,111,111,108,101,97,110,83,116,101,112,77,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,54,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,98,111,111,108,101,97,110,83,116,101,112,77,91,51,93,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,79,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,116,79,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,53,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,98,111,111,108,101,97,110,83,116,101,112,77,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,54,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,98,111,111,108,101,97,110,83,116,101,112,77,91,52,93,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,79,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,116,79,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,53,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,98,111,111,108,101,97,110,83,116,101,112,77,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,54,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,98,111,111,108,101,97,110,83,116,101,112,77,91,53,93,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,79,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,116,79,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,53,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,98,111,111,108,101,97,110,83,116,101,112,77,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,54,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,74,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,74,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,74,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,53,52,34,32,108,105,110,101,69,110,100,61,34,54,54,53,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,54,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,112,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,54,50,34,32,108,105,110,101,69,110,100,61,34,54,54,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7495720);
/* memory initializer */ allocate([111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,54,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,102,115,78,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,102,115,78,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,102,115,78,111,109,105,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,54,51,34,32,108,105,110,101,69,110,100,61,34,54,54,54,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,54,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,82,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,82,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,54,54,54,54,54,54,54,54,54,54,54,54,54,54,55,32,42,32,97,105,109,99,68,97,116,97,46,82,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,54,56,34,32,108,105,110,101,69,110,100,61,34,54,54,55,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,55,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,84,115,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,84,115,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,84,115,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,55,49,34,32,108,105,110,101,69,110,100,61,34,54,54,55,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,55,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,108,112,104,97,50,48,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,97,108,112,104,97,50,48,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,97,108,112,104,97,50,48,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,55,52,34,32,108,105,110,101,69,110,100,61,34,54,54,55,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,50,48,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,55,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,82,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,82,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,54,54,54,54,54,54,54,54,54,54,54,54,54,54,55,32,42,32,97,105,109,99,68,97,116,97,46,82,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,51,50,34,32,108,105,110,101,69,110,100,61,34,52,53,51,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,55,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,84,114,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,84,114,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,84,114,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,51,53,34,32,108,105,110,101,69,110,100,61,34,52,53,51,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,55,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,108,112,104,97,50,48,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,97,108,112,104,97,50,48,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,97,108,112,104,97,50,48,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,51,56,34,32,108,105,110,101,69,110,100,61,34,52,53,52,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,50,48,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,55,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,74,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,74,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,74,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,48,34,32,108,105,110,101,69,110,100,61,34,50,51,48,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,55,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,50,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,55,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,54,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,55,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,51,52,34,32,108,105,110,101,69,110,100,61,34,49,49,51,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,55,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,86,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,86,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,86,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,51,54,34,32,108,105,110,101,69,110,100,61,34,49,49,51,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,56,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,49,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,56,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,73,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,73,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,73,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7505960);
/* memory initializer */ allocate([101,83,116,97,114,116,61,34,49,49,51,49,51,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,56,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,55,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,56,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,50,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,56,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,54,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,56,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,49,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,56,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,73,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,73,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,73,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,51,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,56,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,55,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,56,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,82,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,82,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,82,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,53,57,34,32,108,105,110,101,69,110,100,61,34,53,53,54,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,56,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,84,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,84,115,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,84,115,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,54,49,34,32,108,105,110,101,69,110,100,61,34,53,53,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,57,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,97,108,112,104,97,50,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,108,112,104,97,50,48,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,97,108,112,104,97,50,48,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,54,51,34,32,108,105,110,101,69,110,100,61,34,53,53,54,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,50,48,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,57,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,84,79,112,101,114,97,116,105,111,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,84,115,79,112,101,114,97,116,105,111,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,84,115,79,112,101,114,97,116,105,111,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,55,49,34,32,108,105,110,101,69,110,100,61,34,53,53,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,57,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,101,102,102,101,99,116,105,118,101,83,116,97,116,111,114,84,117,114,110,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,101,102,102,101,99,116,105,118,101,83,116,97,116,111,114,84,117,114,110,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,55,56,34,32,108,105,110,101,69,110,100,61,34,53,53,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,57,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,60,47,114,104], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7516200);
/* memory initializer */ allocate([115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,48,34,32,108,105,110,101,69,110,100,61,34,52,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,57,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,48,34,32,108,105,110,101,69,110,100,61,34,52,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,57,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,48,34,32,108,105,110,101,69,110,100,61,34,52,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,57,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,48,34,32,108,105,110,101,69,110,100,61,34,52,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,57,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,48,34,32,108,105,110,101,69,110,100,61,34,52,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,57,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,111,114,105,101,110,116,97,116,105,111,110,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,70,117,110,99,116,105,111,110,115,46,115,121,109,109,101,116,114,105,99,79,114,105,101,110,116,97,116,105,111,110,40,53,41,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,49,34,32,108,105,110,101,69,110,100,61,34,52,51,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,57,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,111,114,105,101,110,116,97,116,105,111,110,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,70,117,110,99,116,105,111,110,115,46,115,121,109,109,101,116,114,105,99,79,114,105,101,110,116,97,116,105,111,110,40,53,41,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,49,34,32,108,105,110,101,69,110,100,61,34,52,51,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,48,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,111,114,105,101,110,116,97,116,105,111,110,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,70,117,110,99,116,105,111,110,115,46,115,121,109,109,101,116,114,105,99,79,114,105,101,110,116,97,116,105,111,110,40,53,41,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,49,34,32,108,105,110,101,69,110,100,61,34,52,51,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,48,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,111,114,105,101,110,116,97,116,105,111,110,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,70,117,110,99,116,105,111,110,115,46,115,121,109,109,101,116,114,105,99,79,114,105,101,110,116,97,116,105,111,110,40,53,41,91,52,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,49,34,32,108,105,110,101,69,110,100,61,34,52,51,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,48,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,111,114,105,101,110,116,97,116,105,111,110,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,70,117,110,99,116,105,111,110,115,46,115,121,109,109,101,116,114,105,99,79,114,105,101,110,116,97,116,105,111,110,40,53,41,91,53,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,49,34,32,108,105,110,101,69,110,100,61,34,52,51,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,48,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,84,79,112,101,114,97,116,105,111,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,84,79,112,101,114,97,116,105,111,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7526440);
/* memory initializer */ allocate([116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,48,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,84,79,112,101,114,97,116,105,111,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,84,79,112,101,114,97,116,105,111,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,48,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,84,79,112,101,114,97,116,105,111,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,84,79,112,101,114,97,116,105,111,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,48,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,84,79,112,101,114,97,116,105,111,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,84,79,112,101,114,97,116,105,111,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,48,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,84,79,112,101,114,97,116,105,111,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,84,79,112,101,114,97,116,105,111,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,48,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,82,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,82,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,82,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,48,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,82,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,82,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,82,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,49,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,82,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,82,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,82,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,49,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,82,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,82,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,82,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,49,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,82,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,82,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,82,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,49,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,84,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,84,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,49,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,84,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,84,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,49,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7536680);
/* memory initializer */ allocate([99,77,46,115,116,97,116,111,114,46,84,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,84,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,49,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,84,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,84,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,49,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,84,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,84,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,49,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,49,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,82,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,82,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,50,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,95,114,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,50,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,50,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,82,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,82,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,50,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,95,114,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,50,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,50,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,82,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,82,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7546920);
/* memory initializer */ allocate([73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,50,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,95,114,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,50,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,52,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,50,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,82,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,82,91,52,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,50,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,84,95,114,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,52,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,51,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,53,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,51,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,82,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,82,91,53,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,51,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,84,95,114,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,53,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,51,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,112,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,50,55,34,32,108,105,110,101,69,110,100,61,34,53,55,50,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,51,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,82,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,82,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,82,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,55,50,34,32,108,105,110,101,69,110,100,61,34,53,56,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,51,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,84,114,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,84,114,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,55,52,34,32,108,105,110,101,69,110,100,61,34,53,56,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,51,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,97,108,112,104,97,50,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,108,112,104,97,50,48,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,97,108,112,104,97,50,48,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,55,54,34,32,108,105,110,101,69,110,100,61,34,53,56,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7557160);
/* memory initializer */ allocate([60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,50,48,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,51,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,84,79,112,101,114,97,116,105,111,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,84,114,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,84,114,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,56,52,34,32,108,105,110,101,69,110,100,61,34,53,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,51,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,101,102,102,101,99,116,105,118,101,83,116,97,116,111,114,84,117,114,110,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,101,102,102,101,99,116,105,118,101,83,116,97,116,111,114,84,117,114,110,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,56,56,34,32,108,105,110,101,69,110,100,61,34,53,56,56,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,51,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,48,34,32,108,105,110,101,69,110,100,61,34,52,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,52,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,48,34,32,108,105,110,101,69,110,100,61,34,52,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,52,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,48,34,32,108,105,110,101,69,110,100,61,34,52,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,52,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,48,34,32,108,105,110,101,69,110,100,61,34,52,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,52,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,48,34,32,108,105,110,101,69,110,100,61,34,52,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,52,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,111,114,105,101,110,116,97,116,105,111,110,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,70,117,110,99,116,105,111,110,115,46,115,121,109,109,101,116,114,105,99,79,114,105,101,110,116,97,116,105,111,110,40,53,41,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,49,34,32,108,105,110,101,69,110,100,61,34,52,51,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,52,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,111,114,105,101,110,116,97,116,105,111,110,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,70,117,110,99,116,105,111,110,115,46,115,121,109,109,101,116,114,105,99,79,114,105,101,110,116,97,116,105,111,110,40,53,41,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,49,34,32,108,105,110,101,69,110,100,61,34,52,51,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,52,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,111,114,105,101,110,116,97,116,105,111,110,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,70,117,110,99,116,105,111,110,115,46,115,121,109,109,101,116,114,105,99,79,114,105,101,110,116,97,116,105,111,110,40,53,41,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,49,34,32,108,105,110,101,69,110,100,61,34,52,51,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,52,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,111,114,105,101,110,116,97,116,105,111,110,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,70,117,110,99,116,105,111,110,115,46,115,121,109,109,101,116,114,105,99,79,114,105,101,110,116,97,116,105,111,110,40,53,41,91,52,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,49,34,32,108,105,110,101,69,110,100,61,34,52,51,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7567400);
/* memory initializer */ allocate([66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,52,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,111,114,105,101,110,116,97,116,105,111,110,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,70,117,110,99,116,105,111,110,115,46,115,121,109,109,101,116,114,105,99,79,114,105,101,110,116,97,116,105,111,110,40,53,41,91,53,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,49,34,32,108,105,110,101,69,110,100,61,34,52,51,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,52,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,53,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,53,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,53,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,53,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,53,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,82,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,82,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,82,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,53,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,82,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,82,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,82,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,53,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,82,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,82,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,82,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,53,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,82,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,82,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,82,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,53,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,82,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,82,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,82,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7577640);
/* memory initializer */ allocate([117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,53,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,54,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,54,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,54,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,54,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,54,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,54,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,82,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,82,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,54,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,95,114,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,54,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,54,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,82,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,82,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,54,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,95,114,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7587880);
/* memory initializer */ allocate([112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,55,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,55,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,82,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,82,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,55,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,95,114,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,55,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,52,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,55,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,82,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,82,91,52,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,55,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,84,95,114,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,52,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,55,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,53,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,55,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,82,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,82,91,53,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,55,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,84,95,114,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,53,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,55,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,108,111,97,100,73,110,101,114,116,105,97,77,46,74,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,74,95,76,111,97,100,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,74,95,76,111,97,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,48,34,32,108,105,110,101,69,110,100,61,34,50,51,48,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,108,111,97,100,73,110,101,114,116,105,97,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7598120);
/* memory initializer */ allocate([101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,56,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,116,97,117,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,84,95,76,111,97,100,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,84,95,76,111,97,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,57,57,34,32,108,105,110,101,69,110,100,61,34,54,51,48,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,83,111,117,114,99,101,115,46,81,117,97,100,114,97,116,105,99,83,112,101,101,100,68,101,112,101,110,100,101,110,116,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,56,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,119,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,119,95,76,111,97,100,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,119,95,76,111,97,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,51,48,51,34,32,108,105,110,101,69,110,100,61,34,54,51,48,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,83,111,117,114,99,101,115,46,81,117,97,100,114,97,116,105,99,83,112,101,101,100,68,101,112,101,110,100,101,110,116,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,56,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,74,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,74,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,74,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,56,57,54,34,32,108,105,110,101,69,110,100,61,34,49,52,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,56,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,74,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,74,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,74,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,53,55,34,32,108,105,110,101,69,110,100,61,34,54,54,53,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,56,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,74,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,74,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,74,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,48,34,32,108,105,110,101,69,110,100,61,34,50,51,48,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,56,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,76,115,115,105,103,109,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,102,115,78,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,48,46,49,48,49,55,55,54,52,48,54,49,52,49,49,54,56,56,44,32,97,105,109,99,68,97,116,97,46,102,115,78,111,109,105,110,97,108,32,42,32,54,46,50,56,51,49,56,53,51,48,55,49,55,57,53,56,54,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,57,49,49,34,32,108,105,110,101,69,110,100,61,34,49,52,57,49,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,56,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,76,115,115,105,103,109,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,76,115,115,105,103,109,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,54,54,54,54,54,54,54,54,54,54,54,54,54,54,55,32,42,32,97,105,109,99,68,97,116,97,46,76,115,115,105,103,109,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,56,48,34,32,108,105,110,101,69,110,100,61,34,54,54,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,56,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,76,115,105,103,109,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,76,115,115,105,103,109,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,76,115,115,105,103,109,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,55,52,34,32,108,105,110,101,69,110,100,61,34,53,53,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,56,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,82,95,109,46,113,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,76,115,105,103,109,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,50,46,53,32,42,32,68,73,86,73,83,73,79,78,40,97,105,109,99,77,46,115,116,97,116,111,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,32,94,32,50,46,48,44,32,97,105,109,99,77,46,115,116,97,116,111,114,46,76,115,105,103,109,97,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,50,52,34,32,108,105,110,101,69,110,100,61,34,55,48,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,82,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,84,121,112,101,115,46,83,97,108,105,101,110,116,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,56,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,82,95,109,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,76,115,105,103,109,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,50,46,53,32,42,32,68,73,86,73,83,73,79,78,40,97,105,109,99,77,46,115,116,97,116,111,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,32,94,32,50,46,48,44,32,97,105,109,99,77,46,115,116,97,116,111,114,46,76,115,105,103,109,97,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,50,51,34,32,108,105,110,101,69,110,100,61,34,55,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,82,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,84,121,112,101,115,46,83,97,108,105,101,110,116,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,57,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,102,115,78,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,54,46,50,56,51,49,56,53,51,48,55,49,55,57,53,56,54,32,42,32,68,73,86,73,83,73,79,78,40,97,105,109,99,68,97,116,97,46,102,115,78,111,109,105,110,97,108,44,32,47,42,82,101,97,108,42,47,40,97,105,109,99,68,97,116,97,46,112,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,52,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,57,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,52,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,57,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,52,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7608360);
/* memory initializer */ allocate([32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,57,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,102,115,78,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,54,46,50,56,51,49,56,53,51,48,55,49,55,57,53,56,54,32,42,32,97,105,109,99,68,97,116,97,46,102,115,78,111,109,105,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,51,56,34,32,108,105,110,101,69,110,100,61,34,49,49,51,51,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,57,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,51,56,34,32,108,105,110,101,69,110,100,61,34,49,49,51,51,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,57,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,102,115,78,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,54,46,50,56,51,49,56,53,51,48,55,49,55,57,53,56,54,32,42,32,68,73,86,73,83,73,79,78,40,97,105,109,99,68,97,116,97,46,102,115,78,111,109,105,110,97,108,44,32,47,42,82,101,97,108,42,47,40,97,105,109,99,68,97,116,97,46,112,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,53,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,57,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,53,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,57,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,53,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,57,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,76,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,102,115,78,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,50,46,56,57,56,50,50,51,53,57,51,56,53,56,56,51,49,44,32,97,105,109,99,68,97,116,97,46,102,115,78,111,109,105,110,97,108,32,42,32,54,46,50,56,51,49,56,53,51,48,55,49,55,57,53,56,54,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,57,51,57,34,32,108,105,110,101,69,110,100,61,34,49,52,57,52,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,57,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,76,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,76,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,54,54,54,54,54,54,54,54,54,54,54,54,54,54,55,32,42,32,97,105,109,99,68,97,116,97,46,76,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,53,34,32,108,105,110,101,69,110,100,61,34,52,53,50,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,48,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,76,48,46,113,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,101,102,102,101,99,116,105,118,101,83,116,97,116,111,114,84,117,114,110,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,76,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,52,32,42,32,68,73,86,73,83,73,79,78,40,97,105,109,99,77,46,76,109,44,32,97,105,109,99,77,46,101,102,102,101,99,116,105,118,101,83,116,97,116,111,114,84,117,114,110,115,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,50,52,34,32,108,105,110,101,69,110,100,61,34,55,48,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,76,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,84,121,112,101,115,46,83,97,108,105,101,110,116,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,48,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,76,48,46,113,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,76,48,46,113,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,76,48,46,113,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,50,52,34,32,108,105,110,101,69,110,100,61,34,55,48,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,76,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,84,121,112,101,115,46,83,97,108,105,101,110,116,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,48,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,76,48,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,101,102,102,101,99,116,105,118,101,83,116,97,116,111,114,84,117,114,110,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,76,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,52,32,42,32,68,73,86,73,83,73,79,78,40,97,105,109,99,77,46,76,109,44,32,97,105,109,99,77,46,101,102,102,101,99,116,105,118,101,83,116,97,116,111,114,84,117,114,110,115,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,50,51,34,32,108,105,110,101,69,110,100,61,34,55,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,76,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,84,121,112,101,115,46,83,97,108,105,101,110,116,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,48,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,76,48,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,76,48,46,100,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,76,48,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,50,51,34,32,108,105,110,101,69,110,100,61,34,55,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,97,105,114,71,97,112,46,76,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,84,121,112,101,115,46,83,97,108,105,101,110,116,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,48,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,76,114,115,105,103,109,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,102,115,78,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,48,46,49,48,49,55,55,54,52,48,54,49,52,49,49,54,56,56,44,32,97,105,109,99,68,97,116,97,46,102,115,78,111,109,105,110,97,108,32,42,32,54,46,50,56,51,49,56,53,51,48,55,49,55,57,53,56,54,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,57,52,50,34,32,108,105,110,101,69,110,100,61,34,49,52,57,52,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7618600);
/* memory initializer */ allocate([97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,48,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,76,114,115,105,103,109,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,76,114,115,105,103,109,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,54,54,54,54,54,54,54,54,54,54,54,54,54,54,55,32,42,32,97,105,109,99,68,97,116,97,46,76,114,115,105,103,109,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,56,34,32,108,105,110,101,69,110,100,61,34,52,53,51,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,48,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,76,115,105,103,109,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,76,114,115,105,103,109,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,76,114,115,105,103,109,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,56,55,34,32,108,105,110,101,69,110,100,61,34,53,56,56,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,48,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,76,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,76,115,105,103,109,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,76,115,105,103,109,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,49,57,34,32,108,105,110,101,69,110,100,61,34,57,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,48,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,76,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,76,91,53,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,76,91,53,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,34,32,108,105,110,101,69,110,100,61,34,51,51,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,48,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,76,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,76,115,105,103,109,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,76,115,105,103,109,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,49,57,34,32,108,105,110,101,69,110,100,61,34,57,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,49,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,76,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,76,91,52,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,76,91,52,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,34,32,108,105,110,101,69,110,100,61,34,51,51,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,49,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,76,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,76,115,105,103,109,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,76,115,105,103,109,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,49,57,34,32,108,105,110,101,69,110,100,61,34,57,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,49,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,46,76,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,76,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,76,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,34,32,108,105,110,101,69,110,100,61,34,51,51,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,49,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,76,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,76,115,105,103,109,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,76,115,105,103,109,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,49,57,34,32,108,105,110,101,69,110,100,61,34,57,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,49,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,46,76,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,76,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,76,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,34,32,108,105,110,101,69,110,100,61,34,51,51,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,49,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,76,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,76,115,105,103,109,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,76,115,105,103,109,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,49,57,34,32,108,105,110,101,69,110,100,61,34,57,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7628840);
/* memory initializer */ allocate([97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,49,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,46,76,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,76,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,76,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,34,32,108,105,110,101,69,110,100,61,34,51,51,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,49,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,76,115,122,101,114,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,76,115,115,105,103,109,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,76,115,115,105,103,109,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,57,48,56,34,32,108,105,110,101,69,110,100,61,34,49,52,57,49,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,49,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,76,115,122,101,114,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,76,115,122,101,114,111,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,54,54,54,54,54,54,54,54,54,54,54,54,54,54,55,32,42,32,97,105,109,99,68,97,116,97,46,76,115,122,101,114,111,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,56,51,34,32,108,105,110,101,69,110,100,61,34,54,54,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,49,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,76,122,101,114,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,76,115,122,101,114,111,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,76,115,122,101,114,111,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,55,54,34,32,108,105,110,101,69,110,100,61,34,53,53,55,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,50,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,76,122,101,114,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,76,122,101,114,111,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,77,46,115,116,97,116,111,114,46,76,122,101,114,111,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,54,34,32,108,105,110,101,69,110,100,61,34,49,48,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,50,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,86,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,86,115,78,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,52,49,52,50,49,51,53,54,50,51,55,51,48,57,53,32,42,32,86,115,78,111,109,105,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,49,56,34,32,108,105,110,101,69,110,100,61,34,50,56,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,50,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,86,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,86,115,78,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,52,49,52,50,49,51,53,54,50,51,55,51,48,57,53,32,42,32,86,115,78,111,109,105,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,49,56,34,32,108,105,110,101,69,110,100,61,34,50,56,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,50,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,86,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,86,115,78,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,52,49,52,50,49,51,53,54,50,51,55,51,48,57,53,32,42,32,86,115,78,111,109,105,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,49,56,34,32,108,105,110,101,69,110,100,61,34,50,56,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,50,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,102,114,101,113,72,122,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,102,78,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,102,78,111,109,105,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,50,34,32,108,105,110,101,69,110,100,61,34,50,56,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,50,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,102,114,101,113,72,122,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,102,78,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,102,78,111,109,105,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,50,34,32,108,105,110,101,69,110,100,61,34,50,56,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,50,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,102,114,101,113,72,122,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,102,78,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,102,78,111,109,105,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,50,50,34,32,108,105,110,101,69,110,100,61,34,50,56,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,50,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,111,102,102,115,101,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,111,102,102,115,101,116,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,53,34,32,108,105,110,101,69,110,100,61,34,52,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,50,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,116,97,114,116,84,105,109,101,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,116,97,114,116,84,105,109,101,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,54,34,32,108,105,110,101,69,110,100,61,34,52,50,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,50,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,86,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,86,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,86,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,57,34,32,108,105,110,101,69,110,100,61,34,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7639080);
/* memory initializer */ allocate([69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,51,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,112,104,97,115,101,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,112,104,97,115,101,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,51,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,102,114,101,113,72,122,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,102,114,101,113,72,122,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,102,114,101,113,72,122,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,49,34,32,108,105,110,101,69,110,100,61,34,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,51,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,97,109,112,108,105,116,117,100,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,86,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,86,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,48,34,32,108,105,110,101,69,110,100,61,34,53,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,51,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,102,114,101,113,72,122,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,102,114,101,113,72,122,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,102,114,101,113,72,122,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,49,34,32,108,105,110,101,69,110,100,61,34,53,54,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,51,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,112,104,97,115,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,50,34,32,108,105,110,101,69,110,100,61,34,53,54,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,51,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,111,102,102,115,101,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,51,34,32,108,105,110,101,69,110,100,61,34,53,54,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,51,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,116,97,114,116,84,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,52,34,32,108,105,110,101,69,110,100,61,34,53,54,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,51,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,111,102,102,115,101,116,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,111,102,102,115,101,116,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,53,34,32,108,105,110,101,69,110,100,61,34,52,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,51,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,116,97,114,116,84,105,109,101,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,116,97,114,116,84,105,109,101,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,54,34,32,108,105,110,101,69,110,100,61,34,52,50,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,51,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,86,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,86,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,86,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,57,34,32,108,105,110,101,69,110,100,61,34,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,52,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,112,104,97,115,101,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,112,104,97,115,101,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,52,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,102,114,101,113,72,122,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,102,114,101,113,72,122,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,102,114,101,113,72,122,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,49,34,32,108,105,110,101,69,110,100,61,34,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,52,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,97,109,112,108,105,116,117,100,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,86,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,86], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7649320);
/* memory initializer */ allocate([60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,48,34,32,108,105,110,101,69,110,100,61,34,53,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,52,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,102,114,101,113,72,122,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,102,114,101,113,72,122,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,102,114,101,113,72,122,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,49,34,32,108,105,110,101,69,110,100,61,34,53,54,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,52,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,112,104,97,115,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,50,34,32,108,105,110,101,69,110,100,61,34,53,54,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,52,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,111,102,102,115,101,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,51,34,32,108,105,110,101,69,110,100,61,34,53,54,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,52,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,116,97,114,116,84,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,52,34,32,108,105,110,101,69,110,100,61,34,53,54,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,52,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,111,102,102,115,101,116,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,111,102,102,115,101,116,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,53,34,32,108,105,110,101,69,110,100,61,34,52,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,52,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,116,97,114,116,84,105,109,101,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,116,97,114,116,84,105,109,101,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,54,34,32,108,105,110,101,69,110,100,61,34,52,50,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,52,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,86,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,86,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,86,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,57,34,32,108,105,110,101,69,110,100,61,34,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,53,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,112,104,97,115,101,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,112,104,97,115,101,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,53,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,102,114,101,113,72,122,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,102,114,101,113,72,122,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,102,114,101,113,72,122,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,49,34,32,108,105,110,101,69,110,100,61,34,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,53,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,97,109,112,108,105,116,117,100,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,86,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,86,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,48,34,32,108,105,110,101,69,110,100,61,34,53,54,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,53,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,102,114,101,113,72,122,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,102,114,101,113,72,122,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,102,114,101,113,72,122,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,49,34,32,108,105,110,101,69,110,100,61,34,53,54,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,53,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,112,104,97,115,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,50,34,32,108,105,110,101,69,110,100,61,34,53,54,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7659560);
/* memory initializer */ allocate([121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,53,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,111,102,102,115,101,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,51,34,32,108,105,110,101,69,110,100,61,34,53,54,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,53,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,116,97,114,116,84,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,52,34,32,108,105,110,101,69,110,100,61,34,53,54,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,105,110,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,53,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,109,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,100,101,97,108,67,108,111,115,101,114,51,46,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,56,54,34,32,108,105,110,101,69,110,100,61,34,51,50,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,53,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,82,111,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,82,111,110,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,100,101,97,108,67,108,111,115,101,114,51,46,82,111,110,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,54,34,32,108,105,110,101,69,110,100,61,34,49,53,51,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,53,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,71,111,102,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,71,111,102,102,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,100,101,97,108,67,108,111,115,101,114,51,46,71,111,102,102,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,52,48,34,32,108,105,110,101,69,110,100,61,34,49,53,52,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,54,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,82,111,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,82,111,110,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,100,101,97,108,67,108,111,115,101,114,51,46,82,111,110,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,54,34,32,108,105,110,101,69,110,100,61,34,49,53,51,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,54,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,71,111,102,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,71,111,102,102,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,100,101,97,108,67,108,111,115,101,114,51,46,71,111,102,102,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,52,48,34,32,108,105,110,101,69,110,100,61,34,49,53,52,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,54,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,82,111,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,82,111,110,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,100,101,97,108,67,108,111,115,101,114,51,46,82,111,110,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,54,34,32,108,105,110,101,69,110,100,61,34,49,53,51,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,54,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,71,111,102,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,71,111,102,102,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,100,101,97,108,67,108,111,115,101,114,51,46,71,111,102,102,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,52,48,34,32,108,105,110,101,69,110,100,61,34,49,53,52,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,54,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,98,111,111,108,101,97,110,83,116,101,112,51,91,49,93,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,79,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,116,79,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,53,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,98,111,111,108,101,97,110,83,116,101,112,51,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,54,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,98,111,111,108,101,97,110,83,116,101,112,51,91,50,93,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,79,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,116,79,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,53,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,98,111,111,108,101,97,110,83,116,101,112,51,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,54,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,98,111,111,108,101,97,110,83,116,101,112,51,91,51,93,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,79,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,116,79,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,53,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,98,111,111,108,101,97,110,83,116,101,112,51,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,66,111,111,108,101,97,110,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,54,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,46,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,101,114,109,105,110,97,108,66,111,120,51,46,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,116,101,114,109,105,110,97,108,66,111,120,51,46,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,50,49,34,32,108,105,110,101,69,110,100,61,34,53,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,54,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,74,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,74,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,74,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,53,52,34,32,108,105,110,101,69,110,100,61,34,54,54,53,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7669800);
/* memory initializer */ allocate([110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,54,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,112,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,54,50,34,32,108,105,110,101,69,110,100,61,34,54,54,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,55,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,102,115,78,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,102,115,78,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,102,115,78,111,109,105,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,54,51,34,32,108,105,110,101,69,110,100,61,34,54,54,54,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,114,101,113,117,101,110,99,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,55,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,82,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,82,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,82,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,54,56,34,32,108,105,110,101,69,110,100,61,34,54,54,55,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,55,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,84,115,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,84,115,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,84,115,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,55,49,34,32,108,105,110,101,69,110,100,61,34,54,54,55,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,55,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,108,112,104,97,50,48,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,97,108,112,104,97,50,48,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,97,108,112,104,97,50,48,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,55,52,34,32,108,105,110,101,69,110,100,61,34,54,54,55,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,50,48,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,55,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,82,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,82,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,82,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,51,50,34,32,108,105,110,101,69,110,100,61,34,52,53,51,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,55,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,84,114,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,84,114,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,84,114,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,51,53,34,32,108,105,110,101,69,110,100,61,34,52,53,51,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,55,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,108,112,104,97,50,48,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,97,108,112,104,97,50,48,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,97,108,112,104,97,50,48,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,51,56,34,32,108,105,110,101,69,110,100,61,34,52,53,52,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,50,48,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,55,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,74,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,74,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,74,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,53,55,34,32,108,105,110,101,69,110,100,61,34,54,54,53,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,55,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,74,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,74,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,74,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,48,34,32,108,105,110,101,69,110,100,61,34,50,51,48,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,55,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,50,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,56,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,52,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,56,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,54,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,56,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,51,52,34,32,108,105,110,101,69,110,100,61,34,49,49,51,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7680040);
/* memory initializer */ allocate([67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,56,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,86,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,86,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,86,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,51,54,34,32,108,105,110,101,69,110,100,61,34,49,49,51,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,56,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,51,56,34,32,108,105,110,101,69,110,100,61,34,49,49,51,51,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,56,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,49,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,56,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,73,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,73,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,73,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,51,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,56,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,53,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,56,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,55,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,56,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,76,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,76,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,76,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,53,34,32,108,105,110,101,69,110,100,61,34,52,53,50,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,57,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,76,114,115,105,103,109,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,76,114,115,105,103,109,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,76,114,115,105,103,109,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,56,34,32,108,105,110,101,69,110,100,61,34,52,53,51,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,57,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,74,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,74,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,74,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,48,34,32,108,105,110,101,69,110,100,61,34,50,51,48,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,101,114,116,105,97,83,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,57,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,50,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,57,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,52,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,57,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,54,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7690280);
/* memory initializer */ allocate([111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,57,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,49,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,57,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,73,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,73,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,73,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,51,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,57,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,53,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,57,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,55,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,57,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,76,115,115,105,103,109,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,76,115,115,105,103,109,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,76,115,115,105,103,109,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,56,48,34,32,108,105,110,101,69,110,100,61,34,54,54,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,48,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,76,115,122,101,114,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,68,97,116,97,46,76,115,122,101,114,111,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,68,97,116,97,46,76,115,122,101,114,111,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,56,51,34,32,108,105,110,101,69,110,100,61,34,54,54,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,48,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,76,48,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,101,102,102,101,99,116,105,118,101,83,116,97,116,111,114,84,117,114,110,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,76,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,50,46,48,32,42,32,68,73,86,73,83,73,79,78,40,97,105,109,99,51,46,76,109,44,32,97,105,109,99,51,46,101,102,102,101,99,116,105,118,101,83,116,97,116,111,114,84,117,114,110,115,32,94,32,50,46,48,32,42,32,51,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,50,51,34,32,108,105,110,101,69,110,100,61,34,55,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,76,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,84,121,112,101,115,46,83,97,108,105,101,110,116,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,48,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,76,48,46,113,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,101,102,102,101,99,116,105,118,101,83,116,97,116,111,114,84,117,114,110,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,76,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,50,46,48,32,42,32,68,73,86,73,83,73,79,78,40,97,105,109,99,51,46,76,109,44,32,97,105,109,99,51,46,101,102,102,101,99,116,105,118,101,83,116,97,116,111,114,84,117,114,110,115,32,94,32,50,46,48,32,42,32,51,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,50,52,34,32,108,105,110,101,69,110,100,61,34,55,48,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,76,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,84,121,112,101,115,46,83,97,108,105,101,110,116,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,48,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,82,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,82,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,82,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,53,57,34,32,108,105,110,101,69,110,100,61,34,53,53,54,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,48,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,84,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,84,115,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,84,115,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,54,49,34,32,108,105,110,101,69,110,100,61,34,53,53,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,48,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,97,108,112,104,97,50,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,108,112,104,97,50,48,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,97,108,112,104,97,50,48,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,54,51,34,32,108,105,110,101,69,110,100,61,34,53,53,54,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,50,48,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,48,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,84,79,112,101,114,97,116,105,111,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,84,115,79,112,101,114,97,116,105,111,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,84,115,79,112,101,114,97,116,105,111,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,55,49,34,32,108,105,110,101,69,110,100,61,34,53,53,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,48,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,76,115,105,103,109,97,34,32,47,62,10], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7700520);
/* memory initializer */ allocate([32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,76,115,115,105,103,109,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,76,115,115,105,103,109,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,55,52,34,32,108,105,110,101,69,110,100,61,34,53,53,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,48,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,76,122,101,114,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,76,115,122,101,114,111,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,76,115,122,101,114,111,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,55,54,34,32,108,105,110,101,69,110,100,61,34,53,53,55,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,48,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,101,102,102,101,99,116,105,118,101,83,116,97,116,111,114,84,117,114,110,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,101,102,102,101,99,116,105,118,101,83,116,97,116,111,114,84,117,114,110,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,55,56,34,32,108,105,110,101,69,110,100,61,34,53,53,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,49,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,76,122,101,114,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,76,122,101,114,111,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,76,122,101,114,111,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,56,54,34,32,108,105,110,101,69,110,100,61,34,49,48,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,49,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,48,34,32,108,105,110,101,69,110,100,61,34,52,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,49,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,48,34,32,108,105,110,101,69,110,100,61,34,52,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,49,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,48,34,32,108,105,110,101,69,110,100,61,34,52,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,49,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,111,114,105,101,110,116,97,116,105,111,110,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,70,117,110,99,116,105,111,110,115,46,115,121,109,109,101,116,114,105,99,79,114,105,101,110,116,97,116,105,111,110,40,51,41,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,49,34,32,108,105,110,101,69,110,100,61,34,52,51,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,49,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,111,114,105,101,110,116,97,116,105,111,110,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,70,117,110,99,116,105,111,110,115,46,115,121,109,109,101,116,114,105,99,79,114,105,101,110,116,97,116,105,111,110,40,51,41,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,49,34,32,108,105,110,101,69,110,100,61,34,52,51,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,49,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,111,114,105,101,110,116,97,116,105,111,110,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,70,117,110,99,116,105,111,110,115,46,115,121,109,109,101,116,114,105,99,79,114,105,101,110,116,97,116,105,111,110,40,51,41,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,49,34,32,108,105,110,101,69,110,100,61,34,52,51,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,49,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,84,79,112,101,114,97,116,105,111,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,84,79,112,101,114,97,116,105,111,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,49,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,84,79,112,101,114,97,116,105,111,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,84,79,112,101,114,97,116,105,111,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7710760);
/* memory initializer */ allocate([32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,49,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,84,79,112,101,114,97,116,105,111,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,84,79,112,101,114,97,116,105,111,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,50,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,82,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,82,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,82,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,50,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,82,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,82,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,82,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,50,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,82,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,82,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,82,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,50,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,84,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,84,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,50,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,84,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,84,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,50,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,84,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,84,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,50,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,50,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,82,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,82,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,50,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,95,114,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,50,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7721000);
/* memory initializer */ allocate([110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,51,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,82,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,82,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,51,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,95,114,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,51,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,51,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,82,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,82,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,51,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,95,114,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,51,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,82,95,109,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,76,115,105,103,109,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,53,32,42,32,68,73,86,73,83,73,79,78,40,97,105,109,99,51,46,115,116,97,116,111,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,32,94,32,50,46,48,44,32,97,105,109,99,51,46,115,116,97,116,111,114,46,76,115,105,103,109,97,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,50,51,34,32,108,105,110,101,69,110,100,61,34,55,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,82,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,84,121,112,101,115,46,83,97,108,105,101,110,116,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,51,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,82,95,109,46,113,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,76,115,105,103,109,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,53,32,42,32,68,73,86,73,83,73,79,78,40,97,105,109,99,51,46,115,116,97,116,111,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,32,94,32,50,46,48,44,32,97,105,109,99,51,46,115,116,97,116,111,114,46,76,115,105,103,109,97,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,50,52,34,32,108,105,110,101,69,110,100,61,34,55,48,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,82,95,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,84,121,112,101,115,46,83,97,108,105,101,110,116,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,51,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,112,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,50,55,34,32,108,105,110,101,69,110,100,61,34,53,55,50,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,51,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,76,48,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,76,48,46,100,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,76,48,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,50,51,34,32,108,105,110,101,69,110,100,61,34,55,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,76,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,84,121,112,101,115,46,83,97,108,105,101,110,116,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,51,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,76,48,46,113,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,76,48,46,113,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,76,48,46,113,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,50,52,34,32,108,105,110,101,69,110,100,61,34,55,48,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,97,105,114,71,97,112,46,76,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7731240);
/* memory initializer */ allocate([116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,82,111,116,111,114,83,97,108,105,101,110,99,121,65,105,114,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,84,121,112,101,115,46,83,97,108,105,101,110,116,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,52,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,82,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,82,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,82,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,55,50,34,32,108,105,110,101,69,110,100,61,34,53,56,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,52,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,84,114,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,84,114,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,55,52,34,32,108,105,110,101,69,110,100,61,34,53,56,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,52,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,97,108,112,104,97,50,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,97,108,112,104,97,50,48,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,97,108,112,104,97,50,48,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,55,54,34,32,108,105,110,101,69,110,100,61,34,53,56,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,50,48,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,52,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,84,79,112,101,114,97,116,105,111,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,84,114,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,84,114,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,56,52,34,32,108,105,110,101,69,110,100,61,34,53,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,52,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,76,115,105,103,109,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,76,114,115,105,103,109,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,76,114,115,105,103,109,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,56,55,34,32,108,105,110,101,69,110,100,61,34,53,56,56,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,52,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,101,102,102,101,99,116,105,118,101,83,116,97,116,111,114,84,117,114,110,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,101,102,102,101,99,116,105,118,101,83,116,97,116,111,114,84,117,114,110,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,56,56,34,32,108,105,110,101,69,110,100,61,34,53,56,56,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,52,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,48,34,32,108,105,110,101,69,110,100,61,34,52,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,52,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,48,34,32,108,105,110,101,69,110,100,61,34,52,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,52,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,48,34,32,108,105,110,101,69,110,100,61,34,52,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,52,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,111,114,105,101,110,116,97,116,105,111,110,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,70,117,110,99,116,105,111,110,115,46,115,121,109,109,101,116,114,105,99,79,114,105,101,110,116,97,116,105,111,110,40,51,41,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,49,34,32,108,105,110,101,69,110,100,61,34,52,51,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,53,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,111,114,105,101,110,116,97,116,105,111,110,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,70,117,110,99,116,105,111,110,115,46,115,121,109,109,101,116,114,105,99,79,114,105,101,110,116,97,116,105,111,110,40,51,41,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,49,34,32,108,105,110,101,69,110,100,61,34,52,51,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,53,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,111,114,105,101,110,116,97,116,105,111,110,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,70,117,110,99,116,105,111,110,115,46,115,121,109,109,101,116,114,105,99,79,114,105,101,110,116,97,116,105,111,110,40,51,41,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7741480);
/* memory initializer */ allocate([47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,50,49,34,32,108,105,110,101,69,110,100,61,34,52,51,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,53,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,76,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,76,115,105,103,109,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,76,115,105,103,109,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,49,57,34,32,108,105,110,101,69,110,100,61,34,57,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,53,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,76,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,76,115,105,103,109,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,76,115,105,103,109,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,49,57,34,32,108,105,110,101,69,110,100,61,34,57,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,53,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,76,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,76,115,105,103,109,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,76,115,105,103,109,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,49,57,34,32,108,105,110,101,69,110,100,61,34,57,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,53,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,46,76,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,76,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,76,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,34,32,108,105,110,101,69,110,100,61,34,51,51,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,53,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,46,76,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,76,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,76,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,34,32,108,105,110,101,69,110,100,61,34,51,51,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,53,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,46,76,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,76,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,76,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,34,32,108,105,110,101,69,110,100,61,34,51,51,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,53,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,53,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,54,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,54,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,82,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,82,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,82,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,54,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7751720);
/* memory initializer */ allocate([105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,82,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,82,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,82,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,54,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,82,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,82,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,82,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,54,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,54,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,54,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,54,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,54,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,82,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,82,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,54,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,95,114,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,55,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,55,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,82,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,82,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,55,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,95,114,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,50,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7761960);
/* memory initializer */ allocate([115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,55,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,55,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,82,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,82,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,82,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,55,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,95,114,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,51,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,55,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,108,111,97,100,73,110,101,114,116,105,97,51,46,74,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,74,95,76,111,97,100,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,74,95,76,111,97,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,48,34,32,108,105,110,101,69,110,100,61,34,50,51,48,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,108,111,97,100,73,110,101,114,116,105,97,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,55,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,116,97,117,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,84,95,76,111,97,100,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,84,95,76,111,97,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,57,57,34,32,108,105,110,101,69,110,100,61,34,54,51,48,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,83,111,117,114,99,101,115,46,81,117,97,100,114,97,116,105,99,83,112,101,101,100,68,101,112,101,110,100,101,110,116,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,55,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,119,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,119,95,76,111,97,100,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,119,95,76,111,97,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,51,48,51,34,32,108,105,110,101,69,110,100,61,34,54,51,48,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,83,111,117,114,99,101,115,46,81,117,97,100,114,97,116,105,99,83,112,101,101,100,68,101,112,101,110,100,101,110,116,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,55,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,119,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,49,101,45,49,53,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,119,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,119,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,49,101,45,49,53,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,119,95,110,111,109,105,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,51,48,51,34,32,108,105,110,101,69,110,100,61,34,54,51,48,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,83,111,117,114,99,101,115,46,81,117,97,100,114,97,116,105,99,83,112,101,101,100,68,101,112,101,110,100,101,110,116,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,56,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,108,111,97,100,73,110,101,114,116,105,97,51,46,115,116,97,116,101,83,101,108,101,99,116,32,38,103,116,59,61,32,83,116,97,116,101,83,101,108,101,99,116,46,110,101,118,101,114,32,97,110,100,32,108,111,97,100,73,110,101,114,116,105,97,51,46,115,116,97,116,101,83,101,108,101,99,116,32,38,108,116,59,61,32,83,116,97,116,101,83,101,108,101,99,116,46,97,108,119,97,121,115,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,108,111,97,100,73,110,101,114,116,105,97,51,46,115,116,97,116,101,83,101,108,101,99,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,108,111,97,100,73,110,101,114,116,105,97,51,46,115,116,97,116,101,83,101,108,101,99,116,32,38,103,116,59,61,32,83,116,97,116,101,83,101,108,101,99,116,46,110,101,118,101,114,32,97,110,100,32,108,111,97,100,73,110,101,114,116,105,97,51,46,115,116,97,116,101,83,101,108,101,99,116,32,38,108,116,59,61,32,83,116,97,116,101,83,101,108,101,99,116,46,97,108,119,97,121,115,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,108,111,97,100,73,110,101,114,116,105,97,51,46,115,116,97,116,101,83,101,108,101,99,116,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,49,34,32,108,105,110,101,69,110,100,61,34,50,51,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,83,116,97,116,101,83,101,108,101,99,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,108,111,97,100,73,110,101,114,116,105,97,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,83,116,97,116,101,83,101,108,101,99,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,56,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,108,111,97,100,73,110,101,114,116,105,97,51,46,74,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,108,111,97,100,73,110,101,114,116,105,97,51,46,74,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,108,111,97,100,73,110,101,114,116,105,97,51,46,74,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,108,111,97,100,73,110,101,114,116,105,97,51,46,74,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,48,34,32,108,105,110,101,69,110,100,61,34,50,51,48,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,108,111,97,100,73,110,101,114,116,105,97,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,56,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,95,114,101,102,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,95,114,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,95,114,101,102,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,95,114,101,102,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,56,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,56,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,95,114,101,102], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7772200);
/* memory initializer */ allocate([32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,95,114,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,95,114,101,102,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,95,114,101,102,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,56,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,56,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,95,114,101,102,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,95,114,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,95,114,101,102,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,95,114,101,102,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,56,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,56,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,51,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,51,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,51,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,51,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,56,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,50,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,50,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,57,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,49,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,49,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,57,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,51,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,51,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,51,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,51,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,57,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,50,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,50,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,57,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,49,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,49,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7782440);
/* memory initializer */ allocate([112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,57,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,109,104,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,109,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,109,104,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,109,104,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,56,54,34,32,108,105,110,101,69,110,100,61,34,51,50,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,57,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,57,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,57,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,57,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,57,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,48,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,48,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,48,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,48,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7792680);
/* memory initializer */ allocate([108,67,111,108,108,101,99,116,111,114,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,55,55,34,32,108,105,110,101,69,110,100,61,34,57,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,48,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,48,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,50,49,34,32,108,105,110,101,69,110,100,61,34,53,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,48,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,48,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,50,49,34,32,108,105,110,101,69,110,100,61,34,53,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,48,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,84,79,112,101,114,97,116,105,111,110,97,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,84,79,112,101,114,97,116,105,111,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,84,79,112,101,114,97,116,105,111,110,97,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,84,79,112,101,114,97,116,105,111,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,56,52,34,32,108,105,110,101,69,110,100,61,34,53,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,48,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,55,52,34,32,108,105,110,101,69,110,100,61,34,53,56,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,49,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,95,114,101,102,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,95,114,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,95,114,101,102,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,95,114,101,102,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,49,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,49,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,95,114,101,102,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,95,114,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,95,114,101,102,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,95,114,101,102,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7802920);
/* memory initializer */ allocate([108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,49,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,49,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,95,114,101,102,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,95,114,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,95,114,101,102,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,95,114,101,102,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,49,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,49,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,51,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,51,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,51,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,51,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,49,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,50,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,50,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,49,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,49,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,49,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,49,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,51,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,51,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,51,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,51,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,50,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,50,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,50,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,50,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,49,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,49,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,50,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,109,104,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,109,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,109,104,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,109,104,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,56,54,34,32,108,105,110,101,69,110,100,61,34,51,50,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7813160);
/* memory initializer */ allocate([10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,50,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,50,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,50,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,50,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,50,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,50,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,71,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,71,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,71,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,71,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,55,49,34,32,108,105,110,101,69,110,100,61,34,52,48,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,50,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,84,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,84,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,53,55,34,32,108,105,110,101,69,110,100,61,34,50,57,53,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,51,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,51,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,51,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7823400);
/* memory initializer */ allocate([101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,51,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,51,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,51,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,115,116,97,116,111,114,46,84,79,112,101,114,97,116,105,111,110,97,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,97,116,111,114,46,84,79,112,101,114,97,116,105,111,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,97,116,111,114,46,84,79,112,101,114,97,116,105,111,110,97,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,115,116,97,116,111,114,46,84,79,112,101,114,97,116,105,111,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,55,49,34,32,108,105,110,101,69,110,100,61,34,53,53,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,51,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,115,116,97,116,111,114,46,84,82,101,102,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,97,116,111,114,46,84,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,97,116,111,114,46,84,82,101,102,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,115,116,97,116,111,114,46,84,82,101,102,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,54,49,34,32,108,105,110,101,69,110,100,61,34,53,53,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,51,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,51,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,51,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,32,38,103,116,59,61,32,49,101,45,54,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,32,38,103,116,59,61,32,49,101,45,54,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,55,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,52,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,32,38,103,116,59,61,32,49,101,45,54,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,32,38,103,116,59,61,32,49,101,45,54,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,53,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,52,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,73,82,101,102,32,38,103,116,59,61,32,49,101,45,54,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,73,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,73,82,101,102,32,38,103,116,59,61,32,49,101,45,54,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,73,82,101,102,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,51,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,52,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,49,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7833640);
/* memory initializer */ allocate([108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,52,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,52,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,32,38,103,116,59,61,32,49,101,45,54,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,32,38,103,116,59,61,32,49,101,45,54,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,54,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,52,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,32,38,103,116,59,61,32,49,101,45,54,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,32,38,103,116,59,61,32,49,101,45,54,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,52,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,52,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,50,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,52,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,115,116,97,116,101,83,101,108,101,99,116,32,38,103,116,59,61,32,83,116,97,116,101,83,101,108,101,99,116,46,110,101,118,101,114,32,97,110,100,32,97,105,109,99,51,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,115,116,97,116,101,83,101,108,101,99,116,32,38,108,116,59,61,32,83,116,97,116,101,83,101,108,101,99,116,46,97,108,119,97,121,115,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,115,116,97,116,101,83,101,108,101,99,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,115,116,97,116,101,83,101,108,101,99,116,32,38,103,116,59,61,32,83,116,97,116,101,83,101,108,101,99,116,46,110,101,118,101,114,32,97,110,100,32,97,105,109,99,51,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,115,116,97,116,101,83,101,108,101,99,116,32,38,108,116,59,61,32,83,116,97,116,101,83,101,108,101,99,116,46,97,108,119,97,121,115,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,115,116,97,116,101,83,101,108,101,99,116,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,49,34,32,108,105,110,101,69,110,100,61,34,50,51,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,83,116,97,116,101,83,101,108,101,99,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,101,114,116,105,97,83,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,83,116,97,116,101,83,101,108,101,99,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,52,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,74,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,74,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,74,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,74,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,48,34,32,108,105,110,101,69,110,100,61,34,50,51,48,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,101,114,116,105,97,83,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,52,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,84,114,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,84,114,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,84,114,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,84,114,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,50,49,55,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,53,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,46,84,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,46,84,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,56,56,34,32,108,105,110,101,69,110,100,61,34,49,51,56,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,53,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,46,84,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,46,84,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,56,56,34,32,108,105,110,101,69,110,100,61,34,49,51,56,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,53,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,67,111,114,101,46,84,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,67,111,114,101,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,67,111,114,101,46,84,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,67,111,114,101,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,56,56,34,32,108,105,110,101,69,110,100,61,34,49,51,56,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,67,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7843880);
/* memory initializer */ allocate([115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,53,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,84,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,84,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,56,56,34,32,108,105,110,101,69,110,100,61,34,49,51,56,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,53,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,84,115,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,84,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,84,115,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,84,115,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,53,51,49,34,32,108,105,110,101,69,110,100,61,34,49,51,53,51,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,53,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,55,55,34,32,108,105,110,101,69,110,100,61,34,57,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,53,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,32,38,103,116,59,61,32,49,101,45,54,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,32,38,103,116,59,61,32,49,101,45,54,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,55,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,53,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,32,38,103,116,59,61,32,49,101,45,54,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,32,38,103,116,59,61,32,49,101,45,54,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,53,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,53,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,73,82,101,102,32,38,103,116,59,61,32,49,101,45,54,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,73,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,73,82,101,102,32,38,103,116,59,61,32,49,101,45,54,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,73,82,101,102,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,51,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,53,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,49,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,54,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,114,97,116,105,111,72,121,115,116,101,114,101,115,105,115,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,97,105,109,99,51,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,114,97,116,105,111,72,121,115,116,101,114,101,115,105,115,32,38,108,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,114,97,116,105,111,72,121,115,116,101,114,101,115,105,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,114,97,116,105,111,72,121,115,116,101,114,101,115,105,115,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,97,105,109,99,51,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,114,97,116,105,111,72,121,115,116,101,114,101,115,105,115,32,38,108,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,114,97,116,105,111,72,121,115,116,101,114,101,115,105,115,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,52,49,34,32,108,105,110,101,69,110,100,61,34,49,49,51,52,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,54,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,32,38,103,116,59,61,32,49,101,45,54,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,32,38,103,116,59,61,32,49,101,45,54,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,51,56,34,32,108,105,110,101,69,110,100,61,34,49,49,51,51,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,54,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,86,82,101,102,32,38,103,116,59,61,32,49,101,45,54,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,86,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,86,82,101,102,32,38,103,116,59,61,32,49,101,45,54,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,86,82,101,102,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,51,54,34,32,108,105,110,101,69,110,100,61,34,49,49,51,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,54,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7854120);
/* memory initializer */ allocate([101,116,101,114,115,46,80,82,101,102,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,51,52,34,32,108,105,110,101,69,110,100,61,34,49,49,51,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,54,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,32,38,103,116,59,61,32,49,101,45,54,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,32,38,103,116,59,61,32,49,101,45,54,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,54,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,54,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,32,38,103,116,59,61,32,49,101,45,54,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,32,38,103,116,59,61,32,49,101,45,54,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,52,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,54,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,50,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,54,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,115,116,97,116,101,83,101,108,101,99,116,32,38,103,116,59,61,32,83,116,97,116,101,83,101,108,101,99,116,46,110,101,118,101,114,32,97,110,100,32,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,115,116,97,116,101,83,101,108,101,99,116,32,38,108,116,59,61,32,83,116,97,116,101,83,101,108,101,99,116,46,97,108,119,97,121,115,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,115,116,97,116,101,83,101,108,101,99,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,115,116,97,116,101,83,101,108,101,99,116,32,38,103,116,59,61,32,83,116,97,116,101,83,101,108,101,99,116,46,110,101,118,101,114,32,97,110,100,32,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,115,116,97,116,101,83,101,108,101,99,116,32,38,108,116,59,61,32,83,116,97,116,101,83,101,108,101,99,116,46,97,108,119,97,121,115,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,115,116,97,116,101,83,101,108,101,99,116,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,49,34,32,108,105,110,101,69,110,100,61,34,50,51,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,83,116,97,116,101,83,101,108,101,99,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,83,116,97,116,101,83,101,108,101,99,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,54,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,74,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,74,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,74,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,74,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,48,34,32,108,105,110,101,69,110,100,61,34,50,51,48,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,54,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,112,108,117,103,95,115,110,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,112,108,117,103,95,115,110,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,112,108,117,103,95,115,110,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,112,108,117,103,95,115,110,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,112,108,117,103,95,115,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,55,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,112,108,117,103,95,115,112,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,112,108,117,103,95,115,112,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,112,108,117,103,95,115,112,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,112,108,117,103,95,115,112,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,112,108,117,103,95,115,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,55,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,84,114,79,112,101,114,97,116,105,111,110,97,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,84,114,79,112,101,114,97,116,105,111,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,84,114,79,112,101,114,97,116,105,111,110,97,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,84,114,79,112,101,114,97,116,105,111,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,52,51,34,32,108,105,110,101,69,110,100,61,34,52,53,52,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,55,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,84,114,82,101,102,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,84,114,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,84,114,82,101,102,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,84,114,82,101,102,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,51,53,34,32,108,105,110,101,69,110,100,61,34,52,53,51,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,55,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,84,115,82,101,102,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,84,115,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,84,115,82,101,102,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,84,115,82,101,102,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,55,49,34,32,108,105,110,101,69,110,100,61,34,54,54,55,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,55,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,84,115,79,112,101,114,97,116,105,111,110,97,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,84,115,79,112,101,114,97,116,105,111,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,84,115,79,112,101,114,97,116,105,111,110,97,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,84,115,79,112,101,114,97,116,105,111,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,54,53,34,32,108,105,110,101,69,110,100,61,34,54,54,54,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,55,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,112,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,112,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7864360);
/* memory initializer */ allocate([97,108,58,32,97,105,109,99,51,46,112,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,112,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,54,50,34,32,108,105,110,101,69,110,100,61,34,54,54,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,55,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,109,32,38,103,116,59,61,32,51,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,109,32,38,103,116,59,61,32,51,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,53,50,34,32,108,105,110,101,69,110,100,61,34,54,54,53,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,55,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,46,112,108,117,103,95,112,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,46,112,108,117,103,95,112,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,46,112,108,117,103,95,112,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,46,112,108,117,103,95,112,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,55,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,50,49,34,32,108,105,110,101,69,110,100,61,34,53,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,55,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,83,117,112,112,108,121,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,83,117,112,112,108,121,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,83,117,112,112,108,121,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,83,117,112,112,108,121,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,83,117,112,112,108,121,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,56,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,110,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,110,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,110,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,110,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,56,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,112,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,112,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,112,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,112,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,56,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,110,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,110,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,110,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,110,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,56,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,112,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,112,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,112,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,112,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,56,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,55,56,34,32,108,105,110,101,69,110,100,61,34,50,52,55,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,56,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,110,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,110,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,110,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,110,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,56,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,56,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,71,111,102,102,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,105,100,101,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7874600);
/* memory initializer */ allocate([108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,71,111,102,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,71,111,102,102,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,71,111,102,102,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,52,48,34,32,108,105,110,101,69,110,100,61,34,49,53,52,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,56,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,82,111,110,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,82,111,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,82,111,110,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,82,111,110,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,54,34,32,108,105,110,101,69,110,100,61,34,49,53,51,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,56,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,84,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,84,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,57,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,71,111,102,102,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,71,111,102,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,71,111,102,102,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,71,111,102,102,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,52,48,34,32,108,105,110,101,69,110,100,61,34,49,53,52,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,57,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,82,111,110,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,82,111,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,82,111,110,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,82,111,110,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,54,34,32,108,105,110,101,69,110,100,61,34,49,53,51,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,57,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,84,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,84,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,57,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,71,111,102,102,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,71,111,102,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,71,111,102,102,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,71,111,102,102,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,52,48,34,32,108,105,110,101,69,110,100,61,34,49,53,52,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,57,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,82,111,110,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,82,111,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,82,111,110,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,82,111,110,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,54,34,32,108,105,110,101,69,110,100,61,34,49,53,51,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,57,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,84,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,84,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,57,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,105,100,101,97,108,67,108,111,115,101,114,51,46,71,111,102,102,91,51,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,51,46,71,111,102,102,91,51,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,51,46,71,111,102,102,91,51,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,105,100,101,97,108,67,108,111,115,101,114,51,46,71,111,102,102,91,51,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,57,55,34,32,108,105,110,101,69,110,100,61,34,49,57,57,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,57,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,105,100,101,97,108,67,108,111,115,101,114,51,46,71,111,102,102,91,50,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,51,46,71,111,102,102,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,51,46,71,111,102,102,91,50,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,105,100,101,97,108,67,108,111,115,101,114,51,46,71,111,102,102,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,57,55,34,32,108,105,110,101,69,110,100,61,34,49,57,57,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,57,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,105,100,101,97,108,67,108,111,115,101,114,51,46,71,111,102,102,91,49,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,51,46,71,111,102,102,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,51,46,71,111,102,102,91,49,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,105,100,101,97,108,67,108,111,115,101,114,51,46,71,111,102,102,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,57,55,34,32,108,105,110,101,69,110,100,61,34,49,57,57,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7884840);
/* memory initializer */ allocate([99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,57,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,105,100,101,97,108,67,108,111,115,101,114,51,46,82,111,110,91,51,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,51,46,82,111,110,91,51,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,51,46,82,111,110,91,51,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,105,100,101,97,108,67,108,111,115,101,114,51,46,82,111,110,91,51,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,57,53,34,32,108,105,110,101,69,110,100,61,34,49,57,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,48,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,105,100,101,97,108,67,108,111,115,101,114,51,46,82,111,110,91,50,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,51,46,82,111,110,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,51,46,82,111,110,91,50,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,105,100,101,97,108,67,108,111,115,101,114,51,46,82,111,110,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,57,53,34,32,108,105,110,101,69,110,100,61,34,49,57,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,48,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,105,100,101,97,108,67,108,111,115,101,114,51,46,82,111,110,91,49,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,51,46,82,111,110,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,51,46,82,111,110,91,49,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,105,100,101,97,108,67,108,111,115,101,114,51,46,82,111,110,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,57,53,34,32,108,105,110,101,69,110,100,61,34,49,57,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,48,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,105,100,101,97,108,67,108,111,115,101,114,51,46,84,91,51,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,51,46,84,91,51,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,51,46,84,91,51,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,105,100,101,97,108,67,108,111,115,101,114,51,46,84,91,51,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,48,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,105,100,101,97,108,67,108,111,115,101,114,51,46,84,91,50,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,51,46,84,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,51,46,84,91,50,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,105,100,101,97,108,67,108,111,115,101,114,51,46,84,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,48,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,105,100,101,97,108,67,108,111,115,101,114,51,46,84,91,49,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,51,46,84,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,51,46,84,91,49,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,105,100,101,97,108,67,108,111,115,101,114,51,46,84,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,48,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,105,100,101,97,108,67,108,111,115,101,114,51,46,109,104,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,51,46,109,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,51,46,109,104,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,105,100,101,97,108,67,108,111,115,101,114,51,46,109,104,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,56,54,34,32,108,105,110,101,69,110,100,61,34,51,50,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,48,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,110,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,110,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,110,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,110,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,48,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,112,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,112,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,112,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,112,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,48,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,105,100,101,97,108,67,108,111,115,101,114,51,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,51,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,51,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,105,100,101,97,108,67,108,111,115,101,114,51,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,48,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,110,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,110,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,110,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,110,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,49,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,112,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,112,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,112,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,112,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,49,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,110,101,86,111,108,116,97,103,101,51,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,110,101,86,111,108,116,97,103,101,51,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,101,86,111,108,116,97,103,101,51,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,110,101,86,111,108,116,97,103,101,51,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7895080);
/* memory initializer */ allocate([117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,49,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,116,97,114,51,46,112,108,117,103,95,112,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,116,97,114,51,46,112,108,117,103,95,112,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,116,97,114,51,46,112,108,117,103,95,112,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,116,97,114,51,46,112,108,117,103,95,112,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,97,114,51,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,49,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,116,97,114,51,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,116,97,114,51,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,116,97,114,51,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,116,97,114,51,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,50,49,34,32,108,105,110,101,69,110,100,61,34,53,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,97,114,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,49,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,32,38,103,116,59,61,32,49,101,45,54,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,32,38,103,116,59,61,32,49,101,45,54,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,55,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,49,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,32,38,103,116,59,61,32,49,101,45,54,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,32,38,103,116,59,61,32,49,101,45,54,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,53,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,49,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,73,82,101,102,32,38,103,116,59,61,32,49,101,45,54,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,73,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,73,82,101,102,32,38,103,116,59,61,32,49,101,45,54,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,73,82,101,102,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,51,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,49,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,49,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,49,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,114,97,116,105,111,72,121,115,116,101,114,101,115,105,115,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,114,97,116,105,111,72,121,115,116,101,114,101,115,105,115,32,38,108,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,114,97,116,105,111,72,121,115,116,101,114,101,115,105,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,114,97,116,105,111,72,121,115,116,101,114,101,115,105,115,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,114,97,116,105,111,72,121,115,116,101,114,101,115,105,115,32,38,108,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,114,97,116,105,111,72,121,115,116,101,114,101,115,105,115,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,52,49,34,32,108,105,110,101,69,110,100,61,34,49,49,51,52,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,49,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,32,38,103,116,59,61,32,49,101,45,54,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,32,38,103,116,59,61,32,49,101,45,54,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,51,56,34,32,108,105,110,101,69,110,100,61,34,49,49,51,51,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,50,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,86,82,101,102,32,38,103,116,59,61,32,49,101,45,54,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,86,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,86,82,101,102,32,38,103,116,59,61,32,49,101,45,54,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,86,82,101,102,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,51,54,34,32,108,105,110,101,69,110,100,61,34,49,49,51,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,50,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,51,52,34,32,108,105,110,101,69,110,100,61,34,49,49,51,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,50,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,32,38,103,116,59,61,32,49,101,45,54,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,32,38,103,116,59,61,32,49,101,45,54,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,54,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,50,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,32,38,103,116,59,61,32,49,101,45,54,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,32,38,103,116,59,61,32,49,101,45,54,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7905320);
/* memory initializer */ allocate([61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,52,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,50,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,50,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,50,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,68,97,116,97,46,84,114,82,101,102,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,68,97,116,97,46,84,114,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,68,97,116,97,46,84,114,82,101,102,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,68,97,116,97,46,84,114,82,101,102,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,57,52,56,34,32,108,105,110,101,69,110,100,61,34,49,52,57,53,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,50,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,68,97,116,97,46,84,115,82,101,102,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,68,97,116,97,46,84,115,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,68,97,116,97,46,84,115,82,101,102,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,68,97,116,97,46,84,115,82,101,102,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,57,48,50,34,32,108,105,110,101,69,110,100,61,34,49,52,57,48,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,50,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,68,97,116,97,46,112,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,68,97,116,97,46,112,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,68,97,116,97,46,112,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,68,97,116,97,46,112,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,56,57,55,34,32,108,105,110,101,69,110,100,61,34,49,52,56,57,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,68,97,116,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,50,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,119,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,49,101,45,49,53,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,119,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,119,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,49,101,45,49,53,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,119,95,110,111,109,105,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,51,48,51,34,32,108,105,110,101,69,110,100,61,34,54,51,48,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,83,111,117,114,99,101,115,46,81,117,97,100,114,97,116,105,99,83,112,101,101,100,68,101,112,101,110,100,101,110,116,84,111,114,113,117,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,50,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,108,111,97,100,73,110,101,114,116,105,97,77,46,115,116,97,116,101,83,101,108,101,99,116,32,38,103,116,59,61,32,83,116,97,116,101,83,101,108,101,99,116,46,110,101,118,101,114,32,97,110,100,32,108,111,97,100,73,110,101,114,116,105,97,77,46,115,116,97,116,101,83,101,108,101,99,116,32,38,108,116,59,61,32,83,116,97,116,101,83,101,108,101,99,116,46,97,108,119,97,121,115,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,108,111,97,100,73,110,101,114,116,105,97,77,46,115,116,97,116,101,83,101,108,101,99,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,108,111,97,100,73,110,101,114,116,105,97,77,46,115,116,97,116,101,83,101,108,101,99,116,32,38,103,116,59,61,32,83,116,97,116,101,83,101,108,101,99,116,46,110,101,118,101,114,32,97,110,100,32,108,111,97,100,73,110,101,114,116,105,97,77,46,115,116,97,116,101,83,101,108,101,99,116,32,38,108,116,59,61,32,83,116,97,116,101,83,101,108,101,99,116,46,97,108,119,97,121,115,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,108,111,97,100,73,110,101,114,116,105,97,77,46,115,116,97,116,101,83,101,108,101,99,116,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,49,34,32,108,105,110,101,69,110,100,61,34,50,51,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,83,116,97,116,101,83,101,108,101,99,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,108,111,97,100,73,110,101,114,116,105,97,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,83,116,97,116,101,83,101,108,101,99,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,51,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,108,111,97,100,73,110,101,114,116,105,97,77,46,74,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,108,111,97,100,73,110,101,114,116,105,97,77,46,74,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,108,111,97,100,73,110,101,114,116,105,97,77,46,74,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,108,111,97,100,73,110,101,114,116,105,97,77,46,74,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,48,34,32,108,105,110,101,69,110,100,61,34,50,51,48,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,108,111,97,100,73,110,101,114,116,105,97,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,51,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,84,95,114,101,102,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,84,95,114,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,84,95,114,101,102,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,84,95,114,101,102,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,51,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,84,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,84,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,51,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,84,95,114,101,102,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,84,95,114,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,84,95,114,101,102,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,84,95,114,101,102,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,51,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,84,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,84,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7915560);
/* memory initializer */ allocate([103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,51,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,95,114,101,102,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,95,114,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,95,114,101,102,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,95,114,101,102,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,51,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,51,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,95,114,101,102,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,95,114,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,95,114,101,102,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,95,114,101,102,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,51,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,51,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,95,114,101,102,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,95,114,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,95,114,101,102,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,95,114,101,102,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,52,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,52,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,53,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,53,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,53,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,53,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,52,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,52,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,52,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,52,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,52,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,52,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,51,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,51,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,51,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,51,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7925800);
/* memory initializer */ allocate([110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,52,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,50,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,50,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,52,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,49,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,49,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,52,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,53,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,53,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,53,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,53,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,52,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,52,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,52,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,52,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,52,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,52,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,51,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,51,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,51,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,51,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,52,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,50,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,50,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,53,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,49,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,49,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,53,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,109,104,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,109,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,109,104,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,109,104,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,56,54,34,32,108,105,110,101,69,110,100,61,34,51,50,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,53,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,53,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7936040);
/* memory initializer */ allocate([110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,53,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,53,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,53,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,53,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,53,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,53,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,54,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,55,55,34,32,108,105,110,101,69,110,100,61,34,57,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,54,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,54,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,50,49,34,32,108,105,110,101,69,110,100,61,34,53,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,54,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7946280);
/* memory initializer */ allocate([118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,54,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,50,49,34,32,108,105,110,101,69,110,100,61,34,53,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,54,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,84,79,112,101,114,97,116,105,111,110,97,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,84,79,112,101,114,97,116,105,111,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,84,79,112,101,114,97,116,105,111,110,97,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,84,79,112,101,114,97,116,105,111,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,56,52,34,32,108,105,110,101,69,110,100,61,34,53,56,56,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,54,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,56,55,52,34,32,108,105,110,101,69,110,100,61,34,53,56,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,67,97,103,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,54,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,84,95,114,101,102,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,84,95,114,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,84,95,114,101,102,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,84,95,114,101,102,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,54,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,84,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,84,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,54,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,84,95,114,101,102,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,84,95,114,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,84,95,114,101,102,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,84,95,114,101,102,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,55,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,84,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,84,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,55,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,95,114,101,102,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,95,114,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,95,114,101,102,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,95,114,101,102,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,55,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7956520);
/* memory initializer */ allocate([105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,55,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,95,114,101,102,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,95,114,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,95,114,101,102,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,95,114,101,102,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,55,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,55,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,95,114,101,102,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,95,114,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,95,114,101,102,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,95,114,101,102,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,55,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,55,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,53,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,53,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,53,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,53,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,55,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,52,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,52,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,52,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,52,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,55,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,51,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,51,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,51,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,51,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,56,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,50,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,50,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,56,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,49,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,49,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,57,34,32,108,105,110,101,69,110,100,61,34,55,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,56,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,53,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,53,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,53,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,53,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7966760);
/* memory initializer */ allocate([102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,56,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,52,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,52,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,52,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,52,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,56,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,51,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,51,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,51,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,51,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,56,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,50,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,50,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,56,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,49,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,49,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,56,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,109,104,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,109,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,109,104,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,109,104,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,56,54,34,32,108,105,110,101,69,110,100,61,34,51,50,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,56,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,56,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,57,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,57,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,57,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7977000);
/* memory initializer */ allocate([101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,77,117,108,116,105,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,57,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,71,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,71,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,71,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,71,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,55,49,34,32,108,105,110,101,69,110,100,61,34,52,48,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,57,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,84,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,84,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,53,55,34,32,108,105,110,101,69,110,100,61,34,50,57,53,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,67,111,109,112,111,110,101,110,116,115,46,69,100,100,121,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,57,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,57,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,57,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,90,101,114,111,73,110,100,117,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,57,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,57,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,48,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,115,116,97,116,111,114,46,84,79,112,101,114,97,116,105,111,110,97,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,97,116,111,114,46,84,79,112,101,114,97,116,105,111,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,97,116,111,114,46,84,79,112,101,114,97,116,105,111,110,97,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,115,116,97,116,111,114,46,84,79,112,101,114,97,116,105,111,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,55,49,34,32,108,105,110,101,69,110,100,61,34,53,53,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,48,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,115,116,97,116,111,114,46,84,82,101,102,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,97,116,111,114,46,84,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,97,116,111,114,46,84,82,101,102,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,115,116,97,116,111,114,46,84,82,101,102,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,53,54,49,34,32,108,105,110,101,69,110,100,61,34,53,53,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,67,111,109,112,111,110,101,110,116,115,46,83,121,109,109,101,116,114,105,99,77,117,108,116,105,80,104,97,115,101,87,105,110,100,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,48,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7987240);
/* memory initializer */ allocate([77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,48,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,48,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,32,38,103,116,59,61,32,49,101,45,54,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,32,38,103,116,59,61,32,49,101,45,54,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,55,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,48,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,32,38,103,116,59,61,32,49,101,45,54,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,32,38,103,116,59,61,32,49,101,45,54,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,53,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,48,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,73,82,101,102,32,38,103,116,59,61,32,49,101,45,54,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,73,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,73,82,101,102,32,38,103,116,59,61,32,49,101,45,54,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,73,82,101,102,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,51,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,48,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,49,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,48,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,83,116,114,97,121,76,111,97,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,48,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,32,38,103,116,59,61,32,49,101,45,54,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,32,38,103,116,59,61,32,49,101,45,54,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,54,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,49,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,32,38,103,116,59,61,32,49,101,45,54,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,32,38,103,116,59,61,32,49,101,45,54,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,52,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,49,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,50,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,49,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,115,116,97,116,101,83,101,108,101,99,116,32,38,103,116,59,61,32,83,116,97,116,101,83,101,108,101,99,116,46,110,101,118,101,114,32,97,110,100,32,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,115,116,97,116,101,83,101,108,101,99,116,32,38,108,116,59,61,32,83,116,97,116,101,83,101,108,101,99,116,46,97,108,119,97,121,115,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,115,116,97,116,101,83,101,108,101,99,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,115,116,97,116,101,83,101,108,101,99,116,32,38,103,116,59,61,32,83,116,97,116,101,83,101,108,101,99,116,46,110,101,118,101,114,32,97,110,100,32,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,115,116,97,116,101,83,101,108,101,99,116,32,38,108,116,59,61,32,83,116,97,116,101,83,101,108,101,99,116,46,97,108,119,97,121,115,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,115,116,97,116,101,83,101,108,101,99,116,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,49,34,32,108,105,110,101,69,110,100,61,34,50,51,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7997480);
/* memory initializer */ allocate([45,111,102,62,119,105,116,104,105,110,32,83,116,97,116,101,83,101,108,101,99,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,83,116,97,116,101,83,101,108,101,99,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,49,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,74,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,74,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,74,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,74,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,48,34,32,108,105,110,101,69,110,100,61,34,50,51,48,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,49,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,84,114,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,84,114,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,84,114,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,84,114,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,50,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,50,49,55,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,49,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,46,84,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,46,84,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,56,56,34,32,108,105,110,101,69,110,100,61,34,49,51,56,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,49,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,46,84,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,46,84,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,56,56,34,32,108,105,110,101,69,110,100,61,34,49,51,56,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,49,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,67,111,114,101,46,84,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,67,111,114,101,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,67,111,114,101,46,84,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,67,111,114,101,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,56,56,34,32,108,105,110,101,69,110,100,61,34,49,51,56,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,67,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,49,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,84,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,84,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,56,56,34,32,108,105,110,101,69,110,100,61,34,49,51,56,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,49,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,84,115,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,84,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,84,115,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,84,115,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,53,51,49,34,32,108,105,110,101,69,110,100,61,34,49,51,53,51,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,50,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,55,55,34,32,108,105,110,101,69,110,100,61,34,57,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,67,111,109,112,111,110,101,110,116,115,46,84,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,50,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,32,38,103,116,59,61,32,49,101,45,54,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,32,38,103,116,59,61,32,49,101,45,54,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,55,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,50,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,32,38,103,116,59,61,32,49,101,45,54,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,32,38,103,116,59,61,32,49,101,45,54,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,53,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8007720);
/* memory initializer */ allocate([105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,50,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,73,82,101,102,32,38,103,116,59,61,32,49,101,45,54,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,73,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,73,82,101,102,32,38,103,116,59,61,32,49,101,45,54,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,73,82,101,102,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,51,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,50,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,49,49,34,32,108,105,110,101,69,110,100,61,34,49,49,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,50,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,114,97,116,105,111,72,121,115,116,101,114,101,115,105,115,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,97,105,109,99,77,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,114,97,116,105,111,72,121,115,116,101,114,101,115,105,115,32,38,108,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,114,97,116,105,111,72,121,115,116,101,114,101,115,105,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,114,97,116,105,111,72,121,115,116,101,114,101,115,105,115,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,97,105,109,99,77,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,114,97,116,105,111,72,121,115,116,101,114,101,115,105,115,32,38,108,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,114,97,116,105,111,72,121,115,116,101,114,101,115,105,115,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,52,49,34,32,108,105,110,101,69,110,100,61,34,49,49,51,52,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,50,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,32,38,103,116,59,61,32,49,101,45,54,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,32,38,103,116,59,61,32,49,101,45,54,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,51,56,34,32,108,105,110,101,69,110,100,61,34,49,49,51,51,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,50,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,86,82,101,102,32,38,103,116,59,61,32,49,101,45,54,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,86,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,86,82,101,102,32,38,103,116,59,61,32,49,101,45,54,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,86,82,101,102,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,51,54,34,32,108,105,110,101,69,110,100,61,34,49,49,51,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,50,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,51,51,52,34,32,108,105,110,101,69,110,100,61,34,49,49,51,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,67,111,114,101,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,50,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,32,38,103,116,59,61,32,49,101,45,54,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,32,38,103,116,59,61,32,49,101,45,54,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,54,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,51,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,32,38,103,116,59,61,32,49,101,45,54,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,32,38,103,116,59,61,32,49,101,45,54,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,52,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,110,103,117,108,97,114,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,51,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,50,55,50,34,32,108,105,110,101,69,110,100,61,34,49,49,50,55,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,51,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,115,116,97,116,101,83,101,108,101,99,116,32,38,103,116,59,61,32,83,116,97,116,101,83,101,108,101,99,116,46,110,101,118,101,114,32,97,110,100,32,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,115,116,97,116,101,83,101,108,101,99,116,32,38,108,116,59,61,32,83,116,97,116,101,83,101,108,101,99,116,46,97,108,119,97,121,115,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,115,116,97,116,101,83,101,108,101,99,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,115,116,97,116,101,83,101,108,101,99,116,32,38,103,116,59,61,32,83,116,97,116,101,83,101,108,101,99,116,46,110,101,118,101,114,32,97,110,100,32,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,115,116,97,116,101,83,101,108,101,99,116,32,38,108,116,59,61,32,83,116,97,116,101,83,101,108,101,99,116,46,97,108,119,97,121,115,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,115,116,97,116,101,83,101,108,101,99,116,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,49,34,32,108,105,110,101,69,110,100,61,34,50,51,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,83,116,97,116,101,83,101,108,101,99,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,83,116,97,116,101,83,101,108,101,99,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,51,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,74,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,74,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,74,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,74,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,48,34,32,108,105,110,101,69,110,100,61,34,50,51,48,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8017960);
/* memory initializer */ allocate([45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,82,111,116,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,101,114,116,105,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,51,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,112,108,117,103,95,115,110,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,112,108,117,103,95,115,110,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,112,108,117,103,95,115,110,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,112,108,117,103,95,115,110,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,108,117,103,95,115,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,51,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,112,108,117,103,95,115,112,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,112,108,117,103,95,115,112,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,112,108,117,103,95,115,112,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,112,108,117,103,95,115,112,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,112,108,117,103,95,115,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,51,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,84,114,79,112,101,114,97,116,105,111,110,97,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,84,114,79,112,101,114,97,116,105,111,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,84,114,79,112,101,114,97,116,105,111,110,97,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,84,114,79,112,101,114,97,116,105,111,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,52,51,34,32,108,105,110,101,69,110,100,61,34,52,53,52,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,51,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,84,114,82,101,102,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,84,114,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,84,114,82,101,102,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,84,114,82,101,102,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,51,53,34,32,108,105,110,101,69,110,100,61,34,52,53,51,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,51,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,84,115,82,101,102,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,84,115,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,84,115,82,101,102,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,84,115,82,101,102,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,55,49,34,32,108,105,110,101,69,110,100,61,34,54,54,55,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,51,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,84,115,79,112,101,114,97,116,105,111,110,97,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,84,115,79,112,101,114,97,116,105,111,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,84,115,79,112,101,114,97,116,105,111,110,97,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,84,115,79,112,101,114,97,116,105,111,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,54,53,34,32,108,105,110,101,69,110,100,61,34,54,54,54,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,52,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,112,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,112,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,112,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,112,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,54,50,34,32,108,105,110,101,69,110,100,61,34,54,54,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,52,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,109,32,38,103,116,59,61,32,51,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,109,32,38,103,116,59,61,32,51,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,53,50,34,32,108,105,110,101,69,110,100,61,34,54,54,53,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,52,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,46,112,108,117,103,95,112,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,46,112,108,117,103,95,112,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,46,112,108,117,103,95,112,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,46,112,108,117,103,95,112,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,52,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,50,49,34,32,108,105,110,101,69,110,100,61,34,53,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,52,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,83,117,112,112,108,121,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,83,117,112,112,108,121,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,83,117,112,112,108,121,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,83,117,112,112,108,121,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,83,117,112,112,108,121,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,52,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,110,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,110,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,110,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,110,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,52,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,112,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,112,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,112,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,112,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8028200);
/* memory initializer */ allocate([41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,84,101,114,109,105,110,97,108,66,111,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,52,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,113,117,97,115,105,82,77,83,46,109,32,38,103,116,59,61,32,50,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,113,117,97,115,105,82,77,83,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,113,117,97,115,105,82,77,83,46,109,32,38,103,116,59,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,113,117,97,115,105,82,77,83,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,50,56,34,32,108,105,110,101,69,110,100,61,34,50,50,50,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,113,117,97,115,105,82,77,83,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,108,111,99,107,115,46,81,117,97,115,105,82,77,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,52,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,110,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,110,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,110,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,110,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,52,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,112,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,112,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,112,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,112,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,53,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,55,56,34,32,108,105,110,101,69,110,100,61,34,50,52,55,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,53,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,53,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,112,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,112,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,112,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,112,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,53,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,101,110,115,111,114,115,46,67,117,114,114,101,110,116,81,117,97,115,105,82,77,83,83,101,110,115,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,53,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,71,111,102,102,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,71,111,102,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,71,111,102,102,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,71,111,102,102,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,52,48,34,32,108,105,110,101,69,110,100,61,34,49,53,52,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,53,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,82,111,110,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,82,111,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,82,111,110,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,82,111,110,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,54,34,32,108,105,110,101,69,110,100,61,34,49,53,51,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,53,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,84,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,84,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,53,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,71,111,102,102,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,71,111,102,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,71,111,102,102,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,71,111,102,102,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,52,48,34,32,108,105,110,101,69,110,100,61,34,49,53,52,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8038440);
/* memory initializer */ allocate([77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,53,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,82,111,110,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,82,111,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,82,111,110,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,82,111,110,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,54,34,32,108,105,110,101,69,110,100,61,34,49,53,51,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,53,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,84,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,84,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,54,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,71,111,102,102,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,71,111,102,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,71,111,102,102,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,71,111,102,102,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,52,48,34,32,108,105,110,101,69,110,100,61,34,49,53,52,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,54,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,82,111,110,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,82,111,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,82,111,110,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,82,111,110,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,54,34,32,108,105,110,101,69,110,100,61,34,49,53,51,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,54,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,84,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,84,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,54,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,71,111,102,102,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,71,111,102,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,71,111,102,102,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,71,111,102,102,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,52,48,34,32,108,105,110,101,69,110,100,61,34,49,53,52,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,54,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,82,111,110,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,82,111,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,82,111,110,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,82,111,110,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,54,34,32,108,105,110,101,69,110,100,61,34,49,53,51,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,54,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,84,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,84,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,54,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,71,111,102,102,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,71,111,102,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,71,111,102,102,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,71,111,102,102,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,52,48,34,32,108,105,110,101,69,110,100,61,34,49,53,52,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,54,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,82,111,110,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,82,111,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,82,111,110,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,82,111,110,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,54,34,32,108,105,110,101,69,110,100,61,34,49,53,51,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,54,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,84,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,84,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8048680);
/* memory initializer */ allocate([121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,54,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,105,100,101,97,108,67,108,111,115,101,114,77,46,71,111,102,102,91,53,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,77,46,71,111,102,102,91,53,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,77,46,71,111,102,102,91,53,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,105,100,101,97,108,67,108,111,115,101,114,77,46,71,111,102,102,91,53,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,57,55,34,32,108,105,110,101,69,110,100,61,34,49,57,57,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,55,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,105,100,101,97,108,67,108,111,115,101,114,77,46,71,111,102,102,91,52,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,77,46,71,111,102,102,91,52,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,77,46,71,111,102,102,91,52,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,105,100,101,97,108,67,108,111,115,101,114,77,46,71,111,102,102,91,52,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,57,55,34,32,108,105,110,101,69,110,100,61,34,49,57,57,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,55,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,105,100,101,97,108,67,108,111,115,101,114,77,46,71,111,102,102,91,51,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,77,46,71,111,102,102,91,51,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,77,46,71,111,102,102,91,51,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,105,100,101,97,108,67,108,111,115,101,114,77,46,71,111,102,102,91,51,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,57,55,34,32,108,105,110,101,69,110,100,61,34,49,57,57,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,55,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,105,100,101,97,108,67,108,111,115,101,114,77,46,71,111,102,102,91,50,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,77,46,71,111,102,102,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,77,46,71,111,102,102,91,50,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,105,100,101,97,108,67,108,111,115,101,114,77,46,71,111,102,102,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,57,55,34,32,108,105,110,101,69,110,100,61,34,49,57,57,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,55,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,105,100,101,97,108,67,108,111,115,101,114,77,46,71,111,102,102,91,49,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,77,46,71,111,102,102,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,77,46,71,111,102,102,91,49,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,105,100,101,97,108,67,108,111,115,101,114,77,46,71,111,102,102,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,57,55,34,32,108,105,110,101,69,110,100,61,34,49,57,57,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,55,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,105,100,101,97,108,67,108,111,115,101,114,77,46,82,111,110,91,53,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,77,46,82,111,110,91,53,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,77,46,82,111,110,91,53,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,105,100,101,97,108,67,108,111,115,101,114,77,46,82,111,110,91,53,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,57,53,34,32,108,105,110,101,69,110,100,61,34,49,57,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,55,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,105,100,101,97,108,67,108,111,115,101,114,77,46,82,111,110,91,52,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,77,46,82,111,110,91,52,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,77,46,82,111,110,91,52,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,105,100,101,97,108,67,108,111,115,101,114,77,46,82,111,110,91,52,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,57,53,34,32,108,105,110,101,69,110,100,61,34,49,57,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,55,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,105,100,101,97,108,67,108,111,115,101,114,77,46,82,111,110,91,51,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,77,46,82,111,110,91,51,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,77,46,82,111,110,91,51,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,105,100,101,97,108,67,108,111,115,101,114,77,46,82,111,110,91,51,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,57,53,34,32,108,105,110,101,69,110,100,61,34,49,57,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,55,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,105,100,101,97,108,67,108,111,115,101,114,77,46,82,111,110,91,50,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,77,46,82,111,110,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,77,46,82,111,110,91,50,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,105,100,101,97,108,67,108,111,115,101,114,77,46,82,111,110,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,57,53,34,32,108,105,110,101,69,110,100,61,34,49,57,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,55,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,105,100,101,97,108,67,108,111,115,101,114,77,46,82,111,110,91,49,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,77,46,82,111,110,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,77,46,82,111,110,91,49,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,105,100,101,97,108,67,108,111,115,101,114,77,46,82,111,110,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,57,53,34,32,108,105,110,101,69,110,100,61,34,49,57,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,55,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,105,100,101,97,108,67,108,111,115,101,114,77,46,84,91,53,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,77,46,84,91,53,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,77,46,84,91,53,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,105,100,101,97,108,67,108,111,115,101,114,77,46,84,91,53,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,56,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,105,100,101,97,108,67,108,111,115,101,114,77,46,84,91,52,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,77,46,84,91,52,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,77,46,84,91,52,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,105,100,101,97,108,67,108,111,115,101,114,77,46,84,91,52,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,56,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,105,100,101,97,108,67,108,111,115,101,114,77,46,84,91,51,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,77,46,84,91,51,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,77,46,84,91,51,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,105,100,101,97,108,67,108,111,115,101,114,77,46,84,91,51,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,56,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,105,100,101,97,108,67,108,111,115,101,114,77,46,84,91,50,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,77,46,84,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,77,46,84,91,50,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8058920);
/* memory initializer */ allocate([32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,105,100,101,97,108,67,108,111,115,101,114,77,46,84,91,50,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,56,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,105,100,101,97,108,67,108,111,115,101,114,77,46,84,91,49,93,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,77,46,84,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,77,46,84,91,49,93,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,105,100,101,97,108,67,108,111,115,101,114,77,46,84,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,57,48,34,32,108,105,110,101,69,110,100,61,34,51,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,56,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,105,100,101,97,108,67,108,111,115,101,114,77,46,109,104,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,77,46,109,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,77,46,109,104,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,105,100,101,97,108,67,108,111,115,101,114,77,46,109,104,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,56,54,34,32,108,105,110,101,69,110,100,61,34,51,50,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,56,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,110,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,110,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,110,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,110,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,56,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,112,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,112,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,112,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,112,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,56,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,105,100,101,97,108,67,108,111,115,101,114,77,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,77,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,77,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,105,100,101,97,108,67,108,111,115,101,114,77,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,105,100,101,97,108,67,108,111,115,101,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,100,101,97,108,46,73,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,56,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,110,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,110,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,110,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,110,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,56,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,112,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,112,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,112,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,112,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,57,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,110,101,86,111,108,116,97,103,101,77,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,110,101,86,111,108,116,97,103,101,77,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,101,86,111,108,116,97,103,101,77,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,110,101,86,111,108,116,97,103,101,77,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,110,101,86,111,108,116,97,103,101,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,83,111,117,114,99,101,115,46,83,105,110,101,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,57,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,116,97,114,77,46,112,108,117,103,95,112,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,116,97,114,77,46,112,108,117,103,95,112,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,116,97,114,77,46,112,108,117,103,95,112,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,116,97,114,77,46,112,108,117,103,95,112,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,48,34,32,108,105,110,101,69,110,100,61,34,51,50,49,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,97,114,77,46,112,108,117,103,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,108,117,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,57,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,116,97,114,77,46,109,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,116,97,114,77,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,116,97,114,77,46,109,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,116,97,114,77,46,109,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,50,49,34,32,108,105,110,101,69,110,100,61,34,53,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,116,97,114,77,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,66,97,115,105,99,46,83,116,97,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,57,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,46,112,111,114,116,46,84,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,46,112,111,114,116,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,46,112,111,114,116,46,84,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,46,112,111,114,116,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,57,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,112,111,114,116,46,84,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,112,111,114,116,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,112,111,114,116,46,84,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,112,111,114,116,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8069160);
/* memory initializer */ allocate([77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,57,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,67,111,114,101,46,112,111,114,116,46,84,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,67,111,114,101,46,112,111,114,116,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,67,111,114,101,46,112,111,114,116,46,84,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,67,111,114,101,46,112,111,114,116,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,67,111,114,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,57,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,46,112,111,114,116,46,84,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,46,112,111,114,116,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,46,112,111,114,116,46,84,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,46,112,111,114,116,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,57,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,46,112,111,114,116,46,84,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,46,112,111,114,116,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,46,112,111,114,116,46,84,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,46,112,111,114,116,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,57,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,112,111,114,116,46,84,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,112,111,114,116,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,112,111,114,116,46,84,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,112,111,114,116,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,57,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,67,111,114,101,46,112,111,114,116,46,84,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,67,111,114,101,46,112,111,114,116,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,67,111,114,101,46,112,111,114,116,46,84,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,67,111,114,101,46,112,111,114,116,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,67,111,114,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,48,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,46,112,111,114,116,46,84,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,46,112,111,114,116,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,46,112,111,114,116,46,84,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,46,112,111,114,116,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,52,51,34,32,108,105,110,101,69,110,100,61,34,50,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,46,65,115,121,110,99,104,114,111,110,111,117,115,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,84,104,101,114,109,97,108,65,109,98,105,101,110,116,65,73,77,67,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,83,111,117,114,99,101,115,46,70,105,120,101,100,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,84,104,101,114,109,97,108,46,72,101,97,116,84,114,97,110,115,102,101,114,46,73,110,116,101,114,102,97,99,101,115,46,72,101,97,116,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,60,47,112,97,114,97,109,101,116,101,114,45,101,113,117,97,116,105,111,110,115,62,10,60,97,115,115,101,114,116,105,111,110,115,32,115,105,122,101,61,34,48,34,62,10,60,47,97,115,115,101,114,116,105,111,110,115,62,10,60,106,97,99,111,98,105,97,110,45,101,113,117,97,116,105,111,110,115,62,10,60,47,106,97,99,111,98,105,97,110,45,101,113,117,97,116,105,111,110,115,62,10,60,108,105,116,101,114,97,108,115,32,115,105,122,101,61,34,54,34,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,65,110,103,108,101,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,114,97,100,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,100,101,103,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,39,112,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,39,112,47,115,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,39,112,40,49,47,50,41,38,113,117,111,116,59,60,47,101,120,112,62,10,60,47,108,105,116,101,114,97,108,115,62,10,60,102,117,110,99,116,105,111,110,115,32,115,105,122,101,61,34,49,50,34,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,84,121,112,101,115,46,83,97,108,105,101,110,116,73,110,100,117,99,116,97,110,99,101,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,67,111,114,101,80,97,114,97,109,101,116,101,114,115,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,97,114,116,105,97,108,80,111,119,101,114,66,97,108,97,110,99,101,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,67,111,109,112,108,101,120,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,73,110,116,101,114,102,97,99,101,115,46,73,110,100,117,99,116,105,111,110,77,97,99,104,105,110,101,115,46,80,111,119,101,114,66,97,108,97,110,99,101,65,73,77,67,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,83,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,76,111,115,115,101,115,46,70,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,97,99,104,105,110,101,115,46,85,116,105,108,105,116,105,101,115,46,80,97,114,97,109,101,116,101,114,82,101,99,111,114,100,115,46,65,73,77,95,83,113,117,105,114,114,101,108,67,97,103,101,68,97,116,97,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,77,117,108,116,105,80,104,97,115,101,46,70,117,110,99,116,105,111,110,115,46,115,121,109,109,101,116,114,105,99,79,114,105,101,110,116,97,116,105,111,110,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,56,34,32,108,105,110,101,69,110,100,61,34,50,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,70,108,117,120,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,84,121,112,101,115,46,83,97,108,105,101,110,116,82,101,108,117,99,116,97,110,99,101,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,109,112,108,101,120,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,60,47,102,117,110,99,116,105,111,110,115,62,10,60,47,115,105,109,99,111,100,101,100,117,109,112,62,10,0,82,0,0,0,0,0,0,0,117,110,98,97,108,97,110,99,101,100,32,99,111,109,109,97,110,100,32,108,105,110,101,32,102,108,97,103,32,115,116,114,117,99,116,117,114,101,58,32,70,76,65,71,95,78,65,77,69,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,84,104,101,32,101,114,114,111,114,32,116,111,108,101,114,97,110,99,101,115,32,97,114,101,32,116,111,111,32,115,116,114,105,110,103,101,110,116,0,0,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,77,46,82,111,110,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,77,46,82,111,110,91,49,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,105,110,100,101,120,95,115,112,101,99,95,111,107,58,32,116,104,101,32,105,110,100,101,120,32,115,112,101,99,32,105,110,100,101,120,32,97,114,114,97,121,32,105,115,32,78,85,76,76,33,10,0,0,0,0,0,68,117,109,109,121,32,101,113,117,97,116,105,111,110,32,115,111,32,119,101,32,99,97,110,32,105,110,100,101,120,32,102,114,111,109,32,49,0,0,0,68,71,69,83,86,32,0,0,119,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,77,46,82,111,110,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,77,46,82,111,110,91,50,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,70,97,105,108,101,100,32,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8079400);
/* memory initializer */ allocate([111,32,111,112,101,110,32,37,115,58,32,37,115,10,0,0,115,101,101,100,58,32,100,97,116,97,45,62,115,105,109,117,108,97,116,105,111,110,73,110,102,111,46,97,110,97,108,121,116,105,99,74,97,99,111,98,105,97,110,115,91,105,110,100,101,120,93,46,115,101,101,100,86,97,114,115,91,37,100,93,61,32,37,102,0,0,0,0,68,65,83,83,76,45,45,32,32,73,78,70,79,40,52,41,32,61,32,49,32,65,78,68,32,84,83,84,79,80,32,40,61,82,49,41,32,66,69,72,73,78,68,32,84,79,85,84,32,40,61,82,50,41,0,0,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,77,46,82,111,110,91,51,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,77,46,82,111,110,91,51,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,88,77,76,32,100,101,99,108,97,114,97,116,105,111,110,32,110,111,116,32,119,101,108,108,45,102,111,114,109,101,100,0,68,71,69,77,77,32,0,0,117,110,107,110,111,119,110,0,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,77,46,82,111,110,91,52,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,77,46,82,111,110,91,52,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,37,45,49,56,115,32,91,37,115,93,0,0,0,0,0,0,117,112,100,97,116,105,110,103,32,115,116,97,114,116,45,118,97,108,117,101,115,0,0,0,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,77,46,82,111,110,91,53,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,77,46,82,111,110,91,53,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,117,116,105,108,47,114,101,97,100,95,109,97,116,108,97,98,52,46,99,0,0,0,0,0,99,111,110,116,105,110,117,111,117,115,0,0,0,0,0,0,119,0,0,0,0,0,0,0,110,97,109,101,0,0,0,0,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,77,46,71,111,102,102,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,77,46,71,111,102,102,91,49,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,37,115,95,105,110,105,116,80,97,116,104,46,99,115,118,0,69,114,114,111,114,32,105,110,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,46,32,83,111,108,118,101,114,32,105,116,101,114,97,116,101,100,32,37,100,32,116,105,109,101,115,32,119,105,116,104,111,117,116,32,102,105,110,100,105,110,103,32,97,32,115,111,108,117,116,105,111,110,0,0,0,0,91,37,108,100,93,32,82,101,97,108,32,37,115,40,115,116,97,114,116,61,37,103,44,32,110,111,109,105,110,97,108,61,37,103,41,32,61,32,37,103,0,0,0,0,0,0,0,0,76,79,71,95,68,68,65,83,82,84,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,77,46,71,111,102,102,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,77,46,71,111,102,102,91,50,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,98,97,100,32,115,116,114,105,110,103,0,0,0,0,0,0,108,101,97,115,116,32,115,113,117,97,114,101,32,118,97,108,117,101,58,32,37,103,32,91,115,99,97,108,101,100,58,32,37,103,93,0,0,0,0,0,10,69,120,116,101,114,110,97,108,32,73,110,112,117,116,0,82,81,70,0,0,0,0,0,37,115,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,77,46,71,111,102,102,91,51,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,77,46,71,111,102,102,91,51,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,105,110,100,101,120,0,0,0,97,105,109,99,51,46,105,114,91,50,93,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,109,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,109,104,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,60,101,118,101,110,116,84,105,109,101,62,37,102,60,47,101,118,101,110,116,84,105,109,101,62,10,0,0,0,0,0,0,87,114,111,116,101,32,112,97,114,97,109,101,116,101,114,115,32,116,111,32,116,104,101,32,102,105,108,101,32,97,102,116,101,114,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,40,102,111,114,32,111,117,116,112,117,116,32,102,111,114,109,97,116,115,32,116,104,97,116,32,115,117,112,112,111,114,116,32,116,104,105,115,41,0,0,0,0,0,0,0,0,95,112,114,111,102,46,120,109,108,0,0,0,0,0,0,0,97,100,100,105,116,105,111,110,97,108,32,100,101,98,117,103,32,105,110,102,111,114,109,97,116,105,111,110,0,0,0,0,110,117,109,98,101,114,79,102,67,111,110,116,105,110,117,111,117,115,83,116,97,116,101,115,0,0,0,0,0,0,0,0,37,0,0,0,109,0,0,0,47,0,0,0,37,0,0,0,100,0,0,0,47,0,0,0,37,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,118,109,101,116,97,0,0,0,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,82,95,109,46,113,0,0,0,0,0,0,124,32,37,45,49,53,115,32,91,37,115,93,0,0,0,0,37,115,58,32,105,108,108,101,103,97,108,32,101,114,114,111,114,32,110,117,109,98,101,114,32,37,100,10,0,0,0,0,105,110,108,105,110,101,45,101,117,108,101,114,0,0,0,0,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,77,46,71,111,102,102,91,52,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,77,46,71,111,102,102,91,52,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,110,101,119,116,111,110,0,0,37,115,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,77,46,71,111,102,102,91,53,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,77,46,71,111,102,102,91,53,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,60,63,120,109,108,32,118,101,114,115,105,111,110,32,61,32,34,49,46,48,34,32,101,110,99,111,100,105,110,103,61,34,85,84,70,45,56,34,63,62,10,10,60,33,45,45,32,100,101,115,99,114,105,112,116,105,111,110,32,111,102,32,116,104,101,32,109,111,100,101,108,32,105,110,116,101,114,102,97,99,101,32,117,115,105,110,103,32,97,110,32,101,120,116,101,110,116,105,111,110,32,111,102,32,116,104,101,32,70,77,73,32,115,116,97,110,100,97,114,100,32,45,45,62,10,60,102,109,105,77,111,100,101,108,68,101,115,99,114,105,112,116,105,111,110,10,32,32,102,109,105,86,101,114,115,105,111,110,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,49,46,48,34,10,10,32,32,109,111,100,101,108,78,97,109,101,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,34,10,32,32,109,111,100,101,108,73,100,101,110,116,105,102,105,101,114,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,77,111,100,101,108,105,99,97,95,77,97,103,110,101,116,105,99,95,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,95,69,120,97,109,112,108,101,115,95,66,97,115,105,99,77,97,99,104,105,110,101,115,95,65,73,77,67,95,95,68,79,76,95,95,77,117,108,116,105,80,104,97,115,101,34,10,32,32,10,32,32,79,80,69,78,77,79,68,69,76,73,67,65,72,79,77,69,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,34,10,32,32,10,32,32,103,117,105,100,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,123,56,99,52,101,56,49,48,102,45,51,100,102,51,45,52,97,48,48,45,56,50,55,54,45,49,55,54,102,97,51,99,57,102,57,101,48,125,34,10,32,32,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,68,105,114,101,99,116,32,111,110,32,108,105,110,101,32,115,116,97,114,116,32,111,102,32,109,117,108,116,105,32,112,104,97,115,101,32,97,115,121,110,99,104,114,111,110,111,117,115,32,105,110,100,117,99,116,105,111,110,32,109,97,99,104,105,110,101,32,119,105,116,104,32,115,113,117,105,114,114,101,108,32,99,97,103,101,34,10,32,32,103,101,110,101,114,97,116,105,111,110,84,111,111,108,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,79,112,101,110,77,111,100,101,108,105,99,97,32,67,111,109,112,105,108,101,114,32,49,46,57,46,49,43,100,101,118,32,40,114,49,57,50,52,53,41,32,40,66,111,111,116,115,116,114,97,112,112,105,110,103,32,118,101,114,115,105,111,110,41,34,10,32,32,103,101,110,101,114,97,116,105,111,110,68,97,116,101,65,110,100,84,105,109,101,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,50,48,49,52,45,48,50,45,50,53,84,49,51,58,48,55,58,50,54,90,34,10,32,32,10,32,32,118,97,114,105,97,98,108,101,78,97,109,105,110,103,67,111,110,118,101,110,116,105,111,110,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,115,116,114,117,99,116,117,114,101,100,34,10,32,32,10,32,32,110,117,109,98,101,114,79,102,69,118,101,110,116,73,110,100,105,99,97,116,111,114,115,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,49,54,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,69,118,101,110,116,73,110,100,105,99,97,116,111,114,115,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,71,58,32,32,32,32,32,32,32,110,117,109,98,101,114,32,111,102,32,122,101,114,111,32,99,114,111,115,115,105,110,103,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,70,77,73,34,10,32,32,110,117,109,98,101,114,79,102,84,105,109,101,69,118,101,110,116,115,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,84,105,109,101,69,118,101,110,116,115,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,71,95,83,65,77,58,32,32,32,110,117,109,98,101,114,32,111,102,32,122,101,114,111,32,99,114,111,115,115,105,110,103,115,32,116,104,97,116,32,97,114,101,32,115,97,109,112,108,101,115,44,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,10,32,32,110,117,109,98,101,114,79,102,73,110,112,117,116,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,73,110,112,117,116,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,73,58,32,32,32,32,32,32,32,110,117,109,98,101,114,32,111,102,32,105,110,112,117,116,118,97,114,32,111,110,32,116,111,112,109,111,100,101,108,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,79,117,116,112,117,116,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,79,117,116,112,117,116,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,79,58,32,32,32,32,32,32,32,110,117,109,98,101,114,32,111,102,32,111,117,116,112,117,116,118,97,114,32,111,110,32,116,111,112,109,111,100,101,108,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,10,32,32,110,117,109,98,101,114,79,102,82,101,115,105,100,117,97,108,115,70,111,114,73,110,105,116,105,97,108,105,122,97,116,105,111,110,32,32,61,32,34,49,50,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,82,101,115,105,100,117,97,108,115,70,111,114,73,110,105,116,105,97,108,105,122,97,116,105,111,110,32,32,61,32,34,78,82,58,32,32,32,32,32,32,32,110,117,109,98,101,114,32,111,102,32,114,101,115,105,100,117,97,108,115,32,102,111,114,32,105,110,105,116,105,97,108,105,97,108,105,122,97,116,105,111,110,32,102,117,110,99,116,105,111,110,44,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,69,120,116,101,114,110,97,108,79,98,106,101,99,116,115,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,69,120,116,101,114,110,97,108,79,98,106,101,99,116,115,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,69,88,84,58,32,32,32,32,32,110,117,109,98,101,114,32,111,102,32,101,120,116,101,114,110,97,108,32,111,98,106,101,99,116,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,70,117,110,99,116,105,111,110,115,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,49,50,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,70,117,110,99,116,105,111,110,115,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,70,85,78,67,58,32,32,32,32,110,117,109,98,101,114,32,111,102,32,102,117,110,99,116,105,111,110,115,32,117,115,101,100,32,98,121,32,116,104,101,32,115,105,109,117,108,97,116,105,111,110,44,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,10,32,32,110,117,109,98,101,114,79,102,67,111,110,116,105,110,117,111,117,115,83,116,97,116,101,115,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,49,53,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,67,111,110,116,105,110,117,111,117,115,83,116,97,116,101,115,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,88,58,32,32,32,32,32,32,32,110,117,109,98,101,114,32,111,102,32,115,116,97,116,101,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,70,77,73,34,10,32,32,110,117,109,98,101,114,79,102,82,101,97,108,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,61,32,34,52,55,51,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,82,101,97,108,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,61,32,34,78,89,58,32,32,32,32,32,32,32,110,117,109,98,101,114,32,111,102,32,114,101,97,108,32,118,97,114,105,97,98,108,101,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,82,101,97,108,65,108,103,101,98,114,97,105,99,65,108,105,97,115,86,97,114,105,97,98,108,101,115,32,61,32,34,49,54,49,53,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,82,101,97,108,65,108,103,101,98,114,97,105,99,65,108,105,97,115,86,97,114,105,97,98,108,101,115,32,61,32,34,78,65,58,32,32,32,32,32,32,32,110,117,109,98,101,114,32,111,102,32,97,108,105,97,115,32,118,97,114,105,97,98,108,101,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,82,101,97,108,80,97,114,97,109,101,116,101,114,115,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,54,52,49,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,82,101,97,108,80,97,114,97,109,101,116,101,114,115,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,80,58,32,32,32,32,32,32,32,110,117,109,98,101,114,32,111,102,32,112,97,114,97,109,101,116,101,114,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,10,32,32,110,117,109,98,101,114,79,102,73,110,116,101,103,101,114,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,73,110,116,101,103,101,114,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,32,32,32,61,32,34,78,89,73,78,84,58,32,32,32,32,110,117,109,98,101,114,32,111,102,32,97,108,103,46,32,105,110,116,32,118,97,114,105,97,98,108,101,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,73,110,116,101,103,101,114,65,108,105,97,115,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,73,110,116,101,103,101,114,65,108,105,97,115,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,61,32,34,78,65,73,78,84,58,32,32,32,32,110,117,109,98,101,114,32,111,102,32,97,108,105,97,115,32,105,110,116,32,118,97,114,105,97,98,108,101,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,73,110,116,101,103,101,114,80,97,114,97,109,101,116,101,114,115,32,32,32,32,32,32,32,32,32,32,32,61,32,34,49,52,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,73,110,116,101,103,101,114,80,97,114,97,109,101,116,101,114,115,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,80,73,78,84,58,32,32,32,32,110,117,109,98,101,114,32,111,102,32,105,110,116,32,112,97,114,97,109,101,116,101,114,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,10,32,32,110,117,109,98,101,114,79,102,83,116,114,105,110,103,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,32,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,83,116,114,105,110,103,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,32,32,32,32,61,32,34,78,89,83,84,82,58,32,32,32,32,110,117,109,98,101,114,32,111,102,32,97,108,103,46,32,115,116,114,105,110,103,32,118,97,114,105,97,98,108,101,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,83,116,114,105,110,103,65,108,105,97,115,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,83,116,114,105,110,103,65,108,105,97,115,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,32,61,32,34,78,65,83,84,82,58,32,32,32,32,110,117,109,98,101,114,32,111,102,32,97,108,105,97,115,32,115,116,114,105,110,103,32,118,97,114,105,97,98,108,101,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,83,116,114,105,110,103,80,97,114,97,109,101,116,101,114,115,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,50,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,83,116,114,105,110,103,80,97,114,97,109,101,116,101,114,115,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,80,83,84,82,58,32,32,32,32,110,117,109,98,101,114,32,111,102,32,115,116,114,105,110,103,32,112,97,114,97,109,101,116,101,114,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,10,32,32,110,117,109,98,101,114,79,102,66,111,111,108,101,97,110,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,32,32,32,61,32,34,56,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,66,111,111,108,101,97,110,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,32,32,32,61,32,34,78,89,66,79,79,76,58,32,32,32,110,117,109,98,101,114,32,111,102,32,97,108,103,46,32,98,111,111,108,32,118,97,114,105,97,98,108,101,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,66,111,111,108,101,97,110,65,108,105,97,115,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,61,32,34,49,54,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,66,111,111,108,101,97,110,65,108,105,97,115,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,61,32,34,78,65,66,79,79,76,58,32,32,32,110,117,109,98,101,114,32,111,102,32,97,108,105,97,115,32,98,111,111,108,32,118,97,114,105,97,98,108,101,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,66,111,111,108,101,97,110,80,97,114,97,109,101,116,101,114,115,32,32,32,32,32,32,32,32,32,32,32,61,32,34,53,56,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,66,111,111,108,101,97,110,80,97,114,97,109,101,116,101,114,115,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,80,66,79,79,76,58,32,32,32,110,117,109,98,101,114,32,111,102,32,98,111,111,108,32,112,97,114,97,109,101,116,101,114,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,32,62,10,32,32,10,32,32,10,32,32,60,33,45,45,32,115,116,97,114,116,84,105,109,101,44,32,115,116,111,112,84,105,109,101,44,32,116,111,108,101,114,97,110,99,101,32,97,114,101,32,70,77,73,32,115,112,101,99,105,102,105,99,44,32,97,108,108,32,111,116,104,101,114,115,32,97,114,101,32,79,77,67,32,115,112,101,99,105,102,105,99,32,45,45,62,10,32,32,60,68,101,102,97,117,108,116,69,120,112,101,114,105,109,101,110,116,10,32,32,32,32,115,116,97,114,116,84,105,109,101,32,32,32,32,32,32,61,32,34,48,46,48,34,10,32,32,32,32,115,116,111,112,84,105,109,101,32,32,32,32,32,32,32,61,32,34,49,46,53,34,10,32,32,32,32,115,116,101,112,83,105,122,101,32,32,32,32,32,32,32,61,32,34,48,46,48,48,48,49,34,10,32,32,32,32,116,111,108,101,114,97,110,99,101,32,32,32,32,32,32,61,32,34,49,101,45,48,53,34,10,32,32,32,32,115,111,108,118,101,114,32,32,32,32,32,32,32,32,32,61,32,34,100,97,115,115,108,34,10,32,32,32,32,111,117,116,112,117,116,70,111,114,109,97,116,32,32,32,61,32,34,99,115,118,34,10,32,32,32,32,118,97,114,105,97,98,108,101,70,105,108,116,101,114,32,61,32,34,46,42,34,32,47,62,10,32,32,32,32,10,32,32,60,33,45,45,32,118,97,114,105,97,98,108,101,115,32,105,110,32,116,104,101,32,109,111,100,101,108,32,45,45,62,10,32,32,60,77,111,100,101,108,86,97,114,105,97,98,108,101,115,62,10,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,105,115,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,116,111,114,32,105,110,115,116,97,110,116,97,110,101,111,117,115,32,99,117,114,114,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,83,116,97,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,55,50,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,55,50,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,105,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,116,111,114,32,105,110,115,116,97,110,116,97,110,101,111,117,115,32,99,117,114,114,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,83,116,97,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,55,50,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,55,50,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,83,116,97,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,83,116,97,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,112,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,110,103,108,101,32,111,102,32,102,108,97,110,103,101,32,119,105,116,104,32,114,101,115,112,101,99,116,32,116,111,32,115,117,112,112,111,114,116,32,40,61,32,102,108,97,110,103,101,46,112,104,105,32,45,32,115,117,112,112,111,114,116,46,112,104,105,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,83,116,97,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,51,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,55,51,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,53,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,83,116,97,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,83,116,97,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8089640);
/* memory initializer */ allocate([34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,61,32,100,101,114,40,112,104,105,41,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,83,116,97,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,51,48,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,51,48,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,112,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,110,103,108,101,32,111,102,32,102,108,97,110,103,101,32,119,105,116,104,32,114,101,115,112,101,99,116,32,116,111,32,115,117,112,112,111,114,116,32,40,61,32,102,108,97,110,103,101,46,112,104,105,32,45,32,115,117,112,112,111,114,116,46,112,104,105,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,83,116,97,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,51,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,55,51,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,83,116,97,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,83,116,97,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,83,116,97,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,50,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,83,116,97,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,105,48,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,51,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,83,116,97,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,61,32,100,101,114,40,112,104,105,41,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,83,116,97,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,51,48,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,51,48,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,105,109,99,51,46,105,115,91,51,93,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,116,111,114,32,105,110,115,116,97,110,116,97,110,101,111,117,115,32,99,117,114,114,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,68,101,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,55,50,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,55,50,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,105,109,99,51,46,105,115,91,50,93,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,116,111,114,32,105,110,115,116,97,110,116,97,110,101,111,117,115,32,99,117,114,114,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,68,101,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,55,50,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,55,50,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,68,101,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,68,101,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,112,104,105,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,110,103,108,101,32,111,102,32,102,108,97,110,103,101,32,119,105,116,104,32,114,101,115,112,101,99,116,32,116,111,32,115,117,112,112,111,114,116,32,40,61,32,102,108,97,110,103,101,46,112,104,105,32,45,32,115,117,112,112,111,114,116,46,112,104,105,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,68,101,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,51,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,55,51,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,105,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,68,101,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,114,101,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,68,101,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,61,32,100,101,114,40,112,104,105,41,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,68,101,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,51,48,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,51,48,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,112,104,105,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,110,103,108,101,32,111,102,32,102,108,97,110,103,101,32,119,105,116,104,32,114,101,115,112,101,99,116,32,116,111,32,115,117,112,112,111,114,116,32,40,61,32,102,108,97,110,103,101,46,112,104,105,32,45,32,115,117,112,112,111,114,116,46,112,104,105,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,68,101,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,51,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,55,51,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,105,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,68,101,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8099880);
/* memory initializer */ allocate([101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,114,101,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,53,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,68,101,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,105,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,68,101,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,114,101,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,55,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,68,101,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,105,48,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,68,101,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,61,32,100,101,114,40,112,104,105,41,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,68,101,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,51,48,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,51,48,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,118,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,118,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,118,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8110120);
/* memory initializer */ allocate([32,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,118,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,118,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,118,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,50,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,51,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,53,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,57,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,57,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,57,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,105,114,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,111,116,111,114,32,99,97,103,101,32,99,117,114,114,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,53,52,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,52,53,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8120360);
/* memory initializer */ allocate([115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,105,114,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,111,116,111,114,32,99,97,103,101,32,99,117,114,114,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,53,52,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,52,53,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,105,114,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,111,116,111,114,32,99,97,103,101,32,99,117,114,114,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,53,52,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,52,53,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,118,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,118,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,118,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,53,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8130600);
/* memory initializer */ allocate([116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,55,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,50,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,118,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,57,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,118,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,57,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,118,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,57,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,118,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,105,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,116,111,114,32,105,110,115,116,97,110,116,97,110,101,111,117,115,32,99,117,114,114,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,55,50,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,55,50,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,118,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,116,111,114,32,105,110,115,116,97,110,116,97,110,101,111,117,115,32,118,111,108,116,97,103,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,55,50,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,55,50,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,118,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,116,111,114,32,105,110,115,116,97,110,116,97,110,101,111,117,115,32,118,111,108,116,97,103,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8140840);
/* memory initializer */ allocate([101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,55,50,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,55,50,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,118,115,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,116,111,114,32,105,110,115,116,97,110,116,97,110,101,111,117,115,32,118,111,108,116,97,103,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,55,50,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,55,50,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,80,111,108,97,114,49,46,121,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,80,111,108,97,114,49,46,121,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,80,111,108,97,114,49,46,117,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,80,111,108,97,114,49,46,117,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,117,120,105,108,105,97,114,121,32,118,97,114,105,97,98,108,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,53,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,53,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,117,120,105,108,105,97,114,121,32,118,97,114,105,97,98,108,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,53,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,53,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,117,120,105,108,105,97,114,121,32,118,97,114,105,97,98,108,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,53,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,53,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8151080);
/* memory initializer */ allocate([101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,51,46,118,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,51,46,118,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,51,46,118,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8161320);
/* memory initializer */ allocate([111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,118,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,118,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,118,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,118,91,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,118,91,53,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,118,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,118,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,118,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8171560);
/* memory initializer */ allocate([69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,118,91,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,118,91,53,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,52,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,52,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,53,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,53,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,53,50,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,53,51,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,53,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,53,53,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,53,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,53,55,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,53,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,53,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,54,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,54,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,54,50,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,54,51,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8181800);
/* memory initializer */ allocate([34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,57,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,57,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,57,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,57,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,53,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,57,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,105,114,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,111,116,111,114,32,99,97,103,101,32,99,117,114,114,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,53,52,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,52,53,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,105,114,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,111,116,111,114,32,99,97,103,101,32,99,117,114,114,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,53,52,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,52,53,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,105,114,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,111,116,111,114,32,99,97,103,101,32,99,117,114,114,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,53,52,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,52,53,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,105,114,91,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,111,116,111,114,32,99,97,103,101,32,99,117,114,114,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,53,52,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,52,53,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,105,114,91,53,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,111,116,111,114,32,99,97,103,101,32,99,117,114,114,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,53,52,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,52,53,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8192040);
/* memory initializer */ allocate([86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,118,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,118,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,118,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,118,91,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,118,91,53,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,57,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,57,53,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,57,55,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,57,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8202280);
/* memory initializer */ allocate([32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,48,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,48,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,48,51,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,48,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,48,53,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,48,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,48,55,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,48,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,49,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,49,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,49,50,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,49,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,118,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,57,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8212520);
/* memory initializer */ allocate([97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,118,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,57,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,118,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,57,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,118,91,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,57,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,118,91,53,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,57,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,118,91,53,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,105,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,116,111,114,32,105,110,115,116,97,110,116,97,110,101,111,117,115,32,99,117,114,114,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,55,50,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,55,50,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,105,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,116,111,114,32,105,110,115,116,97,110,116,97,110,101,111,117,115,32,99,117,114,114,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,55,50,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,55,50,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,105,115,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,116,111,114,32,105,110,115,116,97,110,116,97,110,101,111,117,115,32,99,117,114,114,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,55,50,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,55,50,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,105,115,91,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,116,111,114,32,105,110,115,116,97,110,116,97,110,101,111,117,115,32,99,117,114,114,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,55,50,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,55,50,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,105,115,91,53,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,116,111,114,32,105,110,115,116,97,110,116,97,110,101,111,117,115,32,99,117,114,114,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,55,50,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,55,50,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,118,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,116,111,114,32,105,110,115,116,97,110,116,97,110,101,111,117,115,32,118,111,108,116,97,103,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,55,50,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,55,50,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,118,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,116,111,114,32,105,110,115,116,97,110,116,97,110,101,111,117,115,32,118,111,108,116,97,103,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,55,50,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,55,50,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,118,115,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,116,111,114,32,105,110,115,116,97,110,116,97,110,101,111,117,115,32,118,111,108,116,97,103,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8222760);
/* memory initializer */ allocate([32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,55,50,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,55,50,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,118,115,91,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,116,111,114,32,105,110,115,116,97,110,116,97,110,101,111,117,115,32,118,111,108,116,97,103,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,55,50,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,55,50,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,118,115,91,53,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,116,111,114,32,105,110,115,116,97,110,116,97,110,101,111,117,115,32,118,111,108,116,97,103,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,55,50,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,55,50,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,117,120,105,108,105,97,114,121,32,118,97,114,105,97,98,108,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,53,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,53,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,117,120,105,108,105,97,114,121,32,118,97,114,105,97,98,108,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,53,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,53,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,117,120,105,108,105,97,114,121,32,118,97,114,105,97,98,108,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,53,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,53,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,117,120,105,108,105,97,114,121,32,118,97,114,105,97,98,108,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8233000);
/* memory initializer */ allocate([32,34,50,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,53,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,53,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,117,120,105,108,105,97,114,121,32,118,97,114,105,97,98,108,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,53,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,53,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,118,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,118,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,118,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,118,91,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,118,91,53,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,53,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,54,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,54,55,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8243240);
/* memory initializer */ allocate([116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,54,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,54,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,55,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,55,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,55,50,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,55,51,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,55,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,46,114,101,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,55,53,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,114,101,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,55,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,105,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,55,55,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,55,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,114,101,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,55,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,105,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,56,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,86,95,109,46,114,101,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,56,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,86,95,109,46,105,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,56,50,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,86,95,109,46,114,101,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,56,51,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,86,95,109,46,105,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,56,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,46,114,101,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,56,53,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,114,101,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,56,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8253480);
/* memory initializer */ allocate([116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,105,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,56,55,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,114,101,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,56,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,105,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,56,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,46,114,101,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,57,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,114,101,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,57,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,105,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,57,50,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,57,51,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,114,101,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,57,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,105,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,57,53,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,46,105,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,46,105,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,46,105,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,46,105,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,46,105,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,46,105,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,105,109,99,51,46,105,115,91,49,93,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,116,111,114,32,105,110,115,116,97,110,116,97,110,101,111,117,115,32,99,117,114,114,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,55,50,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,55,50,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,48,51,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,48,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,118,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8263720);
/* memory initializer */ allocate([110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,118,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,118,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,118,91,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,118,91,53,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,118,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,118,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,118,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,118,91,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,118,91,53,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,49,53,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,49,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,118,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,118,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,118,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,50,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,50,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,49,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8273960);
/* memory initializer */ allocate([101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,50,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,51,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,52,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,53,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,49,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,50,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,51,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,102,101,101,100,98,97,99,107,46,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,51,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,77,97,116,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,54,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,57,54,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,102,101,101,100,98,97,99,107,46,117,50,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,51,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,77,97,116,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,54,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,57,54,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,116,97,117,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,99,99,101,108,101,114,97,116,105,110,103,32,116,111,114,113,117,101,32,97,99,116,105,110,103,32,97,116,32,102,108,97,110,103,101,32,40,61,32,45,102,108,97,110,103,101,46,116,97,117,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,51,48,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,51,48,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,108,111,97,100,73,110,101,114,116,105,97,51,46,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,97,110,103,117,108,97,114,32,97,99,99,101,108,101,114,97,116,105,111,110,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,61,32,100,101,114,40,119,41,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,51,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,51,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,109,97,103,105,110,97,114,121,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,97,108,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,97,105,114,71,97,112,46,103,97,109,109,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,108,101,99,116,114,105,99,97,108,32,97,110,103,108,101,32,98,101,116,119,101,101,110,32,114,111,116,111,114,32,97,110,100,32,115,116,97,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,55,53,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,53,55,53,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,114,114,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,51,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8284200);
/* memory initializer */ allocate([101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,114,114,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,52,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,114,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,52,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,114,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,52,50,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,52,51,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,52,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,52,53,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,52,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,105,48,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,52,55,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,52,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,52,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,84,111,116,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,111,116,97,108,32,108,111,115,115,32,112,111,119,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,54,54,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,54,54,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,82,111,116,111,114,87,105,110,100,105,110,103,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,111,116,111,114,32,99,111,112,112,101,114,32,108,111,115,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,54,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,54,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,97,116,111,114,87,105,110,100,105,110,103,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,116,111,114,32,99,111,112,112,101,114,32,108,111,115,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,54,54,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,54,54,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,112,111,119,101,114,73,110,101,114,116,105,97,82,111,116,111,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,111,116,111,114,32,105,110,101,114,116,105,97,32,112,111,119,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,54,54,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,54,54,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,112,111,119,101,114,77,101,99,104,97,110,105,99,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,54,53,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,54,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,112,111,119,101,114,83,116,97,116,111,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,108,101,99,116,114,105,99,97,108,32,112,111,119,101,114,32,40,115,116,97,116,111,114,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,54,53,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,54,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,105,82,77,83,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,53,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,53,53,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,53,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,110,103,108,101,32,98,101,116,119,101,101,110,32,115,104,97,102,116,32,97,110,100,32,115,117,112,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,53,55,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,53,55,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,112,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,110,103,108,101,32,98,101,116,119,101,101,110,32,115,104,97,102,116,32,97,110,100,32,115,117,112,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8294440);
/* memory initializer */ allocate([101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,53,55,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,53,55,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,116,97,117,69,108,101,99,116,114,105,99,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,108,101,99,116,114,111,109,97,103,110,101,116,105,99,32,116,111,114,113,117,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,55,48,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,55,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,84,111,116,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,54,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,49,55,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,49,56,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,50,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,82,111,116,111,114,87,105,110,100,105,110,103,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,111,102,32,114,111,116,111,114,32,40,115,113,117,105,114,114,101,108,32,99,97,103,101,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,49,55,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,49,55,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,83,116,97,116,111,114,87,105,110,100,105,110,103,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,111,102,32,115,116,97,116,111,114,32,119,105,110,100,105,110,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,53,51,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,53,51,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,112,104,105,77,101,99,104,97,110,105,99,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,99,104,97,110,105,99,97,108,32,97,110,103,108,101,32,111,102,32,114,111,116,111,114,32,97,103,97,105,110,115,116,32,115,116,97,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,55,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,55,48,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,116,97,117,83,104,97,102,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,104,97,102,116,32,116,111,114,113,117,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,55,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,55,49,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,54,53,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,54,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,122,101,114,111,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,54,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,56,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,56,49,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,73,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,54,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,50,48,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,50,48,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,103,114,111,117,110,100,51,46,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,116,97,117,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,99,99,101,108,101,114,97,116,105,110,103,32,116,111,114,113,117,101,32,97,99,116,105,110,103,32,97,116,32,102,108,97,110,103,101,32,40,61,32,45,102,108,97,110,103,101,46,116,97,117,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,51,48,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,51,48,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,108,111,97,100,73,110,101,114,116,105,97,77,46,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,97,110,103,117,108,97,114,32,97,99,99,101,108,101,114,97,116,105,111,110,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,61,32,100,101,114,40,119,41,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,51,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,51,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,109,97,103,105,110,97,114,121,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,97,108,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8304680);
/* memory initializer */ allocate([112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,97,105,114,71,97,112,46,103,97,109,109,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,108,101,99,116,114,105,99,97,108,32,97,110,103,108,101,32,98,101,116,119,101,101,110,32,114,111,116,111,114,32,97,110,100,32,115,116,97,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,55,53,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,53,55,53,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,114,114,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,55,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,114,114,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,55,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,114,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,56,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,114,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,56,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,56,50,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,56,51,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,56,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,56,53,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,84,111,116,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,111,116,97,108,32,108,111,115,115,32,112,111,119,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,54,54,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,54,54,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,82,111,116,111,114,87,105,110,100,105,110,103,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,111,116,111,114,32,99,111,112,112,101,114,32,108,111,115,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,54,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,54,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,97,116,111,114,87,105,110,100,105,110,103,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,116,111,114,32,99,111,112,112,101,114,32,108,111,115,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,54,54,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,54,54,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,112,111,119,101,114,73,110,101,114,116,105,97,82,111,116,111,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,111,116,111,114,32,105,110,101,114,116,105,97,32,112,111,119,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,54,54,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,54,54,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,112,111,119,101,114,77,101,99,104,97,110,105,99,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,99,104,97,110,105,99,97,108,32,112,111,119,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,54,53,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,54,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,112,111,119,101,114,83,116,97,116,111,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,108,101,99,116,114,105,99,97,108,32,112,111,119,101,114,32,40,115,116,97,116,111,114,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,54,53,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,54,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,105,82,77,83,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,57,50,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,53,53,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,53,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,110,103,108,101,32,98,101,116,119,101,101,110,32,115,104,97,102,116,32,97,110,100,32,115,117,112,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,53,55,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,53,55,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,112,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,110,103,108,101,32,98,101,116,119,101,101,110,32,115,104,97,102,116,32,97,110,100,32,115,117,112,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,53,55,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,53,55,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,116,97,117,69,108,101,99,116,114,105,99,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,108,101,99,116,114,111,109,97,103,110,101,116,105,99,32,116,111,114,113,117,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8314920);
/* memory initializer */ allocate([32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,55,48,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,55,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,84,111,116,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,57,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,49,55,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,49,56,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,50,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,82,111,116,111,114,87,105,110,100,105,110,103,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,111,102,32,114,111,116,111,114,32,40,115,113,117,105,114,114,101,108,32,99,97,103,101,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,49,55,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,49,55,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,83,116,97,116,111,114,87,105,110,100,105,110,103,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,111,102,32,115,116,97,116,111,114,32,119,105,110,100,105,110,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,53,51,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,53,51,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,112,104,105,77,101,99,104,97,110,105,99,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,99,104,97,110,105,99,97,108,32,97,110,103,108,101,32,111,102,32,114,111,116,111,114,32,97,103,97,105,110,115,116,32,115,116,97,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,55,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,55,48,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,116,97,117,83,104,97,102,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,104,97,102,116,32,116,111,114,113,117,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,55,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,55,49,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,48,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,48,50,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,73,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,116,105,110,117,111,117,115,32,113,117,97,115,105,32,97,118,101,114,97,103,101,32,82,77,83,32,111,102,32,99,117,114,114,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,103,114,111,117,110,100,77,46,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,48,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,48,55,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,114,101,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,97,108,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,105,109,99,77,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,105,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,109,97,103,105,110,97,114,121,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,105,48,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,49,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,114,101,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,97,108,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,105,109,99,51,46,97,105,114,71,97,112,46,114,111,116,97,116,111,114,46,105,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,109,97,103,105,110,97,114,121,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,105,109,99,77,46,97,105,114,71,97,112,46,103,97,109,109,97,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,108,101,99,116,114,105,99,97,108,32,97,110,103,108,101,32,98,101,116,119,101,101,110,32,114,111,116,111,114,32,97,110,100,32,115,116,97,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,55,53,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,53,55,53,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8325160);
/* memory initializer */ allocate([115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,105,109,99,51,46,97,105,114,71,97,112,46,103,97,109,109,97,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,108,101,99,116,114,105,99,97,108,32,97,110,103,108,101,32,98,101,116,119,101,101,110,32,114,111,116,111,114,32,97,110,100,32,115,116,97,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,55,53,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,53,55,53,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,114,101,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,49,53,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,105,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,49,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,114,46,114,101,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,49,55,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,114,46,105,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,49,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,114,114,46,114,101,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,49,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,114,114,46,105,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,50,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,50,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,50,50,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,114,46,114,101,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,50,51,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,114,46,105,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,50,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,114,114,46,114,101,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,50,53,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,114,114,46,105,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,50,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,102,108,97,110,103,101,95,97,46,116,97,117,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,52,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,52,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,102,108,97,110,103,101,95,97,46,116,97,117,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,52,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,52,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,46,112,111,114,116,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,67,111,114,101,46,112,111,114,116,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,112,111,114,116,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8335400);
/* memory initializer */ allocate([101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,46,112,111,114,116,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,46,112,111,114,116,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,67,111,114,101,46,112,111,114,116,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,112,111,114,116,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,46,112,111,114,116,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,112,111,119,101,114,73,110,101,114,116,105,97,83,116,97,116,111,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,116,111,114,32,105,110,101,114,116,105,97,32,112,111,119,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,54,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,54,54,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,112,111,119,101,114,73,110,101,114,116,105,97,83,116,97,116,111,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,116,111,114,32,105,110,101,114,116,105,97,32,112,111,119,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,54,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,54,54,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,97,110,103,117,108,97,114,32,97,99,99,101,108,101,114,97,116,105,111,110,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,61,32,100,101,114,40,119,41,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,51,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,51,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,97,110,103,117,108,97,114,32,97,99,99,101,108,101,114,97,116,105,111,110,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,61,32,100,101,114,40,119,41,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,51,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,51,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,52,53,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,52,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,52,55,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,52,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,52,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,53,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8345640);
/* memory initializer */ allocate([108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,97,116,111,114,67,111,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,116,111,114,32,99,111,114,101,32,108,111,115,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,54,54,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,54,54,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,114,97,121,76,111,97,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,114,97,121,32,108,111,97,100,32,108,111,115,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,54,54,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,54,54,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,70,114,105,99,116,105,111,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,114,105,99,116,105,111,110,32,108,111,115,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,54,54,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,54,54,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,61,32,100,101,114,40,112,104,105,41,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,51,48,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,51,48,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,53,53,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,53,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,97,116,111,114,67,111,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,116,111,114,32,99,111,114,101,32,108,111,115,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,54,54,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,54,54,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,114,97,121,76,111,97,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,114,97,121,32,108,111,97,100,32,108,111,115,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,54,54,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,54,54,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,70,114,105,99,116,105,111,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,114,105,99,116,105,111,110,32,108,111,115,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,54,54,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,54,54,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,61,32,100,101,114,40,112,104,105,41,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,51,48,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,51,48,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,82,111,116,111,114,67,111,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,111,116,111,114,32,99,111,114,101,32,108,111,115,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,54,54,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,54,54,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,82,111,116,111,114,67,111,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,111,116,111,114,32,99,111,114,101,32,108,111,115,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,54,54,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,54,54,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,112,104,105,95,115,117,112,112,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,97,110,103,108,101,32,111,102,32,115,117,112,112,111,114,116,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,48,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,55,48,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,112,104,105,95,115,117,112,112,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,97,110,103,108,101,32,111,102,32,115,117,112,112,111,114,116,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,48,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,55,48,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,116,97,117,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,111,114,113,117,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,53,55,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,53,55,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,116,97,117,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,111,114,113,117,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,53,55,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,53,55,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,54,55,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,54,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8355880);
/* memory initializer */ allocate([115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,116,97,117,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,111,114,113,117,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,53,55,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,53,55,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,116,97,117,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,111,114,113,117,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,53,55,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,53,55,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,55,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,55,50,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,105,110,116,101,114,110,97,108,83,117,112,112,111,114,116,46,116,97,117,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,97,99,116,105,111,110,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,115,117,112,112,111,114,116,47,104,111,117,115,105,110,103,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,53,52,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,53,52,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,67,111,114,101,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,114,97,121,76,111,97,100,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,70,114,105,99,116,105,111,110,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,87,105,110,100,105,110,103,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,67,111,114,101,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,102,108,97,110,103,101,95,98,46,116,97,117,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,52,56,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,52,56,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,56,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,56,53,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,56,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8366120);
/* memory initializer */ allocate([97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,56,55,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,105,110,116,101,114,110,97,108,83,117,112,112,111,114,116,46,116,97,117,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,97,99,116,105,111,110,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,115,117,112,112,111,114,116,47,104,111,117,115,105,110,103,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,53,52,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,53,52,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,67,111,114,101,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,114,97,121,76,111,97,100,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,70,114,105,99,116,105,111,110,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,87,105,110,100,105,110,103,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,67,111,114,101,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,102,108,97,110,103,101,95,98,46,116,97,117,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,52,56,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,52,56,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,57,55,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,57,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,57,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,48,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,103,114,111,117,110,100,77,46,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,103,114,111,117,110,100,51,46,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,86,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,109,112,108,105,116,117,100,101,115,32,111,102,32,115,105,110,101,32,119,97,118,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,86,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,109,112,108,105,116,117,100,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8376360);
/* memory initializer */ allocate([115,32,111,102,32,115,105,110,101,32,119,97,118,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,86,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,109,112,108,105,116,117,100,101,115,32,111,102,32,115,105,110,101,32,119,97,118,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,86,91,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,109,112,108,105,116,117,100,101,115,32,111,102,32,115,105,110,101,32,119,97,118,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,86,91,53,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,109,112,108,105,116,117,100,101,115,32,111,102,32,115,105,110,101,32,119,97,118,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,112,104,97,115,101,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,104,97,115,101,115,32,111,102,32,115,105,110,101,32,119,97,118,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,50,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,112,104,97,115,101,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,104,97,115,101,115,32,111,102,32,115,105,110,101,32,119,97,118,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,50,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,112,104,97,115,101,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,104,97,115,101,115,32,111,102,32,115,105,110,101,32,119,97,118,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,50,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,112,104,97,115,101,91,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,104,97,115,101,115,32,111,102,32,115,105,110,101,32,119,97,118,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,50,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,112,104,97,115,101,91,53,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,104,97,115,101,115,32,111,102,32,115,105,110,101,32,119,97,118,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,50,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,102,114,101,113,72,122,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,114,101,113,117,101,110,99,105,101,115,32,111,102,32,115,105,110,101,32,119,97,118,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,50,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,50,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,102,114,101,113,72,122,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,114,101,113,117,101,110,99,105,101,115,32,111,102,32,115,105,110,101,32,119,97,118,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,50,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,50,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,102,114,101,113,72,122,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,114,101,113,117,101,110,99,105,101,115,32,111,102,32,115,105,110,101,32,119,97,118,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,50,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,50,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,102,114,101,113,72,122,91,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,114,101,113,117,101,110,99,105,101,115,32,111,102,32,115,105,110,101,32,119,97,118,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,50,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,50,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,102,114,101,113,72,122,91,53,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,114,101,113,117,101,110,99,105,101,115,32,111,102,32,115,105,110,101,32,119,97,118,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,50,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,50,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,111,102,102,115,101,116,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,111,102,102,115,101,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,50,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,111,102,102,115,101,116,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,111,102,102,115,101,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,50,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,111,102,102,115,101,116,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,111,102,102,115,101,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,50,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,111,102,102,115,101,116,91,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,111,102,102,115,101,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,50,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8386600);
/* memory initializer */ allocate([101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,111,102,102,115,101,116,91,53,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,111,102,102,115,101,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,50,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,116,97,114,116,84,105,109,101,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,105,109,101,32,111,102,102,115,101,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,116,97,114,116,84,105,109,101,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,105,109,101,32,111,102,102,115,101,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,116,97,114,116,84,105,109,101,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,105,109,101,32,111,102,102,115,101,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,116,97,114,116,84,105,109,101,91,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,105,109,101,32,111,102,102,115,101,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,116,97,114,116,84,105,109,101,91,53,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,105,109,101,32,111,102,102,115,101,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,111,102,102,115,101,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,111,102,102,115,101,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,116,97,114,116,84,105,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,105,109,101,32,111,102,102,115,101,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,86,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,109,112,108,105,116,117,100,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,53,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,112,104,97,115,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,104,97,115,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,54,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,102,114,101,113,72,122,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,114,101,113,117,101,110,99,121,32,111,102,32,115,105,110,101,32,119,97,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,54,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,54,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,97,109,112,108,105,116,117,100,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,109,112,108,105,116,117,100,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,54,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,102,114,101,113,72,122,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,114,101,113,117,101,110,99,121,32,111,102,32,115,105,110,101,32,119,97,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,54,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,54,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,104,97,115,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,104,97,115,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,54,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,54,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,102,102,115,101,116,32,111,102,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,54,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,54,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,117,116,112,117,116,32,61,32,111,102,102,115,101,116,32,102,111,114,32,116,105,109,101,32,38,108,116,59,32,115,116,97,114,116,84,105,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,54,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,54,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,111,102,102,115,101,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,111,102,102,115,101,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,116,97,114,116,84,105,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,105,109,101,32,111,102,102,115,101,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8396840);
/* memory initializer */ allocate([61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,86,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,109,112,108,105,116,117,100,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,53,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,112,104,97,115,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,104,97,115,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,54,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,102,114,101,113,72,122,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,114,101,113,117,101,110,99,121,32,111,102,32,115,105,110,101,32,119,97,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,54,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,54,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,97,109,112,108,105,116,117,100,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,109,112,108,105,116,117,100,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,54,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,102,114,101,113,72,122,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,114,101,113,117,101,110,99,121,32,111,102,32,115,105,110,101,32,119,97,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,54,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,54,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,104,97,115,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,104,97,115,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,54,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,54,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,102,102,115,101,116,32,111,102,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,54,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,54,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,117,116,112,117,116,32,61,32,111,102,102,115,101,116,32,102,111,114,32,116,105,109,101,32,38,108,116,59,32,115,116,97,114,116,84,105,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,54,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,54,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,111,102,102,115,101,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,111,102,102,115,101,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,116,97,114,116,84,105,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,105,109,101,32,111,102,102,115,101,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,86,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,109,112,108,105,116,117,100,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,53,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,112,104,97,115,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,104,97,115,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,54,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,102,114,101,113,72,122,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,114,101,113,117,101,110,99,121,32,111,102,32,115,105,110,101,32,119,97,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,54,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,54,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,97,109,112,108,105,116,117,100,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,109,112,108,105,116,117,100,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,54,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,102,114,101,113,72,122,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,114,101,113,117,101,110,99,121,32,111,102,32,115,105,110,101,32,119,97,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,54,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,54,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,104,97,115,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,104,97,115,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,54,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,54,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,102,102,115,101,116,32,111,102,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,54,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,54,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8407080);
/* memory initializer */ allocate([101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,117,116,112,117,116,32,61,32,111,102,102,115,101,116,32,102,111,114,32,116,105,109,101,32,38,108,116,59,32,115,116,97,114,116,84,105,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,54,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,54,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,111,102,102,115,101,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,111,102,102,115,101,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,116,97,114,116,84,105,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,105,109,101,32,111,102,102,115,101,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,86,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,109,112,108,105,116,117,100,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,53,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,112,104,97,115,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,104,97,115,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,54,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,102,114,101,113,72,122,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,114,101,113,117,101,110,99,121,32,111,102,32,115,105,110,101,32,119,97,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,54,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,54,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,97,109,112,108,105,116,117,100,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,109,112,108,105,116,117,100,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,54,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,102,114,101,113,72,122,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,114,101,113,117,101,110,99,121,32,111,102,32,115,105,110,101,32,119,97,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,54,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,54,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,104,97,115,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,104,97,115,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,54,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,54,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,102,102,115,101,116,32,111,102,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,54,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,54,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,117,116,112,117,116,32,61,32,111,102,102,115,101,116,32,102,111,114,32,116,105,109,101,32,38,108,116,59,32,115,116,97,114,116,84,105,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,54,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,54,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,111,102,102,115,101,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,111,102,102,115,101,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,116,97,114,116,84,105,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,105,109,101,32,111,102,102,115,101,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,86,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,109,112,108,105,116,117,100,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,53,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,112,104,97,115,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,104,97,115,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,54,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,102,114,101,113,72,122,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,114,101,113,117,101,110,99,121,32,111,102,32,115,105,110,101,32,119,97,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,54,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,54,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,97,109,112,108,105,116,117,100,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,109,112,108,105,116,117,100,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,54,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,102,114,101,113,72,122,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,114,101,113,117,101,110,99,121,32,111,102,32,115,105,110,101,32,119,97,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8417320);
/* memory initializer */ allocate([114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,54,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,54,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,104,97,115,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,104,97,115,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,54,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,54,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,102,102,115,101,116,32,111,102,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,54,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,54,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,117,116,112,117,116,32,61,32,111,102,102,115,101,116,32,102,111,114,32,116,105,109,101,32,38,108,116,59,32,115,116,97,114,116,84,105,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,54,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,54,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,84,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,84,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,84,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,84,91,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,84,91,53,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,82,111,110,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,108,111,115,101,100,32,115,119,105,116,99,104,32,114,101,115,105,115,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,57,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,57,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,54,54,54,54,54,54,54,54,54,54,54,54,54,54,55,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,82,111,110,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,108,111,115,101,100,32,115,119,105,116,99,104,32,114,101,115,105,115,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,57,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,57,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,54,54,54,54,54,54,54,54,54,54,54,54,54,54,55,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,82,111,110,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,108,111,115,101,100,32,115,119,105,116,99,104,32,114,101,115,105,115,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,57,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,57,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,54,54,54,54,54,54,54,54,54,54,54,54,54,54,55,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,82,111,110,91,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,108,111,115,101,100,32,115,119,105,116,99,104,32,114,101,115,105,115,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,57,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,57,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,54,54,54,54,54,54,54,54,54,54,54,54,54,54,55,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,82,111,110,91,53,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,108,111,115,101,100,32,115,119,105,116,99,104,32,114,101,115,105,115,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,57,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,57,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,54,54,54,54,54,54,54,54,54,54,54,54,54,54,55,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,71,111,102,102,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,112,101,110,101,100,32,115,119,105,116,99,104,32,99,111,110,100,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,57,57,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,57,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,54,46,48,48,48,48,48,48,48,48,48,48,48,48,48,48,49,101,45,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,83,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,83,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,71,111,102,102,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,112,101,110,101,100,32,115,119,105,116,99,104,32,99,111,110,100,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,57,57,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,57,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,54,46,48,48,48,48,48,48,48,48,48,48,48,48,48,48,49,101,45,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,83,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,83,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,71,111,102,102,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,112,101,110,101,100,32,115,119,105,116,99,104,32,99,111,110,100,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,57,57,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,57,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,54,46,48,48,48,48,48,48,48,48,48,48,48,48,48,48,49,101,45,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8427560);
/* memory initializer */ allocate([61,34,48,46,48,34,32,117,110,105,116,61,34,83,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,83,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,71,111,102,102,91,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,112,101,110,101,100,32,115,119,105,116,99,104,32,99,111,110,100,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,57,57,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,57,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,54,46,48,48,48,48,48,48,48,48,48,48,48,48,48,48,49,101,45,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,83,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,83,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,71,111,102,102,91,53,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,112,101,110,101,100,32,115,119,105,116,99,104,32,99,111,110,100,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,57,57,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,57,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,54,46,48,48,48,48,48,48,48,48,48,48,48,48,48,48,49,101,45,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,83,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,83,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,82,111,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,108,111,115,101,100,32,115,119,105,116,99,104,32,114,101,115,105,115,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,51,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,51,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,54,54,54,54,54,54,54,54,54,54,54,54,54,54,55,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,71,111,102,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,112,101,110,101,100,32,115,119,105,116,99,104,32,99,111,110,100,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,52,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,52,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,54,46,48,48,48,48,48,48,48,48,48,48,48,48,48,48,49,101,45,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,83,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,83,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,82,111,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,108,111,115,101,100,32,115,119,105,116,99,104,32,114,101,115,105,115,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,51,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,51,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,54,54,54,54,54,54,54,54,54,54,54,54,54,54,55,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,71,111,102,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,112,101,110,101,100,32,115,119,105,116,99,104,32,99,111,110,100,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,52,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,52,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,54,46,48,48,48,48,48,48,48,48,48,48,48,48,48,48,49,101,45,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,83,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,83,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,82,111,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,108,111,115,101,100,32,115,119,105,116,99,104,32,114,101,115,105,115,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,51,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,51,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,54,54,54,54,54,54,54,54,54,54,54,54,54,54,55,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,71,111,102,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,112,101,110,101,100,32,115,119,105,116,99,104,32,99,111,110,100,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,52,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,52,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,54,46,48,48,48,48,48,48,48,48,48,48,48,48,48,48,49,101,45,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,83,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,83,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,82,111,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,108,111,115,101,100,32,115,119,105,116,99,104,32,114,101,115,105,115,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,51,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,51,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,54,54,54,54,54,54,54,54,54,54,54,54,54,54,55,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,71,111,102,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,112,101,110,101,100,32,115,119,105,116,99,104,32,99,111,110,100,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,52,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,52,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,54,46,48,48,48,48,48,48,48,48,48,48,48,48,48,48,49,101,45,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,83,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,83,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,82,111,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,108,111,115,101,100,32,115,119,105,116,99,104,32,114,101,115,105,115,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,51,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,51,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,54,54,54,54,54,54,54,54,54,54,54,54,54,54,55,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8437800);
/* memory initializer */ allocate([110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,71,111,102,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,112,101,110,101,100,32,115,119,105,116,99,104,32,99,111,110,100,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,52,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,52,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,54,46,48,48,48,48,48,48,48,48,48,48,48,48,48,48,49,101,45,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,83,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,83,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,98,111,111,108,101,97,110,83,116,101,112,77,91,49,93,46,115,116,97,114,116,84,105,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,105,109,101,32,105,110,115,116,97,110,116,32,111,102,32,115,116,101,112,32,115,116,97,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,98,111,111,108,101,97,110,83,116,101,112,77,91,50,93,46,115,116,97,114,116,84,105,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,105,109,101,32,105,110,115,116,97,110,116,32,111,102,32,115,116,101,112,32,115,116,97,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,98,111,111,108,101,97,110,83,116,101,112,77,91,51,93,46,115,116,97,114,116,84,105,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,105,109,101,32,105,110,115,116,97,110,116,32,111,102,32,115,116,101,112,32,115,116,97,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,98,111,111,108,101,97,110,83,116,101,112,77,91,52,93,46,115,116,97,114,116,84,105,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,105,109,101,32,105,110,115,116,97,110,116,32,111,102,32,115,116,101,112,32,115,116,97,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,98,111,111,108,101,97,110,83,116,101,112,77,91,53,93,46,115,116,97,114,116,84,105,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,105,109,101,32,105,110,115,116,97,110,116,32,111,102,32,115,116,101,112,32,115,116,97,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,50,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,50,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,50,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,50,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,50,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,50,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,91,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,50,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,50,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,91,53,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,50,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,50,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,111,114,105,101,110,116,97,116,105,111,110,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,102,105,101,108,100,32,112,104,97,115,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,111,114,105,101,110,116,97,116,105,111,110,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,102,105,101,108,100,32,112,104,97,115,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,111,114,105,101,110,116,97,116,105,111,110,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,102,105,101,108,100,32,112,104,97,115,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,111,114,105,101,110,116,97,116,105,111,110,91,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,102,105,101,108,100,32,112,104,97,115,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,111,114,105,101,110,116,97,116,105,111,110,91,53,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,102,105,101,108,100,32,112,104,97,115,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,49,34,32,101,110,100,67,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8448040);
/* memory initializer */ allocate([108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,111,114,105,101,110,116,97,116,105,111,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,86,95,109,32,112,104,97,115,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,78,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,97,108,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,78,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,109,97,103,105,110,97,114,121,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,111,114,105,101,110,116,97,116,105,111,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,86,95,109,32,112,104,97,115,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,78,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,97,108,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,51,48,57,48,49,54,57,57,52,51,55,52,57,52,55,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,78,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,109,97,103,105,110,97,114,121,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,53,49,48,53,54,53,49,54,50,57,53,49,53,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,111,114,105,101,110,116,97,116,105,111,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,86,95,109,32,112,104,97,115,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,53,49,51,50,55,52,49,50,50,56,55,49,56,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,78,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,97,108,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,56,48,57,48,49,54,57,57,52,51,55,52,57,52,55,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,78,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,109,97,103,105,110,97,114,121,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,56,55,55,56,53,50,53,50,50,57,50,52,55,51,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,111,114,105,101,110,116,97,116,105,111,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,86,95,109,32,112,104,97,115,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,46,55,54,57,57,49,49,49,56,52,51,48,55,55,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,78,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,97,108,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,56,48,57,48,49,54,57,57,52,51,55,52,57,52,55,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,78,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,109,97,103,105,110,97,114,121,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,53,56,55,55,56,53,50,53,50,50,57,50,52,55,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8458280);
/* memory initializer */ allocate([105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,111,114,105,101,110,116,97,116,105,111,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,86,95,109,32,112,104,97,115,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,46,48,50,54,53,52,56,50,52,53,55,52,51,54,54,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,78,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,97,108,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,51,48,57,48,49,54,57,57,52,51,55,52,57,52,55,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,78,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,109,97,103,105,110,97,114,121,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,57,53,49,48,53,54,53,49,54,50,57,53,49,53,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,53,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,82,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,115,105,115,116,97,110,99,101,115,32,82,95,114,101,102,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,115,32,84,95,114,101,102,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,55,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,55,55,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,82,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,115,105,115,116,97,110,99,101,115,32,82,95,114,101,102,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,115,32,84,95,114,101,102,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,55,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,55,55,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,82,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,115,105,115,116,97,110,99,101,115,32,82,95,114,101,102,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,115,32,84,95,114,101,102,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,55,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,55,55,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,82,91,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,115,105,115,116,97,110,99,101,115,32,82,95,114,101,102,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,115,32,84,95,114,101,102,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,55,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,55,55,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,82,91,53,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,115,105,115,116,97,110,99,101,115,32,82,95,114,101,102,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,115,32,84,95,114,101,102,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,55,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,55,55,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,55,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,55,56,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,55,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,55,56,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,55,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,55,56,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,52,93,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8468520);
/* memory initializer */ allocate([10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,55,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,55,56,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,53,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,55,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,55,56,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,97,108,112,104,97,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,115,32,111,102,32,114,101,115,105,115,116,97,110,99,101,115,32,97,116,32,114,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,56,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,55,56,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,97,108,112,104,97,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,115,32,111,102,32,114,101,115,105,115,116,97,110,99,101,115,32,97,116,32,114,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,56,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,55,56,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,97,108,112,104,97,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,115,32,111,102,32,114,101,115,105,115,116,97,110,99,101,115,32,97,116,32,114,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,56,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,55,56,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,97,108,112,104,97,91,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,115,32,111,102,32,114,101,115,105,115,116,97,110,99,101,115,32,97,116,32,114,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,56,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,55,56,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,97,108,112,104,97,91,53,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,115,32,111,102,32,114,101,115,105,115,116,97,110,99,101,115,32,97,116,32,114,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,56,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,55,56,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,82,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,115,105,115,116,97,110,99,101,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,32,84,95,114,101,102,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,54,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,95,114,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,54,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,97,108,112,104,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,114,101,115,105,115,116,97,110,99,101,32,40,82,95,97,99,116,117,97,108,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,54,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,82,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,115,105,115,116,97,110,99,101,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,32,84,95,114,101,102,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,54,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,95,114,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,54,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,97,108,112,104,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,114,101,115,105,115,116,97,110,99,101,32,40,82,95,97,99,116,117,97,108,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,54,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,82,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8478760);
/* memory initializer */ allocate([110,99,101,32,61,32,34,49,54,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,115,105,115,116,97,110,99,101,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,32,84,95,114,101,102,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,54,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,95,114,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,54,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,97,108,112,104,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,114,101,115,105,115,116,97,110,99,101,32,40,82,95,97,99,116,117,97,108,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,54,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,82,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,115,105,115,116,97,110,99,101,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,32,84,95,114,101,102,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,54,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,84,95,114,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,54,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,97,108,112,104,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,114,101,115,105,115,116,97,110,99,101,32,40,82,95,97,99,116,117,97,108,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,54,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,82,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,115,105,115,116,97,110,99,101,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,32,84,95,114,101,102,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,54,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,84,95,114,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,54,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,97,108,112,104,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,114,101,115,105,115,116,97,110,99,101,32,40,82,95,97,99,116,117,97,108,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,54,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,50,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,50,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,50,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,50,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,50,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,50,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,91,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,50,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,50,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,91,53,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,50,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,50,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,111,114,105,101,110,116,97,116,105,111,110,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,102,105,101,108,100,32,112,104,97,115,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8489000);
/* memory initializer */ allocate([109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,111,114,105,101,110,116,97,116,105,111,110,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,102,105,101,108,100,32,112,104,97,115,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,111,114,105,101,110,116,97,116,105,111,110,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,102,105,101,108,100,32,112,104,97,115,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,111,114,105,101,110,116,97,116,105,111,110,91,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,102,105,101,108,100,32,112,104,97,115,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,111,114,105,101,110,116,97,116,105,111,110,91,53,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,102,105,101,108,100,32,112,104,97,115,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,111,114,105,101,110,116,97,116,105,111,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,86,95,109,32,112,104,97,115,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,78,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,97,108,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,78,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,109,97,103,105,110,97,114,121,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,111,114,105,101,110,116,97,116,105,111,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,86,95,109,32,112,104,97,115,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,78,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,97,108,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,51,48,57,48,49,54,57,57,52,51,55,52,57,52,55,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,78,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,109,97,103,105,110,97,114,121,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,53,49,48,53,54,53,49,54,50,57,53,49,53,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,111,114,105,101,110,116,97,116,105,111,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,86,95,109,32,112,104,97,115,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,53,49,51,50,55,52,49,50,50,56,55,49,56,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,78,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,97,108,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,56,48,57,48,49,54,57,57,52,51,55,52,57,52,55,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,78,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,109,97,103,105,110,97,114,121,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,56,55,55,56,53,50,53,50,50,57,50,52,55,51,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8499240);
/* memory initializer */ allocate([83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,111,114,105,101,110,116,97,116,105,111,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,86,95,109,32,112,104,97,115,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,46,55,54,57,57,49,49,49,56,52,51,48,55,55,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,78,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,97,108,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,56,48,57,48,49,54,57,57,52,51,55,52,57,52,55,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,78,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,109,97,103,105,110,97,114,121,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,53,56,55,55,56,53,50,53,50,50,57,50,52,55,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,111,114,105,101,110,116,97,116,105,111,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,86,95,109,32,112,104,97,115,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,46,48,50,54,53,52,56,50,52,53,55,52,51,54,54,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,78,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,97,108,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,51,48,57,48,49,54,57,57,52,51,55,52,57,52,55,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,78,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,109,97,103,105,110,97,114,121,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,57,53,49,48,53,54,53,49,54,50,57,53,49,53,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,76,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,100,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,57,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,76,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,100,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,57,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,76,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,100,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,57,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,76,91,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,100,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,57,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,76,91,53,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,100,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,57,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,46,76,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,100,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,46,76,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,100,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,46,76,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,100,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,76,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,100,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8509480);
/* memory initializer */ allocate([101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,76,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,100,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,53,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,82,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,115,105,115,116,97,110,99,101,115,32,82,95,114,101,102,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,115,32,84,95,114,101,102,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,55,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,55,55,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,82,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,115,105,115,116,97,110,99,101,115,32,82,95,114,101,102,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,115,32,84,95,114,101,102,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,55,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,55,55,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,82,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,115,105,115,116,97,110,99,101,115,32,82,95,114,101,102,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,115,32,84,95,114,101,102,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,55,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,55,55,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,82,91,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,115,105,115,116,97,110,99,101,115,32,82,95,114,101,102,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,115,32,84,95,114,101,102,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,55,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,55,55,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,82,91,53,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,115,105,115,116,97,110,99,101,115,32,82,95,114,101,102,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,115,32,84,95,114,101,102,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,55,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,55,55,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,55,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,55,56,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,55,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,55,56,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,55,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,55,56,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,55,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,55,56,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,53,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,55,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,55,56,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,97,108,112,104,97,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,115,32,111,102,32,114,101,115,105,115,116,97,110,99,101,115,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8519720);
/* memory initializer */ allocate([97,116,32,114,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,56,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,55,56,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,97,108,112,104,97,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,115,32,111,102,32,114,101,115,105,115,116,97,110,99,101,115,32,97,116,32,114,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,56,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,55,56,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,97,108,112,104,97,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,115,32,111,102,32,114,101,115,105,115,116,97,110,99,101,115,32,97,116,32,114,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,56,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,55,56,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,97,108,112,104,97,91,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,115,32,111,102,32,114,101,115,105,115,116,97,110,99,101,115,32,97,116,32,114,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,56,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,55,56,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,97,108,112,104,97,91,53,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,115,32,111,102,32,114,101,115,105,115,116,97,110,99,101,115,32,97,116,32,114,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,56,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,55,56,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,82,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,115,105,115,116,97,110,99,101,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,32,84,95,114,101,102,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,54,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,95,114,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,54,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,97,108,112,104,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,114,101,115,105,115,116,97,110,99,101,32,40,82,95,97,99,116,117,97,108,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,54,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,82,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,115,105,115,116,97,110,99,101,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,32,84,95,114,101,102,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,54,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,95,114,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,54,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,97,108,112,104,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,114,101,115,105,115,116,97,110,99,101,32,40,82,95,97,99,116,117,97,108,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,54,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,82,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,115,105,115,116,97,110,99,101,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,32,84,95,114,101,102,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,54,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,95,114,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,54,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,97,108,112,104,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8529960);
/* memory initializer */ allocate([116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,114,101,115,105,115,116,97,110,99,101,32,40,82,95,97,99,116,117,97,108,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,54,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,82,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,115,105,115,116,97,110,99,101,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,32,84,95,114,101,102,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,54,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,84,95,114,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,54,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,97,108,112,104,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,114,101,115,105,115,116,97,110,99,101,32,40,82,95,97,99,116,117,97,108,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,54,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,82,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,115,105,115,116,97,110,99,101,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,32,84,95,114,101,102,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,54,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,84,95,114,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,54,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,97,108,112,104,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,114,101,115,105,115,116,97,110,99,101,32,40,82,95,97,99,116,117,97,108,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,54,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,86,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,109,112,108,105,116,117,100,101,115,32,111,102,32,115,105,110,101,32,119,97,118,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,86,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,109,112,108,105,116,117,100,101,115,32,111,102,32,115,105,110,101,32,119,97,118,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,86,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,109,112,108,105,116,117,100,101,115,32,111,102,32,115,105,110,101,32,119,97,118,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,112,104,97,115,101,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,104,97,115,101,115,32,111,102,32,115,105,110,101,32,119,97,118,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,50,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,112,104,97,115,101,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,104,97,115,101,115,32,111,102,32,115,105,110,101,32,119,97,118,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,50,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,48,57,52,51,57,53,49,48,50,51,57,51,49,57,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,112,104,97,115,101,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,104,97,115,101,115,32,111,102,32,115,105,110,101,32,119,97,118,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,50,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,46,49,56,56,55,57,48,50,48,52,55,56,54,51,57,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,102,114,101,113,72,122,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,114,101,113,117,101,110,99,105,101,115,32,111,102,32,115,105,110,101,32,119,97,118,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,50,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,50,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,102,114,101,113,72,122,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,114,101,113,117,101,110,99,105,101,115,32,111,102,32,115,105,110,101,32,119,97,118,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,50,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8540200);
/* memory initializer */ allocate([105,110,101,32,61,32,34,50,56,50,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,102,114,101,113,72,122,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,114,101,113,117,101,110,99,105,101,115,32,111,102,32,115,105,110,101,32,119,97,118,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,50,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,50,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,111,102,102,115,101,116,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,111,102,102,115,101,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,50,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,111,102,102,115,101,116,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,111,102,102,115,101,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,50,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,111,102,102,115,101,116,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,111,102,102,115,101,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,50,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,116,97,114,116,84,105,109,101,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,105,109,101,32,111,102,102,115,101,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,116,97,114,116,84,105,109,101,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,105,109,101,32,111,102,102,115,101,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,116,97,114,116,84,105,109,101,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,105,109,101,32,111,102,102,115,101,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,111,102,102,115,101,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,111,102,102,115,101,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,116,97,114,116,84,105,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,105,109,101,32,111,102,102,115,101,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,86,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,109,112,108,105,116,117,100,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,53,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,112,104,97,115,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,104,97,115,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,54,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,102,114,101,113,72,122,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,114,101,113,117,101,110,99,121,32,111,102,32,115,105,110,101,32,119,97,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,54,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,54,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,97,109,112,108,105,116,117,100,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,109,112,108,105,116,117,100,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,54,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,102,114,101,113,72,122,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,114,101,113,117,101,110,99,121,32,111,102,32,115,105,110,101,32,119,97,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,54,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,54,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,104,97,115,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,104,97,115,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,54,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,54,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,102,102,115,101,116,32,111,102,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,54,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,54,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,117,116,112,117,116,32,61,32,111,102,102,115,101,116,32,102,111,114,32,116,105,109,101,32,38,108,116,59,32,115,116,97,114,116,84,105,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,54,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,54,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,111,102,102,115,101,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,111,102,102,115,101,116,34,10,32,32,118,97,114,105,97,98,105,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8550440);
/* memory initializer */ allocate([105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,116,97,114,116,84,105,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,105,109,101,32,111,102,102,115,101,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,86,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,109,112,108,105,116,117,100,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,53,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,112,104,97,115,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,104,97,115,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,54,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,102,114,101,113,72,122,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,114,101,113,117,101,110,99,121,32,111,102,32,115,105,110,101,32,119,97,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,54,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,54,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,97,109,112,108,105,116,117,100,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,109,112,108,105,116,117,100,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,54,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,102,114,101,113,72,122,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,114,101,113,117,101,110,99,121,32,111,102,32,115,105,110,101,32,119,97,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,54,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,54,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,104,97,115,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,104,97,115,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,54,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,54,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,102,102,115,101,116,32,111,102,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,54,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,54,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,117,116,112,117,116,32,61,32,111,102,102,115,101,116,32,102,111,114,32,116,105,109,101,32,38,108,116,59,32,115,116,97,114,116,84,105,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,54,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,54,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,111,102,102,115,101,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,111,102,102,115,101,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,116,97,114,116,84,105,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,105,109,101,32,111,102,102,115,101,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,86,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,109,112,108,105,116,117,100,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,53,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,112,104,97,115,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,104,97,115,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,54,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,102,114,101,113,72,122,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,114,101,113,117,101,110,99,121,32,111,102,32,115,105,110,101,32,119,97,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,54,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,54,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,97,109,112,108,105,116,117,100,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,109,112,108,105,116,117,100,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,54,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,102,114,101,113,72,122,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,114,101,113,117,101,110,99,121,32,111,102,32,115,105,110,101,32,119,97,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,54,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,54,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,112,104,97,115,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,104,97,115,101,32,111,102,32,115,105,110,101,32,119,97,118,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8560680);
/* memory initializer */ allocate([108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,54,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,54,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,102,102,115,101,116,32,111,102,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,54,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,54,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,117,116,112,117,116,32,61,32,111,102,102,115,101,116,32,102,111,114,32,116,105,109,101,32,38,108,116,59,32,115,116,97,114,116,84,105,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,54,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,54,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,51,46,84,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,51,46,84,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,51,46,84,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,51,46,82,111,110,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,108,111,115,101,100,32,115,119,105,116,99,104,32,114,101,115,105,115,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,57,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,57,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,51,46,82,111,110,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,108,111,115,101,100,32,115,119,105,116,99,104,32,114,101,115,105,115,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,57,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,57,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,51,46,82,111,110,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,108,111,115,101,100,32,115,119,105,116,99,104,32,114,101,115,105,115,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,57,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,57,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,51,46,71,111,102,102,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,112,101,110,101,100,32,115,119,105,116,99,104,32,99,111,110,100,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,57,57,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,57,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,83,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,83,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,51,46,71,111,102,102,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,112,101,110,101,100,32,115,119,105,116,99,104,32,99,111,110,100,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,57,57,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,57,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,83,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,83,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,51,46,71,111,102,102,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,112,101,110,101,100,32,115,119,105,116,99,104,32,99,111,110,100,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,57,57,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,57,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,83,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,83,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,82,111,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,108,111,115,101,100,32,115,119,105,116,99,104,32,114,101,115,105,115,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,51,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,51,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,71,111,102,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,112,101,110,101,100,32,115,119,105,116,99,104,32,99,111,110,100,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,52,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,52,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,83,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,83,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,82,111,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,108,111,115,101,100,32,115,119,105,116,99,104,32,114,101,115,105,115,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,51,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,51,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,71,111,102,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,112,101,110,101,100,32,115,119,105,116,99,104,32,99,111,110,100,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8570920);
/* memory initializer */ allocate([101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,52,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,52,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,83,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,83,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,82,111,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,108,111,115,101,100,32,115,119,105,116,99,104,32,114,101,115,105,115,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,51,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,51,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,71,111,102,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,112,101,110,101,100,32,115,119,105,116,99,104,32,99,111,110,100,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,52,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,52,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,83,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,83,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,98,111,111,108,101,97,110,83,116,101,112,51,91,49,93,46,115,116,97,114,116,84,105,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,105,109,101,32,105,110,115,116,97,110,116,32,111,102,32,115,116,101,112,32,115,116,97,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,98,111,111,108,101,97,110,83,116,101,112,51,91,50,93,46,115,116,97,114,116,84,105,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,105,109,101,32,105,110,115,116,97,110,116,32,111,102,32,115,116,101,112,32,115,116,97,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,98,111,111,108,101,97,110,83,116,101,112,51,91,51,93,46,115,116,97,114,116,84,105,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,105,109,101,32,105,110,115,116,97,110,116,32,111,102,32,115,116,101,112,32,115,116,97,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,84,114,97,110,115,102,111,114,109,97,116,105,111,110,77,97,116,114,105,120,91,49,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,50,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,56,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,56,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,54,54,54,54,54,54,54,54,54,54,54,54,54,54,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,84,114,97,110,115,102,111,114,109,97,116,105,111,110,77,97,116,114,105,120,91,49,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,51,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,56,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,56,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,51,51,51,51,51,51,51,51,51,51,51,51,51,51,51,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,84,114,97,110,115,102,111,114,109,97,116,105,111,110,77,97,116,114,105,120,91,49,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,51,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,56,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,56,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,51,51,51,51,51,51,51,51,51,51,51,51,51,51,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,84,114,97,110,115,102,111,114,109,97,116,105,111,110,77,97,116,114,105,120,91,50,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,51,50,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,56,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,56,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,84,114,97,110,115,102,111,114,109,97,116,105,111,110,77,97,116,114,105,120,91,50,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,51,51,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,56,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,56,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,55,55,51,53,48,50,54,57,49,56,57,54,50,53,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,84,114,97,110,115,102,111,114,109,97,116,105,111,110,77,97,116,114,105,120,91,50,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,51,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,56,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,56,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,53,55,55,51,53,48,50,54,57,49,56,57,54,50,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,73,110,118,101,114,115,101,84,114,97,110,115,102,111,114,109,97,116,105,111,110,91,49,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,51,53,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,56,48,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,56,48,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,73,110,118,101,114,115,101,84,114,97,110,115,102,111,114,109,97,116,105,111,110,91,49,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,51,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,56,48,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,56,48,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,73,110,118,101,114,115,101,84,114,97,110,115,102,111,114,109,97,116,105,111,110,91,50,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,51,55,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,56,48,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,56,48,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,52,57,57,57,57,57,57,57,57,57,57,57,57,57,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,73,110,118,101,114,115,101,84,114,97,110,115,102,111,114,109,97,116,105,111,110,91,50,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,51,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,56,48,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,56,48,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,54,54,48,50,53,52,48,51,55,56,52,52,51,56,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,73,110,118,101,114,115,101,84,114,97,110,115,102,111,114,109,97,116,105,111,110,91,51,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,51,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,56,48,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,56,48,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,53,48,48,48,48,48,48,48,48,48,48,48,48,48,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8581160);
/* memory initializer */ allocate([97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,73,110,118,101,114,115,101,84,114,97,110,115,102,111,114,109,97,116,105,111,110,91,51,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,52,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,56,48,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,56,48,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,56,54,54,48,50,53,52,48,51,55,56,52,52,51,56,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,50,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,50,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,50,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,50,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,50,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,50,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,111,114,105,101,110,116,97,116,105,111,110,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,102,105,101,108,100,32,112,104,97,115,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,111,114,105,101,110,116,97,116,105,111,110,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,102,105,101,108,100,32,112,104,97,115,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,111,114,105,101,110,116,97,116,105,111,110,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,102,105,101,108,100,32,112,104,97,115,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,111,114,105,101,110,116,97,116,105,111,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,86,95,109,32,112,104,97,115,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,78,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,97,108,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,78,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,109,97,103,105,110,97,114,121,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,111,114,105,101,110,116,97,116,105,111,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,86,95,109,32,112,104,97,115,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,48,57,52,51,57,53,49,48,50,51,57,51,49,57,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,78,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,97,108,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,52,57,57,57,57,57,57,57,57,57,57,57,57,57,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,78,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,109,97,103,105,110,97,114,121,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,54,54,48,50,53,52,48,51,55,56,52,52,51,56,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,111,114,105,101,110,116,97,116,105,111,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,86,95,109,32,112,104,97,115,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8591400);
/* memory initializer */ allocate([102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,46,49,56,56,55,57,48,50,48,52,55,56,54,51,57,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,78,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,97,108,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,53,48,48,48,48,48,48,48,48,48,48,48,48,48,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,78,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,109,97,103,105,110,97,114,121,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,56,54,54,48,50,53,52,48,51,55,56,52,52,51,56,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,82,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,115,105,115,116,97,110,99,101,115,32,82,95,114,101,102,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,115,32,84,95,114,101,102,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,55,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,55,55,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,82,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,115,105,115,116,97,110,99,101,115,32,82,95,114,101,102,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,115,32,84,95,114,101,102,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,55,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,55,55,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,82,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,115,105,115,116,97,110,99,101,115,32,82,95,114,101,102,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,115,32,84,95,114,101,102,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,55,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,55,55,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,55,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,55,56,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,55,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,55,56,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,55,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,55,56,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,97,108,112,104,97,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,115,32,111,102,32,114,101,115,105,115,116,97,110,99,101,115,32,97,116,32,114,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,56,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,55,56,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,97,108,112,104,97,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,115,32,111,102,32,114,101,115,105,115,116,97,110,99,101,115,32,97,116,32,114,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,56,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,55,56,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,97,108,112,104,97,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,115,32,111,102,32,114,101,115,105,115,116,97,110,99,101,115,32,97,116,32,114,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,56,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,55,56,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,82,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,115,105,115,116,97,110,99,101,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,32,84,95,114,101,102,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8601640);
/* memory initializer */ allocate([32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,54,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,95,114,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,54,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,97,108,112,104,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,114,101,115,105,115,116,97,110,99,101,32,40,82,95,97,99,116,117,97,108,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,54,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,82,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,115,105,115,116,97,110,99,101,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,32,84,95,114,101,102,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,54,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,95,114,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,54,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,97,108,112,104,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,114,101,115,105,115,116,97,110,99,101,32,40,82,95,97,99,116,117,97,108,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,54,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,82,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,115,105,115,116,97,110,99,101,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,32,84,95,114,101,102,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,54,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,95,114,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,54,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,97,108,112,104,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,114,101,115,105,115,116,97,110,99,101,32,40,82,95,97,99,116,117,97,108,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,54,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,50,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,50,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,50,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,50,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,50,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,50,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,111,114,105,101,110,116,97,116,105,111,110,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,102,105,101,108,100,32,112,104,97,115,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,111,114,105,101,110,116,97,116,105,111,110,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,102,105,101,108,100,32,112,104,97,115,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,111,114,105,101,110,116,97,116,105,111,110,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,102,105,101,108,100,32,112,104,97,115,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8611880);
/* memory initializer */ allocate([105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,111,114,105,101,110,116,97,116,105,111,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,86,95,109,32,112,104,97,115,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,78,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,97,108,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,78,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,109,97,103,105,110,97,114,121,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,111,114,105,101,110,116,97,116,105,111,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,86,95,109,32,112,104,97,115,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,48,57,52,51,57,53,49,48,50,51,57,51,49,57,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,78,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,97,108,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,52,57,57,57,57,57,57,57,57,57,57,57,57,57,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,78,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,109,97,103,105,110,97,114,121,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,54,54,48,50,53,52,48,51,55,56,52,52,51,56,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,111,114,105,101,110,116,97,116,105,111,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,114,105,101,110,116,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,117,108,116,105,110,103,32,102,117,110,100,97,109,101,110,116,97,108,32,119,97,118,101,32,86,95,109,32,112,104,97,115,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,46,49,56,56,55,57,48,50,48,52,55,56,54,51,57,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,78,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,97,108,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,53,48,48,48,48,48,48,48,48,48,48,48,48,48,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,78,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,109,97,103,105,110,97,114,121,32,112,97,114,116,32,111,102,32,99,111,109,112,108,101,120,32,110,117,109,98,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,56,54,54,48,50,53,52,48,51,55,56,52,52,51,56,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,76,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,100,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,57,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,76,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,100,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,57,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,76,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,100,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,57,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,46,76,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,100,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,46,76,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,100,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8622120);
/* memory initializer */ allocate([69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,46,76,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,100,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,82,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,115,105,115,116,97,110,99,101,115,32,82,95,114,101,102,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,115,32,84,95,114,101,102,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,55,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,55,55,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,82,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,115,105,115,116,97,110,99,101,115,32,82,95,114,101,102,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,115,32,84,95,114,101,102,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,55,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,55,55,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,82,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,115,105,115,116,97,110,99,101,115,32,82,95,114,101,102,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,115,32,84,95,114,101,102,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,55,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,55,55,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,55,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,55,56,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,55,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,55,56,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,55,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,55,56,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,97,108,112,104,97,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,115,32,111,102,32,114,101,115,105,115,116,97,110,99,101,115,32,97,116,32,114,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,56,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,55,56,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,97,108,112,104,97,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,115,32,111,102,32,114,101,115,105,115,116,97,110,99,101,115,32,97,116,32,114,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,56,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,55,56,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,97,108,112,104,97,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,115,32,111,102,32,114,101,115,105,115,116,97,110,99,101,115,32,97,116,32,114,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,56,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,55,56,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,82,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,115,105,115,116,97,110,99,101,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,32,84,95,114,101,102,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,54,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,95,114,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,54,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8632360);
/* memory initializer */ allocate([32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,97,108,112,104,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,114,101,115,105,115,116,97,110,99,101,32,40,82,95,97,99,116,117,97,108,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,54,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,82,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,115,105,115,116,97,110,99,101,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,32,84,95,114,101,102,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,54,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,95,114,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,54,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,97,108,112,104,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,114,101,115,105,115,116,97,110,99,101,32,40,82,95,97,99,116,117,97,108,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,54,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,82,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,115,105,115,116,97,110,99,101,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,32,84,95,114,101,102,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,54,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,95,114,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,54,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,97,108,112,104,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,114,101,115,105,115,116,97,110,99,101,32,40,82,95,97,99,116,117,97,108,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,54,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,86,115,78,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,82,77,83,32,118,111,108,116,97,103,101,32,112,101,114,32,112,104,97,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,102,78,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,102,114,101,113,117,101,110,99,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,79,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,116,105,109,101,32,111,102,32,109,97,99,104,105,110,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,49,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,49,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,84,95,76,111,97,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,108,111,97,100,32,116,111,114,113,117,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,49,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,49,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,54,49,46,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,119,95,76,111,97,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,108,111,97,100,32,115,112,101,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,53,48,46,56,52,51,53,55,49,50,54,50,49,49,51,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,109,105,110,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,74,95,76,111,97,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,111,97,100,32,105,110,101,114,116,105,97,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,50,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,50,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,50,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,46,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,74,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,111,116,111,114,32,105,110,101,114,116,105,97,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,54,53,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,54,53,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,50,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,46,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,102,115,78,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,102,114,101,113,117,101,110,99,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8642600);
/* memory initializer */ allocate([109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,54,54,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,54,54,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,84,115,79,112,101,114,97,116,105,111,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,112,101,114,97,116,105,111,110,97,108,32,116,101,109,112,101,114,97,116,117,114,101,32,111,102,32,115,116,97,116,111,114,32,114,101,115,105,115,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,54,54,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,54,54,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,82,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,116,111,114,32,114,101,115,105,115,116,97,110,99,101,32,112,101,114,32,112,104,97,115,101,32,97,116,32,84,82,101,102,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,54,54,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,54,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,84,115,82,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,111,102,32,115,116,97,116,111,114,32,114,101,115,105,115,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,54,55,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,54,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,97,108,112,104,97,50,48,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,115,116,97,116,111,114,32,114,101,115,105,115,116,97,110,99,101,32,97,116,32,50,48,32,100,101,103,67,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,54,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,54,55,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,101,102,102,101,99,116,105,118,101,83,116,97,116,111,114,84,117,114,110,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,115,116,97,116,111,114,32,116,117,114,110,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,54,55,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,54,55,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,82,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,111,116,111,114,32,114,101,115,105,115,116,97,110,99,101,32,111,102,32,101,113,117,105,118,97,108,101,110,116,32,109,32,112,104,97,115,101,32,119,105,110,100,105,110,103,32,119,46,114,46,116,46,32,115,116,97,116,111,114,32,115,105,100,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,53,51,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,52,53,51,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,84,114,82,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,111,102,32,114,111,116,111,114,32,114,101,115,105,115,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,53,51,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,52,53,51,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,97,108,112,104,97,50,48,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,114,111,116,111,114,32,114,101,115,105,115,116,97,110,99,101,32,97,116,32,50,48,32,100,101,103,67,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,53,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,52,53,52,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,84,114,79,112,101,114,97,116,105,111,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,112,101,114,97,116,105,111,110,97,108,32,116,101,109,112,101,114,97,116,117,114,101,32,111,102,32,114,111,116,111,114,32,114,101,115,105,115,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,53,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,52,53,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,74,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,116,111,114,32,105,110,101,114,116,105,97,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,54,53,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,54,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,46,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,74,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,111,109,101,110,116,32,111,102,32,105,110,101,114,116,105,97,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,51,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,51,48,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,46,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,102,105,120,101,100,46,112,104,105,48,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,111,102,102,115,101,116,32,97,110,103,108,101,32,111,102,32,104,111,117,115,105,110,103,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,53,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,53,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,102,114,105,99,116,105,111,110,32,108,111,115,115,101,115,32,97,116,32,119,82,101,102,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,50,55,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,50,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,116,104,97,116,32,116,104,101,32,80,82,101,102,32,114,101,102,101,114,32,116,111,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,50,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,50,55,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,109,105,110,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,120,112,111,110,101,110,116,32,111,102,32,102,114,105,99,116,105,111,110,32,116,111,114,113,117,101,32,119,46,114,46,116,46,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,50,55,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,50,55,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,116,97,117,82,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,102,114,105,99,116,105,111,110,32,116,111,114,113,117,101,32,97,116,32,114,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,50,55,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,50,55,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,108,105,110,101,97,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,105,110,101,97,114,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,114,97,110,103,101,32,119,105,116,104,32,114,101,115,112,101,99,116,32,116,111,32,114,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8652840);
/* memory initializer */ allocate([61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,50,56,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,50,56,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,116,97,117,76,105,110,101,97,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,111,114,113,117,101,32,99,111,114,114,101,115,112,111,110,100,105,110,103,32,119,105,116,104,32,108,105,110,101,97,114,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,114,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,50,56,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,50,56,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,76,105,110,101,97,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,105,110,101,97,114,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,114,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,50,56,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,50,56,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,49,53,55,48,55,57,54,51,50,54,55,57,52,56,57,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,99,111,114,101,32,108,111,115,115,101,115,32,97,116,32,114,101,102,101,114,101,110,99,101,32,105,110,110,101,114,32,118,111,108,116,97,103,101,32,86,82,101,102,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,51,51,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,51,51,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,86,82,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,105,110,110,101,114,32,82,77,83,32,118,111,108,116,97,103,101,32,116,104,97,116,32,114,101,102,101,114,101,110,99,101,32,99,111,114,101,32,108,111,115,115,101,115,32,80,82,101,102,32,114,101,102,101,114,32,116,111,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,51,51,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,51,51,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,116,104,97,116,32,114,101,102,101,114,101,110,99,101,32,99,111,114,101,32,108,111,115,115,101,115,32,80,82,101,102,32,114,101,102,101,114,32,116,111,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,51,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,51,51,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,114,97,116,105,111,72,121,115,116,101,114,101,115,105,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,97,116,105,111,32,111,102,32,104,121,115,116,101,114,101,115,105,115,32,108,111,115,115,101,115,32,119,105,116,104,32,114,101,115,112,101,99,116,32,116,111,32,116,104,101,32,116,111,116,97,108,32,99,111,114,101,32,108,111,115,115,101,115,32,97,116,32,86,82,101,102,32,97,110,100,32,102,82,101,102,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,51,52,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,51,52,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,71,99,82,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,99,111,110,100,117,99,116,97,110,99,101,32,97,116,32,114,101,102,101,114,101,110,99,101,32,102,114,101,113,117,101,110,99,121,32,97,110,100,32,118,111,108,116,97,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,51,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,51,52,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,83,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,83,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,119,77,105,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,54,51,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,51,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,51,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,51,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,115,116,114,97,121,32,108,111,97,100,32,108,111,115,115,101,115,32,97,116,32,73,82,101,102,32,97,110,100,32,119,82,101,102,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,51,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,51,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,73,82,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,82,77,83,32,99,117,114,114,101,110,116,32,116,104,97,116,32,80,82,101,102,32,114,101,102,101,114,115,32,116,111,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,51,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,51,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,116,104,97,116,32,80,82,101,102,32,114,101,102,101,114,115,32,116,111,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,51,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,51,49,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,109,105,110,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,120,112,111,110,101,110,116,32,111,102,32,115,116,114,97,121,32,108,111,97,100,32,108,111,115,115,32,116,111,114,113,117,101,32,119,46,114,46,116,46,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,51,49,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,51,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,116,97,117,82,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,115,116,114,97,121,32,108,111,97,100,32,116,111,114,113,117,101,32,97,116,32,114,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,97,110,100,32,114,101,102,101,114,101,110,99,101,32,99,117,114,114,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,51,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,51,50,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,76,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,116,111,114,32,109,97,105,110,32,102,105,101,108,100,32,105,110,100,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,53,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,52,53,50,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,76,114,115,105,103,109,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,111,116,111,114,32,108,101,97,107,97,103,101,32,105,110,100,117,99,116,97,110,99,101,32,111,102,32,101,113,117,105,118,97,108,101,110,116,32,109,32,112,104,97,115,101,32,119,105,110,100,105,110,103,32,119,46,114,46,116,46,32,115,116,97,116,111,114,32,115,105,100,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,53,50,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,52,53,51,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,84,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,115,116,97,116,111,114,32,119,105,110,100,105,110,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,53,51,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,53,51,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8663080);
/* memory initializer */ allocate([61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,116,101,109,112,101,114,97,116,117,114,101,32,97,116,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,56,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,56,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,67,111,114,101,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,116,101,109,112,101,114,97,116,117,114,101,32,97,116,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,56,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,56,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,116,101,109,112,101,114,97,116,117,114,101,32,97,116,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,56,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,56,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,116,101,109,112,101,114,97,116,117,114,101,32,97,116,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,56,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,56,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,84,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,114,111,116,111,114,32,40,115,113,117,105,114,114,101,108,32,99,97,103,101,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,49,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,49,55,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,107,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,115,116,97,110,116,32,111,117,116,112,117,116,32,118,97,108,117,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,51,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,51,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,107,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,115,116,97,110,116,32,111,117,116,112,117,116,32,118,97,108,117,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,51,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,51,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,74,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,111,109,101,110,116,32,111,102,32,105,110,101,114,116,105,97,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,51,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,51,48,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,46,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,102,114,105,99,116,105,111,110,32,108,111,115,115,101,115,32,97,116,32,119,82,101,102,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,50,55,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,50,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,116,104,97,116,32,116,104,101,32,80,82,101,102,32,114,101,102,101,114,32,116,111,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,50,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,50,55,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,109,105,110,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,120,112,111,110,101,110,116,32,111,102,32,102,114,105,99,116,105,111,110,32,116,111,114,113,117,101,32,119,46,114,46,116,46,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,50,55,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,50,55,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,116,97,117,82,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,102,114,105,99,116,105,111,110,32,116,111,114,113,117,101,32,97,116,32,114,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,50,55,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,50,55,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,108,105,110,101,97,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,105,110,101,97,114,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,114,97,110,103,101,32,119,105,116,104,32,114,101,115,112,101,99,116,32,116,111,32,114,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,50,56,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,50,56,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,116,97,117,76,105,110,101,97,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,111,114,113,117,101,32,99,111,114,114,101,115,112,111,110,100,105,110,103,32,119,105,116,104,32,108,105,110,101,97,114,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,114,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,50,56,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,50,56,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,76,105,110,101,97,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,105,110,101,97,114,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,114,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,50,56,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,50,56,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,49,53,55,48,55,57,54,51,50,54,55,57,52,56,57,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,115,116,114,97,121,32,108,111,97,100,32,108,111,115,115,101,115,32,97,116,32,73,82,101,102,32,97,110,100,32,119,82,101,102,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,51,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,51,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,73,82,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,82,77,83,32,99,117,114,114,101,110,116,32,116,104,97,116,32,80,82,101,102,32,114,101,102,101,114,115,32,116,111,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8673320);
/* memory initializer */ allocate([97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,51,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,51,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,116,104,97,116,32,80,82,101,102,32,114,101,102,101,114,115,32,116,111,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,51,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,51,49,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,109,105,110,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,120,112,111,110,101,110,116,32,111,102,32,115,116,114,97,121,32,108,111,97,100,32,108,111,115,115,32,116,111,114,113,117,101,32,119,46,114,46,116,46,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,51,49,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,51,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,116,97,117,82,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,115,116,114,97,121,32,108,111,97,100,32,116,111,114,113,117,101,32,97,116,32,114,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,97,110,100,32,114,101,102,101,114,101,110,99,101,32,99,117,114,114,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,51,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,51,50,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,76,115,115,105,103,109,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,116,111,114,32,115,116,114,97,121,32,105,110,100,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,54,56,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,54,56,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,76,115,122,101,114,111,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,116,111,114,32,122,101,114,111,32,105,110,100,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,54,56,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,54,56,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,76,48,46,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,57,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,48,50,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,55,48,50,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,76,48,46,113,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,57,53,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,48,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,55,48,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,82,82,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,87,105,110,100,105,110,103,32,114,101,115,105,115,116,97,110,99,101,32,112,101,114,32,112,104,97,115,101,32,97,116,32,84,82,101,102,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,53,53,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,53,53,54,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,84,82,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,111,102,32,119,105,110,100,105,110,103,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,53,54,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,53,53,54,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,97,108,112,104,97,50,48,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,119,105,110,100,105,110,103,32,97,116,32,50,48,32,100,101,103,67,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,53,54,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,53,53,54,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,84,79,112,101,114,97,116,105,111,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,112,101,114,97,116,105,111,110,97,108,32,116,101,109,112,101,114,97,116,117,114,101,32,111,102,32,119,105,110,100,105,110,103,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,53,55,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,53,53,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,76,115,105,103,109,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,87,105,110,100,105,110,103,32,115,116,114,97,121,32,105,110,100,117,99,116,97,110,99,101,32,112,101,114,32,112,104,97,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,53,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,53,53,55,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,76,122,101,114,111,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,90,101,114,111,32,115,101,113,117,101,110,99,101,32,105,110,100,117,99,116,97,110,99,101,32,111,102,32,119,105,110,100,105,110,103,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,53,55,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,53,53,55,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,32,112,101,114,32,112,104,97,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,53,55,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,53,53,55,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,71,99,82,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,108,101,99,116,114,105,99,97,108,32,114,101,102,101,114,101,110,99,101,32,99,111,114,101,32,108,111,115,115,32,114,101,108,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,53,55,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,53,53,56,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,83,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,83,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,97,108,112,104,97,82,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,48,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,53,54,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,53,53,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,76,122,101,114,111,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,90,101,114,111,32,115,101,113,117,101,110,99,101,32,105,110,100,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8683560);
/* memory initializer */ allocate([109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,57,53,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,57,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,55,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,71,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,113,117,105,118,97,108,101,110,116,32,115,121,109,109,101,116,114,105,99,32,108,111,115,115,32,99,111,110,100,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,55,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,55,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,83,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,83,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,82,95,109,46,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,48,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,48,50,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,55,48,50,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,82,95,109,46,113,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,48,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,48,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,55,48,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,97,105,114,71,97,112,46,76,48,46,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,49,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,48,50,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,55,48,50,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,97,105,114,71,97,112,46,76,48,46,113,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,49,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,48,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,55,48,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,97,105,114,71,97,112,46,82,95,109,46,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,49,50,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,48,50,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,55,48,50,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,54,50,46,53,57,53,55,55,48,52,48,49,50,49,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,97,105,114,71,97,112,46,82,95,109,46,113,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,49,51,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,48,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,55,48,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,54,50,46,53,57,53,55,55,48,52,48,49,50,49,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,82,82,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,87,105,110,100,105,110,103,32,114,101,115,105,115,116,97,110,99,101,32,112,101,114,32,112,104,97,115,101,32,97,116,32,84,82,101,102,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,56,55,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,111,102,32,119,105,110,100,105,110,103,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,56,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,55,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,97,108,112,104,97,50,48,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,119,105,110,100,105,110,103,32,97,116,32,50,48,32,100,101,103,67,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,56,55,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,55,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,84,79,112,101,114,97,116,105,111,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,112,101,114,97,116,105,111,110,97,108,32,116,101,109,112,101,114,97,116,117,114,101,32,111,102,32,119,105,110,100,105,110,103,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,56,56,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,76,115,105,103,109,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,97,103,101,32,115,116,114,97,121,32,105,110,100,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,56,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,56,56,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,56,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,97,108,112,104,97,82,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,50,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,56,55,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,56,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,108,111,97,100,73,110,101,114,116,105,97,77,46,74,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,111,109,101,110,116,32,111,102,32,105,110,101,114,116,105,97,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,51,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,51,48,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,46,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,116,97,117,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,116,111,114,113,117,101,32,40,105,102,32,110,101,103,97,116,105,118,101,44,32,116,111,114,113,117,101,32,105,115,32,97,99,116,105,110,103,32,97,115,32,108,111,97,100,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,50,57,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,51,48,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8693800);
/* memory initializer */ allocate([101,10,32,32,110,97,109,101,32,61,32,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,119,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,115,112,101,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,51,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,51,48,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,49,53,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,68,97,116,97,46,74,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,111,116,111,114,39,115,32,109,111,109,101,110,116,32,111,102,32,105,110,101,114,116,105,97,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,56,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,56,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,50,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,46,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,68,97,116,97,46,102,115,78,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,102,114,101,113,117,101,110,99,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,56,57,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,56,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,68,97,116,97,46,82,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,116,111,114,32,114,101,115,105,115,116,97,110,99,101,32,112,101,114,32,112,104,97,115,101,32,97,116,32,84,82,101,102,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,56,57,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,57,48,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,68,97,116,97,46,84,115,82,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,111,102,32,115,116,97,116,111,114,32,114,101,115,105,115,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,57,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,57,48,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,68,97,116,97,46,97,108,112,104,97,50,48,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,115,116,97,116,111,114,32,114,101,115,105,115,116,97,110,99,101,32,97,116,32,50,48,32,100,101,103,67,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,57,48,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,57,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,68,97,116,97,46,82,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,111,116,111,114,32,114,101,115,105,115,116,97,110,99,101,32,40,101,113,117,105,118,97,108,101,110,116,32,116,104,114,101,101,32,112,104,97,115,101,32,119,105,110,100,105,110,103,41,32,97,116,32,84,82,101,102,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,57,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,57,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,68,97,116,97,46,84,114,82,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,111,102,32,114,111,116,111,114,32,114,101,115,105,115,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,57,52,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,57,53,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,68,97,116,97,46,97,108,112,104,97,50,48,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,114,111,116,111,114,32,114,101,115,105,115,116,97,110,99,101,32,97,116,32,50,48,32,100,101,103,67,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,57,53,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,57,53,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,68,97,116,97,46,74,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,116,111,114,39,115,32,109,111,109,101,110,116,32,111,102,32,105,110,101,114,116,105,97,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,56,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,56,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,46,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,68,97,116,97,46,76,115,115,105,103,109,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,116,111,114,32,115,116,114,97,121,32,105,110,100,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,57,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,57,49,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,102,114,105,99,116,105,111,110,32,108,111,115,115,101,115,32,97,116,32,119,82,101,102,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,50,55,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,50,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,116,104,97,116,32,116,104,101,32,80,82,101,102,32,114,101,102,101,114,32,116,111,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,50,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,50,55,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,109,105,110,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,120,112,111,110,101,110,116,32,111,102,32,102,114,105,99,116,105,111,110,32,116,111,114,113,117,101,32,119,46,114,46,116,46,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,50,55,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,50,55,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,116,97,117,82,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,102,114,105,99,116,105,111,110,32,116,111,114,113,117,101,32,97,116,32,114,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,50,55,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,50,55,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,108,105,110,101,97,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,105,110,101,97,114,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,114,97,110,103,101,32,119,105,116,104,32,114,101,115,112,101,99,116,32,116,111,32,114,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,50,56,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,50,56,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,116,97,117,76,105,110,101,97,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,111,114,113,117,101,32,99,111,114,114,101,115,112,111,110,100,105,110,103,32,119,105,116,104,32,108,105,110,101,97,114,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,114,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,50,56,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,50,56,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8704040);
/* memory initializer */ allocate([32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,76,105,110,101,97,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,105,110,101,97,114,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,114,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,50,56,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,50,56,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,49,53,55,48,55,57,54,51,50,54,55,57,52,56,57,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,99,111,114,101,32,108,111,115,115,101,115,32,97,116,32,114,101,102,101,114,101,110,99,101,32,105,110,110,101,114,32,118,111,108,116,97,103,101,32,86,82,101,102,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,51,51,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,51,51,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,86,82,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,105,110,110,101,114,32,82,77,83,32,118,111,108,116,97,103,101,32,116,104,97,116,32,114,101,102,101,114,101,110,99,101,32,99,111,114,101,32,108,111,115,115,101,115,32,80,82,101,102,32,114,101,102,101,114,32,116,111,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,51,51,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,51,51,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,116,104,97,116,32,114,101,102,101,114,101,110,99,101,32,99,111,114,101,32,108,111,115,115,101,115,32,80,82,101,102,32,114,101,102,101,114,32,116,111,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,51,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,51,51,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,114,97,116,105,111,72,121,115,116,101,114,101,115,105,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,97,116,105,111,32,111,102,32,104,121,115,116,101,114,101,115,105,115,32,108,111,115,115,101,115,32,119,105,116,104,32,114,101,115,112,101,99,116,32,116,111,32,116,104,101,32,116,111,116,97,108,32,99,111,114,101,32,108,111,115,115,101,115,32,97,116,32,86,82,101,102,32,97,110,100,32,102,82,101,102,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,51,52,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,51,52,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,71,99,82,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,99,111,110,100,117,99,116,97,110,99,101,32,97,116,32,114,101,102,101,114,101,110,99,101,32,102,114,101,113,117,101,110,99,121,32,97,110,100,32,118,111,108,116,97,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,51,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,51,52,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,83,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,83,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,119,77,105,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,52,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,51,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,51,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,51,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,115,116,114,97,121,32,108,111,97,100,32,108,111,115,115,101,115,32,97,116,32,73,82,101,102,32,97,110,100,32,119,82,101,102,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,51,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,51,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,73,82,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,82,77,83,32,99,117,114,114,101,110,116,32,116,104,97,116,32,80,82,101,102,32,114,101,102,101,114,115,32,116,111,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,51,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,51,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,116,104,97,116,32,80,82,101,102,32,114,101,102,101,114,115,32,116,111,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,51,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,51,49,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,109,105,110,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,120,112,111,110,101,110,116,32,111,102,32,115,116,114,97,121,32,108,111,97,100,32,108,111,115,115,32,116,111,114,113,117,101,32,119,46,114,46,116,46,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,51,49,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,51,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,116,97,117,82,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,115,116,114,97,121,32,108,111,97,100,32,116,111,114,113,117,101,32,97,116,32,114,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,97,110,100,32,114,101,102,101,114,101,110,99,101,32,99,117,114,114,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,51,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,51,50,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,68,97,116,97,46,76,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,116,111,114,32,109,97,105,110,32,102,105,101,108,100,32,105,110,100,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,57,51,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,57,52,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,68,97,116,97,46,76,114,115,105,103,109,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,111,116,111,114,32,115,116,114,97,121,32,105,110,100,117,99,116,97,110,99,101,32,40,101,113,117,105,118,97,108,101,110,116,32,116,104,114,101,101,32,112,104,97,115,101,32,119,105,110,100,105,110,103,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,57,52,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,57,52,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,68,97,116,97,46,76,115,122,101,114,111,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,116,111,114,32,122,101,114,111,32,115,101,113,117,101,110,99,101,32,105,110,100,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,57,48,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,57,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,71,97,105,110,49,46,107,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,71,97,105,110,32,118,97,108,117,101,32,109,117,108,116,105,112,108,105,101,100,32,119,105,116,104,32,105,110,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,77,97,116,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,50,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,54,50,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,48,55,49,48,54,55,56,49,49,56,54,53,52,55,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,74,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,111,116,111,114,32,105,110,101,114,116,105,97,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8714280);
/* memory initializer */ allocate([34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,54,53,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,54,53,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,50,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,46,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,102,115,78,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,102,114,101,113,117,101,110,99,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,54,54,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,54,54,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,122,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,122,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,84,115,79,112,101,114,97,116,105,111,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,112,101,114,97,116,105,111,110,97,108,32,116,101,109,112,101,114,97,116,117,114,101,32,111,102,32,115,116,97,116,111,114,32,114,101,115,105,115,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,54,54,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,54,54,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,82,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,116,111,114,32,114,101,115,105,115,116,97,110,99,101,32,112,101,114,32,112,104,97,115,101,32,97,116,32,84,82,101,102,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,54,54,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,54,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,84,115,82,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,111,102,32,115,116,97,116,111,114,32,114,101,115,105,115,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,54,55,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,54,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,97,108,112,104,97,50,48,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,115,116,97,116,111,114,32,114,101,115,105,115,116,97,110,99,101,32,97,116,32,50,48,32,100,101,103,67,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,54,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,54,55,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,101,102,102,101,99,116,105,118,101,83,116,97,116,111,114,84,117,114,110,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,115,116,97,116,111,114,32,116,117,114,110,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,54,55,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,54,55,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,82,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,111,116,111,114,32,114,101,115,105,115,116,97,110,99,101,32,111,102,32,101,113,117,105,118,97,108,101,110,116,32,109,32,112,104,97,115,101,32,119,105,110,100,105,110,103,32,119,46,114,46,116,46,32,115,116,97,116,111,114,32,115,105,100,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,53,51,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,52,53,51,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,84,114,82,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,111,102,32,114,111,116,111,114,32,114,101,115,105,115,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,53,51,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,52,53,51,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,97,108,112,104,97,50,48,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,114,111,116,111,114,32,114,101,115,105,115,116,97,110,99,101,32,97,116,32,50,48,32,100,101,103,67,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,53,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,52,53,52,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,84,114,79,112,101,114,97,116,105,111,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,112,101,114,97,116,105,111,110,97,108,32,116,101,109,112,101,114,97,116,117,114,101,32,111,102,32,114,111,116,111,114,32,114,101,115,105,115,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,53,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,52,53,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,74,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,116,111,114,32,105,110,101,114,116,105,97,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,54,53,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,54,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,107,103,46,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,74,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,111,109,101,110,116,32,111,102,32,105,110,101,114,116,105,97,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,51,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,51,48,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,46,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,102,105,120,101,100,46,112,104,105,48,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,111,102,102,115,101,116,32,97,110,103,108,101,32,111,102,32,104,111,117,115,105,110,103,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,53,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,53,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,102,114,105,99,116,105,111,110,32,108,111,115,115,101,115,32,97,116,32,119,82,101,102,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,50,55,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,50,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,116,104,97,116,32,116,104,101,32,80,82,101,102,32,114,101,102,101,114,32,116,111,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,50,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,50,55,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,109,105,110,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,120,112,111,110,101,110,116,32,111,102,32,102,114,105,99,116,105,111,110,32,116,111,114,113,117,101,32,119,46,114,46,116,46,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,50,55,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,50,55,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,116,97,117,82,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,102,114,105,99,116,105,111,110,32,116,111,114,113,117,101,32,97,116,32,114,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8724520);
/* memory initializer */ allocate([118,101,108,111,99,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,50,55,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,50,55,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,108,105,110,101,97,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,105,110,101,97,114,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,114,97,110,103,101,32,119,105,116,104,32,114,101,115,112,101,99,116,32,116,111,32,114,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,50,56,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,50,56,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,116,97,117,76,105,110,101,97,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,111,114,113,117,101,32,99,111,114,114,101,115,112,111,110,100,105,110,103,32,119,105,116,104,32,108,105,110,101,97,114,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,114,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,50,56,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,50,56,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,76,105,110,101,97,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,105,110,101,97,114,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,114,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,50,56,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,50,56,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,49,53,55,48,55,57,54,51,50,54,55,57,52,56,57,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,99,111,114,101,32,108,111,115,115,101,115,32,97,116,32,114,101,102,101,114,101,110,99,101,32,105,110,110,101,114,32,118,111,108,116,97,103,101,32,86,82,101,102,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,51,51,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,51,51,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,86,82,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,105,110,110,101,114,32,82,77,83,32,118,111,108,116,97,103,101,32,116,104,97,116,32,114,101,102,101,114,101,110,99,101,32,99,111,114,101,32,108,111,115,115,101,115,32,80,82,101,102,32,114,101,102,101,114,32,116,111,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,51,51,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,51,51,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,116,104,97,116,32,114,101,102,101,114,101,110,99,101,32,99,111,114,101,32,108,111,115,115,101,115,32,80,82,101,102,32,114,101,102,101,114,32,116,111,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,51,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,51,51,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,114,97,116,105,111,72,121,115,116,101,114,101,115,105,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,97,116,105,111,32,111,102,32,104,121,115,116,101,114,101,115,105,115,32,108,111,115,115,101,115,32,119,105,116,104,32,114,101,115,112,101,99,116,32,116,111,32,116,104,101,32,116,111,116,97,108,32,99,111,114,101,32,108,111,115,115,101,115,32,97,116,32,86,82,101,102,32,97,110,100,32,102,82,101,102,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,51,52,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,51,52,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,71,99,82,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,99,111,110,100,117,99,116,97,110,99,101,32,97,116,32,114,101,102,101,114,101,110,99,101,32,102,114,101,113,117,101,110,99,121,32,97,110,100,32,118,111,108,116,97,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,51,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,51,52,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,83,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,83,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,119,77,105,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,56,50,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,51,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,51,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,51,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,115,116,114,97,121,32,108,111,97,100,32,108,111,115,115,101,115,32,97,116,32,73,82,101,102,32,97,110,100,32,119,82,101,102,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,51,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,51,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,73,82,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,82,77,83,32,99,117,114,114,101,110,116,32,116,104,97,116,32,80,82,101,102,32,114,101,102,101,114,115,32,116,111,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,51,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,51,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,116,104,97,116,32,80,82,101,102,32,114,101,102,101,114,115,32,116,111,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,51,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,51,49,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,109,105,110,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,120,112,111,110,101,110,116,32,111,102,32,115,116,114,97,121,32,108,111,97,100,32,108,111,115,115,32,116,111,114,113,117,101,32,119,46,114,46,116,46,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,51,49,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,51,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,116,97,117,82,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,115,116,114,97,121,32,108,111,97,100,32,116,111,114,113,117,101,32,97,116,32,114,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,97,110,100,32,114,101,102,101,114,101,110,99,101,32,99,117,114,114,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,51,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,51,50,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,76,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,116,111,114,32,109,97,105,110,32,102,105,101,108,100,32,105,110,100,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,53,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,52,53,50,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,76,114,115,105,103,109,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,111,116,111,114,32,108,101,97,107,97,103,101,32,105,110,100,117,99,116,97,110,99,101,32,111,102,32,101,113,117,105,118,97,108,101,110,116,32,109,32,112,104,97,115,101,32,119,105,110,100,105,110,103,32,119,46,114,46,116,46,32,115,116,97,116,111,114,32,115,105,100,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8734760);
/* memory initializer */ allocate([46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,53,50,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,52,53,51,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,84,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,115,116,97,116,111,114,32,119,105,110,100,105,110,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,53,51,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,53,51,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,116,101,109,112,101,114,97,116,117,114,101,32,97,116,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,56,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,56,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,67,111,114,101,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,116,101,109,112,101,114,97,116,117,114,101,32,97,116,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,56,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,56,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,116,101,109,112,101,114,97,116,117,114,101,32,97,116,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,56,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,56,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,116,101,109,112,101,114,97,116,117,114,101,32,97,116,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,56,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,56,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,84,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,114,111,116,111,114,32,40,115,113,117,105,114,114,101,108,32,99,97,103,101,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,50,49,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,49,55,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,107,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,115,116,97,110,116,32,111,117,116,112,117,116,32,118,97,108,117,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,51,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,51,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,107,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,115,116,97,110,116,32,111,117,116,112,117,116,32,118,97,108,117,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,51,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,51,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,74,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,111,109,101,110,116,32,111,102,32,105,110,101,114,116,105,97,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,51,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,51,48,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,46,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,102,114,105,99,116,105,111,110,32,108,111,115,115,101,115,32,97,116,32,119,82,101,102,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,50,55,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,50,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,116,104,97,116,32,116,104,101,32,80,82,101,102,32,114,101,102,101,114,32,116,111,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,50,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,50,55,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,109,105,110,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,120,112,111,110,101,110,116,32,111,102,32,102,114,105,99,116,105,111,110,32,116,111,114,113,117,101,32,119,46,114,46,116,46,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,50,55,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,50,55,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,116,97,117,82,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,102,114,105,99,116,105,111,110,32,116,111,114,113,117,101,32,97,116,32,114,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,50,55,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,50,55,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,108,105,110,101,97,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,105,110,101,97,114,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,114,97,110,103,101,32,119,105,116,104,32,114,101,115,112,101,99,116,32,116,111,32,114,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,50,56,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,50,56,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,116,97,117,76,105,110,101,97,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,111,114,113,117,101,32,99,111,114,114,101,115,112,111,110,100,105,110,103,32,119,105,116,104,32,108,105,110,101,97,114,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,114,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,50,56,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,50,56,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,76,105,110,101,97,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,105,110,101,97,114,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,114,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,50,56,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,50,56,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,49,53,55,48,55,57,54,51,50,54,55,57,52,56,57,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,48,54,34,10,32,32,100,101,115,99,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8745000);
/* memory initializer */ allocate([105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,115,116,114,97,121,32,108,111,97,100,32,108,111,115,115,101,115,32,97,116,32,73,82,101,102,32,97,110,100,32,119,82,101,102,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,51,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,51,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,73,82,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,82,77,83,32,99,117,114,114,101,110,116,32,116,104,97,116,32,80,82,101,102,32,114,101,102,101,114,115,32,116,111,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,48,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,51,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,51,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,116,104,97,116,32,80,82,101,102,32,114,101,102,101,114,115,32,116,111,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,48,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,51,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,51,49,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,109,105,110,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,120,112,111,110,101,110,116,32,111,102,32,115,116,114,97,121,32,108,111,97,100,32,108,111,115,115,32,116,111,114,113,117,101,32,119,46,114,46,116,46,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,48,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,51,49,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,51,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,116,97,117,82,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,115,116,114,97,121,32,108,111,97,100,32,116,111,114,113,117,101,32,97,116,32,114,101,102,101,114,101,110,99,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,97,110,100,32,114,101,102,101,114,101,110,99,101,32,99,117,114,114,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,48,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,51,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,51,50,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,76,115,115,105,103,109,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,116,111,114,32,115,116,114,97,121,32,105,110,100,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,48,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,54,56,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,54,56,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,76,115,122,101,114,111,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,116,111,114,32,122,101,114,111,32,105,110,100,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,48,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,54,56,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,54,56,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,76,48,46,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,49,51,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,48,50,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,55,48,50,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,76,48,46,113,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,49,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,48,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,55,48,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,82,82,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,87,105,110,100,105,110,103,32,114,101,115,105,115,116,97,110,99,101,32,112,101,114,32,112,104,97,115,101,32,97,116,32,84,82,101,102,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,53,53,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,53,53,54,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,84,82,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,111,102,32,119,105,110,100,105,110,103,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,53,54,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,53,53,54,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,97,108,112,104,97,50,48,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,119,105,110,100,105,110,103,32,97,116,32,50,48,32,100,101,103,67,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,53,54,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,53,53,54,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,84,79,112,101,114,97,116,105,111,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,112,101,114,97,116,105,111,110,97,108,32,116,101,109,112,101,114,97,116,117,114,101,32,111,102,32,119,105,110,100,105,110,103,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,53,55,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,53,53,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,76,115,105,103,109,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,87,105,110,100,105,110,103,32,115,116,114,97,121,32,105,110,100,117,99,116,97,110,99,101,32,112,101,114,32,112,104,97,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,53,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,53,53,55,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,76,122,101,114,111,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,90,101,114,111,32,115,101,113,117,101,110,99,101,32,105,110,100,117,99,116,97,110,99,101,32,111,102,32,119,105,110,100,105,110,103,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,53,55,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,53,53,55,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,32,112,101,114,32,112,104,97,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,53,55,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,53,53,55,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,71,99,82,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,108,101,99,116,114,105,99,97,108,32,114,101,102,101,114,101,110,99,101,32,99,111,114,101,32,108,111,115,115,32,114,101,108,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,53,55,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,53,53,56,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,83,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,83,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,97,108,112,104,97,82,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,50,51,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8755240);
/* memory initializer */ allocate([98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,53,54,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,53,53,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,76,122,101,114,111,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,90,101,114,111,32,115,101,113,117,101,110,99,101,32,105,110,100,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,57,53,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,57,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,55,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,71,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,113,117,105,118,97,108,101,110,116,32,115,121,109,109,101,116,114,105,99,32,108,111,115,115,32,99,111,110,100,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,55,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,55,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,83,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,83,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,82,95,109,46,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,50,55,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,48,50,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,55,48,50,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,82,95,109,46,113,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,50,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,48,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,55,48,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,97,105,114,71,97,112,46,76,48,46,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,50,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,48,50,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,55,48,50,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,97,105,114,71,97,112,46,76,48,46,113,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,51,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,48,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,55,48,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,97,105,114,71,97,112,46,82,95,109,46,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,51,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,48,50,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,55,48,50,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,54,50,46,53,57,53,55,55,48,52,48,49,50,49,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,97,105,114,71,97,112,46,82,95,109,46,113,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,51,50,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,48,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,55,48,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,54,50,46,53,57,53,55,55,48,52,48,49,50,49,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,82,82,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,87,105,110,100,105,110,103,32,114,101,115,105,115,116,97,110,99,101,32,112,101,114,32,112,104,97,115,101,32,97,116,32,84,82,101,102,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,56,55,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,111,102,32,119,105,110,100,105,110,103,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,56,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,55,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,97,108,112,104,97,50,48,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,119,105,110,100,105,110,103,32,97,116,32,50,48,32,100,101,103,67,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,56,55,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,55,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,84,79,112,101,114,97,116,105,111,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,112,101,114,97,116,105,111,110,97,108,32,116,101,109,112,101,114,97,116,117,114,101,32,111,102,32,119,105,110,100,105,110,103,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,56,56,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,76,115,105,103,109,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,97,103,101,32,115,116,114,97,121,32,105,110,100,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,56,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,101,102,102,101,99,116,105,118,101,84,117,114,110,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,102,102,101,99,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,56,56,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,56,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,97,108,112,104,97,82,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,51,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,56,55,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,56,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,108,111,97,100,73,110,101,114,116,105,97,51,46,74,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,111,109,101,110,116,32,111,102,32,105,110,101,114,116,105,97,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,51,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,51,48,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8765480);
/* memory initializer */ allocate([34,48,46,48,34,32,117,110,105,116,61,34,107,103,46,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,46,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,116,97,117,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,116,111,114,113,117,101,32,40,105,102,32,110,101,103,97,116,105,118,101,44,32,116,111,114,113,117,101,32,105,115,32,97,99,116,105,110,103,32,97,115,32,108,111,97,100,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,50,57,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,51,48,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,119,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,115,112,101,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,51,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,51,48,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,49,53,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,103,97,105,110,46,107,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,71,97,105,110,32,118,97,108,117,101,32,109,117,108,116,105,112,108,105,101,100,32,119,105,116,104,32,105,110,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,77,97,116,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,50,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,54,50,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,54,54,54,54,54,54,54,54,54,54,54,54,54,54,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,83,117,112,112,108,121,46,112,105,110,91,53,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,112,46,112,105,110,91,53,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,112,108,117,103,95,115,112,46,112,105,110,91,53,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,53,93,46,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,53,93,46,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,83,117,112,112,108,121,46,112,105,110,91,52,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,112,46,112,105,110,91,52,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,112,108,117,103,95,115,112,46,112,105,110,91,52,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8775720);
/* memory initializer */ allocate([105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,52,93,46,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,52,93,46,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,83,117,112,112,108,121,46,112,105,110,91,51,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,112,46,112,105,110,91,51,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,112,108,117,103,95,115,112,46,112,105,110,91,51,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,51,93,46,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,51,93,46,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,55,51,34,10,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8785960);
/* memory initializer */ allocate([100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,83,117,112,112,108,121,46,112,105,110,91,50,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,112,46,112,105,110,91,50,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,112,108,117,103,95,115,112,46,112,105,110,91,50,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,50,93,46,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,50,93,46,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,83,117,112,112,108,121,46,112,105,110,91,49,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,112,46,112,105,110,91,49,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8796200);
/* memory initializer */ allocate([121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,112,108,117,103,95,115,112,46,112,105,110,91,49,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,49,93,46,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,49,93,46,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,51,93,46,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,51,93,46,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8806440);
/* memory initializer */ allocate([111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,83,117,112,112,108,121,46,112,105,110,91,51,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,112,46,112,105,110,91,51,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,112,108,117,103,95,115,112,46,112,105,110,91,51,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,50,93,46,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,50,93,46,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,83,117,112,112,108,121,46,112,105,110,91,50,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,112,46,112,105,110,91,50,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,112,108,117,103,95,115,112,46,112,105,110,91,50,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8816680);
/* memory initializer */ allocate([102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,49,93,46,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,49,93,46,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,83,117,112,112,108,121,46,112,105,110,91,49,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,112,46,112,105,110,91,49,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,112,108,117,103,95,115,112,46,112,105,110,91,49,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,50,93,34,10,32,32,99,108,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8826920);
/* memory initializer */ allocate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i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8837160);
/* memory initializer */ allocate([32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,110,46,112,105,110,91,49,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,112,108,117,103,95,115,110,46,112,105,110,91,49,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,105,110,95,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,116,97,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,103,114,111,117,110,100,51,46,112,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,103,114,111,117,110,100,51,46,112,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,103,114,111,117,110,100,51,46,112,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,116,97,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,103,114,111,117,110,100,51,46,112,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,103,114,111,117,110,100,51,46,112,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,103,114,111,117,110,100,51,46,112,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,116,97,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,103,114,111,117,110,100,51,46,112,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,103,114,111,117,110,100,51,46,112,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,103,114,111,117,110,100,51,46,112,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,53,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,53,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8847400);
/* memory initializer */ allocate([115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,53,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,52,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,52,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,52,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,110,46,112,105,110,91,53,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,112,108,117,103,95,115,110,46,112,105,110,91,53,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8857640);
/* memory initializer */ allocate([101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,105,110,95,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,110,46,112,105,110,91,52,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,112,108,117,103,95,115,110,46,112,105,110,91,52,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,105,110,95,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,110,46,112,105,110,91,51,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,112,108,117,103,95,115,110,46,112,105,110,91,51,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,105,110,95,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,110,46,112,105,110,91,50,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8867880);
/* memory initializer */ allocate([115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,112,108,117,103,95,115,110,46,112,105,110,91,50,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,105,110,95,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,110,46,112,105,110,91,49,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,112,108,117,103,95,115,110,46,112,105,110,91,49,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,105,110,95,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,116,97,114,77,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,103,114,111,117,110,100,77,46,112,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,103,114,111,117,110,100,77,46,112,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,103,114,111,117,110,100,77,46,112,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,116,97,114,77,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,103,114,111,117,110,100,77,46,112,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,103,114,111,117,110,100,77,46,112,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,103,114,111,117,110,100,77,46,112,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,116,97,114,77,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8878120);
/* memory initializer */ allocate([34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,103,114,111,117,110,100,77,46,112,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,103,114,111,117,110,100,77,46,112,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,103,114,111,117,110,100,77,46,112,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,116,97,114,77,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,103,114,111,117,110,100,77,46,112,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,103,114,111,117,110,100,77,46,112,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,103,114,111,117,110,100,77,46,112,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,116,97,114,77,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,103,114,111,117,110,100,77,46,112,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,103,114,111,117,110,100,77,46,112,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,103,114,111,117,110,100,77,46,112,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,50,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,50,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8888360);
/* memory initializer */ allocate([32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,51,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,114,114,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,52,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,114,114,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,52,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,52,50,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8898600);
/* memory initializer */ allocate([47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,105,110,95,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,105,110,95,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,105,110,95,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,105,110,95,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,46,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,105,110,95,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,46,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8908840);
/* memory initializer */ allocate([108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,105,110,95,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,46,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,46,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,46,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,46,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,104,101,97,116,80,111,114,116,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,51,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,97,91,51,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,46,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,114,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8919080);
/* memory initializer */ allocate([117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,114,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,114,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,105,110,95,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,114,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,105,110,95,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,114,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,114,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,114,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,114,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,46,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,114,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,114,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,114,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,114,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,114,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,114,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,114,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,114,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,104,101,97,116,80,111,114,116,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,50,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8929320);
/* memory initializer */ allocate([114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,97,91,50,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,46,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,114,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,114,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,114,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,105,110,95,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,114,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,105,110,95,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,114,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,114,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,114,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,114,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,46,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,114,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,114,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,114,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,114,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,114,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,114,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8939560);
/* memory initializer */ allocate([114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,114,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,114,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,104,101,97,116,80,111,114,116,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,49,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,97,91,49,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,46,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,114,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,114,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,114,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,105,110,95,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,114,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,105,110,95,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,114,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,114,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,114,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,114,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,105,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,114,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,57,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,105,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,114,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,57,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,105,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,114,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,57,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8949800);
/* memory initializer */ allocate([101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,114,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,114,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,114,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,105,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,97,103,101,32,99,117,114,114,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,114,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,56,56,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,56,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,105,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,97,103,101,32,99,117,114,114,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,114,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,56,56,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,56,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,105,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,97,103,101,32,99,117,114,114,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,114,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,56,56,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,56,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,46,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,114,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,114,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,114,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,114,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,114,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,114,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,114,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,114,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,105,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,114,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,105,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,114,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,105,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,115,32,102], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8960040);
/* memory initializer */ allocate([108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,114,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,52,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,52,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,53,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,53,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,53,50,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,53,51,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,53,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,53,53,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,53,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,53,55,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,53,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,53,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,54,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,54,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,54,50,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8970280);
/* memory initializer */ allocate([62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,54,51,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,54,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,54,53,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,54,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,54,55,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,54,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,54,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,105,110,95,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,105,110,95,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,105,110,95,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8980520);
/* memory initializer */ allocate([111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,104,101,97,116,80,111,114,116,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,51,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,91,51,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,112,108,117,103,95,115,112,46,112,105,110,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+8990760);
/* memory initializer */ allocate([97,105,109,99,51,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,105,110,95,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,105,110,95,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,112,108,117,103,95,115,110,46,112,105,110,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,110,46,112,105,110,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,112,46,112,105,110,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,83,117,112,112,108,121,46,112,105,110,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,51,93,46,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,105,110,32,116,104,101,32,98,114,97,110,99,104,32,102,114,111,109,32,112,32,116,111,32,110,32,97,115,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9001000);
/* memory initializer */ allocate([105,109,99,51,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,101,110,115,111,114,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,51,93,46,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,116,97,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,104,101,97,116,80,111,114,116,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,50,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9011240);
/* memory initializer */ allocate([32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,91,50,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,112,108,117,103,95,115,112,46,112,105,110,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,105,110,95,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,105,110,95,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9021480);
/* memory initializer */ allocate([105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,112,108,117,103,95,115,110,46,112,105,110,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,110,46,112,105,110,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,112,46,112,105,110,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,83,117,112,112,108,121,46,112,105,110,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,50,93,46,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,105,110,32,116,104,101,32,98,114,97,110,99,104,32,102,114,111,109,32,112,32,116,111,32,110,32,97,115,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,101,110,115,111,114,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,50,93,46,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9031720);
/* memory initializer */ allocate([114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,116,97,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,104,101,97,116,80,111,114,116,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,49,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,91,49,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,112,108,117,103,95,115,112,46,112,105,110,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,105,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,105,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9041960);
/* memory initializer */ allocate([34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,105,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,105,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,105,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,105,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,105,110,95,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,105,110,95,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9052200);
/* memory initializer */ allocate([97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,112,108,117,103,95,115,110,46,112,105,110,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,110,46,112,105,110,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,105,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,57,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,105,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,57,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,105,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,57,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,105,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,105,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,105,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,112,46,112,105,110,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,83,117,112,112,108,121,46,112,105,110,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,49,93,46,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9062440);
/* memory initializer */ allocate([32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,105,110,32,116,104,101,32,98,114,97,110,99,104,32,102,114,111,109,32,112,32,116,111,32,110,32,97,115,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,101,110,115,111,114,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,105,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,99,117,114,114,101,110,116,32,105,110,32,116,104,101,32,98,114,97,110,99,104,32,102,114,111,109,32,112,32,116,111,32,110,32,97,115,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,56,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,56,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,105,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,99,117,114,114,101,110,116,32,105,110,32,116,104,101,32,98,114,97,110,99,104,32,102,114,111,109,32,112,32,116,111,32,110,32,97,115,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,56,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,56,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,105,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,99,117,114,114,101,110,116,32,105,110,32,116,104,101,32,98,114,97,110,99,104,32,102,114,111,109,32,112,32,116,111,32,110,32,97,115,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,56,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,56,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,117,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,117,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,117,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,49,93,46,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9072680);
/* memory initializer */ allocate([32,34,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,116,97,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,105,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,105,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,105,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,51,53,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,51,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,51,55,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,51,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,51,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9082920);
/* memory initializer */ allocate([97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,52,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,52,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,52,50,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,52,51,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,52,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,52,53,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,52,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,52,55,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,52,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,52,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,53,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,53,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,53,50,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,53,51,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,53,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9093160);
/* memory initializer */ allocate([103,91,51,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,50,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,49,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,53,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,53,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9103400);
/* memory initializer */ allocate([101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,55,53,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,114,114,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,55,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,114,114,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,55,55,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,55,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9113640);
/* memory initializer */ allocate([101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,105,110,95,110,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,105,110,95,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,105,110,95,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,105,110,95,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9123880);
/* memory initializer */ allocate([101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,105,110,95,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,105,110,95,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,53,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,105,110,95,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,53,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,53,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,52,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,105,110,95,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,52,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,52,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,105,110,95,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,46,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9134120);
/* memory initializer */ allocate([53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,105,110,95,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,46,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,105,110,95,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,46,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,46,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,46,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9144360);
/* memory initializer */ allocate([67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,46,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,104,101,97,116,80,111,114,116,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,53,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,97,91,53,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,105,110,95,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,105,110,95,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,48,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,48,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9154600);
/* memory initializer */ allocate([108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,48,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,48,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,48,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,48,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,104,101,97,116,80,111,114,116,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,52,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,97,91,52,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,105,110,95,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9164840);
/* memory initializer */ allocate([76,105,110,101,32,61,32,34,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,105,110,95,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,104,101,97,116,80,111,114,116,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,51,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,97,91,51,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9175080);
/* memory initializer */ allocate([116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,46,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,114,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,114,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,114,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,105,110,95,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,114,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,105,110,95,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,114,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,114,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,114,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,114,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,46,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,114,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,114,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,114,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,114,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,114,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,114,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,114,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,114,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9185320);
/* memory initializer */ allocate([32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,104,101,97,116,80,111,114,116,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,50,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,97,91,50,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,46,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,114,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,114,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,114,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,105,110,95,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,114,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,105,110,95,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,114,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,114,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,114,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,114,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,46,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,114,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,114,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,114,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,114,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,114,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9195560);
/* memory initializer */ allocate([101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,114,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,114,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,114,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,104,101,97,116,80,111,114,116,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,49,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,97,91,49,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,46,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,114,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,114,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,114,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,105,110,95,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,114,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,105,110,95,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,114,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,114,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,114,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,114,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,105,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,114,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,57,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,105,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9205800);
/* memory initializer */ allocate([97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,114,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,57,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,105,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,114,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,57,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,105,91,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,57,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,105,91,53,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,57,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,114,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,114,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,114,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,91,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,91,53,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,105,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,97,103,101,32,99,117,114,114,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,114,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,56,56,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,56,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,105,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,97,103,101,32,99,117,114,114,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,114,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,56,56,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,56,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,105,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,97,103,101,32,99,117,114,114,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,114,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,56,56,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,56,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,105,91,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,97,103,101,32,99,117,114,114,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,56,56,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,56,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,105,91,53,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,97,103,101,32,99,117,114,114,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,56,56,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,56,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,46,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,114,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,114,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,114,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9216040);
/* memory initializer */ allocate([97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,114,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,114,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,114,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,114,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,114,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,48,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,105,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,114,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,48,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,105,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,114,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,48,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,105,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,114,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,48,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,105,91,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,52,93,46,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,48,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,105,91,53,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,53,93,46,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,48,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,53,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,53,53,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,53,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,53,55,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,53,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,53,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9226280);
/* memory initializer */ allocate([32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,54,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,54,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,54,50,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,54,51,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,54,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,54,53,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,54,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,54,55,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,54,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,54,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,55,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,55,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,55,50,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,55,51,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,55,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,55,53,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9236520);
/* memory initializer */ allocate([97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,55,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,55,55,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,55,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,55,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,56,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,56,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,56,50,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,56,51,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,56,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,56,53,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,56,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,56,55,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,56,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,56,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,57,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,57,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9246760);
/* memory initializer */ allocate([108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,105,110,95,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,105,110,95,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,105,110,95,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,105,110,95,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,105,110,95,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9257000);
/* memory initializer */ allocate([114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,104,101,97,116,80,111,114,116,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,53,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,91,53,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,112,108,117,103,95,115,112,46,112,105,110,91,53,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,53,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,53,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,53,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,53,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,53,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,53,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,53,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9267240);
/* memory initializer */ allocate([32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,53,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,53,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,53,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,53,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,53,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,105,110,95,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,53,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,105,110,95,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,53,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,53,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,53,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,112,108,117,103,95,115,110,46,112,105,110,91,53,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,53,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,110,46,112,105,110,91,53,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,53,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,53,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,53,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,112,46,112,105,110,91,53,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,53,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,83,117,112,112,108,121,46,112,105,110,91,53,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,53,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,53,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,53,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,57,52,34,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9277480);
/* memory initializer */ allocate([99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,53,93,46,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,53,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,53,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,105,110,32,116,104,101,32,98,114,97,110,99,104,32,102,114,111,109,32,112,32,116,111,32,110,32,97,115,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,53,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,101,110,115,111,114,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,53,93,46,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,53,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,53,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,53,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,53,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,53,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,53,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,53,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,53,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,48,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,53,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,48,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,53,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,48,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,53,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,48,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,53,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,48,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,116,97,114,77,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,53,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,48,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,53,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9287720);
/* memory initializer */ allocate([105,110,101,32,61,32,34,49,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,104,101,97,116,80,111,114,116,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,52,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,91,52,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,112,108,117,103,95,115,112,46,112,105,110,91,52,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,52,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,52,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,52,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,52,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,52,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,52,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,52,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,52,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,52,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,52,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,52,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,52,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,105,110,95,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,52,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9297960);
/* memory initializer */ allocate([47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,105,110,95,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,52,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,52,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,52,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,112,108,117,103,95,115,110,46,112,105,110,91,52,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,52,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,110,46,112,105,110,91,52,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,52,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,52,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,52,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,112,46,112,105,110,91,52,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,52,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,83,117,112,112,108,121,46,112,105,110,91,52,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,52,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,52,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,52,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,52,93,46,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,52,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,52,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,105,110,32,116,104,101,32,98,114,97,110,99,104,32,102,114,111,109,32,112,32,116,111,32,110,32,97,115,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,52,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,101,110,115,111,114,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,52,93,46,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,52,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,52,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,52,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9308200);
/* memory initializer */ allocate([32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,52,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,52,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,52,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,52,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,52,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,52,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,52,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,52,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,52,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,116,97,114,77,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,52,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,52,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,104,101,97,116,80,111,114,116,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,51,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,91,51,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,112,108,117,103,95,115,112,46,112,105,110,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9318440);
/* memory initializer */ allocate([108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,105,110,95,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,105,110,95,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,112,108,117,103,95,115,110,46,112,105,110,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,110,46,112,105,110,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9328680);
/* memory initializer */ allocate([117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,112,46,112,105,110,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,83,117,112,112,108,121,46,112,105,110,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,51,93,46,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,105,110,32,116,104,101,32,98,114,97,110,99,104,32,102,114,111,109,32,112,32,116,111,32,110,32,97,115,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,101,110,115,111,114,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,51,93,46,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9338920);
/* memory initializer */ allocate([101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,116,97,114,77,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,104,101,97,116,80,111,114,116,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,50,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,91,50,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,112,108,117,103,95,115,112,46,112,105,110,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,48,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,48,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,48,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9349160);
/* memory initializer */ allocate([116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,48,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,48,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,48,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,105,110,95,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,105,110,95,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,112,108,117,103,95,115,110,46,112,105,110,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,110,46,112,105,110,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,112,46,112,105,110,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,83,117,112,112,108,121,46,112,105,110,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9359400);
/* memory initializer */ allocate([32,34,51,48,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,50,93,46,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,105,110,32,116,104,101,32,98,114,97,110,99,104,32,102,114,111,109,32,112,32,116,111,32,110,32,97,115,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,101,110,115,111,114,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,50,93,46,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,116,97,114,77,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9369640);
/* memory initializer */ allocate([108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,104,101,97,116,80,111,114,116,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,49,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,91,49,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,112,108,117,103,95,115,112,46,112,105,110,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,105,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,105,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,105,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,105,91,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,52,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,105,91,53,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,53,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,49,93,34,10,32,32,99,108,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9379880);
/* memory initializer */ allocate([115,115,73,110,100,101,120,32,61,32,34,57,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,105,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,105,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,105,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,105,91,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,52,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,105,91,53,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,53,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,105,110,95,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,105,110,95,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,112,108,117,103,95,115,110,46,112,105,110,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,110,46,112,105,110,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9390120);
/* memory initializer */ allocate([99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,105,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,57,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,105,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,57,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,105,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,57,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,105,91,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,52,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,57,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,105,91,53,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,53,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,57,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,105,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,105,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,105,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,105,91,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,52,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,105,91,53,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,53,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,112,46,112,105,110,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,83,117,112,112,108,121,46,112,105,110,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,49,93,46,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9400360);
/* memory initializer */ allocate([82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,105,110,32,116,104,101,32,98,114,97,110,99,104,32,102,114,111,109,32,112,32,116,111,32,110,32,97,115,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,101,110,115,111,114,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,105,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,99,117,114,114,101,110,116,32,105,110,32,116,104,101,32,98,114,97,110,99,104,32,102,114,111,109,32,112,32,116,111,32,110,32,97,115,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,56,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,56,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,105,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,99,117,114,114,101,110,116,32,105,110,32,116,104,101,32,98,114,97,110,99,104,32,102,114,111,109,32,112,32,116,111,32,110,32,97,115,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,56,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,56,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,105,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,99,117,114,114,101,110,116,32,105,110,32,116,104,101,32,98,114,97,110,99,104,32,102,114,111,109,32,112,32,116,111,32,110,32,97,115,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,56,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,56,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,105,91,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,99,117,114,114,101,110,116,32,105,110,32,116,104,101,32,98,114,97,110,99,104,32,102,114,111,109,32,112,32,116,111,32,110,32,97,115,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,52,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,56,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,56,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,105,91,53,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,99,117,114,114,101,110,116,32,105,110,32,116,104,101,32,98,114,97,110,99,104,32,102,114,111,109,32,112,32,116,111,32,110,32,97,115,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,53,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,56,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,56,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,113,117,97,115,105,82,77,83,46,117,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,51,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,50,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,51,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,113,117,97,115,105,82,77,83,46,117,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,51,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,50,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,51,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,113,117,97,115,105,82,77,83,46,117,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,52,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,50,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,51,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,113,117,97,115,105,82,77,83,46,117,91,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,52,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,52,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,50,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,51,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,113,117,97,115,105,82,77,83,46,117,91,53,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,52,50,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,53,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,50,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,51,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,99,117,114,114,101,110,116,83,101,110,115,111,114,91,49,93,46,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,48,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9410600);
/* memory initializer */ allocate([108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,48,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,48,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,48,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,48,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,48,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,116,97,114,77,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,105,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,105,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,105,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,105,91,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,52,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,105,91,53,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,53,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,91,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,52,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,91,53,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,53,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9420840);
/* memory initializer */ allocate([114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,105,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,105,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,105,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,105,91,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,52,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,105,91,53,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,115,32,102,108,111,119,105,110,103,32,105,110,116,111,32,112,111,115,105,116,105,118,101,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,115,91,53,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,55,50,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,86,95,109,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,55,51,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,86,95,109,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,55,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,55,53,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,55,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,55,55,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,55,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,55,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,56,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,56,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9431080);
/* memory initializer */ allocate([32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,56,50,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,56,51,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,56,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,56,53,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,56,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,56,55,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,56,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,56,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,57,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,57,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,57,50,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,57,51,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,57,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,57,53,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,57,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9441320);
/* memory initializer */ allocate([67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,57,55,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,57,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,57,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,48,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,48,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,48,50,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,48,51,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,48,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,48,53,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,48,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,48,55,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,53,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,52,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,51,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,50,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9451560);
/* memory initializer */ allocate([86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,49,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,121,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,80,111,108,97,114,49,46,117,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,121,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,80,111,108,97,114,49,46,117,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,82,95,97,99,116,117,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,99,116,117,97,108,32,114,101,115,105,115,116,97,110,99,101,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,82,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,82,95,97,99,116,117,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,99,116,117,97,108,32,114,101,115,105,115,116,97,110,99,101,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,82,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,82,95,97,99,116,117,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,99,116,117,97,108,32,114,101,115,105,115,116,97,110,99,101,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,82,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,82,95,97,99,116,117,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,99,116,117,97,108,32,114,101,115,105,115,116,97,110,99,101,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,82,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,82,95,97,99,116,117,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,99,116,117,97,108,32,114,101,115,105,115,116,97,110,99,101,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,82,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,82,95,97,99,116,117,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,99,116,117,97,108,32,114,101,115,105,115,116,97,110,99,101,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,82,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,118,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,118,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,118,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,118,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,82,95,97,99,116,117,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,99,116,117,97,108,32,114,101,115,105,115,116,97,110,99,101,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,82,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9461800);
/* memory initializer */ allocate([117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,82,95,97,99,116,117,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,99,116,117,97,108,32,114,101,115,105,115,116,97,110,99,101,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,82,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,82,95,97,99,116,117,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,99,116,117,97,108,32,114,101,115,105,115,116,97,110,99,101,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,82,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,82,95,97,99,116,117,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,99,116,117,97,108,32,114,101,115,105,115,116,97,110,99,101,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,82,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,82,95,97,99,116,117,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,99,116,117,97,108,32,114,101,115,105,115,116,97,110,99,101,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,82,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,82,95,97,99,116,117,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,99,116,117,97,108,32,114,101,115,105,115,116,97,110,99,101,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,82,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,82,95,97,99,116,117,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,99,116,117,97,108,32,114,101,115,105,115,116,97,110,99,101,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,82,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,82,95,97,99,116,117,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,99,116,117,97,108,32,114,101,115,105,115,116,97,110,99,101,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,82,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,82,95,97,99,116,117,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,99,116,117,97,108,32,114,101,115,105,115,116,97,110,99,101,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,82,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,82,95,97,99,116,117,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,99,116,117,97,108,32,114,101,115,105,115,116,97,110,99,101,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,82,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,118,91,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,118,91,53,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,118,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,118,91,53,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,118,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,118,91,53,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,118,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,115,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,108,117,103,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,118,91,53,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,53,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,52,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9472040);
/* memory initializer */ allocate([34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,48,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,48,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,48,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,52,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,48,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,52,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,52,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,48,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,53,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,48,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,115,105,110,101,86,111,108,116,97,103,101,91,53,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,101,86,111,108,116,97,103,101,77,46,118,91,53,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,49,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,50,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,51,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,52,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9482280);
/* memory initializer */ allocate([101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,112,105,110,91,53,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,54,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,52,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,52,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,52,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,53,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,53,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,53,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,55,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9492520);
/* memory initializer */ allocate([110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,51,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,110,101,86,111,108,116,97,103,101,51,46,118,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,56,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,49,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,50,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,112,105,110,91,51,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,56,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,86,95,109,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,97,91,49,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,97,91,50,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9502760);
/* memory initializer */ allocate([50,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,97,91,51,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,97,91,52,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,97,91,53,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,97,91,49,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,97,91,50,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,97,91,51,93,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,76,111,115,115,80,111,119,101,114,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,57,55,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,57,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,57,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,51,93,46,86,95,109,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,48,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,86,95,109,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,48,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,86,95,109,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,52,93,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,48,50,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,53,93,46,86,95,109,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,97,91,51,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,51,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,51,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9513000);
/* memory initializer */ allocate([32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,91,51,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,51,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,104,101,97,116,80,111,114,116,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,95,104,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,97,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,104,101,97,116,80,111,114,116,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,95,104,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,97,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9523240);
/* memory initializer */ allocate([32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,104,101,97,116,80,111,114,116,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,95,104,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,97,91,51,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,51,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,104,101,97,116,80,111,114,116,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,95,104,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,97,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,104,101,97,116,80,111,114,116,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,95,104,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,97,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,104,101,97,116,80,111,114,116,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,95,104,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9533480);
/* memory initializer */ allocate([61,32,34,49,49,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,97,91,53,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,53,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,53,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,91,53,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,53,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,104,101,97,116,80,111,114,116,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,84,95,104,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,97,91,52,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,52,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,52,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,91,52,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,52,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,104,101,97,116,80,111,114,116,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,48,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,84,95,104,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,48,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,97,91,51,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,48,54,34,32,99,108,97,115,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9543720);
/* memory initializer */ allocate([84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,51,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,48,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,51,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,48,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,91,51,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,48,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,51,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,104,101,97,116,80,111,114,116,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,95,104,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,97,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,104,101,97,116,80,111,114,116,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,95,104,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,97,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9553960);
/* memory initializer */ allocate([102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,87,105,110,100,105,110,103,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,104,101,97,116,80,111,114,116,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,95,104,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,97,91,53,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,53,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,104,101,97,116,80,111,114,116,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,84,95,104,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,97,91,52,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,52,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,104,101,97,116,80,111,114,116,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,84,95,104,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,97,91,51,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,51,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9564200);
/* memory initializer */ allocate([114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,104,101,97,116,80,111,114,116,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,95,104,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,97,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,50,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,104,101,97,116,80,111,114,116,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,95,104,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,97,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,104,101,97,116,80,111,114,116,91,49,93,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,104,101,97,116,80,111,114,116,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,95,104,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,84,95,104,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,84,95,104,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,84,95,104,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,84,95,104,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,84,95,104,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9574440);
/* memory initializer */ allocate([47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,84,95,104,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,84,95,104,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,84,95,104,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,114,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,114,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,114,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,49,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,114,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,50,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,114,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,105,110,100,117,99,116,111,114,91,51,93,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,114,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,48,53,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,48,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,48,55,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,48,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,118,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,103,97,105,110,46,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,117,116,112,117,116,32,115,105,103,110,97,108,32,99,111,110,110,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,102,101,101,100,98,97,99,107,46,117,50,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,77,97,116,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,51,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,54,51,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,102,101,101,100,98,97,99,107,46,117,49,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,49,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,73,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,77,97,116,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,57,54,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,71,97,105,110,49,46,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,117,116,112,117,116,32,115,105,103,110,97,108,32,99,111,110,110,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,73,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9584680);
/* memory initializer */ allocate([47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,77,97,116,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,51,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,54,51,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,108,111,97,100,73,110,101,114,116,105,97,77,46,102,108,97,110,103,101,95,98,46,112,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,112,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,52,56,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,52,56,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,102,108,97,110,103,101,46,112,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,112,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,52,56,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,52,56,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,108,111,97,100,73,110,101,114,116,105,97,77,46,102,108,97,110,103,101,95,97,46,112,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,112,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,52,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,52,50,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,102,108,97,110,103,101,46,112,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,112,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,52,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,52,50,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,102,108,97,110,103,101,46,112,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,112,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,52,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,52,50,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,102,108,97,110,103,101,95,98,46,112,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,112,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,52,56,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,52,56,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,112,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,112,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,51,48,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,51,48,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,102,108,97,110,103,101,95,97,46,112,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,112,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,52,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,52,50,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,97,105,114,71,97,112,46,102,108,97,110,103,101,95,97,46,112,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,112,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,52,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,52,50,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,102,108,97,110,103,101,46,112,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,112,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,52,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,52,50,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,103,97,105,110,46,117,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,112,117,116,32,115,105,103,110,97,108,32,99,111,110,110,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,73,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,77,97,116,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,51,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,54,51,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,113,117,97,115,105,82,77,83,46,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,73,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,46,112,105,110,95,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,108,111,97,100,73,110,101,114,116,105,97,51,46,102,108,97,110,103,101,95,98,46,112,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,112,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,52,56,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,52,56,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,102,108,97,110,103,101,46,112,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,112,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,52,56,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,52,56,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,108,111,97,100,73,110,101,114,116,105,97,51,46,102,108,97,110,103,101,95,97,46,112,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,112,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,52,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,52,50,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9594920);
/* memory initializer */ allocate([97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,102,108,97,110,103,101,46,112,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,112,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,52,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,52,50,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,102,108,97,110,103,101,46,112,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,112,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,52,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,52,50,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,102,108,97,110,103,101,95,98,46,112,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,112,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,52,56,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,52,56,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,112,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,112,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,51,48,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,51,48,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,102,108,97,110,103,101,95,97,46,112,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,112,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,52,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,52,50,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,97,105,114,71,97,112,46,102,108,97,110,103,101,95,97,46,112,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,112,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,52,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,52,50,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,102,108,97,110,103,101,46,112,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,112,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,52,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,52,50,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,116,97,114,51,46,112,105,110,95,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,103,114,111,117,110,100,51,46,112,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,46,112,105,110,95,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,116,97,114,77,46,112,105,110,95,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,103,114,111,117,110,100,77,46,112,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,51,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,51,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,52,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,52,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,52,50,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,52,51,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,115,112,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,52,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9605160);
/* memory initializer */ allocate([32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,52,53,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,52,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,52,55,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,115,112,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,52,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,48,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,52,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,48,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,53,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,48,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,53,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,48,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,102,105,120,101,100,46,102,108,97,110,103,101,46,112,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,102,105,120,101,100,46,112,104,105,48,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,48,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,52,56,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,52,56,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,97,105,114,71,97,112,46,115,117,112,112,111,114,116,46,112,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,102,105,120,101,100,46,112,104,105,48,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,48,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,52,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,52,50,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,115,117,112,112,111,114,116,46,112,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,102,105,120,101,100,46,112,104,105,48,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,52,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,52,50,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,105,110,116,101,114,110,97,108,83,117,112,112,111,114,116,46,112,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,116,104,101,32,115,117,112,112,111,114,116,47,104,111,117,115,105,110,103,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,102,105,120,101,100,46,112,104,105,48,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,53,52,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,53,52,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,102,108,97,110,103,101,95,97,46,112,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,102,105,120,101,100,46,112,104,105,48,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,52,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,52,50,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,112,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,102,105,120,101,100,46,112,104,105,48,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,51,48,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,51,48,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,102,108,97,110,103,101,95,98,46,112,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,102,105,120,101,100,46,112,104,105,48,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,52,56,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,52,56,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,115,117,112,112,111,114,116,46,112,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,102,105,120,101,100,46,112,104,105,48,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,52,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,52,50,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,54,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,114,114,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,54,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,114,114,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,54,50,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9615400);
/* memory initializer */ allocate([108,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,114,114,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,54,51,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,114,114,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,114,110,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,54,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,54,53,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,54,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,114,110,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,54,55,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,54,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,54,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,105,110,95,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,55,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,55,50,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,55,51,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,55,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,55,53,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,114,112,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,55,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,114,110,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,55,55,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,114,114,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,55,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,114,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,55,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9625640);
/* memory initializer */ allocate([87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,56,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,56,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,56,50,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,56,51,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,56,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,114,112,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,56,53,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,114,110,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,56,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,114,114,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,56,55,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,114,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,56,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,98,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,82,111,116,111,114,87,105,110,100,105,110,103,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,105,110,95,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,57,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,57,50,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,57,51,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,57,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,57,53,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,57,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9635880);
/* memory initializer */ allocate([109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,57,55,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,57,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,57,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,48,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,48,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,48,50,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,48,51,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,48,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,108,111,115,115,80,111,119,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,104,101,97,116,80,111,114,116,32,40,38,103,116,59,32,48,44,32,105,102,32,104,101,97,116,32,105,115,32,102,108,111,119,105,110,103,32,111,117,116,32,111,102,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,97,116,111,114,67,111,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,57,54,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,57,54,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,104,101,97,116,80,111,114,116,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,97,116,111,114,67,111,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,67,111,114,101,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,97,116,111,114,67,111,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,115,112,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,48,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,115,110,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,48,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,49,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,115,112,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,49,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,115,110,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,49,50,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,49,51,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9646120);
/* memory initializer */ allocate([116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,46,112,111,114,116,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,70,114,105,99,116,105,111,110,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,70,114,105,99,116,105,111,110,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,70,114,105,99,116,105,111,110,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,46,112,111,114,116,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,114,97,121,76,111,97,100,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,114,97,121,76,111,97,100,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,114,97,121,76,111,97,100,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,67,111,114,101,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,67,111,114,101,46,81,95,102,108,111,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,67,111,114,101,46,112,111,114,116,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,67,111,114,101,46,81,95,102,108,111,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,82,111,116,111,114,67,111,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,111,102,32,115,116,97,116,111,114,32,99,111,114,101,32,108,111,115,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,67,111,114,101,46,81,95,102,108,111,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,53,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,53,51,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,112,111,114,116,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,97,116,111,114,67,111,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,67,111,114,101,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,97,116,111,114,67,111,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,87,105,110,100,105,110,103,46,112,111,114,116,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,82,111,116,111,114,87,105,110,100,105,110,103,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,87,105,110,100,105,110,103,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,82,111,116,111,114,87,105,110,100,105,110,103,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,87,105,110,100,105,110,103,46,112,111,114,116,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,83,116,97,116,111,114,87,105,110,100,105,110,103,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,98,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,83,116,97,116,111,114,87,105,110,100,105,110,103,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,102,108,97,110,103,101,95,97,46,116,97,117,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,116,97,117,69,108,101,99,116,114,105,99,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,52,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,52,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9656360);
/* memory initializer */ allocate([10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,97,105,114,71,97,112,46,102,108,97,110,103,101,95,97,46,116,97,117,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,116,97,117,69,108,101,99,116,114,105,99,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,52,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,52,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,97,105,114,71,97,112,46,116,97,117,69,108,101,99,116,114,105,99,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,108,101,99,116,114,105,99,97,108,32,116,111,114,113,117,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,116,97,117,69,108,101,99,116,114,105,99,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,55,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,53,55,53,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,97,105,114,71,97,112,46,115,117,112,112,111,114,116,46,116,97,117,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,116,97,117,69,108,101,99,116,114,105,99,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,52,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,52,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,51,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,51,50,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,51,51,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,51,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,51,53,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,51,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,115,112,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,51,55,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,51,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,51,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,52,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,115,112,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,52,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,52,50,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,52,51,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,52,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,103,114,111,117,110,100,83,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,102,105,120,101,100,46,102,108,97,110,103,101,46,112,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,102,105,120,101,100,46,112,104,105,48,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,52,56,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,52,56,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9666600);
/* memory initializer */ allocate([34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,97,105,114,71,97,112,46,115,117,112,112,111,114,116,46,112,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,102,105,120,101,100,46,112,104,105,48,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,52,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,52,50,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,115,117,112,112,111,114,116,46,112,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,102,105,120,101,100,46,112,104,105,48,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,52,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,52,50,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,105,110,116,101,114,110,97,108,83,117,112,112,111,114,116,46,112,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,116,104,101,32,115,117,112,112,111,114,116,47,104,111,117,115,105,110,103,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,102,105,120,101,100,46,112,104,105,48,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,48,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,53,52,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,53,52,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,102,108,97,110,103,101,95,97,46,112,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,102,105,120,101,100,46,112,104,105,48,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,48,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,52,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,52,50,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,112,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,102,105,120,101,100,46,112,104,105,48,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,48,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,51,48,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,51,48,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,102,108,97,110,103,101,95,98,46,112,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,102,105,120,101,100,46,112,104,105,48,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,48,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,52,56,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,52,56,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,115,117,112,112,111,114,116,46,112,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,102,105,120,101,100,46,112,104,105,48,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,48,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,52,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,52,50,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,53,51,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,114,114,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,48,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,53,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,114,114,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,53,53,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,114,114,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,53,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,114,114,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,114,110,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,53,55,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,53,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,53,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,114,110,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,54,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,54,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,54,50,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,103,114,111,117,110,100,82,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,105,110,95,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9676840);
/* memory initializer */ allocate([115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,54,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,54,53,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,54,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,54,55,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,54,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,114,112,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,54,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,114,110,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,55,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,114,114,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,55,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,114,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,55,50,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,55,51,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,55,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,55,53,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,55,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,55,55,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,114,112,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,55,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,114,110,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,55,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,114,114,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,56,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9687080);
/* memory initializer */ allocate([101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,114,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,56,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,98,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,82,111,116,111,114,87,105,110,100,105,110,103,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,105,110,95,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,103,114,111,117,110,100,46,112,46,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,110,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,56,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,112,46,86,95,109,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,110,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,56,53,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,112,46,86,95,109,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,56,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,56,55,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,56,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,56,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,57,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,57,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,50,93,46,80,104,105,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,57,50,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,57,51,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,57,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,57,53,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,57,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9697320);
/* memory initializer */ allocate([97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,57,55,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,115,105,110,103,108,101,80,104,97,115,101,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,91,49,93,46,80,104,105,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,108,111,115,115,80,111,119,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,104,101,97,116,80,111,114,116,32,40,38,103,116,59,32,48,44,32,105,102,32,104,101,97,116,32,105,115,32,102,108,111,119,105,110,103,32,111,117,116,32,111,102,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,97,116,111,114,67,111,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,57,54,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,57,54,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,104,101,97,116,80,111,114,116,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,97,116,111,114,67,111,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,67,111,114,101,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,97,116,111,114,67,111,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,115,112,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,48,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,115,110,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,48,50,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,48,51,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,115,112,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,48,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,115,110,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,48,53,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,48,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,80,104,105,95,115,115,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,46,112,111,114,116,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,70,114,105,99,116,105,111,110,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,70,114,105,99,116,105,111,110,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,70,114,105,99,116,105,111,110,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,46,112,111,114,116,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,114,97,121,76,111,97,100,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,114,97,121,76,111,97,100,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,114,97,121,76,111,97,100,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,67,111,114,101,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,67,111,114,101,46,81,95,102,108,111,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,67,111,114,101,46,112,111,114,116,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,67,111,114,101,46,81,95,102,108,111,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9707560);
/* memory initializer */ allocate([32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,82,111,116,111,114,67,111,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,111,102,32,115,116,97,116,111,114,32,99,111,114,101,32,108,111,115,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,67,111,114,101,46,81,95,102,108,111,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,53,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,53,51,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,112,111,114,116,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,97,116,111,114,67,111,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,67,111,114,101,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,97,116,111,114,67,111,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,87,105,110,100,105,110,103,46,112,111,114,116,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,82,111,116,111,114,87,105,110,100,105,110,103,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,87,105,110,100,105,110,103,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,82,111,116,111,114,87,105,110,100,105,110,103,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,87,105,110,100,105,110,103,46,112,111,114,116,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,83,116,97,116,111,114,87,105,110,100,105,110,103,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,98,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,83,116,97,116,111,114,87,105,110,100,105,110,103,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,102,108,97,110,103,101,95,97,46,116,97,117,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,97,117,69,108,101,99,116,114,105,99,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,52,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,52,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,97,105,114,71,97,112,46,102,108,97,110,103,101,95,97,46,116,97,117,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,97,117,69,108,101,99,116,114,105,99,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,52,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,52,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,97,105,114,71,97,112,46,116,97,117,69,108,101,99,116,114,105,99,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,108,101,99,116,114,105,99,97,108,32,116,111,114,113,117,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,97,117,69,108,101,99,116,114,105,99,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,55,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,53,55,53,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,97,105,114,71,97,112,46,115,117,112,112,111,114,116,46,116,97,117,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,97,117,69,108,101,99,116,114,105,99,97,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,52,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,52,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,102,108,97,110,103,101,46,116,97,117,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,116,97,117,83,104,97,102,116,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,52,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,52,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,108,111,97,100,73,110,101,114,116,105,97,51,46,102,108,97,110,103,101,95,97,46,116,97,117,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,116,97,117,83,104,97,102,116,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,52,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,52,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,102,108,97,110,103,101,46,116,97,117,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,97,117,83,104,97,102,116,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,52,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,52,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,108,111,97,100,73,110,101,114,116,105,97,77,46,102,108,97,110,103,101,95,97,46,116,97,117,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,97,117,83,104,97,102,116,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,52,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,52,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,102,108,97,110,103,101,46,116,97,117,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9717800);
/* memory initializer */ allocate([61,32,34,51,54,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,116,97,117,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,52,56,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,52,56,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,108,111,97,100,73,110,101,114,116,105,97,51,46,102,108,97,110,103,101,95,98,46,116,97,117,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,116,97,117,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,52,56,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,52,56,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,102,108,97,110,103,101,46,116,97,117,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,116,97,117,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,52,56,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,52,56,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,108,111,97,100,73,110,101,114,116,105,97,77,46,102,108,97,110,103,101,95,98,46,116,97,117,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,116,97,117,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,52,56,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,52,56,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,46,112,105,110,95,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,112,111,105,110,116,46,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,46,112,105,110,95,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,112,111,105,110,116,46,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,71,97,105,110,49,46,117,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,112,117,116,32,115,105,103,110,97,108,32,99,111,110,110,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,80,111,108,97,114,49,46,121,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,77,97,116,104,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,51,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,54,51,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,116,97,114,51,46,112,105,110,95,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,103,114,111,117,110,100,51,46,112,46,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,116,97,114,77,46,112,105,110,95,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,103,114,111,117,110,100,77,46,112,46,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,51,55,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,51,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,51,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,52,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,118,48,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,52,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,118,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,56,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,56,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,115,117,112,112,111,114,116,46,116,97,117,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,116,97,117,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,52,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,52,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,102,108,97,110,103,101,46,116,97,117,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,116,97,117,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,52,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,52,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,115,117,112,112,111,114,116,46,116,97,117,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,116,97,117,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,52,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,52,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9728040);
/* memory initializer */ allocate([32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,102,108,97,110,103,101,46,116,97,117,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,116,97,117,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,52,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,52,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,112,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,52,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,110,46,80,104,105,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,52,55,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,112,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,52,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,48,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,112,111,114,116,95,110,46,80,104,105,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,52,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,80,104,105,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,48,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,118,48,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,53,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,118,91,53,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,48,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,56,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,56,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,115,117,112,112,111,114,116,46,116,97,117,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,116,97,117,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,48,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,52,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,52,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,102,108,97,110,103,101,46,116,97,117,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,116,97,117,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,48,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,52,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,52,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,115,117,112,112,111,114,116,46,116,97,117,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,116,97,117,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,48,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,52,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,52,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,102,108,97,110,103,101,46,116,97,117,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,116,97,117,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,52,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,52,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,108,111,115,115,80,111,119,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,104,101,97,116,80,111,114,116,32,40,38,103,116,59,32,48,44,32,105,102,32,104,101,97,116,32,105,115,32,102,108,111,119,105,110,103,32,111,117,116,32,111,102,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,70,114,105,99,116,105,111,110,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,57,57,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,57,57,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,104,101,97,116,80,111,114,116,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,70,114,105,99,116,105,111,110,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,108,111,115,115,80,111,119,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,104,101,97,116,80,111,114,116,32,40,38,103,116,59,32,48,44,32,105,102,32,104,101,97,116,32,105,115,32,102,108,111,119,105,110,103,32,111,117,116,32,111,102,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,114,97,121,76,111,97,100,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,57,57,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,57,57,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,104,101,97,116,80,111,114,116,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,114,97,121,76,111,97,100,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,108,111,115,115,80,111,119,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,104,101,97,116,80,111,114,116,32,40,38,103,116,59,32,48,44,32,105,102,32,104,101,97,116,32,105,115,32,102,108,111,119,105,110,103,32,111,117,116,32,111,102,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,70,114,105,99,116,105,111,110,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,57,57,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,57,57,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,104,101,97,116,80,111,114,116,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,70,114,105,99,116,105,111,110,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9738280);
/* memory initializer */ allocate([83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,108,111,115,115,80,111,119,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,104,101,97,116,80,111,114,116,32,40,38,103,116,59,32,48,44,32,105,102,32,104,101,97,116,32,105,115,32,102,108,111,119,105,110,103,32,111,117,116,32,111,102,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,114,97,121,76,111,97,100,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,57,57,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,57,57,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,104,101,97,116,80,111,114,116,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,114,97,121,76,111,97,100,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,108,111,97,100,73,110,101,114,116,105,97,77,46,112,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,112,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,51,48,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,51,48,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,108,111,97,100,73,110,101,114,116,105,97,51,46,112,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,114,111,116,97,116,105,111,110,32,97,110,103,108,101,32,111,102,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,112,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,51,48,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,51,48,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,108,111,97,100,73,110,101,114,116,105,97,77,46,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,61,32,100,101,114,40,112,104,105,41,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,51,48,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,51,48,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,70,114,105,99,116,105,111,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,111,102,32,102,114,105,99,116,105,111,110,32,108,111,115,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,70,114,105,99,116,105,111,110,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,53,52,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,53,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,83,116,114,97,121,76,111,97,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,111,102,32,115,116,114,97,121,32,108,111,97,100,32,108,111,115,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,114,97,121,76,111,97,100,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,53,52,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,53,52,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,83,116,97,116,111,114,67,111,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,111,102,32,115,116,97,116,111,114,32,99,111,114,101,32,108,111,115,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,97,116,111,114,67,111,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,53,51,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,53,51,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,115,110,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,54,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,55,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,115,110,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,55,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,55,50,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,114,112,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,55,51,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,114,114,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,55,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,114,114,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,97,105,114,71,97,112,46,112,111,114,116,95,114,112,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,55,53,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,114,114,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,55,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,114,114,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,108,111,97,100,73,110,101,114,116,105,97,51,46,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,61,32,100,101,114,40,112,104,105,41,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,51,48,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,51,48,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9748520);
/* memory initializer */ allocate([101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,70,114,105,99,116,105,111,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,111,102,32,102,114,105,99,116,105,111,110,32,108,111,115,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,70,114,105,99,116,105,111,110,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,53,52,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,53,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,83,116,114,97,121,76,111,97,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,111,102,32,115,116,114,97,121,32,108,111,97,100,32,108,111,115,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,114,97,121,76,111,97,100,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,53,52,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,53,52,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,83,116,97,116,111,114,67,111,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,111,102,32,115,116,97,116,111,114,32,99,111,114,101,32,108,111,115,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,112,111,119,101,114,66,97,108,97,110,99,101,46,108,111,115,115,80,111,119,101,114,83,116,97,116,111,114,67,111,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,53,51,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,53,51,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,115,110,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,56,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,56,50,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,115,110,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,56,51,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,56,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,114,112,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,56,53,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,114,114,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,56,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,114,114,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,97,105,114,71,97,112,46,112,111,114,116,95,114,112,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,56,55,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,114,114,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,56,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,114,114,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,102,108,97,110,103,101,95,98,46,116,97,117,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,97,117,83,104,97,102,116,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,52,56,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,52,56,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,82,111,116,111,114,87,105,110,100,105,110,103,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,102,108,97,110,103,101,95,98,46,116,97,117,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,116,32,116,111,114,113,117,101,32,105,110,32,116,104,101,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,116,97,117,83,104,97,102,116,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,52,56,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,52,56,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,46,81,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,97,116,32,102,108,111,119,32,114,97,116,101,32,40,112,111,115,105,116,105,118,101,32,105,102,32,102,108,111,119,105,110,103,32,102,114,111,109,32,111,117,116,115,105,100,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,81,95,102,108,111,119,82,111,116,111,114,87,105,110,100,105,110,103,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,57,51,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,57,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9758760);
/* memory initializer */ allocate([111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,86,95,109,46,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,57,53,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,114,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,86,95,109,46,105,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,57,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,97,105,114,71,97,112,46,86,95,109,115,115,46,105,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,67,111,109,112,108,101,120,32,51,46,50,46,49,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,97,110,103,117,108,97,114,32,97,99,99,101,108,101,114,97,116,105,111,110,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,61,32,100,101,114,40,119,41,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,108,111,97,100,73,110,101,114,116,105,97,51,46,97,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,51,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,51,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,111,102,32,102,108,97,110,103,101,32,119,105,116,104,32,114,101,115,112,101,99,116,32,116,111,32,115,117,112,112,111,114,116,32,40,61,32,100,101,114,40,112,104,105,41,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,51,48,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,51,48,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,97,110,103,117,108,97,114,32,97,99,99,101,108,101,114,97,116,105,111,110,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,61,32,100,101,114,40,119,41,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,108,111,97,100,73,110,101,114,116,105,97,77,46,97,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,51,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,51,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,111,102,32,102,108,97,110,103,101,32,119,105,116,104,32,114,101,115,112,101,99,116,32,116,111,32,115,117,112,112,111,114,116,32,40,61,32,100,101,114,40,112,104,105,41,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,51,48,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,51,48,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,114,97,100,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,114,97,121,76,111,97,100,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,46,112,111,114,116,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,114,97,121,76,111,97,100,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,46,112,111,114,116,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,104,101,97,116,80,111,114,116,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,46,112,111,114,116,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,87,105,110,100,105,110,103,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,48,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,53,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,53,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,75,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,87,105,110,100,105,110,103,46,112,111,114,116,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,98,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,67,111,114,101,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,112,111,114,116,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,67,111,114,101,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,112,111,114,116,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,67,111,114,101,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,112,111,114,116,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,104,101,97,116,80,111,114,116,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9769000);
/* memory initializer */ allocate([116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,112,111,114,116,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,84,104,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,104,101,97,116,80,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,112,111,114,116,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,57,54,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,57,54,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,67,111,114,101,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,67,111,114,101,46,112,111,114,116,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,67,111,114,101,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,67,111,114,101,46,112,111,114,116,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,70,114,105,99,116,105,111,110,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,46,112,111,114,116,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,104,101,97,116,80,111,114,116,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,46,112,111,114,116,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,70,114,105,99,116,105,111,110,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,46,112,111,114,116,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,87,105,110,100,105,110,103,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,49,55,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,53,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,53,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,75,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,87,105,110,100,105,110,103,46,112,111,114,116,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,87,105,110,100,105,110,103,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,87,105,110,100,105,110,103,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,104,101,97,116,80,111,114,116,87,105,110,100,105,110,103,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,112,111,114,116,95,98,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,114,97,121,76,111,97,100,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,46,112,111,114,116,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,114,97,121,76,111,97,100,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,46,112,111,114,116,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,104,101,97,116,80,111,114,116,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9779240);
/* memory initializer */ allocate([77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,46,112,111,114,116,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,87,105,110,100,105,110,103,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,50,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,53,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,53,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,75,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,87,105,110,100,105,110,103,46,112,111,114,116,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,112,111,114,116,95,98,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,115,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,67,111,114,101,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,112,111,114,116,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,83,116,97,116,111,114,67,111,114,101,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,112,111,114,116,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,104,101,97,116,80,111,114,116,67,111,114,101,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,112,111,114,116,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,104,101,97,116,80,111,114,116,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,112,111,114,116,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,84,104,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,104,101,97,116,80,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,112,111,114,116,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,57,54,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,57,54,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,67,111,114,101,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,67,111,114,101,46,112,111,114,116,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,82,111,116,111,114,67,111,114,101,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,67,111,114,101,46,112,111,114,116,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,70,114,105,99,116,105,111,110,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,46,112,111,114,116,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,104,101,97,116,80,111,114,116,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,46,112,111,114,116,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,104,101,97,116,80,111,114,116,70,114,105,99,116,105,111,110,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,46,112,111,114,116,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,87,105,110,100,105,110,103,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,51,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,99,111,110,115,116,84,114,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,53,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,53,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,75,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,87,105,110,100,105,110,103,46,112,111,114,116,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,114,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9789480);
/* memory initializer */ allocate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i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9799720);
/* memory initializer */ allocate([114,116,105,97,82,111,116,111,114,46,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,55,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,55,48,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,119,77,101,99,104,97,110,105,99,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,99,104,97,110,105,99,97,108,32,97,110,103,117,108,97,114,32,118,101,108,111,99,105,116,121,32,111,102,32,114,111,116,111,114,32,97,103,97,105,110,115,116,32,115,116,97,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,55,48,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,55,48,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,114,97,100,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,109,105,110,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,105,109,99,77,46,112,104,105,77,101,99,104,97,110,105,99,97,108,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,101,99,104,97,110,105,99,97,108,32,97,110,103,108,101,32,111,102,32,114,111,116,111,114,32,97,103,97,105,110,115,116,32,115,116,97,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,55,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,55,48,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,115,116,97,116,111,114,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,49,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,111,108,101,32,112,97,105,114,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,116,97,114,77,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,116,97,114,77,46,112,108,117,103,95,112,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,112,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,77,46,112,108,117,103,95,110,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,112,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,112,108,117,103,95,110,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,109,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,104,101,97,116,80,111,114,116,115,61,110,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,112,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,55,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,55,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,112,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,110,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9809960);
/* memory initializer */ allocate([105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,113,117,97,115,105,82,77,83,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,50,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,50,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,101,114,109,105,110,97,108,66,111,120,77,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,55,50,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,55,50,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,112,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,110,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,83,117,112,112,108,121,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,46,112,108,117,103,95,112,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,115,116,97,116,111,114,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,54,53,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,54,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,111,108,101,32,112,97,105,114,115,32,40,73,110,116,101,103,101,114,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,54,54,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,54,54,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,112,108,117,103,95,115,112,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,112,108,117,103,95,115,110,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,115,116,97,116,111,114,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,52,56,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,52,56,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,115,116,97,116,101,83,101,108,101,99,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,105,111,114,105,116,121,32,116,111,32,117,115,101,32,112,104,105,32,97,110,100,32,119,32,97,115,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,51,48,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,51,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,32,47,42,69,78,85,77,58,83,116,97,116,101,83,101,108,101,99,116,46,100,101,102,97,117,108,116,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,32,40,49,32,102,111,114,32,68,67,44,32,51,32,102,111,114,32,105,110,100,117,99,116,105,111,110,32,109,97,99,104,105,110,101,115,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,51,51,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,51,51,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,115,116,97,116,111,114,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,53,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,53,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,115,116,97,116,111,114,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,52,56,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,52,56,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,99,111,108,108,101,99,116,101,100,32,104,101,97,116,32,102,108,111,119,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,55,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,57,55,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,115,116,97,116,101,83,101,108,101,99,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,105,111,114,105,116,121,32,116,111,32,117,115,101,32,112,104,105,32,97,110,100,32,119,32,97,115,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,51,48,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,51,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,32,47,42,69,78,85,77,58,83,116,97,116,101,83,101,108,101,99,116,46,100,101,102,97,117,108,116,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9820200);
/* memory initializer */ allocate([97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,53,53,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,53,53,53,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,109,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,104,101,97,116,80,111,114,116,115,61,110,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,97,105,114,71,97,112,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,111,108,101,32,112,97,105,114,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,55,50,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,53,55,50,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,56,54,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,54,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9830440);
/* memory initializer */ allocate([99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,99,111,108,108,101,99,116,101,100,32,104,101,97,116,32,102,108,111,119,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,55,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,57,55,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,109,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,104,101,97,116,80,111,114,116,115,61,110,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,108,111,97,100,73,110,101,114,116,105,97,77,46,115,116,97,116,101,83,101,108,101,99,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,105,111,114,105,116,121,32,116,111,32,117,115,101,32,112,104,105,32,97,110,100,32,119,32,97,115,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,51,48,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,51,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,32,47,42,69,78,85,77,58,83,116,97,116,101,83,101,108,101,99,116,46,100,101,102,97,117,108,116,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,68,97,116,97,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,56,57,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,56,57,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,68,97,116,97,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,111,108,101,32,112,97,105,114,115,32,40,73,110,116,101,103,101,114,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,56,57,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,56,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,32,40,49,32,102,111,114,32,68,67,44,32,51,32,102,111,114,32,105,110,100,117,99,116,105,111,110,32,109,97,99,104,105,110,101,115,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,51,51,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,51,51,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,116,97,114,51,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9840680);
/* memory initializer */ allocate([101,32,61,32,34,53,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,116,97,114,51,46,112,108,117,103,95,112,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,112,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,110,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,51,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,112,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,110,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,51,46,109,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,104,101,97,116,80,111,114,116,115,61,110,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,110,111,117,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,111,117,116,112,117,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,83,112,97,99,101,80,104,97,115,111,114,49,46,110,105,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,84,111,80,111,108,97,114,49,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,32,40,61,32,110,117,109,98,101,114,32,111,102,32,111,117,116,112,117,116,115,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,110,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,55,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,55,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,112,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,110,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,101,114,109,105,110,97,108,66,111,120,51,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,55,50,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,55,50,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,112,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,110,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9850920);
/* memory initializer */ allocate([105,110,101,32,61,32,34,51,50,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,83,117,112,112,108,121,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,46,112,108,117,103,95,112,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,115,116,97,116,111,114,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,54,53,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,54,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,111,108,101,32,112,97,105,114,115,32,40,73,110,116,101,103,101,114,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,54,54,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,54,54,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,112,108,117,103,95,115,112,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,112,108,117,103,95,115,110,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,105,110,116,101,114,110,97,108,84,104,101,114,109,97,108,80,111,114,116,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,115,116,97,116,111,114,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,52,56,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,52,56,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,115,116,97,116,101,83,101,108,101,99,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,105,111,114,105,116,121,32,116,111,32,117,115,101,32,112,104,105,32,97,110,100,32,119,32,97,115,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,51,48,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,51,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,32,47,42,69,78,85,77,58,83,116,97,116,101,83,101,108,101,99,116,46,100,101,102,97,117,108,116,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,32,40,49,32,102,111,114,32,68,67,44,32,51,32,102,111,114,32,105,110,100,117,99,116,105,111,110,32,109,97,99,104,105,110,101,115,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,51,51,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,51,51,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,115,116,97,116,111,114,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,53,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,53,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,80,111,114,116,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,115,116,97,116,111,114,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,52,56,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,52,56,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,99,111,108,108,101,99,116,101,100,32,104,101,97,116,32,102,108,111,119,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,55,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,57,55,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,115,116,97,116,101,83,101,108,101,99,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,105,111,114,105,116,121,32,116,111,32,117,115,101,32,112,104,105,32,97,110,100,32,119,32,97,115,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,51,48,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,51,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,32,47,42,69,78,85,77,58,83,116,97,116,101,83,101,108,101,99,116,46,100,101,102,97,117,108,116,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,53,53,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,53,53,53,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9861160);
/* memory initializer */ allocate([110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,109,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,104,101,97,116,80,111,114,116,115,61,110,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,97,105,114,71,97,112,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,111,108,101,32,112,97,105,114,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,55,50,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,53,55,50,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,56,54,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,54,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,99,111,108,108,101,99,116,101,100,32,104,101,97,116,32,102,108,111,119,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,55,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,57,55,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9871400);
/* memory initializer */ allocate([103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,109,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,104,101,97,116,80,111,114,116,115,61,110,117,109,98,101,114,32,111,102,32,112,104,97,115,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,108,111,97,100,73,110,101,114,116,105,97,51,46,115,116,97,116,101,83,101,108,101,99,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,105,111,114,105,116,121,32,116,111,32,117,115,101,32,112,104,105,32,97,110,100,32,119,32,97,115,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,51,48,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,51,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,32,47,42,69,78,85,77,58,83,116,97,116,101,83,101,108,101,99,116,46,100,101,102,97,117,108,116,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,51,46,99,111,110,116,114,111,108,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,32,61,38,103,116,59,32,112,45,45,110,32,99,111,110,110,101,99,116,101,100,44,32,102,97,108,115,101,32,61,38,103,116,59,32,115,119,105,116,99,104,32,111,112,101,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,51,46,99,111,110,116,114,111,108,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,32,61,38,103,116,59,32,112,45,45,110,32,99,111,110,110,101,99,116,101,100,44,32,102,97,108,115,101,32,61,38,103,116,59,32,115,119,105,116,99,104,32,111,112,101,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,51,46,99,111,110,116,114,111,108,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,32,61,38,103,116,59,32,112,45,45,110,32,99,111,110,110,101,99,116,101,100,44,32,102,97,108,115,101,32,61,38,103,116,59,32,115,119,105,116,99,104,32,111,112,101,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,99,111,110,116,114,111,108,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,32,61,38,103,116,59,32,112,45,45,110,32,99,111,110,110,101,99,116,101,100,44,32,102,97,108,115,101,32,61,38,103,116,59,32,115,119,105,116,99,104,32,111,112,101,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,99,111,110,116,114,111,108,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,32,61,38,103,116,59,32,112,45,45,110,32,99,111,110,110,101,99,116,101,100,44,32,102,97,108,115,101,32,61,38,103,116,59,32,115,119,105,116,99,104,32,111,112,101,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,99,111,110,116,114,111,108,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,32,61,38,103,116,59,32,112,45,45,110,32,99,111,110,110,101,99,116,101,100,44,32,102,97,108,115,101,32,61,38,103,116,59,32,115,119,105,116,99,104,32,111,112,101,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,99,111,110,116,114,111,108,91,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,32,61,38,103,116,59,32,112,45,45,110,32,99,111,110,110,101,99,116,101,100,44,32,102,97,108,115,101,32,61,38,103,116,59,32,115,119,105,116,99,104,32,111,112,101,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,99,111,110,116,114,111,108,91,53,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,32,61,38,103,116,59,32,112,45,45,110,32,99,111,110,110,101,99,116,101,100,44,32,102,97,108,115,101,32,61,38,103,116,59,32,115,119,105,116,99,104,32,111,112,101,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,48,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,48,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,56,34,32,102,105,108,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9881640);
/* memory initializer */ allocate([87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,117,115,101,72,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,117,115,101,72,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,117,115,101,72,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,117,115,101,72,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,117,115,101,72,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,98,111,111,108,101,97,110,83,116,101,112,77,91,49,93,46,115,116,97,114,116,86,97,108,117,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,117,116,112,117,116,32,98,101,102,111,114,101,32,115,116,97,114,116,84,105,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,50,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,98,111,111,108,101,97,110,83,116,101,112,77,91,50,93,46,115,116,97,114,116,86,97,108,117,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,117,116,112,117,116,32,98,101,102,111,114,101,32,115,116,97,114,116,84,105,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,50,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,98,111,111,108,101,97,110,83,116,101,112,77,91,51,93,46,115,116,97,114,116,86,97,108,117,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,117,116,112,117,116,32,98,101,102,111,114,101,32,115,116,97,114,116,84,105,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,50,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,98,111,111,108,101,97,110,83,116,101,112,77,91,52,93,46,115,116,97,114,116,86,97,108,117,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,117,116,112,117,116,32,98,101,102,111,114,101,32,115,116,97,114,116,84,105,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,50,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,98,111,111,108,101,97,110,83,116,101,112,77,91,53,93,46,115,116,97,114,116,86,97,108,117,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,117,116,112,117,116,32,98,101,102,111,114,101,32,115,116,97,114,116,84,105,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,50,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,117,115,101,72,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,117,115,101,72,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,117,115,101,72,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,117,115,101,72,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,117,115,101,72,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,117,115,101,72,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,117,115,101,72,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,117,115,101,72,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9891880);
/* memory initializer */ allocate([111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,117,115,101,72,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,117,115,101,72,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,117,115,101,72,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,117,115,101,72,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,117,115,101,72,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,98,111,111,108,101,97,110,83,116,101,112,51,91,49,93,46,115,116,97,114,116,86,97,108,117,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,117,116,112,117,116,32,98,101,102,111,114,101,32,115,116,97,114,116,84,105,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,50,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,98,111,111,108,101,97,110,83,116,101,112,51,91,50,93,46,115,116,97,114,116,86,97,108,117,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,117,116,112,117,116,32,98,101,102,111,114,101,32,115,116,97,114,116,84,105,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,50,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,98,111,111,108,101,97,110,83,116,101,112,51,91,51,93,46,115,116,97,114,116,86,97,108,117,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,117,116,112,117,116,32,98,101,102,111,114,101,32,115,116,97,114,116,84,105,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,50,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,117,115,101,72,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,117,115,101,72,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,117,115,101,72,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,117,115,101,72,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,117,115,101,72,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,117,115,101,72,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,117,115,101,72,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,116,114,117,101,44,32,105,102,32,97,108,108,32,72,101,97,116,80,111,114,116,115,32,97,114,101,32,101,110,97,98,108,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,56,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,117,115,101,83,117,112,112,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,110,97,98,108,101,32,47,32,100,105,115,97,98,108,101,32,40,61,102,105,120,101,100,32,115,116,97,116,111,114,41,32,115,117,112,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,54,53,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,54,53,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,117,115,101,84,104,101,114,109,97,108,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,110,97,98,108,101,32,47,32,100,105,115,97,98,108,101,32,40,61,102,105,120,101,100,32,116,101,109,112,101,114,97,116,117,114,101,115,41,32,116,104,101,114,109,97,108,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,54,53,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,54,54,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,117,115,101,84,101,109,112,101,114,97,116,117,114,101,73,110,112,117,116,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,102,32,116,114,117,101,44,32,116,101,109,112,101,114,97,116,117,114,101,32,105,110,112,117,116,115,32,97,114,101,32,117,115,101,100,59,32,101,108,115,101,44,32,116,101,109,112,101,114,97,116,117,114,101,115,32,97,114,101,32,99,111,110,115,116,97,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,53,50,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9902120);
/* memory initializer */ allocate([32,101,110,100,76,105,110,101,32,61,32,34,49,51,53,50,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,117,115,101,72,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,116,114,117,101,44,32,105,102,32,104,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,57,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,57,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,117,115,101,72,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,116,114,117,101,44,32,105,102,32,104,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,57,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,57,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,117,115,101,72,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,110,97,98,108,101,32,47,32,100,105,115,97,98,108,101,32,40,61,102,105,120,101,100,32,116,101,109,112,101,114,97,116,117,114,101,115,41,32,116,104,101,114,109,97,108,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,53,53,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,53,53,53,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,117,115,101,72,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,116,114,117,101,44,32,105,102,32,104,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,57,53,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,57,53,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,117,115,101,72,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,116,114,117,101,44,32,105,102,32,97,108,108,32,72,101,97,116,80,111,114,116,115,32,97,114,101,32,101,110,97,98,108,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,56,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,117,115,101,72,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,110,97,98,108,101,32,47,32,100,105,115,97,98,108,101,32,40,61,102,105,120,101,100,32,116,101,109,112,101,114,97,116,117,114,101,115,41,32,116,104,101,114,109,97,108,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,56,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,117,115,101,72,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,116,114,117,101,44,32,105,102,32,97,108,108,32,72,101,97,116,80,111,114,116,115,32,97,114,101,32,101,110,97,98,108,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,56,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,117,115,101,83,117,112,112,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,115,117,112,112,111,114,116,32,102,108,97,110,103,101,32,101,110,97,98,108,101,100,44,32,111,116,104,101,114,119,105,115,101,32,105,109,112,108,105,99,105,116,108,121,32,103,114,111,117,110,100,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,48,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,55,48,48,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,84,111,114,113,117,101,68,105,114,101,99,116,105,111,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,97,109,101,32,100,105,114,101,99,116,105,111,110,32,111,102,32,116,111,114,113,117,101,32,105,110,32,98,111,116,104,32,100,105,114,101,99,116,105,111,110,115,32,111,102,32,114,111,116,97,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,51,48,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,51,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,51,46,117,115,101,72,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,116,114,117,101,44,32,105,102,32,97,108,108,32,72,101,97,116,80,111,114,116,115,32,97,114,101,32,101,110,97,98,108,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,56,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,117,115,101,83,117,112,112,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,110,97,98,108,101,32,47,32,100,105,115,97,98,108,101,32,40,61,102,105,120,101,100,32,115,116,97,116,111,114,41,32,115,117,112,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,54,53,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,54,53,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,117,115,101,84,104,101,114,109,97,108,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,110,97,98,108,101,32,47,32,100,105,115,97,98,108,101,32,40,61,102,105,120,101,100,32,116,101,109,112,101,114,97,116,117,114,101,115,41,32,116,104,101,114,109,97,108,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,54,53,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,54,54,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,117,115,101,84,101,109,112,101,114,97,116,117,114,101,73,110,112,117,116,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,102,32,116,114,117,101,44,32,116,101,109,112,101,114,97,116,117,114,101,32,105,110,112,117,116,115,32,97,114,101,32,117,115,101,100,59,32,101,108,115,101,44,32,116,101,109,112,101,114,97,116,117,114,101,115,32,97,114,101,32,99,111,110,115,116,97,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,53,50,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,53,50,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,102,114,105,99,116,105,111,110,46,117,115,101,72,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,116,114,117,101,44,32,105,102,32,104,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,57,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,57,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,114,97,121,76,111,97,100,46,117,115,101,72,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,116,114,117,101,44,32,105,102,32,104,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,57,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,57,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,117,115,101,72,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,110,97,98,108,101,32,47,32,100,105,115,97,98,108,101,32,40,61,102,105,120,101,100,32,116,101,109,112,101,114,97,116,117,114,101,115,41,32,116,104,101,114,109,97,108,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,53,53,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,53,53,53,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,99,111,114,101,46,117,115,101,72,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,116,114,117,101,44,32,105,102,32,104,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,57,53,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,57,53,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,117,115,101,72,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,116,114,117,101,44,32,105,102,32,97,108,108,32,72,101,97,116,80,111,114,116,115,32,97,114,101,32,101,110,97,98,108,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,56,55,34,32,115,116,97,114,116,67], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9912360);
/* memory initializer */ allocate([111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,56,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,117,115,101,72,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,110,97,98,108,101,32,47,32,100,105,115,97,98,108,101,32,40,61,102,105,120,101,100,32,116,101,109,112,101,114,97,116,117,114,101,115,41,32,116,104,101,114,109,97,108,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,56,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,117,115,101,72,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,116,114,117,101,44,32,105,102,32,97,108,108,32,72,101,97,116,80,111,114,116,115,32,97,114,101,32,101,110,97,98,108,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,56,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,117,115,101,83,117,112,112,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,115,117,112,112,111,114,116,32,102,108,97,110,103,101,32,101,110,97,98,108,101,100,44,32,111,116,104,101,114,119,105,115,101,32,105,109,112,108,105,99,105,116,108,121,32,103,114,111,117,110,100,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,48,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,55,48,48,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,84,111,114,113,117,101,68,105,114,101,99,116,105,111,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,97,109,101,32,100,105,114,101,99,116,105,111,110,32,111,102,32,116,111,114,113,117,101,32,105,110,32,98,111,116,104,32,100,105,114,101,99,116,105,111,110,115,32,111,102,32,114,111,116,97,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,51,48,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,54,51,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,98,111,111,108,101,97,110,83,116,101,112,51,91,51,93,46,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,66,111,111,108,101,97,110,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,99,111,110,116,114,111,108,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,51,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,51,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,99,111,110,116,114,111,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,32,61,38,103,116,59,32,112,45,45,110,32,99,111,110,110,101,99,116,101,100,44,32,102,97,108,115,101,32,61,38,103,116,59,32,115,119,105,116,99,104,32,111,112,101,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,99,111,110,116,114,111,108,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,52,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,98,111,111,108,101,97,110,83,116,101,112,51,91,50,93,46,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,66,111,111,108,101,97,110,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,99,111,110,116,114,111,108,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,51,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,51,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,99,111,110,116,114,111,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,32,61,38,103,116,59,32,112,45,45,110,32,99,111,110,110,101,99,116,101,100,44,32,102,97,108,115,101,32,61,38,103,116,59,32,115,119,105,116,99,104,32,111,112,101,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,99,111,110,116,114,111,108,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,52,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,98,111,111,108,101,97,110,83,116,101,112,51,91,49,93,46,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,66,111,111,108,101,97,110,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,99,111,110,116,114,111,108,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,51,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,51,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,99,111,110,116,114,111,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,32,61,38,103,116,59,32,112,45,45,110,32,99,111,110,110,101,99,116,101,100,44,32,102,97,108,115,101,32,61,38,103,116,59,32,115,119,105,116,99,104,32,111,112,101,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,105,100,101,97,108,67,108,111,115,101,114,51,46,99,111,110,116,114,111,108,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,52,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,98,111,111,108,101,97,110,83,116,101,112,77,91,53,93,46,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,66,111,111,108,101,97,110,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,99,111,110,116,114,111,108,91,53,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,51,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,51,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,99,111,110,116,114,111,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,32,61,38,103,116,59,32,112,45,45,110,32,99,111,110,110,101,99,116,101,100,44,32,102,97,108,115,101,32,61,38,103,116,59,32,115,119,105,116,99,104,32,111,112,101,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,99,111,110,116,114,111,108,91,53,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,52,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,98,111,111,108,101,97,110,83,116,101,112,77,91,52,93,46,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,66,111,111,108,101,97,110,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,99,111,110,116,114,111,108,91,52,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,51,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,51,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,99,111,110,116,114,111,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,32,61,38,103,116,59,32,112,45,45,110,32,99,111,110,110,101,99,116,101,100,44,32,102,97,108,115,101,32,61,38,103,116,59,32,115,119,105,116,99,104,32,111,112,101,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,99,111,110,116,114,111,108,91,52,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,52,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,98,111,111,108,101,97,110,83,116,101,112,77,91,51,93,46,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,66,111,111,108,101,97,110,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,99,111,110,116,114,111,108,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,51,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,51,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,99,111,110,116,114,111,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,32,61,38,103,116,59,32,112,45,45,110,32,99,111,110,110,101,99,116,101,100,44,32,102,97,108,115,101,32,61,38,103,116,59,32,115,119,105,116,99,104,32,111,112,101,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,99,111,110,116,114,111,108,91,51,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,52,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,98,111,111,108,101,97,110,83,116,101,112,77,91,50,93,46,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,66,111,111,108,101,97,110,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,99,111,110,116,114,111,108,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,51,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,51,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9922600);
/* memory initializer */ allocate([119,105,116,99,104,91,50,93,46,99,111,110,116,114,111,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,32,61,38,103,116,59,32,112,45,45,110,32,99,111,110,110,101,99,116,101,100,44,32,102,97,108,115,101,32,61,38,103,116,59,32,115,119,105,116,99,104,32,111,112,101,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,99,111,110,116,114,111,108,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,52,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,98,111,111,108,101,97,110,83,116,101,112,77,91,49,93,46,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,66,111,111,108,101,97,110,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,99,111,110,116,114,111,108,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,49,51,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,49,51,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,99,111,110,116,114,111,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,116,114,117,101,32,61,38,103,116,59,32,112,45,45,110,32,99,111,110,110,101,99,116,101,100,44,32,102,97,108,115,101,32,61,38,103,116,59,32,115,119,105,116,99,104,32,111,112,101,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,105,100,101,97,108,67,108,111,115,101,114,77,46,99,111,110,116,114,111,108,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,52,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,101,114,109,105,110,97,108,66,111,120,77,46,116,101,114,109,105,110,97,108,67,111,110,110,101,99,116,105,111,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,104,111,111,115,101,32,89,61,115,116,97,114,47,68,61,100,101,108,116,97,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,115,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,55,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,55,50,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,83,116,114,105,110,103,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,89,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,116,101,114,109,105,110,97,108,66,111,120,51,46,116,101,114,109,105,110,97,108,67,111,110,110,101,99,116,105,111,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,104,111,111,115,101,32,89,61,115,116,97,114,47,68,61,100,101,108,116,97,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,115,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,97,99,104,105,110,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,55,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,55,50,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,83,116,114,105,110,103,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,89,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,47,77,111,100,101,108,86,97,114,105,97,98,108,101,115,62,10,32,32,10,32,32,10,60,47,102,109,105,77,111,100,101,108,68,101,115,99,114,105,112,116,105,111,110,62,10,10,0,0,0,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,84,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,82,111,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,82,111,110,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,68,65,83,83,76,45,45,32,32,65,76,76,32,69,76,69,77,69,78,84,83,32,79,70,32,82,84,79,76,32,65,78,68,32,65,84,79,76,32,65,82,69,32,90,69,82,79,0,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,71,111,102,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,71,111,102,102,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,110,109,76,98,117,102,32,111,118,101,114,102,108,111,119,0,105,110,99,111,109,112,108,101,116,101,32,109,97,114,107,117,112,32,105,110,32,112,97,114,97,109,101,116,101,114,32,101,110,116,105,116,121,0,0,0,70,76,65,71,95,77,65,88,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,84,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,82,111,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,82,111,110,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,97,98,115,86,97,114,73,110,100,101,120,32,62,32,48,32,38,38,32,97,98,115,86,97,114,73,110,100,101,120,32,60,61,32,114,101,97,100,101,114,45,62,110,118,97,114,0,0,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,71,111,102,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,71,111,102,102,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,84,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,82,111,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,82,111,110,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,37,115,58,32,73,110,102,111,32,88,77,76,32,37,115,32,99,111,110,116,97,105,110,101,100,32,109,111,114,101,32,101,113,117,97,116,105,111,110,115,32,116,104,97,110,32,101,120,112,101,99,116,101,100,32,40,37,108,100,41,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,49,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,60,105,110,105,116,84,105,109,101,62,37,102,60,47,105,110,105,116,84,105,109,101,62,10,0,0,0,0,0,0,0,0,76,105,110,101,97,114,32,109,111,100,101,108,32,105,115,32,99,114,101,97,116,101,100,33,0,0,0,0,0,0,0,0,97,100,100,105,116,105,111,110,97,108,32,105,110,102,111,114,109,97,116,105,111,110,32,97,98,111,117,116,32,100,97,115,115,108,32,115,111,108,118,101,114,0,0,0,0,0,0,0,79,80,69,78,77,79,68,69,76,73,67,65,72,79,77,69,58,32,37,115,0,0,0,0,37,109,47,37,100,47,37,121,0,0,0,0,0,0,0,0,116,105,109,101,0,0,0,0,83,105,109,117,108,97,116,105,111,110,32,116,105,109,101,32,91,115,93,0,0,0,0,0,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,82,95,109,46,100,0,0,0,0,0,0,99,117,114,114,101,110,116,32,111,112,116,105,111,110,115,32,97,114,101,58,0,0,0,0,73,112,111,112,116,32,105,115,32,110,101,101,100,101,100,32,98,117,116,32,110,111,116,32,97,118,97,105,108,97,98,108,101,46,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,71,111,102,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,71,111,102,102,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,84,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,123,56,99,52,101,56,49,48,102,45,51,100,102,51,45,52,97,48,48,45,56,50,55,54,45,49,55,54,102,97,51,99,57,102,57,101,48,125,0,0,111,102,102,115,101,116,32,118,97,108,117,101,32,102,111,114,32,116,104,101,32,110,101,120,116,32,115,116,101,112,58,32,37,46,49,48,102,0,0,0,70,105,110,105,115,104,101,100,32,68,68,65,83,82,84,32,115,116,101,112,46,0,0,0,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,82,111,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,82,111,110,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,71,111,102,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,52,93,46,71,111,102,102,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,68,65,83,83,76,45,45,32,32,83,79,77,69,32,69,76,69,77,69,78,84,32,79,70,32,65,84,79,76,32,73,83,32,46,76,84,46,32,48,0,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,84,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,109,117,115,116,32,110,111,116,32,117,110,100,101,99,108,97,114,101,32,112,114,101,102,105,120,0,0,0,0,0,0,0,119,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,82,111,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,82,111,110,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,71,111,102,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,77,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,53,93,46,71,111,102,102,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,73,109,112,108,101,109,101,110,116,97,116,105,111,110,32,101,114,114,111,114,58,32,85,110,107,110,111,119,110,32,99,97,115,101,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,86,97,114,105,97,98,108,101,32,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,112,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,112,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,86,97,114,105,97,98,108,101,32,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,112,108,117,103,95,110,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,37,115,58,32,85,110,107,110,111,119,110,32,97,116,116,114,105,98,117,116,101,32,105,110,32,60,105,110,102,111,62,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,50,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,60,112,114,101,105,110,105,116,84,105,109,101,62,37,102,60,47,112,114,101,105,110,105,116,84,105,109,101,62,10,0,0,116,104,105,115,32,115,116,114,101,97,109,32,105,115,32,97,108,119,97,121,115,32,97,99,116,105,118,101,0,0,0,0,79,80,69,78,77,79,68,69,76,73,67,65,72,79,77,69,0,0,0,0,0,0,0,0,115,105,103,115,0,0,0,0,116,105,109,101,0,0,0,0,105,102,32,105,100,101,97,108,67,108,111,115,101,114,51,46,99,111,110,116,114,111,108,91,51,93,32,116,104,101,110,32,49,46,48,32,101,108,115,101,32,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,71,111,102,102,0,0,0,0,0,0,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,111,112,116,105,111,110,32,45,105,105,109,32,37,115,0,0,0,0,0,110,111,110,45,112,111,115,105,116,105,118,101,32,114,101,99,111,114,100,32,110,117,109,98,101,114,0,0,0,0,0,0,83,117,110,100,105,97,108,47,107,105,110,115,111,108,32,105,115,32,110,101,101,100,101,100,32,98,117,116,32,110,111,116,32,97,118,97,105,108,97,98,108,101,46,32,80,108,101,97,115,101,32,99,104,111,111,115,101,32,111,116,104,101,114,32,115,111,108,118,101,114,46,0,117,110,114,101,99,111,103,110,105,122,101,100,32,100,97,115,115,108,32,115,111,108,118,101,114,32,109,101,116,104,111,100,32,37,115,0,0,0,0,0,86,97,114,105,97,98,108,101,32,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,112,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,112,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,0,0,115,105,109,117,108,97,116,105,111,110,47,115,111,108,118,101,114,47,100,97,115,115,108,46,99,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,110,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,99,117,114,114,101,110,116,83,101,110,115,111,114,46,112,108,117,103,95,110,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,86,97,114,105,97,98,108,101,32,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,113,117,97,115,105,82,77,83,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,77,46,113,117,97,115,105,82,77,83,46,109,32,62,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,0,68,65,83,83,76,45,45,32,32,83,79,77,69,32,69,76,69,77,69,78,84,32,79,70,32,82,84,79,76,32,73,83,32,46,76,84,46,32,48,0,86,97,114,105,97,98,108,101,32,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,112,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,112,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,117,110,98,111,117,110,100,32,112,114,101,102,105,120,0,0,115,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,110,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,95,115,110,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,66,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,83,117,112,112,108,121,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,116,101,114,109,105,110,97,108,66,111,120,77,46,112,108,117,103,83,117,112,112,108,121,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,67,111,114,114,117,112,116,32,104,101,97,100,101,114,58,32,100,97,116,97,95,50,32,109,97,116,114,105,120,0,0,0,86,97,114,105,97,98,108,101,32,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,86,97,114,105,97,98,108,101,32,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,46,112,108,117,103,95,112,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,116,101,114,109,105,110,97,108,66,111,120,77,46,115,116,97,114,46,112,108,117,103,95,112,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,109,32,62,61,32,51,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,116,114,117,101,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,51,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,51,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,60,111,118,101,114,104,101,97,100,84,105,109,101,62,37,102,60,47,111,118,101,114,104,101,97,100,84,105,109,101,62,10,0,0,0,0,0,0,0,0,95,114,101,115,46,0,0,0,117,110,107,110,111,119,110,0,118,97,114,105,97,98,108,101,32,102,105,108,116,101,114,58,32,37,115,0,0,0,0,0,102,0,0,0,97,0,0,0,108,0,0,0,115,0,0,0,101,0,0,0,0,0,0,0,116,109,101,116,97,0,0,0,105,102,32,105,100,101,97,108,67,108,111,115,101,114,51,46,99,111,110,116,114,111,108,91,49,93,32,116,104,101,110,32,49,46,48,32,101,108,115,101,32,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,71,111,102,102,0,0,0,0,0,0,0,0,99,97,110,39,116,32,97,112,112,101,110,100,32,116,111,32,102,105,108,101,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,112,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,112,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,69,66,90,0,0,0,0,0,35,35,35,32,69,78,68,32,83,84,65,84,73,83,84,73,67,83,32,35,35,35,0,0,91,37,108,100,93,32,37,115,32,61,32,37,99,32,124,32,112,114,101,40,37,115,41,32,61,32,37,99,0,0,0,0,116,105,109,101,32,60,32,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,49,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,84,115,79,112,101,114,97,116,105,111,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,84,115,79,112,101,114,97,116,105,111,110,97,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,117,110,100,97,109,101,110,116,97,108,87,97,118,101,46,69,120,97,109,112,108,101,115,46,66,97,115,105,99,77,97,99,104,105,110,101,115,46,65,73,77,67,95,68,79,76,95,77,117,108,116,105,80,104,97,115,101,0,0,0,0,115,97,118,101,32,97,108,108,32,122,101,114,111,99,114,111,115,115,105,110,103,115,32,97,102,116,101,114,32,97,110,32,101,118,101,110,116,0,0,0,49,48,32,43,32,117,105,32,60,32,100,97,115,115,108,68,97,116,97,45,62,108,105,119,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,84,115,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,84,115,82,101,102,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,84,114,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,84,114,82,101,102,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,68,65,83,83,76,45,45,32,32,73,87,79,82,75,32,76,69,78,71,84,72,32,78,69,69,68,69,68,44,32,76,69,78,73,87,32,40,61,73,49,41,44,32,69,88,67,69,69,68,83,32,76,73,87,32,40,61,73,50,41,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,84,114,79,112,101,114,97,116,105,111,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,84,114,79,112,101,114,97,116,105,111,110,97,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,39,110,101,119,39,32,102,105,108,101,32,101,120,105,115,116,115,0,0,0,0,0,0,0,99,97,110,110,111,116,32,99,104,97,110,103,101,32,115,101,116,116,105,110,103,32,111,110,99,101,32,112,97,114,115,105,110,103,32,104,97,115,32,98,101,103,117,110,0,0,0,0,114,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,112,108,117,103,95,115,112,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,112,108,117,103,95,115,112,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,112,108,117,103,95,115,110,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,112,108,117,103,95,115,110,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,84,111,111,32,102,101,119,32,114,111,119,115,32,105,110,32,100,97,116,97,95,50,32,109,97,116,114,105,120,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,74,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,74,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,102,97,108,115,101,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,115,116,97,116,101,83,101,108,101,99,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,115,116,97,116,101,83,101,108,101,99,116,32,62,61,32,83,116,97,116,101,83,101,108,101,99,116,46,110,101,118,101,114,32,97,110,100,32,97,105,109,99,77,46,105,110,101,114,116,105,97,82,111,116,111,114,46,115,116,97,116,101,83,101,108,101,99,116,32,60,61,32,83,116,97,116,101,83,101,108,101,99,116,46,97,108,119,97,121,115,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,114,101,97,100,111,110,108,121,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,49,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,60,111,117,116,112,117,116,70,105,108,101,115,105,122,101,62,37,108,100,60,47,111,117,116,112,117,116,70,105,108,101,115,105,122,101,62,10,0,0,0,98,97,115,101,95,97,114,114,97,121,46,99,58,32,97,114,114,97,121,32,100,105,109,101,110,115,105,111,110,115,32,115,105,122,101,115,32,97,114,101,32,78,85,76,76,33,10,0,111,118,101,114,119,114,105,116,101,32,115,111,108,118,101,114,32,109,101,116,104,111,100,58,32,37,115,32,91,102,114,111,109,32,99,111,109,109,97,110,100,32,108,105,110,101,93,0,76,79,71,95,90,69,82,79,67,82,79,83,83,73,78,71,83,0,0,0,0,0,0,0,118,97,114,105,97,98,108,101,70,105,108,116,101,114,0,0,111,98,106,115,0,0,0,0,99,112,117,32,116,105,109,101,32,91,115,93,0,0,0,0,105,102,32,105,100,101,97,108,67,108,111,115,101,114,51,46,99,111,110,116,114,111,108,91,50,93,32,116,104,101,110,32,49,46,48,32,101,108,115,101,32,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,71,111,102,102,0,0,0,0,0,0,0,0,35,35,35,32,83,84,65,82,84,32,73,78,73,84,73,65], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9932840);
/* memory initializer */ allocate([76,73,90,65,84,73,79,78,32,35,35,35,0,0,0,0,83,84,0,0,0,0,0,0,115,111,114,114,121,32,45,32,110,111,32,115,111,108,118,101,114,32,115,116,97,116,105,115,116,105,99,115,32,97,118,97,105,108,97,98,108,101,46,32,91,110,111,116,32,121,101,116,32,105,109,112,108,101,109,101,110,116,101,100,93,0,0,0,115,116,97,116,117,115,32,111,102,32,114,101,108,97,116,105,111,110,115,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,32,62,61,32,49,101,45,54,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,32,62,61,32,49,101,45,54,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,69,114,114,111,114,32,119,104,105,108,101,32,105,110,105,116,105,97,108,105,122,101,32,68,97,116,97,0,0,0,0,0,37,108,100,32,99,104,97,110,103,101,100,32,102,114,111,109,32,37,115,32,116,111,32,99,117,114,114,101,110,116,32,37,115,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,65,67,84,73,79,78,32,87,65,83,32,84,65,75,69,78,46,32,82,85,78,32,84,69,82,77,73,78,65,84,69,68,0,0,0,0,0,0,0,116,111,116,97,108,32,110,117,109,98,101,114,32,111,102,32,101,114,114,111,114,32,116,101,115,116,32,102,97,105,108,117,114,101,115,58,32,37,100,0,40,105,32,62,32,48,41,32,38,38,32,40,105,32,60,61,32,97,45,62,110,100,105,109,115,41,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,86,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,86,82,101,102,32,62,61,32,49,101,45,54,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,82,87,79,82,75,32,76,69,78,71,84,72,32,78,69,69,68,69,68,44,32,76,69,78,82,87,32,40,61,73,49,41,44,32,69,88,67,69,69,68,83,32,76,82,87,32,40,61,73,50,41,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,32,62,61,32,49,101,45,54,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,114,101,113,117,101,115,116,101,100,32,102,101,97,116,117,114,101,32,114,101,113,117,105,114,101,115,32,88,77,76,95,68,84,68,32,115,117,112,112,111,114,116,32,105,110,32,69,120,112,97,116,0,0,0,0,0,112,111,114,116,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,114,97,116,105,111,72,121,115,116,101,114,101,115,105,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,114,97,116,105,111,72,121,115,116,101,114,101,115,105,115,32,62,61,32,48,46,48,32,97,110,100,32,97,105,109,99,77,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,114,97,116,105,111,72,121,115,116,101,114,101,115,105,115,32,60,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,58,32,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,100,97,116,97,95,49,32,109,97,116,114,105,120,32,100,111,101,115,32,110,111,116,32,104,97,118,101,32,49,32,111,114,32,50,32,114,111,119,115,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,73,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,73,82,101,102,32,62,61,32,49,101,45,54,48,32,104,97,115,32,118,97,108,117,101,58,32,0,116,0,0,0,114,0,0,0,117,0,0,0,101,0,0,0,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,32,62,61,32,49,101,45,54,48,32,104,97,115,32,118,97,108,117,101,58,32,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,32,62,61,32,49,101,45,54,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,99,111,108,69,110,100,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,50,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,60,47,111,117,116,112,117,116,70,105,108,101,110,97,109,101,62,10,0,0,0,0,0,0,76,105,110,101,97,114,105,122,97,116,105,111,110,32,119,105,108,108,32,112,101,114,102,111,114,109,101,100,32,97,116,32,112,111,105,110,116,32,111,102,32,116,105,109,101,58,32,37,102,0,0,0,0,0,0,0,76,79,71,95,85,84,73,76,0,0,0,0,0,0,0,0,111,117,116,112,117,116,32,102,111,114,109,97,116,58,32,37,115,0,0,0,0,0,0,0,116,97,98,115,0,0,0,0,36,99,112,117,84,105,109,101,0,0,0,0,0,0,0,0,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,82,95,109,46,113,0,0,0,0,0,0,91,37,108,100,93,32,83,116,114,105,110,103,32,37,115,40,115,116,97,114,116,61,34,37,115,34,41,32,61,32,34,37,115,34,32,40,112,114,101,58,32,34,37,115,34,41,0,0,99,97,110,39,116,32,119,114,105,116,101,32,102,105,108,101,0,0,0,0,0,0,0,0,85,85,77,0,0,0,0,0,115,111,108,118,101,114,0,0,91,37,108,100,93,32,112,97,114,97,109,101,116,101,114,32,83,116,114,105,110,103,32,37,115,40,115,116,97,114,116,61,34,37,115,34,41,32,61,32,34,37,115,34,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,83,116,97,116,111,114,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,13,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,84,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,84,115,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,105,102,32,105,100,101,97,108,67,108,111,115,101,114,51,46,99,111,110,116,114,111,108,91,49,93,32,116,104,101,110,32,49,46,48,32,101,108,115,101,32,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,71,111,102,102,0,0,0,0,0,0,0,0,98,105,115,101,99,116,105,111,110,32,99,104,101,99,107,115,32,102,111,114,32,99,111,110,100,105,116,105,111,110,32,99,104,97,110,103,101,115,0,0,116,111,116,97,108,32,110,117,109,98,101,114,32,111,102,32,99,111,110,118,101,114,103,101,110,99,101,32,116,101,115,116,32,102,97,105,108,117,114,101,115,58,32,37,100,0,0,0,98,97,115,101,95,97,114,114,97,121,95,111,107,40,97,41,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,97,116,111,114,67,111,114,101,46,84,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,99,112,117,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,67,111,114,101,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,82,111,116,111,114,67,111,114,101,46,84,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,68,65,83,83,76,45,45,32,32,77,65,88,79,82,68,32,40,61,73,49,41,32,78,79,84,32,73,78,32,82,65,78,71,69,0,0,0,0,0,0,115,116,97,114,116,105,111,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,83,116,114,97,121,76,111,97,100,46,84,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,101,110,116,105,116,121,32,100,101,99,108,97,114,101,100,32,105,110,32,112,97,114,97,109,101,116,101,114,32,101,110,116,105,116,121,0,0,0,0,0,111,118,101,114,114,105,100,101,70,105,108,101,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,116,101,109,112,101,114,97,116,117,114,101,70,114,105,99,116,105,111,110,46,84,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,102,111,114,109,97,116,116,101,100,32,105,111,32,110,111,116,32,97,108,108,111,119,101,100,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,84,114,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,116,104,101,114,109,97,108,65,109,98,105,101,110,116,46,84,114,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,100,97,116,97,95,49,32,109,97,116,114,105,120,32,99,111,110,116,97,105,110,101,100,32,112,97,114,97,109,101,116,101,114,32,116,104,97,116,32,99,104,97,110,103,101,100,32,98,101,116,119,101,101,110,32,115,116,97,114,116,32,97,110,100,32,115,116,111,112,45,116,105,109,101,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,74,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,74,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,116,114,117,101,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,115,116,97,116,101,83,101,108,101,99,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,115,116,97,116,101,83,101,108,101,99,116,32,62,61,32,83,116,97,116,101,83,101,108,101,99,116,46,110,101,118,101,114,32,97,110,100,32,97,105,109,99,77,46,105,110,101,114,116,105,97,83,116,97,116,111,114,46,115,116,97,116,101,83,101,108,101,99,116,32,60,61,32,83,116,97,116,101,83,101,108,101,99,116,46,97,108,119,97,121,115,32,104,97,115,32,118,97,108,117,101,58,32,0,109,97,120,95,116,112,32,33,61,32,48,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,99,111,108,83,116,97,114,116,0,0,0,0,0,0,0,0,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,77,117,108,116,105,80,104,97,115,101,46,109,111,0,0,60,111,117,116,112,117,116,70,105,108,101,110,97,109,101,62,0,0,0,0,0,0,0,0,67,104,111,115,101,110,32,99,108,111,99,107,45,116,121,112,101,58,32,37,115,32,110,111,116,32,97,118,97,105,108,97,98,108,101,32,102,111,114,32,116,104,101,32,99,117,114,114,101,110,116,32,112,108,97,116,102,111,114,109,46,32,68,101,102,97,117,108,116,105,110,103,32,116,111,32,114,101,97,108,45,116,105,109,101,46,0,0,76,79,71,95,83,84,65,84,83,0,0,0,0,0,0,0,111,117,116,112,117,116,70,111,114,109,97,116,0,0,0,0,102,109,101,116,97,0,0,0,100,101,114,40,0,0,0,0,97,105,109,99,77,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,82,95,109,46,100,0,0,0,0,0,0,105,110,100,101,120,32,91,37,100,93,32,111,117,116,32,111,102,32,114,97,110,103,101,32,91,37,100,58,37,100,93,0,115,116,114,105,110,103,32,118,97,114,105,97,98,108,101,115,0,0,0,0,0,0,0,0,99,97,110,39,116,32,114,101,97,100,32,102,105,108,101,0,76,65,0,0,0,0,0,0,37,53,100,32,99,111,110,118,101,114,103,101,110,99,101,32,116,101,115,116,32,102,97,105,108,117,114,101,115,0,0,0,115,116,114,105,110,103,32,112,97,114,97,109,101,116,101,114,115,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,32,62,61,32,49,101,45,54,48,32,104,97,115,32,118,97,108,117,101,58,32,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,102,114,105,99,116,105,111,110,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,32,62,61,32,49,101,45,54,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,82,95,109,46,100,0,0,0,0,0,0,84,84,79,76,32,105,115,32,115,101,116,32,116,111,58,32,37,101,0,0,0,0,0,0,110,117,109,98,101,114,32,111,102,32,99,97,108,99,117,108,97,116,105,111,110,32,111,102,32,106,97,99,111,98,105,97,110,32,58,32,37,100,0,0,68,105,109,101,110,115,105,111,110,32,37,100,32,104,97,115,32,98,111,117,110,100,115,32,49,46,46,37,100,44,32,103,111,116,32,97,114,114,97,121,32,115,117,98,115,99,114,105,112,116,32,37,100,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,78,69,81,32,40,61,73,49,41,32,46,76,69,46,32,48,0,0,0,0,0,0,0,119,95,101,100,44,32,117,110,101,120,112,101,99,116,101,100,32,99,111,100,101,58,32,37,100,10,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,73,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,73,82,101,102,32,62,61,32,49,101,45,54,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,117,110,101,120,112,101,99,116,101,100,32,112,97,114,115,101,114,32,115,116,97,116,101,32,45,32,112,108,101,97,115,101,32,115,101,110,100,32,97,32,98,117,103,32,114,101,112,111,114,116,0,0,0,0,0,0,115,117,98,115,99,114,105,112,116,32,111,117,116,32,111,102,32,98,111,117,110,100,115,0,111,118,101,114,114,105,100,101,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,32,62,61,32,49,101,45,54,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,98,97,115,101,95,97,114,114,97,121,95,111,107,40,100,101,115,116,41,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,32,62,61,32,49,101,45,54,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,67,111,114,114,117,112,116,32,104,101,97,100,101,114,58,32,100,97,116,97,95,49,32,109,97,116,114,105,120,0,0,0,37,35,46,42,69,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,112,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,114,97,121,76,111,97,100,46,112,108,117,103,95,110,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,65,99,108,97,115,115,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,97,116,111,114,46,84,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,97,116,111,114,46,84,82,101,102,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,108,105,110,101,69,110,100,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,51,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,51,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,60,47,111,117,116,112,117,116,70,111,114,109,97,116,62,10,0,0,0,0,0,0,0,0,91,117,110,107,110,111,119,110,32,99,108,111,99,107,45,116,121,112,101,93,32,103,111,116,32,37,115,44,32,101,120,112,101,99,116,101,100,32,67,80,85,124,82,84,124,67,89,67,46,32,68,101,102,97,117,108,116,105,110,103,32,116,111,32,82,84,46,0,0,0,0,0,76,79,71,95,83,79,84,73,0,0,0,0,0,0,0,0,115,111,108,118,101,114,32,109,101,116,104,111,100,58,32,37,115,0,0,0,0,0,0,0,97,43,98,0,0,0,0,0,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,76,122,101,114,111,0,102,97,108,115,101,0,0,0,80,66,0,0,0,0,0,0,37,53,100,32,101,114,114,111,114,32,116,101,115,116,32,102,97,105,108,117,114,101,115,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,105,100,101,97,108,67,108,111,115,101,114,51,46,95,99,111,110,116,114,111,108,91,51,93,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,0,0,0,91,37,108,100,93,32,112,97,114,97,109,101,116,101,114,32,66,111,111,108,101,97,110,32,37,115,40,115,116,97,114,116,61,37,115,44,32,102,105,120,101,100,61,37,115,41,32,61,32,37,115,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,97,116,111,114,46,84,79,112,101,114,97,116,105,111,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,97,116,111,114,46,84,79,112,101,114,97,116,105,111,110,97,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,112,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,76,122,101,114,111,0,98,105,115,101,99,116,105,111,110,32,109,101,116,104,111,100,32,115,116,97,114,116,115,32,105,110,32,105,110,116,101,114,118,97,108,32,91,37,101,44,32,37,101,93,0,0,0,0,110,117,109,98,101,114,32,111,102,32,99,97,108,108,115,32,111,102,32,102,117,110,99,116,105,111,110,79,68,69,40,41,32,58,32,37,100,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,97,116,111,114,46,112,108,117,103,95,110,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,68,65,83,83,76,45,45,32,32,83,79,77,69,32,69,76,69,77,69,78,84,32,79,70,32,73,78,70,79,32,86,69,67,84,79,82,32,73,83,32,78,79,84,32,90,69,82,79,32,79,82,32,79,78,69,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,100,111,99,117,109,101,110,116,32,105,115,32,110,111,116,32,115,116,97,110,100,97,108,111,110,101,0,0,0,0,0,0,115,117,98,115,116,114,105,110,103,32,111,117,116,32,111,102,32,98,111,117,110,100,115,0,111,117,116,112,117,116,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,97,116,111,114,46,122,101,114,111,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,84,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,100,97,116,97,95,49,32,109,97,116,114,105,120,32,100,111,101,115,32,110,111,116,32,104,97,118,101,32,49,32,111,114,32,50,32,99,111,108,115,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,71,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,97,116,111,114,46,99,111,114,101,46,71,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,101,109,112,116,121,32,108,105,115,116,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,112,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,67,0,0,0,0,0,0,0,76,101,102,116,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,97,116,111,114,46,101,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,46,112,108,117,103,95,110,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,108,105,110,101,83,116,97,114,116,0,0,0,0,0,0,0,60,111,117,116,112,117,116,70,111,114,109,97,116,62,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,67,89,67,0,0,0,0,0,76,79,71,95,83,79,76,86,69,82,0,0,0,0,0,0,115,111,108,118,101,114,0,0,119,43,98,0,0,0,0,0,116,114,117,101,0,0,0,0,71,66,0,0,0,0,0,0,37,53,100,32,101,118,97,108,117,97,116,105,111,110,115,32,111,102,32,106,97,99,111,98,105,97,110,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,105,100,101,97,108,67,108,111,115,101,114,51,46,95,99,111,110,116,114,111,108,91,50,93,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,0,0,0,98,111,111,108,101,97,110,32,112,97,114,97,109,101,116,101,114,115,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,97,105,109,99,51,46,115,116,97,116,111,114,46,115,116,114,97,121,82,101,108,117,99,116,97,110,99,101,46,82,95,109,46,113,0,0,0,0,0,0,98,97,99,107,117,112,95,103,111,117,116,0,0,0,0,0,110,117,109,98,101,114,32,111,102,32,115,116,101,112,115,32,116,97,107,101,110,32,115,111,32,102,97,114,58,32,37,100,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,109,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,109,104,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,68,65,83,83,76,45,45,32,32,73,78,73,84,73,65,76,32,89,80,82,73,77,69,32,67,79,85,76,68,32,78,79,84,32,66,69,32,67,79,77,80,85,84,69,68,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,49,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,101,114,114,111,114,32,105,110,32,112,114,111,99,101,115,115,105,110,103,32,101,120,116,101,114,110,97,108,32,101,110,116,105,116,121,32,114,101,102,101,114,101,110,99,101,0,0,0,110,111,69,118,101,110,116,69,109,105,116,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,50,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,51,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,51,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,108,101,102,116,32,111,102,102,0,0,0,0,0,0,0,0,100,97,116,97,95,49,32,109,97,116,114,105,120,32,100,111,101,115,32,110,111,116,32,99,111,110,116,97,105,110,32,97,116,32,108,101,97,115,116,32,49,32,118,97,114,105,97,98,108,101,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,52,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,52,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,115,116,97,114,116,105,111,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,53,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,91,53,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,49,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,102,105,108,101,0,0,0,0,60,47,109,101,116,104,111,100,62,10,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,95,114,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,95,114,101,102,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,82,84,0,0,0,0,0,0,76,79,71,95,83,73,77,85,76,65,84,73,79,78,0,0,116,111,108,101,114,97,110,99,101,32,61,32,37,103,0,0,114,43,98,0,0,0,0,0,91,37,108,100,93,32,66,111,111,108,101,97,110,32,37,115,40,115,116,97,114,116,61,37,115,41,32,61,32,37,115,32,40,112,114,101,58,32,37,115,41,0,0,0,0,0,0,0,105,110,118,97,108,105,100,32,97,114,114,97,121,32,115,101,99,116,105,111,110,0,0,0,85,78,0,0,0,0,0,0,37,53,100,32,99,97,108,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9943080);
/* memory initializer */ allocate([115,32,111,102,32,102,117,110,99,116,105,111,110,79,68,69,0,0,0,0,0,0,0,0,91,37,108,100,93,32,112,97,114,97,109,101,116,101,114,32,73,110,116,101,103,101,114,32,37,115,40,115,116,97,114,116,61,37,108,100,44,32,102,105,120,101,100,61,37,115,41,32,61,32,37,108,100,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,105,100,101,97,108,67,108,111,115,101,114,51,46,95,99,111,110,116,114,111,108,91,49,93,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,50,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,51,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,51,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,119,95,110,111,109,105,110,97,108,0,0,70,76,65,71,95,77,65,88,0,0,0,0,0,0,0,0,85,0,0,0,0,0,0,0,115,116,101,112,32,115,105,122,101,32,117,115,101,100,32,111,110,32,108,97,115,116,32,115,117,99,99,101,115,115,102,117,108,32,115,116,101,112,58,32,37,48,46,52,103,0,0,0,105,110,100,101,120,95,115,112,101,99,95,111,107,58,32,116,104,101,32,105,110,100,101,120,32,115,112,101,99,32,100,105,109,101,110,115,105,111,110,115,32,115,105,122,101,115,32,105,115,32,78,85,76,76,33,10,0,0,0,0,0,0,0,0,70,97,105,108,101,100,32,116,111,32,99,114,101,97,116,101,32,101,120,112,97,116,32,111,98,106,101,99,116,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,52,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,52,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,105,111,115,95,98,97,115,101,58,58,99,108,101,97,114,0,40,110,100,105,109,115,32,61,61,32,97,114,114,45,62,110,100,105,109,115,41,32,38,38,32,40,110,100,105,109,115,32,61,61,32,115,112,101,99,45,62,110,100,105,109,115,41,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,53,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,53,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,119,98,0,0,0,0,0,0,80,108,111,116,115,32,111,102,32,112,114,111,102,105,108,105,110,103,32,100,97,116,97,32,119,101,114,101,32,100,105,115,97,98,108,101,100,58,32,37,115,10,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,73,82,69,83,32,87,65,83,32,69,81,85,65,76,32,84,79,32,77,73,78,85,83,32,84,87,79,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,117,110,99,108,111,115,101,100,32,67,68,65,84,65,32,115,101,99,116,105,111,110,0,0,84,0,0,0,0,0,0,0,110,111,101,109,105,116,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,95,114,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,95,114,101,102,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,99,117,114,114,101,110,116,32,111,112,116,105,111,110,115,32,97,114,101,58,0,0,0,0,117,112,100,97,116,105,110,103,32,110,111,109,105,110,97,108,45,118,97,108,117,101,115,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,112,97,114,97,109,115,0,0,67,111,114,114,117,112,116,32,104,101,97,100,101,114,58,32,100,97,116,97,73,110,102,111,32,109,97,116,114,105,120,0,69,114,114,111,114,32,97,108,108,111,99,97,116,105,110,103,32,115,105,109,117,108,97,116,105,111,110,32,114,101,115,117,108,116,32,100,97,116,97,32,111,102,32,115,105,122,101,32,37,108,100,32,102,97,105,108,101,100,0,0,0,0,0,0,65,99,108,97,115,115,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,95,114,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,95,114,101,102,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,34,37,115,34,44,0,0,0,116,114,121,32,45,105,108,115,32,116,111,32,97,99,116,105,118,97,116,101,32,115,116,97,114,116,32,118,97,108,117,101,32,104,111,109,111,116,111,112,121,0,0,0,0,0,0,0,108,101,97,115,116,83,113,117,97,114,101,61,37,103,0,0,110,117,109,98,101,114,32,111,102,32,117,110,102,105,120,101,100,32,118,97,114,105,97,98,108,101,115,58,32,32,37,108,100,32,40,37,108,100,32,115,116,97,116,101,115,32,43,32,37,108,100,32,112,97,114,97,109,101,116,101,114,115,32,43,32,37,108,100,32,100,105,115,99,114,101,116,101,32,114,101,97,108,115,41,0,0,0,0,97,115,115,101,114,116,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,102,109,116,0,0,0,0,0,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,115,116,97,116,117,115,0,0,0,37,108,102,0,0,0,0,0,81,82,70,0,0,0,0,0,37,115,37,46,53,101,32,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,95,114,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,95,114,101,102,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,105,110,102,111,0,0,0,0,97,105,109,99,51,46,105,114,91,49,93,0,0,0,0,0,60,109,101,116,104,111,100,62,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,115,105,109,117,108,97,116,105,111,110,32,116,101,114,109,105,110,97,116,101,100,32,98,121,32,97,110,32,97,115,115,101,114,116,105,111,110,32,97,116,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,0,67,80,85,0,0,0,0,0,116,111,108,101,114,97,110,99,101,0,0,0,0,0,0,0,76,79,71,95,82,69,83,95,73,78,73,84,0,0,0,0,114,98,0,0,0,0,0,0,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,119,95,110,111,109,105,110,97,108,0,0,98,111,111,108,101,97,110,32,118,97,114,105,97,98,108,101,115,0,0,0,0,0,0,0,115,117,98,115,99,114,105,112,116,32,102,111,114,32,115,99,97,108,97,114,32,118,97,114,105,97,98,108,101,0,0,0,66,82,0,0,0,0,0,0,37,53,100,32,115,116,101,112,115,32,116,97,107,101,110,0,105,110,116,101,103,101,114,32,112,97,114,97,109,101,116,101,114,115,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,105,100,101,97,108,67,108,111,115,101,114,77,46,95,99,111,110,116,114,111,108,91,53,93,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,84,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,107,105,110,115,111,108,0,0,37,115,37,50,48,46,49,50,103,32,0,0,0,0,0,0,91,37,100,93,32,37,115,0,91,37,100,93,32,37,115,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,84,95,114,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,84,95,114,101,102,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,119,95,110,111,109,105,110,97,108,0,0,37,108,100,32,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,105,100,101,97,108,67,108,111,115,101,114,77,46,95,99,111,110,116,114,111,108,91,52,93,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,0,0,0,115,116,101,112,32,115,105,122,101,32,72,32,116,111,32,98,101,32,97,116,116,101,109,112,116,101,100,32,111,110,32,110,101,120,116,32,115,116,101,112,58,32,37,48,46,52,103,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,84,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,105,110,100,101,120,95,115,112,101,99,95,102,105,116,95,98,97,115,101,95,97,114,114,97,121,40,115,112,101,99,44,32,97,114,114,41,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,84,95,114,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,115,116,97,116,111,114,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,84,95,114,101,102,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,68,65,83,83,76,45,45,32,32,65,84,32,84,32,40,61,82,49,41,32,65,78,68,32,83,84,69,80,83,73,90,69,32,72,32,40,61,82,50,41,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,84,82,101,102,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,101,110,99,111,100,105,110,103,32,115,112,101,99,105,102,105,101,100,32,105,110,32,88,77,76,32,100,101,99,108,97,114,97,116,105,111,110,32,105,115,32,105,110,99,111,114,114,101,99,116,0,0,0,0,0,0,118,97,114,105,97,98,108,101,32,99,111,117,110,116,32,105,110,99,111,114,114,101,99,116,0,0,0,0,0,0,0,0,110,108,115,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,84,79,112,101,114,97,116,105,111,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,84,79,112,101,114,97,116,105,111,110,97,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,115,116,100,58,58,98,97,100,95,99,97,115,116,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,67,111,114,114,117,112,116,32,104,101,97,100,101,114,58,32,110,97,109,101,115,32,109,97,116,114,105,120,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,46,112,108,117,103,95,112,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,97,114,65,117,120,105,108,105,97,114,121,46,112,108,117,103,95,112,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,60,100,101,102,105,110,101,115,62,32,110,101,101,100,115,32,116,111,32,104,97,118,101,32,101,120,97,99,116,108,121,32,111,110,101,32,97,116,116,114,105,98,117,116,101,58,32,110,97,109,101,0,0,0,0,0,60,47,100,97,116,101,62,10,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,95,114,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,95,114,101,102,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,110,117,109,98,101,114,79,102,73,110,116,101,114,118,97,108,115,32,61,32,37,108,100,0,115,116,101,112,83,105,122,101,32,61,32,37,103,0,0,0,76,79,71,95,78,76,83,95,82,69,83,0,0,0,0,0,97,98,0,0,0,0,0,0,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,119,95,110,111,109,105,110,97,108,0,0,91,37,108,100,93,32,73,110,116,101,103,101,114,32,37,115,40,115,116,97,114,116,61,37,108,100,41,32,61,32,37,108,100,32,40,112,114,101,58,32,37,108,100,41,0,0,0,0,84,82,0,0,0,0,0,0,115,111,108,118,101,114,58,32,68,65,83,83,76,0,0,0,91,37,108,100,93,32,112,97,114,97,109,101,116,101,114,32,82,101,97,108,32,37,115,40,115,116,97,114,116,61,37,103,44,32,102,105,120,101,100,61,37,115,41,32,61,32,37,103,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,116,104,101,114,109,97,108,67,111,108,108,101,99,116,111,114,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,112,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,105,102,32,105,100,101,97,108,67,108,111,115,101,114,51,46,99,111,110,116,114,111,108,91,51,93,32,116,104,101,110,32,49,46,48,32,101,108,115,101,32,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,71,111,102,102,0,0,0,0,0,0,0,0,84,105,109,101,32,109,101,97,115,117,114,101,109,101,110,116,115,32,111,117,116,112,117,116,32,102,105,108,101,32,37,115,32,99,111,117,108,100,32,110,111,116,32,98,101,32,111,112,101,110,101,100,58,32,37,115,0,0,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,105,100,101,97,108,67,108,111,115,101,114,77,46,95,99,111,110,116,114,111,108,91,51,93,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,0,0,0,99,117,114,114,101,110,116,32,105,110,116,101,103,114,97,116,105,111,110,32,116,105,109,101,32,118,97,108,117,101,58,32,37,48,46,52,103,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,119,105,110,100,105,110,103,46,112,108,117,103,95,110,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,105,110,100,101,120,95,115,112,101,99,95,111,107,40,115,112,101,99,41,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,68,65,83,83,76,45,45,32,32,73,82,69,83,32,87,65,83,32,69,81,85,65,76,32,84,79,32,77,73,78,85,83,32,79,78,69,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,112,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,117,110,107,110,111,119,110,32,101,110,99,111,100,105,110,103,0,0,0,0,0,0,0,0,110,111,32,101,110,100,32,114,101,99,111,114,100,0,0,0,109,101,97,115,117,114,101,84,105,109,101,80,108,111,116,70,111,114,109,97,116,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,115,116,114,97,121,73,110,100,117,99,116,111,114,46,112,108,117,103,95,110,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,63,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,65,99,108,97,115,115,32,109,97,116,114,105,120,32,100,111,101,115,32,110,111,116,32,109,97,116,99,104,32,98,105,110,84,114,97,110,115,32,111,114,32,98,105,110,78,111,114,109,97,108,32,102,111,114,109,97,116,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,112,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,76,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,112,108,117,103,95,110,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,109,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,109,104,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,110,97,109,101,0,0,0,0,60,100,97,116,101,62,0,0,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,0,0,0,46,32,68,101,102,97,117,108,116,105,110,103,32,116,111,32,111,117,116,112,117,116,116,105,110,103,32,97,108,108,32,118,97,114,105,97,98,108,101,115,46,0,0,0,0,0,0,0,115,116,101,112,83,105,122,101,0,0,0,0,0,0,0,0,76,79,71,95,78,76,83,95,74,65,67,0,0,0,0,0,119,98,0,0,0,0,0,0,97,105,109,99,77,46,115,116,97,116,111,114,46,76,115,105,103,109,97,0,0,0,0,0,105,110,116,101,103,101,114,32,118,97,114,105,97,98,108,101,115,0,0,0,0,0,0,0,72,82,0,0,0,0,0,0,37,53,108,100,32,116,105,109,101,32,101,118,101,110,116,115,0,0,0,0,0,0,0,0,114,101,97,108,32,112,97,114,97,109,101,116,101,114,115,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,49,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,32,32,37,45,49,53,115,32,91,37,115,93,0,0,0,0,109,97,116,104,45,115,117,112,112,111,114,116,47,112,105,118,111,116,46,99,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,50,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,105,102,32,105,100,101,97,108,67,108,111,115,101,114,51,46,99,111,110,116,114,111,108,91,50,93,32,116,104,101,110,32,49,46,48,32,101,108,115,101,32,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,71,111,102,102,0,0,0,0,0,0,0,0,114,0,0,0,0,0,0,0,105,110,100,101,120,95,115,112,101,99,95,111,107,58,32,116,104,101,32,105,110,100,101,120,32,115,112,101,99,32,105,115,32,78,85,76,76,33,10,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,105,100,101,97,108,67,108,111,115,101,114,77,46,95,99,111,110,116,114,111,108,91,50,93,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,0,0,0,99,117,114,114,101,110,116,32,116,105,109,101,32,118,97,108,117,101,58,32,37,48,46,52,103,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,51,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,51,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,98,97,115,101,95,97,114,114,97,121,95,111,107,40,97,114,114,41,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,52,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,52,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,105,111,115,116,114,101,97,109,0,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,67,79,82,82,69,67,84,79,82,32,67,79,85,76,68,32,78,79,84,32,67,79,78,86,69,82,71,69,32,66,69,67,65,85,83,69,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,53,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,91,53,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,88,77,76,32,111,114,32,116,101,120,116,32,100,101,99,108,97,114,97,116,105,111,110,32,110,111,116,32,97,116,32,115,116,97,114,116,32,111,102,32,101,110,116,105,116,121,0,0,108,118,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,49,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,83,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,50,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,67,111,114,114,117,112,116,32,104,101,97,100,101,114,58,32,65,99,108,97,115,115,32,109,97,116,114,105,120,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,51,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,51,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,52,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,52,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,53,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,84,95,114,101,102,91,53,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,100,101,102,105,110,101,115,0,115,111,108,118,101,114,32,119,105,108,108,32,116,114,121,32,116,111,32,104,97,110,100,108,101,32,100,105,118,105,115,105,111,110,32,98,121,32,122,101,114,111,32,97,116,32,116,105,109,101,32,37,46,49,54,103,58,32,37,115,0,0,0,0,60,47,112,114,101,102,105,120,62,10,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,32,119,105,116,104,32,101,114,114,111,114,58,32,0,0,0,115,116,111,112,84,105,109,101,32,61,32,37,103,0,0,0,76,79,71,95,78,76,83,95,86,0,0,0,0,0,0,0,97,43,0,0,0,0,0,0,97,105,109,99,51,46,115,116,97,116,111,114,46,76,115,105,103,109,97,0,0,0,0,0,111,116,104,101,114,32,114,101,97,108,32,118,97,114,105,97,98,108,101,115,0,0,0,0,118,97,114,105,97,98,108,101,32,110,111,116,32,105,110,32,110,97,109,101,108,105,115,116,0,0,0,0,0,0,0,0,81,76,0,0,0,0,0,0,37,53,108,100,32,115,116,97,116,101,32,101,118,101,110,116,115,0,0,0,0,0,0,0,112,97,114,97,109,101,116,101,114,32,118,97,108,117,101,115,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,95,114,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,49,93,46,84,95,114,101,102,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,116,105,109,101,32,60,32,115,105,110,101,86,111,108,116,97,103,101,51,46,115,105,110,101,86,111,108,116,97,103,101,91,50,93,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,0,0,0,0,0,0,0,97,100,100,101,100,32,116,109,112,32,101,118,101,110,116,32,58,32,37,108,100,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,105,100,101,97,108,67,108,111,115,101,114,77,46,95,99,111,110,116,114,111,108,91,49,93,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,0,0,0,118,97,108,117,101,32,111,102,32,105,100,105,100,58,32,37,100,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,100,101,115,116,45,62,100,105,109,95,115,105,122,101,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,95,114,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,50,93,46,84,95,114,101,102,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,114,98,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,69,82,82,79,82,32,84,69,83,84,32,70,65,73,76,69,68,32,82,69,80,69,65,84,69,68,76,89,46,0,0,119,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,114,101,102,101,114,101,110,99,101,32,116,111,32,101,120,116,101,114,110,97,108,32,101,110,116,105,116,121,32,105,110,32,97,116,116,114,105,98,117,116,101,0,0,0,0,0,0,0,98,97,100,32,110,97,109,101,108,105,115,116,32,110,97,109,101,0,0,0,0,0,0,0,118,97,114,105,97,98,108,101,84,121,112,101,0,0,0,0,108,115,95,105,112,111,112,116,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,95,114,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,95,114,101,102,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,83,116,114,105,110,103,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,84,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,65,99,108,97,115,115,32,109,97,116,114,105,120,32,100,111,101,115,32,110,111,116,32,104], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9953320);
/* memory initializer */ allocate([97,118,101,32,49,49,32,99,111,108,115,0,0,0,0,0,66,111,111,108,101,97,110,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,84,95,114,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,52,93,46,84,95,114,101,102,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,67,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,73,110,116,101,103,101,114,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,84,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,82,101,97,108,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,84,95,114,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,77,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,53,93,46,84,95,114,101,102,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,102,117,110,99,116,105,111,110,0,0,0,0,0,0,0,0,60,112,114,101,102,105,120,62,0,0,0,0,0,0,0,0,67,97,110,110,111,116,32,111,112,101,110,32,70,105,108,101,32,37,115,0,0,0,0,0,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,0,0,0,0,0,0,0,0,70,97,105,108,101,100,32,116,111,32,99,111,109,112,105,108,101,32,114,101,103,117,108,97,114,32,101,120,112,114,101,115,115,105,111,110,58,32,0,0,115,116,111,112,84,105,109,101,0,0,0,0,0,0,0,0,76,79,71,95,78,76,83,0,119,43,0,0,0,0,0,0,97,105,109,99,68,97,116,97,46,102,115,78,111,109,105,110,97,108,32,42,32,54,46,50,56,51,49,56,53,51,48,55,49,55,57,53,56,54,0,0,91,37,108,100,93,32,82,101,97,108,32,37,115,32,61,32,37,103,32,40,112,114,101,58,32,37,103,41,0,0,0,0,76,81,0,0,0,0,0,0,32,115,116,97,116,101,109,101,110,116,32,101,120,101,99,117,116,101,100,10,0,0,0,0,101,118,101,110,116,115,0,0,115,105,109,117,108,97,116,105,111,110,95,105,110,112,117,116,95,120,109,108,46,99,112,112,58,32,101,114,114,111,114,32,114,101,97,100,105,110,103,32,116,104,101,32,120,109,108,32,102,105,108,101,44,32,102,111,117,110,100,32,117,110,107,110,111,119,110,32,99,108,97,115,115,58,32,37,115,32,32,102,111,114,32,118,97,114,105,97,98,108,101,58,32,37,115,0,86,97,114,105,97,98,108,101,32,108,111,97,100,73,110,101,114,116,105,97,77,46,74,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,108,111,97,100,73,110,101,114,116,105,97,77,46,74,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,98,97,115,101,95,97,114,114,97,121,46,99,58,32,116,104,101,32,110,117,109,98,101,114,32,111,102,32,97,114,114,97,121,32,100,105,109,101,110,115,105,111,110,115,32,97,114,101,32,60,32,48,33,10,0,0,115,65,108,105,0,0,0,0,86,97,114,105,97,98,108,101,32,108,111,97,100,73,110,101,114,116,105,97,77,46,115,116,97,116,101,83,101,108,101,99,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,108,111,97,100,73,110,101,114,116,105,97,77,46,115,116,97,116,101,83,101,108,101,99,116,32,62,61,32,83,116,97,116,101,83,101,108,101,99,116,46,110,101,118,101,114,32,97,110,100,32,108,111,97,100,73,110,101,114,116,105,97,77,46,115,116,97,116,101,83,101,108,101,99,116,32,60,61,32,83,116,97,116,101,83,101,108,101,99,116,46,97,108,119,97,121,115,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,77,105,110,105,109,117,109,32,118,97,108,117,101,58,32,37,101,0,0,0,0,0,0,0,99,104,101,99,107,32,102,111,114,32,100,105,115,99,114,101,116,101,32,99,104,97,110,103,101,115,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,86,65,76,85,69,32,40,61,73,49,41,32,79,70,32,73,68,73,68,32,65,78,68,32,78,79,32,65,80,80,82,79,80,82,73,65,84,69,0,100,97,115,115,108,32,99,97,108,108,32,115,116,97,105,115,116,105,99,115,58,32,0,0,115,80,97,114,0,0,0,0,86,97,114,105,97,98,108,101,32,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,119,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,77,46,119,95,110,111,109,105,110,97,108,32,62,61,32,49,101,45,49,53,32,104,97,115,32,118,97,108,117,101,58,32,0,98,97,115,101,95,97,114,114,97,121,95,111,107,40,115,111,117,114,99,101,41,0,0,0,115,65,108,103,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,68,97,116,97,46,112,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,68,97,116,97,46,112,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,68,97,116,97,46,84,115,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,68,97,116,97,46,84,115,82,101,102,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,98,65,108,105,0,0,0,0,68,65,83,83,76,45,45,32,32,67,79,82,82,69,67,84,79,82,32,67,79,85,76,68,32,78,79,84,32,67,79,78,86,69,82,71,69,46,32,32,65,76,83,79,44,32,84,72,69,0,0,0,0,0,0,0,99,97,108,108,32,101,120,116,101,114,110,97,108,32,79,98,106,101,99,116,32,67,111,110,115,116,114,117,99,116,111,114,115,32,102,105,110,105,115,104,101,100,0,0,0,0,0,0,114,101,102,101,114,101,110,99,101,32,116,111,32,98,105,110,97,114,121,32,101,110,116,105,116,121,0,0,0,0,0,0,98,97,100,32,118,97,114,105,97,98,108,101,32,116,121,112,101,0,0,0,0,0,0,0,98,80,97,114,0,0,0,0,108,115,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,68,97,116,97,46,84,114,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,68,97,116,97,46,84,114,82,101,102,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,78,0,0,0,0,0,0,0,98,65,108,103,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,65,99,108,97,115,115,32,109,97,116,114,105,120,32,100,111,101,115,32,110,111,116,32,104,97,118,101,32,52,32,114,111,119,115,0,0,0,0,0,0,105,65,108,105,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,32,62,61,32,49,101,45,54,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,118,101,99,116,111,114,0,0,105,80,97,114,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,68,97,116,97,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,32,62,61,32,49,101,45,54,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,105,65,108,103,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,78,111,110,108,105,110,101,97,114,32,102,117,110,99,116,105,111,110,32,40,114,101,115,105,100,117,97,108,70,117,110,99,37,108,100,44,32,115,105,122,101,32,37,100,41,0,0,0,60,47,110,97,109,101,62,10,0,0,0,0,0,0,0,0,119,98,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,95,114,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,114,111,116,111,114,67,97,103,101,46,114,101,115,105,115,116,111,114,46,114,101,115,105,115,116,111,114,91,51,93,46,84,95,114,101,102,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,46,42,0,0,0,0,0,0,115,116,97,114,116,84,105,109,101,32,61,32,37,103,0,0,76,79,71,95,76,83,95,86,0,0,0,0,0,0,0,0,114,43,0,0,0,0,0,0,117,110,100,101,102,105,110,101,100,32,101,114,114,111,114,32,105,110,32,78,101,108,100,101,114,77,101,97,100,79,112,116,105,109,105,122,97,116,105,111,110,0,0,0,0,0,0,0,91,37,100,93,58,32,37,115,32,61,32,37,103,0,0,0,100,101,114,105,118,97,116,105,118,101,115,32,118,97,114,105,97,98,108,101,115,0,0,0,82,81,0,0,0,0,0,0,37,115,10,0,0,0,0,0,37,49,50,103,115,32,91,37,53,46,49,102,37,37,93,32,116,111,116,97,108,0,0,0,114,65,108,105,0,0,0,0,91,37,108,100,93,32,82,101,97,108,32,37,115,0,0,0,102,97,108,115,101,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,86,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,86,82,101,102,32,62,61,32,49,101,45,54,48,32,104,97,115,32,118,97,108,117,101,58,32,0,114,80,97,114,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,32,62,61,32,49,101,45,54,48,32,104,97,115,32,118,97,108,117,101,58,32,0,115,101,97,114,99,104,32,102,111,114,32,99,117,114,114,101,110,116,32,101,118,101,110,116,46,32,69,118,101,110,116,115,32,105,110,32,108,105,115,116,58,32,37,108,100,0,0,0,116,105,109,101,32,62,61,32,98,111,111,108,101,97,110,83,116,101,112,77,91,49,93,46,115,116,97,114,116,84,105,109,101,0,0,0,0,0,0,0,99,97,110,39,116,32,99,111,110,116,105,110,117,101,46,32,116,105,109,101,32,61,32,37,102,0,0,0,0,0,0,0,10,0,0,0,0,0,0,0,114,65,108,103,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,114,97,116,105,111,72,121,115,116,101,114,101,115,105,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,114,97,116,105,111,72,121,115,116,101,114,101,115,105,115,32,62,61,32,48,46,48,32,97,110,100,32,97,105,109,99,68,97,116,97,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,114,97,116,105,111,72,121,115,116,101,114,101,115,105,115,32,60,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,99,108,111,99,107,0,0,0,76,79,71,95,65,76,76,0,97,114,114,97,121,32,115,45,62,105,110,100,101,120,91,37,100,93,91,37,100,93,32,61,61,32,37,100,32,105,110,99,111,114,114,101,99,116,44,32,97,45,62,100,105,109,95,115,105,122,101,91,37,100,93,32,61,61,32,37,100,10,0,0,114,68,101,114,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,114,83,116,97,0,0,0,0,68,65,83,83,76,45,45,32,32,73,84,69,82,65,84,73,79,78,32,77,65,84,82,73,88,32,73,83,32,83,73,78,71,85,76,65,82,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,73,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,73,82,101,102,32,62,61,32,49,101,45,54,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,114,101,102,101,114,101,110,99,101,32,116,111,32,105,110,118,97,108,105,100,32,99,104,97,114,97,99,116,101,114,32,110,117,109,98,101,114,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,32,62,61,32,49,101,45,54,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,99,108,97,115,115,84,121,112,101,0,0,0,0,0,0,0,98,97,100,32,108,111,103,105,99,97,108,32,105,110,112,117,116,32,102,105,101,108,100,0,108,111,103,70,111,114,109,97,116,0,0,0,0,0,0,0,117,112,100,97,116,105,110,103,32,109,105,110,45,118,97,108,117,101,115,0,0,0,0,0,99,108,97,115,115,73,110,100,101,120,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,68,97,116,97,46,115,116,114,97,121,76,111,97,100,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,32,62,61,32,49,101,45,54,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,106,32,61,61,32,98,97,115,101,95,97,114,114,97,121,95,110,114,95,111,102,95,101,108,101,109,101,110,116,115,40,115,111,117,114,99,101,41,0,0,77,97,116,114,105,120,32,110,97,109,101,32,109,105,115,109,97,116,99,104,0,0,0,0,105,108,108,101,103,97,108,32,117,110,105,116,32,110,117,109,98,101,114,0,0,0,0,0,83,99,97,108,97,114,86,97,114,105,97,98,108,101,0,0,86,97,114,105,97,98,108,101,32,115,116,97,114,51,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,116,97,114,51,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,37,46,48,76,102,0,0,0,68,101,102,97,117,108,116,69,120,112,101,114,105,109,101,110,116,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,116,97,114,51,46,112,108,117,103,95,112,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,116,97,114,51,46,112,108,117,103,95,112,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,68,71,69,82,32,32,0,0,102,109,105,77,111,100,101,108,68,101,115,99,114,105,112,116,105,111,110,0,0,0,0,0,117,116,105,108,47,114,116,99,108,111,99,107,46,99,0,0,86,97,114,105,97,98,108,101,32,115,105,110,101,86,111,108,116,97,103,101,51,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,101,86,111,108,116,97,103,101,51,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,110,111,110,108,105,110,101,97,114,0,0,0,0,0,0,0,60,110,97,109,101,62,0,0,46,109,111,0,0,0,0,0,86,97,114,105,97,98,108,101,32,108,111,97,100,73,110,101,114,116,105,97,51,46,74,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,108,111,97,100,73,110,101,114,116,105,97,51,46,74,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,36,100,117,109,109,121,0,0,115,116,97,114,116,84,105,109,101,0,0,0,0,0,0,0,37,46,49,54,103,44,32,37,46,49,54,103,10,0,0,0,76,79,71,95,76,83,0,0,114,0,0,0,0,0,0,0,102,120,107,32,61,32,37,103,0,0,0,0,0,0,0,0,117,112,100,97,116,105,110,103,32,105,110,105,116,105,97,108,32,114,101,115,105,100,117,97,108,115,0,0,0,0,0,0,91,37,108,100,93,32,82,101,97,108,32,37,115,40,115,116,97,114,116,61,37,103,44,32,110,111,109,105,110,97,108,61,37,103,41,32,61,32,37,103,32,40,112,114,101,58,32,37,103,41,0,0,0,0,0,0,81,82,0,0,0,0,0,0,101,109,112,116,121,32,82,105,110,103,66,117,102,102,101,114,0,0,0,0,0,0,0,0,37,49,50,103,115,32,91,37,53,46,49,102,37,37,93,32,111,112,116,105,109,105,122,97,116,105,111,110,0,0,0,0,101,114,114,111,114,32,114,101,97,100,95,118,97,108,117,101,44,32,110,111,32,100,97,116,97,32,97,108,108,111,99,97,116,101,100,32,102,111,114,32,115,116,111,114,105,110,103,32,115,116,114,105,110,103,0,0,91,37,108,100,93,32,82,101,97,108,32,37,115,40,115,116,97,114,116,61,63,44,32,110,111,109,105,110,97,108,61,63,41,0,0,0,0,0,0,0,116,114,117,101,0,0,0,0,86,97,114,105,97,98,108,101,32,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,112,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,112,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,110,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,110,101,86,111,108,116,97,103,101,51,46,112,108,117,103,95,110,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,109,111,100,101,108,32,116,101,114,109,105,110,97,116,101,32,124,32,112,114,111,98,97,98,108,121,32,97,32,115,116,114,111,110,103,32,99,111,109,112,111,110,101,110,116,32,115,111,108,118,101,114,32,102,97,105,108,101,100,46,32,70,111,114,32,109,111,114,101,32,105,110,102,111,114,109,97,116,105,111,110,32,117,115,101,32,102,108,97,103,115,32,45,108,118,32,76,79,71,95,78,76,83,44,32,76,79,71,95,76,83,46,32,124,32,83,105,109,117,108,97,116,105,111,110,32,116,101,114,109,105,110,97,116,101,100,32,97,116,32,116,105,109,101,32,37,103,0,0,0,0,0,115,116,97,116,101,115,95,108,101,102,116,0,0,0,0,0,116,105,109,101,32,62,61,32,98,111,111,108,101,97,110,83,116,101,112,77,91,50,93,46,115,116,97,114,116,84,105,109,101,0,0,0,0,0,0,0,68,65,83,83,76,32,119,105,108,108,32,116,114,121,32,97,103,97,105,110,46,46,46,0,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,51,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,51,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,95,105,110,105,116,46,120,109,108,0,0,0,0,0,0,0,115,99,97,108,97,114,32,115,45,62,105,110,100,101,120,91,37,100,93,91,48,93,32,61,61,32,37,100,32,105,110,99,111,114,114,101,99,116,44,32,97,45,62,100,105,109,95,115,105,122,101,91,37,100,93,32,61,61,32,37,100,10,0,0,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,112,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,112,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,79,82,32,87,73,84,72,32,65,66,83,40,72,41,61,72,77,73,78,0,0,0,0,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,110,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,51,46,112,108,117,103,95,110,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,97,115,121,110,99,104,114,111,110,111,117,115,32,101,110,116,105,116,121,0,0,0,0,0,108,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,51,46,109,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,51,46,109,104,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,117,116,105,108,47,114,101,97,108,95,97,114,114,97,121,46,99,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,51,46,84,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,51,46,84,91,49,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,67,97,110,110,111,116,32,111,112,101,110,32,70,105,108,101,32,37,115,32,102,111,114,32,119,114,105,116,105,110,103,0,106,32,61,61,32,115,111,117,114,99,101,45,62,110,100,105,109,115,0,0,0,0,0,0,67,111,114,114,117,112,116,32,104,101,97,100,101,114,32,40,51,41,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,51,46,84,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,51,46,84,91,50,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,109,111,110,101,121,95,103,101,116,32,101,114,114,111,114,0,69,114,114,111,114,32,97,108,108,111,99,97,116,105,110,103,32,115,105,109,117,108,97,116,105,111,110,32,114,101,115,117,108,116,32,100,97,116,97,32,111,102,32,115,105,122,101,32,37,108,100,0,0,0,0,0,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,51,46,84,91,51,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,51,46,84,91,51,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,98,105,110,78,111,114,109,97,108,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,51,46,82,111,110,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,51,46,82,111,110,91,49,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,76,105,110,101,97,114,32,102,117,110,99,116,105,111,110,32,40,105,110,100,101,120,32,37,108,100,44,32,115,105,122,101,32,37,100,41,0,0,0,0,60,109,111,100,101,108,105,110,102,111,62,10,0,0,0,0,108,105,110,101,97,114,95,0,86,97,114,105,97,98,108,101,32,108,111,97,100,73,110,101,114,116,105,97,51,46,115,116,97,116,101,83,101,108,101,99,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,108,111,97,100,73,110,101,114,116,105,97,51,46,115,116,97,116,101,83,101,108,101,99,116,32,62,61,32,83,116,97,116,101,83,101,108,101,99,116,46,110,101,118,101,114,32,97,110,100,32,108,111,97,100,73,110,101,114,116,105,97,51,46,115,116,97,116,101,83,101,108,101,99,116,32,60,61,32,83,116,97,116,101,83,101,108,101,99,116,46,97,108,119,97,121,115,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,41,36,0,0,0,0,0,0,114,101,97,100,32,97,108,108,32,116,104,101,32,68,101,102,97,117,108,116,69,120,112,101,114,105,109,101,110,116,32,118,97,108,117,101,115,58,0,0,69,114,114,111,114,44,32,99,111,117,108,100,110,39,116,32,119,114,105,116,101,32,116,111,32,111,117,116,112,117,116,32,102,105,108,101,32,37,115,10,0,0,0,0,0,0,0,0,76,79,71,95,74,65,67,0,97,0,0,0,0,0,0,0,102,120,114,32,61,32,37,103,0,0,0,0,0,0,0,0,115,116,97,116,101,115,32,118,97,114,105,97,98,108,101,115,0,0,0,0,0,0,0,0,114,101,97,100,32,117,110,101,120,112,101,99,116,101,100,32,99,104,97,114,97,99,116,101,114,0,0,0,0,0,0,0,79,82,0,0,0,0,0,0,37,49,50,103,115,32,91,37,53,46,49,102,37,37,93,32,115,105,109,117,108,97,116,105,111,110,0,0,0,0,0,0,91,37,108,100,93,32,82,101,97,108,32,37,115,40,115,116,97,114,116,61,37,103,44,32,110,111,109,105,110,97,108,61,37,103,41,0,0,0,0,0,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,51,46,82,111,110,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,51,46,82,111,110,91,50,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,51,46,82,111,110,91,51,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,51,46,82,111,110,91,51,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,109,111,100,101,108,32,116,101,114,109,105,110,97,116,101,32,124,32,109,105,120,101,100,32,115,121,115,116,101,109,32,115,111,108,118,101,114,32,102,97,105,108,101,100,46,32,124,32,83,105,109,117,108,97,116,105,111,110,32,116,101,114,109,105,110,97,116,101,100,32,97,116,32,116,105,109,101,32,37,103,0,0,0,0,0,0,0,0,100,97,116,97,95,49,0,0,115,105,109,117,108,97,116,105,111,110,47,115,111,108,118,101,114,47,101,118,101,110,116,115,46,99,0,0,0,0,0,0,37,46,49,54,103,44,0,0,65,32,108,97,114,103,101,32,97,109,111,117,110,116,32,111,102,32,119,111,114,107,32,104,97,115,32,98,101,101,110,32,101,120,112,101,110,100,101,100,46,40,65,98,111,117,116,32,53,48,48,32,115,116,101,112,115,41,46,32,84,114,121,105,110,103,32,116,111,32,99,111,110,116,105,110,117,101,32,46,46,46,0,0,0,0,0,0,116,105,109,101,32,62,61,32,98,111,111,108,101,97,110,83,116,101,112,77,91,51,93,46,115,116,97,114,116,84,105,109,101,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,51,46,71,111,102,102,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,51,46,71,111,102,102,91,49,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,78,79,32,111,118,101,114,114,105,100,101,32,103,105,118,101,110,32,111,110,32,116,104,101,32,99,111,109,109,97,110,100,32,108,105,110,101,46,0,0,105,110,100,101,120,32,115,112,101,99,32,100,105,109,101,110,115,105,111,110,115,32,97,110,100,32,97,114,114,97,121,32,100,105,109,101,110,115,105,111,110,115,32,100,111,32,110,111,116,32,97,103,114,101,101,32,37,100,32,33,61,32,37,100,10,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,51,46,71,111,102,102,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,51,46,71,111,102,102,91,50,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,78,101,108,100,101,114,77,101,97,100,79,112,116,105,109,105,122,97,116,105,111,110,0,0,111,118,101,114,114,105,100,101,32,100,111,110,101,33,0,0,68,65,83,83,76,45,45,32,32,67,79,82,82,69,67,84,79,82,32,70,65,73,76,69,68,32,84,79,32,67,79,78,86,69,82,71,69,32,82,69,80,69,65,84,69,68,76,89,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,51,46,71,111,102,102,91,51,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,51,46,71,111,102,102,91,51,93,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,114,101,99,117,114,115,105,118,101,32,101,110,116,105,116,121,32,114,101,102,101,114,101,110,99,101,0,0,0,0,0,0,111,118,101,114,114,105,100,101,32,37,115,32,61,32,37,115,0,0,0,0,0,0,0,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,105,112,111,112,116,95,105,110,105,116,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,84,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,110,111,32,115,117,110,100,105,97,108,115,47,107,105,110,115,111,108,32,115,117,112,112,111,114,116,32,97,99,116,105,118,97,116,101,100,0,0,0,0,61,0,0,0,0,0,0,0,110,111,32,105,112,111,112,116,32,115,117,112,112,111,114,116,32,97,99,116,105,118,97,116,101,100,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,82,111,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,82,111,110,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,105,110,100,101,120,95,115,112,101,99,95,102,105,116,95,98,97,115,101,95,97,114,114,97,121,40,100,101,115,116,95,115,112,101,99,44,32,100,101,115,116,41,0,0,0,0,0,0,67,111,114,114,117,112,116,32,104,101,97,100,101,114,32,40,50,41,0,0,0,0,0,0,83,97,116,0,0,0,0,0,114,101,97,100,32,111,118,101,114,114,105,100,101,32,118,97,108,117,101,115,58,32,37,115,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,71,111,102,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,49,93,46,71,111,102,102,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,105,110,118,97,108,105,100,32,108,105,115,116,45,112,111,105,110,116,101,114,0,0,0,0,37,76,102,0,0,0,0,0,70,114,105,0,0,0,0,0,44,0,0,0,0,0,0,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,84,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,84,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,83,0,0,0,0,0,0,0,84,104,117,0,0,0,0,0,115,105,109,117,108,97,116,105,111,110,95,105,110,112,117,116,95,120,109,108,46,99,112,112,58,32,99,111,117,108,100,32,110,111,116,32,111,112,101,110,32,116,104,101,32,102,105,108,101,32,103,105,118,101,110,32,116,111,32,45,111,118,101,114,114,105,100,101,70,105,108,101,61,37,115,0,0,0,0,0,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,82,111,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,82,111,110,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,109,97,108,108,111,99,32,102,97,105,108,117,114,101,0,0,108,105,110,101,97,114,0,0,78,111,32,116,114,97,110,115,112,111,115,101,0,0,0,0,60,115,105,109,117,108,97,116,105,111,110,62,10,0,0,0,105,32,102,111,114,32,105,32,105,110,32,49,58,48,0,0,100,0,0,0,0,0,0,0,94,40,0,0,0,0,0,0,69,114,114,111,114,44,32,116,104,101,32,71,85,73,68,58,32,37,115,32,102,114,111,109,32,105,110,112,117,116,32,100,97,116,97,32,102,105,108,101,58,32,37,115,32,100,111,101,115,32,110,111,116,32,109,97,116,99,104,32,116,104,101,32,71,85,73,68,32,99,111,109,112,105,108,101,100,32,105,110,32,116,104,101,32,109,111,100,101,108,58,32,37,115,0,0,68,97,116,97,83,101,116,58,32,37,115,10,0,0,0,0,76,79,71,95,73,80,79,80,84,95,72,69,83,83,69,0,119,0,0,0,0,0,0,0,105,110,99,114,101,97,115,105,110,103,32,108,97,109,98,100,97,32,116,111,32,37,45,51,103,32,105,110,32,115,116,101,112,32,37,54,100,32,97,116,32,102,61,37,103,0,0,0,35,35,35,32,83,79,76,85,84,73,79,78,32,79,70,32,84,72,69,32,73,78,73,84,73,65,76,73,90,65,84,73,79,78,32,35,35,35,0,0,111,117,116,32,111,102,32,102,114,101,101,32,115,112,97,99,101,0,0,0,0,0,0,0,72,69,0,0,0,0,0,0,37,49,50,103,115,32,91,37,53,46,49,102,37,37,93,32,111,118,101,114,104,101,97,100,0,0,0,0,0,0,0,0,87,101,100,0,0,0,0,0,114,101,97,100,32,111,118,101,114,114,105,100,101,32,118,97,108,117,101,115,32,102,114,111,109,32,102,105,108,101,58,32,37,115,0,0,0,0,0,0,112,114,111,112,101,114,32,115,116,97,114,116,45,118,97,108,117,101,115,32,102,111,114,32,115,111,109,101,32,111,102,32,116,104,101,32,102,111,108,108,111,119,105,110,103,32,105,116,101,114,97,116,105,111,110,32,118,97,114,105,97,98,108,101,115,32,109,105,103,104,116,32,104,101,108,112,0,0,0,0,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,71,111,102,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,50,93,46,71,111,102,102,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,84,117,101,0,0,0,0,0,115,105,109,117,108,97,116,105,111,110,95,105,110,112,117,116,95,120,109,108,46,99,112,112,58,32,117,115,97,103,101,32,101,114,114,111,114,32,121,111,117,32,99,97,110,110,111,116,32,104,97,118,101,32,98,111,116,104,32,45,111,118,101,114,114,105,100,101,32,97,110,100,32,45,111,118,101,114,114,105,100,101,70,105,108,101,32,97,99,116,105,118,101,32,97,116,32,116,104,101,32,115,97,109,101,32,116,105,109,101,46,32,115,101,101,32,77,111,100,101,108,32,45,63,32,102,111,114,32,109,111,114,101,32,105,110,102,111,33], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9963560);
/* memory initializer */ allocate([86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,84,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,109,111,100,101,108,32,116,101,114,109,105,110,97,116,101,32,124,32,108,105,110,101,97,114,32,115,121,115,116,101,109,32,115,111,108,118,101,114,32,102,97,105,108,101,100,46,32,124,32,83,105,109,117,108,97,116,105,111,110,32,116,101,114,109,105,110,97,116,101,100,32,97,116,32,116,105,109,101,32,37,103,0,0,0,0,0,0,0,115,116,97,116,101,115,95,114,105,103,104,116,0,0,0,0,76,79,71,95,85,78,75,78,79,87,78,0,0,0,0,0,83,116,97,114,116,32,115,116,101,112,32,37,46,49,53,103,32,116,111,32,37,46,49,53,103,0,0,0,0,0,0,0,77,111,110,0,0,0,0,0,116,105,109,101,32,62,61,32,98,111,111,108,101,97,110,83,116,101,112,77,91,52,93,46,115,116,97,114,116,84,105,109,101,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,82,111,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,82,111,110,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,83,117,110,0,0,0,0,0,115,101,116,32,111,117,116,112,117,116,32,34,37,115,95,112,114,111,102,46,37,115,37,100,95,99,111,117,110,116,46,37,115,34,10,0,0,0,0,0,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,100,101,97,108,46,109,111,0,0,0,0,0,0,0,0,97,45,62,100,105,109,95,115,105,122,101,91,37,100,93,32,33,61,32,98,45,62,100,105,109,95,115,105,122,101,91,37,100,93,44,32,37,100,32,33,61,32,37,100,10,0,0,0,115,101,116,32,121,108,97,98,101,108,32,34,69,120,101,99,117,116,105,111,110,32,99,111,117,110,116,34,10,0,0,0,83,97,116,117,114,100,97,121,0,0,0,0,0,0,0,0,83,116,114,105,110,103,32,65,108,105,97,115,32,118,97,114,105,97,98,108,101,32,0,0,68,65,83,83,76,45,45,32,32,69,82,82,79,82,32,84,69,83,84,32,70,65,73,76,69,68,32,82,69,80,69,65,84,69,68,76,89,32,79,82,32,87,73,84,72,32,65,66,83,40,72,41,61,72,77,73,78,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,71,111,102,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,105,100,101,97,108,67,108,111,115,101,114,51,46,105,100,101,97,108,67,108,111,115,105,110,103,83,119,105,116,99,104,91,51,93,46,71,111,102,102,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,117,110,100,101,102,105,110,101,100,32,101,110,116,105,116,121,0,0,0,0,0,0,0,0,70,114,105,100,97,121,0,0,115,101,116,32,120,108,97,98,101,108,32,34,71,108,111,98,97,108,32,115,116,101,112,32,110,117,109,98,101,114,34,10,0,0,0,0,0,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,115,116,114,105,110,103,32,97,108,105,97,115,32,118,97,114,115,0,0,0,0,0,86,97,114,105,97,98,108,101,32,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,112,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,105,112,111,112,116,95,106,97,99,0,0,0,0,0,0,0,119,114,105,116,101,32,115,116,97,114,116,0,0,0,0,0,84,104,117,114,115,100,97,121,0,0,0,0,0,0,0,0,115,101,116,32,111,117,116,112,117,116,32,34,37,115,95,112,114,111,102,46,37,115,37,100,46,37,115,34,10,0,0,0,86,97,114,105,97,98,108,101,32,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,110,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,112,108,117,103,95,110,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,119,95,110,101,100,44,32,117,110,101,120,112,101,99,116,101,100,32,99,111,100,101,58,32,37,100,10,0,0,0,0,0,105,110,100,101,120,95,115,112,101,99,95,111,107,40,100,101,115,116,95,115,112,101,99,41,0,0,0,0,0,0,0,0,37,43,46,50,100,0,0,0,67,111,117,108,100,32,110,111,116,32,100,101,116,101,114,109,105,110,101,32,115,105,122,101,32,111,102,32,109,97,116,114,105,120,32,101,108,101,109,101,110,116,115,0,0,0,0,0,87,101,100,110,101,115,100,97,121,0,0,0,0,0,0,0,115,101,116,32,121,108,97,98,101,108,32,34,69,120,101,99,117,116,105,111,110,32,116,105,109,101,32,91,115,93,34,10,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,101,114,114,111,114,32,105,110,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,46,32,83,121,115,116,101,109,32,111,102,32,105,110,105,116,105,97,108,32,101,113,117,97,116,105,111,110,115,32,97,114,101,32,110,111,116,32,99,111,110,115,105,115,116,101,110,116,10,40,108,101,97,115,116,32,115,113,117,97,114,101,32,102,117,110,99,116,105,111,110,32,118,97,108,117,101,32,105,115,32,37,103,41,0,0,0,0,0,84,117,101,115,100,97,121,0,115,101,116,32,120,108,97,98,101,108,32,34,71,108,111,98,97,108,32,115,116,101,112,32,97,116,32,116,105,109,101,34,10,0,0,0,0,0,0,0,100,97,115,115,108,73,110,116,101,114,110,97,108,78,117,109,74,97,99,0,0,0,0,0,98,97,115,105,99,95,115,116,114,105,110,103,0,0,0,0,117,110,107,110,111,119,110,32,99,111,100,101,32,105,110,32,100,111,95,102,105,111,58,32,37,100,10,37,115,10,0,0,66,111,111,108,101,97,110,32,65,108,105,97,115,32,118,97,114,105,97,98,108,101,32,0,86,97,114,105,97,98,108,101,32,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,112,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,112,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,101,120,116,101,114,110,97,108,73,110,112,117,116,46,99,115,118,0,0,0,0,0,0,0,115,102,101,0,0,0,0,0,115,101,116,32,116,105,116,108,101,32,34,37,115,34,10,0,100,97,115,115,108,67,111,108,111,114,83,121,109,74,97,99,0,0,0,0,0,0,0,0,77,111,110,100,97,121,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,98,111,111,108,101,97,110,32,97,108,105,97,115,32,118,97,114,115,0,0,0,0,86,97,114,105,97,98,108,101,32,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,110,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,99,117,114,114,101,110,116,82,77,83,115,101,110,115,111,114,51,46,67,117,114,114,101,110,116,83,101,110,115,111,114,49,46,112,108,117,103,95,110,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,117,0,0,0,0,0,0,0,101,113,117,97,116,105,111,110,0,0,0,0,0,0,0,0,115,116,114,102,116,105,109,101,40,41,32,102,97,105,108,101,100,0,0,0,0,0,0,0,69,114,114,111,114,44,32,99,97,110,32,110,111,116,32,103,101,116,32,77,97,116,114,105,120,32,68,32,0,0,0,0,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,82,111,116,97,116,105,111,110,97,108,46,109,111,0,0,0,84,104,101,32,77,111,100,101,108,32,71,85,73,68,58,32,37,115,32,105,115,32,110,111,116,32,115,101,116,32,105,110,32,102,105,108,101,58,32,37,115,0,0,0,0,0,0,0,68,97,116,97,83,101,116,58,32,36,99,112,117,84,105,109,101,10,0,0,0,0,0,0,77,97,108,108,111,99,32,102,97,105,108,101,100,0,0,0,76,79,71,95,73,80,79,80,84,95,74,65,67,0,0,0,71,69,0,0,0,0,0,0,108,97,109,98,100,97,32,105,115,32,37,45,51,103,32,105,110,32,115,116,101,112,61,37,54,100,32,97,116,32,102,61,37,103,32,91,37,103,93,0,105,110,105,116,105,97,108,32,114,101,115,105,100,117,97,108,115,0,0,0,0,0,0,0,105,110,99,111,109,112,114,101,104,101,110,115,105,98,108,101,32,108,105,115,116,32,105,110,112,117,116,0,0,0,0,0,71,83,84,0,0,0,0,0,115,101,116,32,116,101,114,109,105,110,97,108,32,37,115,10,0,0,0,0,0,0,0,0,37,49,50,103,115,32,91,37,53,46,49,102,37,37,93,32,101,118,101,110,116,45,104,97,110,100,108,105,110,103,0,0,83,117,110,100,97,121,0,0,100,97,115,115,108,78,117,109,74,97,99,0,0,0,0,0,99,97,110,32,110,111,116,32,105,110,105,116,105,97,108,122,101,32,74,97,99,111,98,105,97,110,115,32,102,111,114,32,100,121,110,97,109,105,99,32,115,116,97,116,101,32,115,101,108,101,99,116,105,111,110,0,110,111,110,108,105,110,101,97,114,32,115,121,115,116,101,109,32,102,97,105,108,115,58,32,37,115,32,97,116,32,116,61,37,103,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,112,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,112,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,117,116,105,108,47,105,110,116,101,103,101,114,95,97,114,114,97,121,46,99,0,0,0,0,115,101,116,32,98,111,114,100,101,114,10,0,0,0,0,0,100,97,115,115,108,83,121,109,74,97,99,0,0,0,0,0,86,97,114,105,97,98,108,101,32,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,110,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,95,115,110,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,109,111,100,101,108,32,116,101,114,109,105,110,97,116,101,32,124,32,110,111,110,45,108,105,110,101,97,114,32,115,121,115,116,101,109,32,115,111,108,118,101,114,32,102,97,105,108,101,100,46,32,124,32,83,105,109,117,108,97,116,105,111,110,32,116,101,114,109,105,110,97,116,101,100,32,97,116,32,116,105,109,101,32,37,103,0,0,0,104,101,108,112,0,0,0,0,78,0,0,0,0,0,0,0,115,101,116,32,120,116,105,99,115,10,0,0,0,0,0,0,67,97,108,108,105,110,103,32,68,68,65,83,82,84,32,102,114,111,109,32,37,46,49,53,103,32,116,111,32,37,46,49,53,103,0,0,0,0,0,0,100,97,115,115,108,116,101,115,116,0,0,0,0,0,0,0,83,0,0,0,97,0,0,0,116,0,0,0,0,0,0,0,73,110,116,101,103,101,114,32,65,108,105,97,115,32,118,97,114,105,97,98,108,101,32,0,105,110,100,101,120,95,115,112,101,99,95,111,107,58,32,116,104,101,32,105,110,100,101,120,32,115,112,101,99,32,100,105,109,101,110,115,105,111,110,115,32,97,114,101,32,110,101,103,97,116,105,118,101,58,32,37,100,33,10,0,0,0,0,0,70,97,105,108,101,100,32,116,111,32,111,112,101,110,32,102,105,108,101,32,37,115,58,32,37,115,10,0,0,0,0,0,116,105,109,101,32,62,61,32,98,111,111,108,101,97,110,83,116,101,112,77,91,53,93,46,115,116,97,114,116,84,105,109,101,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,83,117,112,112,108,121,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,116,101,114,109,105,110,97,108,66,111,120,51,46,112,108,117,103,83,117,112,112,108,121,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,117,110,115,112,101,99,105,102,105,101,100,32,105,111,115,116,114,101,97,109,95,99,97,116,101,103,111,114,121,32,101,114,114,111,114,0,0,0,0,0,100,105,118,105,115,105,111,110,32,98,121,32,122,101,114,111,32,97,116,32,116,105,109,101,32,37,46,49,54,103,44,32,100,105,118,105,115,111,114,58,32,37,115,0,0,0,0,0,115,101,116,32,121,116,105,99,115,10,0,0,0,0,0,0,100,97,115,115,108,119,111,114,116,0,0,0,0,0,0,0,70,0,0,0,114,0,0,0,105,0,0,0,0,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,105,110,116,101,103,101,114,32,97,108,105,97,115,32,118,97,114,115,0,0,0,0,86,97,114,105,97,98,108,101,32,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,114,0,0,0,0,0,0,0,97,45,62,110,100,105,109,115,32,33,61,32,98,45,62,110,100,105,109,115,44,32,37,100,32,33,61,32,37,100,10,0,103,110,117,112,108,111,116,0,59,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,46,112,108,117,103,95,112,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,116,101,114,109,105,110,97,108,66,111,120,51,46,115,116,97,114,46,112,108,117,103,95,112,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,115,101,116,32,111,117,116,112,117,116,32,34,37,115,95,112,114,111,102,46,37,115,37,100,95,99,111,117,110,116,46,116,104,117,109,98,46,115,118,103,34,10,0,0,0,0,0,0,84,0,0,0,104,0,0,0,117,0,0,0,0,0,0,0,108,111,98,97,116,116,111,54,0,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,65,84,32,84,32,40,61,82,49,41,32,65,78,68,32,83,84,69,80,83,73,90,69,32,72,32,40,61,82,50,41,32,84,72,69,0,0,0,0,73,110,105,116,105,97,108,105,122,105,110,103,32,68,65,83,83,76,0,0,0,0,0,0,105,108,108,101,103,97,108,32,112,97,114,97,109,101,116,101,114,32,101,110,116,105,116,121,32,114,101,102,101,114,101,110,99,101,0,0,0,0,0,0,67,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,109,32,62,61,32,51,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,115,101,116,32,121,114,97,110,103,101,32,91,37,103,58,37,103,93,10,0,0,0,0,0,87,0,0,0,101,0,0,0,100,0,0,0,0,0,0,0,108,111,98,97,116,116,111,52,0,0,0,0,0,0,0,0,97,105,109,99,51,46,105,115,91,49,93,0,0,0,0,0,105,112,111,112,116,95,104,101,115,115,101,0,0,0,0,0,44,0,0,0,0,0,0,0,117,112,100,97,116,105,110,103,32,109,97,120,45,118,97,108,117,101,115,0,0,0,0,0,115,101,116,32,110,111,108,111,103,32,120,121,10,0,0,0,84,0,0,0,117,0,0,0,101,0,0,0,0,0,0,0,108,111,98,97,116,116,111,50,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,112,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,112,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,37,115,0,0,0,0,0,0,97,108,108,111,99,97,116,105,111,110,78,101,119,116,111,110,68,97,116,97,40,41,32,102,97,105,108,101,100,33,0,0,69,114,114,111,114,32,119,104,105,108,101,32,119,114,105,116,105,110,103,32,109,97,116,32,102,105,108,101,32,37,115,0,77,97,116,114,105,120,32,117,115,101,115,32,105,109,97,103,105,110,97,114,121,32,110,117,109,98,101,114,115,0,0,0,65,117,116,111,109,97,116,105,99,32,111,117,116,112,117,116,32,115,116,101,112,115,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,105,110,32,79,112,101,110,77,111,100,101,108,105,99,97,32,121,101,116,46,32,83,101,116,32,110,117,109,112,111,105,110,116,115,32,62,61,32,48,46,0,0,0,115,101,116,32,121,114,97,110,103,101,32,91,42,58,42,93,10,0,0,0,0,0,0,0,114,97,100,97,117,49,0,0,77,0,0,0,111,0,0,0,110,0,0,0,0,0,0,0,67,97,110,110,111,116,32,111,112,101,110,32,70,105,108,101,32,37,115,32,102,111,114,32,119,114,105,116,105,110,103,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,84,115,79,112,101,114,97,116,105,111,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,84,115,79,112,101,114,97,116,105,111,110,97,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,32,110,111,116,32,102,111,117,110,100,46,0,0,0,0,0,37,105,44,0,0,0,0,0,105,116,101,114,97,116,105,111,110,115,58,32,37,108,100,0,115,105,109,112,108,101,120,95,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,124,32,82,101,115,117,108,116,32,111,102,32,108,101,97,115,116,83,113,117,97,114,101,32,109,101,116,104,111,100,32,61,32,37,103,46,32,84,104,101,32,105,110,105,116,105,97,108,32,103,117,101,115,115,32,102,105,116,115,32,116,111,32,116,104,101,32,115,121,115,116,101,109,0,0,0,0,0,0,0,0,105,110,105,116,105,97,108,32,112,114,111,98,108,101,109,58,0,0,0,0,0,0,0,0,115,101,116,32,121,114,97,110,103,101,32,91,42,58,37,103,93,10,0,0,0,0,0,0,114,97,100,97,117,51,0,0,83,0,0,0,117,0,0,0,110,0,0,0,0,0,0,0,115,116,100,111,117,116,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,84,115,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,84,115,82,101,102,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,82,101,97,108,32,65,108,105,97,115,32,118,97,114,105,97,98,108,101,32,0,0,0,0,100,111,95,102,105,111,0,0,114,101,115,105,100,117,97,108,91,37,108,100,93,32,61,32,37,103,0,0,0,0,0,0,114,0,0,0,0,0,0,0,115,101,116,32,108,111,103,32,121,10,0,0,0,0,0,0,114,97,100,97,117,53,0,0,83,0,0,0,97,0,0,0,116,0,0,0,117,0,0,0,114,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,84,82,70,0,0,0,0,0,106,97,99,111,98,105,97,110,32,37,100,120,37,100,32,91,105,100,58,32,37,108,100,93,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,84,114,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,84,114,82,101,102,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,116,105,109,101,0,0,0,0,91,94,91,58,100,105,103,105,116,58,93,93,0,0,0,0,102,0,0,0,0,0,0,0,118,97,114,105,97,98,108,101,0,0,0,0,0,0,0,0,37,89,45,37,109,45,37,100,32,37,72,58,37,77,58,37,83,0,0,0,0,0,0,0,69,114,114,111,114,44,32,99,97,110,32,110,111,116,32,103,101,116,32,77,97,116,114,105,120,32,67,32,0,0,0,0,69,114,114,111,114,32,105,110,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,46,32,83,116,111,114,105,110,103,32,114,101,115,117,108,116,115,32,97,110,100,32,101,120,105,116,105,110,103,46,10,85,115,101,32,45,108,118,61,76,79,71,95,73,78,73,84,32,45,119,32,102,111,114,32,109,111,114,101,32,105,110,102,111,114,109,97,116,105,111,110,46,0,97,105,109,99,51,46,105,115,91,50,93,0,0,0,0,0,86,97,114,105,97,98,108,101,32,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,119,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,113,117,97,100,114,97,116,105,99,76,111,97,100,84,111,114,113,117,101,51,46,119,95,110,111,109,105,110,97,108,32,62,61,32,49,101,45,49,53,32,104,97,115,32,118,97,108,117,101,58,32,0,76,105,115,0,0,0,0,0,103,117,105,100,0,0,0,0,97,108,108,111,99,97,116,105,111,110,78,101,119,116,111,110,68,97,116,97,40,41,32,118,111,105,100,100,97,116,97,32,102,97,105,108,101,100,33,0,67,97,110,110,111,116,32,97,108,108,111,99,32,109,101,109,111,114,121,0,0,0,0,0,76,79,71,95,73,80,79,80,84,95,70,85,76,76,0,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,97,105,109,99,51,46,112,104,105,77,101,99,104,97,110,105,99,97,108,32,45,32,36,95,115,116,97,114,116,40,97,105,109,99,51,46,112,104,105,77,101,99,104,97,110,105,99,97,108,41,0,0,0,0,0,0,91,37,108,100,93,32,91,37,49,53,103,93,32,58,61,32,37,115,32,40,100,105,115,99,114,101,116,101,41,0,0,0,116,114,117,110,99,97,116,105,111,110,32,102,97,105,108,101,100,32,105,110,32,101,110,100,102,105,108,101,0,0,0,0,84,82,68,0,0,0,0,0,115,101,116,32,121,108,97,98,101,108,10,0,0,0,0,0,37,49,50,103,115,32,91,37,53,46,49,102,37,37,93,32,99,114,101,97,116,105,110,103,32,111,117,116,112,117,116,45,102,105,108,101,0,0,0,0,100,97,115,115,108,0,0,0,70,0,0,0,114,0,0,0,105,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,110,111,110,108,105,110,101,97,114,32,115,111,108,118,101,114,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,84,114,79,112,101,114,97,116,105,111,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,84,114,79,112,101,114,97,116,105,111,110,97,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,97,108,108,111,99,97,116,105,111,110,72,121,98,114,100,68,97,116,97,40,41,32,118,111,105,100,100,97,116,97,32,102,97,105,108,101,100,33,0,0,104,121,98,114,105,100,0,0,45,105,32,102,103,109,114,101,115,32,0,0,0,0,0,0,65,32,109,97,116,114,105,120,32,91,37,100,120,37,100,93,0,0,0,0,0,0,0,0,108,105,110,101,97,114,32,115,121,115,116,101,109,32,102,97,105,108,115,58,32,37,115,32,97,116,32,116,61,37,103,0,97,108,108,111,99,97,116,101,77,105,120,101,100,83,101,97,114,99,104,68,97,116,97,40,41,32,118,111,105,100,100,97,116,97,32,102,97,105,108,101,100,33,0,0,0,0,0,0,109,105,120,101,100,32,115,121,115,116,101,109,32,102,97,105,108,115,58,32,37,115,32,97,116,32,116,61,37,103,0,0,115,101,116,32,120,108,97,98,101,108,10,0,0,0,0,0,113,115,115,0,0,0,0,0,97,108,105,97,115,86,97,114,105,97,98,108,101,0,0,0,84,0,0,0,104,0,0,0,117,0,0,0,114,0,0,0,115,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,112,108,117,103,95,115,112,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,112,108,117,103,95,115,112,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,109,111,100,101,108,32,116,101,114,109,105,110,97,116,101,32,124,32,73,110,116,101,103,114,97,116,111,114,32,102,97,105,108,101,100,46,32,124,32,83,105,109,117,108,97,116,105,111,110,32,116,101,114,109,105,110,97,116,101,100,32,97,116,32,116,105,109,101,32,37,103,0,114,101,97,100,32,102,111,114,32,37,115,32,110,101,103,97,116,101,100,32,37,100,32,102,114,111,109,32,115,101,116,117,112,32,102,105,108,101,0,0,67,104,97,116,116,101,114,105,110,103,32,100,101,116,101,99,116,101,100,32,97,114,111,117,110,100,32,116,105,109,101,32,37,46,49,50,103,46,46,37,46,49,50,103,32,40,37,100,32,115,116,97,116,101,32,101,118,101,110,116,115,32,105,110,32,97,32,114,111,119,32,119,105,116,104,32,97,32,116,111,116,97,108,32,116,105,109,101,32,100,101,108,116,97,32,108,101,115,115,32,116,104,97,110,32,116,104,101,32,115,116,101,112,32,115,105,122,101,32,37,46,49,50,103,41,46,32,84,104,105,115,32,99,97,110,32,98,101,32,97,32,112,101,114,102,111,114,109,97,110,99,101,32,98,111,116,116,108,101,110,101,99,107,46,32,85,115,101,32,45,108,118,32,76,79,71,95,69,86,69,78,84,83,32,102,111,114,32,109,111,114,101,32,105,110,102,111,114,109,97,116,105,111,110,46,32,84,104,101,32,122,101,114,111,45,99,114,111,115,115,105,110,103,32,119,97,115,58,32,37,115,0,97,108,108,111,99,97,116,105,111,110,72,121,98,114,100,68,97,116,97,40,41,32,102,97,105,108,101,100,33,0,0,0,115,101,116,32,116,105,116,108,101,10,0,0,0,0,0,0,105,110,108,105,110,101,45,114,117,110,103,101,107,117,116,116,97,0,0,0,0,0,0,0,73,110,116,101,114,112,111,108,97,116,101,32,108,105,110,101,97,114,0,0,0,0,0,0,87,0,0,0,101,0,0,0,100,0,0,0,110,0,0,0,101,0,0,0,115,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,112,108,117,103,95,115,110,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,112,108,117,103,95,115,110,46,109,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,110,101,103,97,116,101,100,65,108,105,97,115,0,0,0,0,116,105,109,101,32,62,61,32,98,111,111,108,101,97,110,83,116,101,112,51,91,49,93,46,115,116,97,114,116,84,105,109,101,0,0,0,0,0,0,0,84,0,0,0,117,0,0,0,101,0,0,0,115,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,115,101,116,32,111,117,116,112,117,116,32,34,37,115,95,112,114,111,102,46,37,115,37,100,46,116,104,117,109,98,46,115,118,103,34,10,0,0,0,0,100,97,115,115,108,32,119,105,116,104,32,105,110,116,101,114,110,97,108,32,110,117,109,101,114,105,99,97,108,32,106,97,99,111,98,105,97,110,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,74,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,74,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,97,108,105,97,115,0,0,0,78,76,83,95,85,78,75,78,79,87,78,0,0,0,0,0,117,110,115,101,116,32,98,111,114,100,101,114,10,0,0,0,100,97,115,115,108,32,119,105,116,104,32,99,111,108,111,114,101,100,32,115,121,109,98,111,108,105,99,32,106,97,99,111,98,105,97,110,0,0,0,0,77,0,0,0,111,0,0,0,110,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,72,65,83,32,66,69,67,79,77,69,32,46,76,69,46,32,48,46,48,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,115,116,97,116,101,83,101,108,101,99,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,115,116,97,116,101,83,101,108,101,99,116,32,62,61,32,83,116,97,116,101,83,101,108,101,99,116,46,110,101,118,101,114,32,97,110,100,32,97,105,109,99,51,46,105,110,101,114,116,105,97,82,111,116,111,114,46,115,116,97,116,101,83,101,108,101,99,116,32,60,61,32,83,116,97,116,101,83,101,108,101,99,116,46,97,108,119,97,121,115,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,114,101,97,108,32,97,108,105,97,115,32,118,97,114,115,0,0,0,0,0,0,0,67,111,117,108,100,32,110,111,116,32,97,108,108,111,99,97,116,101,32,100,97,116,97,32,102,111,114,32,108,105,110,101,97,114,32,115,111,108,118,101,114,32,76,105,115,46,0,0,106,117,110,107,32,97,102,116,101,114,32,100,111,99,117,109,101,110,116,32,101,108,101,109,101,110,116,0,0,0,0,0,117,110,115,101,116,32,121,116,105,99,115,10,0,0,0,0,100,97,115,115,108,32,119,105,116,104,32,110,117,109,101,114,105,99,97,108,32,106,97,99,111,98,105,97,110,0,0,0,83,0,0,0,117,0,0,0,110,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,112,97,114,97,109,101,116,101,114,32,83,116,114,105,110,103,32,37,115,40,37,115,115,116,97,114,116,61,37,115,37,115,41,0,0,0,0,0,0,0,105,111,109,0,0,0,0,0,67,111,117,108,100,32,110,111,116,32,97,108,108,111,99,97,116,101,32,100,97,116,97,32,102,111,114,32,108,105,110,101,97,114,32,115,111,108,118,101,114,32,108,97,112,97,99,107,46,0,0,0,0,0,0,0,117,110,115,101,116,32,120,116,105,99,115,10,0,0,0,0,100,97,115,115,108,32,119,105,116,104,32,115,121,109,98,111,108,105,99,32,106,97,99,111,98,105,97,110,0,0,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,108,105,110,101,97,114,32,115,111,108,118,101,114,0,0,0,0,0,0,110,111,32,115,117,110,100,105,97,108,115,47,107,105,110,115,111,108,32,115,117,112,112,111,114,116,32,97,99,116,105,118,97,116,101,100,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,32,62,61,32,49,101,45,54,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,115,116,114,105,110,103,32,112,97,114,97,109,101,116,101,114,115,0,0,0,0,0,77,97,116,114,105,120,32,116,121,112,101,32,109,105,115,109,97,116,99,104,0,0,0,0,112,108,111,116,32,34,37,115,95,112,114,111,102,46,100,97,116,97,34,32,98,105,110,97,114,121,32,102,111,114,109,97,116,61,34,37,37,42,117,105,110,116,51,50,37,37,42,50,100,111,117,98,108,101,37,37,37,100,117,105,110,116,51,50,37,37,42,37,100,100,111,117,98,108,101,34,32,117,115,105,110,103,32,37,100,32,119,32,108,32,108,119,32,37,100,10,0,0,0,0,0,0,0,0,100,97,115,115,108,32,102,111,114,32,100,101,98,117,103,32,112,114,111,112,111,115,101,0,68,101,99,0,0,0,0,0,97,108,108,111,99,97,116,105,111,110,72,121,98,114,100,68,97,116,97,40,41,32,102,97,105,108,101,100,33,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,102,114,105,99,116,105,111,110,80,97,114,97,109,101,116,101,114,115,46,112,111,119,101,114,95,119,32,62,61,32,49,101,45,54,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,112,97,114,97,109,101,116,101,114,32,66,111,111,108,101,97,110,32,37,115,40,37,115,115,116,97,114,116,61,37,115,37,115,44,32,102,105,120,101,100,61,37,115,41,0,0,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,109,105,120,101,100,32,115,111,108,118,101,114,0,0,0,0,0,0,0,84,114,97,110,115,112,111,115,101,0,0,0,0,0,0,0,112,108,111,116,32,34,37,115,95,112,114,111,102,46,100,97,116,97,34,32,98,105,110,97,114,121,32,102,111,114,109,97,116,61,34,37,37,42,117,105,110,116,51,50,37,37,50,100,111,117,98,108,101,37,37,42,37,100,117,105,110,116,51,50,37,37,37,100,100,111,117,98,108,101,34,32,117,115,105,110,103,32,49,58,40,36,37,100,62,49,101,45,57,32,63,32,36,37,100,32,58,32,49,101,45,51,48,41,32,119,32,108,32,108,119,32,37,100,10,0,100,97,115,115,108,32,119,105,116,104,111,117,116,32,105,110,116,101,114,110,97,108,32,114,111,111,116,32,102,105,110,100,105,110,103,0,0,0,0,0,78,111,118,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,80,82,101,102,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,98,111,111,108,101,97,110,32,112,97,114,97,109,101,116,101,114,115,0,0,0,0,38,113,117,111,116,59,0,0,108,111,98,97,116,116,111,54,32,91,115,117,110,100,105,97,108,47,107,105,110,115,111,108,32,110,101,101,100,101,100,93,0,0,0,0,0,0,0,0,79,99,116,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,86,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,86,82,101,102,32,62,61,32,49,101,45,54,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,112,97,114,97,109,101,116,101,114,32,73,110,116,101,103,101,114,32,37,115,40,37,115,115,116,97,114,116,61,37,108,100,37,115,44,32,102,105,120,101,100,61,37,115,44,32,109,105,110,61,37,108,100,44,32,109,97,120,61,37,108,100,41,0,91,91,58,100,105,103,105,116,58,93,93,0,0,0,0,0,100,0,0,0,0,0,0,0,82,101,113,117,101,115,116,101,100,32,101,113,117,97,116,105,111,110,32,119,105,116,104,32,112,114,111,102,105,108,101,114,32,105,110,100,101,120,32,37,108,100,44,32,98,117,116,32,99,111,117,108,100,32,110,111,116,32,102,105,110,100,32,105,116,33,0,0,0,0,0,0,116,105,109,101,40,41,32,102,97,105,108,101,100,58,32,37,115,0,0,0,0,0,0,0,69,114,114,111,114,44,32,99,97,110,32,110,111,116,32,103,101,116,32,77,97,116,114,105,120,32,66,32,0,0,0,0,103,0,0,0,0,0,0,0,100,101,102,97,117,108,116,32,109,101,116,104,111,100,0,0,115,105,109,117,108,97,116,105,111,110,95,105,110,112,117,116,95,120,109,108,46,99,112,112,58,32,69,114,114,111,114,58,32,102,97,105,108,101,100,32,116,111,32,114,101,97,100,32,116,104,101,32,88,77,76,32,100,97,116,97,32,37,115,58,32,37,115,32,97,116,32,108,105,110,101,32,37,108,117,10,0,0,0,0,0,0,0,0,68,97,116,97,83,101,116,58,32,116,105,109,101,10,0,0,67,97,110,110,111,116,32,119,114,105,116,101,32,116,111,32,102,105,108,101,32,37,115,0,76,79,71,95,73,80,79,80,84,0,0,0,0,0,0,0,37,46,49,54,103,44,0,0,83,101,112,0,0,0,0,0,97,105,109,99,77,46,112,104,105,77,101,99,104,97,110,105,99,97,108,32,45,32,36,95,115,116,97,114,116,40,97,105,109,99,77,46,112,104,105,77,101,99,104,97,110,105,99,97,108,41,0,0,0,0,0,0,91,37,108,100,93,32,91,37,49,53,103,93,32,58,61,32,37,115,32,40,100,105,115,99,114,101,116,101,41,32,91,115,99,97,108,105,110,103,32,99,111,101,102,102,105,99,105,101,110,116,58,32,37,103,93,0,111,102,102,32,101,110,100,32,111,102,32,114,101,99,111,114,100,0,0,0,0,0,0,0,83,89,0,0,0,0,0,0,38,97,112,111,115,59,0,0,37,49,50,103,115,32,91,37,53,46,49,102,37,37,93,32,115,116,101,112,115,0,0,0,108,111,98,97,116,116,111,52,32,91,115,117,110,100,105,97,108,47,107,105,110,115,111,108,32,110,101,101,100,101,100,93,0,0,0,0,0,0,0,0,106,97,99,111,98,105,97,110,32,102,117,110,99,116,105,111,110,32,112,111,105,110,116,101,114,32,105,115,32,105,110,118,97,108,105,100,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,119,82,101,102,32,62,61,32,49,101,45,54,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,105,110,116,101,103,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9973800);
/* memory initializer */ allocate([114,32,112,97,114,97,109,101,116,101,114,115,0,0,0,0,38,103,116,59,0,0,0,0,108,111,98,97,116,116,111,50,32,91,115,117,110,100,105,97,108,47,107,105,110,115,111,108,32,110,101,101,100,101,100,93,0,0,0,0,0,0,0,0,65,117,103,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,105,109,99,51,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,114,97,116,105,111,72,121,115,116,101,114,101,115,105,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,105,109,99,51,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,114,97,116,105,111,72,121,115,116,101,114,101,115,105,115,32,62,61,32,48,46,48,32,97,110,100,32,97,105,109,99,51,46,115,116,97,116,111,114,67,111,114,101,80,97,114,97,109,101,116,101,114,115,46,114,97,116,105,111,72,121,115,116,101,114,101,115,105,115,32,60,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,83,105,109,117,108,97,116,105,111,110,32,99,97,108,108,32,116,101,114,109,105,110,97,116,101,40,41,32,97,116,32,116,105,109,101,32,37,102,10,77,101,115,115,97,103,101,32,58,32,37,115,0,0,0,0,0,119,98,0,0,0,0,0,0,95,112,114,111,102,46,100,97,116,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,115,105,122,101,95,111,102,95,100,105,109,101,110,115,105,111,110,95,98,97,115,101,95,97,114,114,97,121,0,0,0,0,114,116,95,105,110,105,116,0,112,114,105,110,116,77,111,100,101,108,73,110,102,111,0,0,112,105,118,111,116,0,0,0,111,109,99,95,109,97,116,108,97,98,52,95,114,101,97,100,95,118,97,108,115,0,0,0,111,109,99,95,109,97,116,108,97,98,52,95,114,101,97,100,95,115,105,110,103,108,101,95,118,97,108,0,0,0,0,0,109,111,100,101,108,73,110,102,111,88,109,108,73,110,105,116,0,0,0,0,0,0,0,0,105,110,100,101,120,101,100,95,97,115,115,105,103,110,95,114,101,97,108,95,97,114,114,97,121,0,0,0,0,0,0,0,102,105,110,100,82,111,111,116,0,0,0,0,0,0,0,0,100,97,115,114,116,95,115,116,101,112,0,0,0,0,0,0,99,114,101,97,116,101,95,105,110,116,101,103,101,114,95,97,114,114,97,121,95,102,114,111,109,95,114,97,110,103,101,0,99,111,112,121,95,114,101,97,108,95,97,114,114,97,121,95,100,97,116,97,0,0,0,0,99,108,111,110,101,95,98,97,115,101,95,97,114,114,97,121,95,115,112,101,99,0,0,0,99,97,108,99,95,98,97,115,101,95,105,110,100,101,120,95,115,112,101,99,0,0,0,0,98,105,115,101,99,116,105,111,110,0,0,0,0,0,0,0,2,0,0,192,3,0,0,192,4,0,0,192,5,0,0,192,6,0,0,192,7,0,0,192,8,0,0,192,9,0,0,192,10,0,0,192,11,0,0,192,12,0,0,192,13,0,0,192,14,0,0,192,15,0,0,192,16,0,0,192,17,0,0,192,18,0,0,192,19,0,0,192,20,0,0,192,21,0,0,192,22,0,0,192,23,0,0,192,24,0,0,192,25,0,0,192,26,0,0,192,27,0,0,192,28,0,0,192,29,0,0,192,30,0,0,192,31,0,0,192,0,0,0,179,1,0,0,195,2,0,0,195,3,0,0,195,4,0,0,195,5,0,0,195,6,0,0,195,7,0,0,195,8,0,0,195,9,0,0,195,10,0,0,195,11,0,0,195,12,0,0,195,13,0,0,211,14,0,0,195,15,0,0,195,0,0,12,187,1,0,12,195,2,0,12,195,3,0,12,195,4,0,12,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,49,50,51,52,53,54,55,56,57,0,0,0,0,0,0,48,49,50,51,52,53,54,55,56,57,0,0,0,0,0,0,37,0,0,0,89,0,0,0,45,0,0,0,37,0,0,0,109,0,0,0,45,0,0,0,37,0,0,0,100,0,0,0,37,0,0,0,72,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,37,0,0,0,72,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,0,0,0,0,37,0,0,0,73,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,32,0,0,0,37,0,0,0,112,0,0,0,0,0,0,0,37,0,0,0,109,0,0,0,47,0,0,0,37,0,0,0,100,0,0,0,47,0,0,0,37,0,0,0,121,0,0,0,37,0,0,0,72,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,37,72,58,37,77,58,37,83,37,72,58,37,77,0,0,0,37,73,58,37,77,58,37,83,32,37,112,0,0,0,0,0,37,89,45,37,109,45,37,100,37,109,47,37,100,47,37,121,37,72,58,37,77,58,37,83,37,0,0,0,0,0,0,0,37,112,0,0,0,0,0,0,0,0,0,0,104,118,152,0,192,0,0,0,150,0,0,0,158,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,118,152,0,252,0,0,0,206,0,0,0,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,118,152,0,90,0,0,0,70,1,0,0,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,118,152,0,122,0,0,0,34,0,0,0,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,168,118,152,0,122,0,0,0,8,0,0,0,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,184,118,152,0,122,0,0,0,26,0,0,0,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,118,152,0,212,0,0,0,102,0,0,0,64,0,0,0,2,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,118,152,0,62,1,0,0,236,0,0,0,64,0,0,0,4,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,119,152,0,204,0,0,0,238,0,0,0,64,0,0,0,8,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,119,152,0,64,1,0,0,182,0,0,0,64,0,0,0,6,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,119,152,0,12,1,0,0,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,119,152,0,60,1,0,0,118,0,0,0,64,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,119,152,0,202,0,0,0,146,0,0,0,64,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,120,152,0,52,0,0,0,196,0,0,0,64,0,0,0,182,0,0,0,6,0,0,0,30,0,0,0,8,0,0,0,20,0,0,0,56,0,0,0,2,0,0,0,248,255,255,255,16,120,152,0,30,0,0,0,10,0,0,0,66,0,0,0,20,0,0,0,4,0,0,0,64,0,0,0,194,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,120,152,0,246,0,0,0,34,1,0,0,64,0,0,0,28,0,0,0,2,0,0,0,60,0,0,0,26,0,0,0,18,0,0,0,4,0,0,0,4,0,0,0,248,255,255,255,56,120,152,0,118,0,0,0,162,0,0,0,176,0,0,0,188,0,0,0,152,0,0,0,76,0,0,0,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,120,152,0,96,0,0,0,242,0,0,0,64,0,0,0,82,0,0,0,184,0,0,0,24,0,0,0,100,0,0,0,118,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,120,152,0,128,0,0,0,86,0,0,0,64,0,0,0,74,0,0,0,136,0,0,0,40,0,0,0,126,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,120,152,0,52,1,0,0,2,0,0,0,64,0,0,0,46,0,0,0,38,0,0,0,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,120,152,0,60,0,0,0,6,0,0,0,64,0,0,0,16,0,0,0,18,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,120,152,0,22,1,0,0,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,200,120,152,0,40,0,0,0,180,0,0,0,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,216,120,152,0,68,0,0,0,218,0,0,0,64,0,0,0,8,0,0,0,6,0,0,0,14,0,0,0,4,0,0,0,12,0,0,0,4,0,0,0,2,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,248,120,152,0,126,0,0,0,22,0,0,0,64,0,0,0,24,0,0,0,28,0,0,0,34,0,0,0,26,0,0,0,32,0,0,0,8,0,0,0,6,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,121,152,0,54,0,0,0,32,0,0,0,64,0,0,0,48,0,0,0,46,0,0,0,38,0,0,0,40,0,0,0,76,0,0,0,44,0,0,0,36,0,0,0,54,0,0,0,52,0,0,0,50,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,121,152,0,72,0,0,0,4,0,0,0,64,0,0,0,74,0,0,0,66,0,0,0,24,0,0,0,64,0,0,0,58,0,0,0,28,0,0,0,62,0,0,0,72,0,0,0,70,0,0,0,68,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,121,152,0,92,0,0,0,116,0,0,0,64,0,0,0,48,0,0,0,22,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,121,152,0,38,0,0,0,220,0,0,0,64,0,0,0,98,0,0,0,30,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,121,152,0,12,0,0,0,234,0,0,0,64,0,0,0,2,0,0,0,12,0,0,0,108,0,0,0,180,0,0,0,114,0,0,0,116,0,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,121,152,0,228,0,0,0,174,0,0,0,64,0,0,0,14,0,0,0,16,0,0,0,102,0,0,0,84,0,0,0,8,0,0,0,104,0,0,0,150,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,184,121,152,0,228,0,0,0,28,0,0,0,64,0,0,0,6,0,0,0,4,0,0,0,26,0,0,0,156,0,0,0,104,0,0,0,54,0,0,0,198,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,216,121,152,0,228,0,0,0,130,0,0,0,64,0,0,0,8,0,0,0,10,0,0,0,114,0,0,0,56,0,0,0,18,0,0,0,50,0,0,0,206,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,248,121,152,0,228,0,0,0,48,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,122,152,0,76,0,0,0,200,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,122,152,0,228,0,0,0,98,0,0,0,64,0,0,0,42,0,0,0,24,0,0,0,44,0,0,0,94,0,0,0,26,0,0,0,56,0,0,0,62,0,0,0,8,0,0,0,10,0,0,0,86,0,0,0,22,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,122,152,0,68,1,0,0,50,0,0,0,64,0,0,0,18,0,0,0,20,0,0,0,46,0,0,0,64,0,0,0,14,0,0,0,54,0,0,0,50,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,104,122,152,0,8,1,0,0,250,0,0,0,200,255,255,255,200,255,255,255,104,122,152,0,44,0,0,0,132,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,122,152,0,162,0,0,0,106,0,0,0,124,0,0,0,10,0,0,0,34,0,0,0,62,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,122,152,0,228,0,0,0,104,0,0,0,64,0,0,0,8,0,0,0,10,0,0,0,114,0,0,0,56,0,0,0,18,0,0,0,50,0,0,0,206,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,122,152,0,228,0,0,0,208,0,0,0,64,0,0,0,8,0,0,0,10,0,0,0,114,0,0,0,56,0,0,0,18,0,0,0,50,0,0,0,206,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,168,122,152,0,66,0,0,0,20,1,0,0,134,0,0,0,68,0,0,0,30,0,0,0,4,0,0,0,50,0,0,0,138,0,0,0,40,0,0,0,186,0,0,0,16,0,0,0,72,0,0,0,38,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,184,122,152,0,168,0,0,0,44,1,0,0,54,0,0,0,44,0,0,0,20,0,0,0,24,0,0,0,142,0,0,0,130,0,0,0,60,0,0,0,52,0,0,0,46,0,0,0,12,0,0,0,76,0,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,122,152,0,10,0,0,0,152,0,0,0,134,0,0,0,68,0,0,0,34,0,0,0,20,0,0,0,50,0,0,0,138,0,0,0,40,0,0,0,6,0,0,0,16,0,0,0,86,0,0,0,38,0,0,0,56,0,0,0,0,0,0,0,0,0,0,0,104,0,0,0,0,0,0,0,208,122,152,0,240,0,0,0,134,0,0,0,152,255,255,255,152,255,255,255,208,122,152,0,108,0,0,0,224,0,0,0,0,0,0,0,0,0,0,0,108,0,0,0,0,0,0,0,224,122,152,0,164,0,0,0,222,0,0,0,148,255,255,255,148,255,255,255,224,122,152,0,136,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,4,0,0,0,0,0,0,0,16,123,152,0,56,0,0,0,16,1,0,0,252,255,255,255,252,255,255,255,16,123,152,0,188,0,0,0,166,0,0,0,0,0,0,0,0,0,0,0,4,0,0,0,0,0,0,0,40,123,152,0,24,1,0,0,46,1,0,0,252,255,255,255,252,255,255,255,40,123,152,0,144,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,64,123,152,0,110,0,0,0,72,1,0,0,248,255,255,255,248,255,255,255,64,123,152,0,230,0,0,0,42,1,0,0,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,88,123,152,0,142,0,0,0,6,1,0,0,248,255,255,255,248,255,255,255,88,123,152,0,178,0,0,0,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,123,152,0,18,1,0,0,82,0,0,0,104,0,0,0,54,0,0,0,16,0,0,0,18,0,0,0,80,0,0,0,138,0,0,0,40,0,0,0,148,0,0,0,16,0,0,0,42,0,0,0,38,0,0,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,123,152,0,4,1,0,0,26,1,0,0,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,168,123,152,0,56,1,0,0,40,1,0,0,46,0,0,0,44,0,0,0,20,0,0,0,24,0,0,0,92,0,0,0,130,0,0,0,60,0,0,0,52,0,0,0,46,0,0,0,12,0,0,0,58,0,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,184,123,152,0,198,0,0,0,10,1,0,0,82,0,0,0,68,0,0,0,34,0,0,0,20,0,0,0,144,0,0,0,138,0,0,0,40,0,0,0,6,0,0,0,16,0,0,0,86,0,0,0,72,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,232,123,152,0,32,1,0,0,186,0,0,0,64,0,0,0,116,0,0,0,178,0,0,0,112,0,0,0,168,0,0,0,10,0,0,0,70,0,0,0,86,0,0,0,58,0,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,124,152,0,140,0,0,0,74,0,0,0,64,0,0,0,168,0,0,0,174,0,0,0,148,0,0,0,164,0,0,0,74,0,0,0,66,0,0,0,172,0,0,0,120,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,124,152,0,38,1,0,0,148,0,0,0,64,0,0,0,24,0,0,0,100,0,0,0,18,0,0,0,108,0,0,0,170,0,0,0,122,0,0,0,108,0,0,0,128,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,124,152,0,94,0,0,0,216,0,0,0,64,0,0,0,160,0,0,0,164,0,0,0,68,0,0,0,154,0,0,0,6,0,0,0,56,0,0,0,126,0,0,0,152,0,0,0,150,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,124,152,0,112,0,0,0,18,0,0,0,130,0,0,0,44,0,0,0,20,0,0,0,24,0,0,0,142,0,0,0,130,0,0,0,60,0,0,0,120,0,0,0,132,0,0,0,20,0,0,0,76,0,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,124,152,0,16,0,0,0,28,1,0,0,146,0,0,0,68,0,0,0,34,0,0,0,20,0,0,0,50,0,0,0,138,0,0,0,40,0,0,0,154,0,0,0,42,0,0,0,2,0,0,0,38,0,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,124,152,0,58,1,0,0,254,0,0,0,80,0,0,0,194,0,0,0,14,0,0,0,2,0,0,0,26,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,212,99,152,0,236,124,152,0,0,125,152,0,232,99,152,0,124,101,152,0,20,125,152,0,40,125,152,0,144,101,152,0,172,101,152,0,60,125,152,0,80,125,152,0,192,101,152,0,83,116,57,116,121,112,101,95,105,110,102,111,0,0,0,0,83,116,57,101,120,99,101,112,116,105,111,110,0,0,0,0,83,116,57,98,97,100,95,97,108,108,111,99,0,0,0,0,83,116,56,98,97,100,95,99,97,115,116,0,0,0,0,0,83,116,49,51,114,117,110,116,105,109,101,95,101,114,114,111,114,0,0,0,0,0,0,0,83,116,49,50,111,117,116,95,111,102,95,114,97,110,103,101,0,0,0,0,0,0,0,0,83,116,49,50,108,101,110,103,116,104,95,101,114,114,111,114,0,0,0,0,0,0,0,0,83,116,49,49,108,111,103,105,99,95,101,114,114,111,114,0,78,83,116,51,95,95,49,57,116,105,109,101,95,98,97,115,101,69,0,0,0,0,0,0,78,83,116,51,95,95,49,57,109,111,110,101,121,95,112,117,116,73,119,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,0,0,78,83,116,51,95,95,49,57,109,111,110,101,121,95,112,117,116,73,99,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,0,0,78,83,116,51,95,95,49,57,109,111,110,101,121,95,103,101,116,73,119,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,0,0,78,83,116,51,95,95,49,57,109,111,110,101,121,95,103,101,116,73,99,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,0,0,78,83,116,51,95,95,49,57,98,97,115,105,99,95,105,111,115,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,57,98,97,115,105,99,95,105,111,115,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,57,95,95,110,117,109,95,112,117,116,73,119,69,69,0,0,0,78,83,116,51,95,95,49,57,95,95,110,117,109,95,112,117,116,73,99,69,69,0,0,0,78,83,116,51,95,95,49,57,95,95,110,117,109,95,103,101,116,73,119,69,69,0,0,0,78,83,116,51,95,95,49,57,95,95,110,117,109,95,103,101,116,73,99,69,69,0,0,0,78,83,116,51,95,95,49,56,116,105,109,101,95,112,117,116,73,119,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,0,0,0,78,83,116,51,95,95,49,56,116,105,109,101,95,112,117,116,73,99,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,0,0,0,78,83,116,51,95,95,49,56,116,105,109,101,95,103,101,116,73,119,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,0,0,0,78,83,116,51,95,95,49,56,116,105,109,101,95,103,101,116,73,99,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,0,0,0,78,83,116,51,95,95,49,56,110,117,109,112,117,110,99,116,73,119,69,69,0,0,0,0,78,83,116,51,95,95,49,56,110,117,109,112,117,110,99,116,73,99,69,69,0,0,0,0,78,83,116,51,95,95,49,56,109,101,115,115,97,103,101,115,73,119,69,69,0,0,0,0,78,83,116,51,95,95,49,56,109,101,115,115,97,103,101,115,73,99,69,69,0,0,0,0,78,83,116,51,95,95,49,56,105,111,115,95,98,97,115,101,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,56,105,111,115,95,98,97,115,101,55,102,97,105,108,117,114,101,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,55,110,117,109,95,112,117,116,73,119,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,0,0,0,0,78,83,116,51,95,95,49,55,110,117,109,95,112,117,116,73,99,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,0,0,0,0,78,83,116,51,95,95,49,55,110,117,109,95,103,101,116,73,119,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,0,0,0,0,78,83,116,51,95,95,49,55,110,117,109,95,103,101,116,73,99,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,0,0,0,0,78,83,116,51,95,95,49,55,99,111,108,108,97,116,101,73,119,69,69,0,0,0,0,0,78,83,116,51,95,95,49,55,99,111,108,108,97,116,101,73,99,69,69,0,0,0,0,0,78,83,116,51,95,95,49,55,99,111,100,101,99,118,116,73,119,99,49,49,95,95,109,98,115,116,97,116,101,95,116,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,55,99,111,100,101,99,118,116,73,99,99,49,49,95,95,109,98,115,116,97,116,101,95,116,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,55,99,111,100,101,99,118,116,73,68,115,99,49,49,95,95,109,98,115,116,97,116,101,95,116,69,69,0,0,0,0,0,0,78,83,116,51,95,95,49,55,99,111,100,101,99,118,116,73,68,105,99,49,49,95,95,109,98,115,116,97,116,101,95,116,69,69,0,0,0,0,0,0,78,83,116,51,95,95,49,54,108,111,99,97,108,101,53,102,97,99,101,116,69,0,0,0,78,83,116,51,95,95,49,54,108,111,99,97,108,101,53,95,95,105,109,112,69,0,0,0,78,83,116,51,95,95,49,53,99,116,121,112,101,73,119,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,53,99,116,121,112,101,73,99,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,50,48,95,95,116,105,109,101,95,103,101,116,95,99,95,115,116,111,114,97,103,101,73,119,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,50,48,95,95,116,105,109,101,95,103,101,116,95,99,95,115,116,111,114,97,103,101,73,99,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,57,98,97,115,105,99,95,111,115,116,114,105,110,103,115,116,114,101,97,109,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,99,69,69,69,69,0,0,0,78,83,116,51,95,95,49,49,57,95,95,105,111,115,116,114,101,97,109,95,99,97,116,101,103,111,114,121,69,0,0,0,78,83,116,51,95,95,49,49,55,95,95,119,105,100,101,110,95,102,114,111,109,95,117,116,102,56,73,76,106,51,50,69,69,69,0,0,0,0,0,0,78,83,116,51,95,95,49,49,54,95,95,110,97,114,114,111,119,95,116,111,95,117,116,102,56,73,76,106,51,50,69,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,53,98,97,115,105,99,95,115,116,114,105,110,103,98,117,102,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,99,69,69,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,53,98,97,115,105,99,95,115,116,114,101,97,109,98,117,102,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,53,98,97,115,105,99,95,115,116,114,101,97,109,98,117,102,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,52,101,114,114,111,114,95,99,97,116,101,103,111,114,121,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,52,98,97,115,105,99,95,111,102,115,116,114,101,97,109,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,78,83,116,51,95,95,49,49,52,98,97,115,105,99,95,105,102,115,116,114,101,97,109,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,78,83,116,51,95,95,49,49,52,95,95,115,104,97,114,101,100,95,99,111,117,110,116,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,52,95,95,110,117,109,95,112,117,116,95,98,97,115,101,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,52,95,95,110,117,109,95,103,101,116,95,98,97,115,101,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,51,109,101,115,115,97,103,101,115,95,98,97,115,101,69,0,78,83,116,51,95,95,49,49,51,98,97,115,105,99,95,111,115,116,114,101,97,109,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,0,0,78,83,116,51,95,95,49,49,51,98,97,115,105,99,95,111,115,116,114,101,97,109,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,0,78,83,116,51,95,95,49,49,51,98,97,115,105,99,95,105,115,116,114,101,97,109,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,0,0,78,83,116,51,95,95,49,49,51,98,97,115,105,99,95,105,115,116,114,101,97,109,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,0,78,83,116,51,95,95,49,49,51,98,97,115,105,99,95,102,105,108,101,98,117,102,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,0,78,83,116,51,95,95,49,49,50,115,121,115,116,101,109,95,101,114,114,111,114,69,0,0,78,83,116,51,95,95,49,49,50,99,111,100,101,99,118,116,95,98,97,115,101,69,0,0,78,83,116,51,95,95,49,49,50,95,95,100,111,95,109,101,115,115,97,103,101,69,0,0,78,83,116,51,95,95,49,49,49,95,95,115,116,100,111,117,116,98,117,102,73,119,69,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,49,95,95,115,116,100,111,117,116,98,117,102,73,99,69,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,49,95,95,109,111,110,101,121,95,112,117,116,73,119,69,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,49,95,95,109,111,110,101,121,95,112,117,116,73,99,69,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,49,95,95,109,111,110,101,121,95,103,101,116,73,119,69,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,49,95,95,109,111,110,101,121,95,103,101,116,73,99,69,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,48,109,111,110,101,121,112,117,110,99,116,73,119,76,98,49,69,69,69,0,0,0,0,0,78,83,116,51,95,95,49,49,48,109,111,110,101,121,112,117,110,99,116,73,119,76,98,48,69,69,69,0,0,0,0,0,78,83,116,51,95,95,49,49,48,109,111,110,101,121,112,117,110,99,116,73,99,76,98,49,69,69,69,0,0,0,0,0,78,83,116,51,95,95,49,49,48,109,111,110,101,121,112,117,110,99,116,73,99,76,98,48,69,69,69,0,0,0,0,0,78,83,116,51,95,95,49,49,48,109,111,110,101,121,95,98,97,115,101,69,0,0,0,0,78,83,116,51,95,95,49,49,48,99,116,121,112,101,95,98,97,115,101,69,0,0,0,0,78,83,116,51,95,95,49,49,48,95,95,116,105,109,101,95,112,117,116,69,0,0,0,0,78,83,116,51,95,95,49,49,48,95,95,115,116,100,105,110,98,117,102,73,119,69,69,0,78,83,116,51,95,95,49,49,48,95,95,115,116,100,105,110,98,117,102,73,99,69,69,0,78,49,48,95,95,99,120,120,97,98,105,118,49,50,49,95,95,118,109,105,95,99,108,97,115,115,95,116,121,112,101,95,105,110,102,111,69,0,0,0,78,49,48,95,95,99,120,120,97,98,105,118,49,50,48,95,95,115,105,95,99,108,97,115,115,95,116,121,112,101,95,105,110,102,111,69,0,0,0,0,78,49,48,95,95,99,120,120,97,98,105,118,49,49,55,95,95,99,108,97,115,115,95,116,121,112,101,95,105,110,102,111,69,0,0,0,0,0,0,0,78,49,48,95,95,99,120,120,97,98,105,118,49,49,54,95,95,115,104,105,109,95,116,121,112,101,95,105,110,102,111,69,0,0,0,0,0,0,0,0,0,0,0,0,120,105,152,0,0,0,0,0,136,105,152,0,0,0,0,0,152,105,152,0,96,118,152,0,0,0,0,0,0,0,0,0,168,105,152,0,96,118,152,0,0,0,0,0,0,0,0,0,184,105,152,0,96,118,152,0,0,0,0,0,0,0,0,0,208,105,152,0,184,118,152,0,0,0,0,0,0,0,0,0,232,105,152,0,184,118,152,0,0,0,0,0,0,0,0,0,0,106,152,0,96,118,152,0,0,0,0,0,0,0,0,0,16,106,152,0,32,105,152,0,40,106,152,0,0,0,0,0,2,0,0,0,248,121,152,0,2,0,0,0,200,123,152,0,0,0,0,0,32,105,152,0,112,106,152,0,0,0,0,0,2,0,0,0,248,121,152,0,2,0,0,0,208,123,152,0,0,0,0,0,32,105,152,0,184,106,152,0,0,0,0,0,2,0,0,0,248,121,152,0,2,0,0,0,216,123,152,0,0,0,0,0,32,105,152,0,0,107,152,0,0,0,0,0,2,0,0,0,248,121,152,0,2,0,0,0,224,123,152,0,0,0,0,0,0,0,0,0,72,107,152,0,192,120,152,0,0,0,0,0,0,0,0,0,120,107,152,0,192,120,152,0,0,0,0,0,32,105,152,0,168,107,152,0,0,0,0,0,1,0,0,0,248,122,152,0,0,0,0,0,32,105,152,0,192,107,152,0,0,0,0,0,1,0,0,0,248,122,152,0,0,0,0,0,32,105,152,0,216,107,152,0,0,0,0,0,1,0,0,0,0,123,152,0,0,0,0,0,32,105,152,0,240,107,152,0,0,0,0,0,1,0,0,0,0,123,152,0,0,0,0,0,32,105,152,0,8,108,152,0,0,0,0,0,2,0,0,0,248,121,152,0,2,0,0,0,120,124,152,0,0,8,0,0,32,105,152,0,80,108,152,0,0,0,0,0,2,0,0,0,248,121,152,0,2,0,0,0,120,124,152,0,0,8,0,0,32,105,152,0,152,108,152,0,0,0,0,0,3,0,0,0,248,121,152,0,2,0,0,0,200,118,152,0,2,0,0,0,88,122,152,0,0,8,0,0,32,105,152,0,224,108,152,0,0,0,0,0,3,0,0,0,248,121,152,0,2,0,0,0,200,118,152,0,2,0,0,0,96,122,152,0,0,8,0,0,0,0,0,0,40,109,152,0,248,121,152,0,0,0,0,0,0,0,0,0,64,109,152,0,248,121,152,0,0,0,0,0,32,105,152,0,88,109,152,0,0,0,0,0,2,0,0,0,248,121,152,0,2,0,0,0,8,123,152,0,2,0,0,0,32,105,152,0,112,109,152,0,0,0,0,0,2,0,0,0,248,121,152,0,2,0,0,0,8,123,152,0,2,0,0,0,0,0,0,0,136,109,152,0,0,0,0,0,160,109,152,0,128,123,152,0,0,0,0,0,32,105,152,0,192,109,152,0,0,0,0,0,2,0,0,0,248,121,152,0,2,0,0,0,112,119,152,0,0,0,0,0,32,105,152,0,8,110,152,0,0,0,0,0,2,0,0,0,248,121,152,0,2,0,0,0,136,119,152,0,0,0,0,0,32,105,152,0,80,110,152,0,0,0,0,0,2,0,0,0,248,121,152,0,2,0,0,0,160,119,152,0,0,0,0,0,32,105,152,0,152,110,152,0,0,0,0,0,2,0,0,0,248,121,152,0,2,0,0,0,184,119,152,0,0,0,0,0,0,0,0,0,224,110,152,0,248,121,152,0,0,0,0,0,0,0,0,0,248,110,152,0,248,121,152,0,0,0,0,0,32,105,152,0,16,111,152,0,0,0,0,0,2,0,0,0,248,121,152,0,2,0,0,0,144,123,152,0,2,0,0,0,32,105,152,0,56,111,152,0,0,0,0,0,2,0,0,0,248,121,152,0,2,0,0,0,144,123,152,0,2,0,0,0,32,105,152,0,96,111,152,0,0,0,0,0,2,0,0,0,248,121,152,0,2,0,0,0,144,123,152,0,2,0,0,0,32,105,152,0,136,111,152,0,0,0,0,0,2,0,0,0,248,121,152,0,2,0,0,0,144,123,152,0,2,0,0,0,0,0,0,0,176,111,152,0,240,122,152,0,0,0,0,0,0,0,0,0,200,111,152,0,248,121,152,0,0,0,0,0,32,105,152,0,224,111,152,0,0,0,0,0,2,0,0,0,248,121,152,0,2,0,0,0,112,124,152,0,2,0,0,0,32,105,152,0,248,111,152,0,0,0,0,0,2,0,0,0,248,121,152,0,2,0,0,0,112,124,152,0,2,0,0,0,0,0,0,0,16,112,152,0,0,0,0,0,56,112,152,0,0,0,0,0,96,112,152,0,40,123,152,0,0,0,0,0,0,0,0,0,168,112,152,0,152,123,152,0,0,0,0,0,0,0,0,0,200,112,152,0,216,121,152,0,0,0,0,0,0,0,0,0,240,112,152,0,216,121,152,0,0,0,0,0,0,0,0,0,24,113,152,0,192,122,152,0,0,0,0,0,0,0,0,0,96,113,152,0,0,0,0,0,152,113,152,0,0,0,0,0,208,113,152,0,0,0,0,0,240,113,152,0,40,123,152,0,0,0,0,0,0,0,0,0,32,114,152,0,88,123,152,0,0,0,0,0,0,0,0,0,80,114,152,0,0,0,0,0,112,114,152,0,0,0,0,0,144,114,152,0,0,0,0,0,176,114,152,0,32,105,152,0,200,114,152,0,0,0,0,0,1,0,0,0,80,119,152,0,3,244,255,255,32,105,152,0,248,114,152,0,0,0,0,0,1,0,0,0,96,119,152,0,3,244,255,255,32,105,152,0,40,115,152,0,0,0,0,0,1,0,0,0,80,119,152,0,3,244,255,255,32,105,152,0,88,115,152,0,0,0,0,0,1,0,0,0,96,119,152,0,3,244,255,255,0,0,0,0,136,115,152,0,192,122,152,0,0,0,0,0,0,0,0,0,184,115,152,0,136,118,152,0,0,0,0,0,0,0,0,0,208,115,152,0,0,0,0,0,232,115,152,0,200,122,152,0,0,0,0,0,0,0,0,0,0,116,152,0,184,122,152,0,0,0,0,0,0,0,0,0,32,116,152,0,192,122,152,0,0,0,0,0,0,0,0,0,64,116,152,0,0,0,0,0,96,116,152,0,0,0,0,0,128,116,152,0,0,0,0,0,160,116,152,0,32,105,152,0,192,116,152,0,0,0,0,0,2,0,0,0,248,121,152,0,2,0,0,0,104,124,152,0,2,0,0,0,32,105,152,0,224,116,152,0,0,0,0,0,2,0,0,0,248,121,152,0,2,0,0,0,104,124,152,0,2,0,0,0,32,105,152,0,0,117,152,0,0,0,0,0,2,0,0,0,248,121,152,0,2,0,0,0,104,124,152,0,2,0,0,0,32,105,152,0,32,117,152,0,0,0,0,0,2,0,0,0,248,121,152,0,2,0,0,0,104,124,152,0,2,0,0,0,0,0,0,0,64,117,152,0,0,0,0,0,88,117,152,0,0,0,0,0,112,117,152,0,0,0,0,0,136,117,152,0,184,122,152,0,0,0,0,0,0,0,0,0,160,117,152,0,192,122,152,0,0,0,0,0,0,0,0,0,184,117,152,0,192,124,152,0,0,0,0,0,0,0,0,0,224,117,152,0,192,124,152,0,0,0,0,0,0,0,0,0,8,118,152,0,208,124,152,0,0,0,0,0,0,0,0,0,48,118,152,0,88,118,152,0,0,0,0,0,56,0,0,0,0,0,0,0,40,123,152,0,24,1,0,0,46,1,0,0,200,255,255,255,200,255,255,255,40,123,152,0,144,0,0,0,0,1,0,0,104,0,0,0,0,0,0,0,40,123,152,0,24,1,0,0,46,1,0,0,152,255,255,255,152,255,255,255,40,123,152,0,144,0,0,0,0,1,0,0,108,0,0,0,0,0,0,0,88,123,152,0,142,0,0,0,6,1,0,0,148,255,255,255,148,255,255,255,88,123,152,0,178,0,0,0,70,0,0,0,48,49,50,51,52,53,54,55,56,57,97,98,99,100,101,102,65,66,67,68,69,70,120,88,43,45,112,80,105,73,110,78,0,0,0,0,0,0,0,0,0,0,0,0,24,189,151,0,200,192,0,0,208,167,0,0,224,148,0,0,56,130,0,0,96,113,0,0,88,101,0,0,216,86,0,0,0,79,152,0,136,64,152,0,208,51,152,0,152,40,152,0,24,32,152,0,200,23,152,0,56,15,152,0,144,6,152,0,96,254,151,0,136,246,151,0,56,238,151,0,136,228,151,0,56,220,151,0,40,213,151,0,112,205,151,0,224,196,151,0,16,188,151,0,192,179,151,0,24,173,151,0,128,165,151,0,96,157,151,0,32,113,123,0,24,217,0,0,144,209,0,0,128,197,0,0,216,194,0,0,112,192,0,0,208,189,0,0,120,187,0,0,16,185,0,0,192,182,0,0,32,178,0,0,0,0,0,0,104,119,0,0,0,91,0,0,40,90,0,0,248,71,152,0,224,87,0,0,8,87,0,0,216,68,152,0,24,68,152,0,192,66,152,0,152,65,152,0,40,65,152,0,48,64,152,0,160,62,152,0,8,61,152,0,240,59,152,0,240,58,152,0,96,56,152,0,64,55,152,0,152,75,152,0,120,73,152,0,104,119,0,0,0,91,0,0,40,90,0,0,216,88,0,0,224,87,0,0,8,87,0,0,216,85,0,0,160,84,0,0,200,83,0,0,72,88,152,0,72,87,152,0,88,84,152,0,128,83,152,0,232,81,152,0,96,80,152,0,48,79,152,0,128,77,152,0,200,76,152,0,152,75,152,0,120,73,152,0,104,119,0,0,216,108,0,0,0,108,0,0,88,105,0,0,112,104,0,0,152,103,0,0,216,102,0,0,0,0,0,0,16,136,0,0,184,124,0,0,120,123,0,0,32,121,0,0,136,119,0,0,40,118,0,0,112,116,0,0,0,0,0,0,104,119,0,0,248,117,0,0,72,116,0,0,144,113,0,0,104,112,0,0,64,111,0,0,56,110,0,0,0,0,0,0,16,136,0,0,120,134,0,0,80,133,0,0,24,131,0,0,88,129,0,0,8,128,0,0,144,126,0,0,0,0,0,0,96,77,152,0,200,72,152,0,40,235,151,0,248,118,123,0,40,182,0,0,0,0,0,0,64,160,0,0,224,141,0,0,128,123,0,0,32,108,0,0,40,182,0,0,0,0,0,0,1,0,0,0,5,3,0,0,1,0,0,0,9,3,0,0,1,0,0,0,17,3,0,0,1,0,0,0,18,3,0,0,1,0,0,0,19,3,0,0,1,0,0,0,20,3,0,0,1,0,0,0,21,3,0,0,1,0,0,0,27,3,0,0,1,0,0,0,255,2,0,0,1,0,0,0,0,3,0,0,1,0,0,0,1,3,0,0,1,0,0,0,2,3,0,0,1,0,0,0,3,3,0,0,1,0,0,0,4,3,0,0,1,0,0,0,28,3,0,0,1,0,0,0,31,3,0,0,240,127,152,0,232,127,152,0,176,127,152,0,168,127,152,0,160,127,152,0,152,127,152,0,144,127,152,0,136,127,152,0,128,127,152,0,120,127,152,0,224,127,152,0,216,127,152,0,208,127,152,0,200,127,152], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9984040);
/* memory initializer */ allocate([192,127,152,0,184,127,152,0,152,110,0,0,248,3,152,0,48,177,151,0,248,187,0,0,112,164,0,0,152,145,0,0,128,127,0,0,232,110,0,0,184,98,0,0,104,84,0,0,88,76,152,0,160,61,152,0,88,49,152,0,104,38,152,0,64,30,152,0,24,21,152,0,56,65,152,0,72,70,152,0,208,232,151,0,168,116,123,0,112,180,0,0,0,159,0,0,104,140,0,0,16,123,0,0,176,107,0,0,160,94,0,0,152,86,152,0,64,71,152,0,1,0,0,0,193,3,0,0,1,0,0,0,164,3,0,0,1,0,0,0,91,0,0,0,1,0,0,0,90,0,0,0,1,0,0,0,110,3,0,0,1,0,0,0,83,0,0,0,1,0,0,0,64,3,0,0,1,0,0,0,16,3,0,0,1,0,0,0,14,3,0,0,1,0,0,0,10,3,0,0,1,0,0,0,6,3,0,0,1,0,0,0,74,0,0,0,1,0,0,0,37,2,0,0,1,0,0,0,26,2,0,0,1,0,0,0,2,2,0,0,1,0,0,0,0,2,0,0,1,0,0,0,253,1,0,0,1,0,0,0,251,1,0,0,1,0,0,0,249,1,0,0,1,0,0,0,220,1,0,0,1,0,0,0,190,1,0,0,1,0,0,0,174,1,0,0,1,0,0,0,154,1,0,0,1,0,0,0,142,1,0,0,1,0,0,0,91,1,0,0,1,0,0,0,87,1,0,0,1,0,0,0,64,1,0,0,1,0,0,0,249,0,0,0,1,0,0,0,236,0,0,0,0,0,0,0,0,0,0,0,128,180,0,0,27,11,0,0,7,0,0,0,27,11,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,200,151,0,9,2,0,0,7,0,0,0,9,2,0,0,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,200,151,0,138,12,0,0,7,0,0,0,138,12,0,0,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,200,151,0,241,12,0,0,7,0,0,0,241,12,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,200,151,0,214,12,0,0,7,0,0,0,214,12,0,0,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,200,151,0,218,12,0,0,7,0,0,0,219,12,0,0,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,200,151,0,203,7,0,0,7,0,0,0,204,7,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,200,151,0,205,7,0,0,7,0,0,0,206,7,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,249,151,0,50,1,0,0,5,0,0,0,51,1,0,0,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,50,152,0,0,6,0,0,7,0,0,0,3,6,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,50,152,0,4,6,0,0,7,0,0,0,6,6,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,200,151,0,174,9,0,0,7,0,0,0,174,9,0,0,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,200,151,0,180,8,0,0,7,0,0,0,180,8,0,0,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,165,0,0,252,25,0,0,7,0,0,0,252,25,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,165,0,0,6,26,0,0,7,0,0,0,6,26,0,0,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,165,0,0,9,26,0,0,7,0,0,0,11,26,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,165,0,0,15,26,0,0,7,0,0,0,17,26,0,0,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,165,0,0,183,17,0,0,9,0,0,0,185,17,0,0,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,165,0,0,191,17,0,0,9,0,0,0,193,17,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,57,152,0,252,8,0,0,7,0,0,0,252,8,0,0,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,57,152,0,253,8,0,0,7,0,0,0,255,8,0,0,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,109,0,0,8,44,0,0,7,0,0,0,9,44,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,109,0,0,10,44,0,0,7,0,0,0,11,44,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,109,0,0,12,44,0,0,7,0,0,0,13,44,0,0,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,109,0,0,70,44,0,0,7,0,0,0,71,44,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,109,0,0,72,44,0,0,7,0,0,0,73,44,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,109,0,0,74,44,0,0,7,0,0,0,75,44,0,0,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,109,0,0,77,44,0,0,7,0,0,0,78,44,0,0,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,109,0,0,47,44,0,0,7,0,0,0,48,44,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,109,0,0,49,44,0,0,7,0,0,0,50,44,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,109,0,0,51,44,0,0,7,0,0,0,52,44,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,109,0,0,53,44,0,0,7,0,0,0,54,44,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,180,0,0,209,3,0,0,7,0,0,0,209,3,0,0,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,109,0,0,219,52,0,0,9,0,0,0,221,52,0,0,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,180,0,0,108,5,0,0,7,0,0,0,108,5,0,0,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,109,0,0,142,47,0,0,9,0,0,0,144,47,0,0,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,165,0,0,185,21,0,0,9,0,0,0,186,21,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,165,0,0,195,21,0,0,9,0,0,0,197,21,0,0,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,180,0,0,141,11,0,0,7,0,0,0,143,11,0,0,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,165,0,0,231,15,0,0,7,0,0,0,232,15,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,200,151,0,11,3,0,0,7,0,0,0,12,3,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,10,152,0,64,0,0,0,3,0,0,0,64,0,0,0,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,165,0,0,242,22,0,0,9,0,0,0,243,22,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,165,0,0,252,22,0,0,9,0,0,0,254,22,0,0,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,57,152,0,159,24,0,0,7,0,0,0,160,24,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,109,0,0,49,58,0,0,9,0,0,0,49,58,0,0,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,109,0,0,54,58,0,0,9,0,0,0,56,58,0,0,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,109,0,0,100,58,0,0,9,0,0,0,102,58,0,0,73], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9994280);
/* memory initializer */ allocate([1,0,0,0,156,5,0,0,1,0,0,0,155,5,0,0,1,0,0,0,122,5,0,0,1,0,0,0,121,5,0,0,1,0,0,0,24,5,0,0,1,0,0,0,22,5,0,0,1,0,0,0,20,5,0,0,1,0,0,0,18,5,0,0,1,0,0,0,15,5,0,0,1,0,0,0,10,5,0,0,1,0,0,0,9,5,0,0,1,0,0,0,8,5,0,0,1,0,0,0,5,5,0,0,1,0,0,0,107,0,0,0,1,0,0,0,106,0,0,0,76,0,0,0,244,0,0,0,114,0,0,0,172,0,0,0,36,1,0,0,14,1,0,0,156,0,0,0,60,0,0,0,204,0,0,0,128,0,0,0,96,0,0,0,98,0,0,0,14,0,0,0,192,0,0,0,2,0,0,0,146,0,0,0,58,0,0,0,48,0,0,0,1,0,0,0,0,0,0,0,78,0,0,0,196,0,0,0,12,0,0,0,6,0,0,0,80,0,0,0,140,0,0,0,74,0,0,0,72,0,0,0,62,0,0,0,0,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,40,0,0,0,32,0,0,0,36,0,0,0,34,0,0,0,38,0,0,0,106,0,0,0,88,0,0,0,22,0,0,0,62,0,0,0,202,0,0,0,12,0,0,0,24,0,0,0,84,0,0,0,2,0,0,0,248,175,151,0,232,114,0,0,88,113,0,0,80,112,0,0,128,231,151,0,216,110,0,0,32,49,152,0,48,68,152,0,128,231,151,0,104,115,123,0,184,179,0,0,104,158,0,0,208,139,0,0,192,122,0,0,24,107,0,0,144,94,0,0,120,86,152,0,32,71,152,0,48,58,152,0,224,45,152,0,32,36,152,0,168,27,152,0,40,19,152,0,216,10,152,0,64,2,152,0,40,250,151,0,32,242,151,0,200,233,151,0,176,223,151,0,208,216,151,0,88,209,151,0,24,201,151,0,48,192,151,0,136,183,151,0,248,175,151,0,216,168,151,0,216,168,151,0,104,161,151,0,184,117,123,0,136,220,0,0,136,213,0,0,32,204,0,0,24,196,0,0,160,193,0,0,40,191,0,0,216,188,0,0,32,186,0,0,184,183,0,0,80,181,0,0,240,175,0,0,48,174,0,0,56,172,0,0,112,170,0,0,112,168,0,0,56,166,0,0,8,164,0,0,48,162,0,0,136,161,0,0,120,156,0,0,112,154,0,0,232,152,0,0,88,151,0,0,121,101,115,0,0,0,0,0,118,101,114,115,105,111,110,0,115,116,97,110,100,97,108,111,110,101,0,0,0,0,0,0,110,111,0,0,0,0,0,0,101,110,99,111,100,105,110,103,0,0,0,0,0,0,0,0,85,84,70,45,56,0,0,0,85,84,70,45,49,54,76,69,0,0,0,0,0,0,0,0,85,84,70,45,49,54,66,69,0,0,0,0,0,0,0,0,85,84,70,45,49,54,0,0,85,83,45,65,83,67,73,73,0,0,0,0,0,0,0,0,83,89,83,84,69,77,0,0,82,69,81,85,73,82,69,68,0,0,0,0,0,0,0,0,80,85,66,76,73,67,0,0,80,67,68,65,84,65,0,0,78,79,84,65,84,73,79,78,0,0,0,0,0,0,0,0,78,77,84,79,75,69,78,83,0,0,0,0,0,0,0,0,78,77,84,79,75,69,78,0,78,68,65,84,65,0,0,0,73,83,79,45,56,56,53,57,45,49,0,0,0,0,0,0,73,78,67,76,85,68,69,0,73,77,80,76,73,69,68,0,73,71,78,79,82,69,0,0,73,68,82,69,70,83,0,0,73,68,82,69,70,0,0,0,73,68,0,0,0,0,0,0,70,73,88,69,68,0,0,0,69,78,84,73,84,89,0,0,69,78,84,73,84,73,69,83,0,0,0,0,0,0,0,0,69,77,80,84,89,0,0,0,69,76,69,77,69,78,84,0,68,79,67,84,89,80,69,0,67,68,65,84,65,0,0,0,65,84,84,76,73,83,84,0,65,78,89,0,0,0,0,0,16,136,0,0,144,110,0,0,248,108,0,0,16,108,0,0,16,136,0,0,40,114,0,0,136,112,0,0,120,111,0,0,72,154,0,0,152,25,152,0,168,197,151,0,48,195,0,0,104,169,0,0,208,149,0,0,144,131,0,0,32,123,0,0,0,102,0,0,208,94,0,0,8,87,152,0,152,71,152,0,136,58,152,0,80,46,152,0,208,94,0,0,88,36,152,0,128,24,152,0,88,15,152,0,192,6,152,0,136,2,152,0,160,246,151,0,112,238,151,0,24,234,151,0,8,224,151,0,72,213,151,0,168,205,151,0,168,201,151,0,200,192,151,0,168,179,151,0,144,176,151,0,152,169,151,0,80,157,151,0,0,0,0,0,2,0,0,0,1,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,1,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,1,0,0,0,1,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,1,0,0,0,56,145,0,0,64,22,152,0,136,195,151,0,152,194,0,0,48,169,0,0,176,149,0,0,136,131,0,0,224,114,0,0,152,102,0,0,192,87,0,0,16,80,152,0,72,65,152,0,176,52,152,0,224,40,152,0,48,32,152,0,152,24,152,0,120,15,152,0,232,6,152,0,144,254,151,0,176,246,151,0,144,238,151,0,168,228,151,0,104,220,151,0,96,213,151,0,192,205,151,0,8,197,151,0,72,188,151,0,240,179,151,0,40,173,151,0,160,165,151,0,136,157,151,0,0,0,0,0,72,113,123,0,56,138,0,0,48,136,0,0,152,197,0,0,176,134,0,0,128,192,0,0,232,189,0,0,104,133,0,0,176,131,0,0,0,183,0,0,96,178,0,0,248,129,0,0,176,128,0,0,56,127,0,0,152,169,0,0,112,167,0,0,112,125,0,0,16,124,0,0,192,121,0,0,0,120,0,0,192,156,0,0,160,154,0,0,240,152,0,0,176,118,0,0,224,116,0,0,240,114,0,0,248,146,0,0,72,145,0,0,200,143,0,0,88,142,0,0,136,157,151,0,0,0,0,0,72,113,123,0,64,217,0,0,184,209,0,0,152,197,0,0,240,194,0,0,128,192,0,0,232,189,0,0,168,187,0,0,96,185,0,0,0,183,0,0,96,178,0,0,24,175,0,0,72,173,0,0,96,171,0,0,152,169,0,0,112,167,0,0,160,165,0,0,48,164,0,0,96,162,0,0,176,160,0,0,192,156,0,0,160,154,0,0,240,152,0,0,136,151,0,0,8,150,0,0,112,148,0,0,248,146,0,0,72,145,0,0,200,143,0,0,88,142,0,0,136,157,151,0,0,0,0,0,65,49,32,98,116,46,32,105,114,49,32,110,97,32,32,84,106,32,32,114,101,32,32,97,99,32,32,110,116,32,32,115,111,32,32,32,114,32,32,32,121,32,32,32,0,0,0,0], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+9998360);



var tempDoublePtr = Runtime.alignMemory(allocate(12, "i8", ALLOC_STATIC), 8);

assert(tempDoublePtr % 8 == 0);

function copyTempFloat(ptr) { // functions, because inlining this code increases code size too much

  HEAP8[tempDoublePtr] = HEAP8[ptr];

  HEAP8[tempDoublePtr+1] = HEAP8[ptr+1];

  HEAP8[tempDoublePtr+2] = HEAP8[ptr+2];

  HEAP8[tempDoublePtr+3] = HEAP8[ptr+3];

}

function copyTempDouble(ptr) {

  HEAP8[tempDoublePtr] = HEAP8[ptr];

  HEAP8[tempDoublePtr+1] = HEAP8[ptr+1];

  HEAP8[tempDoublePtr+2] = HEAP8[ptr+2];

  HEAP8[tempDoublePtr+3] = HEAP8[ptr+3];

  HEAP8[tempDoublePtr+4] = HEAP8[ptr+4];

  HEAP8[tempDoublePtr+5] = HEAP8[ptr+5];

  HEAP8[tempDoublePtr+6] = HEAP8[ptr+6];

  HEAP8[tempDoublePtr+7] = HEAP8[ptr+7];

}


   
  Module["_strlen"] = _strlen;

   
  Module["_strncpy"] = _strncpy;

  
  
  var ERRNO_CODES={EPERM:1,ENOENT:2,ESRCH:3,EINTR:4,EIO:5,ENXIO:6,E2BIG:7,ENOEXEC:8,EBADF:9,ECHILD:10,EAGAIN:11,EWOULDBLOCK:11,ENOMEM:12,EACCES:13,EFAULT:14,ENOTBLK:15,EBUSY:16,EEXIST:17,EXDEV:18,ENODEV:19,ENOTDIR:20,EISDIR:21,EINVAL:22,ENFILE:23,EMFILE:24,ENOTTY:25,ETXTBSY:26,EFBIG:27,ENOSPC:28,ESPIPE:29,EROFS:30,EMLINK:31,EPIPE:32,EDOM:33,ERANGE:34,ENOMSG:42,EIDRM:43,ECHRNG:44,EL2NSYNC:45,EL3HLT:46,EL3RST:47,ELNRNG:48,EUNATCH:49,ENOCSI:50,EL2HLT:51,EDEADLK:35,ENOLCK:37,EBADE:52,EBADR:53,EXFULL:54,ENOANO:55,EBADRQC:56,EBADSLT:57,EDEADLOCK:35,EBFONT:59,ENOSTR:60,ENODATA:61,ETIME:62,ENOSR:63,ENONET:64,ENOPKG:65,EREMOTE:66,ENOLINK:67,EADV:68,ESRMNT:69,ECOMM:70,EPROTO:71,EMULTIHOP:72,EDOTDOT:73,EBADMSG:74,ENOTUNIQ:76,EBADFD:77,EREMCHG:78,ELIBACC:79,ELIBBAD:80,ELIBSCN:81,ELIBMAX:82,ELIBEXEC:83,ENOSYS:38,ENOTEMPTY:39,ENAMETOOLONG:36,ELOOP:40,EOPNOTSUPP:95,EPFNOSUPPORT:96,ECONNRESET:104,ENOBUFS:105,EAFNOSUPPORT:97,EPROTOTYPE:91,ENOTSOCK:88,ENOPROTOOPT:92,ESHUTDOWN:108,ECONNREFUSED:111,EADDRINUSE:98,ECONNABORTED:103,ENETUNREACH:101,ENETDOWN:100,ETIMEDOUT:110,EHOSTDOWN:112,EHOSTUNREACH:113,EINPROGRESS:115,EALREADY:114,EDESTADDRREQ:89,EMSGSIZE:90,EPROTONOSUPPORT:93,ESOCKTNOSUPPORT:94,EADDRNOTAVAIL:99,ENETRESET:102,EISCONN:106,ENOTCONN:107,ETOOMANYREFS:109,EUSERS:87,EDQUOT:122,ESTALE:116,ENOTSUP:95,ENOMEDIUM:123,EILSEQ:84,EOVERFLOW:75,ECANCELED:125,ENOTRECOVERABLE:131,EOWNERDEAD:130,ESTRPIPE:86};
  
  var ERRNO_MESSAGES={0:"Success",1:"Not super-user",2:"No such file or directory",3:"No such process",4:"Interrupted system call",5:"I/O error",6:"No such device or address",7:"Arg list too long",8:"Exec format error",9:"Bad file number",10:"No children",11:"No more processes",12:"Not enough core",13:"Permission denied",14:"Bad address",15:"Block device required",16:"Mount device busy",17:"File exists",18:"Cross-device link",19:"No such device",20:"Not a directory",21:"Is a directory",22:"Invalid argument",23:"Too many open files in system",24:"Too many open files",25:"Not a typewriter",26:"Text file busy",27:"File too large",28:"No space left on device",29:"Illegal seek",30:"Read only file system",31:"Too many links",32:"Broken pipe",33:"Math arg out of domain of func",34:"Math result not representable",35:"File locking deadlock error",36:"File or path name too long",37:"No record locks available",38:"Function not implemented",39:"Directory not empty",40:"Too many symbolic links",42:"No message of desired type",43:"Identifier removed",44:"Channel number out of range",45:"Level 2 not synchronized",46:"Level 3 halted",47:"Level 3 reset",48:"Link number out of range",49:"Protocol driver not attached",50:"No CSI structure available",51:"Level 2 halted",52:"Invalid exchange",53:"Invalid request descriptor",54:"Exchange full",55:"No anode",56:"Invalid request code",57:"Invalid slot",59:"Bad font file fmt",60:"Device not a stream",61:"No data (for no delay io)",62:"Timer expired",63:"Out of streams resources",64:"Machine is not on the network",65:"Package not installed",66:"The object is remote",67:"The link has been severed",68:"Advertise error",69:"Srmount error",70:"Communication error on send",71:"Protocol error",72:"Multihop attempted",73:"Cross mount point (not really error)",74:"Trying to read unreadable message",75:"Value too large for defined data type",76:"Given log. name not unique",77:"f.d. invalid for this operation",78:"Remote address changed",79:"Can   access a needed shared lib",80:"Accessing a corrupted shared lib",81:".lib section in a.out corrupted",82:"Attempting to link in too many libs",83:"Attempting to exec a shared library",84:"Illegal byte sequence",86:"Streams pipe error",87:"Too many users",88:"Socket operation on non-socket",89:"Destination address required",90:"Message too long",91:"Protocol wrong type for socket",92:"Protocol not available",93:"Unknown protocol",94:"Socket type not supported",95:"Not supported",96:"Protocol family not supported",97:"Address family not supported by protocol family",98:"Address already in use",99:"Address not available",100:"Network interface is not configured",101:"Network is unreachable",102:"Connection reset by network",103:"Connection aborted",104:"Connection reset by peer",105:"No buffer space available",106:"Socket is already connected",107:"Socket is not connected",108:"Can't send after socket shutdown",109:"Too many references",110:"Connection timed out",111:"Connection refused",112:"Host is down",113:"Host is unreachable",114:"Socket already connected",115:"Connection already in progress",116:"Stale file handle",122:"Quota exceeded",123:"No medium (in tape drive)",125:"Operation canceled",130:"Previous owner died",131:"State not recoverable"};
  
  
  var ___errno_state=0;function ___setErrNo(value) {
      // For convenient setting and returning of errno.
      HEAP32[((___errno_state)>>2)]=value;
      return value;
    }
  
  var PATH={splitPath:function (filename) {
        var splitPathRe = /^(\/?|)([\s\S]*?)((?:\.{1,2}|[^\/]+?|)(\.[^.\/]*|))(?:[\/]*)$/;
        return splitPathRe.exec(filename).slice(1);
      },normalizeArray:function (parts, allowAboveRoot) {
        // if the path tries to go above the root, `up` ends up > 0
        var up = 0;
        for (var i = parts.length - 1; i >= 0; i--) {
          var last = parts[i];
          if (last === '.') {
            parts.splice(i, 1);
          } else if (last === '..') {
            parts.splice(i, 1);
            up++;
          } else if (up) {
            parts.splice(i, 1);
            up--;
          }
        }
        // if the path is allowed to go above the root, restore leading ..s
        if (allowAboveRoot) {
          for (; up--; up) {
            parts.unshift('..');
          }
        }
        return parts;
      },normalize:function (path) {
        var isAbsolute = path.charAt(0) === '/',
            trailingSlash = path.substr(-1) === '/';
        // Normalize the path
        path = PATH.normalizeArray(path.split('/').filter(function(p) {
          return !!p;
        }), !isAbsolute).join('/');
        if (!path && !isAbsolute) {
          path = '.';
        }
        if (path && trailingSlash) {
          path += '/';
        }
        return (isAbsolute ? '/' : '') + path;
      },dirname:function (path) {
        var result = PATH.splitPath(path),
            root = result[0],
            dir = result[1];
        if (!root && !dir) {
          // No dirname whatsoever
          return '.';
        }
        if (dir) {
          // It has a dirname, strip trailing slash
          dir = dir.substr(0, dir.length - 1);
        }
        return root + dir;
      },basename:function (path) {
        // EMSCRIPTEN return '/'' for '/', not an empty string
        if (path === '/') return '/';
        var lastSlash = path.lastIndexOf('/');
        if (lastSlash === -1) return path;
        return path.substr(lastSlash+1);
      },extname:function (path) {
        return PATH.splitPath(path)[3];
      },join:function () {
        var paths = Array.prototype.slice.call(arguments, 0);
        return PATH.normalize(paths.join('/'));
      },join2:function (l, r) {
        return PATH.normalize(l + '/' + r);
      },resolve:function () {
        var resolvedPath = '',
          resolvedAbsolute = false;
        for (var i = arguments.length - 1; i >= -1 && !resolvedAbsolute; i--) {
          var path = (i >= 0) ? arguments[i] : FS.cwd();
          // Skip empty and invalid entries
          if (typeof path !== 'string') {
            throw new TypeError('Arguments to path.resolve must be strings');
          } else if (!path) {
            continue;
          }
          resolvedPath = path + '/' + resolvedPath;
          resolvedAbsolute = path.charAt(0) === '/';
        }
        // At this point the path should be resolved to a full absolute path, but
        // handle relative paths to be safe (might happen when process.cwd() fails)
        resolvedPath = PATH.normalizeArray(resolvedPath.split('/').filter(function(p) {
          return !!p;
        }), !resolvedAbsolute).join('/');
        return ((resolvedAbsolute ? '/' : '') + resolvedPath) || '.';
      },relative:function (from, to) {
        from = PATH.resolve(from).substr(1);
        to = PATH.resolve(to).substr(1);
        function trim(arr) {
          var start = 0;
          for (; start < arr.length; start++) {
            if (arr[start] !== '') break;
          }
          var end = arr.length - 1;
          for (; end >= 0; end--) {
            if (arr[end] !== '') break;
          }
          if (start > end) return [];
          return arr.slice(start, end - start + 1);
        }
        var fromParts = trim(from.split('/'));
        var toParts = trim(to.split('/'));
        var length = Math.min(fromParts.length, toParts.length);
        var samePartsLength = length;
        for (var i = 0; i < length; i++) {
          if (fromParts[i] !== toParts[i]) {
            samePartsLength = i;
            break;
          }
        }
        var outputParts = [];
        for (var i = samePartsLength; i < fromParts.length; i++) {
          outputParts.push('..');
        }
        outputParts = outputParts.concat(toParts.slice(samePartsLength));
        return outputParts.join('/');
      }};
  
  var TTY={ttys:[],init:function () {
        // https://github.com/kripken/emscripten/pull/1555
        // if (ENVIRONMENT_IS_NODE) {
        //   // currently, FS.init does not distinguish if process.stdin is a file or TTY
        //   // device, it always assumes it's a TTY device. because of this, we're forcing
        //   // process.stdin to UTF8 encoding to at least make stdin reading compatible
        //   // with text files until FS.init can be refactored.
        //   process['stdin']['setEncoding']('utf8');
        // }
      },shutdown:function () {
        // https://github.com/kripken/emscripten/pull/1555
        // if (ENVIRONMENT_IS_NODE) {
        //   // inolen: any idea as to why node -e 'process.stdin.read()' wouldn't exit immediately (with process.stdin being a tty)?
        //   // isaacs: because now it's reading from the stream, you've expressed interest in it, so that read() kicks off a _read() which creates a ReadReq operation
        //   // inolen: I thought read() in that case was a synchronous operation that just grabbed some amount of buffered data if it exists?
        //   // isaacs: it is. but it also triggers a _read() call, which calls readStart() on the handle
        //   // isaacs: do process.stdin.pause() and i'd think it'd probably close the pending call
        //   process['stdin']['pause']();
        // }
      },register:function (dev, ops) {
        TTY.ttys[dev] = { input: [], output: [], ops: ops };
        FS.registerDevice(dev, TTY.stream_ops);
      },stream_ops:{open:function (stream) {
          var tty = TTY.ttys[stream.node.rdev];
          if (!tty) {
            throw new FS.ErrnoError(ERRNO_CODES.ENODEV);
          }
          stream.tty = tty;
          stream.seekable = false;
        },close:function (stream) {
          // flush any pending line data
          if (stream.tty.output.length) {
            stream.tty.ops.put_char(stream.tty, 10);
          }
        },read:function (stream, buffer, offset, length, pos /* ignored */) {
          if (!stream.tty || !stream.tty.ops.get_char) {
            throw new FS.ErrnoError(ERRNO_CODES.ENXIO);
          }
          var bytesRead = 0;
          for (var i = 0; i < length; i++) {
            var result;
            try {
              result = stream.tty.ops.get_char(stream.tty);
            } catch (e) {
              throw new FS.ErrnoError(ERRNO_CODES.EIO);
            }
            if (result === undefined && bytesRead === 0) {
              throw new FS.ErrnoError(ERRNO_CODES.EAGAIN);
            }
            if (result === null || result === undefined) break;
            bytesRead++;
            buffer[offset+i] = result;
          }
          if (bytesRead) {
            stream.node.timestamp = Date.now();
          }
          return bytesRead;
        },write:function (stream, buffer, offset, length, pos) {
          if (!stream.tty || !stream.tty.ops.put_char) {
            throw new FS.ErrnoError(ERRNO_CODES.ENXIO);
          }
          for (var i = 0; i < length; i++) {
            try {
              stream.tty.ops.put_char(stream.tty, buffer[offset+i]);
            } catch (e) {
              throw new FS.ErrnoError(ERRNO_CODES.EIO);
            }
          }
          if (length) {
            stream.node.timestamp = Date.now();
          }
          return i;
        }},default_tty_ops:{get_char:function (tty) {
          if (!tty.input.length) {
            var result = null;
            if (ENVIRONMENT_IS_NODE) {
              result = process['stdin']['read']();
              if (!result) {
                if (process['stdin']['_readableState'] && process['stdin']['_readableState']['ended']) {
                  return null;  // EOF
                }
                return undefined;  // no data available
              }
            } else if (typeof window != 'undefined' &&
              typeof window.prompt == 'function') {
              // Browser.
              result = window.prompt('Input: ');  // returns null on cancel
              if (result !== null) {
                result += '\n';
              }
            } else if (typeof readline == 'function') {
              // Command line.
              result = readline();
              if (result !== null) {
                result += '\n';
              }
            }
            if (!result) {
              return null;
            }
            tty.input = intArrayFromString(result, true);
          }
          return tty.input.shift();
        },put_char:function (tty, val) {
          if (val === null || val === 10) {
            Module['print'](tty.output.join(''));
            tty.output = [];
          } else {
            tty.output.push(TTY.utf8.processCChar(val));
          }
        }},default_tty1_ops:{put_char:function (tty, val) {
          if (val === null || val === 10) {
            Module['printErr'](tty.output.join(''));
            tty.output = [];
          } else {
            tty.output.push(TTY.utf8.processCChar(val));
          }
        }}};
  
  var MEMFS={ops_table:null,CONTENT_OWNING:1,CONTENT_FLEXIBLE:2,CONTENT_FIXED:3,mount:function (mount) {
        return MEMFS.createNode(null, '/', 16384 | 0777, 0);
      },createNode:function (parent, name, mode, dev) {
        if (FS.isBlkdev(mode) || FS.isFIFO(mode)) {
          // no supported
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        if (!MEMFS.ops_table) {
          MEMFS.ops_table = {
            dir: {
              node: {
                getattr: MEMFS.node_ops.getattr,
                setattr: MEMFS.node_ops.setattr,
                lookup: MEMFS.node_ops.lookup,
                mknod: MEMFS.node_ops.mknod,
                mknod: MEMFS.node_ops.mknod,
                rename: MEMFS.node_ops.rename,
                unlink: MEMFS.node_ops.unlink,
                rmdir: MEMFS.node_ops.rmdir,
                readdir: MEMFS.node_ops.readdir,
                symlink: MEMFS.node_ops.symlink
              },
              stream: {
                llseek: MEMFS.stream_ops.llseek
              }
            },
            file: {
              node: {
                getattr: MEMFS.node_ops.getattr,
                setattr: MEMFS.node_ops.setattr
              },
              stream: {
                llseek: MEMFS.stream_ops.llseek,
                read: MEMFS.stream_ops.read,
                write: MEMFS.stream_ops.write,
                allocate: MEMFS.stream_ops.allocate,
                mmap: MEMFS.stream_ops.mmap
              }
            },
            link: {
              node: {
                getattr: MEMFS.node_ops.getattr,
                setattr: MEMFS.node_ops.setattr,
                readlink: MEMFS.node_ops.readlink
              },
              stream: {}
            },
            chrdev: {
              node: {
                getattr: MEMFS.node_ops.getattr,
                setattr: MEMFS.node_ops.setattr
              },
              stream: FS.chrdev_stream_ops
            },
          };
        }
        var node = FS.createNode(parent, name, mode, dev);
        if (FS.isDir(node.mode)) {
          node.node_ops = MEMFS.ops_table.dir.node;
          node.stream_ops = MEMFS.ops_table.dir.stream;
          node.contents = {};
        } else if (FS.isFile(node.mode)) {
          node.node_ops = MEMFS.ops_table.file.node;
          node.stream_ops = MEMFS.ops_table.file.stream;
          node.contents = [];
          node.contentMode = MEMFS.CONTENT_FLEXIBLE;
        } else if (FS.isLink(node.mode)) {
          node.node_ops = MEMFS.ops_table.link.node;
          node.stream_ops = MEMFS.ops_table.link.stream;
        } else if (FS.isChrdev(node.mode)) {
          node.node_ops = MEMFS.ops_table.chrdev.node;
          node.stream_ops = MEMFS.ops_table.chrdev.stream;
        }
        node.timestamp = Date.now();
        // add the new node to the parent
        if (parent) {
          parent.contents[name] = node;
        }
        return node;
      },ensureFlexible:function (node) {
        if (node.contentMode !== MEMFS.CONTENT_FLEXIBLE) {
          var contents = node.contents;
          node.contents = Array.prototype.slice.call(contents);
          node.contentMode = MEMFS.CONTENT_FLEXIBLE;
        }
      },node_ops:{getattr:function (node) {
          var attr = {};
          // device numbers reuse inode numbers.
          attr.dev = FS.isChrdev(node.mode) ? node.id : 1;
          attr.ino = node.id;
          attr.mode = node.mode;
          attr.nlink = 1;
          attr.uid = 0;
          attr.gid = 0;
          attr.rdev = node.rdev;
          if (FS.isDir(node.mode)) {
            attr.size = 4096;
          } else if (FS.isFile(node.mode)) {
            attr.size = node.contents.length;
          } else if (FS.isLink(node.mode)) {
            attr.size = node.link.length;
          } else {
            attr.size = 0;
          }
          attr.atime = new Date(node.timestamp);
          attr.mtime = new Date(node.timestamp);
          attr.ctime = new Date(node.timestamp);
          // NOTE: In our implementation, st_blocks = Math.ceil(st_size/st_blksize),
          //       but this is not required by the standard.
          attr.blksize = 4096;
          attr.blocks = Math.ceil(attr.size / attr.blksize);
          return attr;
        },setattr:function (node, attr) {
          if (attr.mode !== undefined) {
            node.mode = attr.mode;
          }
          if (attr.timestamp !== undefined) {
            node.timestamp = attr.timestamp;
          }
          if (attr.size !== undefined) {
            MEMFS.ensureFlexible(node);
            var contents = node.contents;
            if (attr.size < contents.length) contents.length = attr.size;
            else while (attr.size > contents.length) contents.push(0);
          }
        },lookup:function (parent, name) {
          throw FS.genericErrors[ERRNO_CODES.ENOENT];
        },mknod:function (parent, name, mode, dev) {
          return MEMFS.createNode(parent, name, mode, dev);
        },rename:function (old_node, new_dir, new_name) {
          // if we're overwriting a directory at new_name, make sure it's empty.
          if (FS.isDir(old_node.mode)) {
            var new_node;
            try {
              new_node = FS.lookupNode(new_dir, new_name);
            } catch (e) {
            }
            if (new_node) {
              for (var i in new_node.contents) {
                throw new FS.ErrnoError(ERRNO_CODES.ENOTEMPTY);
              }
            }
          }
          // do the internal rewiring
          delete old_node.parent.contents[old_node.name];
          old_node.name = new_name;
          new_dir.contents[new_name] = old_node;
          old_node.parent = new_dir;
        },unlink:function (parent, name) {
          delete parent.contents[name];
        },rmdir:function (parent, name) {
          var node = FS.lookupNode(parent, name);
          for (var i in node.contents) {
            throw new FS.ErrnoError(ERRNO_CODES.ENOTEMPTY);
          }
          delete parent.contents[name];
        },readdir:function (node) {
          var entries = ['.', '..']
          for (var key in node.contents) {
            if (!node.contents.hasOwnProperty(key)) {
              continue;
            }
            entries.push(key);
          }
          return entries;
        },symlink:function (parent, newname, oldpath) {
          var node = MEMFS.createNode(parent, newname, 0777 | 40960, 0);
          node.link = oldpath;
          return node;
        },readlink:function (node) {
          if (!FS.isLink(node.mode)) {
            throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
          }
          return node.link;
        }},stream_ops:{read:function (stream, buffer, offset, length, position) {
          var contents = stream.node.contents;
          if (position >= contents.length)
            return 0;
          var size = Math.min(contents.length - position, length);
          assert(size >= 0);
          if (size > 8 && contents.subarray) { // non-trivial, and typed array
            buffer.set(contents.subarray(position, position + size), offset);
          } else
          {
            for (var i = 0; i < size; i++) {
              buffer[offset + i] = contents[position + i];
            }
          }
          return size;
        },write:function (stream, buffer, offset, length, position, canOwn) {
          var node = stream.node;
          node.timestamp = Date.now();
          var contents = node.contents;
          if (length && contents.length === 0 && position === 0 && buffer.subarray) {
            // just replace it with the new data
            if (canOwn && offset === 0) {
              node.contents = buffer; // this could be a subarray of Emscripten HEAP, or allocated from some other source.
              node.contentMode = (buffer.buffer === HEAP8.buffer) ? MEMFS.CONTENT_OWNING : MEMFS.CONTENT_FIXED;
            } else {
              node.contents = new Uint8Array(buffer.subarray(offset, offset+length));
              node.contentMode = MEMFS.CONTENT_FIXED;
            }
            return length;
          }
          MEMFS.ensureFlexible(node);
          var contents = node.contents;
          while (contents.length < position) contents.push(0);
          for (var i = 0; i < length; i++) {
            contents[position + i] = buffer[offset + i];
          }
          return length;
        },llseek:function (stream, offset, whence) {
          var position = offset;
          if (whence === 1) {  // SEEK_CUR.
            position += stream.position;
          } else if (whence === 2) {  // SEEK_END.
            if (FS.isFile(stream.node.mode)) {
              position += stream.node.contents.length;
            }
          }
          if (position < 0) {
            throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
          }
          stream.ungotten = [];
          stream.position = position;
          return position;
        },allocate:function (stream, offset, length) {
          MEMFS.ensureFlexible(stream.node);
          var contents = stream.node.contents;
          var limit = offset + length;
          while (limit > contents.length) contents.push(0);
        },mmap:function (stream, buffer, offset, length, position, prot, flags) {
          if (!FS.isFile(stream.node.mode)) {
            throw new FS.ErrnoError(ERRNO_CODES.ENODEV);
          }
          var ptr;
          var allocated;
          var contents = stream.node.contents;
          // Only make a new copy when MAP_PRIVATE is specified.
          if ( !(flags & 2) &&
                (contents.buffer === buffer || contents.buffer === buffer.buffer) ) {
            // We can't emulate MAP_SHARED when the file is not backed by the buffer
            // we're mapping to (e.g. the HEAP buffer).
            allocated = false;
            ptr = contents.byteOffset;
          } else {
            // Try to avoid unnecessary slices.
            if (position > 0 || position + length < contents.length) {
              if (contents.subarray) {
                contents = contents.subarray(position, position + length);
              } else {
                contents = Array.prototype.slice.call(contents, position, position + length);
              }
            }
            allocated = true;
            ptr = _malloc(length);
            if (!ptr) {
              throw new FS.ErrnoError(ERRNO_CODES.ENOMEM);
            }
            buffer.set(contents, ptr);
          }
          return { ptr: ptr, allocated: allocated };
        }}};
  
  var IDBFS={dbs:{},indexedDB:function () {
        return window.indexedDB || window.mozIndexedDB || window.webkitIndexedDB || window.msIndexedDB;
      },DB_VERSION:21,DB_STORE_NAME:"FILE_DATA",mount:function (mount) {
        // reuse all of the core MEMFS functionality
        return MEMFS.mount.apply(null, arguments);
      },syncfs:function (mount, populate, callback) {
        IDBFS.getLocalSet(mount, function(err, local) {
          if (err) return callback(err);
  
          IDBFS.getRemoteSet(mount, function(err, remote) {
            if (err) return callback(err);
  
            var src = populate ? remote : local;
            var dst = populate ? local : remote;
  
            IDBFS.reconcile(src, dst, callback);
          });
        });
      },getDB:function (name, callback) {
        // check the cache first
        var db = IDBFS.dbs[name];
        if (db) {
          return callback(null, db);
        }
  
        var req;
        try {
          req = IDBFS.indexedDB().open(name, IDBFS.DB_VERSION);
        } catch (e) {
          return callback(e);
        }
        req.onupgradeneeded = function(e) {
          var db = e.target.result;
          var transaction = e.target.transaction;
  
          var fileStore;
  
          if (db.objectStoreNames.contains(IDBFS.DB_STORE_NAME)) {
            fileStore = transaction.objectStore(IDBFS.DB_STORE_NAME);
          } else {
            fileStore = db.createObjectStore(IDBFS.DB_STORE_NAME);
          }
  
          fileStore.createIndex('timestamp', 'timestamp', { unique: false });
        };
        req.onsuccess = function() {
          db = req.result;
  
          // add to the cache
          IDBFS.dbs[name] = db;
          callback(null, db);
        };
        req.onerror = function() {
          callback(this.error);
        };
      },getLocalSet:function (mount, callback) {
        var entries = {};
  
        function isRealDir(p) {
          return p !== '.' && p !== '..';
        };
        function toAbsolute(root) {
          return function(p) {
            return PATH.join2(root, p);
          }
        };
  
        var check = FS.readdir(mount.mountpoint).filter(isRealDir).map(toAbsolute(mount.mountpoint));
  
        while (check.length) {
          var path = check.pop();
          var stat;
  
          try {
            stat = FS.stat(path);
          } catch (e) {
            return callback(e);
          }
  
          if (FS.isDir(stat.mode)) {
            check.push.apply(check, FS.readdir(path).filter(isRealDir).map(toAbsolute(path)));
          }
  
          entries[path] = { timestamp: stat.mtime };
        }
  
        return callback(null, { type: 'local', entries: entries });
      },getRemoteSet:function (mount, callback) {
        var entries = {};
  
        IDBFS.getDB(mount.mountpoint, function(err, db) {
          if (err) return callback(err);
  
          var transaction = db.transaction([IDBFS.DB_STORE_NAME], 'readonly');
          transaction.onerror = function() { callback(this.error); };
  
          var store = transaction.objectStore(IDBFS.DB_STORE_NAME);
          var index = store.index('timestamp');
  
          index.openKeyCursor().onsuccess = function(event) {
            var cursor = event.target.result;
  
            if (!cursor) {
              return callback(null, { type: 'remote', db: db, entries: entries });
            }
  
            entries[cursor.primaryKey] = { timestamp: cursor.key };
  
            cursor.continue();
          };
        });
      },loadLocalEntry:function (path, callback) {
        var stat, node;
  
        try {
          var lookup = FS.lookupPath(path);
          node = lookup.node;
          stat = FS.stat(path);
        } catch (e) {
          return callback(e);
        }
  
        if (FS.isDir(stat.mode)) {
          return callback(null, { timestamp: stat.mtime, mode: stat.mode });
        } else if (FS.isFile(stat.mode)) {
          return callback(null, { timestamp: stat.mtime, mode: stat.mode, contents: node.contents });
        } else {
          return callback(new Error('node type not supported'));
        }
      },storeLocalEntry:function (path, entry, callback) {
        try {
          if (FS.isDir(entry.mode)) {
            FS.mkdir(path, entry.mode);
          } else if (FS.isFile(entry.mode)) {
            FS.writeFile(path, entry.contents, { encoding: 'binary', canOwn: true });
          } else {
            return callback(new Error('node type not supported'));
          }
  
          FS.utime(path, entry.timestamp, entry.timestamp);
        } catch (e) {
          return callback(e);
        }
  
        callback(null);
      },removeLocalEntry:function (path, callback) {
        try {
          var lookup = FS.lookupPath(path);
          var stat = FS.stat(path);
  
          if (FS.isDir(stat.mode)) {
            FS.rmdir(path);
          } else if (FS.isFile(stat.mode)) {
            FS.unlink(path);
          }
        } catch (e) {
          return callback(e);
        }
  
        callback(null);
      },loadRemoteEntry:function (store, path, callback) {
        var req = store.get(path);
        req.onsuccess = function(event) { callback(null, event.target.result); };
        req.onerror = function() { callback(this.error); };
      },storeRemoteEntry:function (store, path, entry, callback) {
        var req = store.put(entry, path);
        req.onsuccess = function() { callback(null); };
        req.onerror = function() { callback(this.error); };
      },removeRemoteEntry:function (store, path, callback) {
        var req = store.delete(path);
        req.onsuccess = function() { callback(null); };
        req.onerror = function() { callback(this.error); };
      },reconcile:function (src, dst, callback) {
        var total = 0;
  
        var create = [];
        Object.keys(src.entries).forEach(function (key) {
          var e = src.entries[key];
          var e2 = dst.entries[key];
          if (!e2 || e.timestamp > e2.timestamp) {
            create.push(key);
            total++;
          }
        });
  
        var remove = [];
        Object.keys(dst.entries).forEach(function (key) {
          var e = dst.entries[key];
          var e2 = src.entries[key];
          if (!e2) {
            remove.push(key);
            total++;
          }
        });
  
        if (!total) {
          return callback(null);
        }
  
        var errored = false;
        var completed = 0;
        var db = src.type === 'remote' ? src.db : dst.db;
        var transaction = db.transaction([IDBFS.DB_STORE_NAME], 'readwrite');
        var store = transaction.objectStore(IDBFS.DB_STORE_NAME);
  
        function done(err) {
          if (err) {
            if (!done.errored) {
              done.errored = true;
              return callback(err);
            }
            return;
          }
          if (++completed >= total) {
            return callback(null);
          }
        };
  
        transaction.onerror = function() { done(this.error); };
  
        // sort paths in ascending order so directory entries are created
        // before the files inside them
        create.sort().forEach(function (path) {
          if (dst.type === 'local') {
            IDBFS.loadRemoteEntry(store, path, function (err, entry) {
              if (err) return done(err);
              IDBFS.storeLocalEntry(path, entry, done);
            });
          } else {
            IDBFS.loadLocalEntry(path, function (err, entry) {
              if (err) return done(err);
              IDBFS.storeRemoteEntry(store, path, entry, done);
            });
          }
        });
  
        // sort paths in descending order so files are deleted before their
        // parent directories
        remove.sort().reverse().forEach(function(path) {
          if (dst.type === 'local') {
            IDBFS.removeLocalEntry(path, done);
          } else {
            IDBFS.removeRemoteEntry(store, path, done);
          }
        });
      }};
  
  var NODEFS={isWindows:false,staticInit:function () {
        NODEFS.isWindows = !!process.platform.match(/^win/);
      },mount:function (mount) {
        assert(ENVIRONMENT_IS_NODE);
        return NODEFS.createNode(null, '/', NODEFS.getMode(mount.opts.root), 0);
      },createNode:function (parent, name, mode, dev) {
        if (!FS.isDir(mode) && !FS.isFile(mode) && !FS.isLink(mode)) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        var node = FS.createNode(parent, name, mode);
        node.node_ops = NODEFS.node_ops;
        node.stream_ops = NODEFS.stream_ops;
        return node;
      },getMode:function (path) {
        var stat;
        try {
          stat = fs.lstatSync(path);
          if (NODEFS.isWindows) {
            // On Windows, directories return permission bits 'rw-rw-rw-', even though they have 'rwxrwxrwx', so 
            // propagate write bits to execute bits.
            stat.mode = stat.mode | ((stat.mode & 146) >> 1);
          }
        } catch (e) {
          if (!e.code) throw e;
          throw new FS.ErrnoError(ERRNO_CODES[e.code]);
        }
        return stat.mode;
      },realPath:function (node) {
        var parts = [];
        while (node.parent !== node) {
          parts.push(node.name);
          node = node.parent;
        }
        parts.push(node.mount.opts.root);
        parts.reverse();
        return PATH.join.apply(null, parts);
      },flagsToPermissionStringMap:{0:"r",1:"r+",2:"r+",64:"r",65:"r+",66:"r+",129:"rx+",193:"rx+",514:"w+",577:"w",578:"w+",705:"wx",706:"wx+",1024:"a",1025:"a",1026:"a+",1089:"a",1090:"a+",1153:"ax",1154:"ax+",1217:"ax",1218:"ax+",4096:"rs",4098:"rs+"},flagsToPermissionString:function (flags) {
        if (flags in NODEFS.flagsToPermissionStringMap) {
          return NODEFS.flagsToPermissionStringMap[flags];
        } else {
          return flags;
        }
      },node_ops:{getattr:function (node) {
          var path = NODEFS.realPath(node);
          var stat;
          try {
            stat = fs.lstatSync(path);
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
          // node.js v0.10.20 doesn't report blksize and blocks on Windows. Fake them with default blksize of 4096.
          // See http://support.microsoft.com/kb/140365
          if (NODEFS.isWindows && !stat.blksize) {
            stat.blksize = 4096;
          }
          if (NODEFS.isWindows && !stat.blocks) {
            stat.blocks = (stat.size+stat.blksize-1)/stat.blksize|0;
          }
          return {
            dev: stat.dev,
            ino: stat.ino,
            mode: stat.mode,
            nlink: stat.nlink,
            uid: stat.uid,
            gid: stat.gid,
            rdev: stat.rdev,
            size: stat.size,
            atime: stat.atime,
            mtime: stat.mtime,
            ctime: stat.ctime,
            blksize: stat.blksize,
            blocks: stat.blocks
          };
        },setattr:function (node, attr) {
          var path = NODEFS.realPath(node);
          try {
            if (attr.mode !== undefined) {
              fs.chmodSync(path, attr.mode);
              // update the common node structure mode as well
              node.mode = attr.mode;
            }
            if (attr.timestamp !== undefined) {
              var date = new Date(attr.timestamp);
              fs.utimesSync(path, date, date);
            }
            if (attr.size !== undefined) {
              fs.truncateSync(path, attr.size);
            }
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        },lookup:function (parent, name) {
          var path = PATH.join2(NODEFS.realPath(parent), name);
          var mode = NODEFS.getMode(path);
          return NODEFS.createNode(parent, name, mode);
        },mknod:function (parent, name, mode, dev) {
          var node = NODEFS.createNode(parent, name, mode, dev);
          // create the backing node for this in the fs root as well
          var path = NODEFS.realPath(node);
          try {
            if (FS.isDir(node.mode)) {
              fs.mkdirSync(path, node.mode);
            } else {
              fs.writeFileSync(path, '', { mode: node.mode });
            }
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
          return node;
        },rename:function (oldNode, newDir, newName) {
          var oldPath = NODEFS.realPath(oldNode);
          var newPath = PATH.join2(NODEFS.realPath(newDir), newName);
          try {
            fs.renameSync(oldPath, newPath);
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        },unlink:function (parent, name) {
          var path = PATH.join2(NODEFS.realPath(parent), name);
          try {
            fs.unlinkSync(path);
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        },rmdir:function (parent, name) {
          var path = PATH.join2(NODEFS.realPath(parent), name);
          try {
            fs.rmdirSync(path);
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        },readdir:function (node) {
          var path = NODEFS.realPath(node);
          try {
            return fs.readdirSync(path);
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        },symlink:function (parent, newName, oldPath) {
          var newPath = PATH.join2(NODEFS.realPath(parent), newName);
          try {
            fs.symlinkSync(oldPath, newPath);
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        },readlink:function (node) {
          var path = NODEFS.realPath(node);
          try {
            return fs.readlinkSync(path);
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        }},stream_ops:{open:function (stream) {
          var path = NODEFS.realPath(stream.node);
          try {
            if (FS.isFile(stream.node.mode)) {
              stream.nfd = fs.openSync(path, NODEFS.flagsToPermissionString(stream.flags));
            }
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        },close:function (stream) {
          try {
            if (FS.isFile(stream.node.mode) && stream.nfd) {
              fs.closeSync(stream.nfd);
            }
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        },read:function (stream, buffer, offset, length, position) {
          // FIXME this is terrible.
          var nbuffer = new Buffer(length);
          var res;
          try {
            res = fs.readSync(stream.nfd, nbuffer, 0, length, position);
          } catch (e) {
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
          if (res > 0) {
            for (var i = 0; i < res; i++) {
              buffer[offset + i] = nbuffer[i];
            }
          }
          return res;
        },write:function (stream, buffer, offset, length, position) {
          // FIXME this is terrible.
          var nbuffer = new Buffer(buffer.subarray(offset, offset + length));
          var res;
          try {
            res = fs.writeSync(stream.nfd, nbuffer, 0, length, position);
          } catch (e) {
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
          return res;
        },llseek:function (stream, offset, whence) {
          var position = offset;
          if (whence === 1) {  // SEEK_CUR.
            position += stream.position;
          } else if (whence === 2) {  // SEEK_END.
            if (FS.isFile(stream.node.mode)) {
              try {
                var stat = fs.fstatSync(stream.nfd);
                position += stat.size;
              } catch (e) {
                throw new FS.ErrnoError(ERRNO_CODES[e.code]);
              }
            }
          }
  
          if (position < 0) {
            throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
          }
  
          stream.position = position;
          return position;
        }}};
  
  var _stdin=allocate(1, "i32*", ALLOC_STATIC);
  
  var _stdout=allocate(1, "i32*", ALLOC_STATIC);
  
  var _stderr=allocate(1, "i32*", ALLOC_STATIC);
  
  function _fflush(stream) {
      // int fflush(FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fflush.html
      // we don't currently perform any user-space buffering of data
    }var FS={root:null,mounts:[],devices:[null],streams:[],nextInode:1,nameTable:null,currentPath:"/",initialized:false,ignorePermissions:true,ErrnoError:null,genericErrors:{},handleFSError:function (e) {
        if (!(e instanceof FS.ErrnoError)) throw e + ' : ' + stackTrace();
        return ___setErrNo(e.errno);
      },lookupPath:function (path, opts) {
        path = PATH.resolve(FS.cwd(), path);
        opts = opts || {};
  
        var defaults = {
          follow_mount: true,
          recurse_count: 0
        };
        for (var key in defaults) {
          if (opts[key] === undefined) {
            opts[key] = defaults[key];
          }
        }
  
        if (opts.recurse_count > 8) {  // max recursive lookup of 8
          throw new FS.ErrnoError(ERRNO_CODES.ELOOP);
        }
  
        // split the path
        var parts = PATH.normalizeArray(path.split('/').filter(function(p) {
          return !!p;
        }), false);
  
        // start at the root
        var current = FS.root;
        var current_path = '/';
  
        for (var i = 0; i < parts.length; i++) {
          var islast = (i === parts.length-1);
          if (islast && opts.parent) {
            // stop resolving
            break;
          }
  
          current = FS.lookupNode(current, parts[i]);
          current_path = PATH.join2(current_path, parts[i]);
  
          // jump to the mount's root node if this is a mountpoint
          if (FS.isMountpoint(current)) {
            if (!islast || (islast && opts.follow_mount)) {
              current = current.mounted.root;
            }
          }
  
          // by default, lookupPath will not follow a symlink if it is the final path component.
          // setting opts.follow = true will override this behavior.
          if (!islast || opts.follow) {
            var count = 0;
            while (FS.isLink(current.mode)) {
              var link = FS.readlink(current_path);
              current_path = PATH.resolve(PATH.dirname(current_path), link);
              
              var lookup = FS.lookupPath(current_path, { recurse_count: opts.recurse_count });
              current = lookup.node;
  
              if (count++ > 40) {  // limit max consecutive symlinks to 40 (SYMLOOP_MAX).
                throw new FS.ErrnoError(ERRNO_CODES.ELOOP);
              }
            }
          }
        }
  
        return { path: current_path, node: current };
      },getPath:function (node) {
        var path;
        while (true) {
          if (FS.isRoot(node)) {
            var mount = node.mount.mountpoint;
            if (!path) return mount;
            return mount[mount.length-1] !== '/' ? mount + '/' + path : mount + path;
          }
          path = path ? node.name + '/' + path : node.name;
          node = node.parent;
        }
      },hashName:function (parentid, name) {
        var hash = 0;
  
  
        for (var i = 0; i < name.length; i++) {
          hash = ((hash << 5) - hash + name.charCodeAt(i)) | 0;
        }
        return ((parentid + hash) >>> 0) % FS.nameTable.length;
      },hashAddNode:function (node) {
        var hash = FS.hashName(node.parent.id, node.name);
        node.name_next = FS.nameTable[hash];
        FS.nameTable[hash] = node;
      },hashRemoveNode:function (node) {
        var hash = FS.hashName(node.parent.id, node.name);
        if (FS.nameTable[hash] === node) {
          FS.nameTable[hash] = node.name_next;
        } else {
          var current = FS.nameTable[hash];
          while (current) {
            if (current.name_next === node) {
              current.name_next = node.name_next;
              break;
            }
            current = current.name_next;
          }
        }
      },lookupNode:function (parent, name) {
        var err = FS.mayLookup(parent);
        if (err) {
          throw new FS.ErrnoError(err);
        }
        var hash = FS.hashName(parent.id, name);
        for (var node = FS.nameTable[hash]; node; node = node.name_next) {
          var nodeName = node.name;
          if (node.parent.id === parent.id && nodeName === name) {
            return node;
          }
        }
        // if we failed to find it in the cache, call into the VFS
        return FS.lookup(parent, name);
      },createNode:function (parent, name, mode, rdev) {
        if (!FS.FSNode) {
          FS.FSNode = function(parent, name, mode, rdev) {
            if (!parent) {
              parent = this;  // root node sets parent to itself
            }
            this.parent = parent;
            this.mount = parent.mount;
            this.mounted = null;
            this.id = FS.nextInode++;
            this.name = name;
            this.mode = mode;
            this.node_ops = {};
            this.stream_ops = {};
            this.rdev = rdev;
          };
  
          FS.FSNode.prototype = {};
  
          // compatibility
          var readMode = 292 | 73;
          var writeMode = 146;
  
          // NOTE we must use Object.defineProperties instead of individual calls to
          // Object.defineProperty in order to make closure compiler happy
          Object.defineProperties(FS.FSNode.prototype, {
            read: {
              get: function() { return (this.mode & readMode) === readMode; },
              set: function(val) { val ? this.mode |= readMode : this.mode &= ~readMode; }
            },
            write: {
              get: function() { return (this.mode & writeMode) === writeMode; },
              set: function(val) { val ? this.mode |= writeMode : this.mode &= ~writeMode; }
            },
            isFolder: {
              get: function() { return FS.isDir(this.mode); },
            },
            isDevice: {
              get: function() { return FS.isChrdev(this.mode); },
            },
          });
        }
  
        var node = new FS.FSNode(parent, name, mode, rdev);
  
        FS.hashAddNode(node);
  
        return node;
      },destroyNode:function (node) {
        FS.hashRemoveNode(node);
      },isRoot:function (node) {
        return node === node.parent;
      },isMountpoint:function (node) {
        return !!node.mounted;
      },isFile:function (mode) {
        return (mode & 61440) === 32768;
      },isDir:function (mode) {
        return (mode & 61440) === 16384;
      },isLink:function (mode) {
        return (mode & 61440) === 40960;
      },isChrdev:function (mode) {
        return (mode & 61440) === 8192;
      },isBlkdev:function (mode) {
        return (mode & 61440) === 24576;
      },isFIFO:function (mode) {
        return (mode & 61440) === 4096;
      },isSocket:function (mode) {
        return (mode & 49152) === 49152;
      },flagModes:{"r":0,"rs":1052672,"r+":2,"w":577,"wx":705,"xw":705,"w+":578,"wx+":706,"xw+":706,"a":1089,"ax":1217,"xa":1217,"a+":1090,"ax+":1218,"xa+":1218},modeStringToFlags:function (str) {
        var flags = FS.flagModes[str];
        if (typeof flags === 'undefined') {
          throw new Error('Unknown file open mode: ' + str);
        }
        return flags;
      },flagsToPermissionString:function (flag) {
        var accmode = flag & 2097155;
        var perms = ['r', 'w', 'rw'][accmode];
        if ((flag & 512)) {
          perms += 'w';
        }
        return perms;
      },nodePermissions:function (node, perms) {
        if (FS.ignorePermissions) {
          return 0;
        }
        // return 0 if any user, group or owner bits are set.
        if (perms.indexOf('r') !== -1 && !(node.mode & 292)) {
          return ERRNO_CODES.EACCES;
        } else if (perms.indexOf('w') !== -1 && !(node.mode & 146)) {
          return ERRNO_CODES.EACCES;
        } else if (perms.indexOf('x') !== -1 && !(node.mode & 73)) {
          return ERRNO_CODES.EACCES;
        }
        return 0;
      },mayLookup:function (dir) {
        return FS.nodePermissions(dir, 'x');
      },mayCreate:function (dir, name) {
        try {
          var node = FS.lookupNode(dir, name);
          return ERRNO_CODES.EEXIST;
        } catch (e) {
        }
        return FS.nodePermissions(dir, 'wx');
      },mayDelete:function (dir, name, isdir) {
        var node;
        try {
          node = FS.lookupNode(dir, name);
        } catch (e) {
          return e.errno;
        }
        var err = FS.nodePermissions(dir, 'wx');
        if (err) {
          return err;
        }
        if (isdir) {
          if (!FS.isDir(node.mode)) {
            return ERRNO_CODES.ENOTDIR;
          }
          if (FS.isRoot(node) || FS.getPath(node) === FS.cwd()) {
            return ERRNO_CODES.EBUSY;
          }
        } else {
          if (FS.isDir(node.mode)) {
            return ERRNO_CODES.EISDIR;
          }
        }
        return 0;
      },mayOpen:function (node, flags) {
        if (!node) {
          return ERRNO_CODES.ENOENT;
        }
        if (FS.isLink(node.mode)) {
          return ERRNO_CODES.ELOOP;
        } else if (FS.isDir(node.mode)) {
          if ((flags & 2097155) !== 0 ||  // opening for write
              (flags & 512)) {
            return ERRNO_CODES.EISDIR;
          }
        }
        return FS.nodePermissions(node, FS.flagsToPermissionString(flags));
      },MAX_OPEN_FDS:4096,nextfd:function (fd_start, fd_end) {
        fd_start = fd_start || 0;
        fd_end = fd_end || FS.MAX_OPEN_FDS;
        for (var fd = fd_start; fd <= fd_end; fd++) {
          if (!FS.streams[fd]) {
            return fd;
          }
        }
        throw new FS.ErrnoError(ERRNO_CODES.EMFILE);
      },getStream:function (fd) {
        return FS.streams[fd];
      },createStream:function (stream, fd_start, fd_end) {
        if (!FS.FSStream) {
          FS.FSStream = function(){};
          FS.FSStream.prototype = {};
          // compatibility
          Object.defineProperties(FS.FSStream.prototype, {
            object: {
              get: function() { return this.node; },
              set: function(val) { this.node = val; }
            },
            isRead: {
              get: function() { return (this.flags & 2097155) !== 1; }
            },
            isWrite: {
              get: function() { return (this.flags & 2097155) !== 0; }
            },
            isAppend: {
              get: function() { return (this.flags & 1024); }
            }
          });
        }
        if (stream.__proto__) {
          // reuse the object
          stream.__proto__ = FS.FSStream.prototype;
        } else {
          var newStream = new FS.FSStream();
          for (var p in stream) {
            newStream[p] = stream[p];
          }
          stream = newStream;
        }
        var fd = FS.nextfd(fd_start, fd_end);
        stream.fd = fd;
        FS.streams[fd] = stream;
        return stream;
      },closeStream:function (fd) {
        FS.streams[fd] = null;
      },getStreamFromPtr:function (ptr) {
        return FS.streams[ptr - 1];
      },getPtrForStream:function (stream) {
        return stream ? stream.fd + 1 : 0;
      },chrdev_stream_ops:{open:function (stream) {
          var device = FS.getDevice(stream.node.rdev);
          // override node's stream ops with the device's
          stream.stream_ops = device.stream_ops;
          // forward the open call
          if (stream.stream_ops.open) {
            stream.stream_ops.open(stream);
          }
        },llseek:function () {
          throw new FS.ErrnoError(ERRNO_CODES.ESPIPE);
        }},major:function (dev) {
        return ((dev) >> 8);
      },minor:function (dev) {
        return ((dev) & 0xff);
      },makedev:function (ma, mi) {
        return ((ma) << 8 | (mi));
      },registerDevice:function (dev, ops) {
        FS.devices[dev] = { stream_ops: ops };
      },getDevice:function (dev) {
        return FS.devices[dev];
      },getMounts:function (mount) {
        var mounts = [];
        var check = [mount];
  
        while (check.length) {
          var m = check.pop();
  
          mounts.push(m);
  
          check.push.apply(check, m.mounts);
        }
  
        return mounts;
      },syncfs:function (populate, callback) {
        if (typeof(populate) === 'function') {
          callback = populate;
          populate = false;
        }
  
        var mounts = FS.getMounts(FS.root.mount);
        var completed = 0;
  
        function done(err) {
          if (err) {
            if (!done.errored) {
              done.errored = true;
              return callback(err);
            }
            return;
          }
          if (++completed >= mounts.length) {
            callback(null);
          }
        };
  
        // sync all mounts
        mounts.forEach(function (mount) {
          if (!mount.type.syncfs) {
            return done(null);
          }
          mount.type.syncfs(mount, populate, done);
        });
      },mount:function (type, opts, mountpoint) {
        var root = mountpoint === '/';
        var pseudo = !mountpoint;
        var node;
  
        if (root && FS.root) {
          throw new FS.ErrnoError(ERRNO_CODES.EBUSY);
        } else if (!root && !pseudo) {
          var lookup = FS.lookupPath(mountpoint, { follow_mount: false });
  
          mountpoint = lookup.path;  // use the absolute path
          node = lookup.node;
  
          if (FS.isMountpoint(node)) {
            throw new FS.ErrnoError(ERRNO_CODES.EBUSY);
          }
  
          if (!FS.isDir(node.mode)) {
            throw new FS.ErrnoError(ERRNO_CODES.ENOTDIR);
          }
        }
  
        var mount = {
          type: type,
          opts: opts,
          mountpoint: mountpoint,
          mounts: []
        };
  
        // create a root node for the fs
        var mountRoot = type.mount(mount);
        mountRoot.mount = mount;
        mount.root = mountRoot;
  
        if (root) {
          FS.root = mountRoot;
        } else if (node) {
          // set as a mountpoint
          node.mounted = mount;
  
          // add the new mount to the current mount's children
          if (node.mount) {
            node.mount.mounts.push(mount);
          }
        }
  
        return mountRoot;
      },unmount:function (mountpoint) {
        var lookup = FS.lookupPath(mountpoint, { follow_mount: false });
  
        if (!FS.isMountpoint(lookup.node)) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
  
        // destroy the nodes for this mount, and all its child mounts
        var node = lookup.node;
        var mount = node.mounted;
        var mounts = FS.getMounts(mount);
  
        Object.keys(FS.nameTable).forEach(function (hash) {
          var current = FS.nameTable[hash];
  
          while (current) {
            var next = current.name_next;
  
            if (mounts.indexOf(current.mount) !== -1) {
              FS.destroyNode(current);
            }
  
            current = next;
          }
        });
  
        // no longer a mountpoint
        node.mounted = null;
  
        // remove this mount from the child mounts
        var idx = node.mount.mounts.indexOf(mount);
        assert(idx !== -1);
        node.mount.mounts.splice(idx, 1);
      },lookup:function (parent, name) {
        return parent.node_ops.lookup(parent, name);
      },mknod:function (path, mode, dev) {
        var lookup = FS.lookupPath(path, { parent: true });
        var parent = lookup.node;
        var name = PATH.basename(path);
        var err = FS.mayCreate(parent, name);
        if (err) {
          throw new FS.ErrnoError(err);
        }
        if (!parent.node_ops.mknod) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        return parent.node_ops.mknod(parent, name, mode, dev);
      },create:function (path, mode) {
        mode = mode !== undefined ? mode : 0666;
        mode &= 4095;
        mode |= 32768;
        return FS.mknod(path, mode, 0);
      },mkdir:function (path, mode) {
        mode = mode !== undefined ? mode : 0777;
        mode &= 511 | 512;
        mode |= 16384;
        return FS.mknod(path, mode, 0);
      },mkdev:function (path, mode, dev) {
        if (typeof(dev) === 'undefined') {
          dev = mode;
          mode = 0666;
        }
        mode |= 8192;
        return FS.mknod(path, mode, dev);
      },symlink:function (oldpath, newpath) {
        var lookup = FS.lookupPath(newpath, { parent: true });
        var parent = lookup.node;
        var newname = PATH.basename(newpath);
        var err = FS.mayCreate(parent, newname);
        if (err) {
          throw new FS.ErrnoError(err);
        }
        if (!parent.node_ops.symlink) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        return parent.node_ops.symlink(parent, newname, oldpath);
      },rename:function (old_path, new_path) {
        var old_dirname = PATH.dirname(old_path);
        var new_dirname = PATH.dirname(new_path);
        var old_name = PATH.basename(old_path);
        var new_name = PATH.basename(new_path);
        // parents must exist
        var lookup, old_dir, new_dir;
        try {
          lookup = FS.lookupPath(old_path, { parent: true });
          old_dir = lookup.node;
          lookup = FS.lookupPath(new_path, { parent: true });
          new_dir = lookup.node;
        } catch (e) {
          throw new FS.ErrnoError(ERRNO_CODES.EBUSY);
        }
        // need to be part of the same mount
        if (old_dir.mount !== new_dir.mount) {
          throw new FS.ErrnoError(ERRNO_CODES.EXDEV);
        }
        // source must exist
        var old_node = FS.lookupNode(old_dir, old_name);
        // old path should not be an ancestor of the new path
        var relative = PATH.relative(old_path, new_dirname);
        if (relative.charAt(0) !== '.') {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        // new path should not be an ancestor of the old path
        relative = PATH.relative(new_path, old_dirname);
        if (relative.charAt(0) !== '.') {
          throw new FS.ErrnoError(ERRNO_CODES.ENOTEMPTY);
        }
        // see if the new path already exists
        var new_node;
        try {
          new_node = FS.lookupNode(new_dir, new_name);
        } catch (e) {
          // not fatal
        }
        // early out if nothing needs to change
        if (old_node === new_node) {
          return;
        }
        // we'll need to delete the old entry
        var isdir = FS.isDir(old_node.mode);
        var err = FS.mayDelete(old_dir, old_name, isdir);
        if (err) {
          throw new FS.ErrnoError(err);
        }
        // need delete permissions if we'll be overwriting.
        // need create permissions if new doesn't already exist.
        err = new_node ?
          FS.mayDelete(new_dir, new_name, isdir) :
          FS.mayCreate(new_dir, new_name);
        if (err) {
          throw new FS.ErrnoError(err);
        }
        if (!old_dir.node_ops.rename) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        if (FS.isMountpoint(old_node) || (new_node && FS.isMountpoint(new_node))) {
          throw new FS.ErrnoError(ERRNO_CODES.EBUSY);
        }
        // if we are going to change the parent, check write permissions
        if (new_dir !== old_dir) {
          err = FS.nodePermissions(old_dir, 'w');
          if (err) {
            throw new FS.ErrnoError(err);
          }
        }
        // remove the node from the lookup hash
        FS.hashRemoveNode(old_node);
        // do the underlying fs rename
        try {
          old_dir.node_ops.rename(old_node, new_dir, new_name);
        } catch (e) {
          throw e;
        } finally {
          // add the node back to the hash (in case node_ops.rename
          // changed its name)
          FS.hashAddNode(old_node);
        }
      },rmdir:function (path) {
        var lookup = FS.lookupPath(path, { parent: true });
        var parent = lookup.node;
        var name = PATH.basename(path);
        var node = FS.lookupNode(parent, name);
        var err = FS.mayDelete(parent, name, true);
        if (err) {
          throw new FS.ErrnoError(err);
        }
        if (!parent.node_ops.rmdir) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        if (FS.isMountpoint(node)) {
          throw new FS.ErrnoError(ERRNO_CODES.EBUSY);
        }
        parent.node_ops.rmdir(parent, name);
        FS.destroyNode(node);
      },readdir:function (path) {
        var lookup = FS.lookupPath(path, { follow: true });
        var node = lookup.node;
        if (!node.node_ops.readdir) {
          throw new FS.ErrnoError(ERRNO_CODES.ENOTDIR);
        }
        return node.node_ops.readdir(node);
      },unlink:function (path) {
        var lookup = FS.lookupPath(path, { parent: true });
        var parent = lookup.node;
        var name = PATH.basename(path);
        var node = FS.lookupNode(parent, name);
        var err = FS.mayDelete(parent, name, false);
        if (err) {
          // POSIX says unlink should set EPERM, not EISDIR
          if (err === ERRNO_CODES.EISDIR) err = ERRNO_CODES.EPERM;
          throw new FS.ErrnoError(err);
        }
        if (!parent.node_ops.unlink) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        if (FS.isMountpoint(node)) {
          throw new FS.ErrnoError(ERRNO_CODES.EBUSY);
        }
        parent.node_ops.unlink(parent, name);
        FS.destroyNode(node);
      },readlink:function (path) {
        var lookup = FS.lookupPath(path);
        var link = lookup.node;
        if (!link.node_ops.readlink) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        return link.node_ops.readlink(link);
      },stat:function (path, dontFollow) {
        var lookup = FS.lookupPath(path, { follow: !dontFollow });
        var node = lookup.node;
        if (!node.node_ops.getattr) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        return node.node_ops.getattr(node);
      },lstat:function (path) {
        return FS.stat(path, true);
      },chmod:function (path, mode, dontFollow) {
        var node;
        if (typeof path === 'string') {
          var lookup = FS.lookupPath(path, { follow: !dontFollow });
          node = lookup.node;
        } else {
          node = path;
        }
        if (!node.node_ops.setattr) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        node.node_ops.setattr(node, {
          mode: (mode & 4095) | (node.mode & ~4095),
          timestamp: Date.now()
        });
      },lchmod:function (path, mode) {
        FS.chmod(path, mode, true);
      },fchmod:function (fd, mode) {
        var stream = FS.getStream(fd);
        if (!stream) {
          throw new FS.ErrnoError(ERRNO_CODES.EBADF);
        }
        FS.chmod(stream.node, mode);
      },chown:function (path, uid, gid, dontFollow) {
        var node;
        if (typeof path === 'string') {
          var lookup = FS.lookupPath(path, { follow: !dontFollow });
          node = lookup.node;
        } else {
          node = path;
        }
        if (!node.node_ops.setattr) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        node.node_ops.setattr(node, {
          timestamp: Date.now()
          // we ignore the uid / gid for now
        });
      },lchown:function (path, uid, gid) {
        FS.chown(path, uid, gid, true);
      },fchown:function (fd, uid, gid) {
        var stream = FS.getStream(fd);
        if (!stream) {
          throw new FS.ErrnoError(ERRNO_CODES.EBADF);
        }
        FS.chown(stream.node, uid, gid);
      },truncate:function (path, len) {
        if (len < 0) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        var node;
        if (typeof path === 'string') {
          var lookup = FS.lookupPath(path, { follow: true });
          node = lookup.node;
        } else {
          node = path;
        }
        if (!node.node_ops.setattr) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        if (FS.isDir(node.mode)) {
          throw new FS.ErrnoError(ERRNO_CODES.EISDIR);
        }
        if (!FS.isFile(node.mode)) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        var err = FS.nodePermissions(node, 'w');
        if (err) {
          throw new FS.ErrnoError(err);
        }
        node.node_ops.setattr(node, {
          size: len,
          timestamp: Date.now()
        });
      },ftruncate:function (fd, len) {
        var stream = FS.getStream(fd);
        if (!stream) {
          throw new FS.ErrnoError(ERRNO_CODES.EBADF);
        }
        if ((stream.flags & 2097155) === 0) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        FS.truncate(stream.node, len);
      },utime:function (path, atime, mtime) {
        var lookup = FS.lookupPath(path, { follow: true });
        var node = lookup.node;
        node.node_ops.setattr(node, {
          timestamp: Math.max(atime, mtime)
        });
      },open:function (path, flags, mode, fd_start, fd_end) {
        flags = typeof flags === 'string' ? FS.modeStringToFlags(flags) : flags;
        mode = typeof mode === 'undefined' ? 0666 : mode;
        if ((flags & 64)) {
          mode = (mode & 4095) | 32768;
        } else {
          mode = 0;
        }
        var node;
        if (typeof path === 'object') {
          node = path;
        } else {
          path = PATH.normalize(path);
          try {
            var lookup = FS.lookupPath(path, {
              follow: !(flags & 131072)
            });
            node = lookup.node;
          } catch (e) {
            // ignore
          }
        }
        // perhaps we need to create the node
        if ((flags & 64)) {
          if (node) {
            // if O_CREAT and O_EXCL are set, error out if the node already exists
            if ((flags & 128)) {
              throw new FS.ErrnoError(ERRNO_CODES.EEXIST);
            }
          } else {
            // node doesn't exist, try to create it
            node = FS.mknod(path, mode, 0);
          }
        }
        if (!node) {
          throw new FS.ErrnoError(ERRNO_CODES.ENOENT);
        }
        // can't truncate a device
        if (FS.isChrdev(node.mode)) {
          flags &= ~512;
        }
        // check permissions
        var err = FS.mayOpen(node, flags);
        if (err) {
          throw new FS.ErrnoError(err);
        }
        // do truncation if necessary
        if ((flags & 512)) {
          FS.truncate(node, 0);
        }
        // we've already handled these, don't pass down to the underlying vfs
        flags &= ~(128 | 512);
  
        // register the stream with the filesystem
        var stream = FS.createStream({
          node: node,
          path: FS.getPath(node),  // we want the absolute path to the node
          flags: flags,
          seekable: true,
          position: 0,
          stream_ops: node.stream_ops,
          // used by the file family libc calls (fopen, fwrite, ferror, etc.)
          ungotten: [],
          error: false
        }, fd_start, fd_end);
        // call the new stream's open function
        if (stream.stream_ops.open) {
          stream.stream_ops.open(stream);
        }
        if (Module['logReadFiles'] && !(flags & 1)) {
          if (!FS.readFiles) FS.readFiles = {};
          if (!(path in FS.readFiles)) {
            FS.readFiles[path] = 1;
            Module['printErr']('read file: ' + path);
          }
        }
        return stream;
      },close:function (stream) {
        try {
          if (stream.stream_ops.close) {
            stream.stream_ops.close(stream);
          }
        } catch (e) {
          throw e;
        } finally {
          FS.closeStream(stream.fd);
        }
      },llseek:function (stream, offset, whence) {
        if (!stream.seekable || !stream.stream_ops.llseek) {
          throw new FS.ErrnoError(ERRNO_CODES.ESPIPE);
        }
        return stream.stream_ops.llseek(stream, offset, whence);
      },read:function (stream, buffer, offset, length, position) {
        if (length < 0 || position < 0) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        if ((stream.flags & 2097155) === 1) {
          throw new FS.ErrnoError(ERRNO_CODES.EBADF);
        }
        if (FS.isDir(stream.node.mode)) {
          throw new FS.ErrnoError(ERRNO_CODES.EISDIR);
        }
        if (!stream.stream_ops.read) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        var seeking = true;
        if (typeof position === 'undefined') {
          position = stream.position;
          seeking = false;
        } else if (!stream.seekable) {
          throw new FS.ErrnoError(ERRNO_CODES.ESPIPE);
        }
        var bytesRead = stream.stream_ops.read(stream, buffer, offset, length, position);
        if (!seeking) stream.position += bytesRead;
        return bytesRead;
      },write:function (stream, buffer, offset, length, position, canOwn) {
        if (length < 0 || position < 0) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        if ((stream.flags & 2097155) === 0) {
          throw new FS.ErrnoError(ERRNO_CODES.EBADF);
        }
        if (FS.isDir(stream.node.mode)) {
          throw new FS.ErrnoError(ERRNO_CODES.EISDIR);
        }
        if (!stream.stream_ops.write) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        var seeking = true;
        if (typeof position === 'undefined') {
          position = stream.position;
          seeking = false;
        } else if (!stream.seekable) {
          throw new FS.ErrnoError(ERRNO_CODES.ESPIPE);
        }
        if (stream.flags & 1024) {
          // seek to the end before writing in append mode
          FS.llseek(stream, 0, 2);
        }
        var bytesWritten = stream.stream_ops.write(stream, buffer, offset, length, position, canOwn);
        if (!seeking) stream.position += bytesWritten;
        return bytesWritten;
      },allocate:function (stream, offset, length) {
        if (offset < 0 || length <= 0) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        if ((stream.flags & 2097155) === 0) {
          throw new FS.ErrnoError(ERRNO_CODES.EBADF);
        }
        if (!FS.isFile(stream.node.mode) && !FS.isDir(node.mode)) {
          throw new FS.ErrnoError(ERRNO_CODES.ENODEV);
        }
        if (!stream.stream_ops.allocate) {
          throw new FS.ErrnoError(ERRNO_CODES.EOPNOTSUPP);
        }
        stream.stream_ops.allocate(stream, offset, length);
      },mmap:function (stream, buffer, offset, length, position, prot, flags) {
        // TODO if PROT is PROT_WRITE, make sure we have write access
        if ((stream.flags & 2097155) === 1) {
          throw new FS.ErrnoError(ERRNO_CODES.EACCES);
        }
        if (!stream.stream_ops.mmap) {
          throw new FS.ErrnoError(ERRNO_CODES.ENODEV);
        }
        return stream.stream_ops.mmap(stream, buffer, offset, length, position, prot, flags);
      },ioctl:function (stream, cmd, arg) {
        if (!stream.stream_ops.ioctl) {
          throw new FS.ErrnoError(ERRNO_CODES.ENOTTY);
        }
        return stream.stream_ops.ioctl(stream, cmd, arg);
      },readFile:function (path, opts) {
        opts = opts || {};
        opts.flags = opts.flags || 'r';
        opts.encoding = opts.encoding || 'binary';
        if (opts.encoding !== 'utf8' && opts.encoding !== 'binary') {
          throw new Error('Invalid encoding type "' + opts.encoding + '"');
        }
        var ret;
        var stream = FS.open(path, opts.flags);
        var stat = FS.stat(path);
        var length = stat.size;
        var buf = new Uint8Array(length);
        FS.read(stream, buf, 0, length, 0);
        if (opts.encoding === 'utf8') {
          ret = '';
          var utf8 = new Runtime.UTF8Processor();
          for (var i = 0; i < length; i++) {
            ret += utf8.processCChar(buf[i]);
          }
        } else if (opts.encoding === 'binary') {
          ret = buf;
        }
        FS.close(stream);
        return ret;
      },writeFile:function (path, data, opts) {
        opts = opts || {};
        opts.flags = opts.flags || 'w';
        opts.encoding = opts.encoding || 'utf8';
        if (opts.encoding !== 'utf8' && opts.encoding !== 'binary') {
          throw new Error('Invalid encoding type "' + opts.encoding + '"');
        }
        var stream = FS.open(path, opts.flags, opts.mode);
        if (opts.encoding === 'utf8') {
          var utf8 = new Runtime.UTF8Processor();
          var buf = new Uint8Array(utf8.processJSString(data));
          FS.write(stream, buf, 0, buf.length, 0, opts.canOwn);
        } else if (opts.encoding === 'binary') {
          FS.write(stream, data, 0, data.length, 0, opts.canOwn);
        }
        FS.close(stream);
      },cwd:function () {
        return FS.currentPath;
      },chdir:function (path) {
        var lookup = FS.lookupPath(path, { follow: true });
        if (!FS.isDir(lookup.node.mode)) {
          throw new FS.ErrnoError(ERRNO_CODES.ENOTDIR);
        }
        var err = FS.nodePermissions(lookup.node, 'x');
        if (err) {
          throw new FS.ErrnoError(err);
        }
        FS.currentPath = lookup.path;
      },createDefaultDirectories:function () {
        FS.mkdir('/tmp');
      },createDefaultDevices:function () {
        // create /dev
        FS.mkdir('/dev');
        // setup /dev/null
        FS.registerDevice(FS.makedev(1, 3), {
          read: function() { return 0; },
          write: function() { return 0; }
        });
        FS.mkdev('/dev/null', FS.makedev(1, 3));
        // setup /dev/tty and /dev/tty1
        // stderr needs to print output using Module['printErr']
        // so we register a second tty just for it.
        TTY.register(FS.makedev(5, 0), TTY.default_tty_ops);
        TTY.register(FS.makedev(6, 0), TTY.default_tty1_ops);
        FS.mkdev('/dev/tty', FS.makedev(5, 0));
        FS.mkdev('/dev/tty1', FS.makedev(6, 0));
        // we're not going to emulate the actual shm device,
        // just create the tmp dirs that reside in it commonly
        FS.mkdir('/dev/shm');
        FS.mkdir('/dev/shm/tmp');
      },createStandardStreams:function () {
        // TODO deprecate the old functionality of a single
        // input / output callback and that utilizes FS.createDevice
        // and instead require a unique set of stream ops
  
        // by default, we symlink the standard streams to the
        // default tty devices. however, if the standard streams
        // have been overwritten we create a unique device for
        // them instead.
        if (Module['stdin']) {
          FS.createDevice('/dev', 'stdin', Module['stdin']);
        } else {
          FS.symlink('/dev/tty', '/dev/stdin');
        }
        if (Module['stdout']) {
          FS.createDevice('/dev', 'stdout', null, Module['stdout']);
        } else {
          FS.symlink('/dev/tty', '/dev/stdout');
        }
        if (Module['stderr']) {
          FS.createDevice('/dev', 'stderr', null, Module['stderr']);
        } else {
          FS.symlink('/dev/tty1', '/dev/stderr');
        }
  
        // open default streams for the stdin, stdout and stderr devices
        var stdin = FS.open('/dev/stdin', 'r');
        HEAP32[((_stdin)>>2)]=FS.getPtrForStream(stdin);
        assert(stdin.fd === 0, 'invalid handle for stdin (' + stdin.fd + ')');
  
        var stdout = FS.open('/dev/stdout', 'w');
        HEAP32[((_stdout)>>2)]=FS.getPtrForStream(stdout);
        assert(stdout.fd === 1, 'invalid handle for stdout (' + stdout.fd + ')');
  
        var stderr = FS.open('/dev/stderr', 'w');
        HEAP32[((_stderr)>>2)]=FS.getPtrForStream(stderr);
        assert(stderr.fd === 2, 'invalid handle for stderr (' + stderr.fd + ')');
      },ensureErrnoError:function () {
        if (FS.ErrnoError) return;
        FS.ErrnoError = function ErrnoError(errno) {
          this.errno = errno;
          for (var key in ERRNO_CODES) {
            if (ERRNO_CODES[key] === errno) {
              this.code = key;
              break;
            }
          }
          this.message = ERRNO_MESSAGES[errno];
        };
        FS.ErrnoError.prototype = new Error();
        FS.ErrnoError.prototype.constructor = FS.ErrnoError;
        // Some errors may happen quite a bit, to avoid overhead we reuse them (and suffer a lack of stack info)
        [ERRNO_CODES.ENOENT].forEach(function(code) {
          FS.genericErrors[code] = new FS.ErrnoError(code);
          FS.genericErrors[code].stack = '<generic error, no stack>';
        });
      },staticInit:function () {
        FS.ensureErrnoError();
  
        FS.nameTable = new Array(4096);
  
        FS.mount(MEMFS, {}, '/');
  
        FS.createDefaultDirectories();
        FS.createDefaultDevices();
      },init:function (input, output, error) {
        assert(!FS.init.initialized, 'FS.init was previously called. If you want to initialize later with custom parameters, remove any earlier calls (note that one is automatically added to the generated code)');
        FS.init.initialized = true;
  
        FS.ensureErrnoError();
  
        // Allow Module.stdin etc. to provide defaults, if none explicitly passed to us here
        Module['stdin'] = input || Module['stdin'];
        Module['stdout'] = output || Module['stdout'];
        Module['stderr'] = error || Module['stderr'];
  
        FS.createStandardStreams();
      },quit:function () {
        FS.init.initialized = false;
        for (var i = 0; i < FS.streams.length; i++) {
          var stream = FS.streams[i];
          if (!stream) {
            continue;
          }
          FS.close(stream);
        }
      },getMode:function (canRead, canWrite) {
        var mode = 0;
        if (canRead) mode |= 292 | 73;
        if (canWrite) mode |= 146;
        return mode;
      },joinPath:function (parts, forceRelative) {
        var path = PATH.join.apply(null, parts);
        if (forceRelative && path[0] == '/') path = path.substr(1);
        return path;
      },absolutePath:function (relative, base) {
        return PATH.resolve(base, relative);
      },standardizePath:function (path) {
        return PATH.normalize(path);
      },findObject:function (path, dontResolveLastLink) {
        var ret = FS.analyzePath(path, dontResolveLastLink);
        if (ret.exists) {
          return ret.object;
        } else {
          ___setErrNo(ret.error);
          return null;
        }
      },analyzePath:function (path, dontResolveLastLink) {
        // operate from within the context of the symlink's target
        try {
          var lookup = FS.lookupPath(path, { follow: !dontResolveLastLink });
          path = lookup.path;
        } catch (e) {
        }
        var ret = {
          isRoot: false, exists: false, error: 0, name: null, path: null, object: null,
          parentExists: false, parentPath: null, parentObject: null
        };
        try {
          var lookup = FS.lookupPath(path, { parent: true });
          ret.parentExists = true;
          ret.parentPath = lookup.path;
          ret.parentObject = lookup.node;
          ret.name = PATH.basename(path);
          lookup = FS.lookupPath(path, { follow: !dontResolveLastLink });
          ret.exists = true;
          ret.path = lookup.path;
          ret.object = lookup.node;
          ret.name = lookup.node.name;
          ret.isRoot = lookup.path === '/';
        } catch (e) {
          ret.error = e.errno;
        };
        return ret;
      },createFolder:function (parent, name, canRead, canWrite) {
        var path = PATH.join2(typeof parent === 'string' ? parent : FS.getPath(parent), name);
        var mode = FS.getMode(canRead, canWrite);
        return FS.mkdir(path, mode);
      },createPath:function (parent, path, canRead, canWrite) {
        parent = typeof parent === 'string' ? parent : FS.getPath(parent);
        var parts = path.split('/').reverse();
        while (parts.length) {
          var part = parts.pop();
          if (!part) continue;
          var current = PATH.join2(parent, part);
          try {
            FS.mkdir(current);
          } catch (e) {
            // ignore EEXIST
          }
          parent = current;
        }
        return current;
      },createFile:function (parent, name, properties, canRead, canWrite) {
        var path = PATH.join2(typeof parent === 'string' ? parent : FS.getPath(parent), name);
        var mode = FS.getMode(canRead, canWrite);
        return FS.create(path, mode);
      },createDataFile:function (parent, name, data, canRead, canWrite, canOwn) {
        var path = name ? PATH.join2(typeof parent === 'string' ? parent : FS.getPath(parent), name) : parent;
        var mode = FS.getMode(canRead, canWrite);
        var node = FS.create(path, mode);
        if (data) {
          if (typeof data === 'string') {
            var arr = new Array(data.length);
            for (var i = 0, len = data.length; i < len; ++i) arr[i] = data.charCodeAt(i);
            data = arr;
          }
          // make sure we can write to the file
          FS.chmod(node, mode | 146);
          var stream = FS.open(node, 'w');
          FS.write(stream, data, 0, data.length, 0, canOwn);
          FS.close(stream);
          FS.chmod(node, mode);
        }
        return node;
      },createDevice:function (parent, name, input, output) {
        var path = PATH.join2(typeof parent === 'string' ? parent : FS.getPath(parent), name);
        var mode = FS.getMode(!!input, !!output);
        if (!FS.createDevice.major) FS.createDevice.major = 64;
        var dev = FS.makedev(FS.createDevice.major++, 0);
        // Create a fake device that a set of stream ops to emulate
        // the old behavior.
        FS.registerDevice(dev, {
          open: function(stream) {
            stream.seekable = false;
          },
          close: function(stream) {
            // flush any pending line data
            if (output && output.buffer && output.buffer.length) {
              output(10);
            }
          },
          read: function(stream, buffer, offset, length, pos /* ignored */) {
            var bytesRead = 0;
            for (var i = 0; i < length; i++) {
              var result;
              try {
                result = input();
              } catch (e) {
                throw new FS.ErrnoError(ERRNO_CODES.EIO);
              }
              if (result === undefined && bytesRead === 0) {
                throw new FS.ErrnoError(ERRNO_CODES.EAGAIN);
              }
              if (result === null || result === undefined) break;
              bytesRead++;
              buffer[offset+i] = result;
            }
            if (bytesRead) {
              stream.node.timestamp = Date.now();
            }
            return bytesRead;
          },
          write: function(stream, buffer, offset, length, pos) {
            for (var i = 0; i < length; i++) {
              try {
                output(buffer[offset+i]);
              } catch (e) {
                throw new FS.ErrnoError(ERRNO_CODES.EIO);
              }
            }
            if (length) {
              stream.node.timestamp = Date.now();
            }
            return i;
          }
        });
        return FS.mkdev(path, mode, dev);
      },createLink:function (parent, name, target, canRead, canWrite) {
        var path = PATH.join2(typeof parent === 'string' ? parent : FS.getPath(parent), name);
        return FS.symlink(target, path);
      },forceLoadFile:function (obj) {
        if (obj.isDevice || obj.isFolder || obj.link || obj.contents) return true;
        var success = true;
        if (typeof XMLHttpRequest !== 'undefined') {
          throw new Error("Lazy loading should have been performed (contents set) in createLazyFile, but it was not. Lazy loading only works in web workers. Use --embed-file or --preload-file in emcc on the main thread.");
        } else if (Module['read']) {
          // Command-line.
          try {
            // WARNING: Can't read binary files in V8's d8 or tracemonkey's js, as
            //          read() will try to parse UTF8.
            obj.contents = intArrayFromString(Module['read'](obj.url), true);
          } catch (e) {
            success = false;
          }
        } else {
          throw new Error('Cannot load without read() or XMLHttpRequest.');
        }
        if (!success) ___setErrNo(ERRNO_CODES.EIO);
        return success;
      },createLazyFile:function (parent, name, url, canRead, canWrite) {
        if (typeof XMLHttpRequest !== 'undefined') {
          if (!ENVIRONMENT_IS_WORKER) throw 'Cannot do synchronous binary XHRs outside webworkers in modern browsers. Use --embed-file or --preload-file in emcc';
          // Lazy chunked Uint8Array (implements get and length from Uint8Array). Actual getting is abstracted away for eventual reuse.
          function LazyUint8Array() {
            this.lengthKnown = false;
            this.chunks = []; // Loaded chunks. Index is the chunk number
          }
          LazyUint8Array.prototype.get = function LazyUint8Array_get(idx) {
            if (idx > this.length-1 || idx < 0) {
              return undefined;
            }
            var chunkOffset = idx % this.chunkSize;
            var chunkNum = Math.floor(idx / this.chunkSize);
            return this.getter(chunkNum)[chunkOffset];
          }
          LazyUint8Array.prototype.setDataGetter = function LazyUint8Array_setDataGetter(getter) {
            this.getter = getter;
          }
          LazyUint8Array.prototype.cacheLength = function LazyUint8Array_cacheLength() {
              // Find length
              var xhr = new XMLHttpRequest();
              xhr.open('HEAD', url, false);
              xhr.send(null);
              if (!(xhr.status >= 200 && xhr.status < 300 || xhr.status === 304)) throw new Error("Couldn't load " + url + ". Status: " + xhr.status);
              var datalength = Number(xhr.getResponseHeader("Content-length"));
              var header;
              var hasByteServing = (header = xhr.getResponseHeader("Accept-Ranges")) && header === "bytes";
              var chunkSize = 1024*1024; // Chunk size in bytes
  
              if (!hasByteServing) chunkSize = datalength;
  
              // Function to get a range from the remote URL.
              var doXHR = (function(from, to) {
                if (from > to) throw new Error("invalid range (" + from + ", " + to + ") or no bytes requested!");
                if (to > datalength-1) throw new Error("only " + datalength + " bytes available! programmer error!");
  
                // TODO: Use mozResponseArrayBuffer, responseStream, etc. if available.
                var xhr = new XMLHttpRequest();
                xhr.open('GET', url, false);
                if (datalength !== chunkSize) xhr.setRequestHeader("Range", "bytes=" + from + "-" + to);
  
                // Some hints to the browser that we want binary data.
                if (typeof Uint8Array != 'undefined') xhr.responseType = 'arraybuffer';
                if (xhr.overrideMimeType) {
                  xhr.overrideMimeType('text/plain; charset=x-user-defined');
                }
  
                xhr.send(null);
                if (!(xhr.status >= 200 && xhr.status < 300 || xhr.status === 304)) throw new Error("Couldn't load " + url + ". Status: " + xhr.status);
                if (xhr.response !== undefined) {
                  return new Uint8Array(xhr.response || []);
                } else {
                  return intArrayFromString(xhr.responseText || '', true);
                }
              });
              var lazyArray = this;
              lazyArray.setDataGetter(function(chunkNum) {
                var start = chunkNum * chunkSize;
                var end = (chunkNum+1) * chunkSize - 1; // including this byte
                end = Math.min(end, datalength-1); // if datalength-1 is selected, this is the last block
                if (typeof(lazyArray.chunks[chunkNum]) === "undefined") {
                  lazyArray.chunks[chunkNum] = doXHR(start, end);
                }
                if (typeof(lazyArray.chunks[chunkNum]) === "undefined") throw new Error("doXHR failed!");
                return lazyArray.chunks[chunkNum];
              });
  
              this._length = datalength;
              this._chunkSize = chunkSize;
              this.lengthKnown = true;
          }
  
          var lazyArray = new LazyUint8Array();
          Object.defineProperty(lazyArray, "length", {
              get: function() {
                  if(!this.lengthKnown) {
                      this.cacheLength();
                  }
                  return this._length;
              }
          });
          Object.defineProperty(lazyArray, "chunkSize", {
              get: function() {
                  if(!this.lengthKnown) {
                      this.cacheLength();
                  }
                  return this._chunkSize;
              }
          });
  
          var properties = { isDevice: false, contents: lazyArray };
        } else {
          var properties = { isDevice: false, url: url };
        }
  
        var node = FS.createFile(parent, name, properties, canRead, canWrite);
        // This is a total hack, but I want to get this lazy file code out of the
        // core of MEMFS. If we want to keep this lazy file concept I feel it should
        // be its own thin LAZYFS proxying calls to MEMFS.
        if (properties.contents) {
          node.contents = properties.contents;
        } else if (properties.url) {
          node.contents = null;
          node.url = properties.url;
        }
        // override each stream op with one that tries to force load the lazy file first
        var stream_ops = {};
        var keys = Object.keys(node.stream_ops);
        keys.forEach(function(key) {
          var fn = node.stream_ops[key];
          stream_ops[key] = function forceLoadLazyFile() {
            if (!FS.forceLoadFile(node)) {
              throw new FS.ErrnoError(ERRNO_CODES.EIO);
            }
            return fn.apply(null, arguments);
          };
        });
        // use a custom read function
        stream_ops.read = function stream_ops_read(stream, buffer, offset, length, position) {
          if (!FS.forceLoadFile(node)) {
            throw new FS.ErrnoError(ERRNO_CODES.EIO);
          }
          var contents = stream.node.contents;
          if (position >= contents.length)
            return 0;
          var size = Math.min(contents.length - position, length);
          assert(size >= 0);
          if (contents.slice) { // normal array
            for (var i = 0; i < size; i++) {
              buffer[offset + i] = contents[position + i];
            }
          } else {
            for (var i = 0; i < size; i++) { // LazyUint8Array from sync binary XHR
              buffer[offset + i] = contents.get(position + i);
            }
          }
          return size;
        };
        node.stream_ops = stream_ops;
        return node;
      },createPreloadedFile:function (parent, name, url, canRead, canWrite, onload, onerror, dontCreateFile, canOwn) {
        Browser.init();
        // TODO we should allow people to just pass in a complete filename instead
        // of parent and name being that we just join them anyways
        var fullname = name ? PATH.resolve(PATH.join2(parent, name)) : parent;
        function processData(byteArray) {
          function finish(byteArray) {
            if (!dontCreateFile) {
              FS.createDataFile(parent, name, byteArray, canRead, canWrite, canOwn);
            }
            if (onload) onload();
            removeRunDependency('cp ' + fullname);
          }
          var handled = false;
          Module['preloadPlugins'].forEach(function(plugin) {
            if (handled) return;
            if (plugin['canHandle'](fullname)) {
              plugin['handle'](byteArray, fullname, finish, function() {
                if (onerror) onerror();
                removeRunDependency('cp ' + fullname);
              });
              handled = true;
            }
          });
          if (!handled) finish(byteArray);
        }
        addRunDependency('cp ' + fullname);
        if (typeof url == 'string') {
          Browser.asyncLoad(url, function(byteArray) {
            processData(byteArray);
          }, onerror);
        } else {
          processData(url);
        }
      },indexedDB:function () {
        return window.indexedDB || window.mozIndexedDB || window.webkitIndexedDB || window.msIndexedDB;
      },DB_NAME:function () {
        return 'EM_FS_' + window.location.pathname;
      },DB_VERSION:20,DB_STORE_NAME:"FILE_DATA",saveFilesToDB:function (paths, onload, onerror) {
        onload = onload || function(){};
        onerror = onerror || function(){};
        var indexedDB = FS.indexedDB();
        try {
          var openRequest = indexedDB.open(FS.DB_NAME(), FS.DB_VERSION);
        } catch (e) {
          return onerror(e);
        }
        openRequest.onupgradeneeded = function openRequest_onupgradeneeded() {
          console.log('creating db');
          var db = openRequest.result;
          db.createObjectStore(FS.DB_STORE_NAME);
        };
        openRequest.onsuccess = function openRequest_onsuccess() {
          var db = openRequest.result;
          var transaction = db.transaction([FS.DB_STORE_NAME], 'readwrite');
          var files = transaction.objectStore(FS.DB_STORE_NAME);
          var ok = 0, fail = 0, total = paths.length;
          function finish() {
            if (fail == 0) onload(); else onerror();
          }
          paths.forEach(function(path) {
            var putRequest = files.put(FS.analyzePath(path).object.contents, path);
            putRequest.onsuccess = function putRequest_onsuccess() { ok++; if (ok + fail == total) finish() };
            putRequest.onerror = function putRequest_onerror() { fail++; if (ok + fail == total) finish() };
          });
          transaction.onerror = onerror;
        };
        openRequest.onerror = onerror;
      },loadFilesFromDB:function (paths, onload, onerror) {
        onload = onload || function(){};
        onerror = onerror || function(){};
        var indexedDB = FS.indexedDB();
        try {
          var openRequest = indexedDB.open(FS.DB_NAME(), FS.DB_VERSION);
        } catch (e) {
          return onerror(e);
        }
        openRequest.onupgradeneeded = onerror; // no database to load from
        openRequest.onsuccess = function openRequest_onsuccess() {
          var db = openRequest.result;
          try {
            var transaction = db.transaction([FS.DB_STORE_NAME], 'readonly');
          } catch(e) {
            onerror(e);
            return;
          }
          var files = transaction.objectStore(FS.DB_STORE_NAME);
          var ok = 0, fail = 0, total = paths.length;
          function finish() {
            if (fail == 0) onload(); else onerror();
          }
          paths.forEach(function(path) {
            var getRequest = files.get(path);
            getRequest.onsuccess = function getRequest_onsuccess() {
              if (FS.analyzePath(path).exists) {
                FS.unlink(path);
              }
              FS.createDataFile(PATH.dirname(path), PATH.basename(path), getRequest.result, true, true, true);
              ok++;
              if (ok + fail == total) finish();
            };
            getRequest.onerror = function getRequest_onerror() { fail++; if (ok + fail == total) finish() };
          });
          transaction.onerror = onerror;
        };
        openRequest.onerror = onerror;
      }};
  
  function _open(path, oflag, varargs) {
      // int open(const char *path, int oflag, ...);
      // http://pubs.opengroup.org/onlinepubs/009695399/functions/open.html
      var mode = HEAP32[((varargs)>>2)];
      path = Pointer_stringify(path);
      try {
        var stream = FS.open(path, oflag, mode);
        return stream.fd;
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }function _fopen(filename, mode) {
      // FILE *fopen(const char *restrict filename, const char *restrict mode);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fopen.html
      var flags;
      mode = Pointer_stringify(mode);
      if (mode[0] == 'r') {
        if (mode.indexOf('+') != -1) {
          flags = 2;
        } else {
          flags = 0;
        }
      } else if (mode[0] == 'w') {
        if (mode.indexOf('+') != -1) {
          flags = 2;
        } else {
          flags = 1;
        }
        flags |= 64;
        flags |= 512;
      } else if (mode[0] == 'a') {
        if (mode.indexOf('+') != -1) {
          flags = 2;
        } else {
          flags = 1;
        }
        flags |= 64;
        flags |= 1024;
      } else {
        ___setErrNo(ERRNO_CODES.EINVAL);
        return 0;
      }
      var fd = _open(filename, flags, allocate([0x1FF, 0, 0, 0], 'i32', ALLOC_STACK));  // All creation permissions.
      return fd === -1 ? 0 : FS.getPtrForStream(FS.getStream(fd));
    }

  
  function _strerror_r(errnum, strerrbuf, buflen) {
      if (errnum in ERRNO_MESSAGES) {
        if (ERRNO_MESSAGES[errnum].length > buflen - 1) {
          return ___setErrNo(ERRNO_CODES.ERANGE);
        } else {
          var msg = ERRNO_MESSAGES[errnum];
          writeAsciiToMemory(msg, strerrbuf);
          return 0;
        }
      } else {
        return ___setErrNo(ERRNO_CODES.EINVAL);
      }
    }function _strerror(errnum) {
      if (!_strerror.buffer) _strerror.buffer = _malloc(256);
      _strerror_r(errnum, _strerror.buffer, 256);
      return _strerror.buffer;
    }

  function ___errno_location() {
      return ___errno_state;
    }

  
  function _close(fildes) {
      // int close(int fildes);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/close.html
      var stream = FS.getStream(fildes);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
      try {
        FS.close(stream);
        return 0;
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }
  
  function _fsync(fildes) {
      // int fsync(int fildes);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fsync.html
      var stream = FS.getStream(fildes);
      if (stream) {
        // We write directly to the file system, so there's nothing to do here.
        return 0;
      } else {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
    }
  
  function _fileno(stream) {
      // int fileno(FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fileno.html
      return FS.getStreamFromPtr(stream).fd;
    }function _fclose(stream) {
      // int fclose(FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fclose.html
      var fd = _fileno(stream);
      _fsync(fd);
      return _close(fd);
    }

  
  
  
  
  function _mkport() { throw 'TODO' }var SOCKFS={mount:function (mount) {
        return FS.createNode(null, '/', 16384 | 0777, 0);
      },createSocket:function (family, type, protocol) {
        var streaming = type == 1;
        if (protocol) {
          assert(streaming == (protocol == 6)); // if SOCK_STREAM, must be tcp
        }
  
        // create our internal socket structure
        var sock = {
          family: family,
          type: type,
          protocol: protocol,
          server: null,
          peers: {},
          pending: [],
          recv_queue: [],
          sock_ops: SOCKFS.websocket_sock_ops
        };
  
        // create the filesystem node to store the socket structure
        var name = SOCKFS.nextname();
        var node = FS.createNode(SOCKFS.root, name, 49152, 0);
        node.sock = sock;
  
        // and the wrapping stream that enables library functions such
        // as read and write to indirectly interact with the socket
        var stream = FS.createStream({
          path: name,
          node: node,
          flags: FS.modeStringToFlags('r+'),
          seekable: false,
          stream_ops: SOCKFS.stream_ops
        });
  
        // map the new stream to the socket structure (sockets have a 1:1
        // relationship with a stream)
        sock.stream = stream;
  
        return sock;
      },getSocket:function (fd) {
        var stream = FS.getStream(fd);
        if (!stream || !FS.isSocket(stream.node.mode)) {
          return null;
        }
        return stream.node.sock;
      },stream_ops:{poll:function (stream) {
          var sock = stream.node.sock;
          return sock.sock_ops.poll(sock);
        },ioctl:function (stream, request, varargs) {
          var sock = stream.node.sock;
          return sock.sock_ops.ioctl(sock, request, varargs);
        },read:function (stream, buffer, offset, length, position /* ignored */) {
          var sock = stream.node.sock;
          var msg = sock.sock_ops.recvmsg(sock, length);
          if (!msg) {
            // socket is closed
            return 0;
          }
          buffer.set(msg.buffer, offset);
          return msg.buffer.length;
        },write:function (stream, buffer, offset, length, position /* ignored */) {
          var sock = stream.node.sock;
          return sock.sock_ops.sendmsg(sock, buffer, offset, length);
        },close:function (stream) {
          var sock = stream.node.sock;
          sock.sock_ops.close(sock);
        }},nextname:function () {
        if (!SOCKFS.nextname.current) {
          SOCKFS.nextname.current = 0;
        }
        return 'socket[' + (SOCKFS.nextname.current++) + ']';
      },websocket_sock_ops:{createPeer:function (sock, addr, port) {
          var ws;
  
          if (typeof addr === 'object') {
            ws = addr;
            addr = null;
            port = null;
          }
  
          if (ws) {
            // for sockets that've already connected (e.g. we're the server)
            // we can inspect the _socket property for the address
            if (ws._socket) {
              addr = ws._socket.remoteAddress;
              port = ws._socket.remotePort;
            }
            // if we're just now initializing a connection to the remote,
            // inspect the url property
            else {
              var result = /ws[s]?:\/\/([^:]+):(\d+)/.exec(ws.url);
              if (!result) {
                throw new Error('WebSocket URL must be in the format ws(s)://address:port');
              }
              addr = result[1];
              port = parseInt(result[2], 10);
            }
          } else {
            // create the actual websocket object and connect
            try {
              var url = 'ws://' + addr + ':' + port;
              // the node ws library API is slightly different than the browser's
              var opts = ENVIRONMENT_IS_NODE ? {headers: {'websocket-protocol': ['binary']}} : ['binary'];
              // If node we use the ws library.
              var WebSocket = ENVIRONMENT_IS_NODE ? require('ws') : window['WebSocket'];
              ws = new WebSocket(url, opts);
              ws.binaryType = 'arraybuffer';
            } catch (e) {
              throw new FS.ErrnoError(ERRNO_CODES.EHOSTUNREACH);
            }
          }
  
  
          var peer = {
            addr: addr,
            port: port,
            socket: ws,
            dgram_send_queue: []
          };
  
          SOCKFS.websocket_sock_ops.addPeer(sock, peer);
          SOCKFS.websocket_sock_ops.handlePeerEvents(sock, peer);
  
          // if this is a bound dgram socket, send the port number first to allow
          // us to override the ephemeral port reported to us by remotePort on the
          // remote end.
          if (sock.type === 2 && typeof sock.sport !== 'undefined') {
            peer.dgram_send_queue.push(new Uint8Array([
                255, 255, 255, 255,
                'p'.charCodeAt(0), 'o'.charCodeAt(0), 'r'.charCodeAt(0), 't'.charCodeAt(0),
                ((sock.sport & 0xff00) >> 8) , (sock.sport & 0xff)
            ]));
          }
  
          return peer;
        },getPeer:function (sock, addr, port) {
          return sock.peers[addr + ':' + port];
        },addPeer:function (sock, peer) {
          sock.peers[peer.addr + ':' + peer.port] = peer;
        },removePeer:function (sock, peer) {
          delete sock.peers[peer.addr + ':' + peer.port];
        },handlePeerEvents:function (sock, peer) {
          var first = true;
  
          var handleOpen = function () {
            try {
              var queued = peer.dgram_send_queue.shift();
              while (queued) {
                peer.socket.send(queued);
                queued = peer.dgram_send_queue.shift();
              }
            } catch (e) {
              // not much we can do here in the way of proper error handling as we've already
              // lied and said this data was sent. shut it down.
              peer.socket.close();
            }
          };
  
          function handleMessage(data) {
            assert(typeof data !== 'string' && data.byteLength !== undefined);  // must receive an ArrayBuffer
            data = new Uint8Array(data);  // make a typed array view on the array buffer
  
  
            // if this is the port message, override the peer's port with it
            var wasfirst = first;
            first = false;
            if (wasfirst &&
                data.length === 10 &&
                data[0] === 255 && data[1] === 255 && data[2] === 255 && data[3] === 255 &&
                data[4] === 'p'.charCodeAt(0) && data[5] === 'o'.charCodeAt(0) && data[6] === 'r'.charCodeAt(0) && data[7] === 't'.charCodeAt(0)) {
              // update the peer's port and it's key in the peer map
              var newport = ((data[8] << 8) | data[9]);
              SOCKFS.websocket_sock_ops.removePeer(sock, peer);
              peer.port = newport;
              SOCKFS.websocket_sock_ops.addPeer(sock, peer);
              return;
            }
  
            sock.recv_queue.push({ addr: peer.addr, port: peer.port, data: data });
          };
  
          if (ENVIRONMENT_IS_NODE) {
            peer.socket.on('open', handleOpen);
            peer.socket.on('message', function(data, flags) {
              if (!flags.binary) {
                return;
              }
              handleMessage((new Uint8Array(data)).buffer);  // copy from node Buffer -> ArrayBuffer
            });
            peer.socket.on('error', function() {
              // don't throw
            });
          } else {
            peer.socket.onopen = handleOpen;
            peer.socket.onmessage = function peer_socket_onmessage(event) {
              handleMessage(event.data);
            };
          }
        },poll:function (sock) {
          if (sock.type === 1 && sock.server) {
            // listen sockets should only say they're available for reading
            // if there are pending clients.
            return sock.pending.length ? (64 | 1) : 0;
          }
  
          var mask = 0;
          var dest = sock.type === 1 ?  // we only care about the socket state for connection-based sockets
            SOCKFS.websocket_sock_ops.getPeer(sock, sock.daddr, sock.dport) :
            null;
  
          if (sock.recv_queue.length ||
              !dest ||  // connection-less sockets are always ready to read
              (dest && dest.socket.readyState === dest.socket.CLOSING) ||
              (dest && dest.socket.readyState === dest.socket.CLOSED)) {  // let recv return 0 once closed
            mask |= (64 | 1);
          }
  
          if (!dest ||  // connection-less sockets are always ready to write
              (dest && dest.socket.readyState === dest.socket.OPEN)) {
            mask |= 4;
          }
  
          if ((dest && dest.socket.readyState === dest.socket.CLOSING) ||
              (dest && dest.socket.readyState === dest.socket.CLOSED)) {
            mask |= 16;
          }
  
          return mask;
        },ioctl:function (sock, request, arg) {
          switch (request) {
            case 21531:
              var bytes = 0;
              if (sock.recv_queue.length) {
                bytes = sock.recv_queue[0].data.length;
              }
              HEAP32[((arg)>>2)]=bytes;
              return 0;
            default:
              return ERRNO_CODES.EINVAL;
          }
        },close:function (sock) {
          // if we've spawned a listen server, close it
          if (sock.server) {
            try {
              sock.server.close();
            } catch (e) {
            }
            sock.server = null;
          }
          // close any peer connections
          var peers = Object.keys(sock.peers);
          for (var i = 0; i < peers.length; i++) {
            var peer = sock.peers[peers[i]];
            try {
              peer.socket.close();
            } catch (e) {
            }
            SOCKFS.websocket_sock_ops.removePeer(sock, peer);
          }
          return 0;
        },bind:function (sock, addr, port) {
          if (typeof sock.saddr !== 'undefined' || typeof sock.sport !== 'undefined') {
            throw new FS.ErrnoError(ERRNO_CODES.EINVAL);  // already bound
          }
          sock.saddr = addr;
          sock.sport = port || _mkport();
          // in order to emulate dgram sockets, we need to launch a listen server when
          // binding on a connection-less socket
          // note: this is only required on the server side
          if (sock.type === 2) {
            // close the existing server if it exists
            if (sock.server) {
              sock.server.close();
              sock.server = null;
            }
            // swallow error operation not supported error that occurs when binding in the
            // browser where this isn't supported
            try {
              sock.sock_ops.listen(sock, 0);
            } catch (e) {
              if (!(e instanceof FS.ErrnoError)) throw e;
              if (e.errno !== ERRNO_CODES.EOPNOTSUPP) throw e;
            }
          }
        },connect:function (sock, addr, port) {
          if (sock.server) {
            throw new FS.ErrnoError(ERRNO_CODS.EOPNOTSUPP);
          }
  
          // TODO autobind
          // if (!sock.addr && sock.type == 2) {
          // }
  
          // early out if we're already connected / in the middle of connecting
          if (typeof sock.daddr !== 'undefined' && typeof sock.dport !== 'undefined') {
            var dest = SOCKFS.websocket_sock_ops.getPeer(sock, sock.daddr, sock.dport);
            if (dest) {
              if (dest.socket.readyState === dest.socket.CONNECTING) {
                throw new FS.ErrnoError(ERRNO_CODES.EALREADY);
              } else {
                throw new FS.ErrnoError(ERRNO_CODES.EISCONN);
              }
            }
          }
  
          // add the socket to our peer list and set our
          // destination address / port to match
          var peer = SOCKFS.websocket_sock_ops.createPeer(sock, addr, port);
          sock.daddr = peer.addr;
          sock.dport = peer.port;
  
          // always "fail" in non-blocking mode
          throw new FS.ErrnoError(ERRNO_CODES.EINPROGRESS);
        },listen:function (sock, backlog) {
          if (!ENVIRONMENT_IS_NODE) {
            throw new FS.ErrnoError(ERRNO_CODES.EOPNOTSUPP);
          }
          if (sock.server) {
             throw new FS.ErrnoError(ERRNO_CODES.EINVAL);  // already listening
          }
          var WebSocketServer = require('ws').Server;
          var host = sock.saddr;
          sock.server = new WebSocketServer({
            host: host,
            port: sock.sport
            // TODO support backlog
          });
  
          sock.server.on('connection', function(ws) {
            if (sock.type === 1) {
              var newsock = SOCKFS.createSocket(sock.family, sock.type, sock.protocol);
  
              // create a peer on the new socket
              var peer = SOCKFS.websocket_sock_ops.createPeer(newsock, ws);
              newsock.daddr = peer.addr;
              newsock.dport = peer.port;
  
              // push to queue for accept to pick up
              sock.pending.push(newsock);
            } else {
              // create a peer on the listen socket so calling sendto
              // with the listen socket and an address will resolve
              // to the correct client
              SOCKFS.websocket_sock_ops.createPeer(sock, ws);
            }
          });
          sock.server.on('closed', function() {
            sock.server = null;
          });
          sock.server.on('error', function() {
            // don't throw
          });
        },accept:function (listensock) {
          if (!listensock.server) {
            throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
          }
          var newsock = listensock.pending.shift();
          newsock.stream.flags = listensock.stream.flags;
          return newsock;
        },getname:function (sock, peer) {
          var addr, port;
          if (peer) {
            if (sock.daddr === undefined || sock.dport === undefined) {
              throw new FS.ErrnoError(ERRNO_CODES.ENOTCONN);
            }
            addr = sock.daddr;
            port = sock.dport;
          } else {
            // TODO saddr and sport will be set for bind()'d UDP sockets, but what
            // should we be returning for TCP sockets that've been connect()'d?
            addr = sock.saddr || 0;
            port = sock.sport || 0;
          }
          return { addr: addr, port: port };
        },sendmsg:function (sock, buffer, offset, length, addr, port) {
          if (sock.type === 2) {
            // connection-less sockets will honor the message address,
            // and otherwise fall back to the bound destination address
            if (addr === undefined || port === undefined) {
              addr = sock.daddr;
              port = sock.dport;
            }
            // if there was no address to fall back to, error out
            if (addr === undefined || port === undefined) {
              throw new FS.ErrnoError(ERRNO_CODES.EDESTADDRREQ);
            }
          } else {
            // connection-based sockets will only use the bound
            addr = sock.daddr;
            port = sock.dport;
          }
  
          // find the peer for the destination address
          var dest = SOCKFS.websocket_sock_ops.getPeer(sock, addr, port);
  
          // early out if not connected with a connection-based socket
          if (sock.type === 1) {
            if (!dest || dest.socket.readyState === dest.socket.CLOSING || dest.socket.readyState === dest.socket.CLOSED) {
              throw new FS.ErrnoError(ERRNO_CODES.ENOTCONN);
            } else if (dest.socket.readyState === dest.socket.CONNECTING) {
              throw new FS.ErrnoError(ERRNO_CODES.EAGAIN);
            }
          }
  
          // create a copy of the incoming data to send, as the WebSocket API
          // doesn't work entirely with an ArrayBufferView, it'll just send
          // the entire underlying buffer
          var data;
          if (buffer instanceof Array || buffer instanceof ArrayBuffer) {
            data = buffer.slice(offset, offset + length);
          } else {  // ArrayBufferView
            data = buffer.buffer.slice(buffer.byteOffset + offset, buffer.byteOffset + offset + length);
          }
  
          // if we're emulating a connection-less dgram socket and don't have
          // a cached connection, queue the buffer to send upon connect and
          // lie, saying the data was sent now.
          if (sock.type === 2) {
            if (!dest || dest.socket.readyState !== dest.socket.OPEN) {
              // if we're not connected, open a new connection
              if (!dest || dest.socket.readyState === dest.socket.CLOSING || dest.socket.readyState === dest.socket.CLOSED) {
                dest = SOCKFS.websocket_sock_ops.createPeer(sock, addr, port);
              }
              dest.dgram_send_queue.push(data);
              return length;
            }
          }
  
          try {
            // send the actual data
            dest.socket.send(data);
            return length;
          } catch (e) {
            throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
          }
        },recvmsg:function (sock, length) {
          // http://pubs.opengroup.org/onlinepubs/7908799/xns/recvmsg.html
          if (sock.type === 1 && sock.server) {
            // tcp servers should not be recv()'ing on the listen socket
            throw new FS.ErrnoError(ERRNO_CODES.ENOTCONN);
          }
  
          var queued = sock.recv_queue.shift();
          if (!queued) {
            if (sock.type === 1) {
              var dest = SOCKFS.websocket_sock_ops.getPeer(sock, sock.daddr, sock.dport);
  
              if (!dest) {
                // if we have a destination address but are not connected, error out
                throw new FS.ErrnoError(ERRNO_CODES.ENOTCONN);
              }
              else if (dest.socket.readyState === dest.socket.CLOSING || dest.socket.readyState === dest.socket.CLOSED) {
                // return null if the socket has closed
                return null;
              }
              else {
                // else, our socket is in a valid state but truly has nothing available
                throw new FS.ErrnoError(ERRNO_CODES.EAGAIN);
              }
            } else {
              throw new FS.ErrnoError(ERRNO_CODES.EAGAIN);
            }
          }
  
          // queued.data will be an ArrayBuffer if it's unadulterated, but if it's
          // requeued TCP data it'll be an ArrayBufferView
          var queuedLength = queued.data.byteLength || queued.data.length;
          var queuedOffset = queued.data.byteOffset || 0;
          var queuedBuffer = queued.data.buffer || queued.data;
          var bytesRead = Math.min(length, queuedLength);
          var res = {
            buffer: new Uint8Array(queuedBuffer, queuedOffset, bytesRead),
            addr: queued.addr,
            port: queued.port
          };
  
  
          // push back any unread data for TCP connections
          if (sock.type === 1 && bytesRead < queuedLength) {
            var bytesRemaining = queuedLength - bytesRead;
            queued.data = new Uint8Array(queuedBuffer, queuedOffset + bytesRead, bytesRemaining);
            sock.recv_queue.unshift(queued);
          }
  
          return res;
        }}};function _send(fd, buf, len, flags) {
      var sock = SOCKFS.getSocket(fd);
      if (!sock) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
      // TODO honor flags
      return _write(fd, buf, len);
    }
  
  function _pwrite(fildes, buf, nbyte, offset) {
      // ssize_t pwrite(int fildes, const void *buf, size_t nbyte, off_t offset);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/write.html
      var stream = FS.getStream(fildes);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
      try {
        var slab = HEAP8;
        return FS.write(stream, slab, buf, nbyte, offset);
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }function _write(fildes, buf, nbyte) {
      // ssize_t write(int fildes, const void *buf, size_t nbyte);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/write.html
      var stream = FS.getStream(fildes);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
  
  
      try {
        var slab = HEAP8;
        return FS.write(stream, slab, buf, nbyte);
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }function _fwrite(ptr, size, nitems, stream) {
      // size_t fwrite(const void *restrict ptr, size_t size, size_t nitems, FILE *restrict stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fwrite.html
      var bytesToWrite = nitems * size;
      if (bytesToWrite == 0) return 0;
      var fd = _fileno(stream);
      var bytesWritten = _write(fd, ptr, bytesToWrite);
      if (bytesWritten == -1) {
        var streamObj = FS.getStreamFromPtr(stream);
        if (streamObj) streamObj.error = true;
        return 0;
      } else {
        return Math.floor(bytesWritten / size);
      }
    }

  function _fputc(c, stream) {
      // int fputc(int c, FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fputc.html
      var chr = unSign(c & 0xFF);
      HEAP8[((_fputc.ret)|0)]=chr;
      var fd = _fileno(stream);
      var ret = _write(fd, _fputc.ret, 1);
      if (ret == -1) {
        var streamObj = FS.getStreamFromPtr(stream);
        if (streamObj) streamObj.error = true;
        return -1;
      } else {
        return chr;
      }
    }

  var _sin=Math_sin;

  var _cos=Math_cos;

  var _sqrt=Math_sqrt;

  var _atan2=Math_atan2;

  
  
  function _emscripten_memcpy_big(dest, src, num) {
      HEAPU8.set(HEAPU8.subarray(src, src+num), dest);
      return dest;
    } 
  Module["_memcpy"] = _memcpy;var _llvm_memcpy_p0i8_p0i8_i32=_memcpy;

  
   
  Module["_memset"] = _memset;var _llvm_memset_p0i8_i32=_memset;

  
  var PTHREAD_SPECIFIC={};function _pthread_getspecific(key) {
      return PTHREAD_SPECIFIC[key] || 0;
    }

  function _pthread_setspecific(key, value) {
      if (!(key in PTHREAD_SPECIFIC)) {
        return ERRNO_CODES.EINVAL;
      }
      PTHREAD_SPECIFIC[key] = value;
      return 0;
    }

  
  
  function _putchar(c) {
      // int putchar(int c);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/putchar.html
      return _fputc(c, HEAP32[((_stdout)>>2)]);
    } 
  Module["_saveSetjmp"] = _saveSetjmp;
  
   
  Module["_testSetjmp"] = _testSetjmp;var _setjmp=undefined;


  function __exit(status) {
      // void _exit(int status);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/exit.html
      Module['exit'](status);
    }

  var _llvm_memset_p0i8_i64=_memset;

  var _floor=Math_floor;

  function _xerbla_() {
  Module['printErr']('missing function: xerbla_'); abort(-1);
  }

  var _log=Math_log;

  
   
  Module["_memmove"] = _memmove;var _llvm_memmove_p0i8_p0i8_i32=_memmove;

  function _time(ptr) {
      var ret = Math.floor(Date.now()/1000);
      if (ptr) {
        HEAP32[((ptr)>>2)]=ret;
      }
      return ret;
    }

  
  var ___rand_seed=allocate([0x0273459b, 0, 0, 0], "i32", ALLOC_STATIC);function _srand(seed) {
      HEAP32[((___rand_seed)>>2)]=seed
    }

  
   
  Module["_rand_r"] = _rand_r; 
  Module["_rand"] = _rand;

  var _llvm_pow_f64=Math_pow;

  var _fabs=Math_abs;

  
  
  
  function __reallyNegative(x) {
      return x < 0 || (x === 0 && (1/x) === -Infinity);
    }function __formatString(format, varargs) {
      var textIndex = format;
      var argIndex = 0;
      function getNextArg(type) {
        // NOTE: Explicitly ignoring type safety. Otherwise this fails:
        //       int x = 4; printf("%c\n", (char)x);
        var ret;
        if (type === 'double') {
          ret = HEAPF64[(((varargs)+(argIndex))>>3)];
        } else if (type == 'i64') {
          ret = [HEAP32[(((varargs)+(argIndex))>>2)],
                 HEAP32[(((varargs)+(argIndex+8))>>2)]];
          argIndex += 8; // each 32-bit chunk is in a 64-bit block
  
        } else {
          type = 'i32'; // varargs are always i32, i64, or double
          ret = HEAP32[(((varargs)+(argIndex))>>2)];
        }
        argIndex += Math.max(Runtime.getNativeFieldSize(type), Runtime.getAlignSize(type, null, true));
        return ret;
      }
  
      var ret = [];
      var curr, next, currArg;
      while(1) {
        var startTextIndex = textIndex;
        curr = HEAP8[(textIndex)];
        if (curr === 0) break;
        next = HEAP8[((textIndex+1)|0)];
        if (curr == 37) {
          // Handle flags.
          var flagAlwaysSigned = false;
          var flagLeftAlign = false;
          var flagAlternative = false;
          var flagZeroPad = false;
          var flagPadSign = false;
          flagsLoop: while (1) {
            switch (next) {
              case 43:
                flagAlwaysSigned = true;
                break;
              case 45:
                flagLeftAlign = true;
                break;
              case 35:
                flagAlternative = true;
                break;
              case 48:
                if (flagZeroPad) {
                  break flagsLoop;
                } else {
                  flagZeroPad = true;
                  break;
                }
              case 32:
                flagPadSign = true;
                break;
              default:
                break flagsLoop;
            }
            textIndex++;
            next = HEAP8[((textIndex+1)|0)];
          }
  
          // Handle width.
          var width = 0;
          if (next == 42) {
            width = getNextArg('i32');
            textIndex++;
            next = HEAP8[((textIndex+1)|0)];
          } else {
            while (next >= 48 && next <= 57) {
              width = width * 10 + (next - 48);
              textIndex++;
              next = HEAP8[((textIndex+1)|0)];
            }
          }
  
          // Handle precision.
          var precisionSet = false, precision = -1;
          if (next == 46) {
            precision = 0;
            precisionSet = true;
            textIndex++;
            next = HEAP8[((textIndex+1)|0)];
            if (next == 42) {
              precision = getNextArg('i32');
              textIndex++;
            } else {
              while(1) {
                var precisionChr = HEAP8[((textIndex+1)|0)];
                if (precisionChr < 48 ||
                    precisionChr > 57) break;
                precision = precision * 10 + (precisionChr - 48);
                textIndex++;
              }
            }
            next = HEAP8[((textIndex+1)|0)];
          }
          if (precision === -1) {
            precision = 6; // Standard default.
            precisionSet = false;
          }
  
          // Handle integer sizes. WARNING: These assume a 32-bit architecture!
          var argSize;
          switch (String.fromCharCode(next)) {
            case 'h':
              var nextNext = HEAP8[((textIndex+2)|0)];
              if (nextNext == 104) {
                textIndex++;
                argSize = 1; // char (actually i32 in varargs)
              } else {
                argSize = 2; // short (actually i32 in varargs)
              }
              break;
            case 'l':
              var nextNext = HEAP8[((textIndex+2)|0)];
              if (nextNext == 108) {
                textIndex++;
                argSize = 8; // long long
              } else {
                argSize = 4; // long
              }
              break;
            case 'L': // long long
            case 'q': // int64_t
            case 'j': // intmax_t
              argSize = 8;
              break;
            case 'z': // size_t
            case 't': // ptrdiff_t
            case 'I': // signed ptrdiff_t or unsigned size_t
              argSize = 4;
              break;
            default:
              argSize = null;
          }
          if (argSize) textIndex++;
          next = HEAP8[((textIndex+1)|0)];
  
          // Handle type specifier.
          switch (String.fromCharCode(next)) {
            case 'd': case 'i': case 'u': case 'o': case 'x': case 'X': case 'p': {
              // Integer.
              var signed = next == 100 || next == 105;
              argSize = argSize || 4;
              var currArg = getNextArg('i' + (argSize * 8));
              var origArg = currArg;
              var argText;
              // Flatten i64-1 [low, high] into a (slightly rounded) double
              if (argSize == 8) {
                currArg = Runtime.makeBigInt(currArg[0], currArg[1], next == 117);
              }
              // Truncate to requested size.
              if (argSize <= 4) {
                var limit = Math.pow(256, argSize) - 1;
                currArg = (signed ? reSign : unSign)(currArg & limit, argSize * 8);
              }
              // Format the number.
              var currAbsArg = Math.abs(currArg);
              var prefix = '';
              if (next == 100 || next == 105) {
                if (argSize == 8 && i64Math) argText = i64Math.stringify(origArg[0], origArg[1], null); else
                argText = reSign(currArg, 8 * argSize, 1).toString(10);
              } else if (next == 117) {
                if (argSize == 8 && i64Math) argText = i64Math.stringify(origArg[0], origArg[1], true); else
                argText = unSign(currArg, 8 * argSize, 1).toString(10);
                currArg = Math.abs(currArg);
              } else if (next == 111) {
                argText = (flagAlternative ? '0' : '') + currAbsArg.toString(8);
              } else if (next == 120 || next == 88) {
                prefix = (flagAlternative && currArg != 0) ? '0x' : '';
                if (argSize == 8 && i64Math) {
                  if (origArg[1]) {
                    argText = (origArg[1]>>>0).toString(16);
                    var lower = (origArg[0]>>>0).toString(16);
                    while (lower.length < 8) lower = '0' + lower;
                    argText += lower;
                  } else {
                    argText = (origArg[0]>>>0).toString(16);
                  }
                } else
                if (currArg < 0) {
                  // Represent negative numbers in hex as 2's complement.
                  currArg = -currArg;
                  argText = (currAbsArg - 1).toString(16);
                  var buffer = [];
                  for (var i = 0; i < argText.length; i++) {
                    buffer.push((0xF - parseInt(argText[i], 16)).toString(16));
                  }
                  argText = buffer.join('');
                  while (argText.length < argSize * 2) argText = 'f' + argText;
                } else {
                  argText = currAbsArg.toString(16);
                }
                if (next == 88) {
                  prefix = prefix.toUpperCase();
                  argText = argText.toUpperCase();
                }
              } else if (next == 112) {
                if (currAbsArg === 0) {
                  argText = '(nil)';
                } else {
                  prefix = '0x';
                  argText = currAbsArg.toString(16);
                }
              }
              if (precisionSet) {
                while (argText.length < precision) {
                  argText = '0' + argText;
                }
              }
  
              // Add sign if needed
              if (currArg >= 0) {
                if (flagAlwaysSigned) {
                  prefix = '+' + prefix;
                } else if (flagPadSign) {
                  prefix = ' ' + prefix;
                }
              }
  
              // Move sign to prefix so we zero-pad after the sign
              if (argText.charAt(0) == '-') {
                prefix = '-' + prefix;
                argText = argText.substr(1);
              }
  
              // Add padding.
              while (prefix.length + argText.length < width) {
                if (flagLeftAlign) {
                  argText += ' ';
                } else {
                  if (flagZeroPad) {
                    argText = '0' + argText;
                  } else {
                    prefix = ' ' + prefix;
                  }
                }
              }
  
              // Insert the result into the buffer.
              argText = prefix + argText;
              argText.split('').forEach(function(chr) {
                ret.push(chr.charCodeAt(0));
              });
              break;
            }
            case 'f': case 'F': case 'e': case 'E': case 'g': case 'G': {
              // Float.
              var currArg = getNextArg('double');
              var argText;
              if (isNaN(currArg)) {
                argText = 'nan';
                flagZeroPad = false;
              } else if (!isFinite(currArg)) {
                argText = (currArg < 0 ? '-' : '') + 'inf';
                flagZeroPad = false;
              } else {
                var isGeneral = false;
                var effectivePrecision = Math.min(precision, 20);
  
                // Convert g/G to f/F or e/E, as per:
                // http://pubs.opengroup.org/onlinepubs/9699919799/functions/printf.html
                if (next == 103 || next == 71) {
                  isGeneral = true;
                  precision = precision || 1;
                  var exponent = parseInt(currArg.toExponential(effectivePrecision).split('e')[1], 10);
                  if (precision > exponent && exponent >= -4) {
                    next = ((next == 103) ? 'f' : 'F').charCodeAt(0);
                    precision -= exponent + 1;
                  } else {
                    next = ((next == 103) ? 'e' : 'E').charCodeAt(0);
                    precision--;
                  }
                  effectivePrecision = Math.min(precision, 20);
                }
  
                if (next == 101 || next == 69) {
                  argText = currArg.toExponential(effectivePrecision);
                  // Make sure the exponent has at least 2 digits.
                  if (/[eE][-+]\d$/.test(argText)) {
                    argText = argText.slice(0, -1) + '0' + argText.slice(-1);
                  }
                } else if (next == 102 || next == 70) {
                  argText = currArg.toFixed(effectivePrecision);
                  if (currArg === 0 && __reallyNegative(currArg)) {
                    argText = '-' + argText;
                  }
                }
  
                var parts = argText.split('e');
                if (isGeneral && !flagAlternative) {
                  // Discard trailing zeros and periods.
                  while (parts[0].length > 1 && parts[0].indexOf('.') != -1 &&
                         (parts[0].slice(-1) == '0' || parts[0].slice(-1) == '.')) {
                    parts[0] = parts[0].slice(0, -1);
                  }
                } else {
                  // Make sure we have a period in alternative mode.
                  if (flagAlternative && argText.indexOf('.') == -1) parts[0] += '.';
                  // Zero pad until required precision.
                  while (precision > effectivePrecision++) parts[0] += '0';
                }
                argText = parts[0] + (parts.length > 1 ? 'e' + parts[1] : '');
  
                // Capitalize 'E' if needed.
                if (next == 69) argText = argText.toUpperCase();
  
                // Add sign.
                if (currArg >= 0) {
                  if (flagAlwaysSigned) {
                    argText = '+' + argText;
                  } else if (flagPadSign) {
                    argText = ' ' + argText;
                  }
                }
              }
  
              // Add padding.
              while (argText.length < width) {
                if (flagLeftAlign) {
                  argText += ' ';
                } else {
                  if (flagZeroPad && (argText[0] == '-' || argText[0] == '+')) {
                    argText = argText[0] + '0' + argText.slice(1);
                  } else {
                    argText = (flagZeroPad ? '0' : ' ') + argText;
                  }
                }
              }
  
              // Adjust case.
              if (next < 97) argText = argText.toUpperCase();
  
              // Insert the result into the buffer.
              argText.split('').forEach(function(chr) {
                ret.push(chr.charCodeAt(0));
              });
              break;
            }
            case 's': {
              // String.
              var arg = getNextArg('i8*');
              var argLength = arg ? _strlen(arg) : '(null)'.length;
              if (precisionSet) argLength = Math.min(argLength, precision);
              if (!flagLeftAlign) {
                while (argLength < width--) {
                  ret.push(32);
                }
              }
              if (arg) {
                for (var i = 0; i < argLength; i++) {
                  ret.push(HEAPU8[((arg++)|0)]);
                }
              } else {
                ret = ret.concat(intArrayFromString('(null)'.substr(0, argLength), true));
              }
              if (flagLeftAlign) {
                while (argLength < width--) {
                  ret.push(32);
                }
              }
              break;
            }
            case 'c': {
              // Character.
              if (flagLeftAlign) ret.push(getNextArg('i8'));
              while (--width > 0) {
                ret.push(32);
              }
              if (!flagLeftAlign) ret.push(getNextArg('i8'));
              break;
            }
            case 'n': {
              // Write the length written so far to the next parameter.
              var ptr = getNextArg('i32*');
              HEAP32[((ptr)>>2)]=ret.length;
              break;
            }
            case '%': {
              // Literal percent sign.
              ret.push(curr);
              break;
            }
            default: {
              // Unknown specifiers remain untouched.
              for (var i = startTextIndex; i < textIndex + 2; i++) {
                ret.push(HEAP8[(i)]);
              }
            }
          }
          textIndex += 2;
          // TODO: Support a/A (hex float) and m (last error) specifiers.
          // TODO: Support %1${specifier} for arg selection.
        } else {
          ret.push(curr);
          textIndex += 1;
        }
      }
      return ret;
    }function _snprintf(s, n, format, varargs) {
      // int snprintf(char *restrict s, size_t n, const char *restrict format, ...);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/printf.html
      var result = __formatString(format, varargs);
      var limit = (n === undefined) ? result.length
                                    : Math.min(result.length, Math.max(n - 1, 0));
      if (s < 0) {
        s = -s;
        var buf = _malloc(limit+1);
        HEAP32[((s)>>2)]=buf;
        s = buf;
      }
      for (var i = 0; i < limit; i++) {
        HEAP8[(((s)+(i))|0)]=result[i];
      }
      if (limit < n || (n === undefined)) HEAP8[(((s)+(i))|0)]=0;
      return result.length;
    }function _sprintf(s, format, varargs) {
      // int sprintf(char *restrict s, const char *restrict format, ...);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/printf.html
      return _snprintf(s, undefined, format, varargs);
    }

  function _longjmp(env, value) {
      asm['setThrew'](env, value || 1);
      throw 'longjmp';
    }

  
  
  function _isspace(chr) {
      return (chr == 32) || (chr >= 9 && chr <= 13);
    }function __parseInt(str, endptr, base, min, max, bits, unsign) {
      // Skip space.
      while (_isspace(HEAP8[(str)])) str++;
  
      // Check for a plus/minus sign.
      var multiplier = 1;
      if (HEAP8[(str)] == 45) {
        multiplier = -1;
        str++;
      } else if (HEAP8[(str)] == 43) {
        str++;
      }
  
      // Find base.
      var finalBase = base;
      if (!finalBase) {
        if (HEAP8[(str)] == 48) {
          if (HEAP8[((str+1)|0)] == 120 ||
              HEAP8[((str+1)|0)] == 88) {
            finalBase = 16;
            str += 2;
          } else {
            finalBase = 8;
            str++;
          }
        }
      } else if (finalBase==16) {
        if (HEAP8[(str)] == 48) {
          if (HEAP8[((str+1)|0)] == 120 ||
              HEAP8[((str+1)|0)] == 88) {
            str += 2;
          }
        }
      }
      if (!finalBase) finalBase = 10;
  
      // Get digits.
      var chr;
      var ret = 0;
      while ((chr = HEAP8[(str)]) != 0) {
        var digit = parseInt(String.fromCharCode(chr), finalBase);
        if (isNaN(digit)) {
          break;
        } else {
          ret = ret * finalBase + digit;
          str++;
        }
      }
  
      // Apply sign.
      ret *= multiplier;
  
      // Set end pointer.
      if (endptr) {
        HEAP32[((endptr)>>2)]=str;
      }
  
      // Unsign if needed.
      if (unsign) {
        if (Math.abs(ret) > max) {
          ret = max;
          ___setErrNo(ERRNO_CODES.ERANGE);
        } else {
          ret = unSign(ret, bits);
        }
      }
  
      // Validate range.
      if (ret > max || ret < min) {
        ret = ret > max ? max : min;
        ___setErrNo(ERRNO_CODES.ERANGE);
      }
  
      if (bits == 64) {
        return ((asm["setTempRet0"]((tempDouble=ret,(+(Math_abs(tempDouble))) >= (+1) ? (tempDouble > (+0) ? ((Math_min((+(Math_floor((tempDouble)/(+4294967296)))), (+4294967295)))|0)>>>0 : (~~((+(Math_ceil((tempDouble - +(((~~(tempDouble)))>>>0))/(+4294967296))))))>>>0) : 0)),ret>>>0)|0);
      }
  
      return ret;
    }function _strtol(str, endptr, base) {
      return __parseInt(str, endptr, base, -2147483648, 2147483647, 32);  // LONG_MIN, LONG_MAX.
    }

  function _fprintf(stream, format, varargs) {
      // int fprintf(FILE *restrict stream, const char *restrict format, ...);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/printf.html
      var result = __formatString(format, varargs);
      var stack = Runtime.stackSave();
      var ret = _fwrite(allocate(result, 'i8', ALLOC_STACK), 1, result.length, stream);
      Runtime.stackRestore(stack);
      return ret;
    }

  function _fputs(s, stream) {
      // int fputs(const char *restrict s, FILE *restrict stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fputs.html
      var fd = _fileno(stream);
      return _write(fd, s, _strlen(s));
    }


  
  var PTHREAD_SPECIFIC_NEXT_KEY=1;function _pthread_key_create(key, destructor) {
      if (key == 0) {
        return ERRNO_CODES.EINVAL;
      }
      HEAP32[((key)>>2)]=PTHREAD_SPECIFIC_NEXT_KEY;
      // values start at 0
      PTHREAD_SPECIFIC[PTHREAD_SPECIFIC_NEXT_KEY] = 0;
      PTHREAD_SPECIFIC_NEXT_KEY++;
      return 0;
    }

  function _GC_init() {
  Module['printErr']('missing function: GC_init'); abort(-1);
  }

  function ___assert_fail(condition, filename, line, func) {
      ABORT = true;
      throw 'Assertion failed: ' + Pointer_stringify(condition) + ', at: ' + [filename ? Pointer_stringify(filename) : 'unknown filename', line, func ? Pointer_stringify(func) : 'unknown function'] + ' at ' + stackTrace();
    }

  function _fmax(x, y) {
      return isNaN(x) ? y : isNaN(y) ? x : Math.max(x, y);
    }

  function _GC_malloc() {
  Module['printErr']('missing function: GC_malloc'); abort(-1);
  }

  var _llvm_va_start=undefined;

  function _llvm_va_end() {}

  function _printf(format, varargs) {
      // int printf(const char *restrict format, ...);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/printf.html
      var stdout = HEAP32[((_stdout)>>2)];
      return _fprintf(stdout, format, varargs);
    }


  function _puts(s) {
      // int puts(const char *s);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/puts.html
      // NOTE: puts() always writes an extra newline.
      var stdout = HEAP32[((_stdout)>>2)];
      var ret = _fputs(s, stdout);
      if (ret < 0) {
        return ret;
      } else {
        var newlineRet = _fputc(10, stdout);
        return (newlineRet < 0) ? -1 : ret + 1;
      }
    }

  function _vfprintf(s, f, va_arg) {
      return _fprintf(s, f, HEAP32[((va_arg)>>2)]);
    }

  function _vsnprintf(s, n, format, va_arg) {
      return _snprintf(s, n, format, HEAP32[((va_arg)>>2)]);
    }

  function _GC_malloc_atomic() {
  Module['printErr']('missing function: GC_malloc_atomic'); abort(-1);
  }

  function _GC_strdup() {
  Module['printErr']('missing function: GC_strdup'); abort(-1);
  }

  function _GC_collect_a_little() {
  Module['printErr']('missing function: GC_collect_a_little'); abort(-1);
  }

  function _strdup(ptr) {
      var len = _strlen(ptr);
      var newStr = _malloc(len + 1);
      (_memcpy(newStr, ptr, len)|0);
      HEAP8[(((newStr)+(len))|0)]=0;
      return newStr;
    }

  function _pthread_mutex_lock() {}

  function _pthread_mutex_unlock() {}

   
  Module["_strcpy"] = _strcpy;

  
  
  function _recv(fd, buf, len, flags) {
      var sock = SOCKFS.getSocket(fd);
      if (!sock) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
      // TODO honor flags
      return _read(fd, buf, len);
    }
  
  function _pread(fildes, buf, nbyte, offset) {
      // ssize_t pread(int fildes, void *buf, size_t nbyte, off_t offset);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/read.html
      var stream = FS.getStream(fildes);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
      try {
        var slab = HEAP8;
        return FS.read(stream, slab, buf, nbyte, offset);
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }function _read(fildes, buf, nbyte) {
      // ssize_t read(int fildes, void *buf, size_t nbyte);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/read.html
      var stream = FS.getStream(fildes);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
  
  
      try {
        var slab = HEAP8;
        return FS.read(stream, slab, buf, nbyte);
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }function _fread(ptr, size, nitems, stream) {
      // size_t fread(void *restrict ptr, size_t size, size_t nitems, FILE *restrict stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fread.html
      var bytesToRead = nitems * size;
      if (bytesToRead == 0) {
        return 0;
      }
      var bytesRead = 0;
      var streamObj = FS.getStreamFromPtr(stream);
      if (!streamObj) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return 0;
      }
      while (streamObj.ungotten.length && bytesToRead > 0) {
        HEAP8[((ptr++)|0)]=streamObj.ungotten.pop();
        bytesToRead--;
        bytesRead++;
      }
      var err = _read(streamObj.fd, ptr, bytesToRead);
      if (err == -1) {
        if (streamObj) streamObj.error = true;
        return 0;
      }
      bytesRead += err;
      if (bytesRead < bytesToRead) streamObj.eof = true;
      return Math.floor(bytesRead / size);
    }

  function _qsort(base, num, size, cmp) {
      if (num == 0 || size == 0) return;
      // forward calls to the JavaScript sort method
      // first, sort the items logically
      var keys = [];
      for (var i = 0; i < num; i++) keys.push(i);
      keys.sort(function(a, b) {
        return Module['dynCall_iii'](cmp, base+a*size, base+b*size);
      });
      // apply the sort
      var temp = _malloc(num*size);
      _memcpy(temp, base, num*size);
      for (var i = 0; i < num; i++) {
        if (keys[i] == i) continue; // already in place
        _memcpy(base+i*size, temp+keys[i]*size, size);
      }
      _free(temp);
    }

  function _ftell(stream) {
      // long ftell(FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/ftell.html
      stream = FS.getStreamFromPtr(stream);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
      if (FS.isChrdev(stream.node.mode)) {
        ___setErrNo(ERRNO_CODES.ESPIPE);
        return -1;
      } else {
        return stream.position;
      }
    }

  
  function _lseek(fildes, offset, whence) {
      // off_t lseek(int fildes, off_t offset, int whence);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/lseek.html
      var stream = FS.getStream(fildes);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
      try {
        return FS.llseek(stream, offset, whence);
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }function _fseek(stream, offset, whence) {
      // int fseek(FILE *stream, long offset, int whence);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fseek.html
      var fd = _fileno(stream);
      var ret = _lseek(fd, offset, whence);
      if (ret == -1) {
        return -1;
      }
      stream = FS.getStreamFromPtr(stream);
      stream.eof = false;
      return 0;
    }

  function _bsearch(key, base, num, size, compar) {
      function cmp(x, y) {
        return Module['dynCall_iii'](compar, x, y);
      };
      var left = 0;
      var right = num;
      var mid, test, addr;
  
      while (left < right) {
        mid = (left + right) >>> 1;
        addr = base + (mid * size);
        test = cmp(key, addr);
        if (test < 0) {
          right = mid;
        } else if (test > 0) {
          left = mid + 1;
        } else {
          return addr;
        }
      }
  
      return 0;
    }

  
  function _emscripten_get_now() {
      if (!_emscripten_get_now.actual) {
        if (ENVIRONMENT_IS_NODE) {
          _emscripten_get_now.actual = function _emscripten_get_now_actual() {
            var t = process['hrtime']();
            return t[0] * 1e3 + t[1] / 1e6;
          }
        } else if (typeof dateNow !== 'undefined') {
          _emscripten_get_now.actual = dateNow;
        } else if (ENVIRONMENT_IS_WEB && window['performance'] && window['performance']['now']) {
          _emscripten_get_now.actual = function _emscripten_get_now_actual() { return window['performance']['now'](); };
        } else {
          _emscripten_get_now.actual = Date.now;
        }
      }
      return _emscripten_get_now.actual();
    }function _clock_gettime(clk_id, tp) {
      // int clock_gettime(clockid_t clk_id, struct timespec *tp);
      var now;
      if (clk_id === 0) {
        now = Date.now();
      } else {
        now = _emscripten_get_now();
      }
      HEAP32[((tp)>>2)]=Math.floor(now/1000); // seconds
      HEAP32[(((tp)+(4))>>2)]=Math.floor((now % 1000)*1000*1000); // nanoseconds
      return 0;
    }

  function _fgetc(stream) {
      // int fgetc(FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fgetc.html
      var streamObj = FS.getStreamFromPtr(stream);
      if (!streamObj) return -1;
      if (streamObj.eof || streamObj.error) return -1;
      var ret = _fread(_fgetc.ret, 1, 1, stream);
      if (ret == 0) {
        return -1;
      } else if (ret == -1) {
        streamObj.error = true;
        return -1;
      } else {
        return HEAPU8[((_fgetc.ret)|0)];
      }
    }


  function _perror(s) {
      // void perror(const char *s);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/perror.html
      var stdout = HEAP32[((_stdout)>>2)];
      if (s) {
        _fputs(s, stdout);
        _fputc(58, stdout);
        _fputc(32, stdout);
      }
      var errnum = HEAP32[((___errno_location())>>2)];
      _puts(_strerror(errnum));
    }

  var _ceil=Math_ceil;

  function _lis_matrix_set_value() {
  Module['printErr']('missing function: lis_matrix_set_value'); abort(-1);
  }

  function _lis_vector_create() {
  Module['printErr']('missing function: lis_vector_create'); abort(-1);
  }

  function _lis_vector_set_size() {
  Module['printErr']('missing function: lis_vector_set_size'); abort(-1);
  }

  function _lis_solver_create() {
  Module['printErr']('missing function: lis_solver_create'); abort(-1);
  }

  function _lis_solver_set_option() {
  Module['printErr']('missing function: lis_solver_set_option'); abort(-1);
  }

  function _lis_solver_destroy() {
  Module['printErr']('missing function: lis_solver_destroy'); abort(-1);
  }

  function _lis_vector_destroy() {
  Module['printErr']('missing function: lis_vector_destroy'); abort(-1);
  }

  function _lis_matrix_destroy() {
  Module['printErr']('missing function: lis_matrix_destroy'); abort(-1);
  }

  function _lis_matrix_create() {
  Module['printErr']('missing function: lis_matrix_create'); abort(-1);
  }

  function _lis_matrix_set_size() {
  Module['printErr']('missing function: lis_matrix_set_size'); abort(-1);
  }

  function _lis_matrix_set_type() {
  Module['printErr']('missing function: lis_matrix_set_type'); abort(-1);
  }

  function _lis_matrix_assemble() {
  Module['printErr']('missing function: lis_matrix_assemble'); abort(-1);
  }

  function _lis_vector_set_value() {
  Module['printErr']('missing function: lis_vector_set_value'); abort(-1);
  }

  function _lis_solve() {
  Module['printErr']('missing function: lis_solve'); abort(-1);
  }

  function _lis_vector_get_values() {
  Module['printErr']('missing function: lis_vector_get_values'); abort(-1);
  }

  
  var ___strtok_state=0;
  
  function _strtok_r(s, delim, lasts) {
      var skip_leading_delim = 1;
      var spanp;
      var c, sc;
      var tok;
  
  
      if (s == 0 && (s = getValue(lasts, 'i8*')) == 0) {
        return 0;
      }
  
      cont: while (1) {
        c = getValue(s++, 'i8');
        for (spanp = delim; (sc = getValue(spanp++, 'i8')) != 0;) {
          if (c == sc) {
            if (skip_leading_delim) {
              continue cont;
            } else {
              setValue(lasts, s, 'i8*');
              setValue(s - 1, 0, 'i8');
              return s - 1;
            }
          }
        }
        break;
      }
  
      if (c == 0) {
        setValue(lasts, 0, 'i8*');
        return 0;
      }
      tok = s - 1;
  
      for (;;) {
        c = getValue(s++, 'i8');
        spanp = delim;
        do {
          if ((sc = getValue(spanp++, 'i8')) == c) {
            if (c == 0) {
              s = 0;
            } else {
              setValue(s - 1, 0, 'i8');
            }
            setValue(lasts, s, 'i8*');
            return tok;
          }
        } while (sc != 0);
      }
      abort('strtok_r error!');
    }function _strtok(s, delim) {
      return _strtok_r(s, delim, ___strtok_state);
    }

  function _rewind(stream) {
      // void rewind(FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/rewind.html
      _fseek(stream, 0, 0);  // SEEK_SET.
      var streamObj = FS.getStreamFromPtr(stream);
      if (streamObj) streamObj.error = false;
    }

  
  
  function __getFloat(text) {
      return /^[+-]?[0-9]*\.?[0-9]+([eE][+-]?[0-9]+)?/.exec(text);
    }function __scanString(format, get, unget, varargs) {
      if (!__scanString.whiteSpace) {
        __scanString.whiteSpace = {};
        __scanString.whiteSpace[32] = 1;
        __scanString.whiteSpace[9] = 1;
        __scanString.whiteSpace[10] = 1;
        __scanString.whiteSpace[11] = 1;
        __scanString.whiteSpace[12] = 1;
        __scanString.whiteSpace[13] = 1;
      }
      // Supports %x, %4x, %d.%d, %lld, %s, %f, %lf.
      // TODO: Support all format specifiers.
      format = Pointer_stringify(format);
      var soFar = 0;
      if (format.indexOf('%n') >= 0) {
        // need to track soFar
        var _get = get;
        get = function get() {
          soFar++;
          return _get();
        }
        var _unget = unget;
        unget = function unget() {
          soFar--;
          return _unget();
        }
      }
      var formatIndex = 0;
      var argsi = 0;
      var fields = 0;
      var argIndex = 0;
      var next;
  
      mainLoop:
      for (var formatIndex = 0; formatIndex < format.length;) {
        if (format[formatIndex] === '%' && format[formatIndex+1] == 'n') {
          var argPtr = HEAP32[(((varargs)+(argIndex))>>2)];
          argIndex += Runtime.getAlignSize('void*', null, true);
          HEAP32[((argPtr)>>2)]=soFar;
          formatIndex += 2;
          continue;
        }
  
        if (format[formatIndex] === '%') {
          var nextC = format.indexOf('c', formatIndex+1);
          if (nextC > 0) {
            var maxx = 1;
            if (nextC > formatIndex+1) {
              var sub = format.substring(formatIndex+1, nextC);
              maxx = parseInt(sub);
              if (maxx != sub) maxx = 0;
            }
            if (maxx) {
              var argPtr = HEAP32[(((varargs)+(argIndex))>>2)];
              argIndex += Runtime.getAlignSize('void*', null, true);
              fields++;
              for (var i = 0; i < maxx; i++) {
                next = get();
                HEAP8[((argPtr++)|0)]=next;
                if (next === 0) return i > 0 ? fields : fields-1; // we failed to read the full length of this field
              }
              formatIndex += nextC - formatIndex + 1;
              continue;
            }
          }
        }
  
        // handle %[...]
        if (format[formatIndex] === '%' && format.indexOf('[', formatIndex+1) > 0) {
          var match = /\%([0-9]*)\[(\^)?(\]?[^\]]*)\]/.exec(format.substring(formatIndex));
          if (match) {
            var maxNumCharacters = parseInt(match[1]) || Infinity;
            var negateScanList = (match[2] === '^');
            var scanList = match[3];
  
            // expand "middle" dashs into character sets
            var middleDashMatch;
            while ((middleDashMatch = /([^\-])\-([^\-])/.exec(scanList))) {
              var rangeStartCharCode = middleDashMatch[1].charCodeAt(0);
              var rangeEndCharCode = middleDashMatch[2].charCodeAt(0);
              for (var expanded = ''; rangeStartCharCode <= rangeEndCharCode; expanded += String.fromCharCode(rangeStartCharCode++));
              scanList = scanList.replace(middleDashMatch[1] + '-' + middleDashMatch[2], expanded);
            }
  
            var argPtr = HEAP32[(((varargs)+(argIndex))>>2)];
            argIndex += Runtime.getAlignSize('void*', null, true);
            fields++;
  
            for (var i = 0; i < maxNumCharacters; i++) {
              next = get();
              if (negateScanList) {
                if (scanList.indexOf(String.fromCharCode(next)) < 0) {
                  HEAP8[((argPtr++)|0)]=next;
                } else {
                  unget();
                  break;
                }
              } else {
                if (scanList.indexOf(String.fromCharCode(next)) >= 0) {
                  HEAP8[((argPtr++)|0)]=next;
                } else {
                  unget();
                  break;
                }
              }
            }
  
            // write out null-terminating character
            HEAP8[((argPtr++)|0)]=0;
            formatIndex += match[0].length;
            
            continue;
          }
        }      
        // remove whitespace
        while (1) {
          next = get();
          if (next == 0) return fields;
          if (!(next in __scanString.whiteSpace)) break;
        }
        unget();
  
        if (format[formatIndex] === '%') {
          formatIndex++;
          var suppressAssignment = false;
          if (format[formatIndex] == '*') {
            suppressAssignment = true;
            formatIndex++;
          }
          var maxSpecifierStart = formatIndex;
          while (format[formatIndex].charCodeAt(0) >= 48 &&
                 format[formatIndex].charCodeAt(0) <= 57) {
            formatIndex++;
          }
          var max_;
          if (formatIndex != maxSpecifierStart) {
            max_ = parseInt(format.slice(maxSpecifierStart, formatIndex), 10);
          }
          var long_ = false;
          var half = false;
          var longLong = false;
          if (format[formatIndex] == 'l') {
            long_ = true;
            formatIndex++;
            if (format[formatIndex] == 'l') {
              longLong = true;
              formatIndex++;
            }
          } else if (format[formatIndex] == 'h') {
            half = true;
            formatIndex++;
          }
          var type = format[formatIndex];
          formatIndex++;
          var curr = 0;
          var buffer = [];
          // Read characters according to the format. floats are trickier, they may be in an unfloat state in the middle, then be a valid float later
          if (type == 'f' || type == 'e' || type == 'g' ||
              type == 'F' || type == 'E' || type == 'G') {
            next = get();
            while (next > 0 && (!(next in __scanString.whiteSpace)))  {
              buffer.push(String.fromCharCode(next));
              next = get();
            }
            var m = __getFloat(buffer.join(''));
            var last = m ? m[0].length : 0;
            for (var i = 0; i < buffer.length - last + 1; i++) {
              unget();
            }
            buffer.length = last;
          } else {
            next = get();
            var first = true;
            
            // Strip the optional 0x prefix for %x.
            if ((type == 'x' || type == 'X') && (next == 48)) {
              var peek = get();
              if (peek == 120 || peek == 88) {
                next = get();
              } else {
                unget();
              }
            }
            
            while ((curr < max_ || isNaN(max_)) && next > 0) {
              if (!(next in __scanString.whiteSpace) && // stop on whitespace
                  (type == 's' ||
                   ((type === 'd' || type == 'u' || type == 'i') && ((next >= 48 && next <= 57) ||
                                                                     (first && next == 45))) ||
                   ((type === 'x' || type === 'X') && (next >= 48 && next <= 57 ||
                                     next >= 97 && next <= 102 ||
                                     next >= 65 && next <= 70))) &&
                  (formatIndex >= format.length || next !== format[formatIndex].charCodeAt(0))) { // Stop when we read something that is coming up
                buffer.push(String.fromCharCode(next));
                next = get();
                curr++;
                first = false;
              } else {
                break;
              }
            }
            unget();
          }
          if (buffer.length === 0) return 0;  // Failure.
          if (suppressAssignment) continue;
  
          var text = buffer.join('');
          var argPtr = HEAP32[(((varargs)+(argIndex))>>2)];
          argIndex += Runtime.getAlignSize('void*', null, true);
          switch (type) {
            case 'd': case 'u': case 'i':
              if (half) {
                HEAP16[((argPtr)>>1)]=parseInt(text, 10);
              } else if (longLong) {
                (tempI64 = [parseInt(text, 10)>>>0,(tempDouble=parseInt(text, 10),(+(Math_abs(tempDouble))) >= (+1) ? (tempDouble > (+0) ? ((Math_min((+(Math_floor((tempDouble)/(+4294967296)))), (+4294967295)))|0)>>>0 : (~~((+(Math_ceil((tempDouble - +(((~~(tempDouble)))>>>0))/(+4294967296))))))>>>0) : 0)],HEAP32[((argPtr)>>2)]=tempI64[0],HEAP32[(((argPtr)+(4))>>2)]=tempI64[1]);
              } else {
                HEAP32[((argPtr)>>2)]=parseInt(text, 10);
              }
              break;
            case 'X':
            case 'x':
              HEAP32[((argPtr)>>2)]=parseInt(text, 16);
              break;
            case 'F':
            case 'f':
            case 'E':
            case 'e':
            case 'G':
            case 'g':
            case 'E':
              // fallthrough intended
              if (long_) {
                HEAPF64[((argPtr)>>3)]=parseFloat(text);
              } else {
                HEAPF32[((argPtr)>>2)]=parseFloat(text);
              }
              break;
            case 's':
              var array = intArrayFromString(text);
              for (var j = 0; j < array.length; j++) {
                HEAP8[(((argPtr)+(j))|0)]=array[j];
              }
              break;
          }
          fields++;
        } else if (format[formatIndex].charCodeAt(0) in __scanString.whiteSpace) {
          next = get();
          while (next in __scanString.whiteSpace) {
            if (next <= 0) break mainLoop;  // End of input.
            next = get();
          }
          unget(next);
          formatIndex++;
        } else {
          // Not a specifier.
          next = get();
          if (format[formatIndex].charCodeAt(0) !== next) {
            unget(next);
            break mainLoop;
          }
          formatIndex++;
        }
      }
      return fields;
    }
  
  function _ungetc(c, stream) {
      // int ungetc(int c, FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/ungetc.html
      stream = FS.getStreamFromPtr(stream);
      if (!stream) {
        return -1;
      }
      if (c === -1) {
        // do nothing for EOF character
        return c;
      }
      c = unSign(c & 0xFF);
      stream.ungotten.push(c);
      stream.eof = false;
      return c;
    }function _fscanf(stream, format, varargs) {
      // int fscanf(FILE *restrict stream, const char *restrict format, ... );
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/scanf.html
      var streamObj = FS.getStreamFromPtr(stream);
      if (!streamObj) {
        return -1;
      }
      var buffer = [];
      function get() {
        var c = _fgetc(stream);
        buffer.push(c);
        return c;
      };
      function unget() {
        _ungetc(buffer.pop(), stream);
      };
      return __scanString(format, get, unget, varargs);
    }

  
  function __ZSt18uncaught_exceptionv() { // std::uncaught_exception()
      return !!__ZSt18uncaught_exceptionv.uncaught_exception;
    }
  
  
  
  function ___cxa_is_number_type(type) {
      var isNumber = false;
      try { if (type == __ZTIi) isNumber = true } catch(e){}
      try { if (type == __ZTIj) isNumber = true } catch(e){}
      try { if (type == __ZTIl) isNumber = true } catch(e){}
      try { if (type == __ZTIm) isNumber = true } catch(e){}
      try { if (type == __ZTIx) isNumber = true } catch(e){}
      try { if (type == __ZTIy) isNumber = true } catch(e){}
      try { if (type == __ZTIf) isNumber = true } catch(e){}
      try { if (type == __ZTId) isNumber = true } catch(e){}
      try { if (type == __ZTIe) isNumber = true } catch(e){}
      try { if (type == __ZTIc) isNumber = true } catch(e){}
      try { if (type == __ZTIa) isNumber = true } catch(e){}
      try { if (type == __ZTIh) isNumber = true } catch(e){}
      try { if (type == __ZTIs) isNumber = true } catch(e){}
      try { if (type == __ZTIt) isNumber = true } catch(e){}
      return isNumber;
    }function ___cxa_does_inherit(definiteType, possibilityType, possibility) {
      if (possibility == 0) return false;
      if (possibilityType == 0 || possibilityType == definiteType)
        return true;
      var possibility_type_info;
      if (___cxa_is_number_type(possibilityType)) {
        possibility_type_info = possibilityType;
      } else {
        var possibility_type_infoAddr = HEAP32[((possibilityType)>>2)] - 8;
        possibility_type_info = HEAP32[((possibility_type_infoAddr)>>2)];
      }
      switch (possibility_type_info) {
      case 0: // possibility is a pointer
        // See if definite type is a pointer
        var definite_type_infoAddr = HEAP32[((definiteType)>>2)] - 8;
        var definite_type_info = HEAP32[((definite_type_infoAddr)>>2)];
        if (definite_type_info == 0) {
          // Also a pointer; compare base types of pointers
          var defPointerBaseAddr = definiteType+8;
          var defPointerBaseType = HEAP32[((defPointerBaseAddr)>>2)];
          var possPointerBaseAddr = possibilityType+8;
          var possPointerBaseType = HEAP32[((possPointerBaseAddr)>>2)];
          return ___cxa_does_inherit(defPointerBaseType, possPointerBaseType, possibility);
        } else
          return false; // one pointer and one non-pointer
      case 1: // class with no base class
        return false;
      case 2: // class with base class
        var parentTypeAddr = possibilityType + 8;
        var parentType = HEAP32[((parentTypeAddr)>>2)];
        return ___cxa_does_inherit(definiteType, parentType, possibility);
      default:
        return false; // some unencountered type
      }
    }
  
  function ___resumeException(ptr) {
      if (!___cxa_last_thrown_exception) { ___cxa_last_thrown_exception = ptr; }
      throw ptr + " - Exception catching is disabled, this exception cannot be caught. Compile with -s DISABLE_EXCEPTION_CATCHING=0 or DISABLE_EXCEPTION_CATCHING=2 to catch.";
    }
  
  var ___cxa_last_thrown_exception=0;
  
  var ___cxa_exception_header_size=8;function ___cxa_find_matching_catch(thrown, throwntype) {
      if (thrown == -1) thrown = ___cxa_last_thrown_exception;
      header = thrown - ___cxa_exception_header_size;
      if (throwntype == -1) throwntype = HEAP32[((header)>>2)];
      var typeArray = Array.prototype.slice.call(arguments, 2);
  
      // If throwntype is a pointer, this means a pointer has been
      // thrown. When a pointer is thrown, actually what's thrown
      // is a pointer to the pointer. We'll dereference it.
      if (throwntype != 0 && !___cxa_is_number_type(throwntype)) {
        var throwntypeInfoAddr= HEAP32[((throwntype)>>2)] - 8;
        var throwntypeInfo= HEAP32[((throwntypeInfoAddr)>>2)];
        if (throwntypeInfo == 0)
          thrown = HEAP32[((thrown)>>2)];
      }
      // The different catch blocks are denoted by different types.
      // Due to inheritance, those types may not precisely match the
      // type of the thrown object. Find one which matches, and
      // return the type of the catch block which should be called.
      for (var i = 0; i < typeArray.length; i++) {
        if (___cxa_does_inherit(typeArray[i], throwntype, thrown))
          return ((asm["setTempRet0"](typeArray[i]),thrown)|0);
      }
      // Shouldn't happen unless we have bogus data in typeArray
      // or encounter a type for which emscripten doesn't have suitable
      // typeinfo defined. Best-efforts match just in case.
      return ((asm["setTempRet0"](throwntype),thrown)|0);
    }function ___gxx_personality_v0() {
    }

  
  var ___cxa_caught_exceptions=[];function ___cxa_begin_catch(ptr) {
      __ZSt18uncaught_exceptionv.uncaught_exception--;
      ___cxa_caught_exceptions.push(___cxa_last_thrown_exception);
      return ptr;
    }

  
  
  function ___cxa_free_exception(ptr) {
      try {
        return _free(ptr - ___cxa_exception_header_size);
      } catch(e) { // XXX FIXME
      }
    }function ___cxa_end_catch() {
      if (___cxa_end_catch.rethrown) {
        ___cxa_end_catch.rethrown = false;
        return;
      }
      // Clear state flag.
      asm['setThrew'](0);
      // Call destructor if one is registered then clear it.
      var ptr = ___cxa_caught_exceptions.pop();
      if (ptr) {
        header = ptr - ___cxa_exception_header_size;
        var destructor = HEAP32[(((header)+(4))>>2)];
        if (destructor) {
          Runtime.dynCall('vi', destructor, [ptr]);
          HEAP32[(((header)+(4))>>2)]=0;
        }
        ___cxa_free_exception(ptr);
        ___cxa_last_thrown_exception = 0;
      }
    }function ___cxa_rethrow() {
      ___cxa_end_catch.rethrown = true;
      var ptr = ___cxa_caught_exceptions.pop();
      throw ptr + " - Exception catching is disabled, this exception cannot be caught. Compile with -s DISABLE_EXCEPTION_CATCHING=0 or DISABLE_EXCEPTION_CATCHING=2 to catch.";
    }


  
  function _exit(status) {
      __exit(status);
    }function __ZSt9terminatev() {
      _exit(-1234);
    }


  function ___cxa_call_unexpected(exception) {
      Module.printErr('Unexpected exception thrown, this is not properly supported - aborting');
      ABORT = true;
      throw exception;
    }

  function _strrchr(ptr, chr) {
      var ptr2 = ptr + _strlen(ptr);
      do {
        if (HEAP8[(ptr2)] == chr) return ptr2;
        ptr2--;
      } while (ptr2 >= ptr);
      return 0;
    }

  function ___cxa_allocate_exception(size) {
      var ptr = _malloc(size + ___cxa_exception_header_size);
      return ptr + ___cxa_exception_header_size;
    }

  function ___cxa_throw(ptr, type, destructor) {
      if (!___cxa_throw.initialized) {
        try {
          HEAP32[((__ZTVN10__cxxabiv119__pointer_type_infoE)>>2)]=0; // Workaround for libcxxabi integration bug
        } catch(e){}
        try {
          HEAP32[((__ZTVN10__cxxabiv117__class_type_infoE)>>2)]=1; // Workaround for libcxxabi integration bug
        } catch(e){}
        try {
          HEAP32[((__ZTVN10__cxxabiv120__si_class_type_infoE)>>2)]=2; // Workaround for libcxxabi integration bug
        } catch(e){}
        ___cxa_throw.initialized = true;
      }
      var header = ptr - ___cxa_exception_header_size;
      HEAP32[((header)>>2)]=type;
      HEAP32[(((header)+(4))>>2)]=destructor;
      ___cxa_last_thrown_exception = ptr;
      if (!("uncaught_exception" in __ZSt18uncaught_exceptionv)) {
        __ZSt18uncaught_exceptionv.uncaught_exception = 1;
      } else {
        __ZSt18uncaught_exceptionv.uncaught_exception++;
      }
      throw ptr + " - Exception catching is disabled, this exception cannot be caught. Compile with -s DISABLE_EXCEPTION_CATCHING=0 or DISABLE_EXCEPTION_CATCHING=2 to catch.";
    }

  var _fseeko=_fseek;

  var _ftello=_ftell;

  function _htonl(value) {
      return ((value & 0xff) << 24) + ((value & 0xff00) << 8) +
             ((value & 0xff0000) >>> 8) + ((value & 0xff000000) >>> 24);
    }


  function _atoi(ptr) {
      return _strtol(ptr, null, 10);
    }

  var _atol=_atoi;

  function _round(x) {
      return (x < 0) ? -Math.round(-x) : Math.round(x);
    }

  function _signal(sig, func) {
      // TODO
      return 0;
    }

  function _popen(command, mode) {
      // FILE *popen(const char *command, const char *mode);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/popen.html
      // We allow only one process, so no pipes.
      ___setErrNo(ERRNO_CODES.EMFILE);
      return 0;
    }

  function _pclose(stream) {
      // int pclose(FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/pclose.html
      // We allow only one process, so no pipes.
      ___setErrNo(ERRNO_CODES.ECHILD);
      return -1;
    }

  
  function __isLeapYear(year) {
        return year%4 === 0 && (year%100 !== 0 || year%400 === 0);
    }
  
  function __arraySum(array, index) {
      var sum = 0;
      for (var i = 0; i <= index; sum += array[i++]);
      return sum;
    }
  
  
  var __MONTH_DAYS_LEAP=[31,29,31,30,31,30,31,31,30,31,30,31];
  
  var __MONTH_DAYS_REGULAR=[31,28,31,30,31,30,31,31,30,31,30,31];function __addDays(date, days) {
      var newDate = new Date(date.getTime());
      while(days > 0) {
        var leap = __isLeapYear(newDate.getFullYear());
        var currentMonth = newDate.getMonth();
        var daysInCurrentMonth = (leap ? __MONTH_DAYS_LEAP : __MONTH_DAYS_REGULAR)[currentMonth];
  
        if (days > daysInCurrentMonth-newDate.getDate()) {
          // we spill over to next month
          days -= (daysInCurrentMonth-newDate.getDate()+1);
          newDate.setDate(1);
          if (currentMonth < 11) {
            newDate.setMonth(currentMonth+1)
          } else {
            newDate.setMonth(0);
            newDate.setFullYear(newDate.getFullYear()+1);
          }
        } else {
          // we stay in current month 
          newDate.setDate(newDate.getDate()+days);
          return newDate;
        }
      }
  
      return newDate;
    }function _strftime(s, maxsize, format, tm) {
      // size_t strftime(char *restrict s, size_t maxsize, const char *restrict format, const struct tm *restrict timeptr);
      // http://pubs.opengroup.org/onlinepubs/009695399/functions/strftime.html
      
      var date = {
        tm_sec: HEAP32[((tm)>>2)],
        tm_min: HEAP32[(((tm)+(4))>>2)],
        tm_hour: HEAP32[(((tm)+(8))>>2)],
        tm_mday: HEAP32[(((tm)+(12))>>2)],
        tm_mon: HEAP32[(((tm)+(16))>>2)],
        tm_year: HEAP32[(((tm)+(20))>>2)],
        tm_wday: HEAP32[(((tm)+(24))>>2)],
        tm_yday: HEAP32[(((tm)+(28))>>2)],
        tm_isdst: HEAP32[(((tm)+(32))>>2)]
      };
  
      var pattern = Pointer_stringify(format);
  
      // expand format
      var EXPANSION_RULES_1 = {
        '%c': '%a %b %d %H:%M:%S %Y',     // Replaced by the locale's appropriate date and time representation - e.g., Mon Aug  3 14:02:01 2013
        '%D': '%m/%d/%y',                 // Equivalent to %m / %d / %y
        '%F': '%Y-%m-%d',                 // Equivalent to %Y - %m - %d
        '%h': '%b',                       // Equivalent to %b
        '%r': '%I:%M:%S %p',              // Replaced by the time in a.m. and p.m. notation
        '%R': '%H:%M',                    // Replaced by the time in 24-hour notation
        '%T': '%H:%M:%S',                 // Replaced by the time
        '%x': '%m/%d/%y',                 // Replaced by the locale's appropriate date representation
        '%X': '%H:%M:%S',                 // Replaced by the locale's appropriate date representation
      };
      for (var rule in EXPANSION_RULES_1) {
        pattern = pattern.replace(new RegExp(rule, 'g'), EXPANSION_RULES_1[rule]);
      }
  
      var WEEKDAYS = ['Sunday', 'Monday', 'Tuesday', 'Wednesday', 'Thursday', 'Friday', 'Saturday'];
      var MONTHS = ['January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December'];
  
      function leadingSomething(value, digits, character) {
        var str = typeof value === 'number' ? value.toString() : (value || '');
        while (str.length < digits) {
          str = character[0]+str;
        }
        return str;
      };
  
      function leadingNulls(value, digits) {
        return leadingSomething(value, digits, '0');
      };
  
      function compareByDay(date1, date2) {
        function sgn(value) {
          return value < 0 ? -1 : (value > 0 ? 1 : 0);
        };
  
        var compare;
        if ((compare = sgn(date1.getFullYear()-date2.getFullYear())) === 0) {
          if ((compare = sgn(date1.getMonth()-date2.getMonth())) === 0) {
            compare = sgn(date1.getDate()-date2.getDate());
          }
        }
        return compare;
      };
  
      function getFirstWeekStartDate(janFourth) {
          switch (janFourth.getDay()) {
            case 0: // Sunday
              return new Date(janFourth.getFullYear()-1, 11, 29);
            case 1: // Monday
              return janFourth;
            case 2: // Tuesday
              return new Date(janFourth.getFullYear(), 0, 3);
            case 3: // Wednesday
              return new Date(janFourth.getFullYear(), 0, 2);
            case 4: // Thursday
              return new Date(janFourth.getFullYear(), 0, 1);
            case 5: // Friday
              return new Date(janFourth.getFullYear()-1, 11, 31);
            case 6: // Saturday
              return new Date(janFourth.getFullYear()-1, 11, 30);
          }
      };
  
      function getWeekBasedYear(date) {
          var thisDate = __addDays(new Date(date.tm_year+1900, 0, 1), date.tm_yday);
  
          var janFourthThisYear = new Date(thisDate.getFullYear(), 0, 4);
          var janFourthNextYear = new Date(thisDate.getFullYear()+1, 0, 4);
  
          var firstWeekStartThisYear = getFirstWeekStartDate(janFourthThisYear);
          var firstWeekStartNextYear = getFirstWeekStartDate(janFourthNextYear);
  
          if (compareByDay(firstWeekStartThisYear, thisDate) <= 0) {
            // this date is after the start of the first week of this year
            if (compareByDay(firstWeekStartNextYear, thisDate) <= 0) {
              return thisDate.getFullYear()+1;
            } else {
              return thisDate.getFullYear();
            }
          } else { 
            return thisDate.getFullYear()-1;
          }
      };
  
      var EXPANSION_RULES_2 = {
        '%a': function(date) {
          return WEEKDAYS[date.tm_wday].substring(0,3);
        },
        '%A': function(date) {
          return WEEKDAYS[date.tm_wday];
        },
        '%b': function(date) {
          return MONTHS[date.tm_mon].substring(0,3);
        },
        '%B': function(date) {
          return MONTHS[date.tm_mon];
        },
        '%C': function(date) {
          var year = date.tm_year+1900;
          return leadingNulls(Math.floor(year/100),2);
        },
        '%d': function(date) {
          return leadingNulls(date.tm_mday, 2);
        },
        '%e': function(date) {
          return leadingSomething(date.tm_mday, 2, ' ');
        },
        '%g': function(date) {
          // %g, %G, and %V give values according to the ISO 8601:2000 standard week-based year. 
          // In this system, weeks begin on a Monday and week 1 of the year is the week that includes 
          // January 4th, which is also the week that includes the first Thursday of the year, and 
          // is also the first week that contains at least four days in the year. 
          // If the first Monday of January is the 2nd, 3rd, or 4th, the preceding days are part of 
          // the last week of the preceding year; thus, for Saturday 2nd January 1999, 
          // %G is replaced by 1998 and %V is replaced by 53. If December 29th, 30th, 
          // or 31st is a Monday, it and any following days are part of week 1 of the following year. 
          // Thus, for Tuesday 30th December 1997, %G is replaced by 1998 and %V is replaced by 01.
          
          return getWeekBasedYear(date).toString().substring(2);
        },
        '%G': function(date) {
          return getWeekBasedYear(date);
        },
        '%H': function(date) {
          return leadingNulls(date.tm_hour, 2);
        },
        '%I': function(date) {
          return leadingNulls(date.tm_hour < 13 ? date.tm_hour : date.tm_hour-12, 2);
        },
        '%j': function(date) {
          // Day of the year (001-366)
          return leadingNulls(date.tm_mday+__arraySum(__isLeapYear(date.tm_year+1900) ? __MONTH_DAYS_LEAP : __MONTH_DAYS_REGULAR, date.tm_mon-1), 3);
        },
        '%m': function(date) {
          return leadingNulls(date.tm_mon+1, 2);
        },
        '%M': function(date) {
          return leadingNulls(date.tm_min, 2);
        },
        '%n': function() {
          return '\n';
        },
        '%p': function(date) {
          if (date.tm_hour > 0 && date.tm_hour < 13) {
            return 'AM';
          } else {
            return 'PM';
          }
        },
        '%S': function(date) {
          return leadingNulls(date.tm_sec, 2);
        },
        '%t': function() {
          return '\t';
        },
        '%u': function(date) {
          var day = new Date(date.tm_year+1900, date.tm_mon+1, date.tm_mday, 0, 0, 0, 0);
          return day.getDay() || 7;
        },
        '%U': function(date) {
          // Replaced by the week number of the year as a decimal number [00,53]. 
          // The first Sunday of January is the first day of week 1; 
          // days in the new year before this are in week 0. [ tm_year, tm_wday, tm_yday]
          var janFirst = new Date(date.tm_year+1900, 0, 1);
          var firstSunday = janFirst.getDay() === 0 ? janFirst : __addDays(janFirst, 7-janFirst.getDay());
          var endDate = new Date(date.tm_year+1900, date.tm_mon, date.tm_mday);
          
          // is target date after the first Sunday?
          if (compareByDay(firstSunday, endDate) < 0) {
            // calculate difference in days between first Sunday and endDate
            var februaryFirstUntilEndMonth = __arraySum(__isLeapYear(endDate.getFullYear()) ? __MONTH_DAYS_LEAP : __MONTH_DAYS_REGULAR, endDate.getMonth()-1)-31;
            var firstSundayUntilEndJanuary = 31-firstSunday.getDate();
            var days = firstSundayUntilEndJanuary+februaryFirstUntilEndMonth+endDate.getDate();
            return leadingNulls(Math.ceil(days/7), 2);
          }
  
          return compareByDay(firstSunday, janFirst) === 0 ? '01': '00';
        },
        '%V': function(date) {
          // Replaced by the week number of the year (Monday as the first day of the week) 
          // as a decimal number [01,53]. If the week containing 1 January has four 
          // or more days in the new year, then it is considered week 1. 
          // Otherwise, it is the last week of the previous year, and the next week is week 1. 
          // Both January 4th and the first Thursday of January are always in week 1. [ tm_year, tm_wday, tm_yday]
          var janFourthThisYear = new Date(date.tm_year+1900, 0, 4);
          var janFourthNextYear = new Date(date.tm_year+1901, 0, 4);
  
          var firstWeekStartThisYear = getFirstWeekStartDate(janFourthThisYear);
          var firstWeekStartNextYear = getFirstWeekStartDate(janFourthNextYear);
  
          var endDate = __addDays(new Date(date.tm_year+1900, 0, 1), date.tm_yday);
  
          if (compareByDay(endDate, firstWeekStartThisYear) < 0) {
            // if given date is before this years first week, then it belongs to the 53rd week of last year
            return '53';
          } 
  
          if (compareByDay(firstWeekStartNextYear, endDate) <= 0) {
            // if given date is after next years first week, then it belongs to the 01th week of next year
            return '01';
          }
  
          // given date is in between CW 01..53 of this calendar year
          var daysDifference;
          if (firstWeekStartThisYear.getFullYear() < date.tm_year+1900) {
            // first CW of this year starts last year
            daysDifference = date.tm_yday+32-firstWeekStartThisYear.getDate()
          } else {
            // first CW of this year starts this year
            daysDifference = date.tm_yday+1-firstWeekStartThisYear.getDate();
          }
          return leadingNulls(Math.ceil(daysDifference/7), 2);
        },
        '%w': function(date) {
          var day = new Date(date.tm_year+1900, date.tm_mon+1, date.tm_mday, 0, 0, 0, 0);
          return day.getDay();
        },
        '%W': function(date) {
          // Replaced by the week number of the year as a decimal number [00,53]. 
          // The first Monday of January is the first day of week 1; 
          // days in the new year before this are in week 0. [ tm_year, tm_wday, tm_yday]
          var janFirst = new Date(date.tm_year, 0, 1);
          var firstMonday = janFirst.getDay() === 1 ? janFirst : __addDays(janFirst, janFirst.getDay() === 0 ? 1 : 7-janFirst.getDay()+1);
          var endDate = new Date(date.tm_year+1900, date.tm_mon, date.tm_mday);
  
          // is target date after the first Monday?
          if (compareByDay(firstMonday, endDate) < 0) {
            var februaryFirstUntilEndMonth = __arraySum(__isLeapYear(endDate.getFullYear()) ? __MONTH_DAYS_LEAP : __MONTH_DAYS_REGULAR, endDate.getMonth()-1)-31;
            var firstMondayUntilEndJanuary = 31-firstMonday.getDate();
            var days = firstMondayUntilEndJanuary+februaryFirstUntilEndMonth+endDate.getDate();
            return leadingNulls(Math.ceil(days/7), 2);
          }
          return compareByDay(firstMonday, janFirst) === 0 ? '01': '00';
        },
        '%y': function(date) {
          // Replaced by the last two digits of the year as a decimal number [00,99]. [ tm_year]
          return (date.tm_year+1900).toString().substring(2);
        },
        '%Y': function(date) {
          // Replaced by the year as a decimal number (for example, 1997). [ tm_year]
          return date.tm_year+1900;
        },
        '%z': function(date) {
          // Replaced by the offset from UTC in the ISO 8601:2000 standard format ( +hhmm or -hhmm ),
          // or by no characters if no timezone is determinable. 
          // For example, "-0430" means 4 hours 30 minutes behind UTC (west of Greenwich). 
          // If tm_isdst is zero, the standard time offset is used. 
          // If tm_isdst is greater than zero, the daylight savings time offset is used. 
          // If tm_isdst is negative, no characters are returned. 
          // FIXME: we cannot determine time zone (or can we?)
          return '';
        },
        '%Z': function(date) {
          // Replaced by the timezone name or abbreviation, or by no bytes if no timezone information exists. [ tm_isdst]
          // FIXME: we cannot determine time zone (or can we?)
          return '';
        },
        '%%': function() {
          return '%';
        }
      };
      for (var rule in EXPANSION_RULES_2) {
        if (pattern.indexOf(rule) >= 0) {
          pattern = pattern.replace(new RegExp(rule, 'g'), EXPANSION_RULES_2[rule](date));
        }
      }
  
      var bytes = intArrayFromString(pattern, false);
      if (bytes.length > maxsize) {
        return 0;
      } 
  
      writeArrayToMemory(bytes, s);
      return bytes.length-1;
    }

  
  var ___tm_current=allocate(44, "i8", ALLOC_STATIC);
  
  
  var ___tm_timezone=allocate(intArrayFromString("GMT"), "i8", ALLOC_STATIC);
  
  
  var _tzname=allocate(8, "i32*", ALLOC_STATIC);
  
  var _daylight=allocate(1, "i32*", ALLOC_STATIC);
  
  var _timezone=allocate(1, "i32*", ALLOC_STATIC);function _tzset() {
      // TODO: Use (malleable) environment variables instead of system settings.
      if (_tzset.called) return;
      _tzset.called = true;
  
      HEAP32[((_timezone)>>2)]=-(new Date()).getTimezoneOffset() * 60;
  
      var winter = new Date(2000, 0, 1);
      var summer = new Date(2000, 6, 1);
      HEAP32[((_daylight)>>2)]=Number(winter.getTimezoneOffset() != summer.getTimezoneOffset());
  
      var winterName = 'GMT'; // XXX do not rely on browser timezone info, it is very unpredictable | winter.toString().match(/\(([A-Z]+)\)/)[1];
      var summerName = 'GMT'; // XXX do not rely on browser timezone info, it is very unpredictable | summer.toString().match(/\(([A-Z]+)\)/)[1];
      var winterNamePtr = allocate(intArrayFromString(winterName), 'i8', ALLOC_NORMAL);
      var summerNamePtr = allocate(intArrayFromString(summerName), 'i8', ALLOC_NORMAL);
      HEAP32[((_tzname)>>2)]=winterNamePtr;
      HEAP32[(((_tzname)+(4))>>2)]=summerNamePtr;
    }function _localtime_r(time, tmPtr) {
      _tzset();
      var date = new Date(HEAP32[((time)>>2)]*1000);
      HEAP32[((tmPtr)>>2)]=date.getSeconds();
      HEAP32[(((tmPtr)+(4))>>2)]=date.getMinutes();
      HEAP32[(((tmPtr)+(8))>>2)]=date.getHours();
      HEAP32[(((tmPtr)+(12))>>2)]=date.getDate();
      HEAP32[(((tmPtr)+(16))>>2)]=date.getMonth();
      HEAP32[(((tmPtr)+(20))>>2)]=date.getFullYear()-1900;
      HEAP32[(((tmPtr)+(24))>>2)]=date.getDay();
  
      var start = new Date(date.getFullYear(), 0, 1);
      var yday = Math.floor((date.getTime() - start.getTime()) / (1000 * 60 * 60 * 24));
      HEAP32[(((tmPtr)+(28))>>2)]=yday;
      HEAP32[(((tmPtr)+(36))>>2)]=start.getTimezoneOffset() * 60;
  
      var dst = Number(start.getTimezoneOffset() != date.getTimezoneOffset());
      HEAP32[(((tmPtr)+(32))>>2)]=dst;
  
      HEAP32[(((tmPtr)+(40))>>2)]=___tm_timezone;
  
      return tmPtr;
    }function _localtime(time) {
      return _localtime_r(time, ___tm_current);
    }

  function _system(command) {
      // int system(const char *command);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/system.html
      // Can't call external programs.
      ___setErrNo(ERRNO_CODES.EAGAIN);
      return -1;
    }

  function _asprintf(s, format, varargs) {
      return _sprintf(-s, format, varargs);
    }


  function _strstr(ptr1, ptr2) {
      var check = 0, start;
      do {
        if (!check) {
          start = ptr1;
          check = ptr2;
        }
        var curr1 = HEAP8[((ptr1++)|0)];
        var curr2 = HEAP8[((check++)|0)];
        if (curr2 == 0) return start;
        if (curr2 != curr1) {
          // rewind to one character after start, to find ez in eeez
          ptr1 = start + 1;
          check = 0;
        }
      } while (curr1);
      return 0;
    }

  var _putc=_fputc;

  function _isatty(fildes) {
      // int isatty(int fildes);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/isatty.html
      var stream = FS.getStream(fildes);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return 0;
      }
      // HACK - implement tcgetattr
      if (!stream.tty) {
        ___setErrNo(ERRNO_CODES.ENOTTY);
        return 0;
      }
      return 1;
    }


  var _getc=_fgetc;

  function _abort() {
      Module['abort']();
    }

  function _unlink(path) {
      // int unlink(const char *path);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/unlink.html
      path = Pointer_stringify(path);
      try {
        FS.unlink(path);
        return 0;
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }

  
  function _truncate(path, length) {
      // int truncate(const char *path, off_t length);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/truncate.html
      // NOTE: The path argument may be a string, to simplify ftruncate().
      if (typeof path !== 'string') path = Pointer_stringify(path);
      try {
        FS.truncate(path, length);
        return 0;
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }function _ftruncate(fildes, length) {
      // int ftruncate(int fildes, off_t length);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/ftruncate.html
      try {
        FS.ftruncate(fildes, length);
        return 0;
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }

  
  function _stat(path, buf, dontResolveLastLink) {
      // http://pubs.opengroup.org/onlinepubs/7908799/xsh/stat.html
      // int stat(const char *path, struct stat *buf);
      // NOTE: dontResolveLastLink is a shortcut for lstat(). It should never be
      //       used in client code.
      path = typeof path !== 'string' ? Pointer_stringify(path) : path;
      try {
        var stat = dontResolveLastLink ? FS.lstat(path) : FS.stat(path);
        HEAP32[((buf)>>2)]=stat.dev;
        HEAP32[(((buf)+(4))>>2)]=0;
        HEAP32[(((buf)+(8))>>2)]=stat.ino;
        HEAP32[(((buf)+(12))>>2)]=stat.mode;
        HEAP32[(((buf)+(16))>>2)]=stat.nlink;
        HEAP32[(((buf)+(20))>>2)]=stat.uid;
        HEAP32[(((buf)+(24))>>2)]=stat.gid;
        HEAP32[(((buf)+(28))>>2)]=stat.rdev;
        HEAP32[(((buf)+(32))>>2)]=0;
        HEAP32[(((buf)+(36))>>2)]=stat.size;
        HEAP32[(((buf)+(40))>>2)]=4096;
        HEAP32[(((buf)+(44))>>2)]=stat.blocks;
        HEAP32[(((buf)+(48))>>2)]=Math.floor(stat.atime.getTime() / 1000);
        HEAP32[(((buf)+(52))>>2)]=0;
        HEAP32[(((buf)+(56))>>2)]=Math.floor(stat.mtime.getTime() / 1000);
        HEAP32[(((buf)+(60))>>2)]=0;
        HEAP32[(((buf)+(64))>>2)]=Math.floor(stat.ctime.getTime() / 1000);
        HEAP32[(((buf)+(68))>>2)]=0;
        HEAP32[(((buf)+(72))>>2)]=stat.ino;
        return 0;
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }function _fstat(fildes, buf) {
      // int fstat(int fildes, struct stat *buf);
      // http://pubs.opengroup.org/onlinepubs/7908799/xsh/fstat.html
      var stream = FS.getStream(fildes);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
      return _stat(stream.path, buf);
    }

  function _freopen(filename, mode, stream) {
      // FILE *freopen(const char *restrict filename, const char *restrict mode, FILE *restrict stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/freopen.html
      if (!filename) {
        var streamObj = FS.getStreamFromPtr(stream);
        if (!streamObj) {
          ___setErrNo(ERRNO_CODES.EBADF);
          return 0;
        }
        if (_freopen.buffer) _free(_freopen.buffer);
        filename = intArrayFromString(streamObj.path);
        filename = allocate(filename, 'i8', ALLOC_NORMAL);
      }
      _fclose(stream);
      return _fopen(filename, mode);
    }


  function _access(path, amode) {
      // int access(const char *path, int amode);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/access.html
      path = Pointer_stringify(path);
      if (amode & ~7) {
        // need a valid mode
        ___setErrNo(ERRNO_CODES.EINVAL);
        return -1;
      }
      var node;
      try {
        var lookup = FS.lookupPath(path, { follow: true });
        node = lookup.node;
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
      var perms = '';
      if (amode & 4) perms += 'r';
      if (amode & 2) perms += 'w';
      if (amode & 1) perms += 'x';
      if (perms /* otherwise, they've just passed F_OK */ && FS.nodePermissions(node, perms)) {
        ___setErrNo(ERRNO_CODES.EACCES);
        return -1;
      }
      return 0;
    }

  
  function _tmpnam(s, dir, prefix) {
      // char *tmpnam(char *s);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/tmpnam.html
      // NOTE: The dir and prefix arguments are for internal use only.
      var folder = FS.findObject(dir || '/tmp');
      if (!folder || !folder.isFolder) {
        dir = '/tmp';
        folder = FS.findObject(dir);
        if (!folder || !folder.isFolder) return 0;
      }
      var name = prefix || 'file';
      do {
        name += String.fromCharCode(65 + Math.floor(Math.random() * 25));
      } while (name in folder.contents);
      var result = dir + '/' + name;
      if (!_tmpnam.buffer) _tmpnam.buffer = _malloc(256);
      if (!s) s = _tmpnam.buffer;
      writeAsciiToMemory(result, s);
      return s;
    }function _tmpfile() {
      // FILE *tmpfile(void);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/tmpfile.html
      // TODO: Delete the created file on closing.
      if (_tmpfile.mode) {
        _tmpfile.mode = allocate(intArrayFromString('w+'), 'i8', ALLOC_NORMAL);
      }
      return _fopen(_tmpnam(0), _tmpfile.mode);
    }


  function ___cxa_guard_acquire(variable) {
      if (!HEAP8[(variable)]) { // ignore SAFE_HEAP stuff because llvm mixes i64 and i8 here
        HEAP8[(variable)]=1;
        return 1;
      }
      return 0;
    }

  function ___cxa_guard_release() {}

  function _pthread_cond_broadcast() {
      return 0;
    }

  function _pthread_cond_wait() {
      return 0;
    }

  
  function _atexit(func, arg) {
      __ATEXIT__.unshift({ func: func, arg: arg });
    }var ___cxa_atexit=_atexit;

  function _llvm_lifetime_start() {}

  function _llvm_lifetime_end() {}

  function __ZNSt9exceptionD2Ev() {}

  function _sysconf(name) {
      // long sysconf(int name);
      // http://pubs.opengroup.org/onlinepubs/009695399/functions/sysconf.html
      switch(name) {
        case 30: return PAGE_SIZE;
        case 132:
        case 133:
        case 12:
        case 137:
        case 138:
        case 15:
        case 235:
        case 16:
        case 17:
        case 18:
        case 19:
        case 20:
        case 149:
        case 13:
        case 10:
        case 236:
        case 153:
        case 9:
        case 21:
        case 22:
        case 159:
        case 154:
        case 14:
        case 77:
        case 78:
        case 139:
        case 80:
        case 81:
        case 79:
        case 82:
        case 68:
        case 67:
        case 164:
        case 11:
        case 29:
        case 47:
        case 48:
        case 95:
        case 52:
        case 51:
        case 46:
          return 200809;
        case 27:
        case 246:
        case 127:
        case 128:
        case 23:
        case 24:
        case 160:
        case 161:
        case 181:
        case 182:
        case 242:
        case 183:
        case 184:
        case 243:
        case 244:
        case 245:
        case 165:
        case 178:
        case 179:
        case 49:
        case 50:
        case 168:
        case 169:
        case 175:
        case 170:
        case 171:
        case 172:
        case 97:
        case 76:
        case 32:
        case 173:
        case 35:
          return -1;
        case 176:
        case 177:
        case 7:
        case 155:
        case 8:
        case 157:
        case 125:
        case 126:
        case 92:
        case 93:
        case 129:
        case 130:
        case 131:
        case 94:
        case 91:
          return 1;
        case 74:
        case 60:
        case 69:
        case 70:
        case 4:
          return 1024;
        case 31:
        case 42:
        case 72:
          return 32;
        case 87:
        case 26:
        case 33:
          return 2147483647;
        case 34:
        case 1:
          return 47839;
        case 38:
        case 36:
          return 99;
        case 43:
        case 37:
          return 2048;
        case 0: return 2097152;
        case 3: return 65536;
        case 28: return 32768;
        case 44: return 32767;
        case 75: return 16384;
        case 39: return 1000;
        case 89: return 700;
        case 71: return 256;
        case 40: return 255;
        case 2: return 100;
        case 180: return 64;
        case 25: return 20;
        case 5: return 16;
        case 6: return 6;
        case 73: return 4;
        case 84: return 1;
      }
      ___setErrNo(ERRNO_CODES.EINVAL);
      return -1;
    }

  function ___cxa_guard_abort() {}

  
  function _isxdigit(chr) {
      return (chr >= 48 && chr <= 57) ||
             (chr >= 97 && chr <= 102) ||
             (chr >= 65 && chr <= 70);
    }function _isxdigit_l(chr) {
      return _isxdigit(chr); // no locale support yet
    }

  
  function _isdigit(chr) {
      return chr >= 48 && chr <= 57;
    }function _isdigit_l(chr) {
      return _isdigit(chr); // no locale support yet
    }

  function _sscanf(s, format, varargs) {
      // int sscanf(const char *restrict s, const char *restrict format, ... );
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/scanf.html
      var index = 0;
      function get() { return HEAP8[(((s)+(index++))|0)]; };
      function unget() { index--; };
      return __scanString(format, get, unget, varargs);
    }

  function _catopen(name, oflag) {
      // nl_catd catopen (const char *name, int oflag)
      return -1;
    }

  function _catgets(catd, set_id, msg_id, s) {
      // char *catgets (nl_catd catd, int set_id, int msg_id, const char *s)
      return s;
    }

  function _catclose(catd) {
      // int catclose (nl_catd catd)
      return 0;
    }

  function _newlocale(mask, locale, base) {
      return _malloc(4);
    }

  function _freelocale(locale) {
      _free(locale);
    }

  function ___ctype_b_loc() {
      // http://refspecs.freestandards.org/LSB_3.0.0/LSB-Core-generic/LSB-Core-generic/baselib---ctype-b-loc.html
      var me = ___ctype_b_loc;
      if (!me.ret) {
        var values = [
          0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
          0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
          0,0,0,0,0,0,0,0,0,0,2,2,2,2,2,2,2,2,2,8195,8194,8194,8194,8194,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,24577,49156,49156,49156,
          49156,49156,49156,49156,49156,49156,49156,49156,49156,49156,49156,49156,55304,55304,55304,55304,55304,55304,55304,55304,
          55304,55304,49156,49156,49156,49156,49156,49156,49156,54536,54536,54536,54536,54536,54536,50440,50440,50440,50440,50440,
          50440,50440,50440,50440,50440,50440,50440,50440,50440,50440,50440,50440,50440,50440,50440,49156,49156,49156,49156,49156,
          49156,54792,54792,54792,54792,54792,54792,50696,50696,50696,50696,50696,50696,50696,50696,50696,50696,50696,50696,50696,
          50696,50696,50696,50696,50696,50696,50696,49156,49156,49156,49156,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
          0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
          0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
        ];
        var i16size = 2;
        var arr = _malloc(values.length * i16size);
        for (var i = 0; i < values.length; i++) {
          HEAP16[(((arr)+(i * i16size))>>1)]=values[i];
        }
        me.ret = allocate([arr + 128 * i16size], 'i16*', ALLOC_NORMAL);
      }
      return me.ret;
    }

  function ___ctype_tolower_loc() {
      // http://refspecs.freestandards.org/LSB_3.1.1/LSB-Core-generic/LSB-Core-generic/libutil---ctype-tolower-loc.html
      var me = ___ctype_tolower_loc;
      if (!me.ret) {
        var values = [
          128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,
          158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,
          188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,
          218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,
          248,249,250,251,252,253,254,-1,0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,
          33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,97,98,99,100,101,102,103,
          104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,91,92,93,94,95,96,97,98,99,100,101,102,103,
          104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,
          134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,
          164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,
          194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,
          224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,
          254,255
        ];
        var i32size = 4;
        var arr = _malloc(values.length * i32size);
        for (var i = 0; i < values.length; i++) {
          HEAP32[(((arr)+(i * i32size))>>2)]=values[i];
        }
        me.ret = allocate([arr + 128 * i32size], 'i32*', ALLOC_NORMAL);
      }
      return me.ret;
    }

  function ___ctype_toupper_loc() {
      // http://refspecs.freestandards.org/LSB_3.1.1/LSB-Core-generic/LSB-Core-generic/libutil---ctype-toupper-loc.html
      var me = ___ctype_toupper_loc;
      if (!me.ret) {
        var values = [
          128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,
          158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,
          188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,
          218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,
          248,249,250,251,252,253,254,-1,0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,
          33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,
          73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,
          81,82,83,84,85,86,87,88,89,90,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,
          145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,
          175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,
          205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,
          235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255
        ];
        var i32size = 4;
        var arr = _malloc(values.length * i32size);
        for (var i = 0; i < values.length; i++) {
          HEAP32[(((arr)+(i * i32size))>>2)]=values[i];
        }
        me.ret = allocate([arr + 128 * i32size], 'i32*', ALLOC_NORMAL);
      }
      return me.ret;
    }

  function _strftime_l(s, maxsize, format, tm) {
      return _strftime(s, maxsize, format, tm); // no locale support yet
    }

  
  
  function __parseInt64(str, endptr, base, min, max, unsign) {
      var isNegative = false;
      // Skip space.
      while (_isspace(HEAP8[(str)])) str++;
  
      // Check for a plus/minus sign.
      if (HEAP8[(str)] == 45) {
        str++;
        isNegative = true;
      } else if (HEAP8[(str)] == 43) {
        str++;
      }
  
      // Find base.
      var ok = false;
      var finalBase = base;
      if (!finalBase) {
        if (HEAP8[(str)] == 48) {
          if (HEAP8[((str+1)|0)] == 120 ||
              HEAP8[((str+1)|0)] == 88) {
            finalBase = 16;
            str += 2;
          } else {
            finalBase = 8;
            ok = true; // we saw an initial zero, perhaps the entire thing is just "0"
          }
        }
      } else if (finalBase==16) {
        if (HEAP8[(str)] == 48) {
          if (HEAP8[((str+1)|0)] == 120 ||
              HEAP8[((str+1)|0)] == 88) {
            str += 2;
          }
        }
      }
      if (!finalBase) finalBase = 10;
      var start = str;
  
      // Get digits.
      var chr;
      while ((chr = HEAP8[(str)]) != 0) {
        var digit = parseInt(String.fromCharCode(chr), finalBase);
        if (isNaN(digit)) {
          break;
        } else {
          str++;
          ok = true;
        }
      }
  
      if (!ok) {
        ___setErrNo(ERRNO_CODES.EINVAL);
        return ((asm["setTempRet0"](0),0)|0);
      }
  
      // Set end pointer.
      if (endptr) {
        HEAP32[((endptr)>>2)]=str;
      }
  
      try {
        var numberString = isNegative ? '-'+Pointer_stringify(start, str - start) : Pointer_stringify(start, str - start);
        i64Math.fromString(numberString, finalBase, min, max, unsign);
      } catch(e) {
        ___setErrNo(ERRNO_CODES.ERANGE); // not quite correct
      }
  
      return ((asm["setTempRet0"](((HEAP32[(((tempDoublePtr)+(4))>>2)])|0)),((HEAP32[((tempDoublePtr)>>2)])|0))|0);
    }function _strtoull(str, endptr, base) {
      return __parseInt64(str, endptr, base, 0, '18446744073709551615', true);  // ULONG_MAX.
    }function _strtoull_l(str, endptr, base) {
      return _strtoull(str, endptr, base); // no locale support yet
    }

  
  function _strtoll(str, endptr, base) {
      return __parseInt64(str, endptr, base, '-9223372036854775808', '9223372036854775807');  // LLONG_MIN, LLONG_MAX.
    }function _strtoll_l(str, endptr, base) {
      return _strtoll(str, endptr, base); // no locale support yet
    }

  function _uselocale(locale) {
      return 0;
    }

  function _vasprintf(s, format, va_arg) {
      return _asprintf(s, format, HEAP32[((va_arg)>>2)]);
    }

  function _vsscanf(s, format, va_arg) {
      return _sscanf(s, format, HEAP32[((va_arg)>>2)]);
    }

  function _isblank(chr) {
      return chr == 32 || chr == 9;
    }

  function _sbrk(bytes) {
      // Implement a Linux-like 'memory area' for our 'process'.
      // Changes the size of the memory area by |bytes|; returns the
      // address of the previous top ('break') of the memory area
      // We control the "dynamic" memory - DYNAMIC_BASE to DYNAMICTOP
      var self = _sbrk;
      if (!self.called) {
        DYNAMICTOP = alignMemoryPage(DYNAMICTOP); // make sure we start out aligned
        self.called = true;
        assert(Runtime.dynamicAlloc);
        self.alloc = Runtime.dynamicAlloc;
        Runtime.dynamicAlloc = function() { abort('cannot dynamically allocate, sbrk now has control') };
      }
      var ret = DYNAMICTOP;
      if (bytes != 0) self.alloc(bytes);
      return ret;  // Previous break location.
    }

  
  function _copysign(a, b) {
      return __reallyNegative(a) === __reallyNegative(b) ? a : -a;
    }var _copysignl=_copysign;

  
  function _fmod(x, y) {
      return x % y;
    }var _fmodl=_fmod;






  var Browser={mainLoop:{scheduler:null,method:"",shouldPause:false,paused:false,queue:[],pause:function () {
          Browser.mainLoop.shouldPause = true;
        },resume:function () {
          if (Browser.mainLoop.paused) {
            Browser.mainLoop.paused = false;
            Browser.mainLoop.scheduler();
          }
          Browser.mainLoop.shouldPause = false;
        },updateStatus:function () {
          if (Module['setStatus']) {
            var message = Module['statusMessage'] || 'Please wait...';
            var remaining = Browser.mainLoop.remainingBlockers;
            var expected = Browser.mainLoop.expectedBlockers;
            if (remaining) {
              if (remaining < expected) {
                Module['setStatus'](message + ' (' + (expected - remaining) + '/' + expected + ')');
              } else {
                Module['setStatus'](message);
              }
            } else {
              Module['setStatus']('');
            }
          }
        }},isFullScreen:false,pointerLock:false,moduleContextCreatedCallbacks:[],workers:[],init:function () {
        if (!Module["preloadPlugins"]) Module["preloadPlugins"] = []; // needs to exist even in workers
  
        if (Browser.initted || ENVIRONMENT_IS_WORKER) return;
        Browser.initted = true;
  
        try {
          new Blob();
          Browser.hasBlobConstructor = true;
        } catch(e) {
          Browser.hasBlobConstructor = false;
          console.log("warning: no blob constructor, cannot create blobs with mimetypes");
        }
        Browser.BlobBuilder = typeof MozBlobBuilder != "undefined" ? MozBlobBuilder : (typeof WebKitBlobBuilder != "undefined" ? WebKitBlobBuilder : (!Browser.hasBlobConstructor ? console.log("warning: no BlobBuilder") : null));
        Browser.URLObject = typeof window != "undefined" ? (window.URL ? window.URL : window.webkitURL) : undefined;
        if (!Module.noImageDecoding && typeof Browser.URLObject === 'undefined') {
          console.log("warning: Browser does not support creating object URLs. Built-in browser image decoding will not be available.");
          Module.noImageDecoding = true;
        }
  
        // Support for plugins that can process preloaded files. You can add more of these to
        // your app by creating and appending to Module.preloadPlugins.
        //
        // Each plugin is asked if it can handle a file based on the file's name. If it can,
        // it is given the file's raw data. When it is done, it calls a callback with the file's
        // (possibly modified) data. For example, a plugin might decompress a file, or it
        // might create some side data structure for use later (like an Image element, etc.).
  
        var imagePlugin = {};
        imagePlugin['canHandle'] = function imagePlugin_canHandle(name) {
          return !Module.noImageDecoding && /\.(jpg|jpeg|png|bmp)$/i.test(name);
        };
        imagePlugin['handle'] = function imagePlugin_handle(byteArray, name, onload, onerror) {
          var b = null;
          if (Browser.hasBlobConstructor) {
            try {
              b = new Blob([byteArray], { type: Browser.getMimetype(name) });
              if (b.size !== byteArray.length) { // Safari bug #118630
                // Safari's Blob can only take an ArrayBuffer
                b = new Blob([(new Uint8Array(byteArray)).buffer], { type: Browser.getMimetype(name) });
              }
            } catch(e) {
              Runtime.warnOnce('Blob constructor present but fails: ' + e + '; falling back to blob builder');
            }
          }
          if (!b) {
            var bb = new Browser.BlobBuilder();
            bb.append((new Uint8Array(byteArray)).buffer); // we need to pass a buffer, and must copy the array to get the right data range
            b = bb.getBlob();
          }
          var url = Browser.URLObject.createObjectURL(b);
          var img = new Image();
          img.onload = function img_onload() {
            assert(img.complete, 'Image ' + name + ' could not be decoded');
            var canvas = document.createElement('canvas');
            canvas.width = img.width;
            canvas.height = img.height;
            var ctx = canvas.getContext('2d');
            ctx.drawImage(img, 0, 0);
            Module["preloadedImages"][name] = canvas;
            Browser.URLObject.revokeObjectURL(url);
            if (onload) onload(byteArray);
          };
          img.onerror = function img_onerror(event) {
            console.log('Image ' + url + ' could not be decoded');
            if (onerror) onerror();
          };
          img.src = url;
        };
        Module['preloadPlugins'].push(imagePlugin);
  
        var audioPlugin = {};
        audioPlugin['canHandle'] = function audioPlugin_canHandle(name) {
          return !Module.noAudioDecoding && name.substr(-4) in { '.ogg': 1, '.wav': 1, '.mp3': 1 };
        };
        audioPlugin['handle'] = function audioPlugin_handle(byteArray, name, onload, onerror) {
          var done = false;
          function finish(audio) {
            if (done) return;
            done = true;
            Module["preloadedAudios"][name] = audio;
            if (onload) onload(byteArray);
          }
          function fail() {
            if (done) return;
            done = true;
            Module["preloadedAudios"][name] = new Audio(); // empty shim
            if (onerror) onerror();
          }
          if (Browser.hasBlobConstructor) {
            try {
              var b = new Blob([byteArray], { type: Browser.getMimetype(name) });
            } catch(e) {
              return fail();
            }
            var url = Browser.URLObject.createObjectURL(b); // XXX we never revoke this!
            var audio = new Audio();
            audio.addEventListener('canplaythrough', function() { finish(audio) }, false); // use addEventListener due to chromium bug 124926
            audio.onerror = function audio_onerror(event) {
              if (done) return;
              console.log('warning: browser could not fully decode audio ' + name + ', trying slower base64 approach');
              function encode64(data) {
                var BASE = 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/';
                var PAD = '=';
                var ret = '';
                var leftchar = 0;
                var leftbits = 0;
                for (var i = 0; i < data.length; i++) {
                  leftchar = (leftchar << 8) | data[i];
                  leftbits += 8;
                  while (leftbits >= 6) {
                    var curr = (leftchar >> (leftbits-6)) & 0x3f;
                    leftbits -= 6;
                    ret += BASE[curr];
                  }
                }
                if (leftbits == 2) {
                  ret += BASE[(leftchar&3) << 4];
                  ret += PAD + PAD;
                } else if (leftbits == 4) {
                  ret += BASE[(leftchar&0xf) << 2];
                  ret += PAD;
                }
                return ret;
              }
              audio.src = 'data:audio/x-' + name.substr(-3) + ';base64,' + encode64(byteArray);
              finish(audio); // we don't wait for confirmation this worked - but it's worth trying
            };
            audio.src = url;
            // workaround for chrome bug 124926 - we do not always get oncanplaythrough or onerror
            Browser.safeSetTimeout(function() {
              finish(audio); // try to use it even though it is not necessarily ready to play
            }, 10000);
          } else {
            return fail();
          }
        };
        Module['preloadPlugins'].push(audioPlugin);
  
        // Canvas event setup
  
        var canvas = Module['canvas'];
        canvas.requestPointerLock = canvas['requestPointerLock'] ||
                                    canvas['mozRequestPointerLock'] ||
                                    canvas['webkitRequestPointerLock'];
        canvas.exitPointerLock = document['exitPointerLock'] ||
                                 document['mozExitPointerLock'] ||
                                 document['webkitExitPointerLock'] ||
                                 function(){}; // no-op if function does not exist
        canvas.exitPointerLock = canvas.exitPointerLock.bind(document);
  
        function pointerLockChange() {
          Browser.pointerLock = document['pointerLockElement'] === canvas ||
                                document['mozPointerLockElement'] === canvas ||
                                document['webkitPointerLockElement'] === canvas;
        }
  
        document.addEventListener('pointerlockchange', pointerLockChange, false);
        document.addEventListener('mozpointerlockchange', pointerLockChange, false);
        document.addEventListener('webkitpointerlockchange', pointerLockChange, false);
  
        if (Module['elementPointerLock']) {
          canvas.addEventListener("click", function(ev) {
            if (!Browser.pointerLock && canvas.requestPointerLock) {
              canvas.requestPointerLock();
              ev.preventDefault();
            }
          }, false);
        }
      },createContext:function (canvas, useWebGL, setInModule, webGLContextAttributes) {
        var ctx;
        try {
          if (useWebGL) {
            var contextAttributes = {
              antialias: false,
              alpha: false
            };
  
            if (webGLContextAttributes) {
              for (var attribute in webGLContextAttributes) {
                contextAttributes[attribute] = webGLContextAttributes[attribute];
              }
            }
  
  
            var errorInfo = '?';
            function onContextCreationError(event) {
              errorInfo = event.statusMessage || errorInfo;
            }
            canvas.addEventListener('webglcontextcreationerror', onContextCreationError, false);
            try {
              ['experimental-webgl', 'webgl'].some(function(webglId) {
                return ctx = canvas.getContext(webglId, contextAttributes);
              });
            } finally {
              canvas.removeEventListener('webglcontextcreationerror', onContextCreationError, false);
            }
          } else {
            ctx = canvas.getContext('2d');
          }
          if (!ctx) throw ':(';
        } catch (e) {
          Module.print('Could not create canvas: ' + [errorInfo, e]);
          return null;
        }
        if (useWebGL) {
          // Set the background of the WebGL canvas to black
          canvas.style.backgroundColor = "black";
  
          // Warn on context loss
          canvas.addEventListener('webglcontextlost', function(event) {
            alert('WebGL context lost. You will need to reload the page.');
          }, false);
        }
        if (setInModule) {
          GLctx = Module.ctx = ctx;
          Module.useWebGL = useWebGL;
          Browser.moduleContextCreatedCallbacks.forEach(function(callback) { callback() });
          Browser.init();
        }
        return ctx;
      },destroyContext:function (canvas, useWebGL, setInModule) {},fullScreenHandlersInstalled:false,lockPointer:undefined,resizeCanvas:undefined,requestFullScreen:function (lockPointer, resizeCanvas) {
        Browser.lockPointer = lockPointer;
        Browser.resizeCanvas = resizeCanvas;
        if (typeof Browser.lockPointer === 'undefined') Browser.lockPointer = true;
        if (typeof Browser.resizeCanvas === 'undefined') Browser.resizeCanvas = false;
  
        var canvas = Module['canvas'];
        function fullScreenChange() {
          Browser.isFullScreen = false;
          if ((document['webkitFullScreenElement'] || document['webkitFullscreenElement'] ||
               document['mozFullScreenElement'] || document['mozFullscreenElement'] ||
               document['fullScreenElement'] || document['fullscreenElement']) === canvas) {
            canvas.cancelFullScreen = document['cancelFullScreen'] ||
                                      document['mozCancelFullScreen'] ||
                                      document['webkitCancelFullScreen'];
            canvas.cancelFullScreen = canvas.cancelFullScreen.bind(document);
            if (Browser.lockPointer) canvas.requestPointerLock();
            Browser.isFullScreen = true;
            if (Browser.resizeCanvas) Browser.setFullScreenCanvasSize();
          } else if (Browser.resizeCanvas){
            Browser.setWindowedCanvasSize();
          }
          if (Module['onFullScreen']) Module['onFullScreen'](Browser.isFullScreen);
        }
  
        if (!Browser.fullScreenHandlersInstalled) {
          Browser.fullScreenHandlersInstalled = true;
          document.addEventListener('fullscreenchange', fullScreenChange, false);
          document.addEventListener('mozfullscreenchange', fullScreenChange, false);
          document.addEventListener('webkitfullscreenchange', fullScreenChange, false);
        }
  
        canvas.requestFullScreen = canvas['requestFullScreen'] ||
                                   canvas['mozRequestFullScreen'] ||
                                   (canvas['webkitRequestFullScreen'] ? function() { canvas['webkitRequestFullScreen'](Element['ALLOW_KEYBOARD_INPUT']) } : null);
        canvas.requestFullScreen();
      },requestAnimationFrame:function requestAnimationFrame(func) {
        if (typeof window === 'undefined') { // Provide fallback to setTimeout if window is undefined (e.g. in Node.js)
          setTimeout(func, 1000/60);
        } else {
          if (!window.requestAnimationFrame) {
            window.requestAnimationFrame = window['requestAnimationFrame'] ||
                                           window['mozRequestAnimationFrame'] ||
                                           window['webkitRequestAnimationFrame'] ||
                                           window['msRequestAnimationFrame'] ||
                                           window['oRequestAnimationFrame'] ||
                                           window['setTimeout'];
          }
          window.requestAnimationFrame(func);
        }
      },safeCallback:function (func) {
        return function() {
          if (!ABORT) return func.apply(null, arguments);
        };
      },safeRequestAnimationFrame:function (func) {
        return Browser.requestAnimationFrame(function() {
          if (!ABORT) func();
        });
      },safeSetTimeout:function (func, timeout) {
        return setTimeout(function() {
          if (!ABORT) func();
        }, timeout);
      },safeSetInterval:function (func, timeout) {
        return setInterval(function() {
          if (!ABORT) func();
        }, timeout);
      },getMimetype:function (name) {
        return {
          'jpg': 'image/jpeg',
          'jpeg': 'image/jpeg',
          'png': 'image/png',
          'bmp': 'image/bmp',
          'ogg': 'audio/ogg',
          'wav': 'audio/wav',
          'mp3': 'audio/mpeg'
        }[name.substr(name.lastIndexOf('.')+1)];
      },getUserMedia:function (func) {
        if(!window.getUserMedia) {
          window.getUserMedia = navigator['getUserMedia'] ||
                                navigator['mozGetUserMedia'];
        }
        window.getUserMedia(func);
      },getMovementX:function (event) {
        return event['movementX'] ||
               event['mozMovementX'] ||
               event['webkitMovementX'] ||
               0;
      },getMovementY:function (event) {
        return event['movementY'] ||
               event['mozMovementY'] ||
               event['webkitMovementY'] ||
               0;
      },getMouseWheelDelta:function (event) {
        return Math.max(-1, Math.min(1, event.type === 'DOMMouseScroll' ? event.detail : -event.wheelDelta));
      },mouseX:0,mouseY:0,mouseMovementX:0,mouseMovementY:0,calculateMouseEvent:function (event) { // event should be mousemove, mousedown or mouseup
        if (Browser.pointerLock) {
          // When the pointer is locked, calculate the coordinates
          // based on the movement of the mouse.
          // Workaround for Firefox bug 764498
          if (event.type != 'mousemove' &&
              ('mozMovementX' in event)) {
            Browser.mouseMovementX = Browser.mouseMovementY = 0;
          } else {
            Browser.mouseMovementX = Browser.getMovementX(event);
            Browser.mouseMovementY = Browser.getMovementY(event);
          }
          
          // check if SDL is available
          if (typeof SDL != "undefined") {
          	Browser.mouseX = SDL.mouseX + Browser.mouseMovementX;
          	Browser.mouseY = SDL.mouseY + Browser.mouseMovementY;
          } else {
          	// just add the mouse delta to the current absolut mouse position
          	// FIXME: ideally this should be clamped against the canvas size and zero
          	Browser.mouseX += Browser.mouseMovementX;
          	Browser.mouseY += Browser.mouseMovementY;
          }        
        } else {
          // Otherwise, calculate the movement based on the changes
          // in the coordinates.
          var rect = Module["canvas"].getBoundingClientRect();
          var x, y;
          
          // Neither .scrollX or .pageXOffset are defined in a spec, but
          // we prefer .scrollX because it is currently in a spec draft.
          // (see: http://www.w3.org/TR/2013/WD-cssom-view-20131217/)
          var scrollX = ((typeof window.scrollX !== 'undefined') ? window.scrollX : window.pageXOffset);
          var scrollY = ((typeof window.scrollY !== 'undefined') ? window.scrollY : window.pageYOffset);
          if (event.type == 'touchstart' ||
              event.type == 'touchend' ||
              event.type == 'touchmove') {
            var t = event.touches.item(0);
            if (t) {
              x = t.pageX - (scrollX + rect.left);
              y = t.pageY - (scrollY + rect.top);
            } else {
              return;
            }
          } else {
            x = event.pageX - (scrollX + rect.left);
            y = event.pageY - (scrollY + rect.top);
          }
  
          // the canvas might be CSS-scaled compared to its backbuffer;
          // SDL-using content will want mouse coordinates in terms
          // of backbuffer units.
          var cw = Module["canvas"].width;
          var ch = Module["canvas"].height;
          x = x * (cw / rect.width);
          y = y * (ch / rect.height);
  
          Browser.mouseMovementX = x - Browser.mouseX;
          Browser.mouseMovementY = y - Browser.mouseY;
          Browser.mouseX = x;
          Browser.mouseY = y;
        }
      },xhrLoad:function (url, onload, onerror) {
        var xhr = new XMLHttpRequest();
        xhr.open('GET', url, true);
        xhr.responseType = 'arraybuffer';
        xhr.onload = function xhr_onload() {
          if (xhr.status == 200 || (xhr.status == 0 && xhr.response)) { // file URLs can return 0
            onload(xhr.response);
          } else {
            onerror();
          }
        };
        xhr.onerror = onerror;
        xhr.send(null);
      },asyncLoad:function (url, onload, onerror, noRunDep) {
        Browser.xhrLoad(url, function(arrayBuffer) {
          assert(arrayBuffer, 'Loading data file "' + url + '" failed (no arrayBuffer).');
          onload(new Uint8Array(arrayBuffer));
          if (!noRunDep) removeRunDependency('al ' + url);
        }, function(event) {
          if (onerror) {
            onerror();
          } else {
            throw 'Loading data file "' + url + '" failed.';
          }
        });
        if (!noRunDep) addRunDependency('al ' + url);
      },resizeListeners:[],updateResizeListeners:function () {
        var canvas = Module['canvas'];
        Browser.resizeListeners.forEach(function(listener) {
          listener(canvas.width, canvas.height);
        });
      },setCanvasSize:function (width, height, noUpdates) {
        var canvas = Module['canvas'];
        canvas.width = width;
        canvas.height = height;
        if (!noUpdates) Browser.updateResizeListeners();
      },windowedWidth:0,windowedHeight:0,setFullScreenCanvasSize:function () {
        var canvas = Module['canvas'];
        this.windowedWidth = canvas.width;
        this.windowedHeight = canvas.height;
        canvas.width = screen.width;
        canvas.height = screen.height;
        // check if SDL is available   
        if (typeof SDL != "undefined") {
        	var flags = HEAPU32[((SDL.screen+Runtime.QUANTUM_SIZE*0)>>2)];
        	flags = flags | 0x00800000; // set SDL_FULLSCREEN flag
        	HEAP32[((SDL.screen+Runtime.QUANTUM_SIZE*0)>>2)]=flags
        }
        Browser.updateResizeListeners();
      },setWindowedCanvasSize:function () {
        var canvas = Module['canvas'];
        canvas.width = this.windowedWidth;
        canvas.height = this.windowedHeight;
        // check if SDL is available       
        if (typeof SDL != "undefined") {
        	var flags = HEAPU32[((SDL.screen+Runtime.QUANTUM_SIZE*0)>>2)];
        	flags = flags & ~0x00800000; // clear SDL_FULLSCREEN flag
        	HEAP32[((SDL.screen+Runtime.QUANTUM_SIZE*0)>>2)]=flags
        }
        Browser.updateResizeListeners();
      }};
FS.staticInit();__ATINIT__.unshift({ func: function() { if (!Module["noFSInit"] && !FS.init.initialized) FS.init() } });__ATMAIN__.push({ func: function() { FS.ignorePermissions = false } });__ATEXIT__.push({ func: function() { FS.quit() } });Module["FS_createFolder"] = FS.createFolder;Module["FS_createPath"] = FS.createPath;Module["FS_createDataFile"] = FS.createDataFile;Module["FS_createPreloadedFile"] = FS.createPreloadedFile;Module["FS_createLazyFile"] = FS.createLazyFile;Module["FS_createLink"] = FS.createLink;Module["FS_createDevice"] = FS.createDevice;
___errno_state = Runtime.staticAlloc(4); HEAP32[((___errno_state)>>2)]=0;
__ATINIT__.unshift({ func: function() { TTY.init() } });__ATEXIT__.push({ func: function() { TTY.shutdown() } });TTY.utf8 = new Runtime.UTF8Processor();
if (ENVIRONMENT_IS_NODE) { var fs = require("fs"); NODEFS.staticInit(); }
__ATINIT__.push({ func: function() { SOCKFS.root = FS.mount(SOCKFS, {}, null); } });
_fputc.ret = allocate([0], "i8", ALLOC_STATIC);
_fgetc.ret = allocate([0], "i8", ALLOC_STATIC);
___strtok_state = Runtime.staticAlloc(4);
Module["requestFullScreen"] = function Module_requestFullScreen(lockPointer, resizeCanvas) { Browser.requestFullScreen(lockPointer, resizeCanvas) };
  Module["requestAnimationFrame"] = function Module_requestAnimationFrame(func) { Browser.requestAnimationFrame(func) };
  Module["setCanvasSize"] = function Module_setCanvasSize(width, height, noUpdates) { Browser.setCanvasSize(width, height, noUpdates) };
  Module["pauseMainLoop"] = function Module_pauseMainLoop() { Browser.mainLoop.pause() };
  Module["resumeMainLoop"] = function Module_resumeMainLoop() { Browser.mainLoop.resume() };
  Module["getUserMedia"] = function Module_getUserMedia() { Browser.getUserMedia() }
STACK_BASE = STACKTOP = Runtime.alignMemory(STATICTOP);

staticSealed = true; // seal the static portion of memory

STACK_MAX = STACK_BASE + 5242880;

DYNAMIC_BASE = DYNAMICTOP = Runtime.alignMemory(STACK_MAX);

assert(DYNAMIC_BASE < TOTAL_MEMORY, "TOTAL_MEMORY not big enough for stack");

 var ctlz_i8 = allocate([8,7,6,6,5,5,5,5,4,4,4,4,4,4,4,4,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0], "i8", ALLOC_DYNAMIC);
 var cttz_i8 = allocate([8,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,5,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,6,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,5,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,7,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,5,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,6,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,5,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0], "i8", ALLOC_DYNAMIC);

var Math_min = Math.min;
function invoke_iiiiiiii(index,a1,a2,a3,a4,a5,a6,a7) {
  try {
    return Module["dynCall_iiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_vd(index,a1) {
  try {
    Module["dynCall_vd"](index,a1);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viiiii(index,a1,a2,a3,a4,a5) {
  try {
    Module["dynCall_viiiii"](index,a1,a2,a3,a4,a5);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_vi(index,a1) {
  try {
    Module["dynCall_vi"](index,a1);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_vii(index,a1,a2) {
  try {
    Module["dynCall_vii"](index,a1,a2);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_iiiiiiiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10) {
  try {
    return Module["dynCall_iiiiiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_ii(index,a1) {
  try {
    return Module["dynCall_ii"](index,a1);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_iiiiii(index,a1,a2,a3,a4,a5) {
  try {
    return Module["dynCall_iiiiii"](index,a1,a2,a3,a4,a5);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_iiii(index,a1,a2,a3) {
  try {
    return Module["dynCall_iiii"](index,a1,a2,a3);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viiiiid(index,a1,a2,a3,a4,a5,a6) {
  try {
    Module["dynCall_viiiiid"](index,a1,a2,a3,a4,a5,a6);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viiiiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8) {
  try {
    Module["dynCall_viiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viiiiii(index,a1,a2,a3,a4,a5,a6) {
  try {
    Module["dynCall_viiiiii"](index,a1,a2,a3,a4,a5,a6);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_iid(index,a1,a2) {
  try {
    return Module["dynCall_iid"](index,a1,a2);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viiiiiii(index,a1,a2,a3,a4,a5,a6,a7) {
  try {
    Module["dynCall_viiiiiii"](index,a1,a2,a3,a4,a5,a6,a7);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viiiiiid(index,a1,a2,a3,a4,a5,a6,a7) {
  try {
    Module["dynCall_viiiiiid"](index,a1,a2,a3,a4,a5,a6,a7);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viiiiiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9) {
  try {
    Module["dynCall_viiiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_iii(index,a1,a2) {
  try {
    return Module["dynCall_iii"](index,a1,a2);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_iiiiidi(index,a1,a2,a3,a4,a5,a6) {
  try {
    return Module["dynCall_iiiiidi"](index,a1,a2,a3,a4,a5,a6);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_iiiiiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8) {
  try {
    return Module["dynCall_iiiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_i(index) {
  try {
    return Module["dynCall_i"](index);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_iiiii(index,a1,a2,a3,a4) {
  try {
    return Module["dynCall_iiiii"](index,a1,a2,a3,a4);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viii(index,a1,a2,a3) {
  try {
    Module["dynCall_viii"](index,a1,a2,a3);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_v(index) {
  try {
    Module["dynCall_v"](index);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viidii(index,a1,a2,a3,a4,a5) {
  try {
    Module["dynCall_viidii"](index,a1,a2,a3,a4,a5);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viiii(index,a1,a2,a3,a4) {
  try {
    Module["dynCall_viiii"](index,a1,a2,a3,a4);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function asmPrintInt(x, y) {
  Module.print('int ' + x + ',' + y);// + ' ' + new Error().stack);
}
function asmPrintFloat(x, y) {
  Module.print('float ' + x + ',' + y);// + ' ' + new Error().stack);
}
// EMSCRIPTEN_START_ASM
var asm=(function(global,env,buffer){"use asm";var a=new global.Int8Array(buffer);var b=new global.Int16Array(buffer);var c=new global.Int32Array(buffer);var d=new global.Uint8Array(buffer);var e=new global.Uint16Array(buffer);var f=new global.Uint32Array(buffer);var g=new global.Float32Array(buffer);var h=new global.Float64Array(buffer);var i=env.STACKTOP|0;var j=env.STACK_MAX|0;var k=env.tempDoublePtr|0;var l=env.ABORT|0;var m=env.cttz_i8|0;var n=env.ctlz_i8|0;var o=env.___rand_seed|0;var p=env._stdin|0;var q=env.__ZTVN10__cxxabiv117__class_type_infoE|0;var r=env._stdout|0;var s=env.___dso_handle|0;var t=env.__ZTVN10__cxxabiv120__si_class_type_infoE|0;var u=env._stderr|0;var v=+env.NaN;var w=+env.Infinity;var x=0;var y=0;var z=0;var A=0;var B=0,C=0,D=0,E=0,F=0.0,G=0,H=0,I=0,J=0.0;var K=0;var L=0;var M=0;var N=0;var O=0;var P=0;var Q=0;var R=0;var S=0;var T=0;var U=global.Math.floor;var V=global.Math.abs;var W=global.Math.sqrt;var X=global.Math.pow;var Y=global.Math.cos;var Z=global.Math.sin;var _=global.Math.tan;var $=global.Math.acos;var aa=global.Math.asin;var ba=global.Math.atan;var ca=global.Math.atan2;var da=global.Math.exp;var ea=global.Math.log;var fa=global.Math.ceil;var ga=global.Math.imul;var ha=env.abort;var ia=env.assert;var ja=env.asmPrintInt;var ka=env.asmPrintFloat;var la=env.min;var ma=env.invoke_iiiiiiii;var na=env.invoke_vd;var oa=env.invoke_viiiii;var pa=env.invoke_vi;var qa=env.invoke_vii;var ra=env.invoke_iiiiiiiiiii;var sa=env.invoke_ii;var ta=env.invoke_iiiiii;var ua=env.invoke_iiii;var va=env.invoke_viiiiid;var wa=env.invoke_viiiiiiii;var xa=env.invoke_viiiiii;var ya=env.invoke_iid;var za=env.invoke_viiiiiii;var Aa=env.invoke_viiiiiid;var Ba=env.invoke_viiiiiiiii;var Ca=env.invoke_iii;var Da=env.invoke_iiiiidi;var Ea=env.invoke_iiiiiiiii;var Fa=env.invoke_i;var Ga=env.invoke_iiiii;var Ha=env.invoke_viii;var Ia=env.invoke_v;var Ja=env.invoke_viidii;var Ka=env.invoke_viiii;var La=env._llvm_lifetime_end;var Ma=env._lseek;var Na=env._sysconf;var Oa=env.__scanString;var Pa=env._fclose;var Qa=env._pthread_mutex_lock;var Ra=env.___cxa_end_catch;var Sa=env._strtoull;var Ta=env._fflush;var Ua=env._lis_solver_create;var Va=env._strtol;var Wa=env._fputc;var Xa=env._strtok;var Ya=env._fwrite;var Za=env._send;var _a=env._fputs;var $a=env._emscripten_get_now;var ab=env._tmpnam;var bb=env._isspace;var cb=env._localtime;var db=env._read;var eb=env._GC_init;var fb=env._ceil;var gb=env.___ctype_b_loc;var hb=env._GC_malloc_atomic;var ib=env._pthread_cond_broadcast;var jb=env._isxdigit_l;var kb=env._strstr;var lb=env._fileno;var mb=env._perror;var nb=env._fsync;var ob=env.___cxa_guard_abort;var pb=env._newlocale;var qb=env._signal;var rb=env.___gxx_personality_v0;var sb=env._pthread_cond_wait;var tb=env.___cxa_rethrow;var ub=env._freopen;var vb=env.___resumeException;var wb=env._sscanf;var xb=env._round;var yb=env._llvm_va_end;var zb=env._clock_gettime;var Ab=env._tmpfile;var Bb=env._vsscanf;var Cb=env._snprintf;var Db=env._fgetc;var Eb=env._pclose;var Fb=env.__getFloat;var Gb=env._atexit;var Hb=env.___cxa_free_exception;var Ib=env._close;var Jb=env._catclose;var Kb=env._isdigit_l;var Lb=env._vasprintf;var Mb=env.___setErrNo;var Nb=env._isxdigit;var Ob=env._access;var Pb=env._ftell;var Qb=env._exit;var Rb=env._sprintf;var Sb=env._pthread_setspecific;var Tb=env._asprintf;var Ub=env._GC_strdup;var Vb=env._strrchr;var Wb=env._freelocale;var Xb=env._catgets;var Yb=env._fmod;var Zb=env.__isLeapYear;var _b=env._fmax;var $b=env.___cxa_is_number_type;var ac=env._GC_malloc;var bc=env.___cxa_does_inherit;var cc=env.___cxa_guard_acquire;var dc=env._lis_vector_destroy;var ec=env._localtime_r;var fc=env.___cxa_begin_catch;var gc=env._lis_vector_create;var hc=env.__ZNSt9exceptionD2Ev;var ic=env._recv;var jc=env.__parseInt64;var kc=env.__ZSt18uncaught_exceptionv;var lc=env._cos;var mc=env._lis_matrix_set_value;var nc=env._putchar;var oc=env.___cxa_call_unexpected;var pc=env._popen;var qc=env._isblank;var rc=env._copysign;var sc=env._bsearch;var tc=env._lis_vector_get_values;var uc=env.__exit;var vc=env._strftime;var wc=env._tzset;var xc=env.___cxa_throw;var yc=env._lis_vector_set_value;var zc=env._emscripten_memcpy_big;var Ac=env._printf;var Bc=env._pread;var Cc=env._fopen;var Dc=env._open;var Ec=env._lis_solve;var Fc=env._strtoull_l;var Gc=env.__arraySum;var Hc=env._log;var Ic=env._puts;var Jc=env._xerbla_;var Kc=env._pthread_key_create;var Lc=env._strtoll_l;var Mc=env._qsort;var Nc=env._system;var Oc=env._lis_matrix_create;var Pc=env.___cxa_find_matching_catch;var Qc=env._strdup;var Rc=env._srand;var Sc=env._isatty;var Tc=env.__formatString;var Uc=env._lis_matrix_destroy;var Vc=env.__ZSt9terminatev;var Wc=env._atoi;var Xc=env._lis_matrix_set_size;var Yc=env._vfprintf;var Zc=env._pthread_mutex_unlock;var _c=env._llvm_pow_f64;var $c=env._sbrk;var ad=env._fscanf;var bd=env._lis_solver_destroy;var cd=env.___errno_location;var dd=env._strerror;var ed=env._fstat;var fd=env._lis_matrix_assemble;var gd=env._llvm_lifetime_start;var hd=env.__parseInt;var id=env.___cxa_guard_release;var jd=env._ungetc;var kd=env._ftruncate;var ld=env._uselocale;var md=env._vsnprintf;var nd=env._htonl;var od=env.___assert_fail;var pd=env._fread;var qd=env._strtok_r;var rd=env._strftime_l;var sd=env._abort;var td=env._fprintf;var ud=env._isdigit;var vd=env._strtoll;var wd=env.__addDays;var xd=env._pthread_getspecific;var yd=env._fabs;var zd=env._GC_collect_a_little;var Ad=env.__reallyNegative;var Bd=env._fseek;var Cd=env._sqrt;var Dd=env._write;var Ed=env._mkport;var Fd=env._rewind;var Gd=env.___cxa_allocate_exception;var Hd=env._sin;var Id=env._stat;var Jd=env._longjmp;var Kd=env._truncate;var Ld=env._catopen;var Md=env.___ctype_toupper_loc;var Nd=env._lis_matrix_set_type;var Od=env.___ctype_tolower_loc;var Pd=env._lis_vector_set_size;var Qd=env._unlink;var Rd=env._pwrite;var Sd=env._strerror_r;var Td=env._floor;var Ud=env._atan2;var Vd=env._lis_solver_set_option;var Wd=env._time;var Xd=0.0;
// EMSCRIPTEN_START_FUNCS
function OQ(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0;h=i;j=b;b=e;e=f;f=g;g=0;a:while(1){if((b|0)==(e|0)){k=42;break}switch(d[j+76+(d[b]|0)|0]|0){case 4:{l=b+1|0;b=l;if((l|0)==(e|0)){k=30;break a}if((a[b]|0)==93){l=b+1|0;b=l;if((l|0)==(e|0)){k=33;break a}if((a[b]|0)==62){b=b+1|0;if((g|0)==0){k=36;break a}g=g-1|0}}break};case 6:{if((e-b|0)<3){k=10;break a}if((me[c[j+360>>2]&127](j,b)|0)!=0){k=12;break a}b=b+3|0;break};case 2:{l=b+1|0;b=l;if((l|0)==(e|0)){k=21;break a}if((a[b]|0)==33){l=b+1|0;b=l;if((l|0)==(e|0)){k=24;break a}if((a[b]|0)==91){g=g+1|0;b=b+1|0}}break};case 7:{if((e-b|0)<4){k=15;break a}if((me[c[j+364>>2]&127](j,b)|0)!=0){k=17;break a}b=b+4|0;break};case 0:case 1:case 8:{k=19;break a;break};case 5:{if((e-b|0)<2){k=5;break a}if((me[c[j+356>>2]&127](j,b)|0)!=0){k=7;break a}b=b+2|0;break};default:{b=b+1|0}}}if((k|0)==5){m=-2}else if((k|0)==7){c[f>>2]=b;m=0}else if((k|0)==10){m=-2}else if((k|0)==12){c[f>>2]=b;m=0}else if((k|0)==15){m=-2}else if((k|0)==17){c[f>>2]=b;m=0}else if((k|0)==19){c[f>>2]=b;m=0}else if((k|0)==21){m=-1}else if((k|0)==24){m=-1}else if((k|0)==30){m=-1}else if((k|0)==33){m=-1}else if((k|0)==36){c[f>>2]=b;m=42}else if((k|0)==42){m=-1}i=h;return m|0}function PQ(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=e;e=f;do{if((a|0)==(b|0)){j=-4}else{f=a;a:while(1){if((a|0)==(b|0)){k=28;break}switch(d[h+76+(d[a]|0)|0]|0|0){case 6:{a=a+3|0;break};case 10:{k=13;break a;break};case 21:{k=23;break a;break};case 7:{a=a+4|0;break};case 9:{k=16;break a;break};case 3:{k=9;break a;break};case 5:{a=a+2|0;break};case 2:{k=12;break a;break};default:{a=a+1|0}}}if((k|0)==9){if((a|0)==(f|0)){j=iR(h,a+1|0,b,e)|0;break}else{c[e>>2]=a;j=6;break}}else if((k|0)==12){c[e>>2]=a;j=0;break}else if((k|0)==13){if((a|0)==(f|0)){c[e>>2]=a+1;j=7;break}else{c[e>>2]=a;j=6;break}}else if((k|0)==16){if((a|0)!=(f|0)){c[e>>2]=a;j=6;break}a=a+1|0;if((a|0)==(b|0)){j=-3;break}if((d[h+76+(d[a]|0)|0]|0|0)==10){a=a+1|0}c[e>>2]=a;j=7;break}else if((k|0)==23){if((a|0)==(f|0)){c[e>>2]=a+1;j=39;break}else{c[e>>2]=a;j=6;break}}else if((k|0)==28){c[e>>2]=a;j=6;break}}}while(0);i=g;return j|0}function QQ(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0;g=i;h=a;a=b;b=e;e=f;do{if((a|0)==(b|0)){j=-4}else{f=a;a:while(1){if((a|0)==(b|0)){k=30;break}switch(d[h+76+(d[a]|0)|0]|0|0){case 9:{k=21;break a;break};case 3:{k=9;break a;break};case 10:{k=18;break a;break};case 5:{a=a+2|0;break};case 7:{a=a+4|0;break};case 30:{k=12;break a;break};case 6:{a=a+3|0;break};default:{a=a+1|0}}}if((k|0)==9){if((a|0)==(f|0)){j=iR(h,a+1|0,b,e)|0;break}else{c[e>>2]=a;j=6;break}}else if((k|0)==12){if((a|0)!=(f|0)){c[e>>2]=a;j=6;break}l=jR(h,a+1|0,b,e)|0;if((l|0)==22){m=0}else{m=l}j=m;break}else if((k|0)==18){if((a|0)==(f|0)){c[e>>2]=a+1;j=7;break}else{c[e>>2]=a;j=6;break}}else if((k|0)==21){if((a|0)!=(f|0)){c[e>>2]=a;j=6;break}a=a+1|0;if((a|0)==(b|0)){j=-3;break}if((d[h+76+(d[a]|0)|0]|0|0)==10){a=a+1|0}c[e>>2]=a;j=7;break}else if((k|0)==30){c[e>>2]=a;j=6;break}}}while(0);i=g;return j|0}function RQ(b,c,e){b=b|0;c=c|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0;f=i;g=b;b=c;c=e;a:while(1){switch(d[g+76+(d[b]|0)|0]|0){case 7:{e=b;b=e+1|0;h=c;c=h+1|0;if((a[e]|0)!=(a[h]|0)){j=4;break a}j=6;break};case 5:{j=9;break};case 6:{j=6;break};case 29:case 22:case 23:case 24:case 25:case 26:case 27:{h=c;c=h+1|0;e=b;b=e+1|0;if((a[h]|0)!=(a[e]|0)){j=15;break a}break};default:{j=17;break a}}if((j|0)==6){j=0;e=b;b=e+1|0;h=c;c=h+1|0;if((a[e]|0)!=(a[h]|0)){j=7;break}j=9}if((j|0)==9){j=0;h=b;b=h+1|0;e=c;c=e+1|0;if((a[h]|0)!=(a[e]|0)){j=10;break}e=b;b=e+1|0;h=c;c=h+1|0;if((a[e]|0)!=(a[h]|0)){j=12;break}}}if((j|0)==4){k=0;l=k;i=f;return l|0}else if((j|0)==7){k=0;l=k;i=f;return l|0}else if((j|0)==10){k=0;l=k;i=f;return l|0}else if((j|0)==12){k=0;l=k;i=f;return l|0}else if((j|0)==15){k=0;l=k;i=f;return l|0}else if((j|0)==17){if((a[b]|0)==(a[c]|0)){k=1;l=k;i=f;return l|0}switch(d[g+76+(d[c]|0)|0]|0){case 5:case 6:case 7:case 29:case 22:case 23:case 24:case 25:case 26:case 27:{k=0;l=k;i=f;return l|0};default:{k=1;l=k;i=f;return l|0}}}return 0}function SQ(b,c,d,e){b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;b=i;f=c;c=d;d=e;while(1){if((a[d]|0)==0){g=9;break}if((f|0)==(c|0)){g=4;break}if((a[f]|0)!=(a[d]|0)){g=6;break}f=f+1|0;d=d+1|0}if((g|0)==4){h=0;j=h;i=b;return j|0}else if((g|0)==6){h=0;j=h;i=b;return j|0}else if((g|0)==9){h=(f|0)==(c|0)|0;j=h;i=b;return j|0}return 0}function TQ(a,b){a=a|0;b=b|0;var c=0,e=0;c=i;e=a;a=b;b=a;a:while(1){switch(d[e+76+(d[a]|0)|0]|0|0){case 5:{a=a+2|0;break};case 7:{a=a+4|0;break};case 29:case 22:case 23:case 24:case 25:case 26:case 27:{a=a+1|0;break};case 6:{a=a+3|0;break};default:{break a}}}i=c;return a-b|0}function UQ(a,b){a=a|0;b=b|0;var c=0,e=0;c=i;e=a;a=b;while(1){b=d[e+76+(d[a]|0)|0]|0;if(!((b|0)==10|(b|0)==9|(b|0)==21)){break}a=a+1|0}i=c;return a|0}function VQ(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;h=i;j=b;b=e;e=f;f=g;g=1;k=0;l=0;b=b+1|0;a:while(1){switch(d[j+76+(d[b]|0)|0]|0){case 7:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}b=b+3|0;break};case 6:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}b=b+2|0;break};case 9:case 10:{if((g|0)==1){g=0}else{do{if((g|0)==2){if((k|0)>=(e|0)){break}a[f+(k<<4)+12|0]=0}}while(0)}break};case 3:{if((k|0)<(e|0)){a[f+(k<<4)+12|0]=0}break};case 29:case 22:case 24:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}break};case 13:{if((g|0)!=2){if((k|0)<(e|0)){c[f+(k<<4)+4>>2]=b+1}g=2;l=13}else{if((l|0)==13){g=0;if((k|0)<(e|0)){c[f+(k<<4)+8>>2]=b}k=k+1|0}}break};case 12:{if((g|0)!=2){if((k|0)<(e|0)){c[f+(k<<4)+4>>2]=b+1}g=2;l=12}else{if((l|0)==12){g=0;if((k|0)<(e|0)){c[f+(k<<4)+8>>2]=b}k=k+1|0}}break};case 5:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}b=b+1|0;break};case 21:{if((g|0)==1){g=0}else{b:do{if((g|0)==2){if((k|0)>=(e|0)){break}if((a[f+(k<<4)+12|0]|0)==0){break}do{if((b|0)!=(c[f+(k<<4)+4>>2]|0)){if((a[b]|0)!=32){break}if((a[b+1|0]|0)==32){break}if((d[j+76+(d[b+1|0]|0)|0]|0)!=(l|0)){break b}}}while(0);a[f+(k<<4)+12|0]=0}}while(0)}break};case 11:case 17:{if((g|0)!=2){break a}break};default:{}}b=b+1|0}i=h;return k|0}function WQ(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0;b=i;d=c;c=0;d=d+2|0;do{if((a[d]|0)==120){d=d+1|0;while(1){if(!((a[d]|0)==59^1)){e=12;break}f=a[d]|0;switch(f|0){case 65:case 66:case 67:case 68:case 69:case 70:{c=c<<4;c=c+(f-65+10)|0;break};case 97:case 98:case 99:case 100:case 101:case 102:{c=c<<4;c=c+(f-97+10)|0;break};case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:{c=c<<4;c=c|f-48;break};default:{}}if((c|0)>=1114112){break}d=d+1|0}if((e|0)==12){break}g=-1;h=g;i=b;return h|0}else{while(1){if(!((a[d]|0)==59^1)){e=19;break}c=c*10|0;c=c+((a[d]|0)-48)|0;if((c|0)>=1114112){break}d=d+1|0}if((e|0)==19){break}g=-1;h=g;i=b;return h|0}}while(0);g=fP(c)|0;h=g;i=b;return h|0}function XQ(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0;b=i;e=c;c=(d-e|0)/1|0;if((c|0)==3){if((a[e]|0)==97){e=e+1|0;do{if((a[e]|0)==109){e=e+1|0;if((a[e]|0)!=112){break}f=38;g=f;i=b;return g|0}}while(0)}}else if((c|0)==4){d=a[e]|0;if((d|0)==113){e=e+1|0;if((a[e]|0)==117){e=e+1|0;do{if((a[e]|0)==111){e=e+1|0;if((a[e]|0)!=116){break}f=34;g=f;i=b;return g|0}}while(0)}}else if((d|0)==97){e=e+1|0;if((a[e]|0)==112){e=e+1|0;do{if((a[e]|0)==111){e=e+1|0;if((a[e]|0)!=115){break}f=39;g=f;i=b;return g|0}}while(0)}}}else if((c|0)==2){do{if((a[e+1|0]|0)==116){c=a[e]|0;if((c|0)==108){f=60;g=f;i=b;return g|0}else if((c|0)==103){f=62;g=f;i=b;return g|0}else{break}}}while(0)}f=0;g=f;i=b;return g|0}function YQ(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0;g=i;h=a;a=b;b=e;e=f;while(1){if(!(a>>>0<b>>>0)){break}switch(d[h+76+(d[a]|0)|0]|0|0){case 5:{a=a+2|0;break};case 9:{f=e|0;c[f>>2]=(c[f>>2]|0)+1;a=a+1|0;do{if((a|0)!=(b|0)){if((d[h+76+(d[a]|0)|0]|0|0)!=10){break}a=a+1|0}}while(0);c[e+4>>2]=-1;break};case 7:{a=a+4|0;break};case 10:{c[e+4>>2]=-1;f=e|0;c[f>>2]=(c[f>>2]|0)+1;a=a+1|0;break};case 6:{a=a+3|0;break};default:{a=a+1|0}}f=e+4|0;c[f>>2]=(c[f>>2]|0)+1}i=g;return}function ZQ(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0;h=i;j=b;b=e;e=f;f=g;b=b+1|0;e=e-1|0;a:while(1){if((b|0)==(e|0)){k=17;break}b:do{switch(d[j+76+(d[b]|0)|0]|0){case 26:case 22:{if((a[b]&-128|0)!=0){k=11;break b}else{break b}break};case 21:{if((a[b]|0)==9){k=6;break a}break};case 25:case 24:case 27:case 13:case 31:case 32:case 34:case 35:case 17:case 14:case 15:case 9:case 10:case 18:case 16:case 33:case 30:case 19:case 23:{break};default:{k=11}}}while(0);if((k|0)==11){k=0;g=a[b]|0;if(!((g|0)==36|(g|0)==64)){k=13;break}}b=b+1|0}if((k|0)==6){c[f>>2]=b;l=0;m=l;i=h;return m|0}else if((k|0)==13){c[f>>2]=b;l=0;m=l;i=h;return m|0}else if((k|0)==17){l=1;m=l;i=h;return m|0}return 0}function _Q(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0;b=i;h=d;d=e;e=f;f=g;if((d-(c[h>>2]|0)|0)>(f-(c[e>>2]|0)|0)){d=(c[h>>2]|0)+(f-(c[e>>2]|0))|0;while(1){if(!(d>>>0>(c[h>>2]|0)>>>0)){break}if((a[d-1|0]&192|0)!=128){f=5;break}d=d-1|0}}f=c[e>>2]|0;g=c[h>>2]|0;while(1){if((g|0)==(d|0)){break}a[f]=a[g]|0;g=g+1|0;f=f+1|0}c[h>>2]=g;c[e>>2]=f;i=b;return}function $Q(e,f,g,h,j){e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;k=i;l=e;e=f;f=g;g=h;h=j;j=c[g>>2]|0;m=c[e>>2]|0;while(1){if((m|0)!=(f|0)){n=(j|0)!=(h|0)}else{n=0}if(!n){o=13;break}p=d[l+76+(d[m]|0)|0]|0;if((p|0)==5){q=j;j=q+2|0;b[q>>1]=(a[m|0]&31)<<6|a[m+1|0]&63;m=m+2|0}else if((p|0)==6){q=j;j=q+2|0;b[q>>1]=(a[m|0]&15)<<12|(a[m+1|0]&63)<<6|a[m+2|0]&63;m=m+3|0}else if((p|0)==7){if((j+2|0)==(h|0)){o=9;break}p=(a[m|0]&7)<<18|(a[m+1|0]&63)<<12|(a[m+2|0]&63)<<6|a[m+3|0]&63;p=p-65536|0;b[j>>1]=p>>>10|55296;b[j+2>>1]=p&1023|56320;j=j+4|0;m=m+4|0}else{p=m;m=p+1|0;q=j;j=q+2|0;b[q>>1]=a[p]|0}}if((o|0)==9){r=m;s=e;c[s>>2]=r;t=j;u=g;c[u>>2]=t;i=k;return}else if((o|0)==13){r=m;s=e;c[s>>2]=r;t=j;u=g;c[u>>2]=t;i=k;return}}function aR(b,e){b=b|0;e=e|0;b=e;i=i;return c[12328+(((d[13608+((d[b|0]|0)>>2&7)|0]|0)<<3)+((a[b|0]&3)<<1)+((d[b+1|0]|0)>>5&1)<<2)>>2]&1<<(a[b+1|0]&31)|0}function bR(b,e){b=b|0;e=e|0;b=e;i=i;return c[12328+(((d[13608+(((a[b|0]&15)<<4)+((d[b+1|0]|0)>>2&15))|0]|0)<<3)+((a[b+1|0]&3)<<1)+((d[b+2|0]|0)>>5&1)<<2)>>2]&1<<(a[b+2|0]&31)|0}function cR(a,b){a=a|0;b=b|0;i=i;return 0}function dR(b,e){b=b|0;e=e|0;b=e;i=i;return c[12328+(((d[8712+((d[b|0]|0)>>2&7)|0]|0)<<3)+((a[b|0]&3)<<1)+((d[b+1|0]|0)>>5&1)<<2)>>2]&1<<(a[b+1|0]&31)|0}function eR(b,e){b=b|0;e=e|0;b=e;i=i;return c[12328+(((d[8712+(((a[b|0]&15)<<4)+((d[b+1|0]|0)>>2&15))|0]|0)<<3)+((a[b+1|0]&3)<<1)+((d[b+2|0]|0)>>5&1)<<2)>>2]&1<<(a[b+2|0]&31)|0}function fR(b,c){b=b|0;c=c|0;var e=0,f=0;b=i;e=c;do{if((d[e]|0|0)<194){f=1}else{if((a[e+1|0]&128|0)==0){f=1;break}f=(a[e+1|0]&192|0)==192}}while(0);i=b;return f&1|0}function gR(b,c){b=b|0;c=c|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;b=i;e=c;if((a[e+2|0]&128|0)==0){f=1;g=f&1;i=b;return g|0}do{if((d[e]|0|0)==239){if((d[e+1|0]|0|0)!=191){h=5;break}if((d[e+2|0]|0|0)>189){f=1}else{break}g=f&1;i=b;return g|0}else{h=5}}while(0);do{if((h|0)==5){if((a[e+2|0]&192|0)==192){f=1}else{break}g=f&1;i=b;return g|0}}while(0);if((d[e]|0|0)==224){if((d[e+1|0]|0|0)<160){j=1}else{j=(a[e+1|0]&192|0)==192}k=j&1}else{if((a[e+1|0]&128|0)==0){l=1}else{if((d[e]|0|0)==237){m=(d[e+1|0]|0|0)>159|0}else{m=(a[e+1|0]&192|0)==192|0}l=(m|0)!=0}k=l&1}f=(k|0)!=0;g=f&1;i=b;return g|0}function hR(b,c){b=b|0;c=c|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0;b=i;e=c;if((a[e+3|0]&128|0)==0){f=1;g=f&1;i=b;return g|0}if((a[e+3|0]&192|0)==192){f=1;g=f&1;i=b;return g|0}if((a[e+2|0]&128|0)==0){f=1;g=f&1;i=b;return g|0}if((a[e+2|0]&192|0)==192){f=1;g=f&1;i=b;return g|0}if((d[e]|0|0)==240){if((d[e+1|0]|0|0)<144){h=1}else{h=(a[e+1|0]&192|0)==192}j=h&1}else{if((a[e+1|0]&128|0)==0){k=1}else{if((d[e]|0|0)==244){l=(d[e+1|0]|0|0)>143|0}else{l=(a[e+1|0]&192|0)==192|0}k=(l|0)!=0}j=k&1}f=(j|0)!=0;g=f&1;i=b;return g|0}function iR(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=e;e=f;a:do{if((a|0)==(b|0)){j=-1}else{b:do{switch(d[h+76+(d[a]|0)|0]|0|0){case 7:{if((b-a|0)<4){j=-2;break a}if((me[c[h+352>>2]&127](h,a)|0)!=0){a=a+4|0;break b}else{c[e>>2]=a;j=0;break a}break};case 22:case 24:{a=a+1|0;break};case 19:{j=kR(h,a+1|0,b,e)|0;break a;break};case 6:{if((b-a|0)<3){j=-2;break a}if((me[c[h+348>>2]&127](h,a)|0)!=0){a=a+3|0;break b}else{c[e>>2]=a;j=0;break a}break};case 29:{c[e>>2]=a;j=0;break a;break};case 5:{if((b-a|0)<2){j=-2;break a}if((me[c[h+344>>2]&127](h,a)|0)!=0){a=a+2|0;break b}else{c[e>>2]=a;j=0;break a}break};default:{c[e>>2]=a;j=0;break a}}}while(0);c:while(1){if((a|0)==(b|0)){k=46;break}switch(d[h+76+(d[a]|0)|0]|0|0){case 29:{k=26;break c;break};case 6:{if((b-a|0)<3){k=34;break c}if((me[c[h+336>>2]&127](h,a)|0)==0){k=36;break c}a=a+3|0;break};case 18:{k=43;break c;break};case 5:{if((b-a|0)<2){k=29;break c}if((me[c[h+332>>2]&127](h,a)|0)==0){k=31;break c}a=a+2|0;break};case 7:{if((b-a|0)<4){k=39;break c}if((me[c[h+340>>2]&127](h,a)|0)==0){k=41;break c}a=a+4|0;break};case 22:case 24:case 25:case 26:case 27:{a=a+1|0;break};default:{k=44;break c}}}if((k|0)==26){c[e>>2]=a;j=0;break}else if((k|0)==29){j=-2;break}else if((k|0)==31){c[e>>2]=a;j=0;break}else if((k|0)==34){j=-2;break}else if((k|0)==36){c[e>>2]=a;j=0;break}else if((k|0)==39){j=-2;break}else if((k|0)==41){c[e>>2]=a;j=0;break}else if((k|0)==43){c[e>>2]=a+1;j=9;break}else if((k|0)==44){c[e>>2]=a;j=0;break}else if((k|0)==46){j=-1;break}}}while(0);i=g;return j|0}function jR(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=e;e=f;a:do{if((a|0)==(b|0)){j=-1}else{b:do{switch(d[h+76+(d[a]|0)|0]|0|0){case 21:case 10:case 9:case 30:{c[e>>2]=a;j=22;break a;break};case 22:case 24:{a=a+1|0;break};case 29:{c[e>>2]=a;j=0;break a;break};case 7:{if((b-a|0)<4){j=-2;break a}if((me[c[h+352>>2]&127](h,a)|0)!=0){a=a+4|0;break b}else{c[e>>2]=a;j=0;break a}break};case 5:{if((b-a|0)<2){j=-2;break a}if((me[c[h+344>>2]&127](h,a)|0)!=0){a=a+2|0;break b}else{c[e>>2]=a;j=0;break a}break};case 6:{if((b-a|0)<3){j=-2;break a}if((me[c[h+348>>2]&127](h,a)|0)!=0){a=a+3|0;break b}else{c[e>>2]=a;j=0;break a}break};default:{c[e>>2]=a;j=0;break a}}}while(0);c:while(1){if((a|0)==(b|0)){k=46;break}switch(d[h+76+(d[a]|0)|0]|0|0){case 6:{if((b-a|0)<3){k=34;break c}if((me[c[h+336>>2]&127](h,a)|0)==0){k=36;break c}a=a+3|0;break};case 5:{if((b-a|0)<2){k=29;break c}if((me[c[h+332>>2]&127](h,a)|0)==0){k=31;break c}a=a+2|0;break};case 7:{if((b-a|0)<4){k=39;break c}if((me[c[h+340>>2]&127](h,a)|0)==0){k=41;break c}a=a+4|0;break};case 18:{k=43;break c;break};case 29:{k=26;break c;break};case 22:case 24:case 25:case 26:case 27:{a=a+1|0;break};default:{k=44;break c}}}if((k|0)==26){c[e>>2]=a;j=0;break}else if((k|0)==29){j=-2;break}else if((k|0)==31){c[e>>2]=a;j=0;break}else if((k|0)==34){j=-2;break}else if((k|0)==36){c[e>>2]=a;j=0;break}else if((k|0)==39){j=-2;break}else if((k|0)==41){c[e>>2]=a;j=0;break}else if((k|0)==43){c[e>>2]=a+1;j=28;break}else if((k|0)==44){c[e>>2]=a;j=0;break}else if((k|0)==46){j=-1;break}}}while(0);i=g;return j|0}function kR(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0;h=i;j=b;b=e;e=f;f=g;do{if((b|0)!=(e|0)){if((a[b]|0)==120){k=lR(j,b+1|0,e,f)|0;l=k;i=h;return l|0}if((d[j+76+(d[b]|0)|0]|0)!=25){c[f>>2]=b;k=0;l=k;i=h;return l|0}b=b+1|0;while(1){if((b|0)==(e|0)){m=15;break}g=d[j+76+(d[b]|0)|0]|0;if((g|0)==18){m=11;break}else if((g|0)!=25){m=12;break}b=b+1|0}if((m|0)==11){c[f>>2]=b+1;k=10;l=k;i=h;return l|0}else if((m|0)==12){c[f>>2]=b;k=0;l=k;i=h;return l|0}else if((m|0)==15){break}}}while(0);k=-1;l=k;i=h;return l|0}function lR(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;g=i;h=a;a=b;b=e;e=f;do{if((a|0)!=(b|0)){f=d[h+76+(d[a]|0)|0]|0;if(!((f|0)==25|(f|0)==24)){c[e>>2]=a;j=0;k=j;i=g;return k|0}a=a+1|0;while(1){if((a|0)==(b|0)){l=13;break}f=d[h+76+(d[a]|0)|0]|0;if((f|0)==18){l=9;break}else if(!((f|0)==25|(f|0)==24)){l=10;break}a=a+1|0}if((l|0)==9){c[e>>2]=a+1;j=10;k=j;i=g;return k|0}else if((l|0)==10){c[e>>2]=a;j=0;k=j;i=g;return k|0}else if((l|0)==13){break}}}while(0);j=-1;k=j;i=g;return k|0}function mR(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{b:do{switch(d[j+76+(d[b]|0)|0]|0){case 15:{k=pR(j,b+1|0,e,f)|0;break a;break};case 7:{if((e-b|0)<4){k=-2;break a}if((me[c[j+352>>2]&127](j,b)|0)!=0){b=b+4|0;break b}else{c[f>>2]=b;k=0;break a}break};case 22:case 24:{b=b+1|0;break};case 16:{g=b+1|0;b=g;if((g|0)==(e|0)){k=-1;break a}g=d[j+76+(d[b]|0)|0]|0;if((g|0)==20){k=oR(j,b+1|0,e,f)|0;break a}else if((g|0)==27){k=nR(j,b+1|0,e,f)|0;break a}else{c[f>>2]=b;k=0;break a}break};case 6:{if((e-b|0)<3){k=-2;break a}if((me[c[j+348>>2]&127](j,b)|0)!=0){b=b+3|0;break b}else{c[f>>2]=b;k=0;break a}break};case 17:{k=qR(j,b+1|0,e,f)|0;break a;break};case 29:{c[f>>2]=b;k=0;break a;break};case 5:{if((e-b|0)<2){k=-2;break a}if((me[c[j+344>>2]&127](j,b)|0)!=0){b=b+2|0;break b}else{c[f>>2]=b;k=0;break a}break};default:{c[f>>2]=b;k=0;break a}}}while(0);g=0;c:while(1){if((b|0)==(e|0)){l=110;break}switch(d[j+76+(d[b]|0)|0]|0){case 5:{if((e-b|0)<2){l=36;break c}if((me[c[j+332>>2]&127](j,b)|0)==0){l=38;break c}b=b+2|0;break};case 11:{l=100;break c;break};case 22:case 24:case 25:case 26:case 27:{b=b+1|0;break};case 6:{if((e-b|0)<3){l=41;break c}if((me[c[j+336>>2]&127](j,b)|0)==0){l=43;break c}b=b+3|0;break};case 17:{l=102;break c;break};case 29:{l=33;break c;break};case 21:case 9:case 10:{l=74;break c;break};case 23:{if((g|0)!=0){l=51;break c}g=1;b=b+1|0;if((b|0)==(e|0)){l=53;break c}switch(d[j+76+(d[b]|0)|0]|0){case 7:{if((e-b|0)<4){l=68;break c}if((me[c[j+352>>2]&127](j,b)|0)==0){l=70;break c}b=b+4|0;break};case 22:case 24:{b=b+1|0;break};case 29:{l=55;break c;break};case 5:{if((e-b|0)<2){l=58;break c}if((me[c[j+344>>2]&127](j,b)|0)==0){l=60;break c}b=b+2|0;break};case 6:{if((e-b|0)<3){l=63;break c}if((me[c[j+348>>2]&127](j,b)|0)==0){l=65;break c}b=b+3|0;break};default:{l=72;break c}}break};case 7:{if((e-b|0)<4){l=46;break c}if((me[c[j+340>>2]&127](j,b)|0)==0){l=48;break c}b=b+4|0;break};default:{l=108;break c}}}d:do{if((l|0)==33){c[f>>2]=b;k=0;break a}else if((l|0)==36){k=-2;break a}else if((l|0)==38){c[f>>2]=b;k=0;break a}else if((l|0)==41){k=-2;break a}else if((l|0)==43){c[f>>2]=b;k=0;break a}else if((l|0)==46){k=-2;break a}else if((l|0)==48){c[f>>2]=b;k=0;break a}else if((l|0)==51){c[f>>2]=b;k=0;break a}else if((l|0)==53){k=-1;break a}else if((l|0)==55){c[f>>2]=b;k=0;break a}else if((l|0)==58){k=-2;break a}else if((l|0)==60){c[f>>2]=b;k=0;break a}else if((l|0)==63){k=-2;break a}else if((l|0)==65){c[f>>2]=b;k=0;break a}else if((l|0)==68){k=-2;break a}else if((l|0)==70){c[f>>2]=b;k=0;break a}else if((l|0)==72){c[f>>2]=b;k=0;break a}else if((l|0)==74){b=b+1|0;e:while(1){if((b|0)==(e|0)){l=99;break}switch(d[j+76+(d[b]|0)|0]|0){case 6:{l=84;break e;break};case 21:case 9:case 10:{break};case 5:{l=79;break e;break};case 7:{l=89;break e;break};case 22:case 24:{l=78;break e;break};case 11:{l=94;break e;break};case 17:{l=95;break e;break};case 29:{l=77;break e;break};default:{l=97;break e}}b=b+1|0}do{if((l|0)==77){c[f>>2]=b;k=0;break a}else if((l|0)==78){b=b+1|0}else if((l|0)==79){if((e-b|0)<2){k=-2;break a}if((me[c[j+344>>2]&127](j,b)|0)!=0){b=b+2|0;break}else{c[f>>2]=b;k=0;break a}}else if((l|0)==84){if((e-b|0)<3){k=-2;break a}if((me[c[j+348>>2]&127](j,b)|0)!=0){b=b+3|0;break}else{c[f>>2]=b;k=0;break a}}else if((l|0)==89){if((e-b|0)<4){k=-2;break a}if((me[c[j+352>>2]&127](j,b)|0)!=0){b=b+4|0;break}else{c[f>>2]=b;k=0;break a}}else if((l|0)==94){l=101;break d}else if((l|0)==95){break d}else if((l|0)==97){c[f>>2]=b;k=0;break a}else if((l|0)==99){k=-1;break a}}while(0);k=rR(j,b,e,f)|0;break a}else if((l|0)==100){l=101}else if((l|0)!=102)if((l|0)==108){c[f>>2]=b;k=0;break a}else if((l|0)==110){k=-1;break a}}while(0);if((l|0)==101){c[f>>2]=b+1;k=2;break}b=b+1|0;if((b|0)==(e|0)){k=-1;break}if((a[b]|0)==62){c[f>>2]=b+1;k=4;break}else{c[f>>2]=b;k=0;break}}}while(0);i=h;return k|0}function nR(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;h=i;j=b;b=e;e=f;f=g;do{if((b|0)!=(e|0)){if((a[b]|0)!=45){c[f>>2]=b;k=0;break}b=b+1|0;a:while(1){if((b|0)==(e|0)){l=34;break}switch(d[j+76+(d[b]|0)|0]|0){case 6:{if((e-b|0)<3){l=13;break a}if((me[c[j+360>>2]&127](j,b)|0)!=0){l=15;break a}b=b+3|0;break};case 27:{g=b+1|0;b=g;if((g|0)==(e|0)){l=24;break a}if((a[b]|0)==45){l=26;break a}break};case 7:{if((e-b|0)<4){l=18;break a}if((me[c[j+364>>2]&127](j,b)|0)!=0){l=20;break a}b=b+4|0;break};case 5:{if((e-b|0)<2){l=8;break a}if((me[c[j+356>>2]&127](j,b)|0)!=0){l=10;break a}b=b+2|0;break};case 0:case 1:case 8:{l=22;break a;break};default:{b=b+1|0}}}if((l|0)==8){k=-2;break}else if((l|0)==10){c[f>>2]=b;k=0;break}else if((l|0)==13){k=-2;break}else if((l|0)==15){c[f>>2]=b;k=0;break}else if((l|0)==18){k=-2;break}else if((l|0)==20){c[f>>2]=b;k=0;break}else if((l|0)==22){c[f>>2]=b;k=0;break}else if((l|0)==24){k=-1;break}else if((l|0)==26){g=b+1|0;b=g;if((g|0)==(e|0)){k=-1;break}if((a[b]|0)==62){c[f>>2]=b+1;k=13;break}else{c[f>>2]=b;k=0;break}}else if((l|0)==34){l=35;break}}else{l=35}}while(0);if((l|0)==35){k=-1}i=h;return k|0}function oR(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;b=i;g=d;d=f;if((e-g|0)<6){h=-1;j=h;i=b;return j|0}e=0;while(1){if((e|0)>=6){k=9;break}if((a[g]|0)!=(a[8704+e|0]|0)){k=6;break}e=e+1|0;g=g+1|0}if((k|0)==6){c[d>>2]=g;h=0;j=h;i=b;return j|0}else if((k|0)==9){c[d>>2]=g;h=8;j=h;i=b;return j|0}return 0}function pR(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0;h=i;i=i+8|0;j=h|0;k=b;b=e;e=f;f=g;g=b;a:do{if((b|0)==(e|0)){l=-1}else{b:do{switch(d[k+76+(d[b]|0)|0]|0){case 5:{if((e-b|0)<2){l=-2;break a}if((me[c[k+344>>2]&127](k,b)|0)!=0){b=b+2|0;break b}else{c[f>>2]=b;l=0;break a}break};case 29:{c[f>>2]=b;l=0;break a;break};case 7:{if((e-b|0)<4){l=-2;break a}if((me[c[k+352>>2]&127](k,b)|0)!=0){b=b+4|0;break b}else{c[f>>2]=b;l=0;break a}break};case 22:case 24:{b=b+1|0;break};case 6:{if((e-b|0)<3){l=-2;break a}if((me[c[k+348>>2]&127](k,b)|0)!=0){b=b+3|0;break b}else{c[f>>2]=b;l=0;break a}break};default:{c[f>>2]=b;l=0;break a}}}while(0);c:while(1){if((b|0)==(e|0)){m=80;break}switch(d[k+76+(d[b]|0)|0]|0){case 6:{if((e-b|0)<3){m=33;break c}if((me[c[k+336>>2]&127](k,b)|0)==0){m=35;break c}b=b+3|0;break};case 15:{m=71;break c;break};case 29:{m=25;break c;break};case 7:{if((e-b|0)<4){m=38;break c}if((me[c[k+340>>2]&127](k,b)|0)==0){m=40;break c}b=b+4|0;break};case 22:case 24:case 25:case 26:case 27:{b=b+1|0;break};case 21:case 9:case 10:{m=42;break c;break};case 5:{if((e-b|0)<2){m=28;break c}if((me[c[k+332>>2]&127](k,b)|0)==0){m=30;break c}b=b+2|0;break};default:{break c}}}do{if((m|0)==25){c[f>>2]=b;l=0;break a}else if((m|0)==28){l=-2;break a}else if((m|0)==30){c[f>>2]=b;l=0;break a}else if((m|0)==33){l=-2;break a}else if((m|0)==35){c[f>>2]=b;l=0;break a}else if((m|0)==38){l=-2;break a}else if((m|0)==40){c[f>>2]=b;l=0;break a}else if((m|0)==42){if((sR(k,g,b,j)|0)==0){c[f>>2]=b;l=0;break a}b=b+1|0;d:while(1){if((b|0)==(e|0)){m=70;break}switch(d[k+76+(d[b]|0)|0]|0){case 6:{if((e-b|0)<3){m=53;break d}if((me[c[k+360>>2]&127](k,b)|0)!=0){m=55;break d}b=b+3|0;break};case 15:{b=b+1|0;if((b|0)==(e|0)){m=64;break d}if((a[b]|0)==62){m=66;break d}break};case 5:{if((e-b|0)<2){m=48;break d}if((me[c[k+356>>2]&127](k,b)|0)!=0){m=50;break d}b=b+2|0;break};case 0:case 1:case 8:{m=62;break d;break};case 7:{if((e-b|0)<4){m=58;break d}if((me[c[k+364>>2]&127](k,b)|0)!=0){m=60;break d}b=b+4|0;break};default:{b=b+1|0}}}if((m|0)==48){l=-2;break a}else if((m|0)==50){c[f>>2]=b;l=0;break a}else if((m|0)==53){l=-2;break a}else if((m|0)==55){c[f>>2]=b;l=0;break a}else if((m|0)==58){l=-2;break a}else if((m|0)==60){c[f>>2]=b;l=0;break a}else if((m|0)==62){c[f>>2]=b;l=0;break a}else if((m|0)==64){l=-1;break a}else if((m|0)==66){c[f>>2]=b+1;l=c[j>>2]|0;break a}else if((m|0)==70){l=-1;break a}}else if((m|0)==71){if((sR(k,g,b,j)|0)==0){c[f>>2]=b;l=0;break a}b=b+1|0;if((b|0)==(e|0)){l=-1;break a}if((a[b]|0)==62){c[f>>2]=b+1;l=c[j>>2]|0;break a}else{break}}else if((m|0)==80){l=-1;break a}}while(0);c[f>>2]=b;l=0}}while(0);i=h;return l|0}function qR(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=e;e=f;a:do{if((a|0)==(b|0)){j=-1}else{b:do{switch(d[h+76+(d[a]|0)|0]|0|0){case 7:{if((b-a|0)<4){j=-2;break a}if((me[c[h+352>>2]&127](h,a)|0)!=0){a=a+4|0;break b}else{c[e>>2]=a;j=0;break a}break};case 22:case 24:{a=a+1|0;break};case 6:{if((b-a|0)<3){j=-2;break a}if((me[c[h+348>>2]&127](h,a)|0)!=0){a=a+3|0;break b}else{c[e>>2]=a;j=0;break a}break};case 29:{c[e>>2]=a;j=0;break a;break};case 5:{if((b-a|0)<2){j=-2;break a}if((me[c[h+344>>2]&127](h,a)|0)!=0){a=a+2|0;break b}else{c[e>>2]=a;j=0;break a}break};default:{c[e>>2]=a;j=0;break a}}}while(0);c:while(1){if((a|0)==(b|0)){k=55;break}switch(d[h+76+(d[a]|0)|0]|0|0){case 22:case 24:case 25:case 26:case 27:{a=a+1|0;break};case 23:{a=a+1|0;break};case 11:{k=52;break c;break};case 6:{if((b-a|0)<3){k=33;break c}if((me[c[h+336>>2]&127](h,a)|0)==0){k=35;break c}a=a+3|0;break};case 29:{k=25;break c;break};case 21:case 9:case 10:{k=42;break c;break};case 5:{if((b-a|0)<2){k=28;break c}if((me[c[h+332>>2]&127](h,a)|0)==0){k=30;break c}a=a+2|0;break};case 7:{if((b-a|0)<4){k=38;break c}if((me[c[h+340>>2]&127](h,a)|0)==0){k=40;break c}a=a+4|0;break};default:{k=53;break c}}}if((k|0)==25){c[e>>2]=a;j=0;break}else if((k|0)==28){j=-2;break}else if((k|0)==30){c[e>>2]=a;j=0;break}else if((k|0)==33){j=-2;break}else if((k|0)==35){c[e>>2]=a;j=0;break}else if((k|0)==38){j=-2;break}else if((k|0)==40){c[e>>2]=a;j=0;break}else if((k|0)==42){a=a+1|0;while(1){if((a|0)==(b|0)){k=50;break}f=d[h+76+(d[a]|0)|0]|0;if((f|0)==11){k=46;break}else if(!((f|0)==21|(f|0)==9|(f|0)==10)){k=47;break}a=a+1|0}if((k|0)==46){c[e>>2]=a+1;j=5;break}else if((k|0)==47){c[e>>2]=a;j=0;break}else if((k|0)==50){j=-1;break}}else if((k|0)==52){c[e>>2]=a+1;j=5;break}else if((k|0)==53){c[e>>2]=a;j=0;break}else if((k|0)==55){j=-1;break}}}while(0);i=g;return j|0}function rR(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;h=i;i=i+8|0;j=h|0;k=b;c[j>>2]=e;e=f;f=g;g=0;a:while(1){if((c[j>>2]|0)==(e|0)){l=137;break}switch(d[k+76+(d[c[j>>2]|0]|0)|0]|0){case 7:{if((e-(c[j>>2]|0)|0)<4){l=17;break a}if((me[c[k+340>>2]&127](k,c[j>>2]|0)|0)==0){l=19;break a}c[j>>2]=(c[j>>2]|0)+4;break};case 22:case 24:case 25:case 26:case 27:{c[j>>2]=(c[j>>2]|0)+1;break};case 14:{l=55;break};case 23:{if((g|0)!=0){l=22;break a}g=1;c[j>>2]=(c[j>>2]|0)+1;if((c[j>>2]|0)==(e|0)){l=24;break a}switch(d[k+76+(d[c[j>>2]|0]|0)|0]|0){case 29:{l=26;break a;break};case 22:case 24:{c[j>>2]=(c[j>>2]|0)+1;break};case 5:{if((e-(c[j>>2]|0)|0)<2){l=29;break a}if((me[c[k+344>>2]&127](k,c[j>>2]|0)|0)==0){l=31;break a}c[j>>2]=(c[j>>2]|0)+2;break};case 6:{if((e-(c[j>>2]|0)|0)<3){l=34;break a}if((me[c[k+348>>2]&127](k,c[j>>2]|0)|0)==0){l=36;break a}c[j>>2]=(c[j>>2]|0)+3;break};case 7:{if((e-(c[j>>2]|0)|0)<4){l=39;break a}if((me[c[k+352>>2]&127](k,c[j>>2]|0)|0)==0){l=41;break a}c[j>>2]=(c[j>>2]|0)+4;break};default:{l=43;break a}}break};case 29:{l=4;break a;break};case 5:{if((e-(c[j>>2]|0)|0)<2){l=7;break a}if((me[c[k+332>>2]&127](k,c[j>>2]|0)|0)==0){l=9;break a}c[j>>2]=(c[j>>2]|0)+2;break};case 21:case 9:case 10:{while(1){c[j>>2]=(c[j>>2]|0)+1;if((c[j>>2]|0)==(e|0)){l=47;break a}b=d[k+76+(d[c[j>>2]|0]|0)|0]|0;if((b|0)==14){break}m=b;if(!((m|0)==21|(m|0)==10|(m|0)==9)){l=52;break a}}l=55;break};case 6:{if((e-(c[j>>2]|0)|0)<3){l=12;break a}if((me[c[k+336>>2]&127](k,c[j>>2]|0)|0)==0){l=14;break a}c[j>>2]=(c[j>>2]|0)+3;break};default:{l=135;break a}}if((l|0)==55){l=0;g=0;while(1){c[j>>2]=(c[j>>2]|0)+1;if((c[j>>2]|0)==(e|0)){l=57;break a}n=d[k+76+(d[c[j>>2]|0]|0)|0]|0;if((n|0)==12){break}if((n|0)==13){break}m=n;if(!((m|0)==21|(m|0)==10|(m|0)==9)){l=63;break a}}c[j>>2]=(c[j>>2]|0)+1;while(1){if((c[j>>2]|0)==(e|0)){l=67;break a}m=d[k+76+(d[c[j>>2]|0]|0)|0]|0;if((m|0)==(n|0)){break}switch(m|0){case 0:case 1:case 8:{l=86;break a;break};case 3:{o=iR(k,(c[j>>2]|0)+1|0,e,j)|0;if((o|0)<=0){l=88;break a}break};case 7:{if((e-(c[j>>2]|0)|0)<4){l=82;break a}if((me[c[k+364>>2]&127](k,c[j>>2]|0)|0)!=0){l=84;break a}c[j>>2]=(c[j>>2]|0)+4;break};case 5:{if((e-(c[j>>2]|0)|0)<2){l=72;break a}if((me[c[k+356>>2]&127](k,c[j>>2]|0)|0)!=0){l=74;break a}c[j>>2]=(c[j>>2]|0)+2;break};case 2:{l=92;break a;break};case 6:{if((e-(c[j>>2]|0)|0)<3){l=77;break a}if((me[c[k+360>>2]&127](k,c[j>>2]|0)|0)!=0){l=79;break a}c[j>>2]=(c[j>>2]|0)+3;break};default:{c[j>>2]=(c[j>>2]|0)+1}}}c[j>>2]=(c[j>>2]|0)+1;if((c[j>>2]|0)==(e|0)){l=96;break}switch(d[k+76+(d[c[j>>2]|0]|0)|0]|0){case 21:case 9:case 10:{break};case 17:{l=99;break a;break};case 11:{l=100;break a;break};default:{l=101;break a}}b:while(1){c[j>>2]=(c[j>>2]|0)+1;if((c[j>>2]|0)==(e|0)){l=104;break a}switch(d[k+76+(d[c[j>>2]|0]|0)|0]|0){case 21:case 9:case 10:{break};case 11:{l=124;break a;break};case 17:{l=126;break a;break};case 5:{l=108;break b;break};case 6:{l=113;break b;break};case 29:{l=106;break a;break};case 22:case 24:{l=107;break b;break};case 7:{l=118;break b;break};default:{l=132;break a}}}if((l|0)==107){l=0;c[j>>2]=(c[j>>2]|0)+1}else if((l|0)==108){l=0;if((e-(c[j>>2]|0)|0)<2){l=109;break}if((me[c[k+344>>2]&127](k,c[j>>2]|0)|0)==0){l=111;break}c[j>>2]=(c[j>>2]|0)+2}else if((l|0)==113){l=0;if((e-(c[j>>2]|0)|0)<3){l=114;break}if((me[c[k+348>>2]&127](k,c[j>>2]|0)|0)==0){l=116;break}c[j>>2]=(c[j>>2]|0)+3}else if((l|0)==118){l=0;if((e-(c[j>>2]|0)|0)<4){l=119;break}if((me[c[k+352>>2]&127](k,c[j>>2]|0)|0)==0){l=121;break}c[j>>2]=(c[j>>2]|0)+4}}}if((l|0)==4){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==7){p=-2;q=p;i=h;return q|0}else if((l|0)==9){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==12){p=-2;q=p;i=h;return q|0}else if((l|0)==14){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==17){p=-2;q=p;i=h;return q|0}else if((l|0)==19){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==22){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==24){p=-1;q=p;i=h;return q|0}else if((l|0)==26){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==29){p=-2;q=p;i=h;return q|0}else if((l|0)==31){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==34){p=-2;q=p;i=h;return q|0}else if((l|0)==36){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==39){p=-2;q=p;i=h;return q|0}else if((l|0)==41){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==43){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==47){p=-1;q=p;i=h;return q|0}else if((l|0)==52){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==57){p=-1;q=p;i=h;return q|0}else if((l|0)==63){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==67){p=-1;q=p;i=h;return q|0}else if((l|0)==72){p=-2;q=p;i=h;return q|0}else if((l|0)==74){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==77){p=-2;q=p;i=h;return q|0}else if((l|0)==79){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==82){p=-2;q=p;i=h;return q|0}else if((l|0)==84){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==86){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==88){if((o|0)==0){c[f>>2]=c[j>>2]}p=o;q=p;i=h;return q|0}else if((l|0)==92){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==96){p=-1;q=p;i=h;return q|0}else if((l|0)!=99)if((l|0)==100){l=125}else if((l|0)==101){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==104){p=-1;q=p;i=h;return q|0}else if((l|0)==106){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==109){p=-2;q=p;i=h;return q|0}else if((l|0)==111){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==114){p=-2;q=p;i=h;return q|0}else if((l|0)==116){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==119){p=-2;q=p;i=h;return q|0}else if((l|0)==121){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==124){l=125}else if((l|0)!=126)if((l|0)==132){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==135){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==137){p=-1;q=p;i=h;return q|0}if((l|0)==125){c[f>>2]=(c[j>>2]|0)+1;p=1;q=p;i=h;return q|0}c[j>>2]=(c[j>>2]|0)+1;if((c[j>>2]|0)==(e|0)){p=-1;q=p;i=h;return q|0}if((a[c[j>>2]|0]|0)==62){c[f>>2]=(c[j>>2]|0)+1;p=3;q=p;i=h;return q|0}else{c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}return 0}function sR(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0;b=i;g=d;d=f;f=0;c[d>>2]=11;do{if((e-g|0)!=3){h=1}else{j=a[g]|0;if((j|0)==88){f=1}else if((j|0)!=120){h=1;break}g=g+1|0;j=a[g]|0;if((j|0)!=109)if((j|0)==77){f=1}else{h=1;break}g=g+1|0;j=a[g]|0;if((j|0)==76){f=1}else if((j|0)!=108){h=1;break}if((f|0)!=0){h=0;break}else{c[d>>2]=12;h=1;break}}}while(0);i=b;return h|0}function tR(a,b,e,f,g){a=a|0;b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;h=i;j=a;a=b;b=e;e=f;f=g;a:while(1){if((b|0)==(e|0)){k=29;break}g=d[a+76+(d[b]|0)|0]|0;switch(g|0){case 12:case 13:{b=b+1|0;if((g|0)==(j|0)){k=22;break a}break};case 5:{if((e-b|0)<2){k=5;break a}if((me[c[a+356>>2]&127](a,b)|0)!=0){k=7;break a}b=b+2|0;break};case 0:case 1:case 8:{k=19;break a;break};case 7:{if((e-b|0)<4){k=15;break a}if((me[c[a+364>>2]&127](a,b)|0)!=0){k=17;break a}b=b+4|0;break};case 6:{if((e-b|0)<3){k=10;break a}if((me[c[a+360>>2]&127](a,b)|0)!=0){k=12;break a}b=b+3|0;break};default:{b=b+1|0}}}b:do{if((k|0)==5){l=-2}else if((k|0)==7){c[f>>2]=b;l=0}else if((k|0)==10){l=-2}else if((k|0)==12){c[f>>2]=b;l=0}else if((k|0)==15){l=-2}else if((k|0)==17){c[f>>2]=b;l=0}else if((k|0)==19){c[f>>2]=b;l=0}else if((k|0)==22){if((b|0)==(e|0)){l=-27;break}c[f>>2]=b;switch(d[a+76+(d[b]|0)|0]|0|0){case 21:case 9:case 10:case 11:case 30:case 20:{l=27;break b;break};default:{l=0;break b}}}else if((k|0)==29){l=-1}}while(0);i=h;return l|0}function uR(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;g=i;h=a;a=b;b=e;e=f;a:do{if((a|0)==(b|0)){j=-1}else{f=d[h+76+(d[a]|0)|0]|0;if((f|0)==22|(f|0)==24){a=a+1|0;b:while(1){if((a|0)==(b|0)){k=20;break}switch(d[h+76+(d[a]|0)|0]|0|0){case 21:case 9:case 10:{break b;break};case 30:{k=11;break b;break};case 22:case 24:{break};default:{k=18;break b}}a=a+1|0}do{if((k|0)==11){if((a+1|0)==(b|0)){j=-1;break a}l=d[h+76+(d[a+1|0]|0)|0]|0;if((l|0)==21|(l|0)==9|(l|0)==10|(l|0)==30){c[e>>2]=a;j=0;break a}else{break}}else if((k|0)==18){c[e>>2]=a;j=0;break a}else if((k|0)==20){j=-1;break a}}while(0);c[e>>2]=a;j=16;break}else if((f|0)==20){c[e>>2]=a+1;j=33;break}else if((f|0)==27){j=nR(h,a+1|0,b,e)|0;break}else{c[e>>2]=a;j=0;break}}}while(0);i=g;return j|0}function vR(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=e;e=f;a:do{if((a|0)==(b|0)){j=-1}else{b:do{switch(d[h+76+(d[a]|0)|0]|0|0){case 5:{if((b-a|0)<2){j=-2;break a}if((me[c[h+344>>2]&127](h,a)|0)!=0){a=a+2|0;break b}else{c[e>>2]=a;j=0;break a}break};case 22:case 24:{a=a+1|0;break};case 7:{if((b-a|0)<4){j=-2;break a}if((me[c[h+352>>2]&127](h,a)|0)!=0){a=a+4|0;break b}else{c[e>>2]=a;j=0;break a}break};case 29:{c[e>>2]=a;j=0;break a;break};case 6:{if((b-a|0)<3){j=-2;break a}if((me[c[h+348>>2]&127](h,a)|0)!=0){a=a+3|0;break b}else{c[e>>2]=a;j=0;break a}break};default:{c[e>>2]=a;j=0;break a}}}while(0);c:while(1){if((a|0)==(b|0)){k=45;break}switch(d[h+76+(d[a]|0)|0]|0|0){case 6:{if((b-a|0)<3){k=33;break c}if((me[c[h+336>>2]&127](h,a)|0)==0){k=35;break c}a=a+3|0;break};case 7:{if((b-a|0)<4){k=38;break c}if((me[c[h+340>>2]&127](h,a)|0)==0){k=40;break c}a=a+4|0;break};case 22:case 24:case 25:case 26:case 27:{a=a+1|0;break};case 9:case 10:case 21:case 32:case 11:case 30:case 36:{k=42;break c;break};case 29:{k=25;break c;break};case 5:{if((b-a|0)<2){k=28;break c}if((me[c[h+332>>2]&127](h,a)|0)==0){k=30;break c}a=a+2|0;break};default:{k=43;break c}}}if((k|0)==25){c[e>>2]=a;j=0;break}else if((k|0)==28){j=-2;break}else if((k|0)==30){c[e>>2]=a;j=0;break}else if((k|0)==33){j=-2;break}else if((k|0)==35){c[e>>2]=a;j=0;break}else if((k|0)==38){j=-2;break}else if((k|0)==40){c[e>>2]=a;j=0;break}else if((k|0)==42){c[e>>2]=a;j=20;break}else if((k|0)==43){c[e>>2]=a;j=0;break}else if((k|0)==45){j=-20;break}}}while(0);i=g;return j|0}function wR(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;b=i;h=d;d=e;e=f;f=g;while(1){if((c[h>>2]|0)!=(d|0)){j=(c[e>>2]|0)!=(f|0)}else{j=0}if(!j){break}g=h;k=c[g>>2]|0;c[g>>2]=k+1;g=a[k]|0;k=e;l=c[k>>2]|0;c[k>>2]=l+1;a[l]=g}i=b;return}function xR(a,e,f,g,h){a=a|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0;a=i;j=e;e=f;f=g;g=h;while(1){if((c[j>>2]|0)!=(e|0)){k=(c[f>>2]|0)!=(g|0)}else{k=0}if(!k){break}h=j;l=c[h>>2]|0;c[h>>2]=l+1;h=d[l]|0;l=f;m=c[l>>2]|0;c[l>>2]=m+2;b[m>>1]=h}i=a;return}function yR(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;b=i;h=d;d=e;e=f;f=g;while(1){if((c[h>>2]|0)==(d|0)){j=3;break}g=a[c[h>>2]|0]|0;if((g&128|0)!=0){if((f-(c[e>>2]|0)|0)<2){j=6;break}k=e;l=c[k>>2]|0;c[k>>2]=l+1;a[l]=(g&255)>>6|192;l=e;k=c[l>>2]|0;c[l>>2]=k+1;a[k]=g&63|128;g=h;c[g>>2]=(c[g>>2]|0)+1}else{if((c[e>>2]|0)==(f|0)){j=9;break}g=h;k=c[g>>2]|0;c[g>>2]=k+1;g=a[k]|0;k=e;l=c[k>>2]|0;c[k>>2]=l+1;a[l]=g}}if((j|0)==3){i=b;return}else if((j|0)==6){i=b;return}else if((j|0)==9){i=b;return}}function zR(b,e,f,g,h,j){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0;k=i;l=b;b=e;e=f;f=g;g=h;h=j;if((f|0)==(g|0)){m=-4;n=m;i=k;return n|0}j=c[b+76>>2]|0;do{if((f+1|0)==(g|0)){o=a[b+73|0]|0;if((o|0)==3|(o|0)==5|(o|0)==4){m=-1;n=m;i=k;return n|0}a:do{switch(d[f]|0){case 0:case 60:{break};case 254:case 255:case 239:{do{if((a[b+73|0]|0)==0){if((e|0)!=1){break}p=12;break a}}while(0);break};default:{p=12}}}while(0);if((p|0)==12){break}m=-1;n=m;i=k;return n|0}else{o=d[f|0]<<8|d[f+1|0];b:do{if((o|0)==65279){do{if((a[b+73|0]|0)==0){if((e|0)!=1){break}break b}}while(0);c[h>>2]=f+2;c[j>>2]=c[l+16>>2];m=14;n=m;i=k;return n|0}else if((o|0)==61371){c:do{if((e|0)==1){q=a[b+73|0]|0;do{if((q|0)!=0){if((q|0)==4){break}if((q|0)==5){break}if((q|0)==3){break}break c}}while(0);break b}}while(0);if((f+2|0)==(g|0)){m=-1;n=m;i=k;return n|0}if((d[f+2|0]|0)!=191){break}c[h>>2]=f+3;c[j>>2]=c[l+8>>2];m=14;n=m;i=k;return n|0}else if((o|0)==15360){if((a[b+73|0]|0)==4){p=20}else{if((a[b+73|0]|0)==3){p=20}}do{if((p|0)==20){if((e|0)!=1){break}break b}}while(0);c[j>>2]=c[l+20>>2];m=qe[c[(c[j>>2]|0)+(e<<2)>>2]&127](c[j>>2]|0,f,g,h)|0;n=m;i=k;return n|0}else if((o|0)==65534){do{if((a[b+73|0]|0)==0){if((e|0)!=1){break}break b}}while(0);c[h>>2]=f+2;c[j>>2]=c[l+20>>2];m=14;n=m;i=k;return n|0}else{if((a[f|0]|0)==0){do{if((e|0)==1){if((a[b+73|0]|0)!=5){break}break b}}while(0);c[j>>2]=c[l+16>>2];m=qe[c[(c[j>>2]|0)+(e<<2)>>2]&127](c[j>>2]|0,f,g,h)|0;n=m;i=k;return n|0}if((a[f+1|0]|0)!=0){break}if((e|0)==1){break}c[j>>2]=c[l+20>>2];m=qe[c[(c[j>>2]|0)+(e<<2)>>2]&127](c[j>>2]|0,f,g,h)|0;n=m;i=k;return n|0}}while(0)}}while(0);c[j>>2]=c[l+(a[b+73|0]<<2)>>2];m=qe[c[(c[j>>2]|0)+(e<<2)>>2]&127](c[j>>2]|0,f,g,h)|0;n=m;i=k;return n|0}function AR(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0;j=i;k=a;a=b;b=d;d=e;e=f;f=g;g=h;if((a|0)==(b|0)){c[d>>2]=0;l=1;m=l;i=j;return m|0}if((CR(BR(k,a,b)|0)|0)==0){c[g>>2]=a;l=0;m=l;i=j;return m|0}do{a=a+(c[k+68>>2]|0)|0;}while((CR(BR(k,a,b)|0)|0)!=0);if((a|0)==(b|0)){c[d>>2]=0;l=1;m=l;i=j;return m|0}c[d>>2]=a;while(1){n=BR(k,a,b)|0;if((n|0)==-1){o=12;break}if((n|0)==61){o=14;break}if((CR(n)|0)!=0){o=16;break}a=a+(c[k+68>>2]|0)|0}do{if((o|0)==12){c[g>>2]=a;l=0;m=l;i=j;return m|0}else if((o|0)==14){c[e>>2]=a}else if((o|0)==16){c[e>>2]=a;do{a=a+(c[k+68>>2]|0)|0;h=BR(k,a,b)|0;n=h;}while((CR(h)|0)!=0);if((n|0)==61){break}c[g>>2]=a;l=0;m=l;i=j;return m|0}}while(0);if((a|0)==(c[d>>2]|0)){c[g>>2]=a;l=0;m=l;i=j;return m|0}a=a+(c[k+68>>2]|0)|0;n=BR(k,a,b)|0;while(1){if((CR(n)|0)==0){break}a=a+(c[k+68>>2]|0)|0;n=BR(k,a,b)|0}do{if((n|0)!=34){if((n|0)==39){break}c[g>>2]=a;l=0;m=l;i=j;return m|0}}while(0);d=n&255;a=a+(c[k+68>>2]|0)|0;c[f>>2]=a;a:while(1){n=BR(k,a,b)|0;if((n|0)==(d<<24>>24|0)){break}if(97<=(n|0)){if((n|0)>122){o=36}}else{o=36}do{if((o|0)==36){o=0;if(65<=(n|0)){if((n|0)<=90){break}}if(48<=(n|0)){if((n|0)<=57){break}}if((n|0)==46){break}if((n|0)==45){break}if((n|0)!=95){o=43;break a}}}while(0);a=a+(c[k+68>>2]|0)|0}if((o|0)==43){c[g>>2]=a;l=0;m=l;i=j;return m|0}c[g>>2]=a+(c[k+68>>2]|0);l=1;m=l;i=j;return m|0}function BR(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;f=i;i=i+24|0;g=f|0;h=f+8|0;j=f+16|0;k=b;c[g>>2]=d;c[j>>2]=h;_d[c[k+60>>2]&31](k,g,e,j,(c[j>>2]|0)+1|0);if((c[j>>2]|0)==(h|0)){l=-1;m=l;i=f;return m|0}else{l=a[h|0]|0;m=l;i=f;return m|0}return 0}function CR(a){a=a|0;var b=0,c=0;b=a;if((b|0)==32|(b|0)==13|(b|0)==10|(b|0)==9){c=1}else{c=0}i=i;return c|0}function DR(a){a=a|0;var b=0;b=a;c[b>>2]=2;c[b+16>>2]=1;c[b+12>>2]=0;c[b+20>>2]=0;i=i;return}function ER(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=f;a:do{switch(a|0){case 12:{c[h>>2]=76;j=1;break};case 15:{c[h>>2]=76;j=0;break};case 13:{c[h>>2]=76;j=56;break};case 16:{if((qe[c[b+28>>2]&127](b,d+(c[b+68>>2]<<1)|0,e,9999248)|0)!=0){c[h>>2]=96;j=3;break a}else{k=11;break a}break};case 11:{c[h>>2]=76;j=55;break};case 14:{j=0;break};case 29:{c[h>>2]=110;j=2;break};default:{k=11}}}while(0);if((k|0)==11){j=IR(h,a)|0}i=g;return j|0}function FR(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;a:do{switch(a|0){case 26:{j=12;break};case 33:{c[h>>2]=20;k=0;break};case 34:{if((c[h+12>>2]|0)==0){j=12;break a}else{b=h+12|0;c[b>>2]=(c[b>>2]|0)-1;k=0;break a}break};case 15:{k=0;break};case-4:{if((c[h+12>>2]|0)!=0){j=12;break a}else{k=0;break a}break};default:{k=HR(h,a,d,e,f)|0}}}while(0);if((j|0)==12){k=IR(h,a)|0}i=g;return k|0}function GR(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;g=i;h=a;a=b;b=d;d=e;e=f;f=a;if((f|0)==18){j=3}else if((f|0)==15){k=0;l=k;i=g;return l|0}do{if((j|0)==3){if((qe[c[e+28>>2]&127](e,b,d,9999152)|0)!=0){c[h>>2]=22;k=0;l=k;i=g;return l|0}if((qe[c[e+28>>2]&127](e,b,d,9999168)|0)==0){break}c[h>>2]=24;k=0;l=k;i=g;return l|0}}while(0);k=IR(h,a)|0;l=k;i=g;return l|0}function HR(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=d;d=e;e=f;a:do{switch(a|0){case 28:{j=60;break};case 16:{if((qe[c[e+28>>2]&127](e,b+(c[e+68>>2]<<1)|0,d,9999208)|0)!=0){c[h>>2]=38;j=11;break a}if((qe[c[e+28>>2]&127](e,b+(c[e+68>>2]<<1)|0,d,9999264)|0)!=0){c[h>>2]=90;j=33;break a}if((qe[c[e+28>>2]&127](e,b+(c[e+68>>2]<<1)|0,d,9999240)|0)!=0){c[h>>2]=66;j=39;break a}if((qe[c[e+28>>2]&127](e,b+(c[e+68>>2]<<1)|0,d,9999088)|0)!=0){c[h>>2]=6;j=17;break a}else{k=17;break a}break};case 11:{j=55;break};case 13:{j=56;break};case 15:{j=0;break};case-4:{j=0;break};case 26:{c[h>>2]=120;j=3;break};default:{k=17}}}while(0);if((k|0)==17){j=IR(h,a)|0}i=g;return j|0}function IR(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;e=a;do{if((c[e+16>>2]|0)==0){if((b|0)!=28){break}f=59;g=f;i=d;return g|0}}while(0);c[e>>2]=110;f=-1;g=f;i=d;return g|0}function JR(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;i=i;return 0}function KR(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=11}else if((b|0)==18){c[e>>2]=34;g=9}else if((b|0)==22){c[e>>2]=40;g=11}else{g=IR(e,a)|0}i=f;return g|0}function LR(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=33}else if((b|0)==18|(b|0)==41){c[e>>2]=88;g=34}else{g=IR(e,a)|0}i=f;return g|0}function MR(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==18|(b|0)==41){c[e>>2]=68;g=40}else if((b|0)==15){g=39}else{g=IR(e,a)|0}i=f;return g|0}function NR(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=17}else if((b|0)==18){c[e>>2]=4;g=18}else{g=IR(e,a)|0}i=f;return g|0}function OR(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==17){c[e>>2]=74;g=8}else if((b|0)==15){g=3}else{g=IR(e,a)|0}i=f;return g|0}function PR(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==13){g=56}else if((b|0)==29){c[e>>2]=110;g=2}else if((b|0)==15){g=0}else if((b|0)==11){g=55}else{g=IR(e,a)|0}i=f;return g|0}function QR(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;g=i;h=a;a=b;b=d;d=e;e=f;f=a;if((f|0)==15){j=17;k=j;i=g;return k|0}else if((f|0)==18){l=3}do{if((l|0)==3){if((qe[c[e+28>>2]&127](e,b,d,9999048)|0)!=0){c[h>>2]=8;j=17;k=j;i=g;return k|0}if((qe[c[e+28>>2]&127](e,b,d,9999072)|0)==0){break}c[h>>2]=10;j=17;k=j;i=g;return k|0}}while(0);j=IR(h,a)|0;k=j;i=g;return k|0}function RR(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==27){c[e>>2]=52;c[e+8>>2]=17;g=19}else if((b|0)==15){g=17}else{g=IR(e,a)|0}i=f;return g|0}function SR(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=17}else if((b|0)==27){c[e>>2]=12;g=21}else{g=IR(e,a)|0}i=f;return g|0}function TR(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==27){c[e>>2]=52;c[e+8>>2]=17;g=19}else if((b|0)==15){g=17}else if((b|0)==17){c[e>>2]=(c[e+16>>2]|0)!=0?106:28;g=20}else{g=IR(e,a)|0}i=f;return g|0}function UR(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;f=i;e=a;a=b;b=a;if((b|0)==17){c[e>>2]=(c[e+16>>2]|0)!=0?106:28;g=c[e+8>>2]|0;h=g;i=f;return h|0}else if((b|0)==15){g=c[e+8>>2]|0;h=g;i=f;return h|0}else{g=IR(e,a)|0;h=g;i=f;return h|0}return 0}function VR(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=d;d=e;e=f;f=a;do{if((f|0)==15){j=39;k=j;i=g;return k|0}else if((f|0)==18){if((qe[c[e+28>>2]&127](e,b,d,9999232)|0)!=0){c[h>>2]=52;c[h+8>>2]=39;j=42;k=j;i=g;return k|0}if((qe[c[e+28>>2]&127](e,b,d,9999272)|0)==0){break}c[h>>2]=52;c[h+8>>2]=39;j=41;k=j;i=g;return k|0}else if((f|0)==23){c[h>>2]=62;c[h+4>>2]=1;j=44;k=j;i=g;return k|0}}while(0);j=IR(h,a)|0;k=j;i=g;return k|0}function WR(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=f;a:do{switch(a|0){case 30:{c[h>>2]=56;j=53;break};case 15:{j=39;break};case 20:{if((qe[c[b+28>>2]&127](b,d+(c[b+68>>2]|0)|0,e,9999080)|0)!=0){c[h>>2]=64;j=43;break a}else{k=11;break a}break};case 32:{c[h>>2]=56;j=54;break};case 18:case 41:{c[h>>2]=56;j=51;break};case 31:{c[h>>2]=56;j=52;break};case 23:{c[h+4>>2]=2;c[h>>2]=70;j=44;break};default:{k=11}}}while(0);if((k|0)==11){j=IR(h,a)|0}i=g;return j|0}function XR(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==24){c[e>>2]=52;c[e+8>>2]=39;g=45}else if((b|0)==21){c[e>>2]=58;g=39}else if((b|0)==15){g=39}else if((b|0)==36){c[e>>2]=52;c[e+8>>2]=39;g=46}else{g=IR(e,a)|0}i=f;return g|0}function YR(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;switch(a|0){case 32:{c[e>>2]=56;g=54;break};case 18:case 41:{c[e>>2]=56;g=51;break};case 31:{c[e>>2]=56;g=52;break};case 15:{g=39;break};case 30:{c[e>>2]=56;g=53;break};case 23:{b=e+4|0;c[b>>2]=(c[b>>2]|0)+1;g=44;break};default:{g=IR(e,a)|0}}i=f;return g|0}function ZR(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;f=i;e=a;a=b;switch(a|0){case 15:{g=39;h=g;i=f;return h|0};case 21:{c[e>>2]=70;g=49;h=g;i=f;return h|0};case 38:{c[e>>2]=70;g=50;h=g;i=f;return h|0};case 37:{b=e+4|0;c[b>>2]=(c[b>>2]|0)-1;if((c[e+4>>2]|0)==0){c[e>>2]=52;c[e+8>>2]=39}g=48;h=g;i=f;return h|0};case 35:{b=e+4|0;c[b>>2]=(c[b>>2]|0)-1;if((c[e+4>>2]|0)==0){c[e>>2]=52;c[e+8>>2]=39}g=47;h=g;i=f;return h|0};case 36:{b=e+4|0;c[b>>2]=(c[b>>2]|0)-1;if((c[e+4>>2]|0)==0){c[e>>2]=52;c[e+8>>2]=39}g=46;h=g;i=f;return h|0};case 24:{b=e+4|0;c[b>>2]=(c[b>>2]|0)-1;if((c[e+4>>2]|0)==0){c[e>>2]=52;c[e+8>>2]=39}g=45;h=g;i=f;return h|0};default:{g=IR(e,a)|0;h=g;i=f;return h|0}}return 0}function _R(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=39}else if((b|0)==18|(b|0)==41){c[e>>2]=60;g=51}else{g=IR(e,a)|0}i=f;return g|0}function $R(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==36){c[e>>2]=52;c[e+8>>2]=39;g=46}else if((b|0)==15){g=39}else if((b|0)==21){c[e>>2]=58;g=39}else{g=IR(e,a)|0}i=f;return g|0}function aS(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==17){c[e>>2]=(c[e+16>>2]|0)!=0?106:28;g=33}else if((b|0)==18|(b|0)==41){c[e>>2]=94;g=22}else if((b|0)==15){g=33}else{g=IR(e,a)|0}i=f;return g|0}function bS(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0;g=i;h=a;a=b;b=d;d=e;e=f;f=a;do{if((f|0)==15){j=33;k=j;i=g;return k|0}else if((f|0)==23){c[h>>2]=92;j=33;k=j;i=g;return k|0}else if((f|0)==18){l=0;while(1){if((l|0)>=8){break}if((qe[c[e+28>>2]&127](e,b,d,c[20528+(l<<2)>>2]|0)|0)!=0){m=6;break}l=l+1|0}if((m|0)==6){c[h>>2]=80;j=l+23|0;k=j;i=g;return k|0}if((qe[c[e+28>>2]&127](e,b,d,9999088)|0)==0){break}c[h>>2]=82;j=33;k=j;i=g;return k|0}}while(0);j=IR(h,a)|0;k=j;i=g;return k|0}function cS(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=d;d=e;e=f;f=a;do{if((f|0)==20){if((qe[c[e+28>>2]&127](e,b+(c[e+68>>2]|0)|0,d,9999160)|0)!=0){c[h>>2]=88;j=35;k=j;i=g;return k|0}if((qe[c[e+28>>2]&127](e,b+(c[e+68>>2]|0)|0,d,9999056)|0)!=0){c[h>>2]=88;j=36;k=j;i=g;return k|0}if((qe[c[e+28>>2]&127](e,b+(c[e+68>>2]|0)|0,d,9999200)|0)==0){break}c[h>>2]=78;j=33;k=j;i=g;return k|0}else if((f|0)==15){j=33;k=j;i=g;return k|0}else if((f|0)==27){c[h>>2]=88;j=37;k=j;i=g;return k|0}}while(0);j=IR(h,a)|0;k=j;i=g;return k|0}function dS(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=33}else if((b|0)==23){c[e>>2]=14;g=33}else{g=IR(e,a)|0}i=f;return g|0}function eS(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==19|(b|0)==18|(b|0)==41){c[e>>2]=84;g=31}else if((b|0)==15){g=33}else{g=IR(e,a)|0}i=f;return g|0}function fS(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=33}else if((b|0)==24){c[e>>2]=80;g=33}else if((b|0)==21){c[e>>2]=92;g=33}else{g=IR(e,a)|0}i=f;return g|0}function gS(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==18){c[e>>2]=86;g=32}else if((b|0)==15){g=33}else{g=IR(e,a)|0}i=f;return g|0}function hS(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==21){c[e>>2]=14;g=33}else if((b|0)==15){g=33}else if((b|0)==24){c[e>>2]=80;g=33}else{g=IR(e,a)|0}i=f;return g|0}function iS(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==27){c[e>>2]=88;g=38}else if((b|0)==15){g=33}else{g=IR(e,a)|0}i=f;return g|0}function jS(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=11}else if((b|0)==18){c[e>>2]=16;g=10}else{g=IR(e,a)|0}i=f;return g|0}function kS(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=d;d=e;e=f;f=a;do{if((f|0)==27){c[h>>2]=52;c[h+8>>2]=11;j=12;k=j;i=g;return k|0}else if((f|0)==18){if((qe[c[e+28>>2]&127](e,b,d,9999048)|0)!=0){c[h>>2]=112;j=11;k=j;i=g;return k|0}if((qe[c[e+28>>2]&127](e,b,d,9999072)|0)==0){break}c[h>>2]=36;j=11;k=j;i=g;return k|0}else if((f|0)==15){j=11;k=j;i=g;return k|0}}while(0);j=IR(h,a)|0;k=j;i=g;return k|0}function lS(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=11}else if((b|0)==27){c[e>>2]=72;g=13}else{g=IR(e,a)|0}i=f;return g|0}function mS(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=11}else if((b|0)==27){c[e>>2]=112;g=14}else{g=IR(e,a)|0}i=f;return g|0}function nS(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=f;f=a;do{if((f|0)==18){if((qe[c[b+28>>2]&127](b,d,e,9999128)|0)==0){break}c[h>>2]=42;j=11;k=j;i=g;return k|0}else if((f|0)==17){c[h>>2]=(c[h+16>>2]|0)!=0?106:28;j=15;k=j;i=g;return k|0}else if((f|0)==15){j=11;k=j;i=g;return k|0}}while(0);j=IR(h,a)|0;k=j;i=g;return k|0}function oS(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=11}else if((b|0)==18){c[e>>2]=52;c[e+8>>2]=11;g=16}else{g=IR(e,a)|0}i=f;return g|0}function pS(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=d;d=e;e=f;f=a;do{if((f|0)==27){c[h>>2]=52;c[h+8>>2]=11;j=12;k=j;i=g;return k|0}else if((f|0)==15){j=11;k=j;i=g;return k|0}else if((f|0)==18){if((qe[c[e+28>>2]&127](e,b,d,9999048)|0)!=0){c[h>>2]=32;j=11;k=j;i=g;return k|0}if((qe[c[e+28>>2]&127](e,b,d,9999072)|0)==0){break}c[h>>2]=30;j=11;k=j;i=g;return k|0}}while(0);j=IR(h,a)|0;k=j;i=g;return k|0}function qS(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==27){c[e>>2]=44;g=13}else if((b|0)==15){g=11}else{g=IR(e,a)|0}i=f;return g|0}function rS(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=11}else if((b|0)==27){c[e>>2]=32;g=14}else{g=IR(e,a)|0}i=f;return g|0}function sS(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=11}else if((b|0)==17){c[e>>2]=(c[e+16>>2]|0)!=0?106:28;g=15}else{g=IR(e,a)|0}i=f;return g|0}function tS(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==25){c[e>>2]=28;d=e+12|0;c[d>>2]=(c[d>>2]|0)+1;g=0}else if((b|0)==15){g=0}else{g=IR(e,a)|0}i=f;return g|0}function uS(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==25){c[e>>2]=28;g=58}else if((b|0)==15){g=0}else{g=IR(e,a)|0}i=f;return g|0}function vS(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=f;a:do{switch(a|0){case 15:{j=0;break};case 29:{c[h>>2]=110;j=2;break};case 13:{j=56;break};case 11:{j=55;break};case 14:{j=0;break};case 16:{if((qe[c[b+28>>2]&127](b,d+(c[b+68>>2]<<1)|0,e,9999248)|0)!=0){c[h>>2]=96;j=3;break a}else{k=10;break a}break};default:{k=10}}}while(0);if((k|0)==10){j=IR(h,a)|0}i=g;return j|0}function wS(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=3}else if((b|0)==18|(b|0)==41){c[e>>2]=122;g=4}else{g=IR(e,a)|0}i=f;return g|0}function xS(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=d;d=e;e=f;f=a;do{if((f|0)==25){c[h>>2]=106;j=7}else if((f|0)==18){if((qe[c[e+28>>2]&127](e,b,d,9999048)|0)!=0){c[h>>2]=124;j=3;break}if((qe[c[e+28>>2]&127](e,b,d,9999072)|0)!=0){c[h>>2]=100;j=3;break}else{k=10;break}}else if((f|0)==15){j=3}else if((f|0)==17){c[h>>2]=74;j=8}else{k=10}}while(0);if((k|0)==10){j=IR(h,a)|0}i=g;return j|0}function yS(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=3}else if((b|0)==27){c[e>>2]=118;g=5}else{g=IR(e,a)|0}i=f;return g|0}function zS(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==27){c[e>>2]=124;g=6}else if((b|0)==15){g=3}else{g=IR(e,a)|0}i=f;return g|0}function AS(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=3}else if((b|0)==25){c[e>>2]=106;g=7}else if((b|0)==17){c[e>>2]=74;g=8}else{g=IR(e,a)|0}i=f;return g|0}function BS(){return}function CS(){return}function DS(){Kc(10009240,0)|0;CS();return}function ES(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0;b=i;if((a|0)==0){d=c[u>>2]|0;Ya(32080,29,1,d|0)|0;Ta(d|0)|0;e=0;i=b;return e|0}d=c[a>>2]|0;if((d|0)<0){f=c[u>>2]|0;Ya(9964560,54,1,f|0)|0;Ta(f|0)|0;e=0;i=b;return e|0}f=c[a+4>>2]|0;if((f|0)==0){a=c[u>>2]|0;Ya(9942824,47,1,a|0)|0;Ta(a|0)|0;e=0;i=b;return e|0}else{g=0}while(1){if((g|0)>=(d|0)){e=1;h=10;break}j=c[f+(g<<2)>>2]|0;if((j|0)<0){break}else{g=g+1|0}}if((h|0)==10){i=b;return e|0}h=c[u>>2]|0;td(h|0,48712,(f=i,i=i+16|0,c[f>>2]=g,c[f+8>>2]=j,f)|0)|0;i=f;Ta(h|0)|0;e=0;i=b;return e|0}function FS(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;d=i;e=c[a>>2]|0;f=c[b>>2]|0;if((e|0)!=(f|0)){td(c[u>>2]|0,9977680,(g=i,i=i+16|0,c[g>>2]=e,c[g+8>>2]=f,g)|0)|0;i=g;h=0;i=d;return h|0}f=a+4|0;a=b+4|0;b=0;while(1){if((b|0)>=(e|0)){h=1;j=7;break}k=c[(c[f>>2]|0)+(b<<2)>>2]|0;l=c[(c[a>>2]|0)+(b<<2)>>2]|0;if((k|0)==(l|0)){b=b+1|0}else{break}}if((j|0)==7){i=d;return h|0}td(c[u>>2]|0,9974416,(g=i,i=i+32|0,c[g>>2]=b,c[g+8>>2]=b,c[g+16>>2]=k,c[g+24>>2]=l,g)|0)|0;i=g;h=0;i=d;return h|0}function GS(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=i;e=c[a>>2]|0;f=c[b>>2]|0;if((e|0)!=(f|0)){g=c[u>>2]|0;td(g|0,9971488,(h=i,i=i+16|0,c[h>>2]=e,c[h+8>>2]=f,h)|0)|0;i=h;Ta(g|0)|0;j=0;i=d;return j|0}if((e|0)<=0){j=1;i=d;return j|0}g=c[a+4>>2]|0;f=a+12|0;a=b+4|0;b=0;a:while(1){k=c[g+(b<<2)>>2]|0;l=c[(c[f>>2]|0)+(b<<2)>>2]|0;if((k|0)==0){m=c[l>>2]|0;n=c[(c[a>>2]|0)+(b<<2)>>2]|0;if((m|0)<1|(m|0)>(n|0)){o=7;break}}b:do{if((l|0)!=0){p=0;while(1){if((p|0)>=(k|0)){break b}q=c[l+(p<<2)>>2]|0;r=c[(c[a>>2]|0)+(b<<2)>>2]|0;if((q|0)<1){o=12;break a}if((q|0)>(r|0)){o=12;break a}else{p=p+1|0}}}}while(0);l=b+1|0;if((l|0)<(e|0)){b=l}else{j=1;o=14;break}}if((o|0)==7){e=c[u>>2]|0;td(e|0,9969384,(h=i,i=i+32|0,c[h>>2]=b,c[h+8>>2]=m,c[h+16>>2]=b,c[h+24>>2]=n,h)|0)|0;i=h;Ta(e|0)|0;j=0;i=d;return j|0}else if((o|0)==12){e=c[u>>2]|0;td(e|0,9967184,(h=i,i=i+40|0,c[h>>2]=b,c[h+8>>2]=p,c[h+16>>2]=q,c[h+24>>2]=b,c[h+32>>2]=r,h)|0)|0;i=h;Ta(e|0)|0;j=0;i=d;return j|0}else if((o|0)==14){i=d;return j|0}return 0}function HS(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=c[a>>2]|0;if((b|0)<=0){d=1;return d|0}e=c[a+4>>2]|0;a=0;f=1;while(1){g=ga(c[e+(a<<2)>>2]|0,f)|0;h=a+1|0;if((h|0)<(b|0)){a=h;f=g}else{d=g;break}}return d|0}function IS(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;c[a>>2]=1;e=CT(1)|0;c[a+4>>2]=e;c[e>>2]=b;c[a+8>>2]=d;return}function JS(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;c[a>>2]=b;e=a+4|0;c[e>>2]=CT(b)|0;if((b|0)>0){f=0;g=1}else{h=1;return h|0}while(1){a=(B=c[d+4>>2]|0,c[d+4>>2]=B+8,c[(c[d>>2]|0)+B>>2]|0);c[(c[e>>2]|0)+(f<<2)>>2]=a;i=ga(a,g)|0;a=f+1|0;if((a|0)<(b|0)){f=a;g=i}else{h=i;break}}return h|0}function KS(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;if((ES(a)|0)==0){od(9965056,33008,262,9984680)}d=c[a>>2]|0;e=b|0;c[e>>2]=d;f=CT(d)|0;c[b+4>>2]=f;if((f|0)==0){od(9962800,33008,266,9984680)}b=c[e>>2]|0;if((b|0)<=0){return}e=c[a+4>>2]|0;a=0;do{c[f+(a<<2)>>2]=c[e+(a<<2)>>2];a=a+1|0;}while((a|0)<(b|0));return}function LS(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0;if((ES(d)|0)==0){od(9960728,33008,286,9984704);return 0}if((cT(e)|0)==0){od(9958728,33008,287,9984704);return 0}if((GS(e,d)|0)==0){od(9956592,33008,288,9984704);return 0}if((c[d>>2]|0)!=(a|0)){od(9954048,33008,289,9984704);return 0}if((c[e>>2]|0)!=(a|0)){od(9954048,33008,289,9984704);return 0}if((a|0)<=0){f=0;return f|0}g=c[e+12>>2]|0;e=c[d+4>>2]|0;d=0;h=0;while(1){i=c[b+(h<<2)>>2]|0;j=c[g+(h<<2)>>2]|0;if((j|0)==0){k=i}else{k=(c[j+(i<<2)>>2]|0)-1|0}i=(ga(c[e+(h<<2)>>2]|0,d)|0)+k|0;j=h+1|0;if((j|0)<(a|0)){d=i;h=j}else{f=i;break}}return f|0}function MS(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;e=i;if((b|0)<=0){f=0;i=e;return f|0}g=a+4|0;a=0;h=0;while(1){j=(B=c[d+4>>2]|0,c[d+4>>2]=B+8,c[(c[d>>2]|0)+B>>2]|0);k=j-1|0;l=c[(c[g>>2]|0)+(h<<2)>>2]|0;if((j|0)>0&(k|0)<(l|0)){m=l;n=h+1|0}else{o=h+1|0;ue[c[2162]&63](0,18544,9948024,(p=i,i=i+24|0,c[p>>2]=o,c[p+8>>2]=l,c[p+16>>2]=j,p)|0);i=p;m=c[(c[g>>2]|0)+(h<<2)>>2]|0;n=o}o=(ga(m,a)|0)+k|0;if((n|0)<(b|0)){a=o;h=n}else{f=o;break}}i=e;return f|0}function NS(a,b){a=a|0;b=b|0;if((ES(a)|0)==0){od(9945816,33008,347,9984416);return 0}if((b|0)<=0){od(9943608,33008,348,9984416);return 0}if((c[a>>2]|0)<(b|0)){od(9943608,33008,348,9984416);return 0}else{return c[(c[a+4>>2]|0)+(b-1<<2)>>2]|0}return 0}function OS(){Qla(10000064|0,0|0,112|0)|0;Qla(10009328|0,0|0,112|0)|0;Qla(10009440|0,0|0,112|0)|0;c[2500017]=1;c[2500018]=1;return}function PS(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0;d=i;e=b;b=i;i=i+24|0;c[b>>2]=c[e>>2];c[b+4>>2]=c[e+4>>2];c[b+8>>2]=c[e+8>>2];c[b+12>>2]=c[e+12>>2];c[b+16>>2]=c[e+16>>2];c[b+20>>2]=c[e+20>>2];e=c[b+4>>2]|0;f=c[b+8>>2]|0;g=c[b+12>>2]|0;h=c[b+16>>2]|0;j=(c[b+20>>2]|0)!=0?37984:37608;td(a|0,38384,(a=i,i=i+48|0,c[a>>2]=c[b>>2],c[a+8>>2]=e,c[a+16>>2]=f,c[a+24>>2]=g,c[a+32>>2]=h,c[a+40>>2]=j,a)|0)|0;i=a;i=d;return}function QS(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;h=i;j=10009440+(d<<2)|0;k=10009328+(d<<2)|0;l=9998680+(b<<2)|0;m=9998704+(d<<2)|0;n=(g|0)!=0;g=f;f=e;a:while(1){b:do{if(n){Ac(34848,(o=i,i=i+8|0,c[o>>2]=34472,o)|0)|0;i=o;p=34472}else{if((c[2502388]|0)==(d|0)){if((c[k>>2]|0)>0){q=34472}else{r=5}}else{r=5}if((r|0)==5){r=0;q=c[m>>2]|0}Ac(34848,(o=i,i=i+8|0,c[o>>2]=q,o)|0)|0;i=o;do{if((c[2502388]|0)==(d|0)){if((c[j>>2]|0)!=(b|0)){break}if((c[k>>2]|0)>0){p=34472;break b}}}while(0);p=c[l>>2]|0}}while(0);Ac(34144,(o=i,i=i+8|0,c[o>>2]=p,o)|0)|0;i=o;c[j>>2]=b;c[2502388]=d;if((c[k>>2]|0)>0){e=0;while(1){Ac(33704,(o=i,i=i+1|0,i=i+7&-8,c[o>>2]=0,o)|0)|0;i=o;s=e+1|0;if((s|0)<(c[k>>2]|0)){e=s}else{t=0;break}}}else{t=0}while(1){u=g+t|0;e=a[u]|0;if((e<<24>>24|0)==10){break}else if((e<<24>>24|0)==0){break a}t=t+1|0}a[u]=0;Ic(g|0)|0;n=1;g=g+(t+1)|0;f=0}Ic(g|0)|0;Ta(0)|0;if((f|0)==0){i=h;return}c[k>>2]=(c[k>>2]|0)+1;i=h;return}function RS(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0;f=i;h=c[9998680+(a<<2)>>2]|0;Ac(32904,(a=i,i=i+16|0,c[a>>2]=c[9998704+(b<<2)>>2],c[a+8>>2]=h,a)|0)|0;i=a;SS(e);if((g|0)==0){e=c[r>>2]|0;_a(((d|0)!=0?32560:31128)|0,e|0)|0;j=e;k=Ta(j|0)|0;i=f;return}Ic(7888)|0;if((c[g>>2]|0)>=1){e=1;do{Ac(32232,(a=i,i=i+8|0,c[a>>2]=c[g+(e<<2)>>2],a)|0)|0;i=a;e=e+1|0;}while((e|0)<=(c[g>>2]|0))}g=c[r>>2]|0;if((d|0)!=0){j=g;k=Ta(j|0)|0;i=f;return}Ya(31744,11,1,g|0)|0;j=g;k=Ta(j|0)|0;i=f;return}function SS(b){b=b|0;var d=0,e=0;d=c[r>>2]|0;e=b;while(1){b=a[e]|0;if((b<<24>>24|0)==62){Ya(29912,4,1,d|0)|0}else if((b<<24>>24|0)==60){Ya(30376,4,1,d|0)|0}else if((b<<24>>24|0)==38){Ya(30712,5,1,d|0)|0}else if((b<<24>>24|0)==0){break}else{Wa(b<<24>>24|0,d|0)|0}e=e+1|0}return}function TS(a){a=a|0;var b=0;b=10009328+(a<<2)|0;c[b>>2]=(c[b>>2]|0)-1;return}function US(a){a=a|0;var b=0;b=(a|0)==0;c[3538]=b?36:12;c[3540]=b?190:138;return}function VS(a){a=a|0;a=c[r>>2]|0;Ya(31744,11,1,a|0)|0;Ta(a|0)|0;return}function WS(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0;g=i;i=i+2064|0;h=g+2048|0;if((c[10000064+(a<<2)>>2]|0)==0){i=g;return}j=h;c[j>>2]=f;c[j+4>>2]=0;j=g|0;md(j|0,2048,e|0,h|0)|0;he[c[3538]&63](1,a,b,j,0,d);i=g;return}function XS(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;f=i;i=i+2064|0;g=f+2048|0;if((c[10000064+(a<<2)>>2]|0)==0){i=f;return}h=g;c[h>>2]=e;c[h+4>>2]=0;h=f|0;md(h|0,2048,d|0,g|0)|0;he[c[3538]&63](1,a,b,h,0,0);i=f;return}function YS(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;i=i+2064|0;h=g|0;j=g+2048|0;do{if((c[2500100]|0)==0){if((c[10000064+(a<<2)>>2]|0)!=0){break}i=g;return}}while(0);k=j;c[k>>2]=f;c[k+4>>2]=0;k=h|0;md(k|0,2048,e|0,j|0)|0;he[c[3538]&63](2,a,b,k,0,d);i=g;return}function ZS(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;f=i;i=i+2064|0;g=f|0;h=f+2048|0;do{if((c[2500100]|0)==0){if((c[10000064+(a<<2)>>2]|0)!=0){break}i=f;return}}while(0);j=h;c[j>>2]=e;c[j+4>>2]=0;j=g|0;md(j|0,2048,d|0,h|0)|0;he[c[3538]&63](2,a,b,j,0,0);i=f;return}function _S(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0;f=i;i=i+2064|0;g=f+2048|0;if((b|0)!=0){i=f;return}b=g;c[b>>2]=e;c[b+4>>2]=0;b=f|0;md(b|0,2048,d|0,g|0)|0;he[c[3538]&63](4,2,0,b,0,0);if((a|0)!=0){h=a;j=h+76|0;k=c[j>>2]|0;l=k|0;Jd(l|0,1)}h=xd(c[2502310]|0)|0;j=h+76|0;k=c[j>>2]|0;l=k|0;Jd(l|0,1)}function $S(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0;e=i;i=i+2064|0;f=e+2048|0;g=f;c[g>>2]=d;c[g+4>>2]=0;g=e|0;md(g|0,2048,b|0,f|0)|0;he[c[3538]&63](5,2,0,g,0,0);if((a|0)!=0){h=a;j=h+76|0;k=c[j>>2]|0;l=k|0;Jd(l|0,1)}h=xd(c[2502310]|0)|0;j=h+76|0;k=c[j>>2]|0;l=k|0;Jd(l|0,1)}function aT(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;f=i;i=i+2064|0;g=f+2048|0;h=g;c[h>>2]=e;c[h+4>>2]=0;h=f|0;md(h|0,2048,d|0,g|0)|0;he[c[3538]&63](5,2,0,h,0,b);if((a|0)!=0){j=a;k=j+76|0;l=c[k>>2]|0;m=l|0;Jd(m|0,1)}j=xd(c[2502310]|0)|0;k=j+76|0;l=c[k>>2]|0;m=l|0;Jd(m|0,1)}function bT(a,b,d,e,f,g){a=a|0;b=+b;d=d|0;e=e|0;f=+f;g=g|0;var j=0,k=0;j=i;if(g<<24>>24==0){aT(a,e,9977440,(k=i,i=i+16|0,h[k>>3]=f,c[k+8>>2]=d,k)|0);i=k;return 0.0}else{YS(26,0,e,9961800,(k=i,i=i+16|0,h[k>>3]=f,c[k+8>>2]=d,k)|0);i=k;i=j;return+b}return 0.0}function cT(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;b=i;if((a|0)==0){d=c[u>>2]|0;Ya(9960472,39,1,d|0)|0;Ta(d|0)|0;e=0;i=b;return e|0}d=c[a>>2]|0;if((d|0)<0){f=c[u>>2]|0;td(f|0,9977152,(g=i,i=i+8|0,c[g>>2]=d,g)|0)|0;i=g;Ta(f|0)|0;e=0;i=b;return e|0}f=c[a+4>>2]|0;if((f|0)==0){h=c[u>>2]|0;Ya(9953816,56,1,h|0)|0;Ta(h|0)|0;e=0;i=b;return e|0}h=c[a+12>>2]|0;if((h|0)==0){a=c[u>>2]|0;Ya(8089432,51,1,a|0)|0;Ta(a|0)|0;e=0;i=b;return e|0}else{j=0}while(1){if((j|0)>=(d|0)){e=1;k=14;break}l=c[f+(j<<2)>>2]|0;if((l|0)<0){k=11;break}if((c[h+(j<<2)>>2]|0)!=0|(l|0)==1){j=j+1|0}else{k=13;break}}if((k|0)==11){h=c[u>>2]|0;td(h|0,45344,(g=i,i=i+16|0,c[g>>2]=j,c[g+8>>2]=l,g)|0)|0;i=g;Ta(h|0)|0;e=0;i=b;return e|0}else if((k|0)==13){h=c[u>>2]|0;td(h|0,39960,(g=i,i=i+16|0,c[g>>2]=j,c[g+8>>2]=l,g)|0)|0;i=g;Ta(h|0)|0;e=0;i=b;return e|0}else if((k|0)==14){i=b;return e|0}return 0}function dT(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0;f=i;i=i+16|0;g=f|0;h=g|0;j=g;c[j>>2]=e;c[j+4>>2]=0;c[b>>2]=d;j=b+4|0;c[j>>2]=CT(d)|0;e=b+12|0;c[e>>2]=DT(d)|0;g=b+8|0;c[g>>2]=ET(d+1|0,1)|0;if((d|0)>0){k=0}else{i=f;return}do{c[(c[j>>2]|0)+(k<<2)>>2]=(B=c[h+4>>2]|0,c[h+4>>2]=B+8,c[(c[h>>2]|0)+B>>2]|0);c[(c[e>>2]|0)+(k<<2)>>2]=(B=c[h+4>>2]|0,c[h+4>>2]=B+8,c[(c[h>>2]|0)+B>>2]|0);a[(c[g>>2]|0)+k|0]=(B=c[h+4>>2]|0,c[h+4>>2]=B+8,c[(c[h>>2]|0)+B>>2]|0);k=k+1|0;}while((k|0)<(d|0));i=f;return}function eT(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=a-1|0;a=b+(e<<2)|0;f=(c[a>>2]|0)+1|0;c[a>>2]=f;if((f|0)<(c[d+(e<<2)>>2]|0)){g=0;return g|0}else{h=e}while(1){c[b+(h<<2)>>2]=0;if((h|0)==0){g=1;i=4;break}e=h-1|0;f=b+(e<<2)|0;a=(c[f>>2]|0)+1|0;c[f>>2]=a;if((a|0)<(c[d+(e<<2)>>2]|0)){g=0;i=4;break}else{h=e}}if((i|0)==4){return g|0}return 0}function fT(a,b){a=a|0;b=b|0;IS(a,b,BT(b)|0);return}function gT(a,b,d){a=a|0;b=b|0;d=d|0;c[a+(b<<2)>>2]=d;return}function hT(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0;if((d|0)==0){od(45184,9976776,176,9984624)}if((me[((d|0)>0?100:92)&127](b,e)|0)==0){fT(a,0);return}f=((e-b|0)/(d|0)|0)+1|0;fT(a,f);if((f|0)==0){return}e=a+8|0;a=0;g=b;while(1){gT(c[e>>2]|0,a,g);b=a+1|0;if(b>>>0<f>>>0){a=b;g=g+d|0}else{break}}return}function iT(a,b){a=a|0;b=b|0;return(a|0)<=(b|0)|0}function jT(a,b){a=a|0;b=b|0;return(a|0)>=(b|0)|0}function kT(a,b){a=a|0;b=b|0;return a+(b<<2)|0}function lT(a,b,d){a=a|0;b=b|0;d=d|0;return kT(c[a+8>>2]|0,d-1|0)|0}function mT(a){a=a|0;return c[a+8>>2]|0}function nT(a){a=a|0;var b=0,d=0,e=0;b=i;d=lla(16)|0;_S(0,(d|0)!=0|0,53440,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;c[d>>2]=0;c[d+4>>2]=0;c[d+8>>2]=a;c[d+12>>2]=0;i=b;return d|0}function oT(a){a=a|0;var b=0,d=0,e=0;if((a|0)==0){return}b=a|0;d=c[b>>2]|0;if((d|0)!=0){e=d;while(1){d=c[e+4>>2]|0;mla(c[e>>2]|0);mla(e);if((d|0)==0){break}else{e=d}}}c[a+12>>2]=0;c[b>>2]=0;c[a+4>>2]=0;return}function pT(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0;d=i;_S(0,(a|0)!=0|0,9972568,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;f=lla(8)|0;g=f;_S(0,(f|0)!=0|0,53440,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;h=a+8|0;j=lla(c[h>>2]|0)|0;c[f>>2]=j;_S(0,(j|0)!=0|0,53440,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;Pla(j|0,b|0,c[h>>2]|0)|0;h=a|0;c[f+4>>2]=c[h>>2];f=a+12|0;c[f>>2]=(c[f>>2]|0)+1;c[h>>2]=g;h=a+4|0;if((c[h>>2]|0)!=0){i=d;return}c[h>>2]=g;i=d;return}function qT(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0;d=i;_S(0,(a|0)!=0|0,9972568,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;f=lla(8)|0;g=f;_S(0,(f|0)!=0|0,53440,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;h=a+8|0;j=lla(c[h>>2]|0)|0;c[f>>2]=j;_S(0,(j|0)!=0|0,53440,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;Pla(j|0,b|0,c[h>>2]|0)|0;c[f+4>>2]=0;f=a+12|0;c[f>>2]=(c[f>>2]|0)+1;f=a+4|0;h=c[f>>2]|0;if((h|0)!=0){c[h+4>>2]=g}c[f>>2]=g;f=a|0;if((c[f>>2]|0)!=0){i=d;return}c[f>>2]=g;i=d;return}function rT(a){a=a|0;var b=0,d=0;b=i;_S(0,(a|0)!=0|0,9972568,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;i=b;return c[a+12>>2]|0}function sT(a){a=a|0;var b=0,d=0,e=0;b=i;_S(0,(a|0)!=0|0,9972568,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=a|0;_S(0,(c[e>>2]|0)!=0|0,9950928,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;i=b;return c[c[e>>2]>>2]|0}function tT(a){a=a|0;var b=0,d=0,e=0;if((a|0)==0){return}b=a|0;d=c[b>>2]|0;if((d|0)==0){return}e=c[d+4>>2]|0;mla(c[d>>2]|0);mla(c[b>>2]|0);c[b>>2]=e;b=a+12|0;c[b>>2]=(c[b>>2]|0)-1;if((e|0)!=0){return}c[a+4>>2]=0;return}function uT(a){a=a|0;var b=0,d=0,e=0;b=i;_S(0,(a|0)!=0|0,9972568,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=a|0;_S(0,(c[e>>2]|0)!=0|0,54056,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;i=b;return c[e>>2]|0}function vT(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;d=(a|0)!=0;_S(0,d&1,44400,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;if(!d){f=0;i=b;return f|0}f=c[a+4>>2]|0;i=b;return f|0}function wT(a){a=a|0;var b=0,d=0,e=0;b=i;_S(0,(a|0)!=0|0,44400,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=a|0;_S(0,(c[e>>2]|0)!=0|0,39200,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;i=b;return c[e>>2]|0}function xT(){var a=0;a=lla(16)|0;c[2502312]=a;c[a+4>>2]=0;c[a+8>>2]=2097152;c[a>>2]=lla(2097152)|0;c[a+12>>2]=0;return}function yT(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=FT(a)|0;d;GT(b);d=c[2502312]|0;a=d+4|0;e=c[a>>2]|0;f=(c[d>>2]|0)+e|0;c[a>>2]=e+b;g;Qla(f|0,0,b|0)|0;return f|0}function zT(){var a=0,b=0,d=0;a=c[2502312]|0;b=c[a+12>>2]|0;if((b|0)==0){d=a}else{a=b;while(1){b=c[a+12>>2]|0;mla(c[a>>2]|0);mla(a);if((b|0)==0){break}else{a=b}}d=c[2502312]|0}c[d+4>>2]=0;c[d+12>>2]=0;return 0}function AT(a){a=a|0;return ce[c[2172]&255](a<<3)|0}function BT(a){a=a|0;return ce[c[2172]&255](a<<2)|0}function CT(a){a=a|0;return ce[c[2172]&255](a<<2)|0}function DT(a){a=a|0;return ce[c[2171]&255](a<<2)|0}function ET(a,b){a=a|0;b=b|0;var d=0;d=ga(b,a)|0;return ce[c[2171]&255](d)|0}function FT(a){a=a|0;return a+7&-8|0}function GT(a){a=a|0;var b=0,d=0,e=0;b=c[2502312]|0;d=b+8|0;if(!(((c[d>>2]|0)-(c[b+4>>2]|0)|0)>>>0<a>>>0)){return}e=lla(16)|0;c[e+12>>2]=b;c[2502312]=e;c[e+4>>2]=0;b=HT((((c[d>>2]|0)*3|0)>>>1)+a|0)|0;c[e+8>>2]=b;c[e>>2]=lla(b)|0;return}function HT(a){a=a|0;var b=0;b=a-1|0;a=b>>>1|b;b=a>>>2|a;a=b>>>4|b;b=a>>>8|a;return(b>>>16|b)+1|0}function IT(a){a=a|0;return Nla(a|0)|0}function JT(b,c){b=+b;c=c|0;var d=0,e=0,f=0;d=i;i=i+440|0;e=d|0;f=e|0;a[f]=37;Wla(e+1|0,c|0)|0;c=d+40|0;Rb(c|0,f|0,(f=i,i=i+8|0,h[f>>3]=b,f)|0)|0;i=f;f=KT(c)|0;i=d;return f|0}function KT(a){a=a|0;var b=0,c=0;b=Nla(a|0)|0;c=MT(b)|0;Pla(c|0,a|0,b)|0;return c|0}function LT(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+440|0;f=e|0;g=f|0;a[g]=37;Wla(f+1|0,d|0)|0;d=e+40|0;Rb(d|0,g|0,(g=i,i=i+8|0,c[g>>2]=b,g)|0)|0;i=g;g=KT(d)|0;i=e;return g|0}function MT(b){b=b|0;var d=0;d=ce[c[2173]&255](b+1|0)|0;if((d|0)==0){return d|0}a[d+b|0]=0;return d|0}function NT(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=IT(a)|0;d=IT(b)|0;e=MT(d+c|0)|0;Pla(e|0,a|0,c)|0;Pla(e+c|0,b|0,d)|0;return e|0}function OT(a,b){a=a|0;b=b|0;return Lla(c[a>>2]|0,c[b>>2]|0)|0}function PT(a){a=a|0;var b=0,c=0,d=0,e=0;b=(a|0)%100|0;c=(b|0)/10|0;d=(a|0)%10|0;a:do{if((a+999|0)>>>0>1998>>>0){e=-1}else{if((((a|0)%1e3|0)+99|0)>>>0>198>>>0){e=-1;break}if((d|0)==2){e=-1;break}else if((d|0)==1){if((b-50|0)>>>0>9>>>0){e=-1;break}}switch(c|0){case 4:{e=2;break a;break};case 3:{e=2;break a;break};case 0:{e=8;break a;break};case 2:{e=4;break a;break};case 1:{e=4;break a;break};case 5:{e=1;break a;break};default:{e=-1;break a}}}}while(0);return e|0}function QT(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=a|0;d=c[b>>2]|0;if((d|0)!=0){Pa(d|0)|0;c[b>>2]=0}d=a+4|0;e=c[d>>2]|0;if((e|0)!=0){mla(e);c[d>>2]=0}d=a+8|0;if((c[d>>2]|0)!=0){e=a+12|0;f=0;do{mla(c[(c[e>>2]|0)+(f<<4)>>2]|0);mla(c[(c[e>>2]|0)+(f<<4)+4>>2]|0);f=f+1|0;}while(f>>>0<(c[d>>2]|0)>>>0)}c[d>>2]=0;if((c[b>>2]|0)!=0){b=a+12|0;mla(c[b>>2]|0);c[b>>2]=0}b=a+20|0;d=c[b>>2]|0;if((d|0)!=0){mla(d);c[b>>2]=0}b=a+24|0;d=c[b>>2]|0;f=a+40|0;if((d&2147483647|0)!=0){a=0;e=d;while(1){d=c[(c[f>>2]|0)+(a<<2)>>2]|0;if((d|0)==0){g=e}else{mla(d);g=c[b>>2]|0}d=a+1|0;if(d>>>0<g<<1>>>0){a=d;e=g}else{break}}}c[b>>2]=0;b=c[f>>2]|0;if((b|0)==0){return}mla(b);c[f>>2]=0;return}function RT(b){b=b|0;var c=0,d=0,e=0,f=0;c=0;d=0;while(1){e=a[b+c|0]|0;if(e<<24>>24==32){f=d}else{a[b+d|0]=e;f=d+1|0}e=c+1|0;if(e>>>0>(Nla(b|0)|0)>>>0){break}else{c=e;d=f}}return}function ST(b,d){b=b|0;d=d|0;var e=0,f=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0;e=i;i=i+88|0;f=e|0;j=e+24|0;k=e+72|0;Qla(d|0,0,48)|0;l=Cc(b|0,26496)|0;m=d|0;c[m>>2]=l;if((l|0)==0){n=dd(c[(cd()|0)>>2]|0)|0;i=e;return n|0}c[d+4>>2]=Qc(b|0)|0;c[d+36>>2]=0;b=f;l=d+44|0;o=f|0;p=f+12|0;q=f+16|0;r=f+4|0;s=f+8|0;f=j|0;t=k|0;u=d+8|0;v=d+12|0;w=d+16|0;x=d+20|0;y=d+28|0;z=d+24|0;A=d+32|0;B=d+40|0;d=1;C=0;a:while(1){D=pd(b|0,20,1,c[m>>2]|0)|0;a[l]=1;if((D|0)!=1){n=22696;E=131;break}D=c[o>>2]|0;if((D|0)!=(c[8592+(C<<2)>>2]|0)){if(!((C|0)>3&(D|0)==10)){n=9982312;E=131;break}a[l]=0}F=c[p>>2]|0;if(F>>>0>1>>>0){n=9978424;E=131;break}G=PT(D)|0;if((G|0)==-1){n=9975224;E=131;break}D=c[q>>2]|0;H=lla(D)|0;if((pd(H|0,D|0,1,c[m>>2]|0)|0)!=1){n=9972368;E=131;break}if((a[H+(D-1)|0]|0)!=0){n=9969984;E=131;break}D=c[r>>2]|0;I=c[s>>2]|0;J=ga(ga(ga(D,G)|0,I)|0,F+1|0)|0;if((Lla(H,c[8616+(C<<2)>>2]|0)|0)!=0){n=9968e3;E=131;break}mla(H);b:do{switch(C|0){case 4:{if((d<<24>>24|0)==1){if((D|0)==0){n=9952616;E=131;break a}if(!((I-1|0)>>>0<2>>>0)){n=9950792;E=131;break a}c[w>>2]=D;H=ga(I,D)|0;if((a[l]|0)==1){F=lla(H<<3)|0;c[x>>2]=F;if((pd(F|0,J|0,1,c[m>>2]|0)|0)!=1){n=9948944;E=131;break a}}else{F=lla(H<<2)|0;G=F;c[x>>2]=lla(ga(D<<3,I)|0)|0;if((pd(F|0,J|0,1,c[m>>2]|0)|0)!=1){n=9948944;E=131;break a}if((H|0)!=0){K=c[x>>2]|0;L=0;do{h[K+(L<<3)>>3]=+g[G+(L<<2)>>2];L=L+1|0;}while(L>>>0<H>>>0)}mla(F)}H=c[w>>2]|0;if(!(H>>>0>1>>>0)){M=1;E=130;break b}L=(I|0)==2;G=1;while(1){if(L){K=c[x>>2]|0;if(+h[K+(G<<3)>>3]!=+h[K+(H+G<<3)>>3]){n=9946672;E=131;break a}}K=G+1|0;if(K>>>0<H>>>0){G=K}else{M=1;E=130;break b}}}else if((d<<24>>24|0)!=0){N=d;E=129;break b}if((I|0)==0){n=9952616;E=131;break a}if(!((D-1|0)>>>0<2>>>0)){n=9944488;E=131;break a}c[w>>2]=I;G=ga(I,D)|0;if((a[l]|0)==1){H=lla(G<<3)|0;L=H;c[x>>2]=lla(ga(D<<3,I)|0)|0;if((pd(H|0,J|0,1,c[m>>2]|0)|0)!=1){n=9948944;E=131;break a}if((D|0)!=0){F=0;do{K=c[x>>2]|0;O=0;do{h[K+((ga(I,F)|0)+O<<3)>>3]=+h[L+((ga(D,O)|0)+F<<3)>>3];O=O+1|0;}while(O>>>0<I>>>0);F=F+1|0;}while(F>>>0<D>>>0)}mla(H)}else{F=lla(G<<2)|0;L=F;c[x>>2]=lla(ga(D<<3,I)|0)|0;if((pd(F|0,J|0,1,c[m>>2]|0)|0)!=1){n=9948944;E=131;break a}if((D|0)!=0){O=0;do{K=c[x>>2]|0;P=0;do{h[K+((ga(I,O)|0)+P<<3)>>3]=+g[L+((ga(D,P)|0)+O<<2)>>2];P=P+1|0;}while(P>>>0<I>>>0);O=O+1|0;}while(O>>>0<D>>>0)}mla(F)}O=c[w>>2]|0;if(!(O>>>0>1>>>0)){M=d;E=130;break b}L=(D|0)==2;G=1;while(1){if(L){H=c[x>>2]|0;if(+h[H+(G<<3)>>3]!=+h[H+(O+G<<3)>>3]){n=9946672;E=131;break a}}H=G+1|0;if(H>>>0<O>>>0){G=H}else{M=d;E=130;break}}break};case 3:{G=ga(I<<2,D)|0;Q=lla(G)|0;O=Q;if((pd(Q|0,G|0,1,c[m>>2]|0)|0)!=1){E=52;break a}do{if((d<<24>>24|0)==0){if((D|0)==0){break}G=c[v>>2]|0;L=0;do{c[G+(L<<4)+8>>2]=(c[O+(L<<2)>>2]|0)==1;c[G+(L<<4)+12>>2]=c[O+(D+L<<2)>>2];L=L+1|0;}while(L>>>0<D>>>0)}else if((d<<24>>24|0)==1){if((I|0)==0){break}L=c[v>>2]|0;G=0;do{F=ga(D,G)|0;c[L+(G<<4)+8>>2]=(c[O+(F<<2)>>2]|0)==1;c[L+(G<<4)+12>>2]=c[O+(F+1<<2)>>2];G=G+1|0;}while(G>>>0<I>>>0)}}while(0);mla(Q);Mc(c[v>>2]|0,c[u>>2]|0,16,58);M=d;E=130;break};case 0:{if((D|0)!=4){n=9965672;E=131;break a}if((I|0)!=11){n=9963544;E=131;break a}if((pd(f|0,44,1,c[m>>2]|0)|0)==1){R=0}else{n=9961376;E=131;break a}while(1){O=0;do{a[k+O|0]=a[j+((O<<2)+R)|0]|0;O=O+1|0;}while(O>>>0<11>>>0);a[k+11|0]=0;if((R|0)==3){break}O=R+1|0;if(O>>>0<4>>>0){R=O}else{M=d;E=130;break b}}if((Mla(t,c[4824]|0,8)|0)==0){M=1;E=130;break b}if((Mla(t,c[4826]|0,9)|0)==0){M=0;E=130}else{n=9959368;E=131;break a}break};case 1:{O=d<<24>>24==0;G=O?D:I;c[u>>2]=G;L=lla(G<<4)|0;c[v>>2]=L;c:do{if(d<<24>>24==1){if((I|0)==0){S=0;break}G=D+1|0;F=0;H=L;while(1){c[H+(F<<4)>>2]=lla(G)|0;if((pd(c[(c[v>>2]|0)+(F<<4)>>2]|0,D|0,1,c[m>>2]|0)|0)!=1){n=9957256;E=131;break a}a[(c[(c[v>>2]|0)+(F<<4)>>2]|0)+D|0]=0;P=c[v>>2]|0;c[P+(F<<4)+8>>2]=-1;c[P+(F<<4)+12>>2]=-1;RT(c[P+(F<<4)>>2]|0);P=F+1|0;if(!(P>>>0<I>>>0)){S=I;break c}F=P;H=c[v>>2]|0}}else{S=I}}while(0);if(!O){M=d;E=130;break b}L=ga(D,S)|0;T=lla(L+1|0)|0;if((pd(T|0,L|0,1,c[m>>2]|0)|0)!=1){E=33;break a}if((D|0)!=0){L=S+1|0;H=(S|0)==0;F=0;do{G=lla(L)|0;c[(c[v>>2]|0)+(F<<4)>>2]=G;if(!H){G=0;do{P=a[T+((ga(D,G)|0)+F)|0]|0;a[(c[(c[v>>2]|0)+(F<<4)>>2]|0)+G|0]=P;G=G+1|0;}while(G>>>0<S>>>0)}a[(c[(c[v>>2]|0)+(F<<4)>>2]|0)+S|0]=0;G=c[v>>2]|0;c[G+(F<<4)+8>>2]=-1;c[G+(F<<4)+12>>2]=-1;RT(c[G+(F<<4)>>2]|0);F=F+1|0;}while(F>>>0<D>>>0)}mla(T);M=0;E=130;break};case 2:{if((d<<24>>24|0)==1){if((I|0)==0){N=1;E=129;break b}F=D+1|0;H=0;while(1){L=lla(F)|0;c[(c[v>>2]|0)+(H<<4)+4>>2]=L;if((pd(c[(c[v>>2]|0)+(H<<4)+4>>2]|0,D|0,1,c[m>>2]|0)|0)!=1){n=9957256;E=131;break a}a[(c[(c[v>>2]|0)+(H<<4)+4>>2]|0)+D|0]=0;L=H+1|0;if(L>>>0<I>>>0){H=L}else{M=1;E=130;break b}}}else if((d<<24>>24|0)!=0){N=d;E=129;break b}H=ga(D,I)|0;U=lla(H+1|0)|0;if((pd(U|0,H|0,1,c[m>>2]|0)|0)!=1){E=46;break a}if((D|0)!=0){H=I+1|0;F=(I|0)==0;L=0;do{O=lla(H)|0;c[(c[v>>2]|0)+(L<<4)+4>>2]=O;if(!F){O=0;do{G=a[U+((ga(D,O)|0)+L)|0]|0;a[(c[(c[v>>2]|0)+(L<<4)+4>>2]|0)+O|0]=G;O=O+1|0;}while(O>>>0<I>>>0)}a[(c[(c[v>>2]|0)+(L<<4)+4>>2]|0)+I|0]=0;L=L+1|0;}while(L>>>0<D>>>0)}mla(U);M=0;E=130;break};case 5:{if((d<<24>>24|0)==1){c[y>>2]=I;if(I>>>0<2>>>0){n=9942184;E=131;break a}c[z>>2]=D;c[A>>2]=Pb(c[m>>2]|0)|0;c[B>>2]=nla(c[z>>2]<<1,4)|0;if((Bd(c[m>>2]|0,J|0,1)|0)==-1){n=9940496;E=131;break a}else{M=1;E=130;break b}}else if((d<<24>>24|0)!=0){n=0;E=131;break a}c[y>>2]=D;if(D>>>0<2>>>0){n=9942184;E=131;break a}c[z>>2]=I;c[A>>2]=Pb(c[m>>2]|0)|0;c[B>>2]=nla(c[z>>2]<<1,4)|0;L=ga(I,D)|0;if((a[l]|0)==1){F=lla(L<<3)|0;if((pd(F|0,J|0,1,c[m>>2]|0)|0)!=1){n=9940496;E=131;break a}if((I|0)!=0){H=D<<3;O=(D|0)==0;G=D<<3;P=0;do{K=lla(H)|0;c[(c[B>>2]|0)+(P<<2)>>2]=K;if(!O){K=F+(ga(G,P)|0)|0;Pla(c[(c[B>>2]|0)+(P<<2)>>2]|0,K|0,G)|0}P=P+1|0;}while(P>>>0<I>>>0)}P=c[z>>2]|0;G=P<<1;if(P>>>0<G>>>0){O=D<<3;H=(D|0)==0;K=P;do{V=lla(O)|0;c[(c[B>>2]|0)+(K<<2)>>2]=V;if(!H){V=c[B>>2]|0;W=c[V+(K-P<<2)>>2]|0;X=c[V+(K<<2)>>2]|0;V=0;do{h[X+(V<<3)>>3]=-0.0- +h[W+(V<<3)>>3];V=V+1|0;}while(V>>>0<D>>>0)}K=K+1|0;}while(K>>>0<G>>>0)}mla(F)}else{G=lla(L<<2)|0;K=G;if((pd(G|0,J|0,1,c[m>>2]|0)|0)!=1){n=9940496;E=131;break a}if((I|0)!=0){P=D<<3;H=(D|0)==0;O=0;do{V=lla(P)|0;c[(c[B>>2]|0)+(O<<2)>>2]=V;if(!H){V=c[(c[B>>2]|0)+(O<<2)>>2]|0;W=0;do{h[V+(W<<3)>>3]=+g[K+((ga(D,O)|0)+W<<2)>>2];W=W+1|0;}while(W>>>0<D>>>0)}O=O+1|0;}while(O>>>0<I>>>0)}O=c[z>>2]|0;K=O<<1;if(O>>>0<K>>>0){H=D<<3;P=(D|0)==0;L=O;do{F=lla(H)|0;c[(c[B>>2]|0)+(L<<2)>>2]=F;if(!P){F=c[B>>2]|0;W=c[F+(L-O<<2)>>2]|0;V=c[F+(L<<2)>>2]|0;F=0;do{h[V+(F<<3)>>3]=-0.0- +h[W+(F<<3)>>3];F=F+1|0;}while(F>>>0<D>>>0)}L=L+1|0;}while(L>>>0<K>>>0)}mla(G)}if((Bd(c[m>>2]|0,J|0,1)|0)==-1){n=9940496;E=131;break a}else{M=d;E=130}break};default:{n=9938616;E=131;break a}}}while(0);if((E|0)==129){E=0;d=N;C=C+1|0;continue}else if((E|0)==130){E=0;J=C+1|0;if((J|0)<6){d=M;C=J;continue}else{n=0;E=131;break}}}if((E|0)==33){mla(T);n=9957256;i=e;return n|0}else if((E|0)==46){mla(U);n=9957256;i=e;return n|0}else if((E|0)==52){mla(Q);n=9954800;i=e;return n|0}else if((E|0)==131){i=e;return n|0}return 0}function TT(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;i=i+16|0;e=d|0;c[e>>2]=b;b=sc(e|0,c[a+12>>2]|0,c[a+8>>2]|0,16,58)|0;i=d;return b|0}function UT(b,d){b=b|0;d=d|0;var e=0,f=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;e=(d|0)>-1?d:-d|0;f=(d|0)<0;if(f){i=(c[b+24>>2]|0)+e|0}else{i=e}d=i-1|0;if((e|0)==0){od(9936552,8090168,399,9984480);return 0}i=b+24|0;j=c[i>>2]|0;if(e>>>0>j>>>0){od(9936552,8090168,399,9984480);return 0}k=b+40|0;l=c[(c[k>>2]|0)+(d<<2)>>2]|0;if((l|0)!=0){m=l;return m|0}l=b+28|0;n=c[l>>2]|0;o=lla(n<<3)|0;p=o;a:do{if((a[b+44|0]|0)==1){if((n|0)==0){break}q=b|0;r=b+32|0;s=0;t=j;while(1){Bd(c[q>>2]|0,(c[r>>2]|0)-8+((ga(t,s)|0)+e<<3)|0,0)|0;u=p+(s<<3)|0;if((pd(u|0,8,1,c[q>>2]|0)|0)!=1){break}if(f){h[u>>3]=-0.0- +h[u>>3]}u=s+1|0;if(!(u>>>0<(c[l>>2]|0)>>>0)){break a}s=u;t=c[i>>2]|0}mla(o);m=0;return m|0}else{t=lla(n<<2)|0;s=t;q=b|0;r=b+32|0;u=0;v=n;while(1){if(!(u>>>0<v>>>0)){break}Bd(c[q>>2]|0,(c[r>>2]|0)-4+((ga(c[i>>2]|0,u)|0)+e<<2)|0,0)|0;if((pd(s+(u<<2)|0,4,1,c[q>>2]|0)|0)!=1){w=20;break}u=u+1|0;v=c[l>>2]|0}if((w|0)==20){mla(t);mla(o);m=0;return m|0}u=(v|0)==0;do{if(f){if(u){break}else{x=0}do{h[p+(x<<3)>>3]=-0.0- +g[s+(x<<2)>>2];x=x+1|0;}while(x>>>0<v>>>0)}else{if(u){break}else{y=0}do{h[p+(y<<3)>>3]=+g[s+(y<<2)>>2];y=y+1|0;}while(y>>>0<v>>>0)}}while(0);mla(t)}}while(0);c[(c[k>>2]|0)+(d<<2)>>2]=p;m=c[(c[k>>2]|0)+(d<<2)>>2]|0;return m|0}function VT(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0,r=0,s=0.0,t=0.0;j=i;i=i+8|0;k=j|0;l=(e|0)>-1?e:-e|0;m=(e|0)<0;if(m){n=(c[d+24>>2]|0)+l|0}else{n=l}if((l|0)==0){od(9936552,8090168,519,9984504);return 0.0}e=c[d+24>>2]|0;if(l>>>0>e>>>0){od(9936552,8090168,519,9984504);return 0.0}o=c[(c[d+40>>2]|0)+(n-1<<2)>>2]|0;if((o|0)!=0){h[b>>3]=+h[o+(f<<3)>>3];p=0.0;i=j;return+p}o=d|0;n=c[o>>2]|0;q=c[d+32>>2]|0;r=l-1+(ga(e,f)|0)|0;do{if((a[d+44|0]|0)==1){Bd(n|0,q+(r<<3)|0,0)|0;f=(pd(b|0,8,1,c[o>>2]|0)|0)!=1;if(f|m^1){p=f?1.0:0.0;i=j;return+p}else{s=+h[b>>3];break}}else{Bd(n|0,q+(r<<2)|0,0)|0;if((pd(k|0,4,1,c[o>>2]|0)|0)!=1){p=1.0;i=j;return+p}t=+g[k>>2];h[b>>3]=t;if(m){s=t;break}else{p=0.0}i=j;return+p}}while(0);h[b>>3]=-0.0-s;p=0.0;i=j;return+p}function WT(a,b,d,e,f,g,i){a=+a;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;var j=0,k=0,l=0.0,m=0,n=0.0,o=0,p=0,q=0,r=0,s=0.0,t=0,u=0;j=d-1|0;d=0;while(1){k=((j-d|0)/2|0)+d|0;l=+h[b+(k<<3)>>3];if(l==a){m=k;n=l;o=3;break}p=l<a;q=p?k+1|0:d;r=p?j:k-1|0;if((r|0)>(q|0)){j=r;d=q}else{break}}if((o|0)==3){while(1){o=0;if((m|0)>=(j|0)){break}d=m+1|0;l=+h[b+(d<<3)>>3];if(n==l){m=d;n=l;o=3}else{break}}c[e>>2]=m;h[f>>3]=1.0;c[g>>2]=-1;s=0.0;h[i>>3]=s;return}do{if((r|0)==(q|0)){if(+h[b+(q<<3)>>3]<a){t=q+1|0;u=q;break}else{t=q;u=q-1|0;break}}else{t=r;u=q}}while(0);c[e>>2]=t;c[g>>2]=u;n=+h[b+(u<<3)>>3];l=(a-n)/(+h[b+(t<<3)>>3]-n);h[f>>3]=l;s=1.0-l;h[i>>3]=s;return}function XT(a){a=a|0;return+(+h[c[a+20>>2]>>3])}function YT(a){a=a|0;return+(+h[(c[a+20>>2]|0)+(c[a+16>>2]<<3)>>3])}function ZT(a,b,d,e){a=a|0;b=b|0;d=d|0;e=+e;var f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0;f=i;i=i+48|0;g=f|0;j=f+8|0;k=f+16|0;l=f+24|0;m=f+32|0;n=f+40|0;if((c[d+8>>2]|0)!=0){o=c[d+12>>2]|0;if((o|0)<0){p=-0.0- +h[(c[b+20>>2]|0)+(~o<<3)>>3]}else{p=+h[(c[b+20>>2]|0)+(o-1<<3)>>3]}h[a>>3]=p;q=0;i=f;return q|0}if(+YT(b)<e){q=1;i=f;return q|0}if(+XT(b)>e){q=1;i=f;return q|0}if((UT(b,1)|0)==0){q=1;i=f;return q|0}WT(e,c[c[b+40>>2]>>2]|0,c[b+28>>2]|0,m,g,n,j);o=c[n>>2]|0;if((o|0)==-1){q=~~+VT(a,b,c[d+12>>2]|0,c[m>>2]|0);i=f;return q|0}n=c[m>>2]|0;m=d+12|0;d=c[m>>2]|0;if((n|0)==-1){q=~~+VT(a,b,d,o);i=f;return q|0}if(+VT(k,b,d,n)!=0.0){q=1;i=f;return q|0}if(+VT(l,b,c[m>>2]|0,o)!=0.0){q=1;i=f;return q|0}h[a>>3]=+h[g>>3]*+h[k>>3]+ +h[j>>3]*+h[l>>3];q=0;i=f;return q|0}function _T(a,b){a=a|0;b=b|0;return+(+h[(c[a+8>>2]|0)+(b<<3)>>3])}function $T(a,b){a=a|0;b=b|0;IS(a,b,AT(b)|0);return}function aU(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=e|0;g=f;c[g>>2]=d;c[g+4>>2]=0;c[a+8>>2]=AT(JS(a,b,f|0)|0)|0;i=e;return}function bU(a){a=a|0;c[a+8>>2]=AT(HS(a)|0)|0;return}function cU(a,b){a=a|0;b=b|0;var d=0,e=0,f=0.0;if((ES(a)|0)==0){od(43392,9969808,127,9984656)}if((ES(b)|0)==0){od(9948768,9969808,128,9984656)}if((FS(a,b)|0)==0){od(50656,9969808,129,9984656)}d=HS(a)|0;if((d|0)==0){return}e=b+8|0;b=0;do{f=+_T(a,b);dU(c[e>>2]|0,b,f);b=b+1|0;}while(b>>>0<d>>>0);return}function dU(a,b,c){a=a|0;b=b|0;c=+c;h[a+(b<<3)>>3]=c;return}function eU(a,b){a=a|0;b=b|0;KS(a,b);bU(b);cU(a,b);return}function fU(a,b){a=a|0;b=b|0;return a+(b<<3)|0}function gU(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0.0;if((ES(a)|0)==0){od(43392,9969808,317,9984560)}if((ES(b)|0)==0){od(9948768,9969808,318,9984560)}if((cT(d)|0)==0){od(9975184,9969808,319,9984560)}if((GS(d,b)|0)==0){od(9972320,9969808,320,9984560)}e=d|0;f=c[e>>2]|0;if((f|0)>0){g=c[d+4>>2]|0;h=0;i=0;while(1){j=((c[g+(h<<2)>>2]|0)!=0)+i|0;k=h+1|0;if((k|0)<(f|0)){h=k;i=j}else{l=j;break}}}else{l=0}if((l|0)!=(c[a>>2]|0)){od(9969960,9969808,326,9984560)}l=b|0;i=CT(c[l>>2]|0)|0;h=CT(c[e>>2]|0)|0;if((c[e>>2]|0)>0){f=c[d+12>>2]|0;g=b+4|0;j=d+4|0;k=0;do{c[i+(k<<2)>>2]=0;if((c[f+(k<<2)>>2]|0)==0){c[h+(k<<2)>>2]=c[(c[g>>2]|0)+(k<<2)>>2]}else{c[h+(k<<2)>>2]=hU(c[(c[j>>2]|0)+(k<<2)>>2]|0)|0}k=k+1|0;}while((k|0)<(c[e>>2]|0))}k=b+8|0;j=0;do{g=LS(c[l>>2]|0,i,b,d)|0;m=+_T(a,j);dU(c[k>>2]|0,g,m);j=j+1|0;}while((eT(c[e>>2]|0,i,h)|0)==0);if((j|0)==(HS(a)|0)){return}else{od(9967960,9969808,367,9984560)}}function hU(a){a=a|0;return((a|0)<1?1:a)|0}function iU(a,b,d){a=a|0;b=b|0;d=d|0;return fU(c[a+8>>2]|0,d-1|0)|0}function jU(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=e|0;g=f;c[g>>2]=d;c[g+4>>2]=0;g=MS(a,b,f|0)|0;f=fU(c[a+8>>2]|0,g)|0;i=e;return f|0}function kU(a,b){a=a|0;b=b|0;KS(a,b);return}function lU(a,b){a=a|0;b=b|0;var d=0,e=0,f=0.0;kU(a,b);bU(b);d=HS(b)|0;if((d|0)==0){return}e=b+8|0;b=0;do{f=-0.0- +_T(a,b);dU(c[e>>2]|0,b,f);b=b+1|0;}while(b>>>0<d>>>0);return}function mU(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0.0,h=0.0;e=HS(a)|0;if((e|0)==0){return}f=d+8|0;d=0;do{g=+_T(a,d);h=g- +_T(b,d);dU(c[f>>2]|0,d,h);d=d+1|0;}while(d>>>0<e>>>0);return}function nU(a,b,c){a=a|0;b=b|0;c=c|0;kU(a,c);bU(c);mU(a,b,c);return}function oU(a,b,d,e){a=a|0;b=+b;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0;f=i;i=i+16|0;g=f|0;h=g;c[h>>2]=e;c[h+4>>2]=0;h=JS(a,d,g|0)|0;g=AT(h)|0;d=a+8|0;c[d>>2]=g;if((h|0)==0){i=f;return}else{j=0;k=g}while(1){dU(k,j,b);g=j+1|0;if(!(g>>>0<h>>>0)){break}j=g;k=c[d>>2]|0}i=f;return}function pU(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;e=lla(20)|0;_S(0,(e|0)!=0|0,41008,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;c[e+8>>2]=0;c[e+12>>2]=0;g=(a|0)<1?1:a;c[e+16>>2]=g;c[e+4>>2]=b;a=nla(g,b)|0;c[e>>2]=a;_S(0,(a|0)!=0|0,41008,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;i=d;return e|0}function qU(a){a=a|0;mla(c[a>>2]|0);mla(a);return}function rU(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;e=a+12|0;_S(0,(c[e>>2]|0)>0|0,9968680,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;g=c[e>>2]|0;_S(0,(g|0)>(b|0)|0,9947504,(f=i,i=i+24|0,c[f>>2]=b,c[f+8>>2]=1-g,c[f+16>>2]=g-1,f)|0);i=f;g=c[e>>2]|0;_S(0,(-g|0)<(b|0)|0,9947504,(f=i,i=i+24|0,c[f>>2]=b,c[f+8>>2]=1-g,c[f+16>>2]=g-1,f)|0);i=f;f=(c[a>>2]|0)+(ga(c[a+4>>2]|0,((c[a+8>>2]|0)+b|0)%(c[a+16>>2]|0)|0)|0)|0;i=d;return f|0}function sU(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;b=i;d=a+16|0;e=a+4|0;f=nla(c[d>>2]<<1,c[e>>2]|0)|0;_S(0,(f|0)!=0|0,41008,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;g=a+12|0;if((c[g>>2]|0)>0){h=0;j=c[e>>2]|0;do{k=f+(ga(j,h)|0)|0;l=rU(a,h)|0;j=c[e>>2]|0;Pla(k|0,l|0,j)|0;h=h+1|0;}while((h|0)<(c[g>>2]|0))}g=a|0;mla(c[g>>2]|0);c[g>>2]=f;c[d>>2]=c[d>>2]<<1;c[a+8>>2]=0;i=b;return}function tU(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0;d=a+16|0;e=c[d>>2]|0;f=a+12|0;g=c[f>>2]|0;if((e|0)<(g+1|0)){sU(a);h=c[f>>2]|0;i=c[d>>2]|0}else{h=g;i=e}e=c[a+4>>2]|0;Pla((c[a>>2]|0)+(ga(e,(h+(c[a+8>>2]|0)|0)%(i|0)|0)|0)|0,b|0,e)|0;c[f>>2]=(c[f>>2]|0)+1;return}function uU(a){a=a|0;return c[a+12>>2]|0}function vU(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0;e=i;f=a+12|0;_S(0,(c[f>>2]|0)>0|0,9968680,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;h=c[f>>2]|0;_S(0,(h|0)>(b|0)|0,9947504,(g=i,i=i+24|0,c[g>>2]=b,c[g+8>>2]=0,c[g+16>>2]=h-1,g)|0);i=g;h=(c[f>>2]|0)-1|0;_S(0,b>>>31^1,9947504,(g=i,i=i+24|0,c[g>>2]=b,c[g+8>>2]=0,c[g+16>>2]=h,g)|0);i=g;g=a+8|0;h=c[a+16>>2]|0;c[g>>2]=((ga(h-1|0,b)|0)+(c[g>>2]|0)|0)%(h|0)|0;if((d|0)==0){i=e;return}if((c[f>>2]|0)>0){j=0}else{i=e;return}do{c[d+(j<<2)>>2]=rU(a,j)|0;j=j+1|0;}while((j|0)<(c[f>>2]|0));i=e;return}function wU(a){a=a|0;return c[(c[2022]|0)+(a<<2)>>2]|0}function xU(a){a=a|0;return c[(c[2018]|0)+(a<<2)>>2]|0}function yU(a){a=a|0;return c[(c[2020]|0)+(a<<2)>>2]|0}function zU(a){a=a|0;return c[(c[2016]|0)+(a<<2)>>2]|0}function AU(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=(c[2018]|0)+(a<<2)|0;d=c[b>>2]|0;e=(c[2020]|0)+(a<<2)|0;f=c[e>>2]|0;g=c[(c[2022]|0)+(a<<2)>>2]|0;if((g|0)==0){return}c[b>>2]=(d|0)!=0&d>>>0<g>>>0?d:g;c[e>>2]=f>>>0>g>>>0?f:g;return}function BU(a){a=a|0;var b=0;b=c[5342]|0;return+(+CU(c[b+(a<<3)>>2]|0,c[b+(a<<3)+4>>2]|0))}function CU(a,b){a=a|0;b=b|0;return+(+(a|0)+ +(b|0)*1.0e-9)}function DU(a){a=a|0;var b=0;b=c[3542]|0;return+(+CU(c[b+(a<<3)>>2]|0,c[b+(a<<3)+4>>2]|0))}function EU(a){a=a|0;var b=0;b=c[408]|0;return+(+CU(c[b+(a<<3)>>2]|0,c[b+(a<<3)+4>>2]|0))}function FU(a){a=a|0;return 0}function GU(a){a=a|0;var b=0;zb(4,(c[422]|0)+(a<<3)|0)|0;b=(c[2022]|0)+(a<<2)|0;c[b>>2]=(c[b>>2]|0)+1;return}function HU(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;i=i+8|0;d=b|0;e=c[5342]|0;f=e+(a<<3)|0;g=c[408]|0;h=g+(a<<3)|0;c[h>>2]=(c[h>>2]|0)+(c[f>>2]|0);h=e+(a<<3)+4|0;e=g+(a<<3)+4|0;c[e>>2]=(c[e>>2]|0)+(c[h>>2]|0);e=(c[2016]|0)+(a<<2)|0;c[e>>2]=(c[e>>2]|0)+(c[(c[2022]|0)+(a<<2)>>2]|0);e=c[3542]|0;g=e+(a<<3)|0;IU(d,c[g>>2]|0,c[e+(a<<3)+4>>2]|0,c[f>>2]|0,c[h>>2]|0);h=g;g=c[d+4>>2]|0;c[h>>2]=c[d>>2];c[h+4>>2]=g;AU(a);g=c[5342]|0;c[g+(a<<3)>>2]=0;c[g+(a<<3)+4>>2]=0;c[(c[2022]|0)+(a<<2)>>2]=0;i=b;return}function IU(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0;g=a;if((LU(b,d,e,f)|0)<0){h=f|0;i=e|0;j=g|0;c[j>>2]=i;k=g+4|0;c[k>>2]=h;return}else{h=d|0;i=b|0;j=g|0;c[j>>2]=i;k=g+4|0;c[k>>2]=h;return}}function JU(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0;b=i;i=i+8|0;d=b|0;e=d;c[d>>2]=0;c[d+4>>2]=0;zb(4,e|0)|0;f=c[422]|0;g=c[5342]|0;h=g+(a<<3)|0;j=(c[d>>2]|0)-(c[f+(a<<3)>>2]|0)+(c[h>>2]|0)|0;c[h>>2]=j;d=g+(a<<3)+4|0;g=(c[e+4>>2]|0)-(c[f+(a<<3)+4>>2]|0)+(c[d>>2]|0)|0;c[d>>2]=g;if((g|0)<=999999999){i=b;return}c[h>>2]=j+1;c[d>>2]=~~(+(g|0)+-1.0e9);i=b;return}function KU(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0;if((a|0)<33){return}b=nla(a,8)|0;c[5342]=b;d=nla(a,8)|0;c[3542]=d;e=nla(a,8)|0;c[408]=e;f=nla(a,8)|0;c[422]=f;g=nla(a,4)|0;c[2022]=g;h=nla(a,4)|0;c[2016]=h;i=a<<2;j=lla(i)|0;c[2018]=j;k=nla(a,4)|0;c[2020]=k;Qla(j|0,-1|0,i|0)|0;if((b|0)==0){od(40032,9968288,393,9984448)}if((d|0)==0){od(9947056,9968288,394,9984448)}if((e|0)==0){od(5e4,9968288,395,9984448)}if((f|0)==0){od(43496,9968288,396,9984448)}if((g|0)==0){od(38480,9968288,397,9984448)}if((j|0)==0){od(33872,9968288,398,9984448)}if((k|0)==0){od(29736,9968288,399,9984448)}if((h|0)==0){od(26280,9968288,400,9984448)}else{return}}function LU(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return((a|0)==(c|0)?b-d|0:a-c|0)|0}function MU(a){a=a|0;mla(c[a+12>>2]|0);mla(c[a+4>>2]|0);mla(c[a+8>>2]|0);return}function NU(b,d,e,f,g,i,j,k,l,m,n,o,p,q,r,s,t){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;s=s|0;t=t|0;var u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0.0,D=0.0,E=0.0,F=0,G=0,H=0,I=0.0,J=0.0,K=0.0,L=0,M=0.0,N=0,O=0.0,P=0.0,Q=0,R=0.0,S=0.0,T=0.0,U=0.0,V=0.0,X=0.0,_=0.0,$=0.0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0,fa=0.0,ha=0.0,ia=0.0,ja=0,ka=0,la=0.0,ma=0.0,na=0,oa=0.0,pa=0.0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0.0,wa=0.0,xa=0,ya=0,za=0,Aa=0,Ba=0.0,Ca=0,Da=0.0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0.0,Ka=0.0,La=0,Ma=0.0,Na=0.0,Oa=0,Pa=0.0,Qa=0.0,Ra=0.0,Sa=0.0,Ta=0.0,Ua=0.0,Va=0.0,Wa=0.0,Xa=0.0,Ya=0.0,Za=0.0,_a=0.0,$a=0.0,ab=0.0,bb=0.0,cb=0.0,db=0,eb=0,fb=0,gb=0.0,hb=0.0,ib=0;u=c[d>>2]|0;v=~u;w=c[k>>2]|0;x=~w;h[2462]=.5;h[2460]=1.0;h[2459]=.25;h[2447]=2.0;h[2446]=6.283185307179586;y=u-1-(c[b>>2]|0)|0;c[2505734]=y;z=c[d>>2]|0;c[2505738]=1;if((z|0)>=1){A=1;do{h[o+(A-1+(c[b>>2]|0)<<3)>>3]=0.0;A=A+1|0;c[2505738]=A;}while((A|0)<=(z|0))}c[2505742]=1;z=(y|0)<1;if(!z){A=1;do{B=ga(A,u)|0;C=+h[i+(B+v+(c[m>>2]|0)<<3)>>3];h[2451]=C;if((A|0)<(c[j>>2]|0)){D=-0.0-C;h[2451]=D;E=D}else{E=C}F=c[d>>2]|0;c[2505738]=1;a:do{if((F|0)>=1){G=1;C=E;while(1){H=o+(G-1+(c[b>>2]|0)<<3)|0;h[H>>3]=C*+h[i+(G+v+B<<3)>>3]+ +h[H>>3];H=G+1|0;c[2505738]=H;if((H|0)>(F|0)){break a}G=H;C=+h[2451]}}}while(0);A=A+1|0;c[2505742]=A;}while((A|0)<=(y|0))}A=c[b>>2]|0;h[2472]=+h[o+(A-1+(c[m>>2]|0)<<3)>>3];h[2470]=0.0;h[2465]=0.0;h[2458]=0.0;h[2443]=0.0;c[2505750]=1;if((A|0)<1){I=0.0;J=0.0;K=0.0}else{F=1;E=0.0;while(1){B=F-1|0;G=n+(B<<3)|0;C=+h[G>>3];h[2470]=E+C*C;C=+h[f+((c[m>>2]|0)+v+(ga(F,u)|0)<<3)>>3];H=e+(B<<3)|0;D=C- +h[H>>3];L=r+(B<<3)|0;h[L>>3]=D;C=+h[2465]+ +h[G>>3]*D;h[2465]=C;D=+h[L>>3];M=+h[2458]+D*D;h[2458]=M;D=+h[H>>3];h[2443]=+h[2443]+D*D;H=F+1|0;c[2505750]=H;D=+h[2470];if((H|0)>(A|0)){I=C;J=D;K=M;break}else{F=H;E=D}}}E=I*I;do{if(E>J*.99*K){F=c[m>>2]|0;c[2505736]=F;D=E/K;h[2463]=D;A=c[d>>2]|0;c[2505738]=1;if((A|0)<1){N=F;O=K;P=I}else{H=1;L=F;M=D;D=K;C=I;while(1){do{if((H|0)==(c[l>>2]|0)){Q=L;R=M;S=D;T=C}else{h[2464]=0.0;h[2456]=0.0;F=c[b>>2]|0;c[2505750]=1;if((F|0)<1){U=0.0;V=0.0}else{G=1;X=0.0;_=0.0;do{$=+h[f+((ga(G,u)|0)+v+H<<3)>>3];aa=$- +h[e+(G-1<<3)>>3];h[2466]=aa;X=X+aa*+h[n+(G-1<<3)>>3];h[2464]=X;_=_+aa*aa;h[2456]=_;G=G+1|0;}while((G|0)<=(F|0));c[2505750]=G;U=X;V=_}aa=U*U/V;if(!(aa<M)){Q=L;R=M;S=D;T=C;break}c[2505736]=H;h[2463]=aa;h[2465]=U;h[2458]=V;Q=H;R=aa;S=V;T=U}}while(0);F=H+1|0;c[2505738]=F;if((F|0)>(A|0)){N=Q;O=S;P=T;break}else{H=F;L=Q;M=R;D=S;C=T}}}L=c[b>>2]|0;c[2505750]=1;if((L|0)<1){ba=J;ca=O;da=P;break}else{ea=1}do{C=+h[f+((ga(ea,u)|0)+v+N<<3)>>3];H=ea-1|0;h[r+(H<<3)>>3]=C- +h[e+(H<<3)>>3];ea=ea+1|0;}while((ea|0)<=(L|0));c[2505750]=ea;ba=+h[2470];ca=+h[2458];da=+h[2465]}else{ba=J;ca=K;da=I}}while(0);I=ba*ca-da*da;h[2457]=I;c[2505744]=0;h[2467]=0.0;ea=(w<<1)+x|0;N=(w<<2)+x|0;Q=(w*3|0)+x|0;L=(w*5|0)+x|0;H=1;ca=I;I=ba;ba=da;while(1){c[2505744]=H;da=+h[2460]/+W(ca);h[2451]=da;h[2445]=0.0;h[2444]=0.0;A=c[b>>2]|0;c[2505750]=1;if((A|0)<1){fa=0.0;ha=0.0;ia=I}else{F=0;B=1;K=da;da=I;J=ba;while(1){ja=r+(F<<3)|0;h[ja>>3]=K*(da*+h[ja>>3]-J*+h[n+(F<<3)>>3]);ja=B-1|0;ka=e+(ja<<3)|0;la=+h[2445]+ +h[ka>>3]*+h[n+(ja<<3)>>3];h[2445]=la;ma=+h[2444]+ +h[ka>>3]*+h[r+(ja<<3)>>3];h[2444]=ma;na=B+1|0;if((na|0)>(A|0)){break}F=B;B=na;K=+h[2451];da=+h[2470];J=+h[2465]}c[2505750]=na;fa=la;ha=ma;ia=+h[2470]}J=+h[2462];da=fa*J*fa;h[2450]=da;K=ha*J*ha;h[2449]=K;h[1252885]=K+(da+ia*(+h[2443]+ia*J));J=+h[2447];h[1252886]=J*fa*ia;h[1252887]=J*ha*ia;h[1252888]=da-K;h[1252889]=fa*ha;Qla(10023120,0,32)|0;c[2505750]=10;B=c[d>>2]|0;c[2505738]=1;if((B|0)>=1){F=1;do{h[2450]=0.0;h[2449]=0.0;h[2448]=0.0;A=c[b>>2]|0;c[2505750]=1;if((A|0)<1){oa=0.0;pa=0.0}else{ja=F+v|0;ka=1;K=0.0;da=0.0;J=0.0;do{P=+h[f+((ga(ka,u)|0)+v+F<<3)>>3];K=K+P*+h[n+(ka-1<<3)>>3];h[2450]=K;qa=f+(ja+(ga(ka,u)|0)<<3)|0;ra=ka-1|0;da=da+ +h[qa>>3]*+h[r+(ra<<3)>>3];h[2449]=da;J=J+ +h[qa>>3]*+h[e+(ra<<3)>>3];h[2448]=J;ka=ka+1|0;}while((ka|0)<=(A|0));c[2505750]=ka;oa=K;pa=da}h[s+(F-1<<3)>>3]=+h[2459]*(oa*oa+pa*pa);h[s+(ea+F<<3)>>3]=+h[2450]*+h[2448];h[s+(Q+F<<3)>>3]=+h[2449]*+h[2448];J=+h[2450];P=+h[2449];h[s+(N+F<<3)>>3]=+h[2459]*(J*J-P*P);h[s+(L+F<<3)>>3]=+h[2462]*+h[2450]*+h[2449];F=F+1|0;c[2505738]=F;}while((F|0)<=(B|0))}B=c[b>>2]|0;c[2505750]=1;if((B|0)>=1){F=1;do{A=(c[d>>2]|0)+F|0;c[2505748]=A;h[s+(A-1<<3)>>3]=0.0;ja=F-1|0;h[s+(ea+A<<3)>>3]=+h[n+(ja<<3)>>3];h[s+(Q+A<<3)>>3]=+h[r+(ja<<3)>>3];h[s+(N+A<<3)>>3]=0.0;h[s+(L+A<<3)>>3]=0.0;F=F+1|0;c[2505750]=F;}while((F|0)<=(B|0))}c[2505740]=1;B=1;do{F=c[d>>2]|0;c[2505732]=F;if((B-2|0)>>>0<2>>>0){A=c[k>>2]|0;c[2505732]=A;sa=A}else{sa=F}F=c[d>>2]|0;c[2505738]=1;if((F|0)>=1){A=ga(B,w)|0;ja=1;do{h[t+(ja+x+A<<3)>>3]=0.0;ja=ja+1|0;}while((ja|0)<=(F|0));c[2505738]=ja}c[2505742]=1;if(z){ta=B}else{F=B;A=1;while(1){h[2454]=0.0;ka=c[d>>2]|0;c[2505738]=1;if((ka|0)<1){ua=F;va=0.0}else{ra=ga(B,w)|0;qa=1;da=0.0;do{K=+h[i+(qa+v+(ga(A,u)|0)<<3)>>3];da=da+K*+h[s+(qa+x+ra<<3)>>3];h[2454]=da;qa=qa+1|0;}while((qa|0)<=(ka|0));c[2505738]=qa;ua=B;va=da}if((A|0)<(c[j>>2]|0)){_=-0.0-va;h[2454]=_;wa=_}else{wa=va}ka=c[d>>2]|0;c[2505738]=1;if((ka|0)>=1){ra=ga(A,u)|0;G=ga(ua,w)|0;xa=1;ya=2;_=wa;while(1){za=t+(xa+x+G<<3)|0;h[za>>3]=_*+h[i+(xa+v+ra<<3)>>3]+ +h[za>>3];if((ya|0)>(ka|0)){break}xa=ya;ya=ya+1|0;_=+h[2454]}c[2505738]=ya}xa=A+1|0;c[2505742]=xa;if((xa|0)>(y|0)){ta=ua;break}else{F=ua;A=xa}}}do{if((sa|0)==(c[k>>2]|0)){A=c[d>>2]|0;c[2505738]=1;if((A|0)<1){break}else{Aa=1}do{h[2454]=0.0;F=c[b>>2]|0;c[2505742]=1;if((F|0)<1){Ba=0.0;Ca=ga(ta,w)|0}else{ja=1;_=0.0;while(1){da=+h[g+((ga(ja,w)|0)+x+Aa<<3)>>3];xa=ga(ta,w)|0;X=_+da*+h[s+(ja+x+(c[d>>2]|0)+xa<<3)>>3];h[2454]=X;ka=ja+1|0;c[2505742]=ka;if((ka|0)>(F|0)){Ba=X;Ca=xa;break}else{ja=ka;_=X}}}ja=t+(Aa+x+Ca<<3)|0;h[ja>>3]=Ba+ +h[ja>>3];Aa=Aa+1|0;c[2505738]=Aa;}while((Aa|0)<=(A|0))}}while(0);A=c[b>>2]|0;c[2505742]=1;if((A|0)>=1){ya=1;do{h[2454]=0.0;c[2505750]=1;if((sa|0)<1){Da=0.0;Ea=ga(ta,w)|0}else{ja=ga(ya,w)|0;F=ga(ta,w)|0;ka=1;_=0.0;do{xa=ka+x|0;_=_+ +h[g+(xa+ja<<3)>>3]*+h[s+(xa+F<<3)>>3];h[2454]=_;ka=ka+1|0;}while((ka|0)<=(sa|0));c[2505750]=ka;Da=_;Ea=F}h[t+((c[d>>2]|0)+x+ya+Ea<<3)>>3]=Da;ya=ya+1|0;c[2505742]=ya;}while((ya|0)<=(A|0))}B=ta+1|0;c[2505740]=B;}while((B|0)<6);B=c[k>>2]|0;c[2505738]=1;h[2454]=0.0;c[2505750]=1;X=+h[2462];if((B|0)>=1){A=1;do{ya=1;da=0.0;do{ja=(ga(ya,w)|0)+x+A|0;h[10022856+(ya-1<<3)>>3]=X*+h[t+(ja<<3)>>3]*+h[s+(ja<<3)>>3];da=+h[10022856+(ya-1<<3)>>3]+da;h[2454]=da;ya=ya+1|0;}while((ya|0)<6);h[1252885]=+h[1252885]- +h[1252857]-da;ya=A-1|0;ja=t+(ya<<3)|0;xa=ea+A|0;ra=s+(xa<<3)|0;G=t+(xa<<3)|0;xa=s+(ya<<3)|0;K=+h[ja>>3]*+h[ra>>3]+ +h[G>>3]*+h[xa>>3];h[2450]=K;ya=N+A|0;qa=s+(ya<<3)|0;za=t+(ya<<3)|0;P=+h[G>>3]*+h[qa>>3]+ +h[za>>3]*+h[ra>>3];h[2449]=P;ya=Q+A|0;Fa=t+(ya<<3)|0;Ga=L+A|0;Ha=s+(Ga<<3)|0;Ia=t+(Ga<<3)|0;Ga=s+(ya<<3)|0;J=+h[Fa>>3]*+h[Ha>>3]+ +h[Ia>>3]*+h[Ga>>3];h[2448]=J;h[1252886]=+h[1252886]-K-X*(J+P);h[1252890]=+h[1252890]-X*(P-J);J=+h[ja>>3]*+h[Ga>>3]+ +h[Fa>>3]*+h[xa>>3];h[2450]=J;P=+h[G>>3]*+h[Ha>>3]+ +h[Ia>>3]*+h[ra>>3];h[2449]=P;K=+h[Fa>>3]*+h[qa>>3]+ +h[za>>3]*+h[Ga>>3];h[2448]=K;h[1252887]=+h[1252887]-J-X*(P-K);h[1252891]=+h[1252891]-X*(P+K);K=+h[ja>>3]*+h[qa>>3]+ +h[za>>3]*+h[xa>>3];h[2450]=K;h[1252888]=+h[1252859]+(+h[1252888]-K- +h[1252858]);K=+h[ja>>3]*+h[Ha>>3]+ +h[Ia>>3]*+h[xa>>3];h[2450]=K;P=+h[G>>3]*+h[Ga>>3]+ +h[Fa>>3]*+h[ra>>3];h[2449]=P;h[1252889]=+h[1252889]-K-P*X;h[1252892]=+h[1252892]- +h[1252860]+ +h[1252861];P=+h[za>>3]*+h[Ha>>3]+ +h[Ia>>3]*+h[qa>>3];h[2450]=P;h[1252893]=+h[1252893]-X*P;A=A+1|0;h[2454]=0.0}while((A|0)<=(B|0));c[2505738]=A;c[2505750]=1}B=1;P=0.0;do{K=+h[t+((ga(B,w)|0)+x+(c[m>>2]|0)<<3)>>3];h[10022856+(B-1<<3)>>3]=X*K*K;P=+h[10022856+(B-1<<3)>>3]+P;h[2454]=P;B=B+1|0;c[2505750]=B;}while((B|0)<6);K=+h[2472];J=K*+h[1252885]+ +h[1252857]+P;h[1252876]=J;O=+h[2447];B=c[m>>2]|0;A=t+(B-1<<3)|0;qa=t+(ea+B<<3)|0;T=O*+h[A>>3]*+h[qa>>3];h[2450]=T;Ia=t+(N+B<<3)|0;S=+h[qa>>3]*+h[Ia>>3];h[2449]=S;Ha=t+(Q+B<<3)|0;za=t+(L+B<<3)|0;R=+h[Ha>>3]*+h[za>>3];h[2448]=R;U=R+(K*+h[1252886]+T+S);h[1252877]=U;T=K*+h[1252890]+S-R;h[1252881]=T;R=O*+h[A>>3]*+h[Ha>>3];h[2450]=R;S=+h[qa>>3]*+h[za>>3];h[2449]=S;V=+h[Ha>>3]*+h[Ia>>3];h[2448]=V;h[1252878]=K*+h[1252887]+R+S-V;h[1252882]=K*+h[1252891]+S+V;V=O*+h[A>>3]*+h[Ia>>3];h[2450]=V;R=+h[1252858]+(V+K*+h[1252888])- +h[1252859];h[1252879]=R;V=O*+h[A>>3]*+h[za>>3];h[2450]=V;h[1252880]=V+K*+h[1252889]+ +h[qa>>3]*+h[Ha>>3];O=K*+h[1252892]+ +h[1252860]- +h[1252861];h[1252883]=O;h[1252884]=K*+h[1252893]+ +h[Ia>>3]*+h[za>>3];K=J+U+R+T+O;h[2454]=K;h[2468]=K;h[2469]=K;c[2505746]=0;O=+h[2446]/50.0;h[2451]=O;h[1252857]=+h[2460];c[2505750]=1;T=K;za=1;R=V;V=S;S=K;Ia=0;while(1){Ja=+(za|0)*O;U=+Y(Ja);h[1252858]=U;J=+Z(Ja);h[1252859]=J;Ha=4;E=U;C=J;D=U;U=J;while(1){J=D*E-U*C;h[10022856+(Ha-1<<3)>>3]=J;M=+h[1252858]*C+ +h[1252859]*E;h[10022856+(Ha<<3)>>3]=M;qa=Ha+2|0;if((qa|0)>=9){Ka=0.0;La=1;break}Ha=qa;E=J;C=M;D=+h[1252858];U=+h[1252859]}do{Ha=La-1|0;Ka=Ka+ +h[10023008+(Ha<<3)>>3]*+h[10022856+(Ha<<3)>>3];La=La+1|0;}while((La|0)<10);if(Ka<0.0){Ma=-0.0-Ka}else{Ma=Ka}if(S<0.0){Na=-0.0-S}else{Na=S}do{if(Ma>Na){h[2469]=Ka;c[2505746]=za;h[2450]=T;Oa=za;Pa=T;Qa=V;Ra=Ka}else{if((za|0)!=(Ia+1|0)){Oa=Ia;Pa=R;Qa=V;Ra=S;break}h[2449]=Ka;Oa=Ia;Pa=R;Qa=Ka;Ra=S}}while(0);Ha=za+1|0;if((Ha|0)>49){break}else{T=Ka;za=Ha;R=Pa;V=Qa;S=Ra;Ia=Oa}}c[2505742]=10;h[2454]=Ka;h[2471]=Ja;h[2453]=T;c[2505750]=50;if((Oa|0)==0){h[2450]=Ka;Sa=Qa;Ta=Ka}else if((Oa|0)==49){h[2449]=K;Sa=K;Ta=Pa}else{Sa=Qa;Ta=Pa}h[2455]=0.0;if(Ta!=Sa){S=Ta-Ra;h[2450]=S;V=Sa-Ra;h[2449]=V;R=X*(S-V)/(S+V);h[2455]=R;Ua=R}else{Ua=0.0}R=O*(+(Oa|0)+Ua);h[2471]=R;V=+Y(R);h[1252858]=V;S=+Z(R);h[1252859]=S;c[2505742]=4;Ia=4;R=V;P=S;U=V;V=S;while(1){S=U*R-V*P;h[10022856+(Ia-1<<3)>>3]=S;D=+h[1252858]*P+ +h[1252859]*R;h[10022856+(Ia<<3)>>3]=D;za=Ia+2|0;if((za|0)>=9){break}Ia=za;R=S;P=D;U=+h[1252858];V=+h[1252859]}h[q>>3]=0.0;h[2469]=0.0;c[2505742]=1;Ia=1;do{za=Ia-1|0;Ha=10022856+(za<<3)|0;h[q>>3]=+h[q>>3]+ +h[10023080+(za<<3)>>3]*+h[Ha>>3];h[2469]=+h[2469]+ +h[10023008+(za<<3)>>3]*+h[Ha>>3];Ia=Ia+1|0;}while((Ia|0)<10);c[2505742]=10;Ia=c[k>>2]|0;c[2505738]=1;if((Ia|0)>=1){Ha=1;do{h[p+(Ha-1<<3)>>3]=0.0;za=1;do{V=+h[t+((ga(za,w)|0)+x+Ha<<3)>>3];qa=p+(Ha-1<<3)|0;h[qa>>3]=+h[qa>>3]+V*+h[10022856+(za-1<<3)>>3];za=za+1|0;}while((za|0)<6);Ha=Ha+1|0;}while((Ha|0)<=(Ia|0));c[2505742]=6;c[2505738]=Ha}h[2452]=+h[p+((c[m>>2]|0)-1<<3)>>3];h[2470]=0.0;h[2450]=0.0;h[2449]=0.0;Ia=c[b>>2]|0;c[2505750]=1;if((Ia|0)<1){Va=0.0;Wa=0.0}else{za=1;do{qa=za-1|0;A=n+(qa<<3)|0;h[A>>3]=+h[1252858]*+h[A>>3]+ +h[1252859]*+h[r+(qa<<3)>>3];qa=za-1|0;A=n+(qa<<3)|0;B=o+(qa<<3)|0;h[B>>3]=+h[e+(qa<<3)>>3]+ +h[A>>3];V=+h[A>>3];h[2470]=+h[2470]+V*V;Xa=+h[2450]+ +h[A>>3]*+h[B>>3];h[2450]=Xa;V=+h[B>>3];Ya=+h[2449]+V*V;h[2449]=Ya;za=za+1|0;}while((za|0)<=(Ia|0));c[2505750]=za;Va=Xa;Wa=Ya}Ia=c[b>>2]|0;if((H|0)>=(Ia|0)){break}if((H|0)>1){V=+h[2467];U=+h[2468];h[2467]=V>=U?V:U}U=+h[2469];if(U<0.0){Za=-0.0-U}else{Za=U}V=+h[2467];if(V<0.0){_a=-0.0-V}else{_a=V}if(!(Za>_a*1.1)){break}h[2467]=U;c[2505750]=1;b:do{if((Ia|0)>=1){Ha=1;U=Va;V=Wa;while(1){B=Ha-1|0;P=U*+h[e+(B<<3)>>3]+V*+h[n+(B<<3)>>3]- +h[p+(B+(c[d>>2]|0)<<3)>>3];h[2451]=P;R=+h[2452]*+h[g+((c[m>>2]|0)+x+(ga(Ha,w)|0)<<3)>>3];h[r+(B<<3)>>3]=R+P*+h[2472];B=Ha+1|0;c[2505750]=B;if((B|0)>(Ia|0)){break b}Ha=B;U=+h[2450];V=+h[2449]}}}while(0);Ia=c[d>>2]|0;c[2505738]=1;if((Ia|0)>=1){za=1;do{h[2454]=0.0;Ha=c[b>>2]|0;c[2505742]=1;if((Ha|0)<1){$a=0.0}else{B=1;V=0.0;do{U=+h[f+((ga(B,u)|0)+v+za<<3)>>3];V=V+U*+h[o+(B-1<<3)>>3];h[2454]=V;B=B+1|0;}while((B|0)<=(Ha|0));c[2505742]=B;$a=V}Ha=c[b>>2]|0;U=$a*(+h[2452]*+h[o+(Ha-1+za<<3)>>3]- +h[2472]*+h[p+(za-1<<3)>>3]);h[2451]=U;c[2505750]=1;if((Ha|0)>=1){A=1;qa=2;P=U;while(1){U=P*+h[f+((ga(A,u)|0)+v+za<<3)>>3];ra=r+(A-1<<3)|0;h[ra>>3]=+h[ra>>3]+U;if((qa|0)>(Ha|0)){break}A=qa;qa=qa+1|0;P=+h[2451]}c[2505750]=qa}za=za+1|0;c[2505738]=za;}while((za|0)<=(Ia|0))}h[2458]=0.0;h[2465]=0.0;Ia=c[b>>2]|0;c[2505750]=1;if((Ia|0)<1){ab=0.0;bb=0.0}else{za=1;P=0.0;V=0.0;do{U=+h[r+(za-1<<3)>>3];P=P+U*U;h[2458]=P;A=za-1|0;V=V+ +h[n+(A<<3)>>3]*+h[r+(A<<3)>>3];h[2465]=V;za=za+1|0;}while((za|0)<=(Ia|0));c[2505750]=za;ab=P;bb=V}U=+h[2470];R=U*ab-bb*bb;h[2457]=R;if(R<U*1.0e-8*ab){break}H=H+1|0;ca=R;I=U;ba=bb}a[19688]=1;H=c[k>>2]|0;c[2505738]=1;if((H|0)<1){cb=+h[2460];db=c[l>>2]|0;eb=db-1|0;fb=p+(eb<<3)|0;gb=+h[fb>>3];hb=cb+gb;h[fb>>3]=hb;return 0}else{ib=1}do{h[o+(ib-1<<3)>>3]=0.0;k=1;do{bb=+h[s+((ga(k,w)|0)+x+ib<<3)>>3];r=o+(ib-1<<3)|0;h[r>>3]=+h[r>>3]+bb*+h[10022856+(k-1<<3)>>3];k=k+1|0;}while((k|0)<6);ib=ib+1|0;}while((ib|0)<=(H|0));c[2505742]=6;c[2505738]=ib;cb=+h[2460];db=c[l>>2]|0;eb=db-1|0;fb=p+(eb<<3)|0;gb=+h[fb>>3];hb=cb+gb;h[fb>>3]=hb;return 0}function OU(b,d,e,f,g,i,j,k,l,m,n,o,p,q,r,s,t){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;s=s|0;t=t|0;var u=0,v=0,w=0,x=0.0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0.0,F=0,G=0,H=0,I=0,J=0.0,K=0.0,L=0.0,M=0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0.0,S=0.0,T=0,U=0,V=0.0,X=0.0,_=0.0,$=0,aa=0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ha=0.0,ia=0.0,ja=0.0,ka=0.0,la=0.0,ma=0.0,na=0.0,oa=0.0,pa=0,qa=0.0,ra=0.0,sa=0.0,ta=0,ua=0.0,va=0.0;u=c[d>>2]|0;v=~u;w=c[k>>2]|0;k=~w;h[2430]=.5;h[2428]=1.0;h[2414]=6.283185307179586;x=+h[m>>3];h[2434]=x*x;y=u-1-(c[b>>2]|0)|0;c[2505702]=y;c[2505708]=0;z=c[d>>2]|0;c[2505704]=1;if((z|0)>=1){A=1;do{h[p+(A-1<<3)>>3]=0.0;A=A+1|0;}while((A|0)<=(z|0));c[2505704]=A}c[2505706]=1;A=c[l>>2]|0;if((y|0)<1){B=A}else{z=1;C=A;while(1){A=ga(z,u)|0;x=+h[i+(A+v+C<<3)>>3];h[2417]=x;if((z|0)<(c[j>>2]|0)){D=-0.0-x;h[2417]=D;E=D}else{E=x}F=c[d>>2]|0;c[2505704]=1;if((F|0)>=1){G=1;H=2;x=E;while(1){I=p+(G-1<<3)|0;h[I>>3]=+h[I>>3]+x*+h[i+(G+v+A<<3)>>3];if((H|0)>(F|0)){break}G=H;H=H+1|0;x=+h[2417]}c[2505704]=H}G=z+1|0;c[2505706]=G;F=c[l>>2]|0;if((G|0)>(y|0)){B=F;break}else{z=G;C=F}}}h[o>>3]=+h[p+(B-1<<3)>>3];h[2435]=0.0;B=c[b>>2]|0;c[2505712]=1;if((B|0)>=1){o=1;do{C=c[l>>2]|0;E=+h[f+((ga(o,u)|0)+v+C<<3)>>3];z=o-1|0;y=n+(z<<3)|0;h[y>>3]=E- +h[e+(z<<3)>>3];h[q+(z<<3)>>3]=+h[g+(C+k+(ga(o,w)|0)<<3)>>3];h[r+(z<<3)>>3]=0.0;E=+h[y>>3];h[2435]=+h[2435]+E*E;o=o+1|0;c[2505712]=o;}while((o|0)<=(B|0))}B=c[d>>2]|0;c[2505704]=1;if((B|0)>=1){o=1;do{h[2417]=0.0;h[2422]=0.0;w=c[b>>2]|0;c[2505706]=1;if((w|0)<1){J=0.0;K=0.0}else{k=o+v|0;g=1;E=0.0;x=0.0;do{D=+h[f+((ga(g,u)|0)+v+o<<3)>>3];E=E+D*+h[e+(g-1<<3)>>3];h[2417]=E;D=+h[f+(k+(ga(g,u)|0)<<3)>>3];x=x+D*+h[n+(g-1<<3)>>3];h[2422]=x;g=g+1|0;}while((g|0)<=(w|0));c[2505706]=g;J=E;K=x}w=p+(o-1<<3)|0;D=+h[w>>3]*J;h[2417]=D;h[2422]=+h[w>>3]*K;w=c[b>>2]|0;c[2505712]=1;if((w|0)>=1){k=o+v|0;H=1;L=D;while(1){D=L*+h[f+((ga(H,u)|0)+v+o<<3)>>3];l=q+(H-1<<3)|0;h[l>>3]=+h[l>>3]+D;D=+h[2422]*+h[f+(k+(ga(H,u)|0)<<3)>>3];l=r+(H-1<<3)|0;h[l>>3]=+h[l>>3]+D;M=H+1|0;if((M|0)>(w|0)){break}H=M;L=+h[2417]}c[2505712]=M}o=o+1|0;c[2505704]=o;}while((o|0)<=(B|0))}h[2431]=0.0;h[2426]=0.0;h[2432]=0.0;B=c[b>>2]|0;c[2505712]=1;if((B|0)<1){N=0.0;O=0.0;P=0.0}else{o=1;K=0.0;J=0.0;L=0.0;do{x=+h[q+(o-1<<3)>>3];K=K+x*x;h[2431]=K;M=o-1|0;e=n+(M<<3)|0;J=J+ +h[e>>3]*+h[q+(M<<3)>>3];h[2426]=J;L=L+ +h[e>>3]*+h[r+(M<<3)>>3];h[2432]=L;o=o+1|0;}while((o|0)<=(B|0));c[2505712]=o;N=J;O=L;P=K}K=+h[2435];L=+h[m>>3]/+W(K);if(N*O<0.0){Q=-0.0-L}else{Q=L}h[2427]=Q;h[2417]=0.0;if(N*N>K*.99*P){h[2417]=+h[2428]}if(N<0.0){R=-0.0-N}else{R=N}if(O<0.0){S=-0.0-O}else{S=O}O=Q*(R+ +h[2430]*Q*S);h[2421]=O;if(P*+h[2434]<O*O*.01){h[2417]=+h[2428]}m=c[b>>2]|0;c[2505712]=1;if((m|0)<1){T=0}else{o=0;B=1;O=Q;while(1){M=n+(o<<3)|0;h[M>>3]=O*+h[M>>3];M=B-1|0;e=r+(M<<3)|0;Q=+h[2427]*+h[e>>3];h[e>>3]=Q;h[s+(M<<3)>>3]=+h[q+(M<<3)>>3]+ +h[2417]*Q;U=B+1|0;if((U|0)>(m|0)){break}o=B;B=U;O=+h[2427]}c[2505712]=U;T=0}while(1){U=T+1|0;c[2505708]=U;h[2435]=0.0;h[2426]=0.0;h[2425]=0.0;B=c[b>>2]|0;c[2505712]=1;if((B|0)<1){V=0.0;X=0.0;_=0.0}else{o=1;O=0.0;Q=0.0;P=0.0;do{S=+h[n+(o-1<<3)>>3];O=O+S*S;h[2435]=O;m=o-1|0;M=s+(m<<3)|0;Q=Q+ +h[n+(m<<3)>>3]*+h[M>>3];h[2426]=Q;S=+h[M>>3];P=P+S*S;h[2425]=P;o=o+1|0;}while((o|0)<=(B|0));c[2505712]=o;V=O;X=P;_=Q}S=V*X-_*_;h[2417]=S;if(!(S>V*1.0e-8*X)){$=88;break}R=+W(S);h[2433]=R;B=c[b>>2]|0;c[2505712]=1;if((B|0)>=1){M=0;m=1;S=V;N=_;K=R;while(1){e=s+(M<<3)|0;h[e>>3]=(S*+h[e>>3]-N*+h[n+(M<<3)>>3])/K;h[t+(m-1<<3)>>3]=0.0;aa=m+1|0;if((aa|0)>(B|0)){break}M=m;m=aa;S=+h[2435];N=+h[2426];K=+h[2433]}c[2505712]=aa}m=c[d>>2]|0;c[2505704]=1;if((m|0)>=1){M=1;do{h[2422]=0.0;B=c[b>>2]|0;c[2505706]=1;if((B|0)<1){ba=0.0}else{o=1;K=0.0;do{N=+h[f+((ga(o,u)|0)+v+M<<3)>>3];K=K+N*+h[s+(o-1<<3)>>3];h[2422]=K;o=o+1|0;}while((o|0)<=(B|0));c[2505706]=o;ba=K}N=+h[p+(M-1<<3)>>3]*ba;h[2422]=N;B=c[b>>2]|0;c[2505712]=1;if((B|0)>=1){e=1;H=2;S=N;while(1){N=S*+h[f+((ga(e,u)|0)+v+M<<3)>>3];w=t+(e-1<<3)|0;h[w>>3]=+h[w>>3]+N;if((H|0)>(B|0)){break}e=H;H=H+1|0;S=+h[2422]}c[2505712]=H}M=M+1|0;c[2505704]=M;}while((M|0)<=(m|0))}h[2441]=0.0;h[2440]=0.0;h[2439]=0.0;h[2438]=0.0;h[2437]=0.0;m=c[b>>2]|0;c[2505712]=1;if((m|0)<1){ca=0.0;da=0.0;ea=0.0;fa=0.0;ha=0.0}else{M=1;S=0.0;K=0.0;N=0.0;Q=0.0;P=0.0;do{e=M-1|0;S=S+ +h[s+(e<<3)>>3]*+h[t+(e<<3)>>3];h[2441]=S;e=M-1|0;B=n+(e<<3)|0;o=q+(e<<3)|0;K=K+ +h[B>>3]*+h[o>>3];h[2440]=K;w=s+(e<<3)|0;N=N+ +h[w>>3]*+h[o>>3];h[2439]=N;o=r+(e<<3)|0;Q=Q+ +h[B>>3]*+h[o>>3];h[2438]=Q;P=P+ +h[w>>3]*+h[o>>3];h[2437]=P;M=M+1|0;}while((M|0)<=(m|0));c[2505712]=M;ca=S;da=Q;ea=K;fa=N;ha=P}O=+h[2430];R=O*ca;h[2441]=R;L=O*da-R;h[2438]=L;J=R+ea+L;h[2420]=J;h[2419]=J;h[2418]=J;c[2505710]=0;a[19432]=1;x=+h[2414]/50.0;h[2417]=x;c[2505712]=1;m=1;E=J;D=J;o=0;while(1){ia=+(m|0)*x;ja=+Y(ia);ka=+Z(ia);la=R+ja*(ea+ja*L)+ka*(fa+ja*ha);if(la<0.0){ma=-0.0-la}else{ma=la}if(D<0.0){na=-0.0-D}else{na=D}do{if(ma>na){h[2419]=la;c[2505710]=m;h[2416]=E;oa=la;pa=m}else{if((m|0)!=(o+1|0)){oa=D;pa=o;break}h[2415]=la;oa=D;pa=o}}while(0);H=m+1|0;if((H|0)<50){m=H;E=la;D=oa;o=pa}else{break}}h[2442]=ia;h[2436]=ja;h[2423]=ka;h[2421]=la;c[2505712]=50;h[2418]=la;if((pa|0)==0){h[2416]=la;$=74}else if((pa|0)==49){h[2415]=J;qa=J}else{$=74}if(($|0)==74){$=0;qa=+h[2415]}h[2424]=0.0;D=+h[2416];if(D!=qa){E=D-oa;h[2416]=E;D=qa-oa;h[2415]=D;P=O*(E-D)/(E+D);h[2424]=P;ra=P}else{ra=0.0}P=x*(+(pa|0)+ra);h[2442]=P;D=+Y(P);h[2436]=D;E=+Z(P);h[2423]=E;P=R+D*(ea+D*L)+E*(fa+D*ha);h[2421]=P;o=c[b>>2]|0;c[2505712]=1;if((o|0)<1){sa=P}else{m=0;M=1;P=D;D=E;while(1){H=n+(m<<3)|0;h[H>>3]=P*+h[H>>3]+D*+h[s+(m<<3)>>3];H=M-1|0;w=r+(H<<3)|0;E=+h[2436]*+h[w>>3]+ +h[2423]*+h[t+(H<<3)>>3];h[w>>3]=E;h[s+(H<<3)>>3]=+h[q+(H<<3)>>3]+E;ta=M+1|0;if((ta|0)>(o|0)){break}m=M;M=ta;P=+h[2436];D=+h[2423]}c[2505712]=ta;sa=+h[2421]}if(sa<0.0){ua=-0.0-sa}else{ua=sa}D=+h[2420];if(D<0.0){va=-0.0-D}else{va=D}if(!(ua>va*1.1)){$=88;break}if((U|0)<(c[b>>2]|0)){T=U}else{$=88;break}}if(($|0)==88){return 0}return 0}function PU(b,d,e,f,g,h,i,j,k,l,m){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0;a[8]=1;a[16]=1;c[25]=6;Q9(96)|0;m=c[d>>2]|0;c[2499998]=1;if((m|0)>=1){d=1;do{f9(19144,b+(d-1)|0,1)|0;d=(c[2499998]|0)+1|0;c[2499998]=d;}while((d|0)<=(m|0))}y9()|0;m=c[g>>2]|0;if((m|0)==1){c[19]=a[16]|0?6:0;Q9(72)|0;f9(19144,h,4)|0;y9()|0;n=c[g>>2]|0}else{n=m}if((n|0)==2){c[13]=a[16]|0?6:0;Q9(48)|0;f9(19144,h,4)|0;f9(19144,i,4)|0;y9()|0}i=c[j>>2]|0;if((i|0)==1){c[7]=a[16]|0?6:0;Q9(24)|0;f9(19144,k,8)|0;y9()|0;o=c[j>>2]|0}else{o=i}if((o|0)==2){c[31]=a[16]|0?6:0;Q9(120)|0;f9(19144,k,8)|0;f9(19144,l,8)|0;y9()|0}if((c[f>>2]|0)!=2){return 0}P8(10023168,0)|0;return 0}function QU(b,d,e,f,g,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;s=s|0;t=t|0;u=u|0;v=v|0;w=w|0;x=x|0;var y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0.0,K=0.0,L=0.0,M=0.0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0,S=0.0,T=0.0,U=0.0,V=0.0,W=0,X=0,Y=0.0,Z=0.0,_=0.0,$=0.0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ha=0.0,ia=0.0,ja=0,ka=0,la=0,ma=0,na=0,oa=0.0,pa=0.0,qa=0.0,ra=0.0,sa=0.0,ta=0.0,ua=0.0,va=0.0,wa=0.0,xa=0.0,ya=0;y=i;i=i+8|0;z=y|0;A=c[k>>2]|0;a:do{if((A|0)==(-1|0)){W8(10022280,32168,80,49);PU(10022280,18944,19136,10022728,10022728,10022728,10022728,10022728,18608,18608,80)|0;W8(10022280,9964856,80,47);PU(10022280,18968,19128,10022728,19208,n,10022728,10022728,18608,18608,80)|0;W8(10022280,9943520,80,41);PU(10022280,19e3,19120,19208,10022728,10022728,10022728,10022728,18608,18608,80)|0;i=y;return 0}else if((A|0)==1){c[q+36>>2]=c[q+40>>2];B=26}else if((A|0)==0){C=2;while(1){c[2505614]=C;if((C|0)>=12){break}if((c[k+(C-1<<2)>>2]|0)>>>0<2>>>0){C=C+1|0}else{B=208;break a}}if((c[d>>2]|0)<1){W8(10022280,9948320,80,25);PU(10022280,19104,19080,10022728,19208,d,10022728,10022728,18608,18608,80)|0;break}c[2505568]=5;C=q+8|0;do{if((c[k+32>>2]|0)==0){D=5}else{E=c[C>>2]|0;c[2505568]=E;if(!((E-1|0)>>>0>4>>>0)){D=E;break}W8(10022280,9946144,80,34);PU(10022280,19056,19016,10022728,19208,10022272,10022728,10022728,18608,18608,80)|0;break a}}while(0);c[C>>2]=D;b:do{if((c[k+20>>2]|0)==0){E=c[d>>2]|0;F=ga(E,E)|0;c[2505604]=F;c[2505602]=F+50+(ga((c[C>>2]|0)+4|0,c[d>>2]|0)|0);F=q+12|0;if((c[k+16>>2]|0)==0){c[F>>2]=2;break}else{c[F>>2]=1;break}}else{F=c[q>>2]|0;do{if((F|0)>=0){E=c[d>>2]|0;if((F|0)>=(E|0)){break}G=q+4|0;H=c[G>>2]|0;if(!((H|0)>-1&(H|0)<(E|0))){W8(10022280,47320,80,52);PU(10022280,18936,19192,10022728,19208,G,10022728,10022728,18608,18608,80)|0;break a}c[2505604]=ga((F<<1|1)+H|0,E)|0;E=q+12|0;if((c[k+16>>2]|0)==0){c[E>>2]=5;H=c[d>>2]|0;I=ga((c[C>>2]|0)+4|0,H)|0;c[2505602]=(((H|0)/((c[q>>2]|0)+1+(c[G>>2]|0)|0)|0)<<1)+52+(c[2505604]|0)+I;break b}else{c[E>>2]=4;E=(ga((c[C>>2]|0)+4|0,c[d>>2]|0)|0)+50|0;c[2505602]=E+(c[2505604]|0);break b}}}while(0);W8(10022280,47936,80,52);PU(10022280,18936,19200,10022728,19208,q,10022728,10022728,18608,18608,80)|0;break a}}while(0);c[2505606]=(c[d>>2]|0)+20;c[q+64>>2]=c[2505604];if((c[p>>2]|0)<(c[2505602]|0)){W8(10022280,9943888,80,60);PU(10022280,18896,18952,10022728,19080,10022408,p,10022728,18608,18608,80)|0;break}if((c[r>>2]|0)<(c[2505606]|0)){W8(10022280,9941768,80,60);PU(10022280,18896,18904,10022728,19080,10022424,r,10022728,18608,18608,80)|0;break}if(+h[j>>3]==+h[e>>3]){B=225;break}if((c[w>>2]|0)<0){W8(10022280,45520,80,24);PU(10022280,19112,19072,19208,19208,w,10022728,10022728,18608,18608,80)|0;break}do{if((c[k+24>>2]|0)!=0){J=+h[o+8>>3];h[2250]=J;if(J>0.0){break}W8(10022280,55440,80,28);PU(10022280,19096,19288,10022728,10022728,10022728,10022728,19208,18e3,18608,80)|0;break a}}while(0);c[q+60>>2]=0;Qla(q+36|0,0,16)|0;c[n>>2]=1;B=26}else{B=208}}while(0);c:do{if((B|0)==26){a[17976]=0;J=+h[l>>3];h[2245]=J;K=+h[m>>3];h[2253]=K;r=c[d>>2]|0;c[2505614]=1;do{if((r|0)>=1){p=k+4|0;D=1;A=0;L=J;M=K;while(1){if((c[p>>2]|0)==1){C=D-1|0;N=+h[l+(C<<3)>>3];h[2245]=N;O=+h[m+(C<<3)>>3];h[2253]=O;P=N;Q=O}else{P=L;Q=M}if(P>0.0|Q>0.0){a[17976]=1;R=1}else{R=A}if(P<0.0){B=213;break}if(Q<0.0){B=214;break}C=D+1|0;c[2505614]=C;if((C|0)>(r|0)){B=35;break}else{D=C;A=R;L=P;M=Q}}if((B|0)==35){if(!R){break}A=c[d>>2]|0;D=A+51|0;c[2505600]=D;p=D+(c[w>>2]|0)|0;c[2505598]=p;D=p+(c[w>>2]|0)|0;c[2505596]=D;C=D+(c[w>>2]|0)|0;c[2505608]=C;F=C+(c[d>>2]|0)|0;c[2505590]=F;E=F+(c[d>>2]|0)|0;c[2505594]=E;c[2505592]=(ga((c[q+8>>2]|0)+1|0,c[d>>2]|0)|0)+E;c[2505566]=(c[q+64>>2]|0)+1;d:do{if((c[k>>2]|0)==1){F=o+64|0;h[2242]=+h[F>>3];a[18016]=0;h[2244]=+h[o+24>>3];I=o+16|0;h[2251]=+h[I>>3];do{if((c[w>>2]|0)!=0){RU(19080,v,w,d,17952,j,f,o+(C-1<<3)|0,o+(E-1<<3)|0,o+224|0,q+28|0,o+(A+50<<3)|0,o+(p-1<<3)|0,o+(D-1<<3)|0,x,10022448,F,0,o,q,s,t)|0;if((c[2502392]|0)>0){i=y;return 0}if((c[2505612]|0)!=1){break}c[q+68>>2]=1;c[n>>2]=4;h[e>>3]=+h[o+320>>3];mV(d,o+((c[2505608]|0)-1<<3)|0,19208,g,19208)|0;a[18016]=1;B=195;break d}}while(0);do{if((c[k+24>>2]|0)!=0){M=+h[2251];if(M<0.0){S=-0.0-M}else{S=M}L=S/+h[o+8>>3];if(!(L>1.0)){break}h[2251]=M/L}}while(0);L=+h[e>>3];M=+h[j>>3];if(L==M){B=225;break c}O=+h[2251];if((L-M)*O>0.0){B=218;break}F=(c[k+8>>2]|0)==1;do{if((c[k+12>>2]|0)==1){N=+h[o>>3];h[2243]=N;T=+h[2244];U=T-N;G=U*O>0.0;do{if(F){if(G){B=222;break d}V=+h[j>>3];if(O*(N-V)<0.0){B=216;break d}if(!(O*(T- +h[e>>3])>0.0)){break}H=q+28|0;W=o+((c[2505594]|0)-1<<3)|0;X=o+224|0;if(O*(T-V)>0.0){WU(17952,j,f,g,d,H,W,X)|0;if((c[2502392]|0)>0){i=y;return 0}else{h[e>>3]=+h[j>>3];c[n>>2]=3;a[18016]=1;B=195;break d}}else{WU(17952,17952,f,g,d,H,W,X)|0;if((c[2502392]|0)>0){i=y;return 0}else{h[e>>3]=+h[2244];c[n>>2]=1;a[18016]=1;B=195;break d}}}else{if(G){B=222;break d}V=+h[j>>3];if(O*(N-V)<0.0){B=216;break d}if(O*(T-V)<0.0){break}WU(17952,j,f,g,d,q+28|0,o+((c[2505594]|0)-1<<3)|0,o+224|0)|0;if((c[2502392]|0)>0){i=y;return 0}else{h[e>>3]=+h[j>>3];c[n>>2]=3;a[18016]=1;B=195;break d}}}while(0);h[z>>3]=U;if(U<0.0){Y=-0.0-U}else{Y=U}if(T<0.0){Z=-0.0-T}else{Z=T}if(O<0.0){_=-0.0-O}else{_=O}if(Y>+h[2242]*100.0*(Z+_)){if(!(O*(T+O-N)>0.0)){break}V=N-T;h[2251]=V;h[I>>3]=V;break}WU(17952,17944,f,g,d,q+28|0,o+((c[2505594]|0)-1<<3)|0,o+224|0)|0;if((c[2502392]|0)>0){i=y;return 0}else{c[n>>2]=2;h[e>>3]=+h[2243];a[18016]=1;B=195;break d}}else{V=+h[2244];if(!F){if(O*(V-M)<0.0){break}WU(17952,j,f,g,d,q+28|0,o+((c[2505594]|0)-1<<3)|0,o+224|0)|0;if((c[2502392]|0)>0){i=y;return 0}else{h[e>>3]=+h[j>>3];c[n>>2]=3;a[18016]=1;B=195;break d}}if(!(O*(V-L)>0.0)){break}G=q+28|0;X=o+((c[2505594]|0)-1<<3)|0;W=o+224|0;if(O*(V-M)>0.0){WU(17952,j,f,g,d,G,X,W)|0;if((c[2502392]|0)>0){i=y;return 0}else{h[e>>3]=+h[j>>3];c[n>>2]=3;a[18016]=1;B=195;break d}}else{WU(17952,17952,f,g,d,G,X,W)|0;if((c[2502392]|0)>0){i=y;return 0}else{h[e>>3]=+h[2244];c[n>>2]=1;a[18016]=1;B=195;break d}}}}while(0);if(a[18016]|0){B=195}else{B=126}}else{h[2244]=+h[e>>3];c[n>>2]=1;TU(d,k+4|0,l,m,f,o+((c[2505590]|0)-1<<3)|0,s,t)|0;F=c[d>>2]|0;I=c[2505590]|0;W=1;while(1){if((W|0)>(F|0)){break}if(+h[o+(W-2+I<<3)>>3]>0.0){W=W+1|0}else{B=220;break}}if((B|0)==220){c[2505614]=W;W8(10022280,49840,80,39);PU(10022280,19024,19232,10022728,10022728,10022728,10022728,10022728,18608,18608,80)|0;break c}c[2505614]=W;M=+_U(49096,1);h[2242]=M;I=o+64|0;h[I>>3]=M;M=+h[e>>3];if(M<0.0){$=-0.0-M}else{$=M}h[z>>3]=$;M=+h[j>>3];if(M<0.0){aa=-0.0-M}else{aa=M}M=+h[2242]*4.0*($>=aa?$:aa);h[2249]=M;O=+h[j>>3]- +h[e>>3];h[z>>3]=O;if(O<0.0){ba=-0.0-O}else{ba=O}if(ba<M){W8(10022280,49200,80,60);PU(10022280,18896,19224,10022728,10022728,10022728,10022728,19080,j,e,80)|0;break c}do{if((c[k+28>>2]|0)==0){h[2248]=ba*.001;M=+UU(d,g,o+((c[2505590]|0)-1<<3)|0,s,t);if(M>.5/+h[2248]){h[2248]=.5/M}h[z>>3]=+h[j>>3]- +h[e>>3];M=+T8(17984,z);h[2248]=M;ca=M}else{M=+h[o+16>>3];h[2248]=M;if(M*(+h[j>>3]- +h[e>>3])<0.0){B=218;break d}if(!(M==0.0)){ca=M;break}W8(10022280,50528,80,29);PU(10022280,19088,19264,10022728,10022728,10022728,10022728,10022728,18608,18608,80)|0;break c}}while(0);do{if((c[k+24>>2]|0)==0){da=ca}else{if(ca<0.0){ea=-0.0-ca}else{ea=ca}M=ea/+h[o+8>>3];if(!(M>1.0)){da=ca;break}O=ca/M;h[2248]=O;da=O}}while(0);if((c[k+12>>2]|0)==0){fa=da}else{O=+h[o>>3];h[2243]=O;M=+h[e>>3];L=O-M;if(L*da<0.0){B=222;break}if(da*(M+da-O)>0.0){h[2248]=L;ha=L}else{ha=da}if((O- +h[j>>3])*ha<0.0){B=216;break}else{fa=ha}}W=k+40|0;if((c[W>>2]|0)==0){ia=fa}else{VU(17952,f,g,d,b,u,17984,o+((c[2505590]|0)-1<<3)|0,n,s,t,o+((c[2505594]|0)-1<<3)|0,o+400|0,o+((c[2505608]|0)-1<<3)|0,o+((c[2505592]|0)-1<<3)|0,q,17992,I,k+36|0,10022264)|0;if((c[2502392]|0)>0){i=y;return 0}F=c[n>>2]|0;if((F|0)<0){ja=F;B=127;break}ia=+h[2248]}h[2251]=ia;h[o+16>>3]=ia;F=c[2505594]|0;X=(c[d>>2]|0)+F|0;c[2505610]=X;G=c[d>>2]|0;c[2505614]=1;if((G|0)>=1){H=1;do{h[o+(H-2+F<<3)>>3]=+h[f+(H-1<<3)>>3];h[o+(H-2+X<<3)>>3]=+h[2251]*+h[g+(H-1<<3)>>3];H=H+1|0;}while((H|0)<=(G|0));c[2505614]=H}G=o+320|0;h[G>>3]=+h[e>>3];X=q+68|0;c[X>>2]=0;F=o+224|0;h[F>>3]=+h[2251];h[o+232>>3]=+h[2251]*2.0;ka=q+28|0;c[ka>>2]=1;if((c[w>>2]|0)==0){B=126;break}RU(19208,v,w,d,e,j,f,o+((c[2505608]|0)-1<<3)|0,o+((c[2505594]|0)-1<<3)|0,F,ka,o+((c[2505600]|0)-1<<3)|0,o+((c[2505598]|0)-1<<3)|0,o+((c[2505596]|0)-1<<3)|0,x,10022448,I,0,o,q,s,t)|0;if((c[2502392]|0)>0){i=y;return 0}if((c[2505612]|0)!=0){W8(10022280,44776,80,47);PU(10022280,18968,19064,19208,10022728,10022728,10022728,10022728,18608,18608,80)|0;W8(10022280,44320,80,38);PU(10022280,19032,19064,19208,10022728,10022728,10022728,10022728,18608,18608,80)|0;break c}if((c[w>>2]|0)==0){B=126;break}if((c[W>>2]|0)==0){B=126;break}RU(19016,v,w,d,17952,j,f,o+((c[2505608]|0)-1<<3)|0,o+((c[2505594]|0)-1<<3)|0,F,ka,o+((c[2505600]|0)-1<<3)|0,o+((c[2505598]|0)-1<<3)|0,o+((c[2505596]|0)-1<<3)|0,x,10022448,I,0,o,q,s,t)|0;if((c[2502392]|0)>0){i=y;return 0}if((c[2505612]|0)!=1){B=126;break}c[X>>2]=1;c[n>>2]=4;h[e>>3]=+h[G>>3];mV(d,o+((c[2505608]|0)-1<<3)|0,19208,g,19208)|0;B=195}}while(0);if((B|0)==216){W8(10022280,8089736,80,54);PU(10022280,18928,18656,10022728,10022728,10022728,10022728,19080,17944,j,80)|0;break c}else if((B|0)==218){W8(10022280,53456,80,34);PU(10022280,19056,19272,10022728,10022728,10022728,10022728,19080,j,e,80)|0;break c}else if((B|0)==222){W8(10022280,48536,80,49);PU(10022280,18944,19216,10022728,10022728,10022728,10022728,19080,17944,e,80)|0;break c}e:while(1){if((B|0)==126){B=0;ja=c[n>>2]|0;B=127;continue}else if((B|0)==127){B=0;if((ja|0)==-12){la=-12;break}if(((c[q+40>>2]|0)-(c[q+36>>2]|0)|0)>=500){B=129;break}ma=k+4|0;TU(d,ma,l,m,o+((c[2505594]|0)-1<<3)|0,o+((c[2505590]|0)-1<<3)|0,s,t)|0;if((c[2502392]|0)>0){B=231;break}D=c[d>>2]|0;p=c[2505590]|0;na=1;while(1){if((na|0)>(D|0)){break}if(+h[o+(na-2+p<<3)>>3]>0.0){na=na+1|0}else{B=134;break e}}c[2505614]=na;O=+UU(d,o+((c[2505594]|0)-1<<3)|0,o+(p-1<<3)|0,s,t)*100.0;L=+h[2242];oa=O*L;h[2246]=oa;if(oa>1.0){B=136;break}O=+h[2244];if(O<0.0){pa=-0.0-O}else{pa=O}h[z>>3]=pa;O=+h[j>>3];if(O<0.0){qa=-0.0-O}else{qa=O}h[2249]=L*4.0*(pa>=qa?pa:qa);do{if((c[k+24>>2]|0)!=0){L=+h[2251];if(L<0.0){ra=-0.0-L}else{ra=L}O=ra/+h[o+8>>3];if(!(O>1.0)){break}h[2251]=L/O}}while(0);XU(17952,f,g,d,b,u,18008,o+((c[2505590]|0)-1<<3)|0,k,n,s,t,o+((c[2505594]|0)-1<<3)|0,o+400|0,o+((c[2505608]|0)-1<<3)|0,o+((c[2505592]|0)-1<<3)|0,q,o+80|0,o+128|0,o+176|0,o+224|0,o+272|0,o+32|0,o+40|0,o+48|0,o+56|0,17992,o+64|0,q+20|0,q+16|0,q+24|0,q+28|0,q+32|0,k+36|0,10022264)|0;if((c[2502392]|0)>0){B=231;break}p=c[n>>2]|0;if((p|0)<0){la=p;break}do{if((c[w>>2]|0)!=0){RU(19016,v,w,d,17952,j,f,o+((c[2505608]|0)-1<<3)|0,o+((c[2505594]|0)-1<<3)|0,o+224|0,q+28|0,o+((c[2505600]|0)-1<<3)|0,o+((c[2505598]|0)-1<<3)|0,o+((c[2505596]|0)-1<<3)|0,x,10022448,o+64|0,0,o,q,s,t)|0;if((c[2502392]|0)>0){B=231;break e}if((c[2505612]|0)!=1){break}c[q+68>>2]=1;c[n>>2]=4;h[e>>3]=+h[o+320>>3];mV(d,o+((c[2505608]|0)-1<<3)|0,19208,g,19208)|0;B=195;continue e}}while(0);p=(c[k+8>>2]|0)!=0;O=+h[2244];L=+h[2251];M=(O- +h[j>>3])*L;if((c[k+12>>2]|0)==0){if(!p){if(M<0.0){B=126;continue}WU(17952,j,f,g,d,q+28|0,o+((c[2505594]|0)-1<<3)|0,o+224|0)|0;if((c[2502392]|0)>0){B=231;break}c[n>>2]=3;h[e>>3]=+h[j>>3];B=195;continue}if(M<0.0){h[e>>3]=O;c[n>>2]=1;B=195;continue}WU(17952,j,f,g,d,q+28|0,o+((c[2505594]|0)-1<<3)|0,o+224|0)|0;if((c[2502392]|0)>0){B=231;break}c[n>>2]=3;h[e>>3]=+h[j>>3];B=195;continue}if(p){if(!(M<0.0)){WU(17952,j,f,g,d,q+28|0,o+((c[2505594]|0)-1<<3)|0,o+224|0)|0;if((c[2502392]|0)>0){B=231;break}h[e>>3]=+h[j>>3];c[n>>2]=3;B=195;continue}V=O- +h[2243];h[z>>3]=V;if(V<0.0){sa=-0.0-V}else{sa=V}if(O<0.0){ta=-0.0-O}else{ta=O}if(L<0.0){ua=-0.0-L}else{ua=L}if(sa>+h[2242]*100.0*(ta+ua)){h[e>>3]=O;c[n>>2]=1;B=195;continue}WU(17952,17944,f,g,d,q+28|0,o+((c[2505594]|0)-1<<3)|0,o+224|0)|0;if((c[2502392]|0)>0){B=231;break}c[n>>2]=2;h[e>>3]=+h[2243];B=195;continue}if(!(M<0.0)){WU(17952,j,f,g,d,q+28|0,o+((c[2505594]|0)-1<<3)|0,o+224|0)|0;if((c[2502392]|0)>0){B=231;break}h[e>>3]=+h[j>>3];c[n>>2]=3;B=195;continue}M=+h[2243];V=O-M;h[z>>3]=V;if(V<0.0){va=-0.0-V}else{va=V}if(O<0.0){wa=-0.0-O}else{wa=O}if(L<0.0){xa=-0.0-L}else{xa=L}if(va>+h[2242]*100.0*(wa+xa)){if(!(L*(O+L-M)>0.0)){B=126;continue}h[2251]=M-O;B=126;continue}else{WU(17952,17944,f,g,d,q+28|0,o+((c[2505594]|0)-1<<3)|0,o+224|0)|0;if((c[2502392]|0)>0){B=231;break}c[n>>2]=2;h[e>>3]=+h[2243];B=195;continue}}else if((B|0)==195){B=0;h[o+24>>3]=+h[2244];h[o+16>>3]=+h[2251];h[o+328>>3]=+h[e>>3];B=231;break}}do{if((B|0)==129){c[n>>2]=-1;la=-1}else if((B|0)==134){c[2505614]=na;c[n>>2]=-3;la=-3}else if((B|0)==136){if((c[ma>>2]|0)!=1){h[l>>3]=oa*+h[l>>3];h[m>>3]=+h[2246]*+h[m>>3];c[n>>2]=-2;la=-2;break}p=c[d>>2]|0;c[2505614]=1;if((p|0)>=1){D=0;I=1;O=oa;while(1){W=l+(D<<3)|0;h[W>>3]=O*+h[W>>3];W=m+(I-1<<3)|0;h[W>>3]=+h[2246]*+h[W>>3];ya=I+1|0;if((ya|0)>(p|0)){break}D=I;I=ya;O=+h[2246]}c[2505614]=ya}c[n>>2]=-2;la=-2}else if((B|0)==231){i=y;return 0}}while(0);I=-la|0;c[2505610]=I;switch(I|0){case 2:{W8(10022280,33128,80,47);PU(10022280,18968,18872,10022728,10022728,10022728,10022728,19208,17952,18608,80)|0;W8(10022280,28856,80,48);PU(10022280,18960,18864,10022728,10022728,10022728,10022728,10022728,18608,18608,80)|0;W8(10022280,25704,80,45);PU(10022280,18984,18856,10022728,10022728,10022728,10022728,10022728,18608,18608,80)|0;break};case 3:{W8(10022280,22056,80,38);PU(10022280,19032,18848,10022728,10022728,10022728,10022728,19208,17952,18608,80)|0;W8(10022280,9981384,80,28);PU(10022280,19096,18840,10022728,10022728,10022728,10022728,10022728,18608,18608,80)|0;break};case 6:{W8(10022280,9977920,80,44);PU(10022280,18992,18832,10022728,10022728,10022728,10022728,19080,17952,18008,80)|0;W8(10022280,9974536,80,57);PU(10022280,18912,18824,10022728,10022728,10022728,10022728,10022728,18608,18608,80)|0;break};case 7:{W8(10022280,9977920,80,44);PU(10022280,18992,18816,10022728,10022728,10022728,10022728,19080,17952,18008,80)|0;W8(10022280,9971704,80,48);PU(10022280,18960,18808,10022728,10022728,10022728,10022728,10022728,18608,18608,80)|0;W8(10022280,9969552,80,28);PU(10022280,19096,18800,10022728,10022728,10022728,10022728,10022728,18608,18608,80)|0;break};case 8:{W8(10022280,9977920,80,44);PU(10022280,18992,18792,10022728,10022728,10022728,10022728,19080,17952,18008,80)|0;W8(10022280,9967392,80,37);PU(10022280,19040,18784,10022728,10022728,10022728,10022728,10022728,18608,18608,80)|0;break};case 9:{W8(10022280,9977920,80,44);PU(10022280,18992,18776,10022728,10022728,10022728,10022728,19080,17952,18008,80)|0;W8(10022280,9965264,80,49);PU(10022280,18944,18768,10022728,10022728,10022728,10022728,10022728,18608,18608,80)|0;W8(10022280,9962968,80,38);PU(10022280,19032,18760,10022728,10022728,10022728,10022728,10022728,18608,18608,80)|0;break};case 10:{W8(10022280,9977920,80,44);PU(10022280,18992,18752,10022728,10022728,10022728,10022728,19080,17952,18008,80)|0;W8(10022280,9960888,80,45);PU(10022280,18984,18744,10022728,10022728,10022728,10022728,10022728,18608,18608,80)|0;W8(10022280,9958872,80,36);PU(10022280,19048,18736,10022728,10022728,10022728,10022728,10022728,18608,18608,80)|0;break};case 11:{W8(10022280,9956768,80,40);PU(10022280,19008,18728,10022728,10022728,10022728,10022728,19080,17952,18008,80)|0;W8(10022280,9954272,80,36);PU(10022280,19048,18720,10022728,10022728,10022728,10022728,10022728,18608,18608,80)|0;break};case 12:{W8(10022280,9977920,80,44);PU(10022280,18992,18712,10022728,10022728,10022728,10022728,19080,17952,17984,80)|0;W8(10022280,9952152,80,45);PU(10022280,18984,18704,10022728,10022728,10022728,10022728,10022728,18608,18608,80)|0;break};case 4:case 5:{break};default:{W8(10022280,42784,80,38);PU(10022280,19032,18888,10022728,10022728,10022728,10022728,19208,17952,18608,80)|0;W8(10022280,37920,80,48);PU(10022280,18960,18880,10022728,10022728,10022728,10022728,10022728,18608,18608,80)|0}}c[k>>2]=-1;h[e>>3]=+h[2244];h[o+24>>3]=+h[2244];h[o+16>>3]=+h[2251];i=y;return 0}else if((B|0)==213){W8(10022280,9940104,80,39);PU(10022280,19024,18696,10022728,10022728,10022728,10022728,10022728,18608,18608,80)|0;break c}else if((B|0)==214){W8(10022280,9938128,80,39);PU(10022280,19024,18688,10022728,10022728,10022728,10022728,10022728,18608,18608,80)|0;break c}}}while(0);W8(10022280,9936024,80,47);PU(10022280,18968,18664,10022728,10022728,10022728,10022728,10022728,18608,18608,80)|0}else if((B|0)==208){W8(10022280,9950320,80,55);PU(10022280,18920,19208,10022728,10022728,10022728,10022728,10022728,18608,18608,80)|0}}while(0);if((B|0)==225){W8(10022280,46744,80,39);PU(10022280,19024,19152,10022728,10022728,10022728,10022728,19080,j,e,80)|0}if((c[k>>2]|0)==-1){W8(10022280,43824,80,46);PU(10022280,18976,18680,10022728,10022728,10022728,10022728,10022728,18608,18608,80)|0;W8(10022280,43320,80,47);PU(10022280,18968,18672,19208,10022728,10022728,10022728,10022728,18608,18608,80)|0;i=y;return 0}else{c[k>>2]=-1;c[n>>2]=-33;i=y;return 0}return 0}function RU(b,d,e,f,g,i,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;s=s|0;t=t|0;u=u|0;v=v|0;w=w|0;x=x|0;y=y|0;var z=0,A=0.0,B=0,C=0,D=0.0,E=0.0,F=0.0,G=0,H=0,I=0,J=0.0,K=0,L=0,M=0,N=0,O=0,P=0.0,Q=0,R=0,S=0,T=0.0,U=0,V=0,W=0.0,X=0.0,Y=0,Z=0,_=0.0,$=0,aa=0,ba=0,ca=0,da=0,ea=0.0,fa=0,ga=0,ha=0,ia=0;u=c[f>>2]|0;z=~u;A=+h[m>>3];h[2105]=A;c[s>>2]=0;B=c[e>>2]|0;c[2505016]=1;if((B|0)>=1){C=1;do{c[r+(C-1<<2)>>2]=0;C=(c[2505016]|0)+1|0;c[2505016]=C;}while((C|0)<=(B|0))}D=+h[g>>3];if(D<0.0){E=-0.0-D}else{E=D}if(A<0.0){F=-0.0-A}else{F=A}h[2104]=(E+F)*+h[t>>3]*100.0;t=c[b>>2]|0;do{if((t|0)==2){do{if((c[w+68>>2]|0)!=0){b=v+320|0;WU(g,b,j,k,f,n,l,m)|0;if((c[2502392]|0)>0){return 0}B=d;Yd[B&15](f,b,j,e,o,x,y)|0;if((c[2502392]|0)>0){return 0}C=w+60|0;c[C>>2]=(c[C>>2]|0)+1;a[16792]=0;G=c[e>>2]|0;c[2505016]=1;if((G|0)<1){break}else{H=1;I=0}while(1){F=+h[o+(H-1<<3)>>3];if(F<0.0){J=-0.0-F}else{J=F}if(J>0.0){K=I}else{a[16792]=1;K=1}L=H+1|0;if((L|0)>(G|0)){break}else{H=L;I=K}}c[2505016]=L;if(!K){break}F=+T8(16832,16840);h[2102]=F;E=F+ +h[b>>3];h[b>>3]=E;F=+h[2105];do{if((E- +h[g>>3])*F<0.0){WU(g,b,j,k,f,n,l,m)|0;if((c[2502392]|0)<=0){break}return 0}else{D=+h[2102]/F;h[2101]=D;G=c[f>>2]|0;c[2505016]=1;if((G|0)<1){break}M=(u<<1)+z|0;N=1;O=2;P=D;while(1){Q=j+(N-1<<3)|0;h[Q>>3]=+h[Q>>3]+P*+h[l+(M+N<<3)>>3];if((O|0)>(G|0)){break}N=O;O=O+1|0;P=+h[2101]}c[2505016]=O}}while(0);Yd[B&15](f,b,j,e,o,x,y)|0;if((c[2502392]|0)>0){return 0}c[C>>2]=(c[C>>2]|0)+1;a[16792]=0;N=c[e>>2]|0;c[2505016]=1;if((N|0)<1){break}else{R=1;S=0}while(1){G=R-1|0;F=+h[o+(G<<3)>>3];if(F<0.0){T=-0.0-F}else{T=F}if(T>0.0){U=S;V=R}else{c[r+(G<<2)>>2]=1;a[16792]=1;U=1;V=c[2505016]|0}G=V+1|0;c[2505016]=G;if((G|0)>(N|0)){break}else{R=G;S=U}}if(!U){break}c[s>>2]=1;return 0}}while(0);F=+h[g>>3];if(F==+h[v+328>>3]){return 0}else{W=F;X=+h[2105];break}}else if((t|0)==3){W=+h[g>>3];X=A}else{N=v+320|0;WU(g,N,j,k,f,n,l,m)|0;if((c[2502392]|0)>0){return 0}C=d;Yd[C&15](f,N,j,e,o,x,y)|0;if((c[2502392]|0)>0){return 0}b=w+60|0;c[b>>2]=1;a[16792]=0;B=c[e>>2]|0;c[2505016]=1;if((B|0)<1){return 0}else{Y=1;Z=0}while(1){F=+h[o+(Y-1<<3)>>3];if(F<0.0){_=-0.0-F}else{_=F}if(_>0.0){$=Z}else{a[16792]=1;$=1}aa=Y+1|0;if((aa|0)>(B|0)){break}else{Y=aa;Z=$}}c[2505016]=aa;if(!$){return 0}F=+T8(16832,16840);h[2102]=F;h[N>>3]=F+ +h[N>>3];F=+h[2102]/+h[2105];h[2101]=F;B=c[f>>2]|0;c[2505016]=1;if((B|0)>=1){G=(u<<1)+z|0;M=1;Q=2;E=F;while(1){ba=j+(M-1<<3)|0;h[ba>>3]=+h[ba>>3]+E*+h[l+(G+M<<3)>>3];if((Q|0)>(B|0)){break}M=Q;Q=Q+1|0;E=+h[2101]}c[2505016]=Q}Yd[C&15](f,N,j,e,o,x,y)|0;if((c[2502392]|0)>0){return 0}c[b>>2]=(c[b>>2]|0)+1;a[16792]=0;M=c[e>>2]|0;c[2505016]=1;if((M|0)<1){return 0}else{ca=1;da=0}while(1){E=+h[o+(ca-1<<3)>>3];if(E<0.0){ea=-0.0-E}else{ea=E}if(ea>0.0){fa=da}else{a[16792]=1;fa=1}ga=ca+1|0;if((ga|0)>(M|0)){break}else{ca=ga;da=fa}}c[2505016]=ga;if(!fa){return 0}c[s>>2]=-1;return 0}}while(0);ea=+h[i>>3];do{if((ea-W)*X<0.0){h[2103]=ea;if(!((ea- +h[v+320>>3])*X>0.0)){return 0}WU(g,16824,j,k,f,n,l,m)|0;if((c[2502392]|0)<=0){break}return 0}else{h[2103]=W;i=c[f>>2]|0;c[2505016]=1;if((i|0)<1){break}else{ha=1}do{fa=ha-1|0;h[j+(fa<<3)>>3]=+h[l+(fa<<3)>>3];ha=ha+1|0;}while((ha|0)<=(i|0));c[2505016]=ha}}while(0);ha=d;Yd[ha&15](f,16824,j,e,p,x,y)|0;if((c[2502392]|0)>0){return 0}d=w+60|0;c[d>>2]=(c[d>>2]|0)+1;c[2505014]=0;i=v+320|0;fa=w+76|0;ga=w+72|0;w=v+336|0;da=v+344|0;while(1){SU(e,16832,10020056,i,16824,o,p,q,16800,r,fa,ga,w,da)|0;if((c[2502392]|0)>0){ia=76;break}if((c[2505014]|0)>1){ia=73;break}WU(g,16800,j,k,f,n,l,m)|0;if((c[2502392]|0)>0){ia=76;break}Yd[ha&15](f,16800,j,e,q,x,y)|0;if((c[2502392]|0)>0){ia=76;break}c[d>>2]=(c[d>>2]|0)+1}if((ia|0)==73){h[i>>3]=+h[2100];mV(e,q,19208,o,19208)|0;if((c[2505014]|0)==4){return 0}WU(g,16800,j,k,f,n,l,m)|0;if((c[2502392]|0)>0){return 0}c[s>>2]=1;return 0}else if((ia|0)==76){return 0}return 0}function SU(b,d,e,f,g,i,j,k,l,m,n,o,p,q){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;var r=0,s=0,t=0,u=0.0,v=0.0,w=0,x=0,y=0.0,z=0.0,A=0,B=0.0,C=0.0,D=0,E=0.0,F=0.0,G=0.0,H=0.0,I=0,J=0.0,K=0.0,L=0.0,M=0.0;do{if((c[e>>2]|0)==1){c[2505010]=c[n>>2];c[n>>2]=0;h[2097]=0.0;a[16760]=0;r=c[b>>2]|0;c[2505012]=1;if((r|0)>=1){s=1;do{t=s-1|0;u=+h[k+(t<<3)>>3];if(u<0.0){v=-0.0-u}else{v=u}do{if(v>0.0){u=+T8(18592,i+(t<<3)|0);if(u==+T8(18592,k+((c[2505012]|0)-1<<3)|0)){break}w=c[2505012]|0;x=w-1|0;u=+h[k+(x<<3)>>3];y=u/(u- +h[i+(x<<3)>>3]);if(y<0.0){z=-0.0-y}else{z=y}if(!(z>+h[2097])){break}h[2097]=z;c[n>>2]=w}else{a[16760]=1}}while(0);s=(c[2505012]|0)+1|0;c[2505012]=s;}while((s|0)<=(r|0))}do{if((c[n>>2]|0)>0){a[16784]=1;c[2505008]=c[o>>2];h[g>>3]=+h[q>>3];mV(b,k,19208,j,19208)|0;c[o>>2]=1;a[16768]=0;A=0}else{a[16784]=0;c[n>>2]=c[2505010];c[2505008]=c[o>>2];if(a[16760]|0){h[g>>3]=+h[q>>3];mV(b,k,19208,j,19208)|0;a[16768]=1;A=1;break}else{mV(b,k,19208,i,19208)|0;h[f>>3]=+h[q>>3];c[o>>2]=0;a[16768]=0;A=0;break}}}while(0);y=+h[g>>3];u=y- +h[f>>3];if(u<0.0){B=-0.0-u}else{B=u}if(B>+h[d>>3]){if(!A){break}C=+h[g>>3]}else{a[16768]=1;C=y}c[e>>2]=2;h[l>>3]=C;mV(b,j,19208,k,19208)|0;r=c[b>>2]|0;c[2505012]=1;if((r|0)<1){return 0}else{D=1}do{c[m+(D-1<<2)>>2]=0;s=(c[2505012]|0)-1|0;y=+h[j+(s<<3)>>3];if(y<0.0){E=-0.0-y}else{E=y}do{if(E>0.0){y=+T8(18592,i+(s<<3)|0);if(!(y!=+T8(18592,j+((c[2505012]|0)-1<<3)|0))){break}c[m+((c[2505012]|0)-1<<2)>>2]=1}else{c[m+(s<<2)>>2]=1}}while(0);D=(c[2505012]|0)+1|0;c[2505012]=D;}while((D|0)<=(r|0));return 0}else{c[n>>2]=0;h[2097]=0.0;a[16760]=0;r=c[b>>2]|0;c[2505012]=1;if((r|0)>=1){s=1;do{t=s-1|0;y=+h[j+(t<<3)>>3];if(y<0.0){F=-0.0-y}else{F=y}do{if(F>0.0){y=+T8(18592,i+(t<<3)|0);if(y==+T8(18592,j+((c[2505012]|0)-1<<3)|0)){break}w=c[2505012]|0;x=w-1|0;y=+h[j+(x<<3)>>3];u=y/(y- +h[i+(x<<3)>>3]);if(u<0.0){G=-0.0-u}else{G=u}if(!(G>+h[2097])){break}h[2097]=G;c[n>>2]=w}else{a[16760]=1}}while(0);s=(c[2505012]|0)+1|0;c[2505012]=s;}while((s|0)<=(r|0))}r=(c[n>>2]|0)>0;a[16784]=r;if(r){a[16768]=0;c[2505008]=0;c[o>>2]=1;break}if(!(a[16760]|0)){mV(b,j,19208,k,19208)|0;h[l>>3]=+h[g>>3];c[e>>2]=4;return 0}h[l>>3]=+h[g>>3];mV(b,j,19208,k,19208)|0;r=c[b>>2]|0;c[2505012]=1;if((r|0)>=1){s=1;do{c[m+(s-1<<2)>>2]=0;t=c[2505012]|0;w=t-1|0;u=+h[j+(w<<3)>>3];if(u<0.0){H=-0.0-u}else{H=u}if(H>0.0){I=t}else{c[m+(w<<2)>>2]=1;I=c[2505012]|0}s=I+1|0;c[2505012]=s;}while((s|0)<=(r|0))}c[e>>2]=3;return 0}}while(0);I=c[2505008]|0;do{if((I|0)==(c[o>>2]|0)){H=+h[p>>3];if((I|0)==0){G=H*2.0;h[p>>3]=G;J=G;break}else{G=H*.5;h[p>>3]=G;J=G;break}}else{h[p>>3]=1.0;J=1.0}}while(0);G=+h[g>>3];p=(c[n>>2]|0)-1|0;H=+h[j+(p<<3)>>3];F=G-(G- +h[f>>3])*H/(H-J*+h[i+(p<<3)>>3]);h[q>>3]=F;J=+h[f>>3];H=F-J;if(H<0.0){K=-0.0-H}else{K=H}H=+h[d>>3];do{if(K<H){G=+h[g>>3]-J;if(G<0.0){L=-0.0-G}else{L=G}if(!(L>H*10.0)){M=F;break}E=J+G*.1;h[q>>3]=E;M=E}else{M=F}}while(0);c[e>>2]=1;h[l>>3]=M;return 0}function TU(a,b,d,e,f,g,i,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;var k=0,l=0.0,m=0,n=0.0,o=0.0;h[2216]=+h[d>>3];h[2217]=+h[e>>3];j=c[a>>2]|0;c[2505528]=1;if((j|0)<1){return 0}else{k=1}do{if((c[b>>2]|0)==0){l=+h[2216];m=k-1|0}else{a=k-1|0;n=+h[d+(a<<3)>>3];h[2216]=n;h[2217]=+h[e+(a<<3)>>3];l=n;m=a}n=+h[f+(m<<3)>>3];if(n<0.0){o=-0.0-n}else{o=n}h[g+(m<<3)>>3]=l*o+ +h[2217];k=k+1|0;c[2505528]=k;}while((k|0)<=(j|0));return 0}function UU(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0.0,i=0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0,o=0,p=0.0;h[2254]=0.0;f=c[a>>2]|0;c[2505618]=1;if((f|0)<1){g=0.0;return+g}else{i=1;j=0.0}while(1){e=i-1|0;k=+h[b+(e<<3)>>3]/+h[d+(e<<3)>>3];if(k<0.0){l=-0.0-k}else{l=k}if(l>j){e=i-1|0;k=+h[b+(e<<3)>>3]/+h[d+(e<<3)>>3];if(k<0.0){m=-0.0-k}else{m=k}h[2254]=m;n=m}else{n=j}o=i+1|0;if((o|0)>(f|0)){break}else{i=o;j=n}}c[2505618]=o;if(!(n>0.0)){g=0.0;return+g}h[2255]=0.0;o=c[a>>2]|0;c[2505618]=1;if((o|0)<1){p=0.0}else{i=1;j=0.0;do{f=i-1|0;m=+h[b+(f<<3)>>3]/+h[d+(f<<3)>>3]/n;j=j+m*m;h[2255]=j;i=i+1|0;}while((i|0)<=(o|0));c[2505618]=i;p=j}g=n*+W(p/+(c[a>>2]|0));return+g}



function VU(b,d,e,f,g,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;s=s|0;t=t|0;u=u|0;v=v|0;w=w|0;x=x|0;var y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0.0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0.0,S=0.0,T=0,U=0.0,V=0.0,W=0.0;y=i;i=i+16|0;z=y|0;A=y+8|0;B=c[f>>2]|0;c[m>>2]=1;c[2505654]=0;c[2505656]=0;c[2505652]=0;h[2262]=+h[b>>3];h[2261]=+UU(f,d,l,0,0);C=c[f>>2]|0;c[2505664]=1;D=(B<<1)+~B|0;if((C|0)>=1){B=1;do{E=B-1|0;h[p+(E<<3)>>3]=+h[d+(E<<3)>>3];h[p+(D+B<<3)>>3]=+h[e+(B-1<<3)>>3];B=B+1|0;}while((B|0)<=(C|0));c[2505664]=B}B=t+44|0;C=g;E=t+48|0;F=+h[k>>3];a:while(1){h[2270]=1.0/F;h[b>>3]=+h[k>>3]+ +h[b>>3];G=c[f>>2]|0;c[2505664]=1;if((G|0)>=1){H=1;do{I=H-1|0;J=d+(I<<3)|0;h[J>>3]=+h[J>>3]+ +h[k>>3]*+h[e+(I<<3)>>3];H=H+1|0;}while((H|0)<=(G|0));c[2505664]=H}a[18128]=1;c[2505658]=0;a[18152]=1;c[B>>2]=(c[B>>2]|0)+1;c[2505660]=0;Yd[C&15](b,d,e,q,10022640,n,o)|0;b:do{if((c[2505660]|0)<0){K=35}else{while(1){if(a[18128]|0){c[E>>2]=(c[E>>2]|0)+1;a[18128]=0;YU(f,b,d,e,q,18160,k,10022648,l,r,s,t,g,10022640,v,j,n,o,x)|0;h[2263]=1.0e6;if((c[2505660]|0)<0|(c[2505662]|0)!=0){K=35;break b}c[2505652]=0}G=c[f>>2]|0;c[2505664]=1;if((G|0)>=1){I=1;do{J=q+(I-1<<3)|0;h[J>>3]=+h[J>>3]*.75;I=I+1|0;}while((I|0)<=(G|0));c[2505664]=I}ZU(f,q,s,t)|0;G=c[f>>2]|0;c[2505664]=1;if((G|0)>=1){J=1;do{L=J-1|0;M=d+(L<<3)|0;h[M>>3]=+h[M>>3]- +h[q+(L<<3)>>3];L=J-1|0;M=e+(L<<3)|0;h[M>>3]=+h[M>>3]- +h[2270]*+h[q+(L<<3)>>3];J=J+1|0;}while((J|0)<=(G|0));c[2505664]=J}N=+UU(f,q,l,0,0);h[2268]=N;if(!(N>+h[v>>3]*100.0*+h[2261])){break}G=c[2505658]|0;if((G|0)>0){h[z>>3]=N/+h[2265];h[A>>3]=1.0/+(G|0);O=+R8(z,A);if(O>.9){K=35;break b}P=O/(1.0-O);h[2263]=P;Q=P;R=+h[2268]}else{h[2265]=N;Q=+h[2263];R=N}if(!(Q*R>.33)){break}G=(c[2505658]|0)+1|0;c[2505658]=G;if((G|0)>9){K=35;break b}if(((G|0)%5|0|0)==0){a[18128]=1}c[B>>2]=(c[B>>2]|0)+1;c[2505660]=0;Yd[C&15](b,d,e,q,10022640,n,o)|0;if((c[2505660]|0)<0){K=35;break b}}do{if((c[w>>2]|0)!=0){G=c[f>>2]|0;c[2505664]=1;if((G|0)>=1){I=1;do{S=+h[d+(I-1<<3)>>3];h[q+(I-1<<3)>>3]=S<=0.0?S:0.0;I=I+1|0;}while((I|0)<=(G|0));h[z>>3]=S;c[2505664]=I}N=+UU(f,q,l,0,0);h[2268]=N;if(N>.33){K=35;break b}G=c[f>>2]|0;c[2505664]=1;if((G|0)<1){break}else{T=1}do{J=T-1|0;L=d+(J<<3)|0;h[L>>3]=+h[L>>3]- +h[q+(J<<3)>>3];J=T-1|0;L=e+(J<<3)|0;h[L>>3]=+h[L>>3]- +h[2270]*+h[q+(J<<3)>>3];T=T+1|0;}while((T|0)<=(G|0));c[2505664]=T}}while(0);if(!(a[18152]|0)){break}G=c[f>>2]|0;c[2505664]=1;if((G|0)>=1){I=1;do{J=I-1|0;h[r+(J<<3)>>3]=+h[d+(J<<3)>>3]- +h[p+(J<<3)>>3];I=I+1|0;}while((I|0)<=(G|0));c[2505664]=I}N=+UU(f,r,l,0,0);h[2267]=N;if(!(N>1.0)){K=63;break a}}}while(0);if((K|0)==35){K=0;a[18152]=0}h[b>>3]=+h[2262];H=c[f>>2]|0;c[2505664]=1;if((H|0)>=1){G=1;do{J=G-1|0;h[d+(J<<3)>>3]=+h[p+(J<<3)>>3];h[e+(G-1<<3)>>3]=+h[p+(D+G<<3)>>3];G=G+1|0;}while((G|0)<=(H|0));c[2505664]=G}if(a[18152]|0){H=(c[2505654]|0)+1|0;c[2505654]=H;N=.9/(+h[2267]*2.0+1.0e-4);h[z>>3]=.1;P=N>=.5?.5:N;h[A>>3]=P;N=P<=.1?.1:P;h[2264]=N;P=+h[k>>3]*N;h[k>>3]=P;if(P<0.0){U=-0.0-P}else{U=P}if(U>=+h[u>>3]&(H|0)<10){F=P;continue}else{K=62;break}}if((c[2505662]|0)!=0){H=(c[2505652]|0)+1|0;c[2505652]=H;P=+h[k>>3]*.25;h[k>>3]=P;if((H|0)>=3){K=51;break}if(P<0.0){V=-0.0-P}else{V=P}if(V<+h[u>>3]){K=51;break}else{F=P;continue}}if(!((c[2505660]|0)>-2)){K=53;break}H=(c[2505656]|0)+1|0;c[2505656]=H;P=+h[k>>3]*.25;h[k>>3]=P;if((H|0)>=10){K=58;break}if(P<0.0){W=-0.0-P}else{W=P}if(W<+h[u>>3]){K=58;break}else{F=P}}if((K|0)==51){c[m>>2]=-12;i=y;return 0}else if((K|0)==53){c[m>>2]=-12;i=y;return 0}else if((K|0)==58){c[m>>2]=-12;i=y;return 0}else if((K|0)==62){c[m>>2]=-12;i=y;return 0}else if((K|0)==63){i=y;return 0}return 0}function WU(a,b,d,e,f,g,i,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0.0,o=0.0,p=0,q=0.0,r=0.0,s=0.0,t=0.0,u=0,v=0;k=c[f>>2]|0;l=~k;m=(c[g>>2]|0)+1|0;c[2505530]=m;n=+h[b>>3]- +h[a>>3];h[2218]=n;a=c[f>>2]|0;c[2505534]=1;if((a|0)<1){o=n}else{b=1;do{g=b-1|0;h[d+(g<<3)>>3]=+h[i+(g<<3)>>3];h[e+(b-1<<3)>>3]=0.0;b=b+1|0;}while((b|0)<=(a|0));c[2505534]=b;o=+h[2218]}h[2221]=1.0;h[2220]=0.0;n=o/+h[j>>3];h[2219]=n;c[2505532]=2;if((m|0)<2){return 0}else{p=2;q=0.0;r=n;s=1.0;t=o}while(1){b=j+(p-2<<3)|0;h[2220]=q*r+s/+h[b>>3];o=r*s;h[2221]=o;h[2219]=(t+ +h[b>>3])/+h[j+(p-1<<3)>>3];b=c[f>>2]|0;c[2505534]=1;if((b|0)>=1){a=ga(p,k)|0;g=1;n=o;while(1){u=d+(g-1<<3)|0;h[u>>3]=+h[u>>3]+n*+h[i+(g+l+a<<3)>>3];u=e+(g-1<<3)|0;h[u>>3]=+h[u>>3]+ +h[2220]*+h[i+(g+l+a<<3)>>3];v=g+1|0;if((v|0)>(b|0)){break}g=v;n=+h[2221]}c[2505534]=v}g=p+1|0;c[2505532]=g;if((g|0)>(m|0)){break}p=g;q=+h[2220];r=+h[2219];s=+h[2221];t=+h[2218]}return 0}function XU(b,d,e,f,g,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y,z,A,B,C,D,E,F,G,H,I,J,K,L,M){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;s=s|0;t=t|0;u=u|0;v=v|0;w=w|0;x=x|0;y=y|0;z=z|0;A=A|0;B=B|0;C=C|0;D=D|0;E=E|0;F=F|0;G=G|0;H=H|0;I=I|0;J=J|0;K=K|0;L=L|0;M=M|0;var N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0.0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0.0,oa=0.0,pa=0.0,qa=0,ra=0,sa=0.0,ta=0,ua=0.0,va=0.0,wa=0.0,xa=0.0,ya=0.0,za=0.0,Aa=0,Ba=0,Ca=0.0,Da=0,Ea=0,Fa=0,Ga=0.0,Ha=0;N=i;i=i+16|0;O=N|0;P=N+8|0;Q=c[f>>2]|0;R=~Q;c[n>>2]=1;h[2222]=+h[b>>3];c[2505542]=0;c[2505538]=0;c[2505540]=0;S=u+52|0;if((c[m>>2]|0)==0){c[S>>2]=0;T=u+56|0;c[T>>2]=0;c[I>>2]=1;c[J>>2]=0;h[C>>3]=0.0;c[m>>2]=1;h[y>>3]=+h[k>>3];U=1.0/+h[k>>3];h[B>>3]=U;h[A>>3]=U;h[D>>3]=100.0;c[H>>2]=-1;h[2236]=1.0;c[G>>2]=0;c[K>>2]=0;V=T}else{V=u+56|0}T=u+44|0;m=g;W=u+48|0;while(1){c[2505548]=(c[I>>2]|0)+1;c[2505546]=(c[I>>2]|0)+2;c[2505552]=(c[I>>2]|0)-1;h[2222]=+h[b>>3];do{if(+h[k>>3]!=+h[C>>3]){X=8}else{Y=c[I>>2]|0;if((Y|0)!=(c[J>>2]|0)){X=8;break}Z=Y;_=(c[K>>2]|0)+1|0}}while(0);if((X|0)==8){X=0;c[K>>2]=0;Z=c[J>>2]|0;_=1}Y=Z+2|0;$=(_|0)<=(Y|0)?_:Y;c[K>>2]=$;c[2505536]=$+1;$=c[2505548]|0;if(($|0)>=(c[K>>2]|0)){h[w>>3]=1.0;h[v>>3]=1.0;h[2226]=+h[k>>3];h[x>>3]=0.0;h[z>>3]=1.0;c[2505564]=2;if(($|0)>=2){Y=2;do{h[2225]=+h[y+(Y-2<<3)>>3];U=+h[2226];aa=Y-2|0;h[y+(aa<<3)>>3]=U;ba=Y-1|0;h[w+(ba<<3)>>3]=+h[w+(aa<<3)>>3]*U/+h[2225];U=+h[2225]+ +h[k>>3];h[2226]=U;ca=+h[k>>3]/U;h[v+(ba<<3)>>3]=ca;h[z+(ba<<3)>>3]=ca*+h[z+(aa<<3)>>3]*+(ba|0);h[x+(ba<<3)>>3]=+h[x+(aa<<3)>>3]+ +h[v+(aa<<3)>>3]/+h[k>>3];Y=Y+1|0;}while((Y|0)<=($|0));c[2505564]=Y}h[y+($-1<<3)>>3]=+h[2226]}h[2240]=0.0;h[2241]=0.0;aa=c[I>>2]|0;c[2505564]=1;if((aa|0)<1){da=0.0}else{ba=1;ca=0.0;U=0.0;do{ca=ca-1.0/+(ba|0);h[2240]=ca;U=U- +h[v+(ba-1<<3)>>3];h[2241]=U;ba=ba+1|0;}while((ba|0)<=(aa|0));c[2505564]=ba;da=ca}h[2239]=+h[A>>3];h[A>>3]=(-0.0-da)/+h[k>>3];aa=v+($-1<<3)|0;U=+h[aa>>3]+ +h[2240]- +h[2241];h[O>>3]=U;if(U<0.0){ea=-0.0-U}else{ea=U}h[2238]=ea;h[O>>3]=ea;U=+h[aa>>3];h[P>>3]=U;h[2238]=ea>=U?ea:U;h[2226]=.6;h[2225]=1.6666666666666667;U=+h[A>>3];fa=U/+h[B>>3];if(fa<.6|fa>1.6666666666666667){c[H>>2]=-1}if(U!=+h[2239]){h[D>>3]=100.0}aa=c[2505548]|0;Y=c[2505536]|0;if((aa|0)>=(Y|0)){c[2505558]=Y;ha=Y;do{Y=c[f>>2]|0;c[2505564]=1;if((Y|0)>=1){ia=1;do{ja=q+(ia+R+(ga(ha,Q)|0)<<3)|0;h[ja>>3]=+h[w+(ha-1<<3)>>3]*+h[ja>>3];ia=ia+1|0;}while((ia|0)<=(Y|0));c[2505564]=ia}ha=ha+1|0;c[2505558]=ha;}while((ha|0)<=(aa|0))}h[b>>3]=+h[k>>3]+ +h[b>>3];a:while(1){aa=c[f>>2]|0;c[2505564]=1;if((aa|0)>=1){ha=1;do{$=ha-1|0;h[d+($<<3)>>3]=+h[q+($<<3)>>3];h[e+(ha-1<<3)>>3]=0.0;ha=ha+1|0;}while((ha|0)<=(aa|0));c[2505564]=ha}aa=c[2505548]|0;c[2505558]=2;if((aa|0)>=2){ia=2;do{$=c[f>>2]|0;c[2505564]=1;if(($|0)>=1){ba=x+(ia-1<<3)|0;Y=ga(ia,Q)|0;ja=Y+R|0;ka=1;do{la=d+(ka-1<<3)|0;h[la>>3]=+h[q+(ka+R+Y<<3)>>3]+ +h[la>>3];la=e+(ka-1<<3)|0;h[la>>3]=+h[la>>3]+ +h[ba>>3]*+h[q+(ja+ka<<3)>>3];ka=ka+1|0;}while((ka|0)<=($|0));c[2505564]=ka}ia=ia+1|0;c[2505558]=ia;}while((ia|0)<=(aa|0))}h[2228]=+UU(f,d,l,0,0);a[17896]=1;c[2505544]=0;c[T>>2]=(c[T>>2]|0)+1;c[2505560]=0;Yd[m&15](b,d,e,r,10022240,o,p)|0;if((c[2505560]|0)<0){X=70;break}if((c[H>>2]|0)==-1){c[W>>2]=(c[W>>2]|0)+1;c[H>>2]=0;YU(f,b,d,e,r,A,k,10022248,l,s,t,u,g,10022240,F,j,o,p,M)|0;h[B>>3]=+h[A>>3];h[D>>3]=100.0;if((c[2505560]|0)<0|(c[2505562]|0)!=0){X=70;break}c[2505538]=0}aa=c[f>>2]|0;c[2505564]=1;if((aa|0)>=1){ia=1;do{h[s+(ia-1<<3)>>3]=0.0;ia=ia+1|0;}while((ia|0)<=(aa|0));c[2505564]=ia}while(1){ca=2.0/(+h[A>>3]/+h[B>>3]+1.0);h[2226]=ca;aa=c[f>>2]|0;c[2505564]=1;if((aa|0)>=1){ha=0;$=1;U=ca;while(1){ja=r+(ha<<3)|0;h[ja>>3]=U*+h[ja>>3];ma=$+1|0;if((ma|0)>(aa|0)){break}ha=$;$=ma;U=+h[2226]}c[2505564]=ma}ZU(f,r,t,u)|0;$=c[f>>2]|0;c[2505564]=1;if(($|0)>=1){ha=1;do{aa=ha-1|0;ka=d+(aa<<3)|0;h[ka>>3]=+h[ka>>3]- +h[r+(aa<<3)>>3];aa=ha-1|0;ka=r+(aa<<3)|0;ja=s+(aa<<3)|0;h[ja>>3]=+h[ja>>3]- +h[ka>>3];ja=e+(aa<<3)|0;h[ja>>3]=+h[ja>>3]- +h[A>>3]*+h[ka>>3];ha=ha+1|0;}while((ha|0)<=($|0));c[2505564]=ha}U=+UU(f,r,l,0,0);h[2236]=U;if(!(U>+h[F>>3]*100.0*+h[2228])){X=63;break a}$=c[2505544]|0;if(($|0)>0){h[O>>3]=U/+h[2229];h[P>>3]=1.0/+($|0);ca=+R8(O,P);if(ca>.9){break}fa=ca/(1.0-ca);h[D>>3]=fa;na=fa;oa=+h[2236]}else{h[2229]=U;na=+h[D>>3];oa=U}if(!(na*oa>.33)){X=63;break a}$=(c[2505544]|0)+1|0;c[2505544]=$;if(($|0)>3){break}c[T>>2]=(c[T>>2]|0)+1;c[2505560]=0;Yd[m&15](b,d,e,r,10022240,o,p)|0;if((c[2505560]|0)<0){X=70;break a}}if((c[H>>2]|0)==0){X=70;break}c[H>>2]=-1}do{if((X|0)==63){X=0;if((c[L>>2]|0)==0){break}ia=c[f>>2]|0;c[2505564]=1;if((ia|0)>=1){$=1;do{pa=+h[d+($-1<<3)>>3];h[r+($-1<<3)>>3]=pa<=0.0?pa:0.0;$=$+1|0;}while(($|0)<=(ia|0));h[O>>3]=pa;c[2505564]=$}U=+UU(f,r,l,0,0);h[2236]=U;if(U>.33){X=70;break}ia=c[f>>2]|0;c[2505564]=1;if((ia|0)<1){break}else{qa=1}do{ka=qa-1|0;ja=s+(ka<<3)|0;h[ja>>3]=+h[ja>>3]- +h[r+(ka<<3)>>3];qa=qa+1|0;}while((qa|0)<=(ia|0));c[2505564]=qa}}while(0);if((X|0)==70){X=0;a[17896]=0}c[H>>2]=1;if(a[17896]|0){U=+UU(f,s,l,0,0);h[2235]=U;ia=c[I>>2]|0;fa=U*+h[z+(ia<<3)>>3];h[2234]=fa;h[2224]=fa*+(ia+1|0);h[2231]=fa;c[2505550]=ia;do{if((c[I>>2]|0)!=1){ia=c[f>>2]|0;c[2505564]=1;if((ia|0)>=1){$=ga(c[2505548]|0,Q)|0;ka=1;do{ja=ka-1|0;h[r+(ja<<3)>>3]=+h[q+(ka+R+$<<3)>>3]+ +h[s+(ja<<3)>>3];ka=ka+1|0;}while((ka|0)<=(ia|0));c[2505564]=ka}fa=+h[z+((c[I>>2]|0)-1<<3)>>3];U=fa*+UU(f,r,l,0,0);h[2233]=U;ia=c[I>>2]|0;fa=U*+(ia|0);h[2223]=fa;if((ia|0)>2){$=c[f>>2]|0;c[2505564]=1;ja=c[I>>2]|0;if(($|0)<1){ra=ja}else{aa=1;ba=ja;while(1){ca=+h[q+(aa+R+(ga(ba,Q)|0)<<3)>>3];ja=r+(aa-1<<3)|0;h[ja>>3]=ca+ +h[ja>>3];ja=aa+1|0;c[2505564]=ja;Y=c[I>>2]|0;if((ja|0)>($|0)){ra=Y;break}else{aa=ja;ba=Y}}}ca=+h[z+(ra-2<<3)>>3];sa=ca*+UU(f,r,l,0,0);ba=c[I>>2]|0;ca=sa*+(ba-1|0);sa=+h[2223];if((sa>=ca?sa:ca)>+h[2224]){break}ta=ba;ua=+h[2233]}else{if(fa>+h[2224]*.5){break}else{ta=ia;ua=U}}c[2505550]=ta-1;h[2231]=ua}}while(0);if(!(+h[2238]*+h[2235]>1.0)){X=86;break}}c[G>>2]=1;h[b>>3]=+h[2222];ba=c[2505548]|0;aa=c[2505536]|0;if((ba|0)>=(aa|0)){c[2505558]=aa;$=aa;do{ca=1.0/+h[w+($-1<<3)>>3];h[2226]=ca;aa=c[f>>2]|0;c[2505564]=1;if((aa|0)>=1){ka=ga($,Q)|0;Y=1;ja=2;sa=ca;while(1){la=q+(Y+R+ka<<3)|0;h[la>>3]=sa*+h[la>>3];if((ja|0)>(aa|0)){break}Y=ja;ja=ja+1|0;sa=+h[2226]}c[2505564]=ja}$=$+1|0;c[2505558]=$;}while(($|0)<=(ba|0))}c[2505564]=2;if((ba|0)>=2){$=2;do{h[y+($-2<<3)>>3]=+h[y+($-1<<3)>>3]- +h[k>>3];$=$+1|0;}while(($|0)<=(ba|0));c[2505564]=$}if(!(a[17896]|0)){c[V>>2]=(c[V>>2]|0)+1;if((c[2505562]|0)!=0){ba=(c[2505538]|0)+1|0;c[2505538]=ba;h[2227]=.25;sa=+h[k>>3]*.25;h[k>>3]=sa;if((ba|0)>=3){X=144;break}if(sa<0.0){va=-0.0-sa}else{va=sa}if(va<+h[E>>3]){X=144;break}else{continue}}if(!((c[2505560]|0)>-2)){X=146;break}ba=(c[2505542]|0)+1|0;c[2505542]=ba;h[2227]=.25;sa=+h[k>>3]*.25;h[k>>3]=sa;if((ba|0)>=10){X=151;break}if(sa<0.0){wa=-0.0-sa}else{wa=sa}if(wa<+h[E>>3]){X=151;break}else{continue}}c[2505540]=(c[2505540]|0)+1;c[S>>2]=(c[S>>2]|0)+1;ba=c[2505540]|0;if((ba|0)<=1){Y=c[2505550]|0;c[I>>2]=Y;sa=+(Y+1|0);h[2225]=sa;h[O>>3]=+h[2231]*2.0+1.0e-4;h[P>>3]=-1.0/sa;sa=+R8(O,P)*.9;h[O>>3]=.25;U=sa>=.9?.9:sa;h[P>>3]=U;sa=U<=.25?.25:U;h[2227]=sa;U=+h[k>>3]*sa;h[k>>3]=U;if(U<0.0){xa=-0.0-U}else{xa=U}if(xa<+h[E>>3]){X=159;break}else{continue}}if((ba|0)>2){c[I>>2]=1;U=+h[k>>3]*.25;h[k>>3]=U;if(U<0.0){ya=-0.0-U}else{ya=U}if(ya<+h[E>>3]){X=168;break}else{continue}}else{c[I>>2]=c[2505550];U=+h[k>>3]*.25;h[k>>3]=U;if(U<0.0){za=-0.0-U}else{za=U}if(za<+h[E>>3]){X=164;break}else{continue}}}do{if((X|0)==86){c[n>>2]=1;E=u+40|0;c[E>>2]=(c[E>>2]|0)+1;c[2505554]=(c[I>>2]|0)-(c[J>>2]|0);c[J>>2]=c[I>>2];h[C>>3]=+h[k>>3];E=c[2505550]|0;S=c[2505552]|0;do{if((E|0)==(S|0)){X=88}else{V=u+8|0;if((c[I>>2]|0)==(c[V>>2]|0)){X=88;break}if((c[G>>2]|0)!=0){Aa=E;Ba=S;X=90;break}c[I>>2]=c[2505548];za=+h[k>>3]*2.0;h[2230]=za;Ca=za;Da=V}}while(0);if((X|0)==88){c[G>>2]=1;Aa=c[2505550]|0;Ba=c[2505552]|0;X=90}if((X|0)==90){do{if((Aa|0)==(Ba|0)){Ea=Ba;X=104}else{S=c[I>>2]|0;E=u+8|0;if((S|0)==(c[E>>2]|0)){Fa=S;break}if((c[2505548]|0)>=(c[K>>2]|0)|(c[2505554]|0)==1){Fa=S;break}S=c[f>>2]|0;c[2505564]=1;if((S|0)>=1){$=ga(c[2505546]|0,Q)|0;V=1;do{w=V-1|0;h[r+(w<<3)>>3]=+h[s+(w<<3)>>3]- +h[q+(V+R+$<<3)>>3];V=V+1|0;}while((V|0)<=(S|0));c[2505564]=V}za=1.0/+((c[I>>2]|0)+2|0);ya=za*+UU(f,r,l,0,0);h[2232]=ya;S=c[I>>2]|0;za=ya*+(S+2|0);if((S|0)>1){xa=+h[2224];$=xa<=za;if(!(+h[2223]>($?xa:za))){Ea=c[2505552]|0;X=104;break}if($){Fa=S;break}if((S|0)==(c[E>>2]|0)){Fa=S;break}}else{if(!(za<+h[2224]*.5)){Fa=S;break}}S=c[2505548]|0;c[I>>2]=S;h[2231]=ya;Fa=S}}while(0);if((X|0)==104){c[I>>2]=Ea;h[2231]=+h[2233];Fa=Ea}h[2230]=+h[k>>3];ya=+(Fa+1|0);h[2225]=ya;h[O>>3]=+h[2231]*2.0+1.0e-4;h[P>>3]=-1.0/ya;ya=+R8(O,P);h[2227]=ya;do{if(ya<2.0){if(ya>1.0){Ga=+h[2230];break}else{h[O>>3]=.5;za=ya>=.9?.9:ya;h[P>>3]=za;xa=za<=.5?.5:za;h[2227]=xa;za=+h[k>>3]*xa;h[2230]=za;Ga=za;break}}else{za=+h[k>>3]*2.0;h[2230]=za;Ga=za}}while(0);Ca=Ga;Da=u+8|0}h[k>>3]=Ca;do{if((c[J>>2]|0)!=(c[Da>>2]|0)){S=c[f>>2]|0;c[2505564]=1;if((S|0)<1){break}$=ga(c[2505546]|0,Q)|0;ja=1;do{h[q+(ja+R+$<<3)>>3]=+h[s+(ja-1<<3)>>3];ja=ja+1|0;}while((ja|0)<=(S|0));c[2505564]=ja}}while(0);S=c[f>>2]|0;c[2505564]=1;$=c[2505548]|0;if((S|0)>=1){E=ga($,Q)|0;V=1;do{w=q+(V+R+E<<3)|0;h[w>>3]=+h[s+(V-1<<3)>>3]+ +h[w>>3];V=V+1|0;}while((V|0)<=(S|0));c[2505564]=V}c[2505556]=2;if(($|0)<2){i=N;return 0}else{Ha=2}do{S=1-Ha+$|0;c[2505558]=S;E=c[f>>2]|0;c[2505564]=1;if((E|0)>=1){w=ga(S+1|0,Q)|0;ta=ga(S,Q)|0;S=1;do{ra=S+R|0;z=q+(ra+ta<<3)|0;h[z>>3]=+h[q+(ra+w<<3)>>3]+ +h[z>>3];S=S+1|0;}while((S|0)<=(E|0));c[2505564]=S}Ha=Ha+1|0;c[2505556]=Ha;}while((Ha|0)<=($|0));i=N;return 0}else if((X|0)==144){c[n>>2]=-8}else if((X|0)==146){c[n>>2]=-11}else if((X|0)==151){c[n>>2]=-7;if((c[2505560]|0)<0){c[n>>2]=-10}if((c[2505540]|0)<=2){break}c[n>>2]=-9}else if((X|0)==159){c[n>>2]=-6}else if((X|0)==164){c[n>>2]=-6}else if((X|0)==168){c[n>>2]=-6}}while(0);WU(b,b,d,e,f,I,q,y)|0;i=N;return 0}function YU(b,d,e,f,g,j,k,l,m,n,o,p,q,r,s,t,u,v,w){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;s=s|0;t=t|0;u=u|0;v=v|0;w=w|0;var x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0.0,Q=0.0,R=0.0,S=0.0,T=0.0,U=0.0,V=0.0,X=0.0,Y=0.0,Z=0,_=0,$=0,aa=0,ba=0.0,ca=0.0,da=0.0,ea=0,fa=0;x=i;i=i+8|0;y=x|0;c[l>>2]=0;z=c[p+12>>2]|0;a:do{if((z|0)==5){A=p+4|0;B=(c[A>>2]|0)+(c[p>>2]|0)|0;C=B+1|0;c[2505630]=C;D=c[b>>2]|0;c[2505632]=(C|0)>(D|0)?D:C;D=c[p>>2]|0;c[2505626]=C+D;c[2505628]=D+B;B=(c[b>>2]|0)/(C|0)|0;c[2505624]=B+1;C=c[w>>2]|0;c[2505640]=C-1;c[2505642]=C+B;c[r>>2]=0;h[2258]=+W(+h[s>>3]);B=c[2505632]|0;c[2505638]=1;if((B|0)<1){E=72;break}C=q;D=1;while(1){F=c[b>>2]|0;G=c[2505630]|0;c[2505622]=D;H=(G|0)<0;b:do{if(H?(D|0)>=(F|0):(D|0)<=(F|0)){I=D;J=D;K=G;while(1){L=(I-J|0)/(K|0)|0;c[2505636]=L+1;M=I-1|0;N=e+(M<<3)|0;h[o+((c[2505640]|0)+L<<3)>>3]=+h[N>>3];O=f+(M<<3)|0;h[o+((c[2505642]|0)+L<<3)>>3]=+h[O>>3];P=+h[N>>3];h[y>>3]=P;if(P<0.0){Q=-0.0-P}else{Q=P}P=+h[k>>3]*+h[O>>3];if(P<0.0){R=-0.0-P}else{R=P}P=Q>=R?Q:R;S=+h[m+(M<<3)>>3];if(S<0.0){T=-0.0-S}else{T=S}h[2260]=+h[2258]*(P>=T?P:T);h[y>>3]=+h[k>>3]*+h[O>>3];P=+T8(18080,y);h[2260]=P;O=c[2505622]|0;M=O-1|0;N=e+(M<<3)|0;S=+h[N>>3];U=P+S-S;h[2260]=U;h[N>>3]=+h[N>>3]+U;N=f+(M<<3)|0;h[N>>3]=+h[j>>3]*+h[2260]+ +h[N>>3];N=O+G|0;c[2505622]=N;if(!(H?(N|0)>=(F|0):(N|0)<=(F|0))){break b}I=N;J=c[2505638]|0;K=c[2505630]|0}}}while(0);Yd[C&15](d,e,f,n,r,u,v)|0;if((c[r>>2]|0)<0){break}F=c[b>>2]|0;H=c[2505630]|0;G=c[2505638]|0;c[2505622]=G;K=(H|0)<0;c:do{if(K?(G|0)>=(F|0):(G|0)<=(F|0)){J=G;I=G;N=H;while(1){O=(J-I|0)/(N|0)|0;c[2505636]=O+1;M=J-1|0;L=e+(M<<3)|0;h[L>>3]=+h[o+((c[2505640]|0)+O<<3)>>3];U=+h[o+((c[2505642]|0)+O<<3)>>3];O=f+(M<<3)|0;h[O>>3]=U;S=+h[L>>3];h[y>>3]=S;if(S<0.0){V=-0.0-S}else{V=S}S=+h[k>>3]*U;if(S<0.0){X=-0.0-S}else{X=S}S=V>=X?V:X;U=+h[m+(M<<3)>>3];if(U<0.0){Y=-0.0-U}else{Y=U}h[2260]=+h[2258]*(S>=Y?S:Y);h[y>>3]=+h[k>>3]*+h[O>>3];S=+T8(18080,y);h[2260]=S;O=c[2505622]|0;U=+h[e+(O-1<<3)>>3];P=S+U-U;h[2260]=P;U=1.0/P;h[2259]=U;M=O-(c[A>>2]|0)|0;L=(M|0)>1?M:1;c[2505650]=L;M=c[b>>2]|0;Z=(c[p>>2]|0)+O|0;_=(M|0)<=(Z|0)?M:Z;c[2505648]=_;Z=ga(c[2505628]|0,O)|0;M=Z-(c[p>>2]|0)|0;c[2505644]=M;c[2505646]=L;if((L|0)<=(_|0)){Z=L;P=U;while(1){L=Z-1|0;h[o+(L+M<<3)>>3]=(+h[n+(L<<3)>>3]- +h[g+(L<<3)>>3])*P;$=Z+1|0;if(($|0)>(_|0)){break}Z=$;P=+h[2259]}c[2505646]=$}Z=O+H|0;c[2505622]=Z;_=c[2505638]|0;if(!(K?(Z|0)>=(F|0):(Z|0)<=(F|0))){aa=_;break c}J=Z;I=_;N=c[2505630]|0}}else{aa=G}}while(0);G=aa+1|0;c[2505638]=G;if((G|0)>(B|0)){E=72;break a}else{D=G}}i=x;return 0}else if((z|0)==3){i=x;return 0}else if((z|0)==2){c[r>>2]=0;c[2505620]=0;h[2258]=+W(+h[s>>3]);D=c[b>>2]|0;c[2505646]=1;d:do{if((D|0)>=1){B=q;A=1;while(1){C=A-1|0;P=+h[e+(C<<3)>>3];h[y>>3]=P;if(P<0.0){ba=-0.0-P}else{ba=P}G=f+(C<<3)|0;P=+h[k>>3]*+h[G>>3];if(P<0.0){ca=-0.0-P}else{ca=P}P=ba>=ca?ba:ca;U=+h[m+(C<<3)>>3];if(U<0.0){da=-0.0-U}else{da=U}h[2260]=+h[2258]*(P>=da?P:da);h[y>>3]=+h[k>>3]*+h[G>>3];P=+T8(18080,y);h[2260]=P;G=(c[2505646]|0)-1|0;C=e+(G<<3)|0;U=+h[C>>3];S=P+U-U;h[2260]=S;h[2256]=+h[C>>3];F=f+(G<<3)|0;h[2257]=+h[F>>3];h[C>>3]=S+ +h[C>>3];h[F>>3]=+h[j>>3]*+h[2260]+ +h[F>>3];Yd[B&15](d,e,f,n,r,u,v)|0;if((c[r>>2]|0)<0){break}S=1.0/+h[2260];h[2259]=S;F=c[b>>2]|0;c[2505634]=1;C=c[2505620]|0;if((F|0)>=1){G=0;K=1;U=S;while(1){h[o+(G+C<<3)>>3]=(+h[n+(G<<3)>>3]- +h[g+(G<<3)>>3])*U;ea=K+1|0;if((ea|0)>(F|0)){break}G=K;K=ea;U=+h[2259]}c[2505634]=ea}c[2505620]=C+(c[b>>2]|0);K=c[2505646]|0;G=K-1|0;h[e+(G<<3)>>3]=+h[2256];h[f+(G<<3)>>3]=+h[2257];A=K+1|0;c[2505646]=A;if((A|0)>(D|0)){break d}}i=x;return 0}}while(0);if((c[v>>2]|0)==0){E=41;break}c[2505620]=0;D=c[b>>2]|0;if((c[2500030]|0)==0){E=41;break}A=lla(D*20|0)|0;XS(14,1,38328,(fa=i,i=i+8|0,h[fa>>3]=+h[d>>3],fa)|0);i=fa;XS(14,0,37976,(fa=i,i=i+8|0,h[fa>>3]=+h[j>>3],fa)|0);i=fa;XS(14,1,37600,(fa=i,i=i+1|0,i=i+7&-8,c[fa>>2]=0,fa)|0);i=fa;c[2505636]=0;if((c[b>>2]|0)>0){B=0;do{U=+h[e+(B<<3)>>3];XS(14,0,37160,(fa=i,i=i+16|0,c[fa>>2]=B+1,h[fa+8>>3]=U,fa)|0);i=fa;B=(c[2505636]|0)+1|0;c[2505636]=B;}while((B|0)<(c[b>>2]|0))}$d[c[3540]&511](14);XS(14,1,34448,(fa=i,i=i+1|0,i=i+7&-8,c[fa>>2]=0,fa)|0);i=fa;c[2505646]=1;if((D|0)>=1){B=A+1|0;K=1;G=c[2505620]|0;do{F=o+(K-1+G<<3)|0;h[F>>3]=+h[j>>3]+ +h[F>>3];a[A]=0;a[B]=0;c[2505634]=1;F=0;H=G;while(1){U=+h[o+(F+H<<3)>>3];Rb(A|0,35344,(fa=i,i=i+16|0,c[fa>>2]=A,h[fa+8>>3]=U,fa)|0)|0;i=fa;N=c[2505634]|0;I=N+1|0;c[2505634]=I;if((I|0)>(D|0)){break}F=N;H=c[2505620]|0}XS(14,0,34840,(fa=i,i=i+8|0,c[fa>>2]=A,fa)|0);i=fa;H=c[2505620]|0;F=c[2505646]|0;N=o+(H-1+F<<3)|0;h[N>>3]=+h[N>>3]- +h[j>>3];G=H+(c[b>>2]|0)|0;c[2505620]=G;K=F+1|0;c[2505646]=K;}while((K|0)<=(D|0))}$d[c[3540]&511](14);$d[c[3540]&511](14);mla(A);E=41}else if((z|0)==4){D=p+4|0;K=ga((c[D>>2]|0)+1+(c[p>>2]<<1)|0,c[b>>2]|0)|0;c[2505646]=1;if((K|0)>=1){G=1;do{h[o+(G-1<<3)>>3]=0.0;G=G+1|0;}while((G|0)<=(K|0));c[2505646]=G}be[t&15](d,e,f,g,o,j,k,m,u,v)|0;c[2505626]=(c[D>>2]|0)+1+(c[p>>2]<<1);E=72}else{K=c[b>>2]|0;A=ga(K,K)|0;c[2505646]=1;if((A|0)!=0){K=1;do{h[o+(K-1<<3)>>3]=0.0;K=K+1|0;}while((K|0)<=(A|0));c[2505646]=K}be[t&15](d,e,f,g,o,j,k,m,u,v)|0;if((c[v>>2]|0)==0){E=41;break}c[2505620]=0;A=c[b>>2]|0;if((c[2500030]|0)==0){E=41;break}D=lla(A*20|0)|0;XS(14,1,38328,(fa=i,i=i+8|0,h[fa>>3]=+h[d>>3],fa)|0);i=fa;XS(14,0,37976,(fa=i,i=i+8|0,h[fa>>3]=+h[j>>3],fa)|0);i=fa;XS(14,1,37600,(fa=i,i=i+1|0,i=i+7&-8,c[fa>>2]=0,fa)|0);i=fa;c[2505636]=0;if((c[b>>2]|0)>0){G=0;do{U=+h[e+(G<<3)>>3];XS(14,0,37160,(fa=i,i=i+16|0,c[fa>>2]=G+1,h[fa+8>>3]=U,fa)|0);i=fa;G=(c[2505636]|0)+1|0;c[2505636]=G;}while((G|0)<(c[b>>2]|0))}$d[c[3540]&511](14);XS(14,1,36784,(fa=i,i=i+1|0,i=i+7&-8,c[fa>>2]=0,fa)|0);i=fa;c[2505646]=1;if((A|0)>=1){G=D+1|0;K=1;B=c[2505620]|0;do{F=o+(K-1+B<<3)|0;h[F>>3]=+h[j>>3]+ +h[F>>3];a[D]=0;a[G]=0;c[2505634]=1;F=0;H=B;while(1){U=+h[o+(F+H<<3)>>3];Rb(D|0,35344,(fa=i,i=i+16|0,c[fa>>2]=D,h[fa+8>>3]=U,fa)|0)|0;i=fa;N=c[2505634]|0;I=N+1|0;c[2505634]=I;if((I|0)>(A|0)){break}F=N;H=c[2505620]|0}XS(14,0,34840,(fa=i,i=i+8|0,c[fa>>2]=D,fa)|0);i=fa;H=c[2505620]|0;F=c[2505646]|0;N=o+(H-1+F<<3)|0;h[N>>3]=+h[N>>3]- +h[j>>3];B=H+(c[b>>2]|0)|0;c[2505620]=B;K=F+1|0;c[2505646]=K;}while((K|0)<=(A|0))}$d[c[3540]&511](14);$d[c[3540]&511](14);mla(D);E=41}}while(0);if((E|0)==41){eV(o,b,b,p+80|0,l)|0;i=x;return 0}else if((E|0)==72){kV(o,10022504,b,p,p+4|0,p+80|0,l)|0;i=x;return 0}return 0}function ZU(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0;f=c[e+12>>2]|0;if((f|0)==5|(f|0)==4){g=e+4|0;c[2505616]=(c[g>>2]|0)+1+(c[e>>2]<<1);lV(d,10022464,a,e,g,e+80|0,b,10022736)|0;return 0}else if((f|0)==3){return 0}else{iV(d,a,a,e+80|0,b,10022736)|0;return 0}return 0}function _U(b,d){b=b|0;d=d|0;var e=0,f=0,g=0.0,j=0.0,k=0.0,l=0.0;d=i;i=i+8|0;e=d|0;do{if(!(a[17024]|0)){a[17024]=1;$U(10020104,10020080,10020072,17032,10020088,16992,10020096,17e3)|0;h[2132]=+(c[2505026]|0);f=c[2505020]|0;h[2121]=+(f|0);if((c[2505018]|0)==0){h[2123]=0.0;c[e>>2]=1-f;g=+S8(17056,e)}else{h[2123]=1.0;c[e>>2]=1-f;g=+S8(17056,e)*.5}h[2129]=g;h[2127]=g*+h[2132];h[2130]=+(c[2505022]|0);h[2131]=+(c[2505024]|0);j=+h[2124];h[2122]=j;k=1.0/+h[2125];if(k<j){break}h[2122]=k*(g+1.0)}}while(0);if((nV(b,26272,1,1)|0)!=0){g=+h[2129];h[2126]=g;l=g;i=d;return+l}if((nV(b,9961240,1,1)|0)!=0){g=+h[2122];h[2126]=g;l=g;i=d;return+l}if((nV(b,9940376,1,1)|0)!=0){g=+h[2132];h[2126]=g;l=g;i=d;return+l}if((nV(b,48112,1,1)|0)!=0){g=+h[2127];h[2126]=g;l=g;i=d;return+l}if((nV(b,42088,1,1)|0)!=0){g=+h[2121];h[2126]=g;l=g;i=d;return+l}if((nV(b,37264,1,1)|0)!=0){g=+h[2123];h[2126]=g;l=g;i=d;return+l}if((nV(b,32632,1,1)|0)!=0){g=+h[2130];h[2126]=g;l=g;i=d;return+l}if((nV(b,28384,1,1)|0)!=0){g=+h[2124];h[2126]=g;l=g;i=d;return+l}if((nV(b,25312,1,1)|0)!=0){g=+h[2131];h[2126]=g;l=g;i=d;return+l}if((nV(b,21648,1,1)|0)==0){l=+h[2126];i=d;return+l}else{g=+h[2125];h[2126]=g;l=g;i=d;return+l}return 0.0}function $U(b,d,e,f,g,j,k,l){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0,u=0,v=0.0,w=0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0;m=i;i=i+24|0;n=m|0;o=m+8|0;p=m+16|0;if(a[17544]|0){q=c[2505054]|0;c[b>>2]=q;r=c[2505044]|0;c[d>>2]=r;s=c[2505046]|0;c[e>>2]=s;t=+h[2155];h[f>>3]=t;u=c[2505050]|0;c[g>>2]=u;v=+h[2153];h[j>>3]=v;w=c[2505052]|0;c[k>>2]=w;x=+h[2154];h[l>>3]=x;i=m;return 0}a[17544]=1;h[2146]=0.0;h[2152]=1.0;h[2147]=2.0;aV(10020216,10020176,10020184,10020192)|0;h[2195]=+(c[2505054]|0);c[n>>2]=-(c[2505044]|0);y=+S8(17560,n);h[2196]=y;h[2155]=y;z=+h[2147];h[2195]=z/3.0;A=+h[2152];B=A*.5;h[2160]=B;C=-0.0-B;h[o>>3]=C;h[2150]=+bV(17560,o);h[2148]=+bV(17200,17200);h[o>>3]=C;h[2195]=+bV(17184,o);C=+bV(17560,17200);h[2195]=C;if(C<0.0){D=-0.0-C}else{D=C}C=D<y?y:D;h[2195]=C;h[2155]=1.0;D=+h[2146];if(C<1.0&C>D){E=C;while(1){h[2155]=E;h[o>>3]=E*B;C=z*z;h[p>>3]=E*E*z*C*C;C=+bV(o,p);h[2194]=C;h[o>>3]=-0.0-C;h[2194]=+bV(17280,o);C=+bV(17280,17552);h[2195]=C;h[o>>3]=-0.0-C;h[2194]=+bV(17280,o);C=+bV(17280,17552);h[2195]=C;if(E>C&C>D){E=C}else{F=E;break}}}else{F=1.0}if(y<F){h[2155]=y}y=A/+(c[2505054]|0);h[2151]=y;h[2149]=A;c[2505058]=1;F=A;p=1;do{h[o>>3]=F*y;F=+bV(o,17168);h[2149]=F;p=p+1|0;c[2505058]=p;}while((p|0)<4);h[2196]=+bV(17216,17192);cV(10020160,17216,10020216)|0;h[o>>3]=-0.0- +h[2152];cV(10020168,o,10020216)|0;cV(10020240,17568,10020216)|0;h[o>>3]=-0.0- +h[2196];cV(10020248,o,10020216)|0;c[2505056]=0;p=c[2505040]|0;G=c[2505042]|0;H=c[2505060]|0;I=(p|0)==(H|0);do{if((p|0)==(G|0)&(H|0)==(c[2505062]|0)){if(I){c[2505050]=p;J=0;K=25;break}if((H-p|0)==3){c[2505050]=p-1+(c[2505044]|0);c[2505056]=1;J=1;K=25;break}else{c[2505050]=(p|0)<=(H|0)?p:H;a[17248]=1;K=26;break}}else{L=I&(G|0)==(c[2505062]|0);M=p-G|0;c[n>>2]=M;N=(((M|0)>-1?M:-M|0)|0)==1;if(L){if(N){c[2505050]=(p|0)>=(G|0)?p:G;J=0;K=25;break}else{c[2505050]=(p|0)<=(G|0)?p:G;a[17248]=1;K=26;break}}L=c[2505062]|0;M=(p|0)<=(G|0)?p:G;if(!(N&(H|0)==(L|0))){N=(M|0)<=(H|0)?M:H;c[n>>2]=N;c[2505050]=(N|0)<=(L|0)?N:L;a[17248]=1;K=26;break}if((H-M|0)==3){c[2505050]=((p|0)>=(G|0)?p:G)-1+(c[2505044]|0);J=0;K=25;break}else{c[2505050]=M;a[17248]=1;K=26;break}}}while(0);if((K|0)==25){if(a[17248]|0){K=26}else{O=J}}if((K|0)==26){a[17544]=0;Q9(17256)|0;f9(19184,10020200,4)|0;y9()|0;O=c[2505056]|0}if((O|0)==0){P=(c[2505048]|0)!=0|0}else{P=1}c[2505056]=P;h[2153]=1.0;P=c[2505050]|0;O=1-P|0;c[n>>2]=O;c[2505058]=1;if((P|0)<=0){F=+h[2151];y=1.0;P=1;do{h[o>>3]=y*F;y=+bV(o,17168);h[2153]=y;P=P+1|0;c[2505058]=P;}while((P|0)<=(O|0))}dV(10020216,10020176,10020200,10020224,10020208,17232)|0;q=c[2505054]|0;c[b>>2]=q;r=c[2505044]|0;c[d>>2]=r;s=c[2505046]|0;c[e>>2]=s;t=+h[2155];h[f>>3]=t;u=c[2505050]|0;c[g>>2]=u;v=+h[2153];h[j>>3]=v;w=c[2505052]|0;c[k>>2]=w;x=+h[2154];h[l>>3]=x;i=m;return 0}function aV(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0.0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0,x=0,y=0;g=i;i=i+16|0;j=g|0;k=g+8|0;if(a[17616]|0){l=c[2505068]|0;m=a[17608]|0;c[b>>2]=l;n=c[2505064]|0;c[d>>2]=n;o=m&1;c[e>>2]=o;p=c[2505066]|0;c[f>>2]=p;i=g;return 0}a[17616]=1;h[2200]=1.0;h[2206]=1.0;h[2204]=1.0;q=1.0;do{q=q*2.0;h[2206]=q;h[2204]=+bV(17648,17600);h[j>>3]=-0.0-q;r=+bV(17632,j);h[2204]=r;}while(r==1.0);h[2205]=1.0;r=+bV(17648,17640);h[2204]=r;if(r==q){s=1.0;while(1){t=s*2.0;h[2205]=t;u=+bV(17648,17640);h[2204]=u;if(u==q){s=t}else{v=u;break}}}else{v=r}h[2199]=.25;h[2198]=v;h[j>>3]=-0.0-q;r=+bV(17632,j);h[2204]=r;w=~~(r+.25);c[2505068]=w;r=+(w|0);h[2205]=r;s=r*.5;h[j>>3]=s;h[k>>3]=(-0.0-r)/100.0;h[2203]=+bV(j,k);u=+bV(17624,17648);h[2204]=u;x=u==q;a[17608]=x;h[j>>3]=s;h[k>>3]=r/100.0;h[2203]=+bV(j,k);u=+bV(17624,17648);h[2204]=u;if(x&u==q){a[17608]=0;y=0}else{y=x}h[j>>3]=s;u=+bV(j,17648);h[2197]=u;h[j>>3]=s;x=u==q&+bV(j,17584)>v;c[2505066]=x?y&1:0;c[2505064]=0;h[2206]=1.0;h[2204]=1.0;x=0;v=1.0;while(1){k=x+1|0;c[2505064]=k;q=v*r;h[2206]=q;h[2204]=+bV(17648,17600);h[j>>3]=-0.0-q;u=+bV(17632,j);h[2204]=u;if(u==1.0){x=k;v=q}else{l=w;m=y;break}}c[b>>2]=l;n=c[2505064]|0;c[d>>2]=n;o=m&1;c[e>>2]=o;p=c[2505066]|0;c[f>>2]=p;i=g;return 0}function bV(a,b){a=a|0;b=b|0;return+(+h[a>>3]+ +h[b>>3])}function cV(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0.0,j=0.0,k=0.0,l=0.0,m=0,n=0.0,o=0.0,p=0,q=0.0,r=0.0,s=0.0,t=0.0,u=0;e=i;i=i+8|0;f=e|0;g=+h[b>>3];h[2145]=g;j=1.0/+(c[d>>2]|0);h[2138]=j;h[2137]=0.0;c[a>>2]=1;h[f>>3]=g*j;k=+bV(f,17096);h[2144]=k;h[2142]=g;h[2141]=g;h[2140]=g;h[2139]=g;if(!(g!=g)&!(J=0.0,J!=J)){l=k;m=0}else{i=e;return 0}while(1){c[a>>2]=m;h[2145]=l;b=c[d>>2]|0;k=+(b|0);h[f>>3]=l/k;g=+bV(f,17096);h[2144]=g;h[f>>3]=g*k;k=+bV(f,17096);h[2142]=k;h[2140]=0.0;c[2505038]=1;if((b|0)<1){n=0.0}else{o=0.0;p=1;do{o=g+o;p=p+1|0;}while((p|0)<=(b|0));h[2140]=o;c[2505038]=p;n=o}h[f>>3]=l*j;q=+bV(f,17096);h[2143]=q;h[f>>3]=q/j;r=+bV(f,17096);h[2141]=r;h[2139]=0.0;b=c[d>>2]|0;c[2505038]=1;if((b|0)<1){s=0.0}else{t=0.0;u=1;do{t=q+t;u=u+1|0;}while((u|0)<=(b|0));h[2139]=t;c[2505038]=u;s=t}if(!(k==l&r==l&n==l&s==l)){break}l=g;m=(c[a>>2]|0)-1|0}i=e;return 0}function dV(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0;j=i;i=i+8|0;k=j|0;c[2505030]=1;c[2505036]=1;l=-(c[d>>2]|0)|0;if((l|0)<2){m=2;n=l;o=1;p=2}else{l=2;q=1;while(1){c[2505030]=l;r=q+1|0;c[2505036]=r;s=l<<1;t=-(c[d>>2]|0)|0;if((s|0)>(t|0)){break}else{l=s;q=r}}m=s;n=t;o=l;p=q+2|0}if((o|0)==(n|0)){c[2505028]=n;u=n}else{c[2505028]=m;c[2505036]=p;u=m}m=c[d>>2]|0;p=((m+u|0)>(-(o+m|0)|0)?o:u)<<1;c[2505034]=p;u=p+(c[d>>2]|0)|0;d=u-1|0;c[f>>2]=d;do{if((((c[2505036]|0)+1+(c[b>>2]|0)|0)%2|0|0)==1){if((c[a>>2]|0)!=2){v=d;break}p=u-2|0;c[f>>2]=p;v=p}else{v=d}}while(0);if((c[e>>2]|0)!=0){c[f>>2]=v-1}w=+(c[a>>2]|0);x=1.0/w;h[2135]=x;y=w+-1.0;h[2133]=y;h[2134]=0.0;v=c[b>>2]|0;c[2505032]=1;do{if((v|0)<1){z=0.0}else{w=y;A=0.0;b=1;do{w=x*w;h[2133]=w;if(A<1.0){h[2136]=A}A=+bV(17072,17064);h[2134]=A;b=b+1|0;c[2505032]=b;}while((b|0)<=(v|0));if(A<1.0){z=A;break}w=+h[2136];h[2134]=w;z=w}}while(0);v=c[f>>2]|0;c[2505032]=1;if((v|0)<1){B=z;h[g>>3]=B;i=j;return 0}else{C=z;D=1}while(1){h[k>>3]=C*+(c[a>>2]|0);z=+bV(k,18600);h[2134]=z;f=D+1|0;c[2505032]=f;if((f|0)>(v|0)){B=z;break}else{C=z;D=f}}h[g>>3]=B;i=j;return 0}function eV(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0.0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;g=i;i=i+16|0;j=g|0;k=g+8|0;l=c[b>>2]|0;b=~l;c[f>>2]=0;m=c[d>>2]|0;n=m-1|0;if((n|0)<1){o=m}else{c[2505082]=1;m=1;do{c[2505080]=m+1;c[j>>2]=(c[d>>2]|0)+1-m;p=fV(j,a+(m+b+(ga(m,l)|0)<<3)|0,19176)|0;q=c[2505082]|0;r=p-1+q|0;c[2505078]=r;c[e+(q-1<<2)>>2]=r;r=c[2505078]|0;q=c[2505082]|0;p=ga(q,l)|0;s=+h[a+(r+b+p<<3)>>3];do{if(s==0.0){c[f>>2]=q}else{if((r|0)==(q|0)){t=r}else{h[2208]=s;u=a+(q+b+p<<3)|0;h[a+(p+b+r<<3)>>3]=+h[u>>3];h[u>>3]=+h[2208];t=q}u=ga(t,l)|0;h[2208]=-1.0/+h[a+(t+b+u<<3)>>3];c[j>>2]=(c[d>>2]|0)-t;gV(j,17664,a+(t-l+u<<3)|0,19176)|0;u=c[d>>2]|0;c[j>>2]=u;v=c[2505080]|0;c[2505084]=v;if((v|0)>(u|0)){break}else{w=v}do{v=c[2505078]|0;x=ga(w,l)|0;h[2208]=+h[a+(x+b+v<<3)>>3];y=c[2505082]|0;if((v|0)==(y|0)){z=v}else{A=a+(y+b+x<<3)|0;h[a+(v+b+x<<3)>>3]=+h[A>>3];h[A>>3]=+h[2208];z=y}c[k>>2]=(c[d>>2]|0)-z;y=z+1|0;hV(k,17664,a+((ga(z,l)|0)+b+y<<3)|0,19176,a+(y+b+x<<3)|0,19176)|0;w=(c[2505084]|0)+1|0;c[2505084]=w;}while((w|0)<=(u|0))}}while(0);m=(c[2505082]|0)+1|0;c[2505082]=m;}while((m|0)<=(n|0));o=c[d>>2]|0}c[e+(o-1<<2)>>2]=o;o=c[d>>2]|0;if(!(+h[a+(o+b+(ga(o,l)|0)<<3)>>3]==0.0)){i=g;return 0}c[f>>2]=o;i=g;return 0}function fV(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0.0,i=0.0,j=0,k=0,l=0,m=0,n=0.0,o=0,p=0.0,q=0.0,r=0,s=0.0,t=0.0,u=0,v=0,w=0.0,x=0.0,y=0.0,z=0,A=0.0,B=0;e=c[a>>2]|0;if((e|0)<1){f=0;return f|0}if((e|0)==1){f=1;return f|0}if((c[d>>2]|0)!=1){c[2505802]=1;g=+h[b>>3];if(g<0.0){i=-0.0-g}else{i=g}h[1248050]=i;j=(c[d>>2]|0)+1|0;c[2505802]=j;k=c[a>>2]|0;c[2505804]=2;if((k|0)<2){f=1;return f|0}else{l=1;m=j;n=i;o=2}while(1){i=+h[b+(m-1<<3)>>3];j=i<0.0;if(j){p=-0.0-i}else{p=i}if(p>n){if(j){q=-0.0-i}else{q=i}h[1248050]=q;r=o;s=q}else{r=l;s=n}j=m+(c[d>>2]|0)|0;c[2505802]=j;a=o+1|0;c[2505804]=a;if((a|0)>(k|0)){f=r;break}else{l=r;m=j;n=s;o=a}}return f|0}s=+h[b>>3];if(s<0.0){t=-0.0-s}else{t=s}h[1248050]=t;c[2505804]=2;if((e|0)<2){f=1;return f|0}else{u=1;v=2;w=t}while(1){t=+h[b+(v-1<<3)>>3];if(t<0.0){x=-0.0-t}else{x=t}if(x>w){t=+h[b+(v-1<<3)>>3];if(t<0.0){y=-0.0-t}else{y=t}h[1248050]=y;z=v;A=y}else{z=u;A=w}B=v+1|0;if((B|0)>(e|0)){break}else{u=z;v=B;w=A}}c[2505804]=B;f=z;return f|0}function gV(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,i=0,j=0,k=0,l=0,m=0;f=c[a>>2]|0;if((f|0)<1){return 0}g=c[e>>2]|0;if((g|0)!=1){e=ga(g,f)|0;c[2505808]=1;i=(g|0)<0;if(i?(e|0)<2:(e|0)>0){j=1}else{return 0}do{k=d+(j-1<<3)|0;h[k>>3]=+h[b>>3]*+h[k>>3];j=j+g|0;}while(i?(j|0)>=(e|0):(j|0)<=(e|0));c[2505808]=j;return 0}j=(f|0)%5|0;c[2505806]=j;do{if((j|0)==0){l=c[a>>2]|0}else{c[2505808]=1;if((j|0)>=1){f=1;do{e=d+(f-1<<3)|0;h[e>>3]=+h[b>>3]*+h[e>>3];f=f+1|0;}while((f|0)<=(j|0));c[2505808]=f}e=c[a>>2]|0;if((e|0)>=5){l=e;break}return 0}}while(0);a=j+1|0;c[2505808]=a;if((a|0)>(l|0)){return 0}else{m=a}do{a=d+(m-1<<3)|0;h[a>>3]=+h[b>>3]*+h[a>>3];a=d+(m<<3)|0;h[a>>3]=+h[b>>3]*+h[a>>3];a=d+(m+1<<3)|0;h[a>>3]=+h[b>>3]*+h[a>>3];a=d+(m+2<<3)|0;h[a>>3]=+h[b>>3]*+h[a>>3];a=d+(m+3<<3)|0;h[a>>3]=+h[b>>3]*+h[a>>3];m=m+5|0;}while((m|0)<=(l|0));c[2505808]=m;return 0}function hV(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var i=0,j=0.0,k=0,l=0,m=0,n=0,o=0.0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0;i=c[a>>2]|0;if((i|0)<1){return 0}j=+h[b>>3];if(j==0.0){return 0}do{if((c[e>>2]|0)==1){if((c[g>>2]|0)!=1){break}k=(i|0)%4|0;c[2505818]=k;do{if((k|0)==0){l=c[a>>2]|0}else{c[2505824]=1;if((k|0)>=1){m=0;n=1;o=j;while(1){p=f+(m<<3)|0;h[p>>3]=+h[p>>3]+o*+h[d+(m<<3)>>3];q=n+1|0;if((q|0)>(k|0)){break}m=n;n=q;o=+h[b>>3]}c[2505824]=q}n=c[a>>2]|0;if((n|0)>=4){l=n;break}return 0}}while(0);n=k+1|0;c[2505824]=n;if((n|0)>(l|0)){return 0}else{r=n}do{n=r-1|0;m=f+(n<<3)|0;h[m>>3]=+h[m>>3]+ +h[b>>3]*+h[d+(n<<3)>>3];n=f+(r<<3)|0;h[n>>3]=+h[n>>3]+ +h[b>>3]*+h[d+(r<<3)>>3];n=r+1|0;m=f+(n<<3)|0;h[m>>3]=+h[m>>3]+ +h[b>>3]*+h[d+(n<<3)>>3];n=r+2|0;m=f+(n<<3)|0;h[m>>3]=+h[m>>3]+ +h[b>>3]*+h[d+(n<<3)>>3];r=r+4|0;}while((r|0)<=(l|0));c[2505824]=r;return 0}}while(0);c[2505822]=1;c[2505820]=1;r=c[e>>2]|0;if((r|0)<0){l=(ga(1-(c[a>>2]|0)|0,r)|0)+1|0;c[2505822]=l;s=l}else{s=1}l=c[g>>2]|0;if((l|0)<0){r=(ga(1-(c[a>>2]|0)|0,l)|0)+1|0;c[2505820]=r;t=r}else{t=1}r=c[a>>2]|0;c[2505824]=1;if((r|0)<1){return 0}else{u=s;v=t;w=2;x=j}while(1){t=f+(v-1<<3)|0;h[t>>3]=x*+h[d+(u-1<<3)>>3]+ +h[t>>3];t=u+(c[e>>2]|0)|0;c[2505822]=t;s=v+(c[g>>2]|0)|0;c[2505820]=s;c[2505824]=w;if((w|0)>(r|0)){break}u=t;v=s;w=w+1|0;x=+h[b>>3]}return 0}function iV(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0.0,t=0;j=i;i=i+8|0;k=j|0;l=c[b>>2]|0;b=~l;m=(c[d>>2]|0)-1|0;c[2505070]=m;if((c[g>>2]|0)==0){if((m|0)>=1){c[2505076]=1;g=1;do{n=g-1|0;o=c[e+(n<<2)>>2]|0;c[2505072]=o;p=f+(o-1<<3)|0;h[2207]=+h[p>>3];if((o|0)!=(g|0)){o=f+(n<<3)|0;h[p>>3]=+h[o>>3];h[o>>3]=+h[2207]}c[k>>2]=(c[d>>2]|0)-g;hV(k,17656,a+(g-l+(ga(g,l)|0)<<3)|0,19176,f+(g<<3)|0,19176)|0;g=(c[2505076]|0)+1|0;c[2505076]=g;}while((g|0)<=(m|0))}g=c[d>>2]|0;c[2505074]=1;if((g|0)<1){i=j;return 0}else{q=1}do{o=1-q+(c[d>>2]|0)|0;c[2505076]=o;p=ga(o,l)|0;n=o-1|0;r=f+(n<<3)|0;s=+h[r>>3]/+h[a+(o+b+p<<3)>>3];h[r>>3]=s;h[2207]=-0.0-s;c[k>>2]=n;hV(k,17656,a+(p-l<<3)|0,19176,f,19176)|0;q=(c[2505074]|0)+1|0;c[2505074]=q;}while((q|0)<=(g|0));i=j;return 0}g=c[d>>2]|0;c[2505076]=1;if((g|0)<1){t=m}else{m=1;do{c[k>>2]=m-1;s=+jV(k,a+((ga(m,l)|0)-l<<3)|0,19176,f,19176);h[2207]=s;q=c[2505076]|0;p=f+(q-1<<3)|0;h[p>>3]=(+h[p>>3]-s)/+h[a+(q+b+(ga(q,l)|0)<<3)>>3];m=q+1|0;c[2505076]=m;}while((m|0)<=(g|0));t=c[2505070]|0}if((t|0)<1){i=j;return 0}c[2505074]=1;g=1;do{m=(c[d>>2]|0)-g|0;c[2505076]=m;c[k>>2]=(c[d>>2]|0)-m;s=+jV(k,a+(m-l+(ga(m,l)|0)<<3)|0,19176,f+(m<<3)|0,19176);m=c[2505076]|0;b=m-1|0;q=f+(b<<3)|0;h[q>>3]=s+ +h[q>>3];p=c[e+(b<<2)>>2]|0;c[2505072]=p;if((p|0)!=(m|0)){m=f+(p-1<<3)|0;h[2207]=+h[m>>3];h[m>>3]=+h[q>>3];h[q>>3]=+h[2207]}g=(c[2505074]|0)+1|0;c[2505074]=g;}while((g|0)<=(t|0));i=j;return 0}function jV(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,i=0.0,j=0,k=0.0,l=0,m=0.0,n=0,o=0.0,p=0,q=0,r=0.0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0.0,A=0;h[1248051]=0.0;g=c[a>>2]|0;if((g|0)<1){i=0.0;return+i}do{if((c[d>>2]|0)==1){if((c[f>>2]|0)!=1){break}j=(g|0)%5|0;c[2505810]=j;do{if((j|0)==0){k=0.0;l=c[a>>2]|0}else{c[2505816]=1;if((j|0)<1){m=0.0}else{n=1;o=0.0;do{p=n-1|0;o=o+ +h[b+(p<<3)>>3]*+h[e+(p<<3)>>3];h[1248051]=o;n=n+1|0;}while((n|0)<=(j|0));c[2505816]=n;m=o}p=c[a>>2]|0;if((p|0)<5){i=m}else{k=m;l=p;break}return+i}}while(0);p=j+1|0;c[2505816]=p;if((p|0)>(l|0)){i=k;return+i}else{q=p;r=k}do{p=q-1|0;s=q+1|0;t=q+2|0;u=q+3|0;r=r+ +h[b+(p<<3)>>3]*+h[e+(p<<3)>>3]+ +h[b+(q<<3)>>3]*+h[e+(q<<3)>>3]+ +h[b+(s<<3)>>3]*+h[e+(s<<3)>>3]+ +h[b+(t<<3)>>3]*+h[e+(t<<3)>>3]+ +h[b+(u<<3)>>3]*+h[e+(u<<3)>>3];h[1248051]=r;q=q+5|0;}while((q|0)<=(l|0));c[2505816]=q;i=r;return+i}}while(0);c[2505814]=1;c[2505812]=1;q=c[d>>2]|0;if((q|0)<0){l=(ga(1-(c[a>>2]|0)|0,q)|0)+1|0;c[2505814]=l;v=l}else{v=1}l=c[f>>2]|0;if((l|0)<0){q=(ga(1-(c[a>>2]|0)|0,l)|0)+1|0;c[2505812]=q;w=q}else{w=1}q=c[a>>2]|0;c[2505816]=1;if((q|0)<1){i=0.0;return+i}else{x=v;y=w;z=0.0;A=1}while(1){r=z+ +h[b+(x-1<<3)>>3]*+h[e+(y-1<<3)>>3];h[1248051]=r;w=x+(c[d>>2]|0)|0;c[2505814]=w;v=y+(c[f>>2]|0)|0;c[2505812]=v;a=A+1|0;c[2505816]=a;if((a|0)>(q|0)){i=r;break}else{x=w;y=v;z=r;A=a}}return+i}function kV(a,b,d,e,f,g,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0.0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;k=i;i=i+8|0;l=k|0;m=c[b>>2]|0;b=~m;c[2505104]=(c[e>>2]|0)+1+(c[f>>2]|0);c[j>>2]=0;n=(c[f>>2]|0)+2|0;c[2505120]=n;o=c[d>>2]|0;p=c[2505104]|0;q=((o|0)>(p|0)?p:o)-1|0;c[2505118]=q;if((q|0)>=(n|0)){c[2505114]=n;o=n;do{n=1-o+p|0;c[2505126]=n;r=c[e>>2]|0;c[2505124]=n;if((n|0)<=(r|0)){s=n;do{h[a+(s+b+(ga(o,m)|0)<<3)>>3]=0.0;s=s+1|0;}while((s|0)<=(r|0));c[2505124]=s}o=o+1|0;c[2505114]=o;}while((o|0)<=(q|0));c[l>>2]=r}c[2505114]=q;c[2505116]=0;r=c[d>>2]|0;o=r-1|0;if((o|0)<1){t=r}else{c[2505112]=1;r=1;p=q;while(1){c[2505110]=r+1;q=p+1|0;c[2505114]=q;n=c[d>>2]|0;do{if((q|0)>(n|0)){u=n}else{v=c[e>>2]|0;if((v|0)<1){u=n;break}c[l>>2]=v;c[2505124]=1;w=ga(q,m)|0;x=1;do{h[a+(x+b+w<<3)>>3]=0.0;x=x+1|0;}while((x|0)<=(v|0));c[2505124]=x;u=c[d>>2]|0}}while(0);q=c[e>>2]|0;n=u-r|0;s=(q|0)<=(n|0)?q:n;c[2505106]=s;c[l>>2]=s+1;s=fV(l,a+((c[2505104]|0)+b+(ga(r,m)|0)<<3)|0,19176)|0;n=s-1|0;c[2505108]=n+(c[2505104]|0);s=c[2505112]|0;c[g+(s-1<<2)>>2]=n+s;s=c[2505108]|0;n=c[2505112]|0;q=ga(n,m)|0;y=+h[a+(s+b+q<<3)>>3];a:do{if(y==0.0){c[j>>2]=n}else{v=c[2505104]|0;if((s|0)==(v|0)){z=s}else{h[2210]=y;w=a+(v+b+q<<3)|0;h[a+(q+b+s<<3)>>3]=+h[w>>3];h[w>>3]=+h[2210];z=v}h[2210]=-1.0/+h[a+(z+b+q<<3)>>3];gV(10020424,17680,a+(z-m+q<<3)|0,19176)|0;v=c[2505116]|0;w=(c[g+((c[2505112]|0)-1<<2)>>2]|0)+(c[f>>2]|0)|0;A=(v|0)>=(w|0)?v:w;c[l>>2]=A;w=c[d>>2]|0;v=(A|0)>(w|0)?w:A;c[2505116]=v;A=c[2505104]|0;c[2505102]=A;w=c[2505110]|0;if((v|0)<(w|0)){break}c[l>>2]=v;c[2505122]=w;B=w;w=A;while(1){A=(c[2505108]|0)-1|0;c[2505108]=A;C=w-1|0;c[2505102]=C;D=ga(B,m)|0;E=a+(A+b+D<<3)|0;h[2210]=+h[E>>3];if((A|0)==(C|0)){F=A}else{A=a+(C+b+D<<3)|0;h[E>>3]=+h[A>>3];h[A>>3]=+h[2210];F=C}hV(10020424,17680,a+((c[2505104]|0)-m+(ga(c[2505112]|0,m)|0)<<3)|0,19176,a+(F-m+D<<3)|0,19176)|0;D=(c[2505122]|0)+1|0;c[2505122]=D;if((D|0)>(v|0)){break a}B=D;w=c[2505102]|0}}}while(0);q=(c[2505112]|0)+1|0;c[2505112]=q;if((q|0)>(o|0)){break}r=q;p=c[2505114]|0}t=c[d>>2]|0}c[g+(t-1<<2)>>2]=t;t=c[d>>2]|0;if(!(+h[a+((c[2505104]|0)+b+(ga(t,m)|0)<<3)>>3]==0.0)){i=k;return 0}c[j>>2]=t;i=k;return 0}function lV(a,b,d,e,f,g,i,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0.0,s=0,t=0,u=0;k=c[b>>2]|0;b=~k;l=(c[f>>2]|0)+1+(c[e>>2]|0)|0;c[2505088]=l;f=(c[d>>2]|0)-1|0;c[2505086]=f;if((c[j>>2]|0)==0){if(!((c[e>>2]|0)==0|(f|0)<1)){c[2505100]=1;j=1;do{m=c[e>>2]|0;n=(c[d>>2]|0)-j|0;c[2505090]=(m|0)<=(n|0)?m:n;n=j-1|0;m=c[g+(n<<2)>>2]|0;c[2505096]=m;o=i+(m-1<<3)|0;h[2209]=+h[o>>3];if((m|0)!=(j|0)){m=i+(n<<3)|0;h[o>>3]=+h[m>>3];h[m>>3]=+h[2209]}hV(10020360,17672,a+((c[2505088]|0)-k+(ga(j,k)|0)<<3)|0,19176,i+(j<<3)|0,19176)|0;j=(c[2505100]|0)+1|0;c[2505100]=j;}while((j|0)<=(f|0))}j=c[d>>2]|0;c[2505098]=1;if((j|0)<1){return 0}else{p=1}do{m=1-p+(c[d>>2]|0)|0;c[2505100]=m;o=c[2505088]|0;n=ga(m,k)|0;q=i+(m-1<<3)|0;r=+h[q>>3]/+h[a+(o+b+n<<3)>>3];h[q>>3]=r;q=((m|0)<=(o|0)?m:o)-1|0;c[2505090]=q;s=o-q|0;c[2505094]=s;o=m-q|0;c[2505092]=o;h[2209]=-0.0-r;hV(10020360,17672,a+(s+b+n<<3)|0,19176,i+(o-1<<3)|0,19176)|0;p=(c[2505098]|0)+1|0;c[2505098]=p;}while((p|0)<=(j|0));return 0}j=c[d>>2]|0;c[2505100]=1;if((j|0)<1){t=f;u=l}else{f=1;p=l;do{l=((f|0)<=(p|0)?f:p)-1|0;c[2505090]=l;o=p-l|0;c[2505094]=o;n=f-l|0;c[2505092]=n;r=+jV(10020360,a+((ga(f,k)|0)+b+o<<3)|0,19176,i+(n-1<<3)|0,19176);h[2209]=r;n=c[2505100]|0;o=i+(n-1<<3)|0;p=c[2505088]|0;h[o>>3]=(+h[o>>3]-r)/+h[a+((ga(n,k)|0)+b+p<<3)>>3];f=n+1|0;c[2505100]=f;}while((f|0)<=(j|0));t=c[2505086]|0;u=p}if((c[e>>2]|0)==0|(t|0)<1){return 0}c[2505098]=1;p=1;j=u;while(1){u=(c[d>>2]|0)-p|0;c[2505100]=u;f=c[e>>2]|0;b=(c[d>>2]|0)-u|0;c[2505090]=(f|0)<=(b|0)?f:b;r=+jV(10020360,a+(j-k+(ga(u,k)|0)<<3)|0,19176,i+(u<<3)|0,19176);u=c[2505100]|0;b=u-1|0;f=i+(b<<3)|0;h[f>>3]=r+ +h[f>>3];n=c[g+(b<<2)>>2]|0;c[2505096]=n;if((n|0)!=(u|0)){u=i+(n-1<<3)|0;h[2209]=+h[u>>3];h[u>>3]=+h[f>>3];h[f>>3]=+h[2209]}f=(c[2505098]|0)+1|0;c[2505098]=f;if((f|0)>(t|0)){break}p=f;j=c[2505088]|0}return 0}function mV(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;g=c[a>>2]|0;if((g|0)<1){return 0}do{if((c[d>>2]|0)==1){if((c[f>>2]|0)!=1){break}i=(g|0)%7|0;c[2505828]=i;do{if((i|0)==0){j=c[a>>2]|0}else{c[2505834]=1;if((i|0)>=1){k=1;do{l=k-1|0;h[e+(l<<3)>>3]=+h[b+(l<<3)>>3];k=k+1|0;}while((k|0)<=(i|0));c[2505834]=k}l=c[a>>2]|0;if((l|0)>=7){j=l;break}return 0}}while(0);l=i+1|0;c[2505834]=l;if((l|0)>(j|0)){return 0}else{m=l}do{l=m-1|0;h[e+(l<<3)>>3]=+h[b+(l<<3)>>3];h[e+(m<<3)>>3]=+h[b+(m<<3)>>3];l=m+1|0;h[e+(l<<3)>>3]=+h[b+(l<<3)>>3];l=m+2|0;h[e+(l<<3)>>3]=+h[b+(l<<3)>>3];l=m+3|0;h[e+(l<<3)>>3]=+h[b+(l<<3)>>3];l=m+4|0;h[e+(l<<3)>>3]=+h[b+(l<<3)>>3];l=m+5|0;h[e+(l<<3)>>3]=+h[b+(l<<3)>>3];m=m+7|0;}while((m|0)<=(j|0));c[2505834]=m;return 0}}while(0);c[2505832]=1;c[2505830]=1;m=c[d>>2]|0;if((m|0)<0){j=(ga(1-(c[a>>2]|0)|0,m)|0)+1|0;c[2505832]=j;n=j}else{n=1}j=c[f>>2]|0;if((j|0)<0){m=(ga(1-(c[a>>2]|0)|0,j)|0)+1|0;c[2505830]=m;o=m}else{o=1}m=c[a>>2]|0;c[2505834]=1;if((m|0)<1){return 0}else{p=n;q=o;r=1}do{h[e+(q-1<<3)>>3]=+h[b+(p-1<<3)>>3];p=p+(c[d>>2]|0)|0;c[2505832]=p;q=q+(c[f>>2]|0)|0;c[2505830]=q;r=r+1|0;c[2505834]=r;}while((r|0)<=(m|0));return 0}function nV(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0;if((a[b]|0)==(a[e]|0)){h=1;return h|0}a[14176]=1;g=d[b]|0;c[2502330]=g;b=d[e]|0;c[2502328]=b;if((g-97|0)>>>0<26>>>0){e=g-32|0;c[2502330]=e;i=e}else{i=g}if((b-97|0)>>>0<26>>>0){g=b-32|0;c[2502328]=g;j=g}else{j=b}h=(i|0)==(j|0)|0;return h|0}function oV(b,d,e,f,g,i,j,k,l,m,n,o,p){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;var q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0,D=0,E=0.0,F=0,G=0,H=0.0,I=0.0,J=0.0,L=0,M=0.0,N=0.0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0.0,X=0.0,Y=0.0,Z=0,_=0,$=0,aa=0.0,ba=0.0,ca=0.0,da=0,ea=0,fa=0.0,ha=0.0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0.0,ta=0,ua=0,va=0.0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0.0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0;if((c[i>>2]|0)>0){c[2599]=6;Q9(10392)|0;f9(19168,i,4)|0;y9()|0}c[p>>2]=0;if((c[e>>2]|0)<1){c[p>>2]=3;q=3}else{q=0}if((c[k>>2]|0)<1){c[p>>2]=4;return 0}if((q|0)!=0){return 0}c[2500928]=0;c[2500926]=0;c[2500930]=0;a[10848]=0;q=c[e>>2]|0;c[2500956]=1;do{if((q|0)>=1){r=1;s=0;while(1){if(+h[d+(r-1<<3)>>3]!=0.0){t=s+1|0;c[2500928]=t;u=t}else{u=s}v=r+1|0;if((v|0)>(q|0)){break}else{r=v;s=u}}c[2500956]=v;if((u|0)<=0){break}s=o;r=f;a:while(1){t=c[e>>2]|0;c[2500956]=1;if((t|0)>=1){w=1;do{h[10004016+((w*21|0)-21<<3)>>3]=+h[b+(w-1<<3)>>3];w=w+1|0;}while((w|0)<=(t|0));c[2500956]=w}c[2500942]=2;t=c[e>>2]|0;c[2500956]=1;if((t|0)>=1){x=1;y=2;while(1){z=x-1|0;A=d+(z<<3)|0;B=+h[A>>3];if(B==0.0){C=y}else{D=c[e>>2]|0;c[2500940]=1;if((D|0)<1){E=B}else{F=1;do{h[10004016+((F*21|0)-22+y<<3)>>3]=+h[b+(F-1<<3)>>3];F=F+1|0;}while((F|0)<=(D|0));c[2500940]=F;E=+h[A>>3]}h[10004016+((x*21|0)-22+y<<3)>>3]=+h[b+(z<<3)>>3]+E;D=y+1|0;c[2500942]=D;C=D}D=x+1|0;c[2500956]=D;if((D|0)>(t|0)){break}else{x=D;y=C}}}y=c[2500928]|0;x=y+1|0;c[2500922]=x;c[2500956]=1;if((y|0)>=0){y=1;do{t=c[e>>2]|0;c[2500940]=1;if((t|0)>=1){w=1;do{h[b+(w-1<<3)>>3]=+h[10004016+((w*21|0)-22+y<<3)>>3];w=w+1|0;}while((w|0)<=(t|0));c[2500940]=w}ee[s&127](e,b,10003848+(y-1<<3)|0)|0;c[2500926]=(c[2500926]|0)+1;if((c[i>>2]|0)>=1){c[2707]=6;Q9(10824)|0;f9(19168,10003704,4)|0;f9(19168,10003848+((c[2500956]|0)-1<<3)|0,8)|0;t=c[e>>2]|0;c[2500940]=1;if((t|0)>=1){z=1;do{f9(19168,b+(z-1<<3)|0,8)|0;z=(c[2500940]|0)+1|0;c[2500940]=z;}while((z|0)<=(t|0))}y9()|0}y=(c[2500956]|0)+1|0;c[2500956]=y;}while((y|0)<=(x|0))}x=c[2500930]|0;b:while(1){c[2500930]=x+1;c[2500948]=1;c[2500946]=1;B=+h[1250481];h[1362]=B;h[1360]=B;y=c[2500922]|0;c[2500956]=2;if((y|0)<2){G=1}else{t=2;z=1;H=B;I=B;while(1){B=+h[10003848+(t-1<<3)>>3];do{if(B>H){c[2500948]=t;J=+h[10003848+(t-1<<3)>>3];h[1362]=J;L=t;M=J;N=I}else{if(!(B<I)){L=z;M=H;N=I;break}c[2500946]=t;J=+h[10003848+(t-1<<3)>>3];h[1360]=J;L=z;M=H;N=J}}while(0);O=t+1|0;if((O|0)>(y|0)){break}else{t=O;z=L;H=M;I=N}}c[2500956]=O;G=L}z=c[e>>2]|0;c[2500956]=1;if((z|0)>=1){t=1;do{h[10003520+(t-1<<3)>>3]=0.0;t=t+1|0;}while((t|0)<=(z|0));c[2500956]=t}c[2500956]=1;if((y|0)>=1){z=1;do{do{if((z|0)==(G|0)){P=G}else{w=c[e>>2]|0;c[2500940]=1;if((w|0)<1){P=z;break}else{Q=1}do{A=10003520+(Q-1<<3)|0;h[A>>3]=+h[10004016+((Q*21|0)-22+z<<3)>>3]+ +h[A>>3];Q=Q+1|0;}while((Q|0)<=(w|0));c[2500940]=Q;P=z}}while(0);z=P+1|0;c[2500956]=z;}while((z|0)<=(y|0))}y=c[e>>2]|0;c[2500940]=1;if((y|0)>=1){I=+(c[2500928]|0);z=1;do{t=10003520+(z-1<<3)|0;h[t>>3]=+h[t>>3]/I;z=z+1|0;}while((z|0)<=(y|0));c[2500940]=z}y=c[e>>2]|0;c[2500956]=1;if((y|0)>=1){t=1;do{w=t-1|0;I=+h[10003520+(w<<3)>>3];h[10003200+(w<<3)>>3]=I+(I- +h[10004016+((t*21|0)-22+G<<3)>>3]);t=t+1|0;}while((t|0)<=(y|0));c[2500956]=t}ee[s&127](e,10003200,10872)|0;y=(c[2500926]|0)+1|0;c[2500926]=y;z=c[i>>2]|0;do{if((z|0)>=1){if(((y|0)%(z|0)|0|0)!=0){break}c[2701]=6;Q9(10800)|0;f9(19168,10003704,4)|0;f9(19168,10872,8)|0;w=c[e>>2]|0;c[2500940]=1;if((w|0)>=1){A=1;do{f9(19168,10003200+(A-1<<3)|0,8)|0;A=(c[2500940]|0)+1|0;c[2500940]=A;}while((A|0)<=(w|0))}y9()|0}}while(0);I=+h[1359];c:do{if(I<+h[1360]){z=c[e>>2]|0;c[2500956]=1;if((z|0)>=1){y=1;do{t=y-1|0;H=+h[10003520+(t<<3)>>3];h[10003040+(t<<3)>>3]=H+(+h[10003200+(t<<3)>>3]-H)*2.0;y=y+1|0;}while((y|0)<=(z|0));c[2500956]=y}ee[s&127](e,10003040,10856)|0;z=(c[2500926]|0)+1|0;c[2500926]=z;t=c[i>>2]|0;do{if((t|0)>=1){if(((z|0)%(t|0)|0|0)!=0){break}c[2695]=6;Q9(10776)|0;f9(19168,10003704,4)|0;f9(19168,10856,8)|0;w=c[e>>2]|0;c[2500940]=1;if((w|0)>=1){A=1;do{f9(19168,10003040+(A-1<<3)|0,8)|0;A=(c[2500940]|0)+1|0;c[2500940]=A;}while((A|0)<=(w|0))}y9()|0}}while(0);H=+h[1357];if(!(H<+h[1360])){R=122;break}t=c[e>>2]|0;c[2500956]=1;z=c[2500948]|0;if((t|0)>=1){y=1;do{w=y-1|0;if(+h[d+(w<<3)>>3]!=0.0){h[10004016+((y*21|0)-22+z<<3)>>3]=+h[10003040+(w<<3)>>3]}y=y+1|0;}while((y|0)<=(t|0));c[2500956]=y}h[10003848+(z-1<<3)>>3]=H}else{t=c[2500922]|0;c[2500956]=1;if((t|0)>=1){w=c[2500948]|0;A=1;do{if((A|0)!=(w|0)){if(I<+h[10003848+(A-1<<3)>>3]){R=122;break c}}A=A+1|0;c[2500956]=A;}while((A|0)<=(t|0))}if(!(I>+h[1362])){t=c[e>>2]|0;c[2500956]=1;A=c[2500948]|0;if((t|0)>=1){w=1;do{z=w-1|0;if(+h[d+(z<<3)>>3]!=0.0){h[10004016+((w*21|0)-22+A<<3)>>3]=+h[10003200+(z<<3)>>3]}w=w+1|0;}while((w|0)<=(t|0));c[2500956]=w}h[1362]=I;h[10003848+(A-1<<3)>>3]=I}t=c[e>>2]|0;c[2500956]=1;if((t|0)>=1){z=c[2500948]|0;y=1;do{F=y-1|0;h[10003040+(F<<3)>>3]=+h[10004016+((y*21|0)-22+z<<3)>>3]*.5+ +h[10003520+(F<<3)>>3]*.5;y=y+1|0;}while((y|0)<=(t|0));c[2500956]=y}ee[s&127](e,10003040,10856)|0;t=(c[2500926]|0)+1|0;c[2500926]=t;z=c[i>>2]|0;do{if((z|0)>=1){if(((t|0)%(z|0)|0|0)!=0){break}c[2689]=6;Q9(10752)|0;f9(19168,10003704,4)|0;f9(19168,10856,8)|0;A=c[e>>2]|0;c[2500940]=1;if((A|0)>=1){w=1;do{f9(19168,10003040+(w-1<<3)|0,8)|0;w=(c[2500940]|0)+1|0;c[2500940]=w;}while((w|0)<=(A|0))}y9()|0}}while(0);H=+h[1357];if(!(H>+h[1362])){z=c[e>>2]|0;c[2500956]=1;t=c[2500948]|0;if((z|0)>=1){y=1;do{A=y-1|0;if(+h[d+(A<<3)>>3]!=0.0){h[10004016+((y*21|0)-22+t<<3)>>3]=+h[10003040+(A<<3)>>3]}y=y+1|0;}while((y|0)<=(z|0));c[2500956]=y}h[10003848+(t-1<<3)>>3]=H;break}z=c[2500922]|0;c[2500956]=1;if((z|0)<1){break}else{S=1}do{A=c[2500946]|0;do{if((S|0)!=(A|0)){w=c[e>>2]|0;c[2500940]=1;if((w|0)>=1){F=S-22|0;D=1;do{if(+h[d+(D-1<<3)>>3]!=0.0){T=(D*21|0)-22|0;U=10004016+(T+S<<3)|0;h[U>>3]=(+h[U>>3]+ +h[10004016+(T+A<<3)>>3])*.5}h[b+(D-1<<3)>>3]=+h[10004016+(F+(D*21|0)<<3)>>3];D=D+1|0;}while((D|0)<=(w|0));c[2500940]=D}ee[s&127](e,b,10003848+(S-1<<3)|0)|0;w=(c[2500926]|0)+1|0;c[2500926]=w;F=c[i>>2]|0;if((F|0)<1){break}if(((w|0)%(F|0)|0|0)!=0){break}c[2683]=6;Q9(10728)|0;f9(19168,10003704,4)|0;f9(19168,10003848+((c[2500956]|0)-1<<3)|0,8)|0;F=c[e>>2]|0;c[2500940]=1;if((F|0)>=1){w=1;do{f9(19168,b+(w-1<<3)|0,8)|0;w=(c[2500940]|0)+1|0;c[2500940]=w;}while((w|0)<=(F|0))}y9()|0}}while(0);S=(c[2500956]|0)+1|0;c[2500956]=S;}while((S|0)<=(z|0))}}while(0);if((R|0)==122){R=0;z=c[e>>2]|0;c[2500956]=1;t=c[2500948]|0;if((z|0)>=1){y=1;do{A=y-1|0;if(+h[d+(A<<3)>>3]!=0.0){h[10004016+((y*21|0)-22+t<<3)>>3]=+h[10003200+(A<<3)>>3]}y=y+1|0;}while((y|0)<=(z|0));c[2500956]=y}h[10003848+(t-1<<3)>>3]=+h[1359]}z=c[2500930]|0;if((z|0)<(c[k>>2]|0)){x=z;continue}h[1358]=0.0;h[1361]=0.0;z=c[2500922]|0;c[2500956]=1;A=(z|0)<1;do{if(A){I=+(z|0);h[1361]=0.0/I;c[2500956]=1;V=0.0;X=I}else{I=0.0;F=1;do{I=+h[10003848+(F-1<<3)>>3]+I;F=F+1|0;}while((F|0)<=(z|0));H=+(z|0);B=I/H;h[1361]=B;c[2500956]=1;if(A){V=0.0;X=H;break}else{Y=0.0;Z=1}do{J=+h[10003848+(Z-1<<3)>>3]-B;Y=Y+J*J;Z=Z+1|0;}while((Z|0)<=(z|0));h[1358]=Y;c[2500956]=Z;V=Y;X=H}}while(0);B=+W(V/X);h[1358]=B;do{if(B>+h[j>>3]){if((c[2500926]|0)>(c[g>>2]|0)){break}a[10848]=0;c[2500930]=0;x=0;continue b}}while(0);t=c[e>>2]|0;c[2500956]=1;if((t|0)>=1){y=1;do{F=y-1|0;if(!(+h[d+(F<<3)>>3]==0.0)){h[b+(F<<3)>>3]=0.0;c[2500940]=1;if(A){_=b+(y-1<<3)|0}else{F=y*21|0;w=b+(y-1<<3)|0;D=1;B=+h[w>>3];do{B=+h[10004016+(D-22+F<<3)>>3]+B;h[w>>3]=B;D=D+1|0;}while((D|0)<=(z|0));c[2500940]=D;_=w}h[_>>3]=+h[_>>3]/X}y=y+1|0;}while((y|0)<=(t|0));c[2500956]=y}ee[s&127](e,b,f)|0;t=(c[2500926]|0)+1|0;c[2500926]=t;z=c[i>>2]|0;do{if((z|0)<1){$=t}else{if(((t|0)%(z|0)|0|0)!=0){$=t;break}c[2677]=6;Q9(10704)|0;f9(19168,10003704,4)|0;f9(19168,r,8)|0;A=c[e>>2]|0;c[2500940]=1;if((A|0)>=1){F=1;do{f9(19168,b+(F-1<<3)|0,8)|0;F=(c[2500940]|0)+1|0;c[2500940]=F;}while((F|0)<=(A|0))}y9()|0;$=c[2500926]|0}}while(0);if(($|0)>(c[g>>2]|0)){R=154;break a}if((c[i>>2]|0)>=0){c[2647]=6;Q9(10584)|0;y9()|0;c[2641]=6;Q9(10560)|0;t=c[e>>2]|0;c[2500956]=1;if((t|0)>=1){z=1;do{f9(19168,b+(z-1<<3)|0,8)|0;z=(c[2500956]|0)+1|0;c[2500956]=z;}while((z|0)<=(t|0))}y9()|0;c[2635]=6;Q9(10536)|0;f9(19168,r,8)|0;y9()|0}if(a[10848]|0){B=+h[1361];H=+h[1261]-B;if(H<0.0){aa=-0.0-H}else{aa=H}if(aa<+h[j>>3]){break}else{ba=B}}else{a[10848]=1;ba=+h[1361]}h[1261]=ba;c[2500930]=0;x=0}if((c[i>>2]|0)>=0){c[2629]=6;Q9(10512)|0;f9(19168,10003704,4)|0;y9()|0;c[2623]=6;Q9(10488)|0;x=c[e>>2]|0;c[2500956]=1;if((x|0)>=1){t=1;do{f9(19168,b+(t-1<<3)|0,8)|0;t=(c[2500956]|0)+1|0;c[2500956]=t;}while((t|0)<=(x|0))}y9()|0;c[2617]=6;Q9(10464)|0;f9(19168,r,8)|0;y9()|0}if((c[l>>2]|0)<1){R=315;break}if((c[i>>2]|0)>-1){c[2611]=6;Q9(10440)|0;y9()|0}h[1360]=+h[f>>3];c[2500924]=0;x=c[2500922]|0;c[2500956]=1;if((x|0)>=1){t=1;while(1){z=10003848+(t-1<<3)|0;B=+h[z>>3]- +h[f>>3];if(B<0.0){ca=-0.0-B}else{ca=B}if(!(ca<+h[m>>3])){y=t+1|0;c[2500956]=y;if((y|0)>(x|0)){break}else{t=y;continue}}y=c[e>>2]|0;c[2500940]=1;if((y|0)>=1){A=t-22|0;F=1;do{w=F-1|0;if(+h[d+(w<<3)>>3]!=0.0){D=10004016+((F*21|0)-22+t<<3)|0;B=+h[D>>3];h[D>>3]=B+(B- +h[b+(w<<3)>>3])}h[10003040+(F-1<<3)>>3]=+h[10004016+(A+(F*21|0)<<3)>>3];F=F+1|0;}while((F|0)<=(y|0));c[2500940]=F}ee[s&127](e,10003040,z)|0;c[2500924]=(c[2500924]|0)+1;c[2500926]=(c[2500926]|0)+1;y=c[2500956]|0;B=+h[10003848+(y-1<<3)>>3];if(!(B<+h[1360])){t=y;continue}h[1360]=B;if(!((c[i>>2]|0)>-1)){t=y;continue}c[2605]=6;Q9(10416)|0;f9(19168,10003704,4)|0;f9(19168,10880,8)|0;y=c[e>>2]|0;c[2500940]=1;if((y|0)>=1){A=1;do{f9(19168,10003040+(A-1<<3)|0,8)|0;A=(c[2500940]|0)+1|0;c[2500940]=A;}while((A|0)<=(y|0))}y9()|0;t=c[2500956]|0}}t=c[2500928]|0;c[2500956]=1;do{if((t|0)<1){h[1540]=+h[1250481];c[2500956]=1;da=t;R=206}else{x=1;do{y=x+1|0;c[2500960]=y;A=c[e>>2]|0;c[2500940]=1;if((A|0)>=1){z=1;do{F=z*21|0;h[10003200+(z-1<<3)>>3]=(+h[10004016+(F-21<<3)>>3]+ +h[10004016+(F-22+y<<3)>>3])*.5;z=z+1|0;}while((z|0)<=(A|0));c[2500940]=z}ee[s&127](e,10003200,10009056+(x-1<<3)|0)|0;c[2500924]=(c[2500924]|0)+1;c[2500926]=(c[2500926]|0)+1;x=(c[2500956]|0)+1|0;c[2500956]=x;}while((x|0)<=(t|0));x=c[2500928]|0;B=+h[1250481];h[1540]=B;c[2500956]=1;if((x|0)<1){da=x;R=206;break}else{ea=1;fa=B}while(1){A=ea-1|0;c[2500960]=A;c[2500958]=ea+1;if((A|0)<1){ha=fa;ia=ea}else{c[2500940]=1;y=1;while(1){F=y+1|0;c[2500938]=F;w=c[e>>2]|0;c[2500934]=1;if((w|0)>=1){D=c[2500958]|0;T=1;do{U=(T*21|0)-22|0;h[10003040+(T-1<<3)>>3]=(+h[10004016+(U+D<<3)>>3]+ +h[10004016+(U+F<<3)>>3])*.5;T=T+1|0;}while((T|0)<=(w|0));c[2500934]=T}ee[s&127](e,10003040,10856)|0;c[2500924]=(c[2500924]|0)+1;c[2500926]=(c[2500926]|0)+1;w=c[2500956]|0;F=w-1|0;D=(ga(F,w)|0)/2|0;U=c[2500940]|0;ja=U+D|0;c[2500932]=ja;B=+h[1540];h[10007376+(ja-1<<3)>>3]=(+h[1357]+B- +h[10009056+(F<<3)>>3]- +h[10009056+(U-1<<3)>>3])*2.0;F=U+1|0;c[2500940]=F;if((F|0)>(A|0)){ha=B;ia=w;break}else{y=F}}}y=ia+1|0;c[2500956]=y;if((y|0)>(x|0)){break}else{ea=y;fa=ha}}x=c[2500928]|0;c[2500932]=0;c[2500956]=1;y=(x|0)<1;if(y){c[2500956]=1;ka=x;la=1;break}else{ma=1;na=0}while(1){oa=na+ma|0;h[10007376+(oa-1<<3)>>3]=(+h[10003848+(ma<<3)>>3]+ha- +h[10009056+(ma-1<<3)>>3]*2.0)*2.0;A=ma+1|0;if((A|0)>(x|0)){break}else{ma=A;na=oa}}c[2500960]=ma+1;c[2500932]=oa;c[2500956]=1;if(y){ka=x;la=1;break}B=ha*3.0;A=1;while(1){z=10009056+(A-1<<3)|0;h[z>>3]=+h[z>>3]*2.0-(+h[10003848+(A<<3)>>3]+B)*.5;pa=A+1|0;if((pa|0)>(x|0)){break}else{A=pa}}c[2500960]=A+1;c[2500956]=pa;ka=x;la=y}}while(0);if((R|0)==206){R=0;c[2500932]=0;c[2500956]=1;ka=da;la=(da|0)<1}t=c[e>>2]|0;c[2500956]=1;if((t|0)>=1){z=1;do{h[10003360+(z-1<<3)>>3]=+h[10004016+((z*21|0)-21<<3)>>3];z=z+1|0;}while((z|0)<=(t|0));c[2500956]=z}c[2500956]=1;do{if(la){c[2500956]=1}else{t=1;do{t=t+1|0;c[2500960]=t;F=c[e>>2]|0;c[2500940]=1;if((F|0)>=1){w=1;do{U=w*21|0;ja=10004016+(U-22+t<<3)|0;h[ja>>3]=+h[ja>>3]- +h[10004016+(U-21<<3)>>3];w=w+1|0;}while((w|0)<=(F|0));c[2500940]=w}c[2500956]=t;}while((t|0)<=(ka|0));c[2500956]=1;if(la){break}else{qa=1}while(1){t=qa+1|0;c[2500960]=t;y=c[e>>2]|0;c[2500940]=1;if((y|0)>=1){x=1;do{A=(x*21|0)-22|0;h[10004016+(A+qa<<3)>>3]=+h[10004016+(A+t<<3)>>3];x=x+1|0;}while((x|0)<=(y|0));c[2500940]=x}c[2500956]=t;if((t|0)>(ka|0)){break}else{qa=t}}}}while(0);pV(10007376,10003712,10007376,10002880,10003680,p,10096)|0;if((c[p>>2]|0)==0){R=229;break}if((c[i>>2]|0)>-1){c[2593]=6;Q9(10368)|0;y9()|0}c[p>>2]=2;if((c[2500926]|0)>(c[g>>2]|0)){R=315;break}c[2587]=6;Q9(10344)|0;y9()|0;z=c[e>>2]|0;c[2500956]=1;if((z|0)<1){continue}else{ra=1}do{y=d+(ra-1<<3)|0;h[y>>3]=+h[y>>3]*.5;ra=ra+1|0;}while((ra|0)<=(z|0));c[2500956]=ra}if((R|0)==154){c[p>>2]=1;if((c[i>>2]|0)<0){return 0}c[2671]=6;Q9(10680)|0;f9(19168,g,4)|0;y9()|0;c[2665]=6;Q9(10656)|0;f9(19168,10864,8)|0;y9()|0;c[2659]=6;Q9(10632)|0;s=c[e>>2]|0;c[2500956]=1;if((s|0)>=1){z=1;do{f9(19168,b+(z-1<<3)|0,8)|0;z=(c[2500956]|0)+1|0;c[2500956]=z;}while((z|0)<=(s|0))}y9()|0;c[2653]=6;Q9(10608)|0;f9(19168,r,8)|0;y9()|0;return 0}else if((R|0)==229){s=c[2500928]|0;c[2500944]=s-(c[2500920]|0);c[2500956]=1;z=(s|0)<1;do{if(z){h[1260]=0.0;c[2500956]=1;sa=0.0}else{y=s+1|0;w=1;do{h[10003848+(w-1<<3)>>3]=0.0;A=w-1|0;F=10003848+(A<<3)|0;U=1;B=+h[F>>3];do{if((U|0)>(w|0)){ja=U-1|0;ta=((ga(ja,U)|0)/2|0)+w|0;ua=ja}else{ta=((ga(A,w)|0)/2|0)+U|0;ua=U-1|0}B=+h[10007376+(ta-1<<3)>>3]*+h[10009056+(ua<<3)>>3]+B;U=U+1|0;}while((U|0)<=(s|0));c[2500932]=ta;h[F>>3]=B;w=w+1|0;}while((w|0)<=(s|0));c[2500940]=y;h[1260]=0.0;c[2500956]=1;if(z){sa=0.0;break}else{va=0.0;wa=1}do{w=wa-1|0;va=va+ +h[10003848+(w<<3)>>3]*+h[10009056+(w<<3)>>3];wa=wa+1|0;}while((wa|0)<=(s|0));h[1260]=va;c[2500956]=wa;sa=va}}while(0);h[1260]=+h[1540]-sa;r=c[e>>2]|0;c[2500956]=1;if((r|0)>=1){y=s+1|0;w=1;do{h[10003040+(w-1<<3)>>3]=0.0;if(z){xa=1}else{U=w*21|0;A=10003040+(w-1<<3)|0;H=+h[A>>3];ja=1;do{H=H+ +h[10003848+(ja-1<<3)>>3]*+h[10004016+(ja-22+U<<3)>>3];ja=ja+1|0;}while((ja|0)<=(s|0));h[A>>3]=H;xa=y}w=w+1|0;}while((w|0)<=(r|0));c[2500956]=w;c[2500940]=xa}r=c[e>>2]|0;c[2500956]=1;if((r|0)>=1){y=1;do{s=y-1|0;z=10003360+(s<<3)|0;h[z>>3]=+h[z>>3]- +h[10003040+(s<<3)>>3];y=y+1|0;}while((y|0)<=(r|0));c[2500956]=y}if((c[i>>2]|0)>=0){c[2581]=6;Q9(10320)|0;f9(19168,10080,8)|0;r=c[e>>2]|0;c[2500956]=1;if((r|0)>=1){w=1;do{f9(19168,10003360+(w-1<<3)|0,8)|0;w=(c[2500956]|0)+1|0;c[2500956]=w;}while((w|0)<=(r|0))}y9()|0;c[2575]=6;Q9(10296)|0;y9()|0}r=c[e>>2]|0;c[2500956]=1;if((r|0)>=1){w=c[2500928]|0;y=1;do{c[2500940]=1;if((w|0)>=1){s=y*21|0;z=w+1|0;ja=1;do{h[10003848+(ja-1<<3)>>3]=0.0;U=ja-1|0;D=10003848+(U<<3)|0;ya=1;I=+h[D>>3];do{if((ya|0)>(ja|0)){za=((ga(ya-1|0,ya)|0)/2|0)+ja|0}else{za=((ga(U,ja)|0)/2|0)+ya|0}I=I+ +h[10007376+(za-1<<3)>>3]*+h[10004016+(ya-22+s<<3)>>3]*.5;ya=ya+1|0;}while((ya|0)<=(w|0));c[2500932]=za;h[D>>3]=I;ja=ja+1|0;}while((ja|0)<=(w|0));c[2500934]=z;c[2500940]=ja}s=c[e>>2]|0;c[2500940]=y;if((y|0)<=(s|0)){A=(w|0)<1;ya=w+1|0;U=y;do{Aa=y+((ga(U-1|0,U)|0)/2|0)|0;F=10001200+(Aa-1<<3)|0;h[F>>3]=0.0;if(A){Ba=1}else{Ca=U*21|0;H=0.0;Da=1;do{H=+h[10003848+(Da-1<<3)>>3]*+h[10004016+(Da-22+Ca<<3)>>3]+H;Da=Da+1|0;}while((Da|0)<=(w|0));h[F>>3]=H;Ba=ya}U=U+1|0;}while((U|0)<=(s|0));c[2500940]=U;c[2500932]=Aa;c[2500934]=Ba}y=y+1|0;c[2500956]=y;}while((y|0)<=(r|0))}c[2500940]=0;r=c[e>>2]|0;c[2500956]=1;if((r|0)>=1){y=0;w=1;do{y=y+w|0;h[n+(w-1<<3)>>3]=+h[10001200+(y-1<<3)>>3];w=w+1|0;}while((w|0)<=(r|0));c[2500940]=y;c[2500956]=w}if((c[i>>2]|0)<0){return 0}c[2569]=6;Q9(10272)|0;f9(19168,10003776,4)|0;y9()|0;c[2500950]=1;r=1;d:while(1){c[2500932]=r;do{if((r|0)>(c[e>>2]|0)){s=c[2500950]|0;if((s|0)==1){c[2563]=6;Q9(10248)|0;y9()|0;pV(10001200,10003712,10007376,10002880,10003680,p,10096)|0;c[2557]=6;Q9(10224)|0;y9()|0;c[2500950]=3;r=1;continue d}else if((s|0)==2){break d}else if((s|0)!=3){break}c[2500950]=2;c[2500954]=0;c[2500952]=0;s=c[e>>2]|0;c[2500956]=1;if((s|0)>=1){ya=0;A=0;ja=1;z=0;Da=-1;Ca=-1;D=-2;while(1){Ea=fma(Ca,0,D,0)|0;Fa=Da+(Ea>>>1|K<<31)|0;Ga=A+ja|0;Ea=10001200+(Ga-1<<3)|0;I=+h[Ea>>3];if(I>0.0){Ha=1.0/+W(I)}else{Ha=0.0}h[Ea>>3]=Ha;Ia=ja-1|0;if((Ia|0)<1){Ja=0;Ka=ya;La=1}else{Ma=0;Na=ya;Oa=1;I=Ha;while(1){Pa=Ma+Oa|0;Qa=10001200+(Na<<3)|0;h[Qa>>3]=+h[Qa>>3]*I*+h[10001200+(Pa-1<<3)>>3];Qa=Oa+1|0;if((Qa|0)>(Ia|0)){break}Ma=Pa;Na=Na+1|0;Oa=Qa;I=+h[Ea>>3]}Ja=Fa;Ka=ya+z|0;La=ja}Ra=Ka+1|0;Sa=ja+1|0;if((Sa|0)>(s|0)){break}else{ya=Ra;A=Ga;ja=Sa;z=z+1|0;Da=Da+2|0;Ca=Ca+1|0;D=D+1|0}}c[2500936]=Ja;c[2500952]=Ra;c[2500954]=Ga;c[2500940]=La;c[2500956]=Sa}c[2551]=6;Q9(10200)|0;y9()|0;c[2500954]=0;D=c[e>>2]|0;c[2500956]=1;if((D|0)<1){r=1;continue d}else{Ta=0;Ua=1}do{Ta=Ta+Ua|0;Ca=10001200+(Ta-1<<3)|0;if(+h[Ca>>3]!=0.0){h[Ca>>3]=1.0}Ua=Ua+1|0;}while((Ua|0)<=(D|0));c[2500954]=Ta;c[2500956]=Ua;r=1;continue d}}while(0);U=(ga(r-1|0,r)|0)/2|0;c[2500954]=U;D=c[e>>2]|0;c[2500956]=r;e:do{if((r|0)<=(D|0)){Ca=r;Da=U;z=r;while(1){ja=z+Da|0;c[2500960]=ja;A=Ca+Da|0;c[2500954]=A;ya=ja+5|0;c[2500958]=(A|0)<=(ya|0)?A:ya;if((c[2500950]|0)==3){c[2533]=6;Q9(10128)|0;ya=c[2500958]|0;A=c[2500960]|0;c[2500940]=A;if((A|0)<=(ya|0)){ja=A;do{f9(19168,10007376+(ja-1<<3)|0,8)|0;ja=(c[2500940]|0)+1|0;c[2500940]=ja;}while((ja|0)<=(ya|0))}y9()|0}else{c[2539]=6;Q9(10152)|0;ya=c[2500958]|0;ja=c[2500960]|0;c[2500940]=ja;if((ja|0)<=(ya|0)){Fa=ja;do{f9(19168,10001200+(Fa-1<<3)|0,8)|0;Fa=(c[2500940]|0)+1|0;c[2500940]=Fa;}while((Fa|0)<=(ya|0))}y9()|0}ya=(c[2500956]|0)+1|0;c[2500956]=ya;if((ya|0)>(D|0)){break e}Ca=ya;Da=c[2500954]|0;z=c[2500932]|0}}}while(0);c[2527]=6;Q9(10104)|0;y9()|0;r=(c[2500932]|0)+6|0}c[2545]=6;Q9(10176)|0;f9(19168,10003696,4)|0;y9()|0;return 0}else if((R|0)==315){return 0}}}while(0);ee[o&127](e,b,f)|0;return 0}function pV(a,b,d,e,f,g,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0.0,v=0.0,w=0,x=0,y=0.0,z=0,A=0,B=0,C=0,D=0.0,E=0;c[2500076]=c[b>>2];c[g>>2]=1;if((c[2500076]|0)<1){return 0}c[g>>2]=0;qV(a,10000304,d,f,g,i,e)|0;if((c[g>>2]|0)!=0){return 0}g=c[2500076]|0;i=(ga(g+1|0,g)|0)/2|0;c[2500078]=i;c[2500092]=g;c[2500080]=i;f=g-1|0;a=i+(ga(f,1-g|0)|0)|0;b=fma(f,0,g-2|0,0)|0;f=a+(b>>>1|K<<31)|0;b=i;a=g;while(1){if(+h[d+(b-1<<3)>>3]==0.0){c[2500090]=a;if((a|0)>(g|0)){j=b}else{k=b;l=a;do{h[d+(k-1<<3)>>3]=0.0;k=k+l|0;l=l+1|0;}while((l|0)<=(g|0));c[2500090]=l;j=k}m=j;n=a-1|0}else{c[2500096]=a;if((a|0)<=(g|0)){o=b;p=a;while(1){h[e+(p-1<<3)>>3]=+h[d+(o-1<<3)>>3];q=p+1|0;if((q|0)>(g|0)){break}o=o+p|0;p=q}c[2500096]=q}c[2500094]=g;c[2500088]=i;c[2500082]=i;p=a-1|0;o=e+(p<<3)|0;k=(g|0)==(a|0);l=i;r=g;s=i;while(1){h[980]=0.0;t=(r|0)==(a|0);if(t){u=1.0/+h[o>>3];h[980]=u;v=u}else{v=0.0}if(k){w=l;x=g;y=v}else{z=l;A=g;u=v;while(1){B=A-1|0;C=z-1|0;D=u- +h[e+(B<<3)>>3]*+h[d+(C<<3)>>3];h[980]=D;if((C|0)>(s|0)){E=z+(1-A)|0}else{E=C}if((B|0)==(a|0)){w=E;x=a;y=D;break}else{z=E;A=B;u=D}}}h[d+(w-1<<3)>>3]=y/+h[o>>3];if(t){break}A=s-r|0;c[2500082]=A;z=r-1|0;c[2500094]=z;B=l-1|0;c[2500088]=B;l=B;r=z;s=A}c[2500086]=x;m=w;n=p}if((n|0)==0){break}else{b=b-a|0;a=n}}c[2500084]=m;c[2500092]=0;c[2500080]=f-g;return 0}function qV(a,b,d,e,f,g,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;var j=0.0,k=0.0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0.0,x=0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0.0,F=0.0,G=0,H=0,I=0.0,J=0.0,K=0.0,L=0,M=0;h[2286]=.5;j=.5;do{j=j*.5;}while(j+1.0>1.0);k=j*2.0;h[2286]=k;c[f>>2]=1;if((c[b>>2]|0)<1){return 0}c[f>>2]=2;c[e>>2]=0;h[g>>3]=k;h[i>>3]=+h[2286];c[2505674]=1;c[2505672]=0;l=c[b>>2]|0;c[2505678]=1;a:do{if((l|0)>=1){b=1;m=1;b:while(1){c[2505670]=0;c[2505676]=1;do{if((b|0)>=1){n=c[2505672]|0;o=1;p=0;while(1){q=n+1|0;r=a+(n<<3)|0;k=+h[r>>3];h[2284]=k;s=(o|0)==(b|0);if(s){j=k*+h[2286];h[2285]=j*j}do{if((o|0)<1){t=1;u=m;v=p;w=k}else{x=p;y=1;z=m;j=k;while(1){A=x+1|0;if((y|0)==(o|0)){B=14;break}C=d+(x<<3)|0;D=j- +h[C>>3]*+h[d+(z-1<<3)>>3];h[2284]=D;if(s){E=+h[C>>3];F=E*E*+h[i+(y-1<<3)>>3];h[2285]=+h[2285]+F*F}G=z+1|0;H=y+1|0;if((H|0)>(o|0)){B=15;break}else{x=A;y=H;z=G;j=D}}if((B|0)==14){B=0;c[2505670]=A;t=o;u=z;v=A;w=j;break}else if((B|0)==15){B=0;c[2505670]=A;t=H;u=G;v=A;w=D;break}}}while(0);if(s){B=25;break}k=+h[d+(v-1<<3)>>3];if(k==0.0){h[d+(n<<3)>>3]=0.0;F=+h[2284];if(F<0.0){I=-0.0-F}else{I=F}F=+h[g>>3]*+h[r>>3];if(F<0.0){J=-0.0-F}else{J=F}if(I>J){break b}}else{h[d+(n<<3)>>3]=w/k}y=o+1|0;c[2505676]=y;if((y|0)>(b|0)){B=26;break}else{n=q;o=y;p=v}}if((B|0)==25){B=0;c[2505680]=t;c[2505668]=u;c[2505672]=q;break}else if((B|0)==26){B=0;c[2505680]=t;c[2505668]=u;c[2505672]=q;break}}}while(0);k=+W(+h[2285]);h[2285]=k;F=+h[2284];if(F<0.0){K=-0.0-F}else{K=F}do{if(K>k*5.0){if(F<0.0){B=37;break b}E=+W(F);h[d+((c[2505672]|0)-1<<3)>>3]=E;E=+h[2285]/+h[2284];h[i+((c[2505680]|0)-1<<3)>>3]=E;if(!(E>+h[g>>3])){L=b;M=m;break}h[g>>3]=E;L=b;M=m}else{h[d+((c[2505672]|0)-1<<3)>>3]=0.0;c[e>>2]=(c[e>>2]|0)+1;L=c[2505678]|0;M=c[2505674]|0}}while(0);m=M+L|0;c[2505674]=m;b=L+1|0;c[2505678]=b;if((b|0)>(l|0)){break a}}if((B|0)==37){return 0}c[2505680]=t;c[2505668]=u;c[2505672]=q;return 0}}while(0);c[f>>2]=0;return 0}function rV(b,d,e,f,g,h,i,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;l=(c[b>>2]|0)+1|0;c[2500274]=l;m=(c[d>>2]|0)-l|0;c[2500272]=m;n=c[d>>2]|0;o=c[b>>2]|0;p=o+2|0;do{if((n|0)>=(p|0)){if((n|0)>((ga(l,p)|0)/2|0|0)){break}q=o+n|0;c[2500276]=q;a[9968]=1;r=c[b>>2]|0;s=r+1|0;c[2500282]=s;t=c[b>>2]|0;u=s+t|0;c[2500284]=u;s=u+(c[b>>2]|0)|0;c[2500280]=s;u=(ga(c[d>>2]|0,c[b>>2]|0)|0)+s|0;c[2500294]=u;v=u+(c[d>>2]|0)|0;c[2500292]=v;w=v+(c[b>>2]|0)|0;c[2500290]=w;x=((ga(l,c[b>>2]|0)|0)/2|0)+w|0;c[2500288]=x;y=x+(c[d>>2]|0)|0;c[2500298]=y;z=(ga(c[b>>2]|0,q)|0)+y|0;c[2500278]=z;A=(ga(m,c[d>>2]|0)|0)+z|0;c[2500296]=A;B=A+(c[b>>2]|0)|0;c[2500286]=B;sV(b,d,e,f,g,h,i,j,j+(r<<3)|0,j+(r+t<<3)|0,j+(s-1<<3)|0,j+(u-1<<3)|0,j+(v-1<<3)|0,j+(w-1<<3)|0,j+(x-1<<3)|0,j+(y-1<<3)|0,j+(z-1<<3)|0,10001104,j+(A-1<<3)|0,j+(B-1<<3)|0,j+(q-1+B<<3)|0,k)|0;return 0}}while(0);Q9(9976)|0;y9()|0;return 0}function sV(a,b,d,e,f,g,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;s=s|0;t=t|0;u=u|0;v=v|0;w=w|0;x=x|0;y=y|0;var z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0.0,O=0.0,P=0,Q=0,R=0.0,S=0,T=0,U=0,V=0.0,X=0,Y=0,Z=0,_=0.0,$=0,aa=0,ba=0,ca=0,da=0.0,ea=0,fa=0.0,ha=0.0,ia=0.0,ja=0,ka=0.0,la=0.0,ma=0,na=0.0,oa=0.0,pa=0.0,qa=0.0,ra=0.0,sa=0.0,ta=0.0,ua=0.0,va=0,wa=0,xa=0.0,ya=0.0,za=0.0,Aa=0.0,Ba=0.0,Ca=0.0,Da=0.0,Ea=0.0,Fa=0,Ga=0.0,Ha=0.0,Ia=0.0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0.0,Pa=0.0,Qa=0.0,Ra=0.0,Sa=0.0,Ta=0.0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0.0,_a=0.0,$a=0.0,ab=0.0,bb=0.0,cb=0.0,db=0.0,eb=0,fb=0,gb=0.0,hb=0.0,ib=0,jb=0.0,kb=0.0,lb=0.0,mb=0.0,nb=0.0,ob=0,pb=0,qb=0,rb=0,sb=0.0,tb=0.0,ub=0.0,vb=0.0,wb=0.0,xb=0.0,yb=0.0,zb=0.0,Ab=0.0,Bb=0.0;z=i;i=i+8|0;A=z|0;B=c[b>>2]|0;C=~B;D=c[u>>2]|0;E=~D;h[1163]=.5;h[1137]=1.0;h[1125]=.1;F=(c[a>>2]|0)+1|0;c[2500228]=F;G=ga(c[a>>2]|0,F)|0;H=(G|0)/2|0;c[2500230]=H;I=(c[b>>2]|0)-F|0;c[2500226]=I;F=c[j>>2]|0;c[2500232]=(F|0)<1?1:F;F=c[a>>2]|0;c[2500256]=1;if((F|0)>=1){j=1;do{J=j-1|0;h[k+(J<<3)>>3]=+h[d+(J<<3)>>3];J=c[b>>2]|0;c[2500250]=1;if((J|0)>=1){K=ga(j,B)|0;L=1;do{h[n+(L+C+K<<3)>>3]=0.0;L=L+1|0;}while((L|0)<=(J|0));c[2500250]=L}J=c[u>>2]|0;c[2500270]=1;if((J|0)>=1){K=1;do{h[s+(K+E+(ga(j,D)|0)<<3)>>3]=0.0;K=K+1|0;}while((K|0)<=(J|0));c[2500270]=K}j=j+1|0;c[2500256]=j;}while((j|0)<=(F|0))}c[2500266]=1;if((G|0)>=2){G=1;do{h[q+(G-1<<3)>>3]=0.0;G=G+1|0;}while((G|0)<=(H|0));c[2500266]=G}G=c[b>>2]|0;c[2500250]=1;if((G|0)>=1){H=(I|0)<1;F=I+1|0;j=1;do{h[r+(j-1<<3)>>3]=0.0;if(H){M=1}else{J=1;while(1){h[t+((ga(J,B)|0)+C+j<<3)>>3]=0.0;L=J+1|0;if((L|0)>(I|0)){M=F;break}else{J=L}}}j=j+1|0;}while((j|0)<=(G|0));c[2500256]=M;c[2500250]=j}N=+h[e>>3];O=N*N;h[1132]=O;h[1135]=+h[1137]/O;h[1134]=+W(+h[1163])/O;c[2500240]=0;j=y;y=A;M=0;a:while(1){c[2500238]=M;G=M-(c[a>>2]|0)|0;c[2500236]=G;F=M+1|0;c[2500240]=F;I=c[a>>2]|0;do{if((M|0)>(I<<1|0)){H=(G-1|0)/(I|0)|0;c[2500260]=H;J=c[a>>2]|0;K=M-(ga(J,H)|0)-J|0;c[2500252]=K;J=K+H|0;c[2500262]=J;if((J|0)>(c[a>>2]|0)){c[2500260]=K;H=J-(c[a>>2]|0)|0;c[2500252]=H;c[2500262]=K;P=K;Q=H}else{P=J;Q=K}O=+h[e>>3];h[1123]=O;K=c[2500228]|0;if(+h[o+(P-1+K<<3)>>3]<+h[o+(P<<3)>>3]){N=-0.0-O;h[1123]=N;R=N}else{R=O}O=+h[e>>3];h[1122]=O;if(+h[o+(Q-1+K<<3)>>3]<+h[o+(Q<<3)>>3]){h[1122]=-0.0-O}K=F+C|0;h[n+(K+(ga(P,B)|0)<<3)>>3]=R;h[n+(K+(ga(Q,B)|0)<<3)>>3]=+h[1122];S=c[a>>2]|0}else{K=(M|0)>(I|0);if(!((M|0)<1|K)){h[n+((ga(M,B)|0)+C+F<<3)>>3]=+h[e>>3];S=I;break}if(!K){S=I;break}h[n+(F+C+(ga(G,B)|0)<<3)>>3]=-0.0- +h[e>>3];S=I}}while(0);c[2500256]=1;if((S|0)>=1){I=1;do{O=+h[n+((ga(I,B)|0)+C+F<<3)>>3];G=I-1|0;h[d+(G<<3)>>3]=O+ +h[k+(G<<3)>>3];I=I+1|0;}while((I|0)<=(S|0));c[2500256]=I}if((F|0)>(c[2500232]|0)){T=F;U=158;break}while(1){ee[j&127](a,d,9840)|0;if((c[g>>2]|0)==3){Q9(9248)|0;f9(19160,10000960,4)|0;f9(19160,9840,8)|0;G=c[a>>2]|0;c[2500270]=1;if((G|0)>=1){K=1;do{f9(19160,d+(K-1<<3)|0,8)|0;K=(c[2500270]|0)+1|0;c[2500270]=K;}while((K|0)<=(G|0))}y9()|0}G=c[2500240]|0;do{if((G|0)>(c[b>>2]|0)){K=c[2500248]|0;if((K|0)==-1){break a}h[1124]=0.0;c[2500266]=0;J=c[a>>2]|0;c[2500256]=1;if((J|0)<1){V=0.0}else{H=2;L=1;O=0.0;X=0;while(1){Y=L-1|0;N=O+ +h[v+(Y<<3)>>3]*+h[p+(Y<<3)>>3];h[1124]=N;if((L|0)<1){Z=1;_=N;$=X}else{Y=L-1|0;aa=m+(Y<<3)|0;ba=v+(Y<<3)|0;Y=X;ca=1;da=N;while(1){ea=ca-1|0;N=+h[v+(ea<<3)>>3]*+h[aa>>3]+ +h[ba>>3]*+h[l+(ea<<3)>>3];h[1127]=N;if((ca|0)==(L|0)){fa=N*+h[1163];h[1127]=fa;ha=fa}else{ha=N}ia=da+ha*+h[q+(Y<<3)>>3];h[1124]=ia;ea=ca+1|0;if((ea|0)>(L|0)){break}else{Y=Y+1|0;ca=ea;da=ia}}ca=X+L|0;c[2500266]=ca;Z=H;_=ia;$=ca}ja=L+1|0;if((ja|0)>(J|0)){break}else{H=H+1|0;L=ja;O=_;X=$}}c[2500270]=Z;c[2500256]=ja;V=_}X=c[b>>2]|0;c[2500250]=1;if((X|0)<1){ka=V}else{L=1;O=V;do{H=L-1|0;O=O+ +h[r+(H<<3)>>3]*+h[x+(H<<3)>>3];h[1124]=O;L=L+1|0;}while((L|0)<=(X|0));c[2500250]=L;ka=O}da=+h[1230];N=+h[1167];fa=da-N-ka;h[1239]=fa;h[1236]=+h[1237];h[1237]=+h[1238];if(fa<0.0){la=-0.0-fa}else{la=fa}h[1238]=la;if(+h[1234]>+h[1133]){c[2500234]=G}h[1166]=N;do{if(da<N){h[1167]=da;h[1121]=0.0;X=c[a>>2]|0;c[2500270]=1;if((X|0)<1){break}else{ma=1}do{H=ma-1|0;h[l+(H<<3)>>3]=+h[m+(H<<3)>>3];na=+h[l+(ma-1<<3)>>3];h[1121]=+h[1121]+na*na;ma=ma+1|0;}while((ma|0)<=(X|0));c[2500270]=ma;h[A>>3]=na}}while(0);c[2500244]=K;if((K|0)<=0){da=+h[1124];if(!(da<0.0)){U=189;break a}N=+h[1230];O=+h[1166];fa=(N-O)/da;h[1136]=fa;da=+h[1125];do{if(fa>da){oa=+h[1163]*+h[1241];h[A>>3]=oa;pa=+h[1234];if(fa>.7){qa=pa+pa;ra=oa>=qa?oa:qa;h[1241]=ra;sa=ra;break}else{ra=oa>=pa?oa:pa;h[1241]=ra;sa=ra;break}}else{ra=+h[1163]*+h[1234];h[1241]=ra;sa=ra}}while(0);fa=+h[1133];if(sa>fa*1.5){ta=sa}else{h[1241]=fa;ta=fa}ra=da*ta;pa=ra>=fa?ra:fa;h[A>>3]=pa;fa=pa*pa;h[1132]=fa;c[2500242]=0;h[1240]=0.0;if(N<O){ua=0.0;va=0}else{L=c[2500246]|0;c[2500242]=L;pa=+h[1137];h[1240]=pa;ua=pa;va=L}L=c[b>>2]|0;c[2500250]=1;if((L|0)<1){wa=K}else{X=c[2500226]|0;H=K;J=1;pa=ua;while(1){h[1162]=0.0;c[2500256]=1;if((X|0)<1){xa=0.0}else{ca=c[2500268]|0;Y=J+C|0;ra=+h[1137];ba=1;oa=0.0;do{if((ba|0)<(ca|0)){ya=-0.0-ra}else{ya=ra}h[1127]=ya;qa=+h[t+(Y+(ga(ba,B)|0)<<3)>>3];oa=oa+ya*qa*qa;h[1162]=oa;ba=ba+1|0;}while((ba|0)<=(X|0));c[2500256]=ba;xa=oa}ra=+h[w+(J-1<<3)>>3];qa=ra*ra+ +h[1244]*xa;if(qa<0.0){za=-0.0-qa}else{za=qa}h[1127]=za;h[1235]=0.0;Y=c[a>>2]|0;c[2500256]=1;if((Y|0)<1){Aa=qa;Ba=0.0}else{ca=1;qa=0.0;do{ra=+h[n+((ga(ca,B)|0)+C+J<<3)>>3];Ca=ra- +h[l+(ca-1<<3)>>3];qa=qa+Ca*Ca;h[1235]=qa;ca=ca+1|0;}while((ca|0)<=(Y|0));c[2500256]=ca;Aa=Ca;Ba=qa}if(Ba>fa){oa=Ba/fa;ra=za*oa*oa*oa;h[1127]=ra;Da=oa;Ea=ra}else{Da=Aa;Ea=za}if(Ea<=pa|(J|0)==(va|0)){Fa=H;Ga=pa}else{h[1240]=Ea;c[2500248]=J;Fa=J;Ga=Ea}Y=J+1|0;c[2500250]=Y;if((Y|0)>(L|0)){break}else{H=Fa;J=Y;pa=Ga}}h[A>>3]=Da;wa=Fa}if((wa|0)==0){Ha=da;Ia=ta;Ja=0;U=285;break}}uV(a,b,s,t,10001072,u,w,9952,10000992,x)|0;J=c[2500248]|0;H=J-1|0;h[o+(H<<3)>>3]=+h[1230];c[2500266]=0;L=c[a>>2]|0;c[2500270]=1;X=r+(H<<3)|0;if((L|0)>=1){H=J+C|0;K=2;Y=1;ba=0;while(1){pa=+h[X>>3]*+h[n+((ga(Y,B)|0)+C+J<<3)>>3];h[1127]=pa;if((Y|0)<1){Ka=1;La=ba}else{aa=ba;ea=1;fa=pa;while(1){pa=fa*+h[n+(H+(ga(ea,B)|0)<<3)>>3];Ma=q+(aa<<3)|0;h[Ma>>3]=+h[Ma>>3]+pa;Ma=ea+1|0;if((Ma|0)>(Y|0)){break}aa=aa+1|0;ea=Ma;fa=+h[1127]}ea=ba+Y|0;c[2500266]=ea;Ka=K;La=ea}Na=Y+1|0;if((Na|0)>(L|0)){break}else{K=K+1|0;Y=Na;ba=La}}c[2500256]=Ka;c[2500270]=Na}h[X>>3]=0.0;ba=c[2500226]|0;c[2500256]=1;Y=(ba|0)<1;if(!Y){K=c[2500268]|0;L=1;do{H=ga(L,B)|0;da=+h[1239]*+h[t+(H+C+J<<3)>>3];if((L|0)<(K|0)){Oa=-0.0-da}else{Oa=da}h[1127]=Oa;ea=c[b>>2]|0;c[2500250]=1;if((ea|0)>=1){aa=1;ca=2;da=Oa;while(1){Ma=r+(aa-1<<3)|0;h[Ma>>3]=+h[Ma>>3]+da*+h[t+(aa+C+H<<3)>>3];if((ca|0)>(ea|0)){break}aa=ca;ca=ca+1|0;da=+h[1127]}c[2500250]=ca}L=L+1|0;c[2500256]=L;}while((L|0)<=(ba|0))}h[1164]=0.0;L=c[a>>2]|0;c[2500270]=1;if((L|0)>=1){K=1;do{da=+h[1239]*+h[s+((ga(K,D)|0)+E+J<<3)>>3];X=p+(K-1<<3)|0;h[X>>3]=+h[X>>3]+da;X=K-1|0;Pa=+h[p+(X<<3)>>3];h[1164]=+h[1164]+Pa*Pa;h[n+((ga(K,B)|0)+C+J<<3)>>3]=+h[m+(X<<3)>>3];K=K+1|0;}while((K|0)<=(L|0));c[2500270]=K;h[A>>3]=Pa}L=c[2500244]|0;do{if((L|0)==0){if(!(+h[1241]==+h[1133])){break}da=+h[1136];if(da<0.0){Qa=-0.0-da}else{Qa=da}if(Qa>.01){c[2500258]=0;break}X=c[b>>2]|0;c[2500250]=1;if((X|0)>=1){aa=o+((c[2500246]|0)-1<<3)|0;ea=1;do{H=ea-1|0;h[w+(H<<3)>>3]=+h[o+(H<<3)>>3]- +h[aa>>3];ea=ea+1|0;}while((ea|0)<=(X|0));c[2500250]=ea}h[1165]=0.0;X=c[a>>2]|0;c[2500270]=1;if((X|0)<1){Ra=0.0}else{aa=1;do{h[1131]=0.0;ca=c[b>>2]|0;c[2500250]=1;if((ca|0)<1){Sa=0.0}else{H=ga(aa,D)|0;Ma=1;da=0.0;do{da=da+ +h[s+(Ma+E+H<<3)>>3]*+h[w+(Ma-1<<3)>>3];h[1131]=da;Ma=Ma+1|0;}while((Ma|0)<=(ca|0));c[2500250]=Ma;Sa=da}h[1165]=+h[1165]+Sa*Sa;h[x+(aa-1<<3)>>3]=Sa;aa=aa+1|0;c[2500270]=aa;}while((aa|0)<=(X|0));Ra=+h[1165]*100.0}X=(c[2500258]|0)+1|0;c[2500258]=X;if(+h[1164]<Ra){c[2500258]=0;break}if((X|0)<=2){break}X=c[a>>2]|0;c[2500270]=1;if((X|0)>=1){aa=1;do{ea=aa-1|0;h[p+(ea<<3)>>3]=+h[x+(ea<<3)>>3];aa=aa+1|0;}while((aa|0)<=(X|0));c[2500270]=aa}X=c[2500230]|0;c[2500266]=1;if((X|0)>=1){ea=1;do{h[q+(ea-1<<3)>>3]=0.0;ea=ea+1|0;}while((ea|0)<=(X|0));c[2500266]=ea}c[2500256]=1;if(!Y){X=1;do{aa=x+(X-1<<3)|0;h[aa>>3]=0.0;ca=c[b>>2]|0;c[2500250]=1;if((ca|0)<1){Ta=0.0}else{H=ga(X,B)|0;Ua=1;fa=0.0;do{fa=fa+ +h[w+(Ua-1<<3)>>3]*+h[t+(Ua+C+H<<3)>>3];h[aa>>3]=fa;Ua=Ua+1|0;}while((Ua|0)<=(ca|0));c[2500250]=Ua;Ta=fa}if((X|0)<(c[2500268]|0)){h[aa>>3]=-0.0-Ta}X=X+1|0;c[2500256]=X;}while((X|0)<=(ba|0))}X=c[b>>2]|0;c[2500250]=1;if((X|0)>=1){ea=ba+1|0;ca=1;do{h[r+(ca-1<<3)>>3]=0.0;if(Y){Va=1}else{H=1;while(1){da=+h[t+((ga(H,B)|0)+C+ca<<3)>>3];Ma=r+(ca-1<<3)|0;h[Ma>>3]=+h[Ma>>3]+da*+h[x+(H-1<<3)>>3];Ma=H+1|0;if((Ma|0)>(ba|0)){Va=ea;break}else{H=Ma}}}ca=ca+1|0;}while((ca|0)<=(X|0));c[2500256]=Va;c[2500250]=ca}c[2500258]=0}}while(0);fa=+h[1230];da=+h[1166];if(fa<da){c[2500246]=J}qa=+h[1125];if(fa<=da+qa*+h[1124]|(L|0)>0){U=54;break}c[2500248]=0;Ha=qa;Ia=+h[1241];Ja=0;U=285}else{h[o+(G-1<<3)>>3]=+h[1230];qa=+h[1230];do{if((G|0)==1){h[1229]=qa;h[1167]=qa;c[2500246]=1;Wa=1}else{if(!(qa<+h[1167])){Wa=G;break}h[1167]=qa;c[2500246]=G;Wa=G}}while(0);L=c[2500238]|0;J=c[a>>2]|0;do{if((L|0)>(J<<1|0)){ba=c[2500262]|0;Y=(ga(ba-1|0,ba)|0)/2|0;K=c[2500252]|0;X=K+Y|0;c[2500266]=X;if(+h[1123]<0.0){Y=ba+(c[a>>2]|0)|0;c[2500262]=Y;Xa=Y}else{Xa=ba}if(+h[1122]<0.0){ba=K+(c[a>>2]|0)|0;c[2500252]=ba;Ya=ba}else{Ya=K}K=ga(c[2500236]|0,B)|0;h[t+(K-B<<3)>>3]=+h[1135];h[t+(Wa+C+K<<3)>>3]=+h[1135];h[t+(Xa-B+K<<3)>>3]=-0.0- +h[1135];h[t+(Ya-B+K<<3)>>3]=-0.0- +h[1135];h[q+(X-1<<3)>>3]=(+h[1229]- +h[o+(Xa<<3)>>3]- +h[o+(Ya<<3)>>3]+ +h[1230])/(+h[1123]*+h[1122])}else{X=(L|0)>(J|0);if((L|0)<1|X){if(!X){break}X=c[2500236]|0;K=ga(X,D)|0;h[s+(E-J+Wa+K<<3)>>3]=+h[1163]/+h[e>>3];h[s+(Wa+E+K<<3)>>3]=(-0.0- +h[1163])/+h[e>>3];da=+h[1134];K=ga(X,B)|0;h[t+(K-B<<3)>>3]=-0.0-da-da;ba=Wa+C|0;h[t+(ba-J+K<<3)>>3]=+h[1134];h[t+(ba+K<<3)>>3]=+h[1134];K=(ga(X+1|0,X)|0)/2|0;c[2500266]=K;da=(+h[1229]- +h[1230])/+h[e>>3];h[1127]=da;ba=p+(X-1<<3)|0;h[q+(K-1<<3)>>3]=(+h[ba>>3]-da)/+h[e>>3];h[ba>>3]=+h[1163]*(+h[ba>>3]+ +h[1127]);break}else{h[p+(L-1<<3)>>3]=(qa- +h[1229])/+h[e>>3];ba=c[b>>2]|0;if((ba|0)>=(J+Wa|0)){break}K=ga(L,D)|0;h[s+(K-D<<3)>>3]=(-0.0- +h[1137])/+h[e>>3];h[s+(Wa+E+K<<3)>>3]=+h[1137]/+h[e>>3];h[s+(ba+E+L+K<<3)>>3]=+h[1132]*(-0.0- +h[1163]);break}}}while(0);if((Wa|0)<(c[b>>2]|0)){M=Wa;continue a}qa=+h[e>>3];h[1133]=qa;h[1241]=qa;c[2500268]=1;h[1238]=0.0;h[1237]=0.0;c[2500258]=0;h[1121]=0.0;L=c[a>>2]|0;c[2500270]=1;if((L|0)<1){U=53;break}J=c[2500246]|0;K=1;do{h[l+(K-1<<3)>>3]=+h[n+((ga(K,B)|0)+C+J<<3)>>3];Za=+h[l+(K-1<<3)>>3];h[1121]=+h[1121]+Za*Za;K=K+1|0;}while((K|0)<=(L|0));c[2500270]=K;h[A>>3]=Za;U=53}}while(0);while(1){if((U|0)==53){U=0;c[2500234]=c[2500240];U=54;continue}else if((U|0)==54){U=0;c[2500248]=0;G=(c[2500228]|0)-1|0;L=c[a>>2]|0;tV(a,b,l,n,p,q,r,9928,v,x,x+(G<<3)|0,x+(G+L<<3)|0,x+(G+(L<<1)<<3)|0,9936)|0;h[1233]=0.0;L=c[a>>2]|0;c[2500270]=1;if((L|0)<1){_a=0.0}else{G=1;qa=0.0;do{$a=+h[v+(G-1<<3)>>3];qa=qa+$a*$a;h[1233]=qa;G=G+1|0;}while((G|0)<=(L|0));h[A>>3]=$a;c[2500270]=G;_a=qa}da=+h[1241];h[A>>3]=da;fa=+W(_a);pa=da<=fa?da:fa;h[1234]=pa;fa=+h[1133];if(!(pa<+h[1163]*fa)){ab=_a;U=62;break}c[2500248]=-1;pa=+h[1125];O=pa*da;h[1241]=O;h[1136]=-1.0;if(O>fa*1.5){bb=O}else{h[1241]=fa;bb=fa}if((c[2500240]|0)<=((c[2500234]|0)+2|0)){Ha=pa;Ia=bb;Ja=-1;U=285;continue}O=fa*+h[1242]*.125*fa;h[1127]=O;da=+h[1238];N=+h[1237];ra=da>=N?da:N;h[A>>3]=ra;N=+h[1236];if(O>(ra>=N?ra:N)){cb=fa;db=pa;eb=-1}else{Ha=pa;Ia=bb;Ja=-1;U=285;continue}}else if((U|0)==285){U=0;pa=Ia*Ia*4.0;h[1235]=pa;L=c[b>>2]|0;c[2500250]=1;if((L|0)<1){fb=Ja}else{K=Ja;fa=pa;J=1;while(1){h[1131]=0.0;ba=c[a>>2]|0;c[2500256]=1;if((ba|0)<1){gb=0.0}else{X=1;pa=0.0;do{N=+h[n+((ga(X,B)|0)+C+J<<3)>>3];hb=N- +h[l+(X-1<<3)>>3];pa=pa+hb*hb;h[1131]=pa;X=X+1|0;}while((X|0)<=(ba|0));h[A>>3]=hb;c[2500256]=X;gb=pa}if(gb>fa){c[2500248]=J;h[1235]=gb;ib=J;jb=gb}else{ib=K;jb=fa}ba=J+1|0;c[2500250]=ba;if((ba|0)>(L|0)){break}else{K=ib;fa=jb;J=ba}}if((ib|0)>0){U=293;break}else{fb=ib}}if(+h[1136]>0.0){U=54;continue}fa=+h[1234];qa=+h[1133];if((Ia>=fa?Ia:fa)>qa){U=54;continue}else{cb=qa;db=Ha;eb=fb}}if(!(cb>+h[f>>3])){U=308;break}qa=cb*+h[1163];h[1241]=qa;fa=cb/+h[f>>3];h[1136]=fa;do{if(fa>16.0){if(fa>250.0){N=db*cb;h[1133]=N;kb=N;break}else{N=+W(fa);ra=N*+h[f>>3];h[1133]=ra;kb=ra;break}}else{ra=+h[f>>3];h[1133]=ra;kb=ra}}while(0);h[1241]=qa>=kb?qa:kb;J=c[g>>2]|0;if((J|0)<=1){U=53;continue}if((J|0)>2){Q9(9200)|0;y9()|0}Q9(9176)|0;f9(19160,9064,8)|0;f9(19160,10000960,4)|0;y9()|0;Q9(9152)|0;f9(19160,9336,8)|0;J=c[a>>2]|0;c[2500270]=1;if((J|0)>=1){K=1;do{L=K-1|0;h[A>>3]=+h[k+(L<<3)>>3]+ +h[l+(L<<3)>>3];f9(19160,y,8)|0;K=(c[2500270]|0)+1|0;c[2500270]=K;}while((K|0)<=(J|0))}y9()|0;U=53}if((U|0)==293){U=0;qa=Ha*+W(jb);fa=+h[1163]*Ia;ra=qa<=fa?qa:fa;h[A>>3]=ra;fa=+h[1133];qa=ra>=fa?ra:fa;h[1232]=qa;fa=qa*qa;h[1233]=fa;ab=fa;U=62}else if((U|0)==308){U=0;if(!((eb|0)==-1)){break a}}do{if((U|0)==62){U=0;fa=+h[1121];if(!(ab>fa*.001)){h[1126]=fa*.25;J=c[b>>2]|0;c[2500250]=1;if((J|0)>=1){K=1;do{h[1131]=0.0;L=c[a>>2]|0;c[2500270]=1;if((L|0)<1){lb=0.0}else{G=1;fa=0.0;do{qa=+h[n+((ga(G,B)|0)+C+K<<3)>>3];fa=fa+qa*+h[l+(G-1<<3)>>3];h[1131]=fa;G=G+1|0;}while((G|0)<=(L|0));c[2500270]=G;lb=fa}h[1127]=+h[r+(K-1<<3)>>3]*lb;pa=lb- +h[1163]*+h[1121];h[1131]=pa;h[x+((c[b>>2]|0)-1+K<<3)>>3]=pa;L=c[a>>2]|0;c[2500270]=1;if((L|0)>=1){X=1;do{ba=ga(X,B)|0;ca=n+(ba+C+K<<3)|0;Y=X-1|0;ea=p+(Y<<3)|0;h[ea>>3]=+h[ea>>3]+ +h[1127]*+h[ca>>3];ea=l+(Y<<3)|0;h[ca>>3]=+h[ca>>3]- +h[1163]*+h[ea>>3];ca=w+(Y<<3)|0;h[ca>>3]=+h[s+(K+E+(ga(X,D)|0)<<3)>>3];pa=+h[1131]*+h[n+(K+C+ba<<3)>>3]+ +h[1126]*+h[ea>>3];ea=x+(Y<<3)|0;h[ea>>3]=pa;Y=X+(c[b>>2]|0)|0;c[2500264]=Y;c[2500256]=1;if((X|0)>=1){ba=1;H=2;qa=pa;while(1){aa=s+((ga(ba,D)|0)+E+Y<<3)|0;Ua=ba-1|0;h[aa>>3]=+h[aa>>3]+ +h[ca>>3]*+h[x+(Ua<<3)>>3]+qa*+h[w+(Ua<<3)>>3];if((H|0)>(X|0)){break}ba=H;H=H+1|0;qa=+h[ea>>3]}c[2500256]=H}X=X+1|0;c[2500270]=X;}while((X|0)<=(L|0))}K=K+1|0;c[2500250]=K;}while((K|0)<=(J|0))}J=c[2500226]|0;c[2500250]=1;if((J|0)>=1){K=1;do{h[1128]=0.0;L=c[b>>2]|0;c[2500270]=1;b:do{if((L|0)>=1){X=1;fa=0.0;while(1){G=t+(X+C+(ga(K,B)|0)<<3)|0;h[1128]=+h[G>>3]+fa;h[x+(X-1<<3)>>3]=+h[x+((c[b>>2]|0)-1+X<<3)>>3]*+h[G>>3];G=X+1|0;c[2500270]=G;if((G|0)>(L|0)){break b}X=G;fa=+h[1128]}}}while(0);L=c[a>>2]|0;c[2500256]=1;if((L|0)>=1){X=1;do{H=X-1|0;fa=+h[1126]*+h[1128]*+h[l+(H<<3)>>3];h[1131]=fa;G=c[b>>2]|0;c[2500270]=1;if((G|0)<1){mb=fa}else{ea=ga(X,B)|0;ba=1;qa=fa;do{qa=qa+ +h[x+(ba-1<<3)>>3]*+h[n+(ba+C+ea<<3)>>3];h[1131]=qa;ba=ba+1|0;}while((ba|0)<=(G|0));c[2500270]=ba;mb=qa}h[w+(H<<3)>>3]=mb;if((K|0)<(c[2500268]|0)){h[1131]=-0.0- +h[1131]}G=c[b>>2]|0;c[2500270]=1;if((G|0)>=1){ea=ga(K,B)|0;ca=ga(X,D)|0;Y=1;Ua=2;while(1){aa=s+(Y+E+ca<<3)|0;h[aa>>3]=+h[1131]*+h[t+(Y+C+ea<<3)>>3]+ +h[aa>>3];if((Ua|0)>(G|0)){break}Y=Ua;Ua=Ua+1|0}c[2500270]=Ua}X=X+1|0;c[2500256]=X;}while((X|0)<=(L|0))}L=c[a>>2]|0;c[2500270]=1;if((L|0)>=1){X=c[2500268]|0;Y=1;do{G=(c[b>>2]|0)+Y|0;c[2500264]=G;qa=+h[w+(Y-1<<3)>>3];if((K|0)<(X|0)){nb=-0.0-qa}else{nb=qa}h[1127]=nb;c[2500256]=1;if((Y|0)>=1){ea=1;ca=2;qa=nb;while(1){H=s+((ga(ea,D)|0)+E+G<<3)|0;h[H>>3]=qa*+h[w+(ea-1<<3)>>3]+ +h[H>>3];if((ca|0)>(Y|0)){break}ea=ca;ca=ca+1|0;qa=+h[1127]}c[2500256]=ca}Y=Y+1|0;c[2500270]=Y;}while((Y|0)<=(L|0))}K=K+1|0;c[2500250]=K;}while((K|0)<=(J|0))}c[2500266]=0;J=c[a>>2]|0;c[2500256]=1;if((J|0)>=1){K=1;L=0;while(1){Y=K-1|0;X=x+(Y<<3)|0;h[X>>3]=0.0;ea=c[b>>2]|0;c[2500250]=1;if((ea|0)>=1){G=ga(K,B)|0;Ua=l+(Y<<3)|0;H=G+C|0;ba=1;qa=0.0;while(1){h[X>>3]=qa+ +h[r+(ba-1<<3)>>3]*+h[n+(ba+C+G<<3)>>3];aa=n+(H+ba<<3)|0;h[aa>>3]=+h[aa>>3]- +h[1163]*+h[Ua>>3];ob=ba+1|0;if((ob|0)>(ea|0)){break}ba=ob;qa=+h[X>>3]}c[2500250]=ob}c[2500270]=1;if((K|0)<1){pb=L}else{ba=L;ea=1;while(1){Ua=ba+1|0;c[2500266]=Ua;H=q+(ba<<3)|0;if((ea|0)<(K|0)){G=ea-1|0;aa=l+(G<<3)|0;Ma=p+(Y<<3)|0;h[Ma>>3]=+h[Ma>>3]+ +h[H>>3]*+h[aa>>3];qb=G;rb=aa}else{aa=ea-1|0;qb=aa;rb=l+(aa<<3)|0}aa=l+(Y<<3)|0;G=p+(qb<<3)|0;h[G>>3]=+h[H>>3]*+h[aa>>3]+ +h[G>>3];h[H>>3]=+h[H>>3]+ +h[x+(qb<<3)>>3]*+h[aa>>3]+ +h[rb>>3]*+h[X>>3];aa=(c[b>>2]|0)+E|0;h[s+(aa+ea+(ga(K,D)|0)<<3)>>3]=+h[s+(aa+K+(ga(ea,D)|0)<<3)>>3];aa=ea+1|0;c[2500270]=aa;if((aa|0)>(K|0)){pb=Ua;break}else{ba=Ua;ea=aa}}}ea=K+1|0;c[2500256]=ea;if((ea|0)>(J|0)){break}else{K=ea;L=pb}}}L=c[a>>2]|0;c[2500256]=1;if((L|0)>=1){K=1;do{J=K-1|0;ea=k+(J<<3)|0;h[ea>>3]=+h[l+(J<<3)>>3]+ +h[ea>>3];h[l+(K-1<<3)>>3]=0.0;K=K+1|0;}while((K|0)<=(L|0));c[2500256]=K}h[1121]=0.0}if((c[2500248]|0)>0){L=(c[2500228]|0)-1|0;OU(a,b,l,n,s,t,10001072,u,10000992,9856,v,9960,w,w+(c[b>>2]<<3)|0,x,x+(L<<3)|0,x+(L+(c[a>>2]|0)<<3)|0)|0}L=c[b>>2]|0;c[2500250]=1;if((L|0)>=1){ea=1;do{h[1130]=0.0;h[1129]=0.0;h[1131]=0.0;J=c[a>>2]|0;c[2500256]=1;if((J|0)<1){sb=0.0;tb=0.0}else{ba=ea+C|0;X=ea+E|0;Y=1;qa=0.0;fa=0.0;pa=0.0;do{ra=+h[n+((ga(Y,B)|0)+C+ea<<3)>>3];qa=qa+ra*+h[v+(Y-1<<3)>>3];h[1130]=qa;ra=+h[n+(ba+(ga(Y,B)|0)<<3)>>3];aa=Y-1|0;fa=fa+ra*+h[l+(aa<<3)>>3];h[1129]=fa;ra=+h[s+(X+(ga(Y,D)|0)<<3)>>3];pa=pa+ra*+h[v+(aa<<3)>>3];h[1131]=pa;Y=Y+1|0;}while((Y|0)<=(J|0));c[2500256]=Y;sb=qa;tb=fa}J=ea-1|0;h[x+(J<<3)>>3]=sb*(sb*+h[1163]+tb);h[w+(J<<3)>>3]=+h[1131];ea=ea+1|0;c[2500250]=ea;}while((ea|0)<=(L|0))}h[1244]=0.0;L=c[2500226]|0;c[2500250]=1;if((L|0)>=1){ea=1;do{h[1131]=0.0;K=c[b>>2]|0;c[2500270]=1;if((K|0)<1){ub=0.0}else{J=1;pa=0.0;do{ra=+h[t+(J+C+(ga(ea,B)|0)<<3)>>3];pa=pa+ra*+h[x+(J-1<<3)>>3];h[1131]=pa;J=J+1|0;}while((J|0)<=(K|0));c[2500270]=J;ub=pa}fa=ub*ub;qa=+h[1244];if((ea|0)<(c[2500268]|0)){h[1244]=qa+fa;ra=-0.0-ub;h[1131]=ra;vb=ra}else{h[1244]=qa-fa;vb=ub}K=c[b>>2]|0;c[2500270]=1;if((K|0)>=1){Y=ga(ea,B)|0;X=1;ba=2;fa=vb;while(1){aa=w+(X-1<<3)|0;h[aa>>3]=+h[aa>>3]+fa*+h[t+(X+C+Y<<3)>>3];if((ba|0)>(K|0)){break}X=ba;ba=ba+1|0;fa=+h[1131]}c[2500270]=ba}ea=ea+1|0;c[2500250]=ea;}while((ea|0)<=(L|0))}h[1243]=0.0;h[1231]=0.0;L=c[a>>2]|0;c[2500256]=1;if((L|0)<1){wb=0.0;xb=0.0}else{ea=1;fa=0.0;while(1){h[1131]=0.0;X=c[b>>2]|0;c[2500270]=1;if((X|0)<1){yb=0.0}else{K=ga(ea,D)|0;Y=1;pa=0.0;do{pa=pa+ +h[x+(Y-1<<3)>>3]*+h[s+(Y+E+K<<3)>>3];h[1131]=pa;Y=Y+1|0;}while((Y|0)<=(X|0));c[2500270]=Y;yb=pa}X=ea-1|0;K=v+(X<<3)|0;h[1243]=fa+yb*+h[K>>3];ba=ea+(c[b>>2]|0)|0;c[2500254]=ba;J=c[a>>2]|0;c[2500250]=1;if((J|0)<1){zb=yb}else{aa=1;qa=yb;do{ra=+h[s+((ga(aa,D)|0)+E+ba<<3)>>3];qa=qa+ra*+h[v+(aa-1<<3)>>3];h[1131]=qa;aa=aa+1|0;}while((aa|0)<=(J|0));c[2500250]=aa;zb=qa}h[w+(ba-1<<3)>>3]=zb;pa=+h[1243]+ +h[1131]*+h[K>>3];h[1243]=pa;ra=+h[1231]+ +h[K>>3]*+h[l+(X<<3)>>3];h[1231]=ra;J=ea+1|0;c[2500256]=J;if((J|0)>(L|0)){wb=ra;xb=pa;break}else{ea=J;fa=pa}}}fa=+h[1233];h[1244]=+h[1244]+(wb*wb+fa*(wb+(wb+ +h[1121])+fa*+h[1163]))-xb;ea=w+((c[2500246]|0)-1<<3)|0;h[ea>>3]=+h[1137]+ +h[ea>>3];ea=c[2500248]|0;if((ea|0)<=0){break}fa=+h[w+(ea-1<<3)>>3];h[A>>3]=fa;pa=+h[1137]+ +h[1245]*+h[1244]/(fa*fa);h[1127]=pa;if(pa<0.0){Ab=-0.0-pa}else{Ab=pa}if(Ab>.8){break}ea=c[u>>2]|0;NU(a,b,l,n,s,t,10001072,u,10000984,10000992,v,x,w,9952,m,x+(ea<<3)|0,x+((ea*6|0|1)-1<<3)|0)|0}}while(0);ea=c[a>>2]|0;c[2500270]=1;if((ea|0)>=1){L=1;do{J=L-1|0;h[m+(J<<3)>>3]=+h[l+(J<<3)>>3]+ +h[v+(J<<3)>>3];J=L-1|0;h[d+(J<<3)>>3]=+h[k+(J<<3)>>3]+ +h[m+(J<<3)>>3];L=L+1|0;}while((L|0)<=(ea|0));c[2500270]=L}ea=(c[2500240]|0)+1|0;c[2500240]=ea;if((ea|0)>(c[2500232]|0)){T=ea;U=158;break a}}}do{if((U|0)==158){c[2500240]=T-1;if((c[g>>2]|0)<=0){break}Q9(9272)|0;y9()|0}else if((U|0)==189){if((c[g>>2]|0)<=0){break}Q9(9224)|0;y9()|0}}while(0);Ab=+h[1167];if(!(Ab>+h[1230])){U=c[a>>2]|0;c[2500270]=1;if((U|0)<1){Bb=Ab}else{T=1;do{m=T-1|0;h[d+(m<<3)>>3]=+h[k+(m<<3)>>3]+ +h[l+(m<<3)>>3];T=T+1|0;}while((T|0)<=(U|0));c[2500270]=T;Bb=+h[1167]}h[1230]=Bb}if((c[g>>2]|0)<=0){i=z;return 0}Q9(9128)|0;f9(19160,10000960,4)|0;y9()|0;Q9(9104)|0;f9(19160,9840,8)|0;g=c[a>>2]|0;c[2500270]=1;if((g|0)>=1){a=1;do{f9(19160,d+(a-1<<3)|0,8)|0;a=(c[2500270]|0)+1|0;c[2500270]=a;}while((a|0)<=(g|0))}y9()|0;i=z;return 0}function tV(b,d,e,f,g,i,j,k,l,m,n,o,p,q){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;var r=0,s=0,t=0.0,u=0,v=0,w=0,x=0,y=0,z=0.0,A=0,B=0.0,C=0,D=0,E=0.0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0.0,Q=0.0,R=0.0,S=0.0,T=0.0,U=0.0,V=0.0,X=0.0,_=0.0,$=0.0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ha=0.0,ia=0.0,ja=0.0,ka=0,la=0.0,ma=0.0,na=0.0,oa=0.0,pa=0.0,qa=0,ra=0,sa=0.0,ta=0.0,ua=0.0,va=0.0,wa=0.0,xa=0.0,ya=0.0,za=0.0,Aa=0.0,Ba=0.0,Ca=0.0,Da=0,Ea=0,Fa=0.0,Ga=0.0,Ha=0.0,Ia=0.0,Ja=0,Ka=0.0,La=0.0,Ma=0,Na=0,Oa=0.0,Pa=0.0,Qa=0;r=c[d>>2]|0;s=~r;h[176]=.5;h[159]=6.283185307179586;t=+h[k>>3];h[184]=t*t;c[2500066]=0;k=c[b>>2]|0;c[2500064]=k;c[2500062]=k;u=c[b>>2]|0;c[2500072]=1;if((u|0)<1){v=0;w=k}else{x=1;do{y=x-1|0;h[m+(y<<3)>>3]=+h[e+(y<<3)>>3];x=x+1|0;}while((x|0)<=(u|0));c[2500072]=x;v=0;w=k}a:while(1){x=c[b>>2]|0;c[2500072]=1;if((x|0)>=1){u=1;do{h[o+(u-1<<3)>>3]=0.0;u=u+1|0;}while((u|0)<=(x|0));c[2500072]=u}x=c[d>>2]|0;c[2500058]=1;if((x|0)>=1){e=1;do{h[162]=0.0;y=c[b>>2]|0;c[2500060]=1;if((y|0)<1){z=0.0}else{A=1;t=0.0;do{B=+h[f+((ga(A,r)|0)+s+e<<3)>>3];t=t+B*+h[m+(A-1<<3)>>3];h[162]=t;A=A+1|0;}while((A|0)<=(y|0));c[2500060]=A;z=t}B=+h[j+(e-1<<3)>>3]*z;h[162]=B;y=c[b>>2]|0;c[2500072]=1;if((y|0)>=1){C=1;D=2;E=B;while(1){B=E*+h[f+((ga(C,r)|0)+s+e<<3)>>3];F=o+(C-1<<3)|0;h[F>>3]=+h[F>>3]+B;if((D|0)>(y|0)){break}C=D;D=D+1|0;E=+h[162]}c[2500072]=D}e=e+1|0;c[2500058]=e;}while((e|0)<=(x|0))}c[2500070]=0;x=c[b>>2]|0;c[2500060]=1;if((x|0)>=1){e=1;u=0;while(1){if((e|0)<1){G=1;H=u}else{C=e-1|0;y=o+(C<<3)|0;A=m+(C<<3)|0;C=e+1|0;F=u;I=1;while(1){J=i+(F<<3)|0;if((I|0)<(e|0)){K=I-1|0;h[y>>3]=+h[y>>3]+ +h[J>>3]*+h[m+(K<<3)>>3];L=K}else{L=I-1|0}K=o+(L<<3)|0;h[K>>3]=+h[J>>3]*+h[A>>3]+ +h[K>>3];K=I+1|0;if((K|0)>(e|0)){break}else{F=F+1|0;I=K}}I=e+u|0;c[2500070]=I;G=C;H=I}M=e+1|0;if((M|0)>(x|0)){break}else{e=M;u=H}}c[2500072]=G;c[2500060]=M}do{if((v|0)==0){h[170]=0.0;h[185]=0.0;u=c[b>>2]|0;c[2500072]=1;if((u|0)>=1){e=1;do{h[l+(e-1<<3)>>3]=0.0;x=e-1|0;h[p+(x<<3)>>3]=0.0;E=+h[g+(x<<3)>>3]+ +h[o+(x<<3)>>3];h[n+(x<<3)>>3]=E;h[m+(x<<3)>>3]=-0.0-E;h[185]=+h[185]+E*E;e=e+1|0;}while((e|0)<=(u|0));c[2500072]=e}h[q>>3]=0.0;E=+h[185];if(E==0.0){N=55;break a}h[180]=0.0;h[164]=0.0;h[179]=E;h[178]=E;O=0;P=+h[184];Q=0.0;R=0.0;S=E}else{if((v|0)>(w|0)){h[183]=0.0;h[182]=0.0;h[181]=0.0;u=c[b>>2]|0;c[2500072]=1;if((u|0)<1){T=0.0;U=0.0;V=0.0}else{C=1;E=0.0;t=0.0;B=0.0;do{x=C-1|0;E=E+ +h[m+(x<<3)>>3]*+h[n+(x<<3)>>3];h[183]=E;x=C-1|0;I=o+(x<<3)|0;t=t+ +h[I>>3]*+h[m+(x<<3)>>3];h[182]=t;B=B+ +h[I>>3]*+h[l+(x<<3)>>3];h[181]=B;C=C+1|0;}while((C|0)<=(u|0));c[2500072]=C;T=t;U=E;V=B}X=+h[176];_=X*(+h[165]-T);h[187]=_;$=+h[167];aa=$+_;h[173]=aa;h[169]=aa;h[172]=aa;c[2500068]=0;a[1400]=1;ba=+h[159]/50.0;h[162]=ba;c[2500072]=1;u=1;ca=aa;da=aa;e=0;while(1){ea=+(u|0)*ba;fa=+Y(ea);ha=+Z(ea);ia=fa*($+fa*_)+ha*(U+fa*V);do{if(ia<da){h[172]=ia;c[2500068]=u;h[161]=ca;ja=ia;ka=u}else{if((u|0)!=(e+1|0)){ja=da;ka=e;break}h[160]=ia;ja=da;ka=e}}while(0);x=u+1|0;if((x|0)<50){u=x;ca=ia;da=ja;e=ka}else{break}}h[189]=ea;h[186]=fa;h[163]=ha;h[171]=ia;c[2500072]=50;h[169]=ia;if((ka|0)==49){h[160]=aa;la=aa}else if((ka|0)==0){h[161]=ia;N=46}else{N=46}if((N|0)==46){N=0;la=+h[160]}h[189]=0.0;da=+h[161];if(da!=la){ca=da-ja;h[161]=ca;da=la-ja;h[160]=da;B=X*(ca-da)/(ca+da);h[189]=B;ma=B}else{ma=0.0}B=ba*(+(ka|0)+ma);h[189]=B;da=+Y(B);h[186]=da;ca=+Z(B);h[163]=ca;B=aa-da*($+da*_)-ca*(U+da*V);h[168]=B;h[179]=0.0;e=c[b>>2]|0;c[2500072]=1;if((e|0)<1){na=B;oa=0.0}else{u=0;C=1;B=da;da=ca;while(1){x=l+(u<<3)|0;h[x>>3]=B*+h[x>>3]+da*+h[m+(u<<3)>>3];x=C-1|0;I=p+(x<<3)|0;ca=+h[186]*+h[I>>3]+ +h[163]*+h[o+(x<<3)>>3];h[I>>3]=ca;E=+h[n+(x<<3)>>3]+ca;pa=+h[179]+E*E;h[179]=pa;qa=C+1|0;if((qa|0)>(e|0)){break}u=C;C=qa;B=+h[186];da=+h[163]}c[2500072]=qa;na=+h[168];oa=pa}da=na+ +h[170];h[170]=da;if((v|0)<(k|0)&na/da>.01){ra=w;sa=oa}else{N=55;break a}}else{h[182]=0.0;C=c[b>>2]|0;c[2500060]=1;do{if((C|0)<1){da=+h[188];h[190]=da;ta=0.0;ua=da;N=11}else{u=1;da=0.0;do{e=u-1|0;da=da+ +h[m+(e<<3)>>3]*+h[o+(e<<3)>>3];h[182]=da;u=u+1|0;}while((u|0)<=(C|0));c[2500060]=u;B=+h[188];h[190]=B;if(!(da>0.0)){ta=da;ua=B;N=11;break}B=da/+h[185];h[162]=B;if((v|0)==1){h[q>>3]=B;va=+h[162];wa=B}else{va=B;wa=+h[q>>3]}h[q>>3]=wa>va?va:wa;B=+h[190];_=+h[179];$=+h[182];aa=_/$;ba=B<=aa?B:aa;h[190]=ba;xa=ba;ya=$;za=_}}while(0);if((N|0)==11){N=0;xa=ua;ya=ta;za=+h[179]}_=xa*(za-xa*+h[176]*ya);h[174]=_;h[170]=+h[170]+_;h[177]=za;h[179]=0.0;C=c[b>>2]|0;c[2500072]=1;if((C|0)<1){Aa=xa;Ba=0.0}else{_=xa;e=1;do{x=e-1|0;I=l+(x<<3)|0;h[I>>3]=+h[I>>3]+_*+h[m+(x<<3)>>3];x=e-1|0;I=p+(x<<3)|0;$=+h[I>>3]+ +h[190]*+h[o+(x<<3)>>3];h[I>>3]=$;ba=+h[n+(x<<3)>>3]+$;Ca=+h[179]+ba*ba;h[179]=Ca;e=e+1|0;_=+h[190]}while((e|0)<=(C|0));c[2500072]=e;Aa=_;Ba=Ca}if(Aa<+h[188]){if(!(+h[174]>+h[170]*.01)){N=55;break a}if(Ba<=+h[178]*1.0e-4|(v|0)==(k|0)){N=55;break a}ba=Ba/+h[177];h[162]=ba;h[185]=0.0;h[180]=0.0;h[164]=0.0;C=c[b>>2]|0;c[2500072]=1;if((C|0)<1){N=55;break a}else{Da=0;Ea=1;Fa=ba}while(1){x=m+(Da<<3)|0;h[x>>3]=Fa*+h[x>>3]- +h[n+(Da<<3)>>3]- +h[p+(Da<<3)>>3];x=Ea-1|0;I=m+(x<<3)|0;ba=+h[I>>3];Ga=+h[185]+ba*ba;h[185]=Ga;F=l+(x<<3)|0;Ha=+h[180]+ +h[I>>3]*+h[F>>3];h[180]=Ha;ba=+h[F>>3];Ia=+h[164]+ba*ba;h[164]=Ia;Ja=Ea+1|0;if((Ja|0)>(C|0)){break}Da=Ea;Ea=Ja;Fa=+h[162]}c[2500072]=Ja;if(!(Ha>0.0)){N=55;break a}_=+h[184];if(Ia<_){O=v;P=_;Q=Ia;R=Ha;S=Ga;break}}h[q>>3]=0.0;c[2500062]=v;ra=v;sa=+h[179]}if(!(sa>+h[178]*1.0e-4)){N=55;break a}h[167]=0.0;h[165]=0.0;C=c[b>>2]|0;c[2500072]=1;if((C|0)<1){Ka=0.0;La=0.0}else{e=1;_=0.0;ba=0.0;do{F=e-1|0;_=_+ +h[l+(F<<3)>>3]*+h[n+(F<<3)>>3];h[167]=_;F=e-1|0;ba=ba+ +h[l+(F<<3)>>3]*+h[p+(F<<3)>>3];h[165]=ba;e=e+1|0;}while((e|0)<=(C|0));c[2500072]=e;Ka=_;La=ba}$=Ka+La;h[166]=$;aa=+h[184];B=sa*aa;if(!($/+W(B)>-.99)){N=55;break a}C=v+1|0;c[2500066]=C;X=+W(B-$*$);h[162]=X;B=aa/X;h[161]=B;aa=$/X;h[160]=aa;F=c[b>>2]|0;c[2500072]=1;if((F|0)<1){v=C;w=ra;continue a}else{Ma=0;Na=1;Oa=B;Pa=aa}while(1){h[m+(Ma<<3)>>3]=Oa*(+h[n+(Ma<<3)>>3]+ +h[p+(Ma<<3)>>3])-Pa*+h[l+(Ma<<3)>>3];Qa=Na+1|0;if((Qa|0)>(F|0)){break}Ma=Na;Na=Qa;Oa=+h[161];Pa=+h[160]}c[2500072]=Qa;v=C;w=ra;continue a}}while(0);F=O+1|0;c[2500066]=F;ba=P-Q;h[162]=ba;h[188]=ba/(R+ +W(R*R+ba*S));v=F;w=w}if((N|0)==55){return 0}return 0}function uV(b,d,e,f,g,i,j,k,l,m){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0,z=0,A=0.0,B=0.0,C=0,D=0,E=0,F=0,G=0.0,H=0,I=0.0,J=0.0,K=0,L=0,M=0,N=0,O=0.0,P=0.0,Q=0.0,R=0,S=0,T=0;n=c[d>>2]|0;o=~n;p=c[i>>2]|0;i=~p;h[155]=1.0;q=n-(c[b>>2]|0)-1|0;c[2500044]=q;c[2500048]=1;c[2500054]=2;if((q|0)<2){r=1}else{s=2;t=1;while(1){do{if((s|0)==(c[g>>2]|0)){c[2500048]=s;u=s}else{v=c[l>>2]|0;w=ga(s,n)|0;x=+h[f+(w+o+v<<3)>>3];if(!(x!=0.0)){u=t;break}y=ga(t,n)|0;z=v+o|0;v=f+(z+y<<3)|0;A=+h[v>>3];B=+W(x*x+A*A);h[150]=B;A=+h[v>>3]/B;h[149]=A;x=+h[f+(z+w<<3)>>3]/B;h[148]=x;z=c[d>>2]|0;c[2500056]=1;if((z|0)>=1){v=1;B=A;A=x;while(1){C=v+o|0;h[150]=B*+h[f+(C+y<<3)>>3]+A*+h[f+(C+w<<3)>>3];C=v+o|0;D=f+(C+w<<3)|0;E=f+(C+y<<3)|0;h[D>>3]=B*+h[D>>3]-A*+h[E>>3];h[E>>3]=+h[150];F=v+1|0;if((F|0)>(z|0)){break}v=F;B=+h[149];A=+h[148]}c[2500056]=F}h[f+((c[l>>2]|0)+o+w<<3)>>3]=0.0;u=t}}while(0);v=s+1|0;c[2500054]=v;if((v|0)>(q|0)){r=u;break}else{s=v;t=u}}}u=c[l>>2]|0;A=+h[f+(u-1<<3)>>3];h[149]=A;if((c[g>>2]|0)>1){B=-0.0-A;h[149]=B;G=B}else{G=A}t=(r|0)>1;if(t){h[148]=+h[f+((ga(r,n)|0)+o+u<<3)>>3]}u=c[d>>2]|0;c[2500056]=1;if((u|0)>=1){s=(ga(r,n)|0)+o|0;q=0;F=1;A=G;while(1){h[m+(q<<3)>>3]=A*+h[f+(q<<3)>>3];if(t){v=m+(F-1<<3)|0;h[v>>3]=+h[v>>3]+ +h[148]*+h[f+(s+F<<3)>>3]}H=F+1|0;if((H|0)>(u|0)){break}q=F;F=H;A=+h[149]}c[2500056]=H}H=(c[l>>2]|0)-1|0;A=+h[m+(H<<3)>>3];h[158]=A;F=j+(H<<3)|0;G=+h[F>>3];h[152]=G;B=G*G;h[151]=B;h[157]=B+A*+h[k>>3];h[F>>3]=+h[F>>3]- +h[155];a[1248]=0;do{if((r|0)==1){A=+h[157];if(A<0.0){I=-0.0-A}else{I=A}A=+W(I);h[150]=A;B=+h[149]/A;h[148]=B;G=+h[152]/A;h[149]=G;F=c[d>>2]|0;c[2500056]=1;if((F|0)<1){J=A}else{H=0;q=1;A=G;G=B;while(1){u=f+(H<<3)|0;h[u>>3]=A*+h[u>>3]-G*+h[j+(H<<3)>>3];K=q+1|0;if((K|0)>(F|0)){break}H=q;q=K;A=+h[149];G=+h[148]}c[2500056]=K;J=+h[150]}q=c[g>>2]|0;if((q|0)==1&J<0.0){c[g>>2]=2;L=2}else{L=q}if((L|0)<2|J<0.0){break}M=48}else{c[2500052]=1;if(+h[k>>3]<0.0){N=1}else{c[2500052]=r;N=r}q=r+1-N|0;c[2500050]=q;H=ga(q,n)|0;q=(c[l>>2]|0)+o|0;G=+h[157];A=+h[f+(q+H<<3)>>3]/G;h[150]=A;h[149]=A*+h[k>>3];B=+h[152];h[148]=A*B;F=ga(N,n)|0;A=+h[f+(q+F<<3)>>3];h[150]=A;x=+h[k>>3];if(x<0.0){O=-0.0-x}else{O=x}x=+h[155]/+W(+h[151]+A*O*A);h[154]=x;if(G<0.0){P=-0.0-G}else{P=G}h[153]=x*+W(P);q=c[d>>2]|0;c[2500056]=1;if((q|0)<1){Q=G}else{u=1;G=x;x=B;B=A;while(1){s=f+(u+o+F<<3)|0;h[s>>3]=G*(x*+h[s>>3]-B*+h[j+(u-1<<3)>>3]);s=f+(u+o+H<<3)|0;t=u-1|0;h[s>>3]=+h[153]*(+h[s>>3]- +h[149]*+h[m+(t<<3)>>3]- +h[148]*+h[j+(t<<3)>>3]);R=u+1|0;if((R|0)>(q|0)){break}u=R;G=+h[154];x=+h[152];B=+h[150]}c[2500056]=R;Q=+h[157]}if(Q>0.0){break}B=+h[k>>3];if(B<0.0){c[g>>2]=(c[g>>2]|0)+1}if(B<0.0){break}M=48}}while(0);do{if((M|0)==48){a[1248]=1;c[g>>2]=(c[g>>2]|0)-1;R=c[d>>2]|0;c[2500056]=1;if((R|0)<1){break}else{S=1}do{N=f+(S-1<<3)|0;h[150]=+h[N>>3];r=f+(S+o+(ga(c[g>>2]|0,n)|0)<<3)|0;h[N>>3]=+h[r>>3];h[r>>3]=+h[150];S=S+1|0;c[2500056]=S;}while((S|0)<=(R|0))}}while(0);S=c[b>>2]|0;c[2500054]=1;if((S|0)<1){return 0}else{T=1}do{b=(c[d>>2]|0)+T|0;c[2500046]=b;n=ga(T,p)|0;Q=+h[e+((c[l>>2]|0)+i+n<<3)>>3];g=b-1|0;o=m+(g<<3)|0;h[o>>3]=Q;f=j+(g<<3)|0;P=+h[152];O=+h[157];J=(+h[158]*+h[f>>3]-P*Q)/O;h[149]=J;Q=(+h[o>>3]*(-0.0- +h[k>>3])-P*+h[f>>3])/O;h[148]=Q;c[2500056]=1;a:do{if((b|0)>=1){f=1;O=J;P=Q;while(1){o=e+(f+i+n<<3)|0;g=f-1|0;I=+h[o>>3]+O*+h[j+(g<<3)>>3]+P*+h[m+(g<<3)>>3];h[o>>3]=I;o=c[d>>2]|0;if((f|0)>(o|0)){h[e+((ga(f-o|0,p)|0)+i+b<<3)>>3]=I}o=f+1|0;c[2500056]=o;if((o|0)>(b|0)){break a}f=o;O=+h[149];P=+h[148]}}}while(0);T=T+1|0;c[2500054]=T;}while((T|0)<=(S|0));return 0}function vV(a,b,d,e,f,g,i,j,k){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0.0,q=0,r=0,s=0,t=0,u=0.0,v=0.0,w=0,x=0,y=0,z=0.0,A=0,B=0,C=0.0,D=0,E=0,F=0.0,G=0;if((b|0)<(d|0)){l=(b|0)<(e|0);m=b;n=-1;o=-1;p=0.0;while(1){if(l){q=c[f+(m<<2)>>2]|0;r=b;s=n;t=o;u=p;while(1){v=+V(+(+h[a+((ga(c[g+(r<<2)>>2]|0,d)|0)+q<<3)>>3]));w=v>u;x=w?m:s;y=w?r:t;z=w?v:u;w=r+1|0;if((w|0)<(e|0)){r=w;s=x;t=y;u=z}else{A=x;B=y;C=z;break}}}else{A=n;B=o;C=p}t=m+1|0;if((t|0)<(d|0)){m=t;n=A;o=B;p=C}else{D=A;E=B;F=C;break}}}else{D=-1;E=-1;F=0.0}if((E|D|0)<0){G=-1;return G|0}c[i>>2]=D;c[j>>2]=E;h[k>>3]=F;G=0;return G|0}function wV(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0.0,s=0,t=0.0,u=0,v=0,w=0,x=0,y=0,z=0.0,A=0,B=0,C=0;g=i;i=i+24|0;j=g|0;k=g+8|0;l=g+16|0;m=(b|0)<=(d|0)?b:d;if((m|0)>0){n=0}else{o=0;i=g;return o|0}while(1){p=e+(n<<2)|0;q=f+(n<<2)|0;r=+h[a+((ga(c[q>>2]|0,b)|0)+(c[p>>2]|0)<<3)>>3];if((vV(a,n,b,d,e,f,j,k,l)|0)!=0){o=-1;s=14;break}t=+V(+r);if(+h[l>>3]>t*1.125){u=c[p>>2]|0;v=e+(c[j>>2]<<2)|0;c[p>>2]=c[v>>2];c[v>>2]=u;u=c[q>>2]|0;v=f+(c[k>>2]<<2)|0;c[q>>2]=c[v>>2];c[v>>2]=u}u=c[p>>2]|0;p=ga(c[q>>2]|0,b)|0;t=+h[a+(p+u<<3)>>3];if(!(t!=0.0)){s=7;break}q=n+1|0;if((q|0)<(b|0)){v=(q|0)<(d|0);w=q;do{x=c[e+(w<<2)>>2]|0;y=a+(p+x<<3)|0;r=+h[y>>3];do{if(r!=0.0){z=(-0.0-r)/t;h[y>>3]=0.0;if(v){A=q}else{break}do{B=ga(c[f+(A<<2)>>2]|0,b)|0;C=a+(B+x<<3)|0;h[C>>3]=+h[C>>3]+z*+h[a+(u+B<<3)>>3];A=A+1|0;}while((A|0)<(d|0))}}while(0);w=w+1|0;}while((w|0)<(b|0))}if((q|0)<(m|0)){n=q}else{o=0;s=14;break}}if((s|0)==7){od(24688,9960232,116,9984472);return 0}else if((s|0)==14){i=g;return o|0}return 0}function xV(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;f=i;g=e|0;c[g>>2]=0;j=b+280|0;k=1;while(1){if((k|0)>=8){break}if((Lla(c[j>>2]|0,c[18200+(k<<2)>>2]|0)|0)==0){l=4;break}else{k=k+1|0}}do{if((l|0)==4){c[g>>2]=k;if((k|0)==0){break}m=c[18168+(k<<2)>>2]|0;XS(23,0,47824,(n=i,i=i+16|0,c[n>>2]=c[18200+(k<<2)>>2],c[n+8>>2]=m,n)|0);i=n;m=b+112|0;o=e+28|0;c[o>>2]=(c[m>>2]|0)+20;p=c[m>>2]|0;q=b+160|0;r=((c[q>>2]|0)*3|0)+50+(ga(p+9|0,p)|0)|0;c[e+32>>2]=r;p=nla(r,8)|0;c[e+40>>2]=p;r=b+536|0;_S(c[r>>2]|0,(p|0)!=0|0,41888,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;p=nla(c[o>>2]|0,4)|0;c[e+36>>2]=p;_S(c[r>>2]|0,(p|0)!=0|0,41888,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;c[e+56>>2]=c[q>>2];c[e+52>>2]=0;c[e+60>>2]=nla(c[q>>2]|0,4)|0;c[e+24>>2]=lla(8)|0;q=lla(4)|0;p=q;c[e+20>>2]=p;c[p>>2]=c[2500030];_S(c[r>>2]|0,(q|0)!=0|0,41888,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;q=c[m>>2]<<3;p=e+48|0;c[p>>2]=lla(q)|0;o=e+44|0;c[o>>2]=lla(q)|0;q=nla(15,4)|0;s=e+12|0;c[s>>2]=q;_S(c[r>>2]|0,(q|0)!=0|0,41888,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;q=nla(5,4)|0;c[e+4>>2]=q;_S(c[r>>2]|0,(q|0)!=0|0,41888,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;q=nla(5,4)|0;c[e+8>>2]=q;_S(c[r>>2]|0,(q|0)!=0|0,41888,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;c[e+16>>2]=0;h[e+64>>3]=1.4901161193847656e-8;q=c[m>>2]<<3;c[e+72>>2]=lla(q)|0;c[e+76>>2]=lla(q)|0;c[e+80>>2]=lla(q)|0;q=c[s>>2]|0;c[q+8>>2]=1;r=c[g>>2]|0;a:do{switch(r|0){case 3:case 5:case 4:case 2:case 1:case 7:{if((ce[c[(c[b+540>>2]|0)+140>>2]&255](b)|0)==0){t=c[s>>2]|0;c[t+16>>2]=1;u=c[g>>2]|0;v=t;l=17;break a}if((c[m>>2]|0)==1){XS(23,0,37064,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n}else{XS(1,0,32304,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n}c[g>>2]=6;l=18;break};default:{u=r;v=q;l=17}}}while(0);if((l|0)==17){if((u|0)==2){w=v}else{l=18}}if((l|0)==18){a[d+28|0]=1;w=c[s>>2]|0}c[w+4>>2]=1;q=c[m>>2]|0;if((q|0)<=0){i=f;return 0}r=b+272|0;t=c[o>>2]|0;x=c[b+8>>2]|0;y=c[p>>2]|0;z=0;do{h[t+(z<<3)>>3]=+h[r>>3];h[y+(z<<3)>>3]=+h[r>>3]*+h[x+(z*112|0)+80>>3];z=z+1|0;}while((z|0)<(q|0));i=f;return 0}}while(0);if((c[2500039]|c[2500100]|0)==0){A=b+536|0;B=c[A>>2]|0;C=c[j>>2]|0;$S(B,9939456,(n=i,i=i+8|0,c[n>>2]=C,n)|0);i=n;return 0}ZS(23,1,24632,(n=i,i=i+8|0,c[n>>2]=c[j>>2],n)|0);i=n;f=1;do{w=c[18168+(f<<2)>>2]|0;ZS(23,0,9960216,(n=i,i=i+16|0,c[n>>2]=c[18200+(f<<2)>>2],c[n+8>>2]=w,n)|0);i=n;f=f+1|0;}while((f|0)<8);$d[c[3540]&511](23);A=b+536|0;B=c[A>>2]|0;C=c[j>>2]|0;$S(B,9939456,(n=i,i=i+8|0,c[n>>2]=C,n)|0);i=n;return 0}function yV(a){a=a|0;mla(c[a+40>>2]|0);mla(c[a+36>>2]|0);mla(c[a+20>>2]|0);mla(c[a+12>>2]|0);mla(c[a+4>>2]|0);mla(c[a+8>>2]|0);mla(a);return 0}function zV(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,v=0,w=0.0,x=0,y=0.0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0.0;e=i;i=i+8|0;f=e|0;h[f>>3]=0.0;g=b+4|0;j=c[g>>2]|0;k=c[j>>2]|0;l=c[d+48>>2]|0;m=(c[j+4>>2]|0)+8|0;j=c[m>>2]|0;n=b+112|0;o=c[n>>2]|0;p=j+(o<<3)|0;q=l+24|0;c[c[q>>2]>>2]=b;c[(c[q>>2]|0)+4>>2]=l;s=b+536|0;_S(c[s>>2]|0,(c[q>>2]|0)!=0|0,28272,(t=i,i=i+1|0,i=i+7&-8,c[t>>2]=0,t)|0);i=t;if((c[d+36>>2]|0)!=0){c[c[l+12>>2]>>2]=0;c[l+16>>2]=0}v=d|0;w=+h[v>>3];x=d+8|0;y=w+ +h[x>>3];h[f>>3]=y;if(!(w-y<-1.0e-13)){XS(3,0,21400,(t=i,i=i+1|0,i=i+7&-8,c[t>>2]=0,t)|0);i=t;XS(3,0,9980848,(t=i,i=i+1|0,i=i+7&-8,c[t>>2]=0,t)|0);i=t;z=c[n>>2]|0;if((z|0)>0){A=c[m>>2]|0;m=c[k+8>>2]|0;B=0;do{h[m+(B<<3)>>3]=+h[A+(B<<3)>>3]+ +h[j+(B+o<<3)>>3]*+h[x>>3];B=B+1|0;}while((B|0)<(z|0))}h[k>>3]=+h[f>>3];ce[c[(c[b+540>>2]|0)+28>>2]&255](b)|0;h[v>>3]=+h[f>>3];C=0;i=e;return C|0}XS(3,0,9977056,(t=i,i=i+16|0,h[t>>3]=w,h[t+8>>3]=y,t)|0);i=t;z=l+16|0;B=b|0;x=d+24|0;d=l;o=l+12|0;j=l+44|0;A=l+48|0;m=l+40|0;D=l+32|0;E=l+36|0;F=l+28|0;G=l+20|0;H=l+52|0;I=l+56|0;J=l+60|0;K=c[u>>2]|0;L=c[r>>2]|0;M=b+248|0;N=b+440|0;O=b+540|0;P=p;p=k;w=y;a:while(1){XS(23,0,9974064,(t=i,i=i+16|0,h[t>>3]=+h[v>>3],h[t+8>>3]=w,t)|0);i=t;if((c[z>>2]|0)==1){vU(c[B>>2]|0,1,c[g>>2]|0);k=c[g>>2]|0;Q=c[k>>2]|0;R=(c[(c[k+4>>2]|0)+8>>2]|0)+(c[n>>2]<<3)|0;h[Q>>3]=+h[v>>3];S=R;T=Q}else{S=P;T=p}if((c[x>>2]|0)!=5){if((a[N]|0)!=0){iX(b)|0}ce[c[(c[O>>2]|0)+40>>2]&255](b)|0}Q=c[d>>2]|0;b:do{switch(Q|0){case 7:{QU(4,n,v,c[T+8>>2]|0,S,f,c[o>>2]|0,c[j>>2]|0,c[A>>2]|0,z,c[m>>2]|0,D,c[E>>2]|0,F,c[q>>2]|0,c[G>>2]|0,4,8,H,0);break};case 6:{QU(4,n,v,c[T+8>>2]|0,S,f,c[o>>2]|0,c[j>>2]|0,c[A>>2]|0,z,c[m>>2]|0,D,c[E>>2]|0,F,c[q>>2]|0,c[G>>2]|0,14,6,I,c[J>>2]|0);break};case 4:{QU(4,n,v,c[T+8>>2]|0,S,f,c[o>>2]|0,c[j>>2]|0,c[A>>2]|0,z,c[m>>2]|0,D,c[E>>2]|0,F,c[q>>2]|0,c[G>>2]|0,10,6,I,c[J>>2]|0);break};case 3:{QU(4,n,v,c[T+8>>2]|0,S,f,c[o>>2]|0,c[j>>2]|0,c[A>>2]|0,z,c[m>>2]|0,D,c[E>>2]|0,F,c[q>>2]|0,c[G>>2]|0,8,6,I,c[J>>2]|0);break};case 5:{QU(4,n,v,c[T+8>>2]|0,S,f,c[o>>2]|0,c[j>>2]|0,c[A>>2]|0,z,c[m>>2]|0,D,c[E>>2]|0,F,c[q>>2]|0,c[G>>2]|0,12,6,I,c[J>>2]|0);break};default:{R=c[T+8>>2]|0;k=c[o>>2]|0;U=c[j>>2]|0;V=c[A>>2]|0;W=c[m>>2]|0;X=c[E>>2]|0;Y=c[q>>2]|0;Z=c[G>>2]|0;if((Q|0)==2){QU(4,n,v,R,S,f,k,U,V,z,W,D,X,F,Y,Z,4,8,H,0);break b}else{QU(4,n,v,R,S,f,k,U,V,z,W,D,X,F,Y,Z,4,6,I,c[J>>2]|0);break b}}}}while(0);Q=c[z>>2]|0;do{if((Q|0)==-1){Ta(K|0)|0;Ta(L|0)|0;ZS(3,0,9971216,(t=i,i=i+1|0,i=i+7&-8,c[t>>2]=0,t)|0);i=t;XS(3,0,9969256,(t=i,i=i+1|0,i=i+7&-8,c[t>>2]=0,t)|0);i=t;c[c[o>>2]>>2]=1}else{if((Q|0)<0){_=27;break a}if((Q|0)!=4){break}c[(c[s>>2]|0)+84>>2]=4}}while(0);Q=c[z>>2]|0;if((Q|0)==(-1|0)){y=+h[v>>3];if(y>+h[M>>3]){$=y;break}}else if((Q|0)!=1){_=31;break}P=S;p=T;w=+h[f>>3]}if((_|0)==27){Ta(K|0)|0;Ta(L|0)|0;L=IV(c[z>>2]|0)|0;ce[c[(c[O>>2]|0)+28>>2]&255](b)|0;ZS(1,0,9966912,(t=i,i=i+8|0,h[t>>3]=+h[T>>3],t)|0);i=t;C=L;i=e;return C|0}else if((_|0)==31){$=+h[v>>3]}h[T>>3]=$;if((c[2500019]|0)!=0){XS(3,1,9964904,(t=i,i=i+1|0,i=i+7&-8,c[t>>2]=0,t)|0);i=t;XS(3,0,9962640,(t=i,i=i+8|0,c[t>>2]=c[z>>2],t)|0);i=t;XS(3,0,9960576,(t=i,i=i+8|0,h[t>>3]=+h[v>>3],t)|0);i=t;XS(3,0,9958568,(t=i,i=i+8|0,h[t>>3]=+h[(c[m>>2]|0)+24>>3],t)|0);i=t;XS(3,0,9956416,(t=i,i=i+8|0,h[t>>3]=+h[(c[m>>2]|0)+16>>3],t)|0);i=t;XS(3,0,9953768,(t=i,i=i+8|0,h[t>>3]=+h[(c[m>>2]|0)+48>>3],t)|0);i=t;XS(3,0,9951888,(t=i,i=i+8|0,c[t>>2]=c[(c[E>>2]|0)+40>>2],t)|0);i=t;XS(3,0,9950064,(t=i,i=i+8|0,c[t>>2]=c[(c[E>>2]|0)+44>>2],t)|0);i=t;XS(3,0,9947984,(t=i,i=i+8|0,c[t>>2]=c[(c[E>>2]|0)+48>>2],t)|0);i=t;XS(3,0,9945768,(t=i,i=i+8|0,c[t>>2]=c[(c[E>>2]|0)+52>>2],t)|0);i=t;XS(3,0,9943568,(t=i,i=i+8|0,c[t>>2]=c[(c[E>>2]|0)+56>>2],t)|0);i=t;$d[c[3540]&511](3)}m=c[F>>2]|0;F=l+8|0;l=0;do{v=l+10|0;if(!(v>>>0<m>>>0)){_=38;break}c[(c[F>>2]|0)+(l<<2)>>2]=c[(c[E>>2]|0)+(v<<2)>>2];l=l+1|0;}while(l>>>0<5>>>0);if((_|0)==38){od(9941576,9939824,406,9984608);return 0}XS(3,0,9937832,(t=i,i=i+1|0,i=i+7&-8,c[t>>2]=0,t)|0);i=t;C=0;i=e;return C|0}function AV(a,b,d,e,f,g,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;var j=0,k=0.0,l=0,m=0,n=0,o=0,p=0;i=c[g>>2]|0;g=i;f=i+536|0;b=g+4|0;j=c[c[b>>2]>>2]|0;k=+h[j>>3];h[j>>3]=+h[a>>3];a=(c[f>>2]|0)+84|0;j=c[a>>2]|0;c[a>>2]=2;ce[c[(c[g+540>>2]|0)+28>>2]&255](g)|0;g=c[i+112>>2]|0;if((g|0)<=0){l=c[f>>2]|0;m=l+84|0;c[m>>2]=j;n=c[b>>2]|0;o=c[n>>2]|0;p=o|0;h[p>>3]=k;return 0}i=c[(c[c[b>>2]>>2]|0)+8>>2]|0;a=0;do{h[e+(a<<3)>>3]=+h[i+(g+a<<3)>>3]- +h[d+(a<<3)>>3];a=a+1|0;}while((a|0)<(g|0));l=c[f>>2]|0;m=l+84|0;c[m>>2]=j;n=c[b>>2]|0;o=c[n>>2]|0;p=o|0;h[p>>3]=k;return 0}function BV(a,b,d,e,f,g,i,j,k,l){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0.0;l=c[k>>2]|0;k=l;j=k+4|0;i=c[c[j>>2]>>2]|0;e=i+8|0;d=c[e>>2]|0;m=i|0;n=+h[m>>3];h[m>>3]=+h[a>>3];c[e>>2]=b;ce[c[(c[k+540>>2]|0)+28>>2]&255](k)|0;KV(k,f)|0;k=c[l+112>>2]|0;if((k|0)>0){l=0;b=0;while(1){e=f+(b<<3)|0;h[e>>3]=+h[e>>3]- +h[g>>3];e=l+1|0;if((e|0)<(k|0)){l=e;b=b+1+k|0}else{break}}}c[(c[c[j>>2]>>2]|0)+8>>2]=d;h[c[c[j>>2]>>2]>>3]=n;return 0}function CV(a,b,d,e,f,g,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;var j=0.0;i=c[g>>2]|0;g=i;e=i+536|0;i=(c[e>>2]|0)+84|0;d=c[i>>2]|0;c[i>>2]=4;i=g+4|0;a=c[c[i>>2]>>2]|0;j=+h[a>>3];h[a>>3]=+h[b>>3];a=g+540|0;ce[c[(c[a>>2]|0)+28>>2]&255](g)|0;ce[c[(c[a>>2]|0)+32>>2]&255](g)|0;ee[c[(c[a>>2]|0)+92>>2]&127](g,f,b)|0;c[(c[e>>2]|0)+84>>2]=d;h[c[c[i>>2]>>2]>>3]=j;return 0}function DV(a,b,d,e,f,g,i,j,k,l){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0;l=c[k>>2]|0;LV(l,a,b,d,e,f,0,i,j,k,0)|0;k=c[l+112>>2]|0;if((k|0)>0){m=0;n=0}else{return 0}while(1){l=f+(m<<3)|0;h[l>>3]=+h[l>>3]- +h[g>>3];l=n+1|0;if((l|0)<(k|0)){m=m+1+k|0;n=l}else{break}}return 0}function EV(a,b,d,e,f,g,i,j,k,l){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0.0;l=c[k>>2]|0;k=l;j=k+4|0;i=c[c[j>>2]>>2]|0;e=i+8|0;d=c[e>>2]|0;m=i|0;n=+h[m>>3];h[m>>3]=+h[a>>3];c[e>>2]=b;ce[c[(c[k+540>>2]|0)+28>>2]&255](k)|0;JV(k,f)|0;k=c[l+112>>2]|0;if((k|0)>0){l=0;b=0;while(1){e=f+(b<<3)|0;h[e>>3]=+h[e>>3]- +h[g>>3];e=l+1|0;if((e|0)<(k|0)){l=e;b=b+1+k|0}else{break}}}c[(c[c[j>>2]>>2]|0)+8>>2]=d;h[c[c[j>>2]>>2]>>3]=n;return 0}function FV(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;return 0}function GV(a,b,d,e,f,g,i,j,k,l){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0;l=c[k>>2]|0;MV(l,a,b,d,e,f,0,i,j,k,0)|0;k=c[l+112>>2]|0;if((k|0)>0){m=0;n=0}else{return 0}while(1){l=f+(n<<3)|0;h[l>>3]=+h[l>>3]- +h[g>>3];l=m+1|0;if((l|0)<(k|0)){m=l;n=n+1+k|0}else{break}}return 0}function HV(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;return 0}function IV(a){a=a|0;var b=0,d=0,e=0;b=i;switch(a|0){case-10:{ZS(1,0,49104,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=-10;break};case-33:{ZS(1,0,47256,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=-33;break};case-12:{ZS(1,0,47864,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=-12;break};case-7:{ZS(1,0,53080,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=-7;break};case-9:{ZS(1,0,49728,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=-9;break};case-11:{ZS(1,0,48448,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=-11;break};case-6:{ZS(1,0,55176,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=-6;break};case-3:{e=-3;break};case-1:{ZS(3,0,9971216,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=1;break};case-8:{ZS(1,0,50480,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=-8;break};case-2:{ZS(1,0,8089296,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=-2;break};default:{e=-1}}i=b;return e|0}function JV(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;d=a+540|0;e=c[(c[d>>2]|0)+120>>2]|0;f=a+464|0;g=c[f>>2]|0;if((c[g+(e*44|0)+24>>2]|0)==0){return 0}i=a;a=0;j=g;k=c[g+(e*44|0)>>2]|0;do{if((k|0)!=0){g=0;do{if(((c[(c[j+(e*44|0)+20>>2]|0)+(g<<2)>>2]|0)-1|0)==(a|0)){h[(c[j+(e*44|0)+28>>2]|0)+(g<<3)>>3]=1.0}g=g+1|0;}while(g>>>0<k>>>0)}ce[c[(c[d>>2]|0)+160>>2]&255](i)|0;j=c[f>>2]|0;k=c[j+(e*44|0)>>2]|0;do{if((k|0)!=0){g=c[j+(e*44|0)+28>>2]|0;l=0;do{do{if(+h[g+(l<<3)>>3]==1.0){if((l|0)==0){m=0;n=j+(e*44|0)+8|0}else{o=j+(e*44|0)+8|0;m=c[(c[o>>2]|0)+(l-1<<2)>>2]|0;n=o}o=c[(c[n>>2]|0)+(l<<2)>>2]|0;if(!(m>>>0<o>>>0)){break}p=c[j+(e*44|0)+12>>2]|0;q=c[j+(e*44|0)+4>>2]|0;r=c[j+(e*44|0)+36>>2]|0;s=m;do{t=c[p+(s<<2)>>2]|0;u=(ga(q,l)|0)+t|0;h[b+(u<<3)>>3]=+h[r+(t<<3)>>3];s=s+1|0;}while(s>>>0<o>>>0)}}while(0);l=l+1|0;}while(l>>>0<k>>>0);if((k|0)==0){break}l=c[j+(e*44|0)+20>>2]|0;g=0;do{if(((c[l+(g<<2)>>2]|0)-1|0)==(a|0)){h[(c[j+(e*44|0)+28>>2]|0)+(g<<3)>>3]=0.0}g=g+1|0;}while(g>>>0<k>>>0)}}while(0);a=a+1|0;}while(a>>>0<(c[j+(e*44|0)+24>>2]|0)>>>0);return 0}function KV(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;d=a+540|0;e=c[d>>2]|0;f=c[e+120>>2]|0;g=a+464|0;i=c[g>>2]|0;if((c[i+(f*44|0)>>2]|0)==0){return 0}j=a;a=0;k=0;l=c[i+(f*44|0)+28>>2]|0;i=e;while(1){h[l+(a<<3)>>3]=1.0;ce[c[i+160>>2]&255](j)|0;e=c[g>>2]|0;m=c[e+(f*44|0)+4>>2]|0;if((m|0)==0){n=k}else{o=m>>>0>1>>>0?m:1;p=c[e+(f*44|0)+36>>2]|0;q=0;r=k;while(1){h[b+(r<<3)>>3]=+h[p+(q<<3)>>3];s=q+1|0;if(s>>>0<m>>>0){q=s;r=r+1|0}else{break}}n=k+o|0}r=c[e+(f*44|0)+28>>2]|0;h[r+(a<<3)>>3]=0.0;q=a+1|0;if(!(q>>>0<(c[e+(f*44|0)>>2]|0)>>>0)){break}a=q;k=n;l=r;i=c[d>>2]|0}return 0}function LV(a,b,d,e,f,g,i,j,k,l,m){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0.0,o=0,p=0.0,q=0.0,r=0.0,s=0,t=0.0,u=0.0,v=0.0,w=0.0,x=0,y=0,z=0;m=c[l+4>>2]|0;n=+h[m+64>>3];i=a+112|0;a=c[i>>2]|0;if((a|0)<=0){return 0}o=m+80|0;m=a;do{m=m-1|0;p=+h[j>>3]*+h[e+(m<<3)>>3];a=d+(m<<3)|0;q=+h[a>>3];if(q<0.0){r=-0.0-q}else{r=q}s=p>=0.0;if(s){t=p}else{t=-0.0-p}p=+_b(+r,+t);u=+h[k+(m<<3)>>3];if(u<0.0){v=-0.0-u}else{v=u}u=n*+_b(+p,+v);if(s){w=u}else{w=-0.0-u}u=w+q-q;p=1.0/u;h[a>>3]=q+u;AV(b,0,e,c[o>>2]|0,0,l,0)|0;s=c[i>>2]|0;if((s|0)>0){x=c[o>>2]|0;y=ga(s,m)|0;z=s;do{z=z-1|0;h[g+(y+z<<3)>>3]=p*(+h[x+(z<<3)>>3]- +h[f+(z<<3)>>3]);}while((z|0)>0)}h[a>>3]=q;}while((m|0)>0);return 0}function MV(a,b,d,e,f,g,i,j,k,l,m){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0.0,o=0,p=0,q=0,r=0,s=0,t=0,u=0.0,v=0,w=0.0,x=0.0,y=0,z=0.0,A=0.0,B=0,C=0.0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;m=c[(c[a+540>>2]|0)+120>>2]|0;i=c[l+4>>2]|0;n=+h[i+64>>3];o=c[i+76>>2]|0;p=c[i+72>>2]|0;q=a+464|0;a=c[q>>2]|0;if((c[a+(m*44|0)+24>>2]|0)==0){return 0}r=i+80|0;i=0;s=a;t=c[a+(m*44|0)>>2]|0;do{if((t|0)!=0){a=0;do{if(((c[(c[s+(m*44|0)+20>>2]|0)+(a<<2)>>2]|0)-1|0)==(i|0)){u=+h[j>>3]*+h[e+(a<<3)>>3];v=d+(a<<3)|0;w=+h[v>>3];if(w<0.0){x=-0.0-w}else{x=w}y=u>=0.0;if(y){z=u}else{z=-0.0-u}u=+_b(+x,+z);w=+h[k+(a<<3)>>3];if(w<0.0){A=-0.0-w}else{A=w}w=n*+_b(+u,+A);B=o+(a<<3)|0;h[B>>3]=w;if(y){C=w}else{C=-0.0-w}h[B>>3]=C;w=+h[v>>3];h[B>>3]=C+w-w;h[p+(a<<3)>>3]=+h[v>>3];h[v>>3]=+h[B>>3]+ +h[v>>3];h[B>>3]=1.0/+h[B>>3]}a=a+1|0;}while(a>>>0<t>>>0)}AV(b,0,e,c[r>>2]|0,0,l,0)|0;s=c[q>>2]|0;t=c[s+(m*44|0)>>2]|0;if((t|0)!=0){a=c[s+(m*44|0)+20>>2]|0;B=0;do{if(((c[a+(B<<2)>>2]|0)-1|0)==(i|0)){if((B|0)==0){D=0;E=s+(m*44|0)+8|0}else{v=s+(m*44|0)+8|0;D=c[(c[v>>2]|0)+(B-1<<2)>>2]|0;E=v}v=c[(c[E>>2]|0)+(B<<2)>>2]|0;if(D>>>0<v>>>0){y=c[r>>2]|0;F=o+(B<<3)|0;G=c[s+(m*44|0)+12>>2]|0;H=c[s+(m*44|0)+4>>2]|0;I=D;do{J=c[G+(I<<2)>>2]|0;K=(ga(H,B)|0)+J|0;h[g+(K<<3)>>3]=(+h[y+(J<<3)>>3]- +h[f+(J<<3)>>3])*+h[F>>3];I=I+1|0;}while(I>>>0<v>>>0)}h[d+(B<<3)>>3]=+h[p+(B<<3)>>3]}B=B+1|0;}while(B>>>0<t>>>0)}i=i+1|0;}while(i>>>0<(c[s+(m*44|0)+24>>2]|0)>>>0);return 0}function NV(a,b){a=a|0;b=+b;h[a+496>>3]=b;return}function OV(a,b,d){a=a|0;b=+b;d=+d;var e=0,f=0,g=0,i=0,j=0.0,k=0.0,l=0.0,m=0;$d[c[(c[a+540>>2]|0)+112>>2]&511](a);e=a+328|0;h[e>>3]=d+1.0;f=c[a+104>>2]|0;if((f|0)<=0){return}g=c[a+108>>2]|0;i=a+336|0;a=0;do{d=+h[g+(a*24|0)+8>>3];if(d>b){h[(c[i>>2]|0)+(a<<3)>>3]=d;j=d}else{k=+h[g+(a*24|0)+16>>3];l=d+k*+fa((b-d)/k);h[(c[i>>2]|0)+(a<<3)>>3]=l;j=l}if((a|0)==0){m=8}else{if(j<+h[e>>3]){m=8}}if((m|0)==8){m=0;h[e>>3]=j}a=a+1|0;}while((a|0)<(f|0));return}function PV(b,c){b=b|0;c=c|0;var d=0.0,e=0,f=0.0;d=+h[c>>3];e=c+8|0;f=+h[b+328>>3];if(f>d+ +h[e>>3]+1.0e-14){return}h[e>>3]=f-d;a[b+317|0]=1;return}function QV(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0;d=i;i=i+8|0;e=d|0;f=a+160|0;if((c[f>>2]|0)<=0){g=rT(b)|0;j=(g|0)>0;k=j&1;i=d;return k|0}l=a+540|0;m=a+344|0;n=a+348|0;o=a+368|0;a=0;do{me[c[(c[l>>2]|0)+104>>2]&127](a,e)|0;p=+h[(c[m>>2]|0)+(a<<3)>>3];if(p==1.0){if(+h[(c[n>>2]|0)+(a<<3)>>3]==-1.0){q=7}else{q=5}}else{q=5}do{if((q|0)==5){q=0;if(!(p==-1.0)){break}if(+h[(c[n>>2]|0)+(a<<3)>>3]==1.0){q=7}}}while(0);if((q|0)==7){q=0;pT(b,(c[o>>2]|0)+(a<<2)|0)}a=a+1|0;}while((a|0)<(c[f>>2]|0));g=rT(b)|0;j=(g|0)>0;k=j&1;i=d;return k|0}function RV(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0;e=f+32|0;do{if((QV(b,c[e>>2]|0)|0)!=0){if((a[f+28|0]|0)!=0){break}SV(b,c[e>>2]|0,f|0)}}while(0);if((a[b+317|0]|0)==1){g=1;return g|0}b=(rT(d)|0)>0;g=b?2:0;return g|0}function SV(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0.0,v=0.0,w=0.0,x=0.0,y=0;e=i;i=i+24|0;f=e|0;g=e+8|0;j=e+16|0;k=a+112|0;l=c[k>>2]<<3;m=lla(l)|0;n=m;o=lla(l)|0;l=o;h[g>>3]=+h[a+376>>3];p=a+4|0;h[j>>3]=+h[c[c[p>>2]>>2]>>3];c[2502410]=nT(4)|0;if((m|0)==0){od(9974032,9971176,308,9984592)}if((o|0)==0){od(9969200,9971176,309,9984592)}q=uT(b)|0;if((q|0)!=0){r=q;do{q=c[(wT(r)|0)>>2]|0;XS(27,0,9966824,(s=i,i=i+8|0,c[s>>2]=q,s)|0);i=s;r=vT(r)|0;}while((r|0)!=0)}r=c[k>>2]|0;if((r|0)>0){q=c[(c[c[p>>2]>>2]|0)+8>>2]|0;t=(r|0)>1?r<<3:8;Pla(o|0,c[a+384>>2]|0,t)|0;Pla(m|0,q|0,t)|0}h[d>>3]=+VV(a,g,j,l,n,c[2502410]|0,b);do{if((rT(c[2502410]|0)|0)==0){n=c[(sT(b)|0)>>2]|0;l=a+344|0;u=+V(+(+h[(c[l>>2]|0)+(n<<3)>>3]));n=uT(b)|0;if((n|0)==0){v=u}else{w=u;t=n;while(1){n=c[(wT(t)|0)>>2]|0;u=+V(+(+h[(c[l>>2]|0)+(n<<3)>>3]));x=w>u?u:w;n=vT(t)|0;if((n|0)==0){v=x;break}else{w=x;t=n}}}XS(27,0,9964800,(s=i,i=i+8|0,h[s>>3]=v,s)|0);i=s;t=uT(b)|0;if((t|0)==0){break}else{y=t}do{t=c[(wT(y)|0)>>2]|0;if(v==+V(+(+h[(c[l>>2]|0)+(t<<3)>>3]))){t=c[2502410]|0;qT(t,wT(y)|0);t=c[(wT(y)|0)>>2]|0;XS(27,0,9962552,(s=i,i=i+8|0,c[s>>2]=t,s)|0);i=s}y=vT(y)|0;}while((y|0)!=0)}}while(0);oT(b);if((c[2500023]|0)!=0){rT(c[2502410]|0)|0}if((rT(c[2502410]|0)|0)>0){y=f;do{l=c[(sT(c[2502410]|0)|0)>>2]|0;c[f>>2]=l;tT(c[2502410]|0);XS(7,0,9956344,(s=i,i=i+8|0,c[s>>2]=l,s)|0);i=s;pT(b,y);}while((rT(c[2502410]|0)|0)>0)}h[d>>3]=+h[j>>3];j=c[c[p>>2]>>2]|0;h[j>>3]=+h[g>>3];g=c[k>>2]|0;if((g|0)>0){Pla(c[j+8>>2]|0,o|0,(g|0)>1?g<<3:8)|0}Me(a);YV(a);a=c[c[p>>2]>>2]|0;h[a>>3]=+h[d>>3];d=c[k>>2]|0;if((d|0)<=0){mla(o);mla(m);i=e;return}Pla(c[a+8>>2]|0,m|0,(d|0)>1?d<<3:8)|0;mla(o);mla(m);i=e;return}function TV(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,j=0,k=0,l=0,m=0.0,n=0,o=0,p=0,q=0,r=0.0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0.0,z=0,A=0,B=0.0,C=0;g=i;i=i+16|0;j=g|0;k=g+8|0;l=b+4|0;m=+h[c[c[l>>2]>>2]>>3];n=b+317|0;do{if((a[n]|0)!=0){aW(b);o=b+104|0;p=c[o>>2]|0;if((p|0)<=0){break}q=b+336|0;r=m+1.0e-14;s=b+340|0;t=b+108|0;u=0;v=p;while(1){if(+h[(c[q>>2]|0)+(u<<3)>>3]>r){w=v}else{a[(c[s>>2]|0)+u|0]=1;p=c[t>>2]|0;x=+h[p+(u*24|0)+8>>3];y=+h[p+(u*24|0)+16>>3];XS(7,0,25032,(z=i,i=i+24|0,c[z>>2]=c[p+(u*24|0)>>2],h[z+8>>3]=x,h[z+16>>3]=y,z)|0);i=z;w=c[o>>2]|0}p=u+1|0;if((p|0)<(w|0)){u=p;v=w}else{break}}}}while(0);w=b+512|0;v=b+524|0;u=b+516|0;o=b+528|0;c[o>>2]=(c[o>>2]|0)-(c[(c[u>>2]|0)+(c[v>>2]<<2)>>2]|0);if((rT(d)|0)>0){h[c[c[l>>2]>>2]>>3]=+h[e>>3];do{if((c[2500023]|0)!=0){e=uT(d)|0;if((e|0)==0){break}l=b+540|0;t=e;do{e=c[(wT(t)|0)>>2]|0;s=me[c[(c[l>>2]|0)+104>>2]&127](e,j)|0;WS(7,0,c[j>>2]|0,21376,(z=i,i=i+16|0,c[z>>2]=e,c[z+8>>2]=s,z)|0);i=z;t=vT(t)|0;}while((t|0)!=0)}}while(0);j=f+40|0;c[j>>2]=(c[j>>2]|0)+1;c[o>>2]=(c[o>>2]|0)+1;c[(c[u>>2]|0)+(c[v>>2]<<2)>>2]=1;j=c[v>>2]|0;t=c[b+520>>2]|0;h[t+(j<<3)>>3]=m;l=b+532|0;do{if((c[l>>2]|0)==0){s=c[o>>2]|0;if((s|0)!=(c[w>>2]|0)){break}r=+h[t+(((j+1|0)%(s|0)|0)<<3)>>3];e=b+264|0;if(!(m-r<+h[e>>3])){break}q=c[(wT(uT(d)|0)|0)>>2]|0;p=me[c[(c[b+540>>2]|0)+104>>2]&127](q,k)|0;y=+h[e>>3];WS(1,0,c[k>>2]|0,9980544,(z=i,i=i+40|0,h[z>>3]=r,h[z+8>>3]=m,c[z+16>>2]=s,h[z+24>>3]=y,c[z+32>>2]=p,z)|0);i=z;c[l>>2]=1}}while(0);oT(d)}else{c[(c[u>>2]|0)+(c[v>>2]<<2)>>2]=0}c[v>>2]=((c[v>>2]|0)+1|0)%(c[w>>2]|0)|0;XV(b);UV(b);if((a[n]|0)==0){i=g;return}w=b+104|0;v=c[w>>2]|0;do{if((v|0)>0){u=b+340|0;d=b+108|0;l=b+336|0;z=0;k=v;while(1){j=(c[u>>2]|0)+z|0;if((a[j]|0)==0){A=k}else{a[j]=0;j=(c[l>>2]|0)+(z<<3)|0;h[j>>3]=+h[(c[d>>2]|0)+(z*24|0)+16>>3]+ +h[j>>3];A=c[w>>2]|0}j=z+1|0;if((j|0)<(A|0)){z=j;k=A}else{break}}if((A|0)<=0){break}k=b+336|0;z=b+328|0;d=0;do{l=c[k>>2]|0;if((d|0)==0){B=+h[l>>3];C=29}else{m=+h[l+(d<<3)>>3];if(m<+h[z>>3]){B=m;C=29}}if((C|0)==29){C=0;h[z>>3]=B}d=d+1|0;}while((d|0)<(A|0))}}while(0);a[n]=0;n=f+44|0;c[n>>2]=(c[n>>2]|0)+1;i=g;return}function UV(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;XS(27,0,9941536,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;d=a+344|0;ee[c[(c[a+540>>2]|0)+92>>2]&127](a,c[d>>2]|0,c[c[a+4>>2]>>2]|0)|0;e=c[a+160>>2]|0;if((e|0)<=0){i=b;return}f=c[d>>2]|0;d=c[a+348>>2]|0;a=0;do{h[d+(a<<3)>>3]=+h[f+(a<<3)>>3];a=a+1|0;}while((a|0)<(e|0));i=b;return}function VV(a,b,d,e,f,g,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0.0,q=0.0,r=0.0,s=0.0,t=0.0,u=0.0,v=0,w=0,x=0,y=0,z=0.0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0.0;k=i;l=a+160|0;m=c[l>>2]|0;n=lla(m<<3)|0;o=n;if((n|0)==0){od(9951872,9971176,409,9984728);return 0.0}if((m|0)>0){Pla(n|0,c[a+344>>2]|0,(m|0)>1?m<<3:8)|0}p=+h[d>>3];XS(27,0,9950016,(m=i,i=i+16|0,h[m>>3]=+h[b>>3],h[m+8>>3]=p,m)|0);i=m;XS(27,0,9947960,(m=i,i=i+8|0,h[m>>3]=1.0e-9,m)|0);i=m;p=+h[d>>3];q=+h[b>>3];if(!(+V(+(p-q))>1.0e-9)){mla(n);r=+h[b>>3];s=+h[d>>3];t=r+s;u=t*.5;i=k;return+u}m=a+4|0;v=a+112|0;w=a+540|0;x=a+344|0;y=a+348|0;z=p;p=q;A=c[v>>2]|0;while(1){q=(z+p)*.5;B=c[c[m>>2]>>2]|0;h[B>>3]=q;if((A|0)>0){C=c[B+8>>2]|0;B=0;do{h[C+(B<<3)>>3]=(+h[e+(B<<3)>>3]+ +h[f+(B<<3)>>3])*.5;B=B+1|0;}while((B|0)<(A|0))}ce[c[(c[w>>2]|0)+28>>2]&255](a)|0;ce[c[(c[w>>2]|0)+32>>2]&255](a)|0;ee[c[(c[w>>2]|0)+92>>2]&127](a,c[x>>2]|0,c[c[m>>2]>>2]|0)|0;B=(WV(a,g,j)|0)==0;C=c[v>>2]|0;D=(C|0)>0;do{if(B){if(D){E=c[(c[c[m>>2]>>2]|0)+8>>2]|0;F=0;do{h[e+(F<<3)>>3]=+h[E+(F<<3)>>3];F=F+1|0;}while((F|0)<(C|0))}h[b>>3]=q;F=c[l>>2]|0;if((F|0)>0){E=c[x>>2]|0;G=c[y>>2]|0;H=0;do{I=E+(H<<3)|0;h[G+(H<<3)>>3]=+h[I>>3];h[I>>3]=+h[o+(H<<3)>>3];H=H+1|0;}while((H|0)<(F|0))}J=+h[d>>3]}else{if(D){F=c[(c[c[m>>2]>>2]|0)+8>>2]|0;H=0;do{h[f+(H<<3)>>3]=+h[F+(H<<3)>>3];H=H+1|0;}while((H|0)<(C|0))}h[d>>3]=q;H=c[l>>2]|0;if((H|0)<=0){J=q;break}Pla(n|0,c[x>>2]|0,(H|0)>1?H<<3:8)|0;J=q}}while(0);q=+h[b>>3];if(+V(+(J-q))>1.0e-9){z=J;p=q;A=C}else{break}}mla(n);r=+h[b>>3];s=+h[d>>3];t=r+s;u=t*.5;i=k;return+u}function WV(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=i;oT(b);XS(27,0,9945728,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;g=uT(d)|0;if((g|0)==0){j=rT(b)|0;k=(j|0)>0;l=k&1;i=e;return l|0}d=a+344|0;m=a+348|0;a=g;do{g=c[(wT(a)|0)>>2]|0;if(+h[(c[d>>2]|0)+(g<<3)>>3]==-1.0){g=c[(wT(a)|0)>>2]|0;if(+h[(c[m>>2]|0)+(g<<3)>>3]==1.0){n=7}else{n=5}}else{n=5}do{if((n|0)==5){n=0;g=c[(wT(a)|0)>>2]|0;if(!(+h[(c[d>>2]|0)+(g<<3)>>3]==1.0)){break}g=c[(wT(a)|0)>>2]|0;if(+h[(c[m>>2]|0)+(g<<3)>>3]==-1.0){n=7}}}while(0);if((n|0)==7){n=0;g=c[(wT(a)|0)>>2]|0;o=c[(wT(a)|0)>>2]|0;p=+h[(c[m>>2]|0)+(o<<3)>>3]>0.0?36776:32072;o=c[(wT(a)|0)>>2]|0;q=+h[(c[d>>2]|0)+(o<<3)>>3]>0.0?36776:32072;XS(27,0,9943480,(f=i,i=i+24|0,c[f>>2]=g,c[f+8>>2]=p,c[f+16>>2]=q,f)|0);i=f;pT(b,wT(a)|0)}a=vT(a)|0;}while((a|0)!=0);j=rT(b)|0;k=(j|0)>0;l=k&1;i=e;return l|0}function XV(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;d=i;e=b+315|0;a[e]=0;f=b+540|0;me[c[(c[f>>2]|0)+96>>2]&127](b,1)|0;YV(b);ZV(b);ce[c[(c[f>>2]|0)+36>>2]&255](b)|0;_V(b,8);g=$V(b)|0;h=ce[c[(c[f>>2]|0)+100>>2]&255](b)|0;j=b+312|0;if((a[j]|0)==0){k=1;l=h;m=g}else{ZV(b);i=d;return}while(1){if((l|0)==0){if((a[e]|m)<<24>>24==0){n=7;break}}aW(b);YV(b);_V(b,8);ce[c[(c[f>>2]|0)+36>>2]&255](b)|0;if((k|0)>200){n=5;break}g=$V(b)|0;h=ce[c[(c[f>>2]|0)+100>>2]&255](b)|0;if((a[j]|0)==0){k=k+1|0;l=h;m=g}else{n=7;break}}if((n|0)==5){$S(c[b+536>>2]|0,46656,(m=i,i=i+1|0,i=i+7&-8,c[m>>2]=0,m)|0);i=m}else if((n|0)==7){ZV(b);i=d;return}}function YV(a){a=a|0;Pla(c[a+356>>2]|0,c[a+352>>2]|0,c[a+164>>2]|0)|0;return}function ZV(b){b=b|0;var d=0,e=0,f=0;d=b+164|0;if((c[d>>2]|0)<=0){return}e=b+352|0;f=b+360|0;b=0;do{a[(c[f>>2]|0)+b|0]=(a[(c[e>>2]|0)+b|0]|0)!=0|0;b=b+1|0;}while((b|0)<(c[d>>2]|0));return}function _V(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;e=i;if((c[10000064+(d<<2)>>2]|0)==0){i=e;return}XS(d,1,9943176,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;g=b+164|0;if((c[g>>2]|0)>0){h=b+540|0;j=b+352|0;k=b+356|0;b=0;do{l=ce[c[(c[h>>2]|0)+108>>2]&255](b)|0;m=(a[(c[j>>2]|0)+b|0]|0)!=0?84:70;n=ce[c[(c[h>>2]|0)+108>>2]&255](b)|0;o=(a[(c[k>>2]|0)+b|0]|0)!=0?84:70;XS(d,0,9941264,(f=i,i=i+40|0,c[f>>2]=b,c[f+8>>2]=l,c[f+16>>2]=m,c[f+24>>2]=n,c[f+32>>2]=o,f)|0);i=f;b=b+1|0;}while((b|0)<(c[g>>2]|0))}$d[c[3540]&511](d);i=e;return}function $V(b){b=b|0;var d=0,e=0,f=0,g=0,h=0;d=b+356|0;e=c[b+164>>2]|0;f=b+352|0;b=0;while(1){if((b|0)>=(e|0)){g=0;h=4;break}if((a[(c[d>>2]|0)+b|0]|0)==(a[(c[f>>2]|0)+b|0]|0)){b=b+1|0}else{g=1;h=4;break}}if((h|0)==4){return g|0}return 0}function aW(a){a=a|0;var b=0;b=c[c[a+4>>2]>>2]|0;Pla(c[a+400>>2]|0,c[b+8>>2]|0,c[a+116>>2]<<3)|0;Pla(c[a+404>>2]|0,c[b+12>>2]|0,c[a+124>>2]<<2)|0;Pla(c[a+408>>2]|0,c[b+16>>2]|0,c[a+128>>2]|0)|0;Pla(c[a+412>>2]|0,c[b+20>>2]|0,c[a+132>>2]<<2)|0;return}function bW(a){a=a|0;var b=0,d=0,e=0,f=0;b=c[a+160>>2]|0;d=c[a+344>>2]|0;if((b|0)>0){e=c[a+348>>2]|0;f=0;do{h[e+(f<<3)>>3]=+h[d+(f<<3)>>3];f=f+1|0;}while((f|0)<(b|0))}ee[c[(c[a+540>>2]|0)+92>>2]&127](a,d,c[c[a+4>>2]>>2]|0)|0;return}function cW(a){a=a|0;dW(a);eW(a);aW(a);fW(a);return}function dW(b){b=b|0;var d=0,e=0,f=0,g=0;d=c[b+136>>2]|0;if((d|0)>0){e=c[b+24>>2]|0;f=c[b+416>>2]|0;g=0;do{h[f+(g<<3)>>3]=+h[e+(g*112|0)+96>>3];g=g+1|0;}while((g|0)<(d|0))}d=b+140|0;if((c[d>>2]|0)>0){g=c[b+28>>2]|0;e=c[b+420>>2]|0;f=0;do{c[e+(f<<2)>>2]=c[g+(f*60|0)+52>>2];f=f+1|0;}while((f|0)<(c[d>>2]|0))}d=b+144|0;if((c[d>>2]|0)>0){f=b+32|0;g=b+424|0;e=0;do{a[(c[g>>2]|0)+e|0]=a[(c[f>>2]|0)+(e*48|0)+42|0]|0;e=e+1|0;}while((e|0)<(c[d>>2]|0))}d=c[b+148>>2]|0;if((d|0)<=0){return}e=b+36|0;f=b+428|0;b=0;do{c[(c[f>>2]|0)+(b<<2)>>2]=c[(c[e>>2]|0)+(b*52|0)+44>>2];b=b+1|0;}while((b|0)<(d|0));return}function eW(b){b=b|0;var d=0,e=0,f=0,g=0,i=0;d=c[c[b+4>>2]>>2]|0;e=c[b+116>>2]|0;if((e|0)>0){f=c[b+8>>2]|0;g=c[d+8>>2]|0;i=0;do{h[g+(i<<3)>>3]=+h[f+(i*112|0)+96>>3];i=i+1|0;}while((i|0)<(e|0))}e=b+124|0;if((c[e>>2]|0)>0){i=c[b+12>>2]|0;f=c[d+12>>2]|0;g=0;do{c[f+(g<<2)>>2]=c[i+(g*60|0)+52>>2];g=g+1|0;}while((g|0)<(c[e>>2]|0))}e=b+128|0;if((c[e>>2]|0)>0){g=b+16|0;i=d+16|0;f=0;do{a[(c[i>>2]|0)+f|0]=a[(c[g>>2]|0)+(f*48|0)+42|0]|0;f=f+1|0;}while((f|0)<(c[e>>2]|0))}e=c[b+132>>2]|0;if((e|0)<=0){return}f=b+20|0;b=d+20|0;d=0;do{c[(c[b>>2]|0)+(d<<2)>>2]=c[(c[f>>2]|0)+(d*52|0)+44>>2];d=d+1|0;}while((d|0)<(e|0));return}function fW(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0;b=a|0;if((uU(c[b>>2]|0)|0)<=1){return}d=a+4|0;e=a+116|0;f=a+124|0;g=a+128|0;i=a+132|0;a=1;do{j=a-1|0;k=c[d>>2]|0;l=c[k+(j<<2)>>2]|0;m=c[k+(a<<2)>>2]|0;h[m>>3]=+h[l>>3];Pla(c[m+8>>2]|0,c[l+8>>2]|0,c[e>>2]<<3)|0;l=c[d>>2]|0;Pla(c[(c[l+(a<<2)>>2]|0)+12>>2]|0,c[(c[l+(j<<2)>>2]|0)+12>>2]|0,c[f>>2]<<2)|0;l=c[d>>2]|0;Pla(c[(c[l+(a<<2)>>2]|0)+16>>2]|0,c[(c[l+(j<<2)>>2]|0)+16>>2]|0,c[g>>2]|0)|0;l=c[d>>2]|0;Pla(c[(c[l+(a<<2)>>2]|0)+20>>2]|0,c[(c[l+(j<<2)>>2]|0)+20>>2]|0,c[i>>2]<<2)|0;a=a+1|0;}while((a|0)<(uU(c[b>>2]|0)|0));return}function gW(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0,r=0.0,s=0;e=i;if((c[10000064+(d<<2)>>2]|0)==0){i=e;return}XS(d,1,9962184,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;g=b+136|0;if((c[g>>2]|0)>0){XS(d,1,9960080,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[g>>2]|0)>0){j=b+24|0;k=b+416|0;l=0;while(1){m=l+1|0;n=c[j>>2]|0;o=c[n+(l*112|0)+4>>2]|0;p=+h[n+(l*112|0)+96>>3];q=(a[n+(l*112|0)+72|0]|0)!=0?9968832:9966552;r=+h[(c[k>>2]|0)+(l<<3)>>3];XS(d,0,9958048,(f=i,i=i+40|0,c[f>>2]=m,c[f+8>>2]=o,h[f+16>>3]=p,c[f+24>>2]=q,h[f+32>>3]=r,f)|0);i=f;if((m|0)<(c[g>>2]|0)){l=m}else{break}}}$d[c[3540]&511](d)}l=b+140|0;if((c[l>>2]|0)>0){XS(d,1,9955920,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[l>>2]|0)>0){g=b+28|0;k=b+420|0;j=0;while(1){m=j+1|0;q=c[g>>2]|0;o=c[q+(j*60|0)+4>>2]|0;n=c[q+(j*60|0)+52>>2]|0;s=(a[q+(j*60|0)+48|0]|0)!=0?9968832:9966552;q=c[(c[k>>2]|0)+(j<<2)>>2]|0;XS(d,0,9953352,(f=i,i=i+40|0,c[f>>2]=m,c[f+8>>2]=o,c[f+16>>2]=n,c[f+24>>2]=s,c[f+32>>2]=q,f)|0);i=f;if((m|0)<(c[l>>2]|0)){j=m}else{break}}}$d[c[3540]&511](d)}j=b+144|0;if((c[j>>2]|0)>0){XS(d,1,9951584,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[j>>2]|0)>0){l=b+32|0;k=b+424|0;g=0;while(1){m=g+1|0;q=c[l>>2]|0;s=c[q+(g*48|0)+4>>2]|0;n=(a[q+(g*48|0)+42|0]|0)!=0?9968832:9966552;o=(a[q+(g*48|0)+40|0]|0)!=0?9968832:9966552;q=(a[(c[k>>2]|0)+g|0]|0)!=0?9968832:9966552;XS(d,0,9949712,(f=i,i=i+40|0,c[f>>2]=m,c[f+8>>2]=s,c[f+16>>2]=n,c[f+24>>2]=o,c[f+32>>2]=q,f)|0);i=f;if((m|0)<(c[j>>2]|0)){g=m}else{break}}}$d[c[3540]&511](d)}g=b+148|0;if((c[g>>2]|0)>0){XS(d,1,9947616,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[g>>2]|0)>0){j=b+36|0;k=b+428|0;b=0;while(1){l=b+1|0;m=c[j>>2]|0;q=c[m+(b*52|0)+4>>2]|0;o=c[m+(b*52|0)+44>>2]|0;m=c[(c[k>>2]|0)+(b<<2)>>2]|0;XS(d,0,9945328,(f=i,i=i+32|0,c[f>>2]=l,c[f+8>>2]=q,c[f+16>>2]=o,c[f+24>>2]=m,f)|0);i=f;if((l|0)<(c[g>>2]|0)){b=l}else{break}}}$d[c[3540]&511](d)}$d[c[3540]&511](d);i=e;return}function hW(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0;b=a|0;if((uU(c[b>>2]|0)|0)<=1){return}d=a+4|0;e=a+116|0;f=a+124|0;g=a+128|0;i=a+132|0;a=1;do{j=c[d>>2]|0;k=c[j+(a<<2)>>2]|0;l=a-1|0;m=c[j+(l<<2)>>2]|0;h[m>>3]=+h[k>>3];Pla(c[m+8>>2]|0,c[k+8>>2]|0,c[e>>2]<<3)|0;k=c[d>>2]|0;Pla(c[(c[k+(l<<2)>>2]|0)+12>>2]|0,c[(c[k+(a<<2)>>2]|0)+12>>2]|0,c[f>>2]<<2)|0;k=c[d>>2]|0;Pla(c[(c[k+(l<<2)>>2]|0)+16>>2]|0,c[(c[k+(a<<2)>>2]|0)+16>>2]|0,c[g>>2]|0)|0;k=c[d>>2]|0;Pla(c[(c[k+(l<<2)>>2]|0)+20>>2]|0,c[(c[k+(a<<2)>>2]|0)+20>>2]|0,c[i>>2]<<2)|0;a=a+1|0;}while((a|0)<(uU(c[b>>2]|0)|0));return}function iW(b){b=b|0;var d=0,e=0,f=0,g=0,i=0;d=c[c[b+4>>2]>>2]|0;e=c[b+116>>2]|0;if((e|0)>0){f=c[d+8>>2]|0;g=c[b+8>>2]|0;i=0;do{h[g+(i*112|0)+96>>3]=+h[f+(i<<3)>>3];i=i+1|0;}while((i|0)<(e|0))}e=b+124|0;if((c[e>>2]|0)>0){i=c[d+12>>2]|0;f=c[b+12>>2]|0;g=0;do{c[f+(g*60|0)+52>>2]=c[i+(g<<2)>>2];g=g+1|0;}while((g|0)<(c[e>>2]|0))}e=b+128|0;if((c[e>>2]|0)>0){g=d+16|0;i=b+16|0;f=0;do{a[(c[i>>2]|0)+(f*48|0)+42|0]=a[(c[g>>2]|0)+f|0]|0;f=f+1|0;}while((f|0)<(c[e>>2]|0))}e=c[b+132>>2]|0;if((e|0)<=0){return}f=d+20|0;d=b+20|0;b=0;do{c[(c[d>>2]|0)+(b*52|0)+44>>2]=c[(c[f>>2]|0)+(b<<2)>>2];b=b+1|0;}while((b|0)<(e|0));return}function jW(a){a=a|0;var b=0;b=c[c[a+4>>2]>>2]|0;h[a+376>>3]=+h[b>>3];Pla(c[a+384>>2]|0,c[b+8>>2]|0,c[a+116>>2]<<3)|0;Pla(c[a+388>>2]|0,c[b+12>>2]|0,c[a+124>>2]<<2)|0;Pla(c[a+392>>2]|0,c[b+16>>2]|0,c[a+128>>2]|0)|0;Pla(c[a+396>>2]|0,c[b+20>>2]|0,c[a+132>>2]<<2)|0;return}function kW(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;d=i;i=i+32|0;e=d|0;f=b|0;c[f>>2]=0;g=pU(3,32)|0;c[f>>2]=g;if((g|0)==0){$S(c[b+536>>2]|0,46576,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j}g=e|0;k=b+116|0;l=e+8|0;m=b+536|0;n=b+124|0;o=e+12|0;p=b+128|0;q=e+16|0;r=b+132|0;s=e+20|0;t=e;e=0;do{h[g>>3]=0.0;u=nla(c[k>>2]|0,8)|0;c[l>>2]=u;_S(c[m>>2]|0,(u|0)!=0|0,45168,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;u=nla(c[n>>2]|0,4)|0;c[o>>2]=u;_S(c[m>>2]|0,(u|0)!=0|0,45168,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;u=nla(c[p>>2]|0,1)|0;c[q>>2]=u;_S(c[m>>2]|0,(u|0)!=0|0,45168,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;u=nla(c[r>>2]|0,4)|0;c[s>>2]=u;_S(c[m>>2]|0,(u|0)!=0|0,45168,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;tU(c[f>>2]|0,t);e=e+1|0;}while(e>>>0<3>>>0);e=nla(3,4)|0;c[b+4>>2]=e;vU(c[f>>2]|0,0,e);e=c[k>>2]|0;c[b+8>>2]=nla(e,112)|0;k=c[n>>2]|0;c[b+12>>2]=nla(k,60)|0;n=c[p>>2]|0;c[b+16>>2]=nla(n,48)|0;p=c[r>>2]|0;c[b+20>>2]=nla(p,52)|0;r=c[b+136>>2]|0;c[b+24>>2]=nla(r,112)|0;f=c[b+140>>2]|0;c[b+28>>2]=nla(f,60)|0;t=c[b+144>>2]|0;c[b+32>>2]=nla(t,48)|0;s=c[b+148>>2]|0;c[b+36>>2]=nla(s,52)|0;c[b+40>>2]=nla(c[b+216>>2]|0,52)|0;c[b+44>>2]=nla(c[b+220>>2]|0,52)|0;c[b+48>>2]=nla(c[b+224>>2]|0,52)|0;c[b+52>>2]=nla(c[b+228>>2]|0,52)|0;q=c[b+104>>2]|0;c[b+108>>2]=nla(q,24)|0;h[b+328>>3]=+h[b+240>>3];c[b+336>>2]=nla(q,8)|0;c[b+340>>2]=nla(q,1)|0;c[b+300>>2]=1;c[b+292>>2]=1;c[b+296>>2]=1;q=c[b+160>>2]|0;c[b+344>>2]=nla(q,8)|0;c[b+348>>2]=nla(q,8)|0;o=c[b+164>>2]|0;c[b+352>>2]=nla(o,1)|0;c[b+356>>2]=nla(o,1)|0;c[b+360>>2]=nla(o,1)|0;o=lla(q<<2)|0;c[b+368>>2]=o;c[b+364>>2]=lla(c[b+168>>2]<<3)|0;if((q|0)!=0){l=0;do{c[o+(l<<2)>>2]=l;l=l+1|0;}while(l>>>0<q>>>0)}c[b+384>>2]=nla(e,8)|0;c[b+388>>2]=nla(k,4)|0;c[b+392>>2]=nla(n,1)|0;c[b+396>>2]=nla(p,4)|0;c[b+400>>2]=nla(e,8)|0;c[b+404>>2]=nla(k,4)|0;c[b+408>>2]=nla(n,1)|0;c[b+412>>2]=nla(p,4)|0;c[b+416>>2]=nla(r,8)|0;c[b+420>>2]=nla(f,4)|0;c[b+424>>2]=nla(t,1)|0;c[b+428>>2]=nla(s,4)|0;c[b+432>>2]=nla(c[b+152>>2]|0,8)|0;c[b+436>>2]=nla(c[b+156>>2]|0,8)|0;s=lla((c[b+192>>2]|0)*40|0)|0;c[b+484>>2]=s;t=b+540|0;$d[c[(c[t>>2]|0)+20>>2]&511](s);s=lla((c[b+196>>2]|0)*80|0)|0;c[b+476>>2]=s;$d[c[(c[t>>2]|0)+16>>2]&511](s);s=lla((c[b+200>>2]|0)*80|0)|0;c[b+468>>2]=s;$d[c[(c[t>>2]|0)+12>>2]&511](s);s=lla((c[b+204>>2]|0)*48|0)|0;c[b+488>>2]=s;ae[c[(c[t>>2]|0)+24>>2]&255](s,b);c[b+464>>2]=lla((c[b+232>>2]|0)*44|0)|0;c[b+76>>2]=0;c[b+80>>2]=0;s=nla(c[b+188>>2]|0,4)|0;c[b+320>>2]=s;_S(c[m>>2]|0,(s|0)!=0|0,44696,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;c[b+512>>2]=100;c[b+516>>2]=nla(100,4)|0;c[b+520>>2]=nla(100,8)|0;c[b+524>>2]=0;c[b+528>>2]=0;c[b+532>>2]=0;h[b+304>>3]=1.0;a[b+313|0]=0;a[b+312|0]=0;a[b+314|0]=0;s=b+172|0;t=b+316|0;C=0;a[t]=C;C=C>>8;a[t+1|0]=C;C=C>>8;a[t+2|0]=C;C=C>>8;a[t+3|0]=C;t=lla(c[s>>2]<<2)|0;f=b+504|0;c[f>>2]=t;_S(c[m>>2]|0,(t|0)!=0|0,45168,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;if((c[s>>2]|0)==0){i=d;return}else{v=0}do{j=pU(1024,16)|0;c[(c[f>>2]|0)+(v<<2)>>2]=j;v=v+1|0;}while(v>>>0<(c[s>>2]|0)>>>0);i=d;return}function lW(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;b=a+4|0;d=0;e=c[b>>2]|0;do{f=c[e+(d<<2)>>2]|0;mla(c[f+8>>2]|0);mla(c[f+12>>2]|0);mla(c[f+16>>2]|0);mla(c[f+20>>2]|0);d=d+1|0;e=c[b>>2]|0}while(d>>>0<3>>>0);mla(e);qU(c[a>>2]|0);e=a+116|0;d=a+8|0;b=c[d>>2]|0;if((c[e>>2]|0)==0){g=b}else{f=0;h=b;while(1){MU(h+(f*112|0)|0);b=f+1|0;i=c[d>>2]|0;if(b>>>0<(c[e>>2]|0)>>>0){f=b;h=i}else{g=i;break}}}mla(g);g=a+124|0;h=a+12|0;f=c[h>>2]|0;if((c[g>>2]|0)==0){j=f}else{e=0;d=f;while(1){MU(d+(e*60|0)|0);f=e+1|0;i=c[h>>2]|0;if(f>>>0<(c[g>>2]|0)>>>0){e=f;d=i}else{j=i;break}}}mla(j);j=a+128|0;d=a+16|0;e=c[d>>2]|0;if((c[j>>2]|0)==0){k=e}else{g=0;h=e;while(1){MU(h+(g*48|0)|0);e=g+1|0;i=c[d>>2]|0;if(e>>>0<(c[j>>2]|0)>>>0){g=e;h=i}else{k=i;break}}}mla(k);k=a+132|0;h=a+20|0;g=c[h>>2]|0;if((c[k>>2]|0)==0){l=g}else{j=0;d=g;while(1){MU(d+(j*52|0)|0);g=j+1|0;i=c[h>>2]|0;if(g>>>0<(c[k>>2]|0)>>>0){j=g;d=i}else{l=i;break}}}mla(l);l=a+136|0;d=a+24|0;j=c[d>>2]|0;if((c[l>>2]|0)==0){m=j}else{k=0;h=j;while(1){MU(h+(k*112|0)|0);j=k+1|0;i=c[d>>2]|0;if(j>>>0<(c[l>>2]|0)>>>0){k=j;h=i}else{m=i;break}}}mla(m);m=a+140|0;h=a+28|0;k=c[h>>2]|0;if((c[m>>2]|0)==0){n=k}else{l=0;d=k;while(1){MU(d+(l*60|0)|0);k=l+1|0;i=c[h>>2]|0;if(k>>>0<(c[m>>2]|0)>>>0){l=k;d=i}else{n=i;break}}}mla(n);n=a+144|0;d=a+32|0;l=c[d>>2]|0;if((c[n>>2]|0)==0){o=l}else{m=0;h=l;while(1){MU(h+(m*48|0)|0);l=m+1|0;i=c[d>>2]|0;if(l>>>0<(c[n>>2]|0)>>>0){m=l;h=i}else{o=i;break}}}mla(o);o=a+148|0;h=a+36|0;m=c[h>>2]|0;if((c[o>>2]|0)==0){p=m}else{n=0;d=m;while(1){MU(d+(n*52|0)|0);m=n+1|0;i=c[h>>2]|0;if(m>>>0<(c[o>>2]|0)>>>0){n=m;d=i}else{p=i;break}}}mla(p);p=a+216|0;d=a+40|0;n=c[d>>2]|0;if((c[p>>2]|0)==0){q=n}else{o=0;h=n;while(1){MU(h+(o*52|0)+12|0);n=o+1|0;i=c[d>>2]|0;if(n>>>0<(c[p>>2]|0)>>>0){o=n;h=i}else{q=i;break}}}mla(q);q=a+220|0;h=a+44|0;o=c[h>>2]|0;if((c[q>>2]|0)==0){r=o}else{p=0;d=o;while(1){MU(d+(p*52|0)+12|0);o=p+1|0;i=c[h>>2]|0;if(o>>>0<(c[q>>2]|0)>>>0){p=o;d=i}else{r=i;break}}}mla(r);r=a+224|0;d=a+48|0;p=c[d>>2]|0;if((c[r>>2]|0)==0){s=p}else{q=0;h=p;while(1){MU(h+(q*52|0)+12|0);p=q+1|0;i=c[d>>2]|0;if(p>>>0<(c[r>>2]|0)>>>0){q=p;h=i}else{s=i;break}}}mla(s);s=a+228|0;h=a+52|0;q=c[h>>2]|0;if((c[s>>2]|0)==0){t=q}else{r=0;d=q;while(1){MU(d+(r*52|0)+12|0);q=r+1|0;i=c[h>>2]|0;if(q>>>0<(c[s>>2]|0)>>>0){r=q;d=i}else{t=i;break}}}mla(t);mla(c[a+108>>2]|0);mla(c[a+336>>2]|0);mla(c[a+340>>2]|0);mla(c[a+344>>2]|0);mla(c[a+348>>2]|0);mla(c[a+352>>2]|0);mla(c[a+356>>2]|0);mla(c[a+360>>2]|0);mla(c[a+368>>2]|0);mla(c[a+384>>2]|0);mla(c[a+388>>2]|0);mla(c[a+392>>2]|0);mla(c[a+396>>2]|0);mla(c[a+400>>2]|0);mla(c[a+404>>2]|0);mla(c[a+408>>2]|0);mla(c[a+412>>2]|0);mla(c[a+416>>2]|0);mla(c[a+420>>2]|0);mla(c[a+424>>2]|0);mla(c[a+428>>2]|0);mla(c[a+488>>2]|0);mla(c[a+484>>2]|0);mla(c[a+476>>2]|0);mla(c[a+468>>2]|0);mla(c[a+464>>2]|0);mla(c[a+432>>2]|0);mla(c[a+436>>2]|0);mla(c[a+320>>2]|0);mla(c[a+516>>2]|0);mla(c[a+520>>2]|0);F8(a+56|0);t=a+172|0;d=a+504|0;a=c[d>>2]|0;if((c[t>>2]|0)==0){u=a;v=u;mla(v);return}else{w=0;x=a}while(1){qU(c[x+(w<<2)>>2]|0);a=w+1|0;r=c[d>>2]|0;if(a>>>0<(c[t>>2]|0)>>>0){w=a;x=r}else{u=r;break}}v=u;mla(v);return}function mW(a){a=+a;var b=0,c=0.0,d=0;b=i;c=a*1.0e-4;h[205]=c;XS(8,0,44224,(d=i,i=i+8|0,h[d>>3]=c,d)|0);i=d;i=b;return}function nW(a,b,c){a=+a;b=+b;c=c|0;var d=0,e=0.0,f=0.0,g=0.0;d=c<<24>>24!=0;e=+h[205];f=e+e*+V(+(d?b:a));if(d){g=f}else{g=-0.0-f}return a-b<=g|0}function oW(a,b,c){a=+a;b=+b;c=c|0;return(nW(a,b,c<<24>>24==0|0)|0)<<24>>24==0|0}function pW(a,b){a=+a;b=+b;return a<b|0}function qW(a,b){a=+a;b=+b;return a<=b|0}function rW(a,b){a=+a;b=+b;return a>=b|0}function sW(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0;b=i;d=c[a+484>>2]|0;e=a+192|0;if((c[e>>2]|0)<=0){i=b;return 0}f=a+296|0;g=0;while(1){h=c[d+(g*40|0)>>2]|0;j=h<<2;c[d+(g*40|0)+20>>2]=lla(j)|0;c[d+(g*40|0)+24>>2]=lla(j)|0;if((c[f>>2]|0)!=1){k=5;break}vW(h,d+(g*40|0)+28|0)|0;h=g+1|0;if((h|0)<(c[e>>2]|0)){g=h}else{k=6;break}}if((k|0)==5){$S(c[a+536>>2]|0,9982680,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}else if((k|0)==6){i=b;return 0}return 0}function tW(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0;b=i;d=c[a+484>>2]|0;e=a+192|0;if((c[e>>2]|0)<=0){i=b;return 0}f=a+296|0;g=0;while(1){mla(c[d+(g*40|0)+20>>2]|0);mla(c[d+(g*40|0)+24>>2]|0);if((c[f>>2]|0)!=1){h=5;break}j=d+(g*40|0)+28|0;wW(j)|0;mla(c[j>>2]|0);j=g+1|0;if((j|0)<(c[e>>2]|0)){g=j}else{h=6;break}}if((h|0)==5){$S(c[a+536>>2]|0,9982680,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}else if((h|0)==6){i=b;return 0}return 0}



function uW(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0.0,z=0,A=0,B=0,C=0;e=i;i=i+72|0;f=e|0;g=e+24|0;j=e+48|0;k=c[b+484>>2]|0;l=b+192|0;m=c[l>>2]|0;if((m|0)<=0){n=0;i=e;return n|0}o=(d|0)==0;d=b+56|0;p=k+4|0;q=f+8|0;r=b+4|0;b=g+12|0;s=j+16|0;t=0;u=0;v=m;while(1){m=(a[k+(t*40|0)+36|0]|0)!=0;do{if(m|o){w=m?u:1;x=v}else{if((c[2500033]|c[2500100]|0)==0){w=1;x=v;break}D8(f,d,c[p>>2]|0);y=+h[c[c[r>>2]>>2]>>3];ZS(17,1,9980232,(z=i,i=i+16|0,c[z>>2]=c[q>>2],h[z+8>>3]=y,z)|0);i=z;D8(g,d,c[p>>2]|0);if((c[b>>2]|0)>0){A=0;while(1){B=A+1|0;D8(j,d,c[p>>2]|0);C=c[(c[(c[s>>2]|0)+(A<<2)>>2]|0)+4>>2]|0;ZS(17,0,9956168,(z=i,i=i+16|0,c[z>>2]=B,c[z+8>>2]=C,z)|0);i=z;D8(g,d,c[p>>2]|0);if((B|0)<(c[b>>2]|0)){A=B}else{break}}}$d[c[3540]&511](17);w=1;x=c[l>>2]|0}}while(0);m=t+1|0;if((m|0)<(x|0)){t=m;u=w;v=x}else{n=w;break}}i=e;return n|0}function vW(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=i;e=lla(20)|0;c[b>>2]=e;_S(0,(e|0)!=0|0,9982472,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;c[e>>2]=lla(a)|0;c[e+4>>2]=lla(a)|0;c[e+8>>2]=lla(a)|0;c[e+16>>2]=lla(a)|0;_S(0,(c[b>>2]|0)!=0|0,9980184,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;i=d;return 0}function wW(a){a=a|0;var b=0;b=c[a>>2]|0;mla(c[b>>2]|0);mla(c[b+4>>2]|0);mla(c[b+8>>2]|0);mla(c[b+16>>2]|0);return 0}function xW(a,b){a=a|0;b=b|0;$S(c[a+536>>2]|0,9982112,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}function yW(a){a=a|0;$S(0,9982112,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}function zW(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;b=i;d=c[a+476>>2]|0;e=a+196|0;if((c[e>>2]|0)<=0){i=b;return 0}f=a+292|0;g=0;while(1){h=c[d+(g<<6)+16>>2]|0;j=c[d+(g<<6)+12>>2]|0;k=h<<3;c[d+(g<<6)+28>>2]=lla(k)|0;c[d+(g<<6)+36>>2]=lla(k)|0;l=c[f>>2]|0;if((l|0)==1){c[d+(g<<6)+32>>2]=lla(ga(k,h)|0)|0;c[d+(g<<6)+8>>2]=2;FW(h,d+(g<<6)+24|0)|0}else if((l|0)==2){c[d+(g<<6)+8>>2]=4;IW(h,h,j,d+(g<<6)+24|0)|0}else{m=6;break}j=g+1|0;if((j|0)<(c[e>>2]|0)){g=j}else{m=8;break}}if((m|0)==6){$S(c[a+536>>2]|0,9982080,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}else if((m|0)==8){i=b;return 0}return 0}function AW(a,b,d,e,f){a=a|0;b=b|0;d=+d;e=e|0;f=f|0;e=(ga(c[f+16>>2]|0,b)|0)+a|0;h[(c[f+32>>2]|0)+(e<<3)>>3]=d;return}function BW(a,b,d,e,f){a=a|0;b=b|0;d=+d;e=e|0;f=f|0;mc(0,a|0,b|0,+d,c[c[f+24>>2]>>2]|0)|0;return}function CW(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0;b=i;d=c[a+476>>2]|0;e=a+196|0;if((c[e>>2]|0)<=0){i=b;return 0}f=a+292|0;g=0;while(1){mla(c[d+(g<<6)+28>>2]|0);mla(c[d+(g<<6)+36>>2]|0);h=c[f>>2]|0;if((h|0)==1){GW(d+(g<<6)+24|0)|0;mla(c[d+(g<<6)+32>>2]|0)}else if((h|0)==2){JW(d+(g<<6)+24|0)|0}else{j=6;break}mla(c[d+(g<<6)+24>>2]|0);h=g+1|0;if((h|0)<(c[e>>2]|0)){g=h}else{j=8;break}}if((j|0)==6){$S(c[a+536>>2]|0,9982080,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}else if((j|0)==8){i=b;return 0}return 0}function DW(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0;e=i;f=c[b+476>>2]|0;g=c[b+292>>2]|0;if((g|0)==1){h=(HW(b,d)|0)&255;j=f+(d<<6)+56|0;a[j]=h;i=e;return 0}else if((g|0)==2){h=(KW(b,d)|0)&255;j=f+(d<<6)+56|0;a[j]=h;i=e;return 0}else{$S(c[b+536>>2]|0,9982080,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;return 0}return 0}function EW(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0.0,z=0,A=0,B=0,C=0;e=i;i=i+72|0;f=e|0;g=e+24|0;j=e+48|0;k=c[b+476>>2]|0;l=b+196|0;m=c[l>>2]|0;if((m|0)<=0){n=0;i=e;return n|0}o=(d|0)==0;d=b+56|0;p=k+20|0;q=f+8|0;r=b+4|0;b=g+12|0;s=j+16|0;t=0;u=0;v=m;while(1){m=(a[k+(t<<6)+56|0]|0)!=0;do{if(m|o){w=m?u:1;x=v}else{if((c[2500031]|c[2500100]|0)==0){w=1;x=v;break}D8(f,d,c[p>>2]|0);y=+h[c[c[r>>2]>>2]>>3];ZS(15,1,9980152,(z=i,i=i+16|0,c[z>>2]=c[q>>2],h[z+8>>3]=y,z)|0);i=z;D8(g,d,c[p>>2]|0);if((c[b>>2]|0)>0){A=0;while(1){B=A+1|0;D8(j,d,c[p>>2]|0);C=c[(c[(c[s>>2]|0)+(A<<2)>>2]|0)+4>>2]|0;ZS(15,0,9956160,(z=i,i=i+16|0,c[z>>2]=B,c[z+8>>2]=C,z)|0);i=z;D8(g,d,c[p>>2]|0);if((B|0)<(c[b>>2]|0)){A=B}else{break}}}$d[c[3540]&511](15);w=1;x=c[l>>2]|0}}while(0);m=t+1|0;if((m|0)<(x|0)){t=m;u=w;v=x}else{n=w;break}}i=e;return n|0}function FW(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=i;e=lla(12)|0;f=lla(a<<2)|0;c[e>>2]=f;_S(0,(f|0)!=0|0,9981976,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;c[e+4>>2]=1;c[e+8>>2]=0;c[b>>2]=e;i=d;return 0}function GW(a){a=a|0;mla(c[c[a>>2]>>2]|0);return 0}function HW(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0.0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;e=i;i=i+20480|0;f=e|0;g=e+16384|0;j=c[b+476>>2]|0;k=j+(d<<6)|0;l=c[j+(d<<6)+24>>2]|0;m=j+(d<<6)+16|0;n=c[m>>2]|0;o=j+(d<<6)+32|0;Qla(c[o>>2]|0,0,ga(n<<3,n)|0)|0;p=b;q=k;ae[c[k>>2]&255](p,q);ae[c[j+(d<<6)+4>>2]&255](p,q);if((c[2500032]|0)!=0){XS(16,1,9980128,(r=i,i=i+16|0,c[r>>2]=n,c[r+8>>2]=n,r)|0);i=r;q=(n|0)>0;do{if(q){p=f|0;k=0;do{a[p]=0;s=0;do{t=(ga(s,n)|0)+k|0;u=+h[(c[o>>2]|0)+(t<<3)>>3];Rb(p|0,9956144,(r=i,i=i+16|0,c[r>>2]=p,h[r+8>>3]=u,r)|0)|0;i=r;s=s+1|0;}while((s|0)<(n|0));XS(16,0,8091392,(r=i,i=i+8|0,c[r>>2]=p,r)|0);i=r;k=k+1|0;}while((k|0)<(n|0));XS(16,1,46640,(r=i,i=i+8|0,c[r>>2]=n,r)|0);i=r;if(!q){break}k=f|0;p=j+(d<<6)+36|0;s=0;do{a[k]=0;u=+h[(c[p>>2]|0)+(s<<3)>>3];Rb(k|0,9956144,(r=i,i=i+16|0,c[r>>2]=k,h[r+8>>3]=u,r)|0)|0;i=r;XS(16,0,8091392,(r=i,i=i+8|0,c[r>>2]=k,r)|0);i=r;s=s+1|0;}while((s|0)<(n|0))}else{XS(16,1,46640,(r=i,i=i+8|0,c[r>>2]=n,r)|0);i=r}}while(0);$d[c[3540]&511](16)}n=j+(d<<6)+36|0;f=l+8|0;GN(m,l+4|0,c[o>>2]|0,m,c[l>>2]|0,c[n>>2]|0,m,f)|0;l=c[f>>2]|0;if((l|0)<0){u=+h[c[c[b+4>>2]>>2]>>3];ZS(1,0,41032,(r=i,i=i+24|0,c[r>>2]=c[j+(d<<6)+20>>2],h[r+8>>3]=u,c[r+16>>2]=l,r)|0);i=r;v=0;w=j+(d<<6)+28|0;x=c[w>>2]|0;y=x;z=c[n>>2]|0;A=z;B=c[m>>2]|0;C=B<<3;Pla(y|0,A|0,C)|0;i=e;return v|0}if((l|0)<=0){v=1;w=j+(d<<6)+28|0;x=c[w>>2]|0;y=x;z=c[n>>2]|0;A=z;B=c[m>>2]|0;C=B<<3;Pla(y|0,A|0,C)|0;i=e;return v|0}u=+h[c[c[b+4>>2]>>2]>>3];b=l+1|0;ZS(1,0,36336,(r=i,i=i+32|0,c[r>>2]=c[j+(d<<6)+20>>2],h[r+8>>3]=u,c[r+16>>2]=b,c[r+24>>2]=b,r)|0);i=r;if((c[2500031]|0)==0){v=0;w=j+(d<<6)+28|0;x=c[w>>2]|0;y=x;z=c[n>>2]|0;A=z;B=c[m>>2]|0;C=B<<3;Pla(y|0,A|0,C)|0;i=e;return v|0}b=(c[m>>2]|0)>0;l=g|0;a[l]=0;if(b){b=0;do{g=c[m>>2]|0;if((g|0)>0){f=0;q=g;while(1){s=(ga(q,f)|0)+b|0;u=+h[(c[o>>2]|0)+(s<<3)>>3];Rb(l|0,27696,(r=i,i=i+16|0,c[r>>2]=l,h[r+8>>3]=u,r)|0)|0;i=r;s=f+1|0;k=c[m>>2]|0;if((s|0)<(k|0)){f=s;q=k}else{D=k;break}}}else{D=g}b=b+1|0;a[l]=0}while((b|0)<(D|0))}if((c[m>>2]|0)>0){D=0;do{u=+h[(c[n>>2]|0)+(D<<3)>>3];Rb(l|0,27696,(r=i,i=i+16|0,c[r>>2]=l,h[r+8>>3]=u,r)|0)|0;i=r;D=D+1|0;}while((D|0)<(c[m>>2]|0))}a[l]=0;if((c[m>>2]|0)>0){E=0}else{v=0;w=j+(d<<6)+28|0;x=c[w>>2]|0;y=x;z=c[n>>2]|0;A=z;B=c[m>>2]|0;C=B<<3;Pla(y|0,A|0,C)|0;i=e;return v|0}while(1){u=+h[(c[n>>2]|0)+(E<<3)>>3];Rb(l|0,27696,(r=i,i=i+16|0,c[r>>2]=l,h[r+8>>3]=u,r)|0)|0;i=r;D=E+1|0;if((D|0)<(c[m>>2]|0)){E=D}else{v=0;break}}w=j+(d<<6)+28|0;x=c[w>>2]|0;y=x;z=c[n>>2]|0;A=z;B=c[m>>2]|0;C=B<<3;Pla(y|0,A|0,C)|0;i=e;return v|0}function IW(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;f=i;g=lla(32)|0;_S(0,(g|0)!=0|0,9981648,(h=i,i=i+1|0,i=i+7&-8,c[h>>2]=0,h)|0);i=h;c[g+20>>2]=b;b=g+24|0;c[b>>2]=a;c[g+28>>2]=d;d=g+8|0;gc(0,d|0)|0;Pd(c[d>>2]|0,c[b>>2]|0,0)|0;gc(0,g+4|0)|0;Pd(c[d>>2]|0,c[b>>2]|0,0)|0;b=g+12|0;Ua(b|0)|0;Vd(9980112,c[b>>2]|0)|0;c[e>>2]=g;i=f;return 0}function JW(a){a=a|0;var b=0;b=c[a>>2]|0;bd(c[b+12>>2]|0)|0;dc(c[b+8>>2]|0)|0;dc(c[b+4>>2]|0)|0;return 0}function KW(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0;d=c[a+476>>2]|0;e=d+(b<<6)|0;f=c[d+(b<<6)+24>>2]|0;g=f;Uc(c[g>>2]|0)|0;Oc(0,g|0)|0;i=f+24|0;Xc(c[g>>2]|0,c[i>>2]|0,0)|0;j=a;a=e;ae[c[e>>2]&255](j,a);Nd(c[g>>2]|0,1)|0;fd(c[g>>2]|0)|0;ae[c[d+(b<<6)+4>>2]&255](j,a);if((c[i>>2]|0)>0){a=d+(b<<6)+36|0;j=f+8|0;e=0;while(1){yc(0,e|0,+(+h[(c[a>>2]|0)+(e<<3)>>3]),c[j>>2]|0)|0;k=e+1|0;if((k|0)<(c[i>>2]|0)){e=k}else{l=j;break}}}else{l=f+8|0}j=f+4|0;e=(Ec(c[g>>2]|0,c[l>>2]|0,c[j>>2]|0,c[f+12>>2]|0)|0)==0|0;tc(c[j>>2]|0,0,c[f+20>>2]|0,c[d+(b<<6)+28>>2]|0)|0;Uc(c[g>>2]|0)|0;return e|0}function LW(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;b=i;d=c[a+468>>2]|0;e=a+200|0;if((c[e>>2]|0)<=0){i=b;return 0}f=a+536|0;g=a;h=a+300|0;j=0;a:while(1){k=d+(j*80|0)|0;l=c[k>>2]|0;_S(c[f>>2]|0,(c[d+(j*80|0)+32>>2]|0)!=0|0,24448,(m=i,i=i+1|0,i=i+7&-8,c[m>>2]=0,m)|0);i=m;n=d+(j*80|0)+28|0;do{if(!((c[n>>2]|0)==-1)){_S(c[f>>2]|0,(c[d+(j*80|0)+20>>2]|0)!=0|0,9983856,(m=i,i=i+1|0,i=i+7&-8,c[m>>2]=0,m)|0);i=m;if((ce[c[d+(j*80|0)+24>>2]&255](g)|0)==0){break}c[n>>2]=-1}}while(0);n=l<<3;c[d+(j*80|0)+44>>2]=lla(n)|0;c[d+(j*80|0)+52>>2]=lla(n)|0;c[d+(j*80|0)+48>>2]=lla(n)|0;c[d+(j*80|0)+16>>2]=lla(n)|0;c[d+(j*80|0)+8>>2]=lla(n)|0;c[d+(j*80|0)+12>>2]=lla(n)|0;ae[c[d+(j*80|0)+36>>2]&255](g,k);do{if((c[d+(j*80|0)+56>>2]|0)==1){QW(l,d+(j*80|0)+40|0)|0}else{n=c[h>>2]|0;if((n|0)==1){OW(l,d+(j*80|0)+40|0)|0;break}else if((n|0)==2){xW(a,k)|0;break}else if((n|0)==3){QW(l,d+(j*80|0)+40|0)|0;break}else{o=12;break a}}}while(0);l=j+1|0;if((l|0)<(c[e>>2]|0)){j=l}else{o=14;break}}if((o|0)==12){$S(c[f>>2]|0,9979936,(m=i,i=i+1|0,i=i+7&-8,c[m>>2]=0,m)|0);i=m;return 0}else if((o|0)==14){i=b;return 0}return 0}function MW(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;b=i;d=c[a+468>>2]|0;e=a+200|0;if((c[e>>2]|0)<=0){i=b;return 0}f=a+300|0;g=0;a:while(1){h=d+(g*80|0)|0;mla(c[d+(g*80|0)+44>>2]|0);mla(c[d+(g*80|0)+52>>2]|0);mla(c[d+(g*80|0)+48>>2]|0);mla(c[d+(g*80|0)+16>>2]|0);mla(c[d+(g*80|0)+8>>2]|0);mla(c[d+(g*80|0)+12>>2]|0);do{if((c[d+(g*80|0)+56>>2]|0)==1){j=d+(g*80|0)+40|0;RW(j)|0;k=j}else{j=c[f>>2]|0;if((j|0)==1){l=d+(g*80|0)+40|0;PW(l)|0;k=l;break}else if((j|0)==2){yW(h)|0;k=d+(g*80|0)+40|0;break}else if((j|0)==3){j=d+(g*80|0)+40|0;RW(j)|0;k=j;break}else{m=9;break a}}}while(0);mla(c[k>>2]|0);h=g+1|0;if((h|0)<(c[e>>2]|0)){g=h}else{m=11;break}}if((m|0)==9){$S(c[a+536>>2]|0,9979936,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}else if((m|0)==11){i=b;return 0}return 0}function NW(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0;e=i;i=i+152|0;f=e|0;g=e+8|0;j=e+32|0;k=e+56|0;l=e+80|0;m=e+104|0;n=e+128|0;o=c[b+468>>2]|0;p=c[b+200>>2]|0;q=0;while(1){if((q|0)>=(p|0)){r=0;s=22;break}if((a[o+(q*80|0)+72|0]|0)==0){break}else{q=q+1|0}}if((s|0)==22){i=e;return r|0}p=o+(q*80|0)+4|0;q=c[p>>2]|0;o=f|0;c[o>>2]=1;c[f+4>>2]=q;if((d|0)==0){r=1;i=e;return r|0}d=b+56|0;D8(g,d,q);t=+h[c[c[b+4>>2]>>2]>>3];YS(17,1,o,9976632,(o=i,i=i+16|0,c[o>>2]=c[g+8>>2],h[o+8>>3]=t,o)|0);i=o;do{if((a[b+312|0]|0)==0){D8(m,d,c[p>>2]|0);g=m+12|0;if((c[g>>2]|0)<=0){break}q=n+16|0;f=0;while(1){u=f+1|0;D8(n,d,c[p>>2]|0);v=c[(c[(c[q>>2]|0)+(f<<2)>>2]|0)+4>>2]|0;ZS(17,0,9966536,(o=i,i=i+16|0,c[o>>2]=u,c[o+8>>2]=v,o)|0);i=o;D8(m,d,c[p>>2]|0);if((u|0)<(c[g>>2]|0)){f=u}else{break}}}else{ZS(17,1,9973440,(o=i,i=i+1|0,i=i+7&-8,c[o>>2]=0,o)|0);i=o;D8(j,d,c[p>>2]|0);f=j+12|0;if((c[f>>2]|0)>0){g=b+116|0;q=l+16|0;u=b+8|0;v=k+16|0;w=0;while(1){a:do{if((c[g>>2]|0)>0){x=w+1|0;y=0;while(1){z=c[(c[u>>2]|0)+(y*112|0)+4>>2]|0;D8(k,d,c[p>>2]|0);if((Lla(z,c[(c[(c[v>>2]|0)+(w<<2)>>2]|0)+4>>2]|0)|0)==0){break}z=y+1|0;if((z|0)<(c[g>>2]|0)){y=z}else{s=15;break a}}z=c[u>>2]|0;A=c[z+(y*112|0)+4>>2]|0;t=+h[z+(y*112|0)+96>>3];B=+h[z+(y*112|0)+80>>3];ZS(17,0,9970848,(o=i,i=i+32|0,c[o>>2]=x,c[o+8>>2]=A,h[o+16>>3]=t,h[o+24>>3]=B,o)|0);i=o;C=w+1|0}else{s=15}}while(0);if((s|0)==15){s=0;A=w+1|0;D8(l,d,c[p>>2]|0);z=c[(c[(c[q>>2]|0)+(w<<2)>>2]|0)+4>>2]|0;ZS(17,0,9968792,(o=i,i=i+16|0,c[o>>2]=A,c[o+8>>2]=z,o)|0);i=o;C=A}D8(j,d,c[p>>2]|0);if((C|0)<(c[f>>2]|0)){w=C}else{break}}}if((c[2500033]|c[2500100]|0)==0){break}$d[c[3540]&511](17)}}while(0);if((c[2500033]|c[2500100]|0)==0){r=1;i=e;return r|0}$d[c[3540]&511](17);r=1;i=e;return r|0}function OW(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0;d=i;e=lla(144)|0;c[b>>2]=e;_S(0,(e|0)!=0|0,9980776,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;c[e>>2]=0;g=a<<3;c[e+4>>2]=lla(g)|0;c[e+16>>2]=lla(g)|0;c[e+8>>2]=1;c[e+12>>2]=lla(g)|0;c[e+20>>2]=a;c[e+24>>2]=lla(g)|0;c[e+28>>2]=nla(a,8)|0;h[e+32>>3]=1.0e-12;c[e+40>>2]=a*1e4|0;j=a-1|0;c[e+44>>2]=j;c[e+48>>2]=j;h[e+56>>3]=1.0e-12;c[e+64>>2]=lla(g)|0;c[e+68>>2]=lla(g)|0;c[e+72>>2]=1;h[e+80>>3]=100.0;c[e+88>>2]=-1;c[e+92>>2]=0;c[e+96>>2]=0;c[e+100>>2]=0;j=ga(a,a)|0;c[e+104>>2]=nla(j,8)|0;c[e+108>>2]=nla(j,8)|0;c[e+112>>2]=a;j=(ga(a+1|0,a)|0)/2|0;c[e+116>>2]=lla(j<<3)|0;c[e+120>>2]=j;c[e+124>>2]=lla(g)|0;c[e+128>>2]=lla(g)|0;c[e+132>>2]=lla(g)|0;c[e+136>>2]=lla(g)|0;c[e+140>>2]=lla(g)|0;_S(0,(c[b>>2]|0)!=0|0,9980064,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;i=d;return 0}function PW(a){a=a|0;var b=0;b=c[a>>2]|0;mla(c[b+4>>2]|0);mla(c[b+16>>2]|0);mla(c[b+12>>2]|0);mla(c[b+24>>2]|0);mla(c[b+28>>2]|0);mla(c[b+64>>2]|0);mla(c[b+68>>2]|0);mla(c[b+104>>2]|0);mla(c[b+108>>2]|0);mla(c[b+116>>2]|0);mla(c[b+124>>2]|0);mla(c[b+128>>2]|0);mla(c[b+132>>2]|0);mla(c[b+136>>2]|0);mla(c[b+140>>2]|0);return 0}function QW(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;e=lla(80)|0;c[b>>2]=e;_S(0,(e|0)!=0|0,9978360,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;c[e>>2]=0;g=a<<3;c[e+4>>2]=lla(g)|0;c[e+8>>2]=lla(g)|0;c[e+12>>2]=a;c[e+16>>2]=lla(g)|0;c[e+20>>2]=nla(a,8)|0;h[e+24>>3]=1.0e-8;h[e+32>>3]=1.0e-8;c[e+44>>2]=a*100|0;h[e+56>>3]=2.220446049250313e-16;c[e+64>>2]=lla(ga(g,a)|0)|0;c[e+68>>2]=lla(g)|0;c[e+72>>2]=lla(a<<2)|0;_S(0,(c[b>>2]|0)!=0|0,9979616,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;i=d;return 0}function RW(a){a=a|0;var b=0;b=c[a>>2]|0;mla(c[b+4>>2]|0);mla(c[b+8>>2]|0);mla(c[b+16>>2]|0);mla(c[b+20>>2]|0);mla(c[b+64>>2]|0);mla(c[b+68>>2]|0);mla(c[b+72>>2]|0);return 0}function SW(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=c[b+24>>2]|0;if((d|0)==2){TW(a,b);e=0;return e|0}else if((d|0)==3){e=zV(a,b)|0;return e|0}else if((d|0)==4){ie[c[(c[a+540>>2]|0)+56>>2]&3](a,+h[b+8>>3])|0;h[b>>3]=+h[c[c[a+4>>2]>>2]>>3];e=0;return e|0}else if((d|0)==1){d=c[a+4>>2]|0;f=c[d+4>>2]|0;UW(c[d>>2]|0,+h[f>>3],c[f+8>>2]|0,c[a+112>>2]|0,b);e=0;return e|0}else{e=1;return e|0}return 0}function TW(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0.0,s=0,t=0,u=0,v=0,w=0.0,x=0,y=0.0;d=c[c[b+48>>2]>>2]|0;e=c[a+4>>2]|0;f=c[e>>2]|0;g=c[e+4>>2]|0;e=f+8|0;i=c[e>>2]|0;j=a+112|0;k=c[j>>2]|0;l=g+8|0;m=c[l>>2]|0;n=g|0;g=b+8|0;o=b|0;h[o>>3]=+h[n>>3]+ +h[g>>3];if((k|0)>0){b=c[d>>2]|0;p=0;do{h[b+(p<<3)>>3]=+h[m+(p+k<<3)>>3];p=p+1|0;}while((p|0)<(k|0))}p=f|0;f=a+540|0;m=1;b=k;do{if((b|0)>0){q=c[l>>2]|0;r=+h[8032+(m<<3)>>3];s=c[d+(m-1<<2)>>2]|0;t=c[e>>2]|0;u=0;while(1){h[t+(u<<3)>>3]=+h[q+(u<<3)>>3]+ +h[g>>3]*r*+h[s+(u<<3)>>3];v=u+1|0;if((v|0)<(b|0)){u=v}else{w=r;break}}}else{w=+h[8032+(m<<3)>>3]}h[p>>3]=+h[n>>3]+w*+h[g>>3];ce[c[(c[f>>2]|0)+28>>2]&255](a)|0;b=c[j>>2]|0;x=(b|0)>0;if(x){u=c[d+(m<<2)>>2]|0;s=0;do{h[u+(s<<3)>>3]=+h[i+(s+k<<3)>>3];s=s+1|0;}while((s|0)<(b|0))}m=m+1|0;}while((m|0)<4);if(!x){y=+h[o>>3];h[p>>3]=y;return}x=c[l>>2]|0;l=c[e>>2]|0;e=c[d>>2]|0;m=c[d+4>>2]|0;k=c[d+8>>2]|0;i=c[d+12>>2]|0;d=0;do{h[l+(d<<3)>>3]=+h[x+(d<<3)>>3]+(+h[e+(d<<3)>>3]*.16666666666666666+0.0+ +h[m+(d<<3)>>3]*.3333333333333333+ +h[k+(d<<3)>>3]*.3333333333333333+ +h[i+(d<<3)>>3]*.16666666666666666)*+h[g>>3];d=d+1|0;}while((d|0)<(b|0));y=+h[o>>3];h[p>>3]=y;return}function UW(a,b,d,e,f){a=a|0;b=+b;d=d|0;e=e|0;f=f|0;var g=0,i=0.0,j=0.0,k=0,l=0.0,m=0,n=0,o=0;g=f+8|0;i=+h[g>>3];j=i+b;k=f|0;h[k>>3]=j;if((e|0)<=0){l=j;m=a|0;h[m>>3]=l;return}f=c[a+8>>2]|0;n=0;j=i;while(1){h[f+(n<<3)>>3]=+h[d+(n<<3)>>3]+ +h[d+(n+e<<3)>>3]*j;o=n+1|0;if((o|0)>=(e|0)){break}n=o;j=+h[g>>3]}l=+h[k>>3];m=a|0;h[m>>3]=l;return}function VW(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0;e=i;h[d>>3]=+h[b+240>>3];h[d+8>>3]=+h[b+264>>3];h[d+16>>3]=0.0;a[d+28|0]=0;c[d+32>>2]=nT(4)|0;c[d+36>>2]=0;c[d+40>>2]=0;c[d+44>>2]=0;f=c[d+24>>2]|0;a:do{if((f|0)==4){g=c[2502390]|0;j=lla(g<<2)|0;c[25e5]=j;if((g|0)<=0){k=0;break}l=c[b+116>>2]|0;m=0;n=j;while(1){c[n+(m<<2)>>2]=nla(l,8)|0;j=m+1|0;if((j|0)>=(g|0)){k=0;break a}m=j;n=c[25e5]|0}}else if((f|0)==2){n=lla(8)|0;c[n+4>>2]=4;m=lla(20)|0;g=n;c[g>>2]=m;l=c[b+112>>2]|0;j=0;o=m;while(1){c[o+(j<<2)>>2]=nla(l,8)|0;m=j+1|0;if((m|0)>=5){break}j=m;o=c[g>>2]|0}c[d+48>>2]=n;k=0}else if((f|0)==3){g=lla(88)|0;XS(23,0,9977968,(o=i,i=i+1|0,i=i+7&-8,c[o>>2]=0,o)|0);i=o;o=xV(b,d,g)|0;c[d+48>>2]=g;k=o}else{k=0}}while(0);gX(b)|0;if((c[2502320]|0)==0){i=e;return k|0}JU(6);GU(1);i=e;return k|0}function WW(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;d=c[b+24>>2]|0;if((d|0)==4){e=c[2502390]|0;f=c[25e5]|0;if((e|0)>0){g=0;h=f;while(1){mla(c[h+(g<<2)>>2]|0);i=g+1|0;j=c[25e5]|0;if((i|0)<(e|0)){g=i;h=j}else{k=j;break}}}else{k=f}mla(k)}else if((d|0)==2){k=b+48|0;f=c[k>>2]|0;h=c[f>>2]|0;if(((c[f+4>>2]|0)+1|0)>0){f=0;g=h;while(1){mla(c[g+(f<<2)>>2]|0);e=f+1|0;j=c[k>>2]|0;i=c[j>>2]|0;if((e|0)<((c[j+4>>2]|0)+1|0)){f=e;g=i}else{l=i;break}}}else{l=h}mla(l);mla(c[k>>2]|0)}else if((d|0)==3){yV(c[b+48>>2]|0)|0}hX(a)|0;bX(a);return 0}function XW(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=+f;g=g|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,z=0;j=i;i=i+160|0;k=1;l=0;m=i;i=i+168|0;c[m>>2]=0;while(1)switch(k|0){case 1:n=j|0;o=a+536|0;p=c[o>>2]|0;pa(58,a|0);if((x|0)!=0&(y|0)!=0){l=Sla(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;q=a+540|0;sa(c[(c[q>>2]|0)+40>>2]|0,a|0)|0;if((x|0)!=0&(y|0)!=0){l=Sla(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;r=a+240|0;h[c[c[a+4>>2]>>2]>>3]=+h[r>>3];pa(c[(c[q>>2]|0)+4>>2]|0,a|0);if((x|0)!=0&(y|0)!=0){l=Sla(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;pa(78,a|0);if((x|0)!=0&(y|0)!=0){l=Sla(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;na(2,+(+h[a+272>>3]));if((x|0)!=0&(y|0)!=0){l=Sla(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;c[(c[o>>2]|0)+84>>2]=1;s=p+80|0;t=c[s>>2]|0;c[s>>2]=n;u=Rla(n|0,k,m)|0;k=9;break;case 9:if((u|0)==0){k=2;break}else{k=5;break};case 2:n=Da(2,a|0,b|0,d|0,e|0,+f,g|0)|0;if((x|0)!=0&(y|0)!=0){l=Sla(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;if((n|0)==0){v=0;k=4;break}else{k=3;break};case 3:Ka(14,1,0,9979368,(w=i,i=i+1|0,i=i+7&-8,c[w>>2]=0,w)|0);if((x|0)!=0&(y|0)!=0){l=Sla(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;i=w;h[a+248>>3]=+h[r>>3];v=-1;k=4;break;case 4:c[s>>2]=t;Ia(4);if((x|0)!=0&(y|0)!=0){l=Sla(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;z=v;k=6;break;case 5:c[s>>2]=t;Ia(4);if((x|0)!=0&(y|0)!=0){l=Sla(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;Ka(28,2,0,9955704,(w=i,i=i+1|0,i=i+7&-8,c[w>>2]=0,w)|0);if((x|0)!=0&(y|0)!=0){l=Sla(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;i=w;z=-1;k=6;break;case 6:qa(c[2006]|0,8e3,a|0);if((x|0)!=0&(y|0)!=0){l=Sla(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;Ka(28,23,0,8090952,(w=i,i=i+1|0,i=i+7&-8,c[w>>2]=0,w)|0);if((x|0)!=0&(y|0)!=0){l=Sla(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;i=w;if((c[2502320]|0)==0){k=8;break}else{k=7;break};case 7:pa(310,1);if((x|0)!=0&(y|0)!=0){l=Sla(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;k=8;break;case 8:i=j;return z|0;case-1:if((l|0)==1){u=y;k=9}x=y=0;break}return 0}function YW(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0.0,j=0,k=0,l=0.0,m=0.0,n=0;f=i;g=+h[d>>3];do{if(!(g<+h[b+248>>3])){if((c[d+24>>2]|0)==5){break}XS(8,0,46384,(j=i,i=i+8|0,h[j>>3]=g,j)|0);i=j;k=b+313|0;a[k]=1;XV(b);if((c[2500218]|0)==0){ae[c[2005]&255](8e3,b)}a[k]=0}}while(0);y7(40880,1.0);if((e|0)!=0){ZW(Qc(e|0)|0,b)}if((c[2500041]|0)==0){i=f;return 0}JU(0);XS(25,0,36224,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;XS(25,1,31568,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;g=+BU(6);l=+BU(6);m=l/+BU(0)*100.0;XS(25,0,27608,(j=i,i=i+16|0,h[j>>3]=g,h[j+8>>3]=m,j)|0);i=j;m=+BU(1);g=+BU(1);l=g/+BU(0)*100.0;XS(25,0,24328,(j=i,i=i+16|0,h[j>>3]=m,h[j+8>>3]=l,j)|0);i=j;l=+BU(2);m=+BU(2);g=m/+BU(0)*100.0;XS(25,0,9983792,(j=i,i=i+16|0,h[j>>3]=l,h[j+8>>3]=g,j)|0);i=j;g=+BU(3);l=+BU(3);m=l/+BU(0)*100.0;XS(25,0,9979856,(j=i,i=i+16|0,h[j>>3]=g,h[j+8>>3]=m,j)|0);i=j;m=+BU(4);g=+BU(4);l=g/+BU(0)*100.0;XS(25,0,9976520,(j=i,i=i+16|0,h[j>>3]=m,h[j+8>>3]=l,j)|0);i=j;l=+BU(7);m=+BU(7);g=m/+BU(0)*100.0;XS(25,0,9973360,(j=i,i=i+16|0,h[j>>3]=l,h[j+8>>3]=g,j)|0);i=j;b=d+24|0;e=(c[b>>2]|0)==5;g=+BU(0);l=g- +BU(7);g=l- +BU(4);l=g- +BU(3);g=l- +BU(2);l=g- +BU(1);g=l- +BU(6);l=+BU(0);m=l- +BU(7);l=m- +BU(4);m=l- +BU(3);l=m- +BU(2);m=l- +BU(1);l=m- +BU(6);m=l/+BU(0)*100.0;if(e){XS(25,0,9968704,(j=i,i=i+16|0,h[j>>3]=g,h[j+8>>3]=m,j)|0);i=j}else{XS(25,0,9970816,(j=i,i=i+16|0,h[j>>3]=g,h[j+8>>3]=m,j)|0);i=j}m=+BU(0);g=+BU(0);l=g/+BU(0)*100.0;XS(25,0,9966504,(j=i,i=i+16|0,h[j>>3]=m,h[j+8>>3]=l,j)|0);i=j;$d[c[3540]&511](25);XS(25,1,9964368,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;XS(25,0,9962160,(j=i,i=i+8|0,c[j>>2]=c[d+40>>2],j)|0);i=j;XS(25,0,9960056,(j=i,i=i+8|0,c[j>>2]=c[d+44>>2],j)|0);i=j;$d[c[3540]&511](25);e=c[b>>2]|0;if((e|0)==3){b=d+48|0;d=c[b>>2]|0;k=c[d+8>>2]|0;n=c[d+4>>2]|0;c[n>>2]=(c[n>>2]|0)+(c[k>>2]|0);d=n+4|0;c[d>>2]=(c[d>>2]|0)+(c[k+4>>2]|0);d=n+8|0;c[d>>2]=(c[d>>2]|0)+(c[k+8>>2]|0);d=n+12|0;c[d>>2]=(c[d>>2]|0)+(c[k+12>>2]|0);d=n+16|0;c[d>>2]=(c[d>>2]|0)+(c[k+16>>2]|0);XS(25,1,9958032,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;XS(25,0,9955904,(j=i,i=i+8|0,c[j>>2]=c[c[(c[b>>2]|0)+4>>2]>>2],j)|0);i=j;XS(25,0,9953320,(j=i,i=i+8|0,c[j>>2]=c[(c[(c[b>>2]|0)+4>>2]|0)+4>>2],j)|0);i=j;XS(25,0,9951488,(j=i,i=i+8|0,c[j>>2]=c[(c[(c[b>>2]|0)+4>>2]|0)+8>>2],j)|0);i=j;XS(25,0,9949624,(j=i,i=i+8|0,c[j>>2]=c[(c[(c[b>>2]|0)+4>>2]|0)+12>>2],j)|0);i=j;XS(25,0,9947584,(j=i,i=i+8|0,c[j>>2]=c[(c[(c[b>>2]|0)+4>>2]|0)+16>>2],j)|0);i=j;$d[c[3540]&511](25)}else if((e|0)!=5){XS(25,1,9945320,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;XS(25,0,9943112,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;$d[c[3540]&511](25)}XS(25,0,9941240,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;GU(0);i=f;return 0}function ZW(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0.0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0;e=i;f=Xa(b|0,49720)|0;b=c[r>>2]|0;g=d+4|0;td(b|0,49080,(j=i,i=i+8|0,h[j>>3]=+h[c[c[g>>2]>>2]>>3],j)|0)|0;i=j;if((f|0)==0){k=Wa(10,b|0)|0;l=Ta(b|0)|0;i=e;return}m=d+116|0;n=d+124|0;o=d+128|0;p=d+132|0;q=d+216|0;s=d+220|0;t=d+224|0;u=d+228|0;v=d+136|0;w=d+140|0;x=d+144|0;y=d+148|0;z=d+36|0;A=d+428|0;B=d+32|0;C=d+424|0;D=d+28|0;E=d+420|0;F=d+24|0;G=d+416|0;H=d+52|0;I=d+48|0;J=d+44|0;K=d+40|0;L=d+20|0;M=d+16|0;N=d+12|0;O=d+8|0;d=f;do{f=c[m>>2]|0;if((f|0)>0){P=0;Q=f;while(1){if((Lla(d,c[(c[O>>2]|0)+(P*112|0)+4>>2]|0)|0)==0){R=+h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+(P<<3)>>3];td(b|0,48432,(j=i,i=i+16|0,c[j>>2]=d,h[j+8>>3]=R,j)|0)|0;i=j;S=c[m>>2]|0}else{S=Q}f=P+1|0;if((f|0)<(S|0)){P=f;Q=S}else{break}}}Q=c[n>>2]|0;if((Q|0)>0){P=0;f=Q;while(1){if((Lla(d,c[(c[N>>2]|0)+(P*60|0)+4>>2]|0)|0)==0){Q=c[(c[(c[c[g>>2]>>2]|0)+12>>2]|0)+(P<<2)>>2]|0;td(b|0,47816,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=Q,j)|0)|0;i=j;T=c[n>>2]|0}else{T=f}Q=P+1|0;if((Q|0)<(T|0)){P=Q;f=T}else{break}}}f=c[o>>2]|0;if((f|0)>0){P=0;Q=f;while(1){if((Lla(d,c[(c[M>>2]|0)+(P*48|0)+4>>2]|0)|0)==0){f=a[(c[(c[c[g>>2]>>2]|0)+16>>2]|0)+P|0]|0;td(b|0,47200,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=f,j)|0)|0;i=j;U=c[o>>2]|0}else{U=Q}f=P+1|0;if((f|0)<(U|0)){P=f;Q=U}else{break}}}Q=c[p>>2]|0;if((Q|0)>0){P=0;f=Q;while(1){if((Lla(d,c[(c[L>>2]|0)+(P*52|0)+4>>2]|0)|0)==0){Q=c[(c[(c[c[g>>2]>>2]|0)+20>>2]|0)+(P<<2)>>2]|0;td(b|0,46560,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=Q,j)|0)|0;i=j;V=c[p>>2]|0}else{V=f}Q=P+1|0;if((Q|0)<(V|0)){P=Q;f=V}else{break}}}if((c[q>>2]|0)>0){f=0;do{P=c[K>>2]|0;do{if((Lla(d,c[P+(f*52|0)+16>>2]|0)|0)==0){R=+h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+(c[P+(f*52|0)+4>>2]<<3)>>3];if((c[P+(f*52|0)>>2]|0)==0){td(b|0,48432,(j=i,i=i+16|0,c[j>>2]=d,h[j+8>>3]=R,j)|0)|0;i=j;break}else{td(b|0,48432,(j=i,i=i+16|0,c[j>>2]=d,h[j+8>>3]=-0.0-R,j)|0)|0;i=j;break}}}while(0);f=f+1|0;}while((f|0)<(c[q>>2]|0))}if((c[s>>2]|0)>0){f=0;do{P=c[J>>2]|0;do{if((Lla(d,c[P+(f*52|0)+16>>2]|0)|0)==0){Q=c[(c[(c[c[g>>2]>>2]|0)+12>>2]|0)+(c[P+(f*52|0)+4>>2]<<2)>>2]|0;if((c[P+(f*52|0)>>2]|0)==0){td(b|0,47816,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=Q,j)|0)|0;i=j;break}else{td(b|0,47816,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=-Q,j)|0)|0;i=j;break}}}while(0);f=f+1|0;}while((f|0)<(c[s>>2]|0))}if((c[t>>2]|0)>0){f=0;do{P=c[I>>2]|0;do{if((Lla(d,c[P+(f*52|0)+16>>2]|0)|0)==0){Q=a[(c[(c[c[g>>2]>>2]|0)+16>>2]|0)+(c[P+(f*52|0)+4>>2]|0)|0]|0;if((c[P+(f*52|0)>>2]|0)==0){td(b|0,47200,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=Q,j)|0)|0;i=j;break}else{td(b|0,47200,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=-Q,j)|0)|0;i=j;break}}}while(0);f=f+1|0;}while((f|0)<(c[t>>2]|0))}f=c[u>>2]|0;if((f|0)>0){P=0;Q=f;while(1){f=c[H>>2]|0;if((Lla(d,c[f+(P*52|0)+16>>2]|0)|0)==0){W=c[(c[(c[c[g>>2]>>2]|0)+20>>2]|0)+(c[f+(P*52|0)+4>>2]<<2)>>2]|0;td(b|0,46560,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=W,j)|0)|0;i=j;X=c[u>>2]|0}else{X=Q}W=P+1|0;if((W|0)<(X|0)){P=W;Q=X}else{break}}}Q=c[v>>2]|0;if((Q|0)>0){P=0;W=Q;while(1){if((Lla(d,c[(c[F>>2]|0)+(P*112|0)+4>>2]|0)|0)==0){R=+h[(c[G>>2]|0)+(P<<3)>>3];td(b|0,48432,(j=i,i=i+16|0,c[j>>2]=d,h[j+8>>3]=R,j)|0)|0;i=j;Y=c[v>>2]|0}else{Y=W}Q=P+1|0;if((Q|0)<(Y|0)){P=Q;W=Y}else{break}}}W=c[w>>2]|0;if((W|0)>0){P=0;Q=W;while(1){if((Lla(d,c[(c[D>>2]|0)+(P*60|0)+4>>2]|0)|0)==0){W=c[(c[E>>2]|0)+(P<<2)>>2]|0;td(b|0,47816,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=W,j)|0)|0;i=j;Z=c[w>>2]|0}else{Z=Q}W=P+1|0;if((W|0)<(Z|0)){P=W;Q=Z}else{break}}}Q=c[x>>2]|0;if((Q|0)>0){P=0;W=Q;while(1){if((Lla(d,c[(c[B>>2]|0)+(P*48|0)+4>>2]|0)|0)==0){Q=a[(c[C>>2]|0)+P|0]|0;td(b|0,47200,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=Q,j)|0)|0;i=j;_=c[x>>2]|0}else{_=W}Q=P+1|0;if((Q|0)<(_|0)){P=Q;W=_}else{break}}}W=c[y>>2]|0;if((W|0)>0){P=0;Q=W;while(1){if((Lla(d,c[(c[z>>2]|0)+(P*52|0)+4>>2]|0)|0)==0){W=c[(c[A>>2]|0)+(P<<2)>>2]|0;td(b|0,46560,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=W,j)|0)|0;i=j;$=c[y>>2]|0}else{$=Q}W=P+1|0;if((W|0)<($|0)){P=W;Q=$}else{break}}}d=Xa(0,49720)|0;}while((d|0)!=0);k=Wa(10,b|0)|0;l=Ta(b|0)|0;i=e;return}function _W(b,d,e,f,g,j,k,l){b=b|0;d=d|0;e=e|0;f=f|0;g=+g;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0;m=i;i=i+56|0;n=m|0;o=n+24|0;c[o>>2]=k;a:do{switch(k|0){case 12:case 13:case 14:case 15:case 16:case 17:{c[o>>2]=3;break};case 4:{p=c[2505826]|0;if((p|0)!=0){if((Lla(p,8091264)|0)==0){break a}}XS(23,0,56656,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q;r=1;i=m;return r|0};case 8:case 7:case 6:case 9:case 10:case 11:{ZS(1,0,9939384,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q;r=1;i=m;return r|0};case 18:{p=c[2505826]|0;do{if((p|0)!=0){if((Lla(p,54872)|0)!=0){break}c[o>>2]=4;break a}}while(0);XS(23,0,52472,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q;r=1;i=m;return r|0};case 5:{ZS(1,0,9937440,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q;r=1;i=m;return r|0};default:{}}}while(0);k=VW(b,n)|0;pe[c[2175]&15]()|0;if((a[b+440|0]|0)!=0){iX(b)|0;ce[c[(c[b+540>>2]|0)+44>>2]&255](b)|0}do{if((k|0)==0){p=XW(b,d,e,f,g,j)|0;pe[c[2175]&15]()|0;if((p|0)!=0){s=p;break}if((c[o>>2]|0)!=5){ae[c[2005]&255](8e3,b);fW(b)}t=+h[b+248>>3];XS(23,0,50416,(q=i,i=i+16|0,h[q>>3]=+h[b+240>>3],h[q+8>>3]=t,q)|0);i=q;p=me[c[c[b+540>>2]>>2]&127](b,n)|0;pe[c[2175]&15]()|0;YW(b,n,l)|0;pe[c[2175]&15]()|0;s=p}else{pe[c[2175]&15]()|0;s=k}}while(0);WW(b,n)|0;r=s;i=m;return r|0}function $W(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;d=a+204|0;e=a+488|0;f=a;g=0;while(1){if((g|0)>=(c[d>>2]|0)){h=5;break}if((ce[c[(c[e>>2]|0)+(g*48|0)+40>>2]&255](f)|0)==0){g=g+1|0}else{h=4;break}}if((h|0)==4){$S(c[a+536>>2]|0,9976576,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g}else if((h|0)==5){aX(a);i=b;return}}function aX(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;b=a+204|0;if((c[b>>2]|0)<=0){return}d=a+488|0;e=a+12|0;f=a+4|0;a=0;do{g=c[d>>2]|0;h=(c[c[g+(a*48|0)+12>>2]>>2]|0)-(c[c[e>>2]>>2]|0)|0;i=c[(c[c[f>>2]>>2]|0)+12>>2]|0;j=g+(a*48|0)|0;k=g+(a*48|0)+4|0;Qla(i+(h<<2)|0,0,ga(c[j>>2]<<2,c[k>>2]|0)|0)|0;l=g+(a*48|0)+8|0;if((c[l>>2]|0)>0){m=c[g+(a*48|0)+16>>2]|0;n=0;do{c[m+(n<<2)>>2]=n;n=n+1|0;}while((n|0)<(c[l>>2]|0))}l=c[j>>2]|0;if((l|0)>0){n=c[g+(a*48|0)+20>>2]|0;m=0;o=l;do{c[n+(m<<2)>>2]=o+~m;m=m+1|0;o=c[j>>2]|0;}while((m|0)<(o|0))}o=c[k>>2]|0;if((o|0)>0){m=0;j=o;do{c[i+(m+h+(ga(j,m)|0)<<2)>>2]=1;m=m+1|0;j=c[k>>2]|0;}while((m|0)<(j|0))}a=a+1|0;}while((a|0)<(c[b>>2]|0));return}function bX(a){a=a|0;var b=0,d=0,e=0;b=a+204|0;if((c[b>>2]|0)<=0){return}d=a+488|0;a=0;do{e=c[d>>2]|0;mla(c[e+(a*48|0)+28>>2]|0);mla(c[e+(a*48|0)+32>>2]|0);mla(c[e+(a*48|0)+16>>2]|0);mla(c[e+(a*48|0)+20>>2]|0);mla(c[e+(a*48|0)+24>>2]|0);a=a+1|0;}while((a|0)<(c[b>>2]|0));return}function cX(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0.0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0.0;f=i;i=i+4096|0;g=f|0;j=b+204|0;if((c[j>>2]|0)<=0){k=0;i=f;return k|0}l=b+488|0;m=d<<24>>24==0;d=(e|0)==0;n=0;o=0;while(1){p=c[l>>2]|0;q=p+(o*48|0)|0;r=lla(c[q>>2]<<2)|0;s=p+(o*48|0)+8|0;t=lla(c[s>>2]<<2)|0;dX(b,o);u=p+(o*48|0)+20|0;v=c[u>>2]|0;w=c[q>>2]|0;Pla(r|0,v|0,w<<2)|0;x=p+(o*48|0)+16|0;y=c[x>>2]|0;z=c[s>>2]|0;Pla(t|0,y|0,z<<2)|0;A=p+(o*48|0)+24|0;if(!((wV(c[A>>2]|0,z,w,y,v)|0)==0|m)){break}v=eX(r,c[u>>2]|0,c[q>>2]|0,c[s>>2]|0,c[p+(o*48|0)+4>>2]|0,c[p+(o*48|0)+12>>2]|0,c[p+(o*48|0)+28>>2]|0,c[p+(o*48|0)+32>>2]|0,b,e)|0;if(d){Pla(c[u>>2]|0,r|0,c[q>>2]<<2)|0;Pla(c[x>>2]|0,t|0,c[s>>2]<<2)|0}s=(v|0)==0?n:1;mla(r);mla(t);t=o+1|0;if((t|0)<(c[j>>2]|0)){n=s;o=t}else{k=s;B=16;break}}if((B|0)==16){i=f;return k|0}k=p+(o*48|0)+44|0;f=c[k>>2]|0;B=b+464|0;n=c[B>>2]|0;j=c[n+(f*44|0)>>2]|0;ZS(5,1,9979152,(d=i,i=i+24|0,c[d>>2]=c[n+(f*44|0)+4>>2],c[d+8>>2]=j,c[d+16>>2]=f,d)|0);i=d;f=c[B>>2]|0;if((c[f+((c[k>>2]|0)*44|0)+4>>2]|0)!=0){j=g|0;g=0;n=f;do{a[j]=0;f=c[n+((c[k>>2]|0)*44|0)>>2]|0;if((f|0)!=0){e=0;m=f;do{f=(ga(m,g)|0)+e|0;C=+h[(c[A>>2]|0)+(f<<3)>>3];Rb(j|0,9955384,(d=i,i=i+16|0,c[d>>2]=j,h[d+8>>3]=C,d)|0)|0;i=d;e=e+1|0;m=c[(c[B>>2]|0)+((c[k>>2]|0)*44|0)>>2]|0;}while(e>>>0<m>>>0)}ZS(5,0,8090672,(d=i,i=i+8|0,c[d>>2]=j,d)|0);i=d;g=g+1|0;n=c[B>>2]|0;}while(g>>>0<(c[n+((c[k>>2]|0)*44|0)+4>>2]|0)>>>0)}if((c[q>>2]|0)<=0){D=c[3540]|0;$d[D&511](5);E=b+536|0;F=c[E>>2]|0;G=b+4|0;H=c[G>>2]|0;I=c[H>>2]|0;J=I|0;K=+h[J>>3];$S(F,46080,(d=i,i=i+8|0,h[d>>3]=K,d)|0);i=d;return 0}k=p+(o*48|0)+32|0;o=0;do{ZS(5,0,8090672,(d=i,i=i+8|0,c[d>>2]=c[(c[(c[k>>2]|0)+(o<<2)>>2]|0)+4>>2],d)|0);i=d;o=o+1|0;}while((o|0)<(c[q>>2]|0));D=c[3540]|0;$d[D&511](5);E=b+536|0;F=c[E>>2]|0;G=b+4|0;H=c[G>>2]|0;I=c[H>>2]|0;J=I|0;K=+h[J>>3];$S(F,46080,(d=i,i=i+8|0,h[d>>3]=K,d)|0);i=d;return 0}function dX(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;d=a+488|0;e=c[d>>2]|0;f=c[e+(b*48|0)+44>>2]|0;g=a+464|0;i=c[g>>2]|0;j=c[e+(b*48|0)+24>>2]|0;Qla(j|0,0,ga(c[i+(f*44|0)+4>>2]<<3,c[i+(f*44|0)>>2]|0)|0)|0;i=c[g>>2]|0;if((c[i+(f*44|0)+24>>2]|0)==0){return}e=a;a=0;k=i;l=c[i+(f*44|0)>>2]|0;do{if((l|0)!=0){i=0;do{if(((c[(c[k+(f*44|0)+20>>2]|0)+(i<<2)>>2]|0)-1|0)==(a|0)){h[(c[k+(f*44|0)+28>>2]|0)+(i<<3)>>3]=1.0}i=i+1|0;}while(i>>>0<l>>>0)}ce[c[(c[d>>2]|0)+(b*48|0)+36>>2]&255](e)|0;k=c[g>>2]|0;l=c[k+(f*44|0)>>2]|0;do{if((l|0)!=0){i=c[k+(f*44|0)+28>>2]|0;m=0;do{do{if(+h[i+(m<<3)>>3]==1.0){if((m|0)==0){n=0;o=k+(f*44|0)+8|0}else{p=k+(f*44|0)+8|0;n=c[(c[p>>2]|0)+(m-1<<2)>>2]|0;o=p}p=c[(c[o>>2]|0)+(m<<2)>>2]|0;if(!(n>>>0<p>>>0)){break}q=c[k+(f*44|0)+12>>2]|0;r=c[k+(f*44|0)+4>>2]|0;s=c[k+(f*44|0)+36>>2]|0;t=n;do{u=c[q+(t<<2)>>2]|0;v=(ga(r,m)|0)+u|0;h[j+(v<<3)>>3]=+h[s+(u<<3)>>3];t=t+1|0;}while(t>>>0<p>>>0)}}while(0);m=m+1|0;}while(m>>>0<l>>>0);if((l|0)==0){break}m=c[k+(f*44|0)+20>>2]|0;i=0;do{if(((c[m+(i<<2)>>2]|0)-1|0)==(a|0)){h[(c[k+(f*44|0)+28>>2]|0)+(i<<3)>>3]=0.0}i=i+1|0;}while(i>>>0<l>>>0)}}while(0);a=a+1|0;}while(a>>>0<(c[k+(f*44|0)+24>>2]|0)>>>0);return}function eX(a,b,d,e,f,g,j,k,l,m){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;n=i;o=nla(d,4)|0;p=o;q=nla(d,4)|0;r=q;if((d|0)>0){s=0;while(1){t=(s|0)<(e|0)?1:2;c[r+(c[b+(s<<2)>>2]<<2)>>2]=t;c[p+(c[a+(s<<2)>>2]<<2)>>2]=t;t=s+1|0;if((t|0)<(d|0)){s=t}else{u=0;break}}}else{u=0}while(1){if((u|0)>=(d|0)){v=0;w=8;break}if((c[r+(u<<2)>>2]|0)==(c[p+(u<<2)>>2]|0)){u=u+1|0}else{break}}if((w|0)==8){mla(o);mla(q);i=n;return v|0}if((m|0)==0){v=-1;mla(o);mla(q);i=n;return v|0}XS(5,1,40664,(m=i,i=i+8|0,h[m>>3]=+h[c[c[l+4>>2]>>2]>>3],m)|0);i=m;fX(r,d,f,c[g>>2]|0,j,k,l);if((c[2500021]|0)==0){v=-1;mla(o);mla(q);i=n;return v|0}$d[c[3540]&511](5);v=-1;mla(o);mla(q);i=n;return v|0}function fX(a,b,d,e,f,g,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;k=i;l=e-(c[c[j+12>>2]>>2]|0)|0;e=j+4|0;m=c[(c[c[e>>2]>>2]|0)+12>>2]|0;Qla(m+(l<<2)|0,0,ga(b<<2,d)|0)|0;if((b|0)<=0){i=k;return}n=j+8|0;j=0;o=0;while(1){if((c[a+(o<<2)>>2]|0)==2){p=c[c[n>>2]>>2]|0;q=c[g+(o<<2)>>2]|0;r=(c[q>>2]|0)-p|0;s=(c[c[f+(j<<2)>>2]>>2]|0)-p|0;XS(5,0,35960,(p=i,i=i+8|0,c[p>>2]=c[q+4>>2],p)|0);i=p;c[m+(j+l+(ga(o,d)|0)<<2)>>2]=1;p=c[(c[c[e>>2]>>2]|0)+8>>2]|0;h[p+(s<<3)>>3]=+h[p+(r<<3)>>3];t=j+1|0}else{t=j}r=o+1|0;if((r|0)<(b|0)){j=t;o=r}else{break}}i=k;return}function gX(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0.0;d=i;e=Cc(9975856,9979072)|0;f=(e|0)!=0;a[b+440|0]=f&1;if(f){g=0}else{i=d;return 0}a:while(1){while(1){f=Db(e|0)|0;if((f|0)==10){break}else if((f|0)==(-1|0)){break a}}g=g+1|0}f=g-1|0;g=b+456|0;c[g>>2]=f;c[b+452>>2]=f;Fd(e|0);do{}while((Db(e|0)|0)!=10);j=c[b+152>>2]|0;k=nla(f,4)|0;f=b+444|0;c[f>>2]=k;l=c[g>>2]|0;m=(l|0)>0;b:do{if(m){n=0;o=k;while(1){c[o+(n<<2)>>2]=nla(j,8)|0;p=n+1|0;if((p|0)>=(l|0)){break}n=p;o=c[f>>2]|0}o=nla(l,8)|0;n=b+448|0;c[n>>2]=o;if(!m){q=n;break}p=(j|0)>0;r=0;s=o;while(1){o=ad(e|0,9955368,(t=i,i=i+8|0,c[t>>2]=s+(r<<3),t)|0)|0;i=t;if(p){u=0;while(1){v=ad(e|0,9955368,(t=i,i=i+8|0,c[t>>2]=(c[(c[f>>2]|0)+(r<<2)>>2]|0)+(u<<3),t)|0)|0;i=t;w=u+1|0;if((w|0)<(j|0)){u=w}else{x=v;break}}}else{x=o}if((x|0)<0){c[g>>2]=r;y=r}else{y=c[g>>2]|0}u=r+1|0;if((u|0)>=(y|0)){q=n;break b}r=u;s=c[n>>2]|0}}else{n=b+448|0;c[n>>2]=nla(l,8)|0;q=n}}while(0);Ac(8090648,(t=i,i=i+1|0,i=i+7&-8,c[t>>2]=0,t)|0)|0;i=t;Ac(7912,(t=i,i=i+1|0,i=i+7&-8,c[t>>2]=0,t)|0)|0;i=t;if((c[g>>2]|0)>0){l=(j|0)>0;y=0;do{Ac(40640,(t=i,i=i+8|0,h[t>>3]=+h[(c[q>>2]|0)+(y<<3)>>3],t)|0)|0;i=t;if(l){x=0;while(1){m=x+1|0;z=+h[(c[(c[f>>2]|0)+(y<<2)>>2]|0)+(x<<3)>>3];Ac(35928,(t=i,i=i+16|0,c[t>>2]=m,h[t+8>>3]=z,t)|0)|0;i=t;if((m|0)<(j|0)){x=m}else{break}}}y=y+1|0;}while((y|0)<(c[g>>2]|0))}Ic(7912)|0;Pa(e|0)|0;c[b+460>>2]=0;i=d;return 0}function hX(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0;if((a[b+440|0]|0)==0){return 0}mla(c[b+448>>2]|0);d=b+452|0;e=b+444|0;b=c[e>>2]|0;if((c[d>>2]|0)>0){f=0;g=b;while(1){mla(c[g+(f<<2)>>2]|0);h=f+1|0;i=c[e>>2]|0;if((h|0)<(c[d>>2]|0)){f=h;g=i}else{j=i;break}}}else{j=b}mla(j);return 0}function iX(b){b=b|0;var d=0,e=0.0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0,u=0.0,v=0.0,w=0.0;if((a[b+440|0]|0)==0){d=-1;return d|0}e=+h[c[c[b+4>>2]>>2]>>3];f=b+460|0;g=c[f>>2]|0;i=g+1|0;j=c[b+448>>2]|0;a:do{if(e>+h[j+(i<<3)>>3]){k=(c[b+456>>2]|0)-1|0;l=i;m=g;while(1){n=m+1|0;if((l|0)>=(k|0)){o=n;p=m;break a}c[f>>2]=n;q=m+2|0;if(e>+h[j+(q<<3)>>3]){l=q;m=n}else{r=n;s=4;break}}}else{r=g;s=4}}while(0);if((s|0)==4){o=r+1|0;p=r}t=+h[j+(p<<3)>>3];u=+h[j+(o<<3)>>3]-t;o=c[b+152>>2]|0;if((o|0)<=0){d=0;return d|0}j=c[b+444>>2]|0;r=c[j+(p<<2)>>2]|0;s=c[j+(p+1<<2)>>2]|0;v=t+u-e;w=e-t;p=c[b+432>>2]|0;b=0;while(1){h[p+(b<<3)>>3]=(v*+h[r+(b<<3)>>3]+w*+h[s+(b<<3)>>3])/u;j=b+1|0;if((j|0)<(o|0)){b=j}else{d=0;break}}return d|0}function jX(a){a=a|0;var b=0,d=0.0,e=0,f=0,g=0,j=0,k=0,l=0,m=0;b=i;d=+kX(a,1.0);if(!(d>1.0e-5)){e=0;i=b;return e|0}if((c[2500025]|0)==0){e=1;i=b;return e|0}XS(9,1,9975456,(f=i,i=i+8|0,h[f>>3]=d,f)|0);i=f;g=a+16|0;j=c[g>>2]|0;if((j|0)>0){k=a+48|0;a=0;l=j;while(1){d=+h[(c[k>>2]|0)+(a<<3)>>3];j=a+1|0;if(+V(+d)>1.0e-5){XS(9,0,9979048,(f=i,i=i+16|0,c[f>>2]=j,h[f+8>>3]=d,f)|0);i=f;m=c[g>>2]|0}else{m=l}if((j|0)<(m|0)){a=j;l=m}else{break}}}$d[c[3540]&511](9);e=1;i=b;return e|0}function kX(b,d){b=b|0;d=+d;var e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0.0,n=0.0,o=0.0,p=0.0,q=0,r=0.0,s=0.0,t=0.0,u=0,v=0,w=0.0,x=0,y=0,z=0.0,A=0.0,B=0,C=0.0,D=0,E=0,F=0.0,G=0.0,H=0,I=0.0,J=0;e=c[b+60>>2]|0;zX(b);f=e+540|0;ce[c[(c[f>>2]|0)+84>>2]&255](e)|0;ce[c[(c[f>>2]|0)+36>>2]&255](e)|0;ce[c[(c[f>>2]|0)+32>>2]&255](e)|0;g=b+48|0;me[c[(c[f>>2]|0)+68>>2]&127](e,c[g>>2]|0)|0;f=e+8|0;i=c[e+184>>2]|0;if((i|0)>0){j=c[b+52>>2]|0;k=(j|0)==0;l=c[g>>2]|0;g=0;m=0.0;while(1){if(k){n=1.0}else{n=+h[j+(g<<3)>>3]}o=+h[l+(g<<3)>>3]/n;p=m+o*o;q=g+1|0;if((q|0)<(i|0)){g=q;m=p}else{r=p;break}}}else{r=0.0}if(!(d<1.0)){s=r;return+s}m=r*d;g=c[e+116>>2]|0;if((g|0)>0){i=c[f>>2]|0;l=b+56|0;r=1.0-d;j=e+4|0;k=0;q=0;n=m;while(1){if((a[i+(k*112|0)+88|0]|0)==0){t=n;u=q}else{v=c[l>>2]|0;if((v|0)==0){w=1.0;x=q}else{w=+h[v+(q<<3)>>3];x=q+1|0}p=(+h[i+(k*112|0)+96>>3]- +h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+(k<<3)>>3])/w;t=n+p*r*p;u=x}v=k+1|0;if((v|0)<(g|0)){k=v;q=u;n=t}else{y=u;z=t;break}}}else{y=0;z=m}u=c[e+136>>2]|0;if((u|0)>0){q=c[e+24>>2]|0;k=b+56|0;m=1.0-d;x=e+416|0;j=0;i=y;t=z;while(1){do{if((a[q+(j*112|0)+88|0]|0)==0){A=t;B=i}else{if((a[q+(j*112|0)+72|0]|0)!=0){A=t;B=i;break}l=c[k>>2]|0;if((l|0)==0){C=1.0;D=i}else{C=+h[l+(i<<3)>>3];D=i+1|0}n=(+h[q+(j*112|0)+96>>3]- +h[(c[x>>2]|0)+(j<<3)>>3])/C;A=t+n*m*n;B=D}}while(0);l=j+1|0;if((l|0)<(u|0)){j=l;i=B;t=A}else{E=B;F=A;break}}}else{E=y;F=z}y=c[e+120>>2]|0;B=g-y|0;if((B|0)>=(y|0)){s=F;return+s}g=c[f>>2]|0;f=b+56|0;z=1.0-d;b=e+416|0;e=B;B=E;d=F;while(1){do{if((a[g+(e*112|0)+88|0]|0)==0){G=d;H=B}else{if((a[g+(e*112|0)+72|0]|0)!=0){G=d;H=B;break}E=c[f>>2]|0;if((E|0)==0){I=1.0;J=B}else{I=+h[E+(B<<3)>>3];J=B+1|0}F=(+h[g+(e*112|0)+96>>3]- +h[(c[b>>2]|0)+(e<<3)>>3])/I;G=d+F*z*F;H=J}}while(0);E=e+1|0;if((E|0)<(y|0)){e=E;B=H;d=G}else{s=G;break}}return+s}function lX(a,b){a=a|0;b=b|0;var d=0,e=0.0,f=0,g=0,j=0,k=0,l=0.0,m=0.0,n=0.0,o=0,p=0.0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;d=i;e=+kX(b,1.0);if((c[2500025]|0)==0){i=d;return}f=b+16|0;g=c[f>>2]|0;if((g|0)>0){j=c[b+48>>2]|0;k=0;l=0.0;while(1){m=+h[j+(k<<3)>>3];n=l+m*m;o=k+1|0;if((o|0)<(g|0)){k=o;l=n}else{p=n;break}}}else{p=0.0}XS(9,1,9955344,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;g=b+52|0;if((c[g>>2]|0)==0){XS(9,0,46056,(k=i,i=i+8|0,h[k>>3]=p,k)|0);i=k}else{XS(9,0,8090608,(k=i,i=i+16|0,h[k>>3]=p,h[k+8>>3]=e,k)|0);i=k}XS(9,1,40616,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;j=b+4|0;o=c[j>>2]|0;if((o|0)>0){q=b+40|0;r=b+24|0;s=b+44|0;t=0;while(1){u=c[q>>2]|0;v=t+1|0;e=+h[(c[r>>2]|0)+(t<<3)>>3];w=c[(c[s>>2]|0)+(t<<2)>>2]|0;if((u|0)==0){XS(9,0,31480,(k=i,i=i+24|0,c[k>>2]=v,h[k+8>>3]=e,c[k+16>>2]=w,k)|0);i=k}else{p=+h[u+(t<<3)>>3];XS(9,0,35880,(k=i,i=i+32|0,c[k>>2]=v,h[k+8>>3]=e,c[k+16>>2]=w,h[k+24>>3]=p,k)|0);i=k}w=c[j>>2]|0;if((v|0)<(w|0)){t=v}else{x=v;y=w;break}}}else{x=0;y=o}o=b+8|0;if((x|0)<((c[o>>2]|0)+y|0)){y=b+40|0;t=b+24|0;s=b+44|0;r=x;while(1){q=c[y>>2]|0;w=r+1|0;p=+h[(c[t>>2]|0)+(r<<3)>>3];v=c[(c[s>>2]|0)+(r<<2)>>2]|0;if((q|0)==0){XS(9,0,24240,(k=i,i=i+24|0,c[k>>2]=w,h[k+8>>3]=p,c[k+16>>2]=v,k)|0);i=k}else{e=+h[q+(r<<3)>>3];XS(9,0,27504,(k=i,i=i+32|0,c[k>>2]=w,h[k+8>>3]=p,c[k+16>>2]=v,h[k+24>>3]=e,k)|0);i=k}if((w|0)<((c[o>>2]|0)+(c[j>>2]|0)|0)){r=w}else{z=w;break}}}else{z=x}x=b|0;if((z|0)<(c[x>>2]|0)){r=b+40|0;j=b+24|0;o=b+44|0;s=z;while(1){z=c[r>>2]|0;t=s+1|0;e=+h[(c[j>>2]|0)+(s<<3)>>3];y=c[(c[o>>2]|0)+(s<<2)>>2]|0;if((z|0)==0){XS(9,0,9979768,(k=i,i=i+24|0,c[k>>2]=t,h[k+8>>3]=e,c[k+16>>2]=y,k)|0);i=k}else{p=+h[z+(s<<3)>>3];XS(9,0,9983696,(k=i,i=i+32|0,c[k>>2]=t,h[k+8>>3]=e,c[k+16>>2]=y,h[k+24>>3]=p,k)|0);i=k}if((t|0)<(c[x>>2]|0)){s=t}else{break}}}$d[c[3540]&511](9);XS(9,1,9976432,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;if((c[f>>2]|0)>0){s=b+48|0;b=a+540|0;a=0;while(1){x=(c[g>>2]|0)==0;o=a+1|0;p=+h[(c[s>>2]|0)+(a<<3)>>3];j=ce[c[(c[b>>2]|0)+64>>2]&255](a)|0;if(x){XS(9,0,31480,(k=i,i=i+24|0,c[k>>2]=o,h[k+8>>3]=p,c[k+16>>2]=j,k)|0);i=k}else{e=+h[(c[g>>2]|0)+(a<<3)>>3];XS(9,0,35880,(k=i,i=i+32|0,c[k>>2]=o,h[k+8>>3]=p,c[k+16>>2]=j,h[k+24>>3]=e,k)|0);i=k}if((o|0)<(c[f>>2]|0)){a=o}else{break}}}$d[c[3540]&511](9);$d[c[3540]&511](9);i=d;return}function mX(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0.0,s=0.0,t=0.0,u=0.0,v=0;d=i;e=b+8|0;if((c[2500025]|0)!=0){gW(b,9)}if((c[2500040]|0)==0){i=d;return}XS(24,1,9973288,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;g=b+112|0;j=c[g>>2]|0;do{if((j|0)>0){XS(24,1,9970752,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[g>>2]|0)>0){k=e|0;l=b+4|0;m=b+400|0;n=0;while(1){o=n+1|0;p=c[k>>2]|0;q=c[p+(n*112|0)+4>>2]|0;r=+h[p+(n*112|0)+96>>3];s=+h[p+(n*112|0)+80>>3];t=+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+(n<<3)>>3];u=+h[(c[m>>2]|0)+(n<<3)>>3];XS(24,0,9968616,(f=i,i=i+48|0,c[f>>2]=o,c[f+8>>2]=q,h[f+16>>3]=r,h[f+24>>3]=s,h[f+32>>3]=t,h[f+40>>3]=u,f)|0);i=f;if((o|0)<(c[g>>2]|0)){n=o}else{break}}}$d[c[3540]&511](24);n=c[g>>2]|0;if((n|0)<=0){v=n;break}XS(24,1,9966464,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;n=c[g>>2]|0;if((n|0)<(n<<1|0)){m=e|0;l=b+4|0;k=b+400|0;o=n;while(1){n=o+1|0;q=c[(c[m>>2]|0)+(o*112|0)+4>>2]|0;u=+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+(o<<3)>>3];t=+h[(c[k>>2]|0)+(o<<3)>>3];XS(24,0,9964304,(f=i,i=i+32|0,c[f>>2]=n,c[f+8>>2]=q,h[f+16>>3]=u,h[f+24>>3]=t,f)|0);i=f;if((n|0)<(c[g>>2]<<1|0)){o=n}else{break}}}$d[c[3540]&511](24);v=c[g>>2]|0}else{v=j}}while(0);j=b+116|0;if((v<<1|0)<(c[j>>2]|0)){XS(24,1,9962096,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;v=c[g>>2]<<1;if((v|0)<(c[j>>2]|0)){g=e|0;e=b+4|0;o=b+400|0;k=v;while(1){v=k+1|0;l=c[g>>2]|0;m=c[l+(k*112|0)+4>>2]|0;t=+h[l+(k*112|0)+96>>3];u=+h[l+(k*112|0)+80>>3];s=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+(k<<3)>>3];r=+h[(c[o>>2]|0)+(k<<3)>>3];XS(24,0,9968616,(f=i,i=i+48|0,c[f>>2]=v,c[f+8>>2]=m,h[f+16>>3]=t,h[f+24>>3]=u,h[f+32>>3]=s,h[f+40>>3]=r,f)|0);i=f;if((v|0)<(c[j>>2]|0)){k=v}else{break}}}$d[c[3540]&511](24)}k=b+124|0;if((c[k>>2]|0)>0){XS(24,1,9960024,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[k>>2]|0)>0){j=b+12|0;o=b+4|0;e=b+404|0;g=0;while(1){v=g+1|0;m=c[j>>2]|0;l=c[m+(g*60|0)+4>>2]|0;n=c[m+(g*60|0)+52>>2]|0;m=c[(c[(c[c[o>>2]>>2]|0)+12>>2]|0)+(g<<2)>>2]|0;q=c[(c[e>>2]|0)+(g<<2)>>2]|0;XS(24,0,9957976,(f=i,i=i+40|0,c[f>>2]=v,c[f+8>>2]=l,c[f+16>>2]=n,c[f+24>>2]=m,c[f+32>>2]=q,f)|0);i=f;if((v|0)<(c[k>>2]|0)){g=v}else{break}}}$d[c[3540]&511](24)}g=b+128|0;if((c[g>>2]|0)>0){XS(24,1,9955840,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[g>>2]|0)>0){k=b+16|0;e=b+4|0;o=b+408|0;j=0;while(1){v=j+1|0;q=c[k>>2]|0;m=c[q+(j*48|0)+4>>2]|0;n=(a[q+(j*48|0)+42|0]|0)!=0?9951472:9949608;q=(a[(c[(c[c[e>>2]>>2]|0)+16>>2]|0)+j|0]|0)!=0?9951472:9949608;l=(a[(c[o>>2]|0)+j|0]|0)!=0?9951472:9949608;XS(24,0,9953240,(f=i,i=i+40|0,c[f>>2]=v,c[f+8>>2]=m,c[f+16>>2]=n,c[f+24>>2]=q,c[f+32>>2]=l,f)|0);i=f;if((v|0)<(c[g>>2]|0)){j=v}else{break}}}$d[c[3540]&511](24)}j=b+132|0;if((c[j>>2]|0)>0){XS(24,1,9947536,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[j>>2]|0)>0){g=b+20|0;o=b+4|0;e=b+412|0;b=0;while(1){k=b+1|0;v=c[g>>2]|0;l=c[v+(b*52|0)+4>>2]|0;q=c[v+(b*52|0)+44>>2]|0;v=c[(c[(c[c[o>>2]>>2]|0)+20>>2]|0)+(b<<2)>>2]|0;n=c[(c[e>>2]|0)+(b<<2)>>2]|0;XS(24,0,9945240,(f=i,i=i+40|0,c[f>>2]=k,c[f+8>>2]=l,c[f+16>>2]=q,c[f+24>>2]=v,c[f+32>>2]=n,f)|0);i=f;if((k|0)<(c[j>>2]|0)){b=k}else{break}}}$d[c[3540]&511](24)}$d[c[3540]&511](24);i=d;return}function nX(b,d,e,f,g,j){b=b|0;d=d|0;e=e|0;f=f|0;g=+g;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;k=i;l=b+540|0;m=(c[(c[l>>2]|0)+72>>2]|0)!=0?3:2;XS(9,0,9943072,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;if((f|0)==0){dW(b);eW(b);o=6}else{if((a[f]|0)!=0){oX(b,f,g)}dW(b);eW(b);if((a[f]|0)==0){o=6}}if((o|0)==6){ce[c[(c[l>>2]|0)+84>>2]&255](b)|0;ce[c[(c[l>>2]|0)+60>>2]&255](b)|0}do{if((d|0)==0){p=m}else{if((a[d]|0)==0){p=m;break}o=(Lla(d,28304)|0)==0|0;f=(Lla(d,27896)|0)==0;q=(Lla(d,27664)|0)==0;r=q?3:f?2:o;if((r|0)!=0){p=r;break}ZS(1,0,9939320,(n=i,i=i+8|0,c[n>>2]=d,n)|0);i=n;ZS(1,0,9937416,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;ZS(1,0,8091216,(n=i,i=i+16|0,c[n>>2]=28304,c[n+8>>2]=29224,n)|0);i=n;ZS(1,0,8091216,(n=i,i=i+16|0,c[n>>2]=27896,c[n+8>>2]=28808,n)|0);i=n;ZS(1,0,8091216,(n=i,i=i+16|0,c[n>>2]=27664,c[n+8>>2]=28536,n)|0);i=n;$S(c[b+536>>2]|0,56608,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;return 0}}while(0);do{if((e|0)==0){s=3}else{if((a[e]|0)==0){s=3;break}else{t=0;u=1}do{d=(Lla(e,c[9993960+(u<<2)>>2]|0)|0)==0;t=d?u:t;u=u+1|0;}while((u|0)<7);if((t|0)!=0){s=t;break}ZS(1,0,54832,(n=i,i=i+8|0,c[n>>2]=e,n)|0);i=n;ZS(1,0,9937416,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;d=1;do{m=c[9994024+(d<<2)>>2]|0;ZS(1,0,8091216,(n=i,i=i+16|0,c[n>>2]=c[9993960+(d<<2)>>2],c[n+8>>2]=m,n)|0);i=n;d=d+1|0;}while((d|0)<7);$S(c[b+536>>2]|0,56608,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;return 0}}while(0);e=c[9999296+(p<<2)>>2]|0;XS(9,0,52400,(n=i,i=i+16|0,c[n>>2]=c[9999280+(p<<2)>>2],c[n+8>>2]=e,n)|0);i=n;e=(p|0)==2;if(e){t=c[9994024+(s<<2)>>2]|0;XS(9,0,50376,(n=i,i=i+16|0,c[n>>2]=c[9993960+(s<<2)>>2],c[n+8>>2]=t,n)|0);i=n}t=b+312|0;a[t]=1;u=b+200|0;if((c[u>>2]|0)>0){d=b+468|0;m=0;do{a[(c[d>>2]|0)+(m*80|0)+72|0]=1;m=m+1|0;}while((m|0)<(c[u>>2]|0))}u=b+196|0;if((c[u>>2]|0)>0){m=b+476|0;d=0;do{a[(c[m>>2]|0)+(d<<6)+56|0]=1;d=d+1|0;}while((d|0)<(c[u>>2]|0))}u=b+192|0;if((c[u>>2]|0)>0){d=b+484|0;m=0;do{a[(c[d>>2]|0)+(m*40|0)+36|0]=1;m=m+1|0;}while((m|0)<(c[u>>2]|0))}do{if((p|0)==1){v=0}else{if(e){v=pX(b,s,j)|0;break}if((p|0)==3){qX(b,j);v=0;break}else{$S(c[b+536>>2]|0,49680,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;return 0}}}while(0);do{if((NW(b,1)|0)==0){if((EW(b,1)|0)!=0){w=-3;break}j=(uW(b,1)|0)==0;w=j?v:-4}else{w=-2}}while(0);mX(b);XS(9,0,49016,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;a[t]=0;OV(b,+h[b+240>>3],+h[b+248>>3]);aW(b);fW(b);XV(b);ce[c[(c[l>>2]|0)+52>>2]&255](b)|0;me[c[(c[l>>2]|0)+96>>2]&127](b,1)|0;bW(b);i=k;return w|0}function oX(b,d,e){b=b|0;d=d|0;e=+e;var f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0.0,v=0,w=0,x=0,y=0,z=0,A=0;f=i;i=i+56|0;g=f|0;j=f+48|0;XS(9,0,26992,(k=i,i=i+16|0,c[k>>2]=d,h[k+8>>3]=e,k)|0);i=k;l=ST(d,g)|0;if((l|0)!=0){$S(c[b+536>>2]|0,26800,(k=i,i=i+16|0,c[k>>2]=d,c[k+8>>2]=l,k)|0);i=k}XS(9,0,26544,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;l=b+116|0;if((c[l>>2]|0)>0){d=b+8|0;m=0;do{n=TT(g,c[(c[d>>2]|0)+(m*112|0)+4>>2]|0)|0;o=c[d>>2]|0;do{if((n|0)==0){p=tX(c[o+(m*112|0)+4>>2]|0)|0;q=TT(g,p)|0;mla(p);p=c[d>>2]|0;if((q|0)!=0){r=q;s=p;t=7;break}q=c[p+(m*112|0)+4>>2]|0;if((Mla(q,26104,6)|0)==0){if((c[2500025]|0)==0){break}}else{p=Mla(q,25696,6)|0;if((c[2500025]|p|0)==0){break}}ZS(9,0,25464,(k=i,i=i+8|0,c[k>>2]=q,k)|0);i=k}else{r=n;s=o;t=7}}while(0);if((t|0)==7){t=0;ZT(s+(m*112|0)+96|0,g,r,e)|0;o=c[d>>2]|0;u=+h[o+(m*112|0)+96>>3];XS(9,0,26344,(k=i,i=i+16|0,c[k>>2]=c[o+(m*112|0)+4>>2],h[k+8>>3]=u,k)|0);i=k}m=m+1|0;}while((m|0)<(c[l>>2]|0))}XS(9,0,25144,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;m=b+136|0;if((c[m>>2]|0)>0){d=b+24|0;r=0;do{s=TT(g,c[(c[d>>2]|0)+(r*112|0)+4>>2]|0)|0;o=c[d>>2]|0;do{if((s|0)==0){n=tX(c[o+(r*112|0)+4>>2]|0)|0;q=TT(g,n)|0;mla(n);n=c[d>>2]|0;if((q|0)!=0){v=q;w=n;t=17;break}ZS(9,0,24752,(k=i,i=i+8|0,c[k>>2]=c[n+(r*112|0)+4>>2],k)|0);i=k}else{v=s;w=o;t=17}}while(0);if((t|0)==17){t=0;ZT(w+(r*112|0)+96|0,g,v,e)|0;o=c[d>>2]|0;u=+h[o+(r*112|0)+96>>3];XS(9,0,26344,(k=i,i=i+16|0,c[k>>2]=c[o+(r*112|0)+4>>2],h[k+8>>3]=u,k)|0);i=k}r=r+1|0;}while((r|0)<(c[m>>2]|0))}XS(9,0,24424,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;m=b+120|0;r=c[m>>2]|0;d=(c[l>>2]|0)-r|0;if((d|0)<(r|0)){r=b+24|0;l=d;do{d=TT(g,c[(c[r>>2]|0)+(l*112|0)+4>>2]|0)|0;v=c[r>>2]|0;do{if((d|0)==0){w=tX(c[v+(l*112|0)+4>>2]|0)|0;o=TT(g,w)|0;mla(w);w=c[r>>2]|0;if((o|0)!=0){x=o;y=w;t=24;break}ZS(9,0,24752,(k=i,i=i+8|0,c[k>>2]=c[w+(l*112|0)+4>>2],k)|0);i=k}else{x=d;y=v;t=24}}while(0);if((t|0)==24){t=0;ZT(y+(l*112|0)+96|0,g,x,e)|0;v=c[r>>2]|0;u=+h[v+(l*112|0)+96>>3];XS(9,0,26344,(k=i,i=i+16|0,c[k>>2]=c[v+(l*112|0)+4>>2],h[k+8>>3]=u,k)|0);i=k}l=l+1|0;}while((l|0)<(c[m>>2]|0))}XS(9,0,23360,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;m=b+140|0;if((c[m>>2]|0)>0){l=b+28|0;r=0;do{x=TT(g,c[(c[l>>2]|0)+(r*60|0)+4>>2]|0)|0;do{if((x|0)==0){y=tX(c[(c[l>>2]|0)+(r*60|0)+4>>2]|0)|0;v=TT(g,y)|0;mla(y);if((v|0)!=0){z=v;t=31;break}ZS(9,0,22872,(k=i,i=i+8|0,c[k>>2]=c[(c[l>>2]|0)+(r*60|0)+4>>2],k)|0);i=k}else{z=x;t=31}}while(0);if((t|0)==31){t=0;ZT(j,g,z,e)|0;x=~~+h[j>>3];v=c[l>>2]|0;c[v+(r*60|0)+52>>2]=x;XS(9,0,23032,(k=i,i=i+16|0,c[k>>2]=c[v+(r*60|0)+4>>2],c[k+8>>2]=x,k)|0);i=k}r=r+1|0;}while((r|0)<(c[m>>2]|0))}XS(9,0,22432,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;m=b+144|0;if((c[m>>2]|0)<=0){QT(g);i=f;return}r=b+32|0;b=0;do{l=TT(g,c[(c[r>>2]|0)+(b*48|0)+4>>2]|0)|0;do{if((l|0)==0){z=tX(c[(c[r>>2]|0)+(b*48|0)+4>>2]|0)|0;x=TT(g,z)|0;mla(z);if((x|0)!=0){A=x;t=38;break}ZS(9,0,21904,(k=i,i=i+8|0,c[k>>2]=c[(c[r>>2]|0)+(b*48|0)+4>>2],k)|0);i=k}else{A=l;t=38}}while(0);if((t|0)==38){t=0;ZT(j,g,A,e)|0;a[(c[r>>2]|0)+(b*48|0)+42|0]=~~+h[j>>3];l=c[r>>2]|0;x=(a[l+(b*48|0)+42|0]|0)!=0?9951472:9949608;XS(9,0,22216,(k=i,i=i+16|0,c[k>>2]=c[l+(b*48|0)+4>>2],c[k+8>>2]=x,k)|0);i=k}b=b+1|0;}while((b|0)<(c[m>>2]|0));QT(g);i=f;return}function pX(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;NV(a,+h[a+240>>3]);aW(a);fW(a);XV(a);hW(a);aX(a);YV(a);aW(a);d=rX(a,b,c)|0;fW(a);XV(a);bW(a);fW(a);return d|0}function qX(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0.0;e=i;i=i+4096|0;f=e|0;NV(b,+h[b+240>>3]);aW(b);fW(b);cX(b,0,1)|0;g=b+540|0;j=c[g>>2]|0;if((c[j+76>>2]|0)!=0&(d|0)>1){k=b+8|0;l=b+116|0;m=nla(c[l>>2]|0,8)|0;n=m;o=b+124|0;p=nla(c[o>>2]|0,4)|0;q=p;r=b+128|0;s=nla(c[r>>2]|0,1)|0;t=b+132|0;u=nla(c[t>>2]|0,4)|0;v=u;w=b+536|0;_S(c[w>>2]|0,(m|0)!=0|0,48416,(x=i,i=i+1|0,i=i+7&-8,c[x>>2]=0,x)|0);i=x;_S(c[w>>2]|0,(p|0)!=0|0,48416,(x=i,i=i+1|0,i=i+7&-8,c[x>>2]=0,x)|0);i=x;_S(c[w>>2]|0,(s|0)!=0|0,48416,(x=i,i=i+1|0,i=i+7&-8,c[x>>2]=0,x)|0);i=x;_S(c[w>>2]|0,(u|0)!=0|0,48416,(x=i,i=i+1|0,i=i+7&-8,c[x>>2]=0,x)|0);i=x;w=c[l>>2]|0;if((w|0)>0){y=c[k>>2]|0;z=0;do{h[n+(z<<3)>>3]=+h[y+(z*112|0)+96>>3];z=z+1|0;}while((z|0)<(w|0))}w=c[o>>2]|0;if((w|0)>0){z=c[b+12>>2]|0;y=0;do{c[q+(y<<2)>>2]=c[z+(y*60|0)+52>>2];y=y+1|0;}while((y|0)<(w|0))}w=c[r>>2]|0;if((w|0)>0){y=c[b+16>>2]|0;z=0;do{a[s+z|0]=a[y+(z*48|0)+42|0]|0;z=z+1|0;}while((z|0)<(w|0))}w=c[t>>2]|0;if((w|0)>0){z=c[b+20>>2]|0;y=0;do{c[v+(y<<2)>>2]=c[z+(y*52|0)+44>>2];y=y+1|0;}while((y|0)<(w|0))}if((c[2500025]|0)==0){A=0}else{w=f|0;Rb(w|0,47776,(x=i,i=i+8|0,c[x>>2]=c[b+88>>2],x)|0)|0;i=x;f=Cc(w|0,47184)|0;td(f|0,46544,(x=i,i=i+8|0,c[x>>2]=45144,x)|0)|0;i=x;if((c[l>>2]|0)>0){w=k|0;y=0;do{td(f|0,46544,(x=i,i=i+8|0,c[x>>2]=c[(c[w>>2]|0)+(y*112|0)+4>>2],x)|0)|0;i=x;y=y+1|0;}while((y|0)<(c[l>>2]|0))}Wa(10,f|0)|0;A=f}XS(9,1,44184,(x=i,i=i+1|0,i=i+7&-8,c[x>>2]=0,x)|0);i=x;a:do{if((d|0)>0){B=+(d-1|0);f=b+304|0;y=b+4|0;w=0;do{C=+(w|0)/B;h[f>>3]=C>1.0?1.0:C;ce[c[(c[g>>2]|0)+80>>2]&255](b)|0;XS(9,0,43752,(x=i,i=i+8|0,h[x>>3]=+h[f>>3],x)|0);i=x;if((c[2500025]|0)!=0){td(A|0,43248,(x=i,i=i+8|0,h[x>>3]=+h[f>>3],x)|0)|0;i=x;if((c[l>>2]|0)>0){z=0;do{td(A|0,43248,(x=i,i=i+8|0,h[x>>3]=+h[(c[(c[c[y>>2]>>2]|0)+8>>2]|0)+(z<<3)>>3],x)|0)|0;i=x;z=z+1|0;}while((z|0)<(c[l>>2]|0))}Wa(10,A|0)|0}if((NW(b,0)|0)!=0){break a}if((EW(b,0)|0)!=0){break a}if((uW(b,0)|0)!=0){break a}iW(b);w=w+1|0;}while((w|0)<(d|0))}}while(0);$d[c[3540]&511](9);if((c[2500025]|0)!=0){Pa(A|0)|0}A=c[l>>2]|0;if((A|0)>0){l=c[k>>2]|0;k=0;do{h[l+(k*112|0)+96>>3]=+h[n+(k<<3)>>3];k=k+1|0;}while((k|0)<(A|0))}if((c[o>>2]|0)>0){A=c[b+12>>2]|0;k=0;do{c[A+(k*60|0)+52>>2]=c[q+(k<<2)>>2];k=k+1|0;}while((k|0)<(c[o>>2]|0))}if((c[r>>2]|0)>0){o=b+16|0;k=0;do{a[(c[o>>2]|0)+(k*48|0)+42|0]=a[s+k|0]|0;k=k+1|0;}while((k|0)<(c[r>>2]|0))}r=c[t>>2]|0;if((r|0)>0){t=b+20|0;k=0;do{c[(c[t>>2]|0)+(k*52|0)+44>>2]=c[v+(k<<2)>>2];k=k+1|0;}while((k|0)<(r|0))}mla(m);mla(p);mla(s);mla(u)}else{h[b+304>>3]=1.0;ce[c[j+80>>2]&255](b)|0}ZV(b);if((cX(b,1,1)|0)!=1){i=e;return}ce[c[(c[g>>2]|0)+80>>2]&255](b)|0;ZV(b);if((cX(b,1,1)|0)!=1){i=e;return}ZS(1,0,42664,(x=i,i=i+1|0,i=i+7&-8,c[x>>2]=0,x)|0);i=x;i=e;return}function rX(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0;f=i;g=uX(b)|0;j=g|0;k=c[j>>2]|0;if((k|0)==0){XS(9,0,42336,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;if((c[b+184>>2]|0)==0){me[c[(c[b+540>>2]|0)+68>>2]&127](b,c[g+48>>2]|0)|0}mla(g);m=0;i=f;return m|0}n=b+184|0;o=c[n>>2]|0;if((o|0)==0){XS(9,0,41904,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;me[c[(c[b+540>>2]|0)+68>>2]&127](b,c[g+48>>2]|0)|0;mla(g);m=0;i=f;return m|0}do{if((c[g+16>>2]|0)<(k|0)){XS(9,1,41472,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;p=lla(c[j>>2]<<3)|0;q=p;r=g+40|0;s=c[r>>2]|0;c[r>>2]=0;t=+kX(g,1.0);c[r>>2]=s;u=c[j>>2]|0;if((u|0)>0){v=g+24|0;w=0;x=c[v>>2]|0;while(1){y=x+(w<<3)|0;h[y>>3]=+h[y>>3]+1.0e-6;c[r>>2]=0;h[q+(w<<3)>>3]=+V(+(+kX(g,1.0)-t))/1.0e-6;c[r>>2]=s;y=c[v>>2]|0;z=y+(w<<3)|0;h[z>>3]=+h[z>>3]+-1.0e-6;z=w+1|0;A=c[j>>2]|0;if((z|0)<(A|0)){w=z;x=y}else{B=A;break}}}else{B=u}x=c[n>>2]|0;if((x|0)>0){w=(B|0)>1;v=0;do{if(w){s=1;r=0;while(1){A=+h[q+(s<<3)>>3]>+h[q+(r<<3)>>3]?s:r;y=s+1|0;if((y|0)<(B|0)){s=y;r=A}else{C=A;break}}}else{C=0}h[q+(C<<3)>>3]=-1.0;v=v+1|0;}while((v|0)<(x|0))}XS(9,1,40984,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;x=b+112|0;v=c[x>>2]|0;if((v|0)>0){w=b+8|0;u=g+44|0;r=g+24|0;s=0;A=0;y=v;while(1){v=(c[w>>2]|0)+(s*112|0)+72|0;if((a[v]|0)==0){if(+h[q+(A<<3)>>3]<0.0){D=y}else{a[v]=1;t=+h[(c[r>>2]|0)+(A<<3)>>3];XS(9,0,39840,(l=i,i=i+16|0,c[l>>2]=c[(c[u>>2]|0)+(A<<2)>>2],h[l+8>>3]=t,l)|0);i=l;D=c[x>>2]|0}E=A+1|0;F=D}else{E=A;F=y}v=s+1|0;if((v|0)<(F|0)){s=v;A=E;y=F}else{G=E;break}}}else{G=0}y=b+136|0;if((c[y>>2]|0)>0){A=b+24|0;s=g+44|0;x=g+24|0;u=b+116|0;r=b+120|0;w=0;v=G;while(1){z=(c[A>>2]|0)+(w*112|0)+72|0;if((a[z]|0)==0){if(!(+h[q+(v<<3)>>3]<0.0)){a[z]=1;t=+h[(c[x>>2]|0)+(v<<3)>>3];XS(9,0,39840,(l=i,i=i+16|0,c[l>>2]=c[(c[s>>2]|0)+(v<<2)>>2],h[l+8>>3]=t,l)|0);i=l}H=v+1|0}else{H=v}z=c[r>>2]|0;I=(c[u>>2]|0)-z|0;if((I|0)<(z|0)){J=I;K=H;L=z;while(1){z=(c[A>>2]|0)+(J*112|0)+72|0;if((a[z]|0)==0){if(+h[q+(K<<3)>>3]<0.0){M=L}else{a[z]=1;t=+h[(c[x>>2]|0)+(K<<3)>>3];XS(9,0,39840,(l=i,i=i+16|0,c[l>>2]=c[(c[s>>2]|0)+(K<<2)>>2],h[l+8>>3]=t,l)|0);i=l;M=c[r>>2]|0}N=K+1|0;O=M}else{N=K;O=L}z=J+1|0;if((z|0)<(O|0)){J=z;K=N;L=O}else{P=z;Q=N;break}}}else{P=I;Q=H}L=P+1|0;if((L|0)<(c[y>>2]|0)){w=L;v=Q}else{break}}}if((c[2500025]|0)!=0){$d[c[3540]&511](9);$d[c[3540]&511](9)}mla(p);vX(g);v=uX(b)|0;if((c[v>>2]|0)!=0){R=v;break}XS(9,0,39464,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;mla(v);m=0;i=f;return m|0}else{if((o|0)<=(k|0)){R=g;break}XS(9,0,39104,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;R=g}}while(0);do{if((d|0)==5|(d|0)==3){XS(9,0,38704,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;sX(R,d,1,e);lX(b,R);g=c[R>>2]|0;if((g|0)<=0){break}k=c[R+24>>2]|0;o=c[R+28>>2]|0;Q=0;do{h[o+(Q<<3)>>3]=+h[k+(Q<<3)>>3];Q=Q+1|0;}while((Q|0)<(g|0))}}while(0);if(+kX(R,1.0)>1.0e-9){g=R+40|0;Q=c[g>>2]|0;if((Q|0)!=0){mla(Q);c[g>>2]=0}g=R+52|0;Q=c[g>>2]|0;if((Q|0)!=0){mla(Q);c[g>>2]=0}g=R+56|0;Q=c[g>>2]|0;if((Q|0)!=0){mla(Q);c[g>>2]=0}sX(R,d,0,e);lX(b,R);+kX(R,1.0)}else{XS(9,0,38296,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l}XS(9,1,37880,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;lX(b,R);b=jX(R)|0;if((c[2500025]|0)!=0){$d[c[3540]&511](9)}vX(R);m=b;i=f;return m|0}function sX(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0,l=0,m=0,n=0.0,o=0,p=0,q=0,r=0,s=0.0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0.0;f=i;i=i+8|0;g=f|0;j=c[a+60>>2]|0;h[g>>3]=0.0;k=a|0;l=lla(c[k>>2]<<3)|0;m=l;n=+kX(a,1.0);o=c[k>>2]|0;if((o|0)>0){p=c[a+28>>2]|0;q=c[a+24>>2]|0;r=0;do{s=+h[p+(r<<3)>>3];h[q+(r<<3)>>3]=s;h[m+(r<<3)>>3]=s;r=r+1|0;}while((r|0)<(o|0))}if(!(n>1.0e-12)){t=1;xX(a,m);mla(l);u=t-1|0;XS(9,0,35168,(v=i,i=i+8|0,c[v>>2]=u,v)|0);i=v;i=f;return}o=(d|0)==0;d=a+24|0;r=1;s=n;a:while(1){XS(9,0,37576,(v=i,i=i+8|0,c[v>>2]=r,v)|0);i=v;if(!o){wX(a)}switch(b|0){case 1:{w=EX(a)|0;break};case 6:{w=AX(j,a,0)|0;break};case 4:{w=BX(a)|0;break};case 3:{w=GX(a,g,e)|0;break};case 2:{w=CX(a)|0;break};case 5:{w=BX(a)|0;break};default:{x=15;break a}}fW(j);XV(j);bW(j);fW(j);n=+kX(a,1.0);q=(w|0)>-1;if(q&n<s){p=c[k>>2]|0;if((p|0)>0){y=c[d>>2]|0;z=0;do{h[m+(z<<3)>>3]=+h[y+(z<<3)>>3];z=z+1|0;}while((z|0)<(p|0))}XS(9,0,36736,(v=i,i=i+1|0,i=i+7&-8,c[v>>2]=0,v)|0);i=v;lX(j,a);A=n}else{XS(9,0,36296,(v=i,i=i+1|0,i=i+7&-8,c[v>>2]=0,v)|0);i=v;if(q&n==s){t=r;x=23;break}else{A=s}}p=r+1|0;if((p|0)<201&n>1.0e-12){r=p;s=A}else{t=p;x=23;break}}if((x|0)==15){$S(c[j+536>>2]|0,37136,(v=i,i=i+1|0,i=i+7&-8,c[v>>2]=0,v)|0);i=v}else if((x|0)==23){xX(a,m);mla(l);u=t-1|0;XS(9,0,35168,(v=i,i=i+8|0,c[v>>2]=u,v)|0);i=v;i=f;return}}function tX(b){b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;c=Nla(b|0)|0;do{if((c|0)==0){d=0;e=lla(1)|0}else{f=0;g=0;h=c;while(1){i=a[b+g|0]|0;if((i<<24>>24|0)==91){j=f+1|0}else if((i<<24>>24|0)==93){j=f-1|0}else{j=f}if((j|0)!=0&i<<24>>24==44){k=((a[b+(g+1)|0]|0)!=32)+h|0}else{k=h}i=g+1|0;if(i>>>0<c>>>0){f=j;g=i;h=k}else{break}}h=lla(k+1|0)|0;if((k|0)==0){d=0;e=h;break}else{l=j;m=0;n=0}while(1){g=a[b+n|0]|0;if((g<<24>>24|0)==91){o=l+1|0}else if((g<<24>>24|0)==93){o=l-1|0}else{o=l}a[h+m|0]=g;do{if((o|0)!=0&g<<24>>24==44){if((a[b+(n+1)|0]|0)==32){p=m;break}f=m+1|0;a[h+f|0]=32;p=f}else{p=m}}while(0);g=p+1|0;if(g>>>0<k>>>0){l=o;m=g;n=n+1|0}else{d=k;e=h;break}}}}while(0);a[e+d|0]=0;if((Kla(e,21600,4)|0)!=0){return e|0}k=e+4|0;n=d;while(1){if(n>>>0>3>>>0){if((a[e+n|0]|0)!=46){n=n-1|0;continue}}if((n|0)==3){q=23;break}m=n-3|0;Pla(e|0,k|0,m)|0;o=e+m|0;C=678585700;a[o]=C;C=C>>8;a[o+1|0]=C;C=C>>8;a[o+2|0]=C;C=C>>8;a[o+3|0]=C;if((Kla(e,21600,4)|0)==0){n=d}else{q=23;break}}if((q|0)==23){return e|0}return 0}function uX(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0.0,L=0,M=0.0,N=0.0,O=0.0,P=0,Q=0,R=0,S=0,T=0,U=0,W=0,X=0,Y=0,Z=0,_=0.0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0;d=i;e=lla(64)|0;f=e;_S(0,(e|0)!=0|0,9972616,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;j=e;k=e+4|0;l=e+8|0;m=e+12|0;n=e+16|0;o=e+20|0;p=e+24|0;q=e+28|0;r=e+32|0;s=e+36|0;t=e+40|0;u=e+44|0;v=e+48|0;w=e+52|0;x=e+56|0;Qla(e|0,0,60)|0;c[e+60>>2]=b;e=b+8|0;y=b+112|0;z=c[y>>2]|0;if((z|0)>0){A=c[e>>2]|0;B=0;C=0;while(1){if((a[A+(B*112|0)+72|0]|0)==0){D=C+1|0;c[k>>2]=D;E=D}else{E=C}D=B+1|0;if((D|0)<(z|0)){B=D;C=E}else{F=E;break}}}else{F=0}E=b+136|0;C=c[E>>2]|0;if((C|0)>0){B=c[b+24>>2]|0;z=0;k=0;while(1){if((a[B+(z*112|0)+72|0]|0)==0){A=k+1|0;c[l>>2]=A;G=A}else{G=k}A=z+1|0;if((A|0)<(C|0)){z=A;k=G}else{H=G;break}}}else{H=0}G=b+116|0;k=b+120|0;z=c[k>>2]|0;if((z|0)>0){C=c[G>>2]|0;l=c[e>>2]|0;B=C-z|0;z=0;while(1){if((a[l+(B*112|0)+72|0]|0)==0){A=z+1|0;c[m>>2]=A;I=A}else{I=z}A=B+1|0;if((A|0)<(C|0)){B=A;z=I}else{J=I;break}}}else{J=0}I=H+F+J|0;c[j>>2]=I;if((I|0)==0){i=d;return f|0}j=nla(I,8)|0;c[p>>2]=j;_S(0,(j|0)!=0|0,9972616,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;j=nla(I,8)|0;c[q>>2]=j;_S(0,(j|0)!=0|0,9972616,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;j=nla(I,8)|0;c[r>>2]=j;_S(0,(j|0)!=0|0,9972616,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;j=nla(I,8)|0;c[s>>2]=j;_S(0,(j|0)!=0|0,9972616,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;j=nla(I,8)|0;c[t>>2]=j;_S(0,(j|0)!=0|0,9972616,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;j=nla(I,4)|0;z=j;c[u>>2]=z;_S(0,(j|0)!=0|0,9972616,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;XS(9,0,9978856,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;XS(9,0,9955112,(g=i,i=i+32|0,c[g>>2]=I,c[g+8>>2]=F,c[g+16>>2]=H,c[g+24>>2]=J,g)|0);i=g;J=c[y>>2]|0;if((J|0)>0){H=e|0;F=0;I=0;j=z;B=J;while(1){J=c[H>>2]|0;if((a[J+(F*112|0)+72|0]|0)==0){c[j+(I<<2)>>2]=c[J+(F*112|0)+4>>2];J=c[H>>2]|0;do{if((a[J+(F*112|0)+73|0]|0)==0){K=1.0;L=(c[t>>2]|0)+(I<<3)|0}else{M=+h[J+(F*112|0)+80>>3];N=+V(+M);C=(c[t>>2]|0)+(I<<3)|0;if(!(M==0.0)){K=N;L=C;break}K=1.0;L=C}}while(0);h[L>>3]=K;C=J+(F*112|0)+96|0;m=(c[p>>2]|0)+(I<<3)|0;h[m>>3]=+h[C>>3];l=(c[q>>2]|0)+(I<<3)|0;h[l>>3]=+h[C>>3];h[(c[r>>2]|0)+(I<<3)>>3]=+h[J+(F*112|0)+56>>3];h[(c[s>>2]|0)+(I<<3)>>3]=+h[J+(F*112|0)+64>>3];C=I+1|0;A=c[u>>2]|0;D=c[A+(I<<2)>>2]|0;N=+h[l>>3];M=+h[L>>3];O=+h[m>>3];XS(9,0,8090424,(g=i,i=i+40|0,c[g>>2]=C,c[g+8>>2]=D,h[g+16>>3]=N,h[g+24>>3]=M,h[g+32>>3]=O,g)|0);i=g;P=C;Q=A;R=c[y>>2]|0}else{P=I;Q=j;R=B}A=F+1|0;if((A|0)<(R|0)){F=A;I=P;j=Q;B=R}else{S=P;T=Q;break}}}else{S=0;T=z}z=c[E>>2]|0;if((z|0)>0){Q=b+24|0;P=0;R=S;B=T;j=z;while(1){z=c[Q>>2]|0;if((a[z+(P*112|0)+72|0]|0)==0){c[B+(R<<2)>>2]=c[z+(P*112|0)+4>>2];z=c[Q>>2]|0;K=+h[z+(P*112|0)+80>>3];O=+V(+K);I=(c[t>>2]|0)+(R<<3)|0;h[I>>3]=K==0.0?1.0:O;F=z+(P*112|0)+96|0;y=(c[p>>2]|0)+(R<<3)|0;h[y>>3]=+h[F>>3];L=(c[q>>2]|0)+(R<<3)|0;h[L>>3]=+h[F>>3];h[(c[r>>2]|0)+(R<<3)>>3]=+h[z+(P*112|0)+56>>3];h[(c[s>>2]|0)+(R<<3)>>3]=+h[z+(P*112|0)+64>>3];z=R+1|0;F=c[u>>2]|0;H=c[F+(R<<2)>>2]|0;O=+h[L>>3];K=+h[I>>3];M=+h[y>>3];XS(9,0,45952,(g=i,i=i+40|0,c[g>>2]=z,c[g+8>>2]=H,h[g+16>>3]=O,h[g+24>>3]=K,h[g+32>>3]=M,g)|0);i=g;U=z;W=F;X=c[E>>2]|0}else{U=R;W=B;X=j}F=P+1|0;if((F|0)<(X|0)){P=F;R=U;B=W;j=X}else{Y=U;Z=W;break}}}else{Y=S;Z=T}T=c[k>>2]|0;if((T|0)>0){S=c[G>>2]|0;W=e|0;U=S-T|0;T=Y;Y=Z;Z=S;while(1){S=c[W>>2]|0;if((a[S+(U*112|0)+72|0]|0)==0){c[Y+(T<<2)>>2]=c[S+(U*112|0)+4>>2];S=c[W>>2]|0;do{if((a[S+(U*112|0)+73|0]|0)==0){_=1.0;$=(c[t>>2]|0)+(T<<3)|0}else{M=+h[S+(U*112|0)+80>>3];K=+V(+M);X=(c[t>>2]|0)+(T<<3)|0;if(!(M==0.0)){_=K;$=X;break}_=1.0;$=X}}while(0);h[$>>3]=_;J=S+(U*112|0)+96|0;X=(c[p>>2]|0)+(T<<3)|0;h[X>>3]=+h[J>>3];j=(c[q>>2]|0)+(T<<3)|0;h[j>>3]=+h[J>>3];h[(c[r>>2]|0)+(T<<3)>>3]=+h[S+(U*112|0)+56>>3];h[(c[s>>2]|0)+(T<<3)>>3]=+h[S+(U*112|0)+64>>3];J=T+1|0;B=c[u>>2]|0;R=c[B+(T<<2)>>2]|0;K=+h[j>>3];M=+h[$>>3];O=+h[X>>3];XS(9,0,40560,(g=i,i=i+40|0,c[g>>2]=J,c[g+8>>2]=R,h[g+16>>3]=K,h[g+24>>3]=M,h[g+32>>3]=O,g)|0);i=g;aa=J;ba=B;ca=c[G>>2]|0}else{aa=T;ba=Y;ca=Z}B=U+1|0;if((B|0)<(ca|0)){U=B;T=aa;Y=ba;Z=ca}else{break}}}ca=c[b+184>>2]|0;c[n>>2]=ca;c[o>>2]=0;n=c[G>>2]|0;if((n|0)>0){G=c[e>>2]|0;Z=0;ba=0;while(1){if((a[G+(Z*112|0)+88|0]|0)==0){da=ba}else{Y=ba+1|0;c[o>>2]=Y;da=Y}Y=Z+1|0;if((Y|0)<(n|0)){Z=Y;ba=da}else{ea=da;break}}}else{ea=0}da=c[E>>2]|0;if((da|0)>0){E=c[b+24>>2]|0;ba=0;Z=ea;while(1){do{if((a[E+(ba*112|0)+88|0]|0)==0){fa=Z}else{if((a[E+(ba*112|0)+72|0]|0)!=0){fa=Z;break}G=Z+1|0;c[o>>2]=G;fa=G}}while(0);S=ba+1|0;if((S|0)<(da|0)){ba=S;Z=fa}else{ga=fa;break}}}else{ga=ea}ea=c[k>>2]|0;if((ea|0)>0){k=c[e>>2]|0;e=n-ea|0;ea=ga;while(1){do{if((a[k+(e*112|0)+88|0]|0)==0){ha=ea}else{if((a[k+(e*112|0)+72|0]|0)!=0){ha=ea;break}fa=ea+1|0;c[o>>2]=fa;ha=fa}}while(0);fa=e+1|0;if((fa|0)<(n|0)){e=fa;ea=ha}else{ia=ha;break}}}else{ia=ga}ga=c[b+176>>2]|0;ha=c[b+180>>2]|0;XS(9,0,35808,(g=i,i=i+24|0,c[g>>2]=ca,c[g+8>>2]=ga,c[g+16>>2]=ha,g)|0);i=g;XS(9,0,31440,(g=i,i=i+8|0,c[g>>2]=ia,g)|0);i=g;ha=nla(ca,8)|0;c[v>>2]=ha;_S(0,(ha|0)!=0|0,9972616,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;ha=lla(ca<<3)|0;v=ha;c[w>>2]=v;_S(0,(ha|0)!=0|0,9972616,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;ha=lla(ia<<3)|0;w=ha;c[x>>2]=w;_S(0,(ha|0)!=0|0,9972616,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;if((ca|0)>0){g=0;do{h[v+(g<<3)>>3]=1.0;g=g+1|0;}while((g|0)<(ca|0))}if((ia|0)>0){ja=0}else{i=d;return f|0}do{h[w+(ja<<3)>>3]=1.0;ja=ja+1|0;}while((ja|0)<(ia|0));i=d;return f|0}function vX(a){a=a|0;var b=0,d=0;b=c[a+24>>2]|0;if((b|0)!=0){mla(b)}b=c[a+28>>2]|0;if((b|0)!=0){mla(b)}b=c[a+32>>2]|0;if((b|0)!=0){mla(b)}b=c[a+36>>2]|0;if((b|0)!=0){mla(b)}b=c[a+40>>2]|0;if((b|0)!=0){mla(b)}b=c[a+44>>2]|0;if((b|0)!=0){mla(b)}b=c[a+48>>2]|0;if((b|0)!=0){mla(b)}b=c[a+52>>2]|0;if((b|0)!=0){mla(b)}b=c[a+56>>2]|0;if((b|0)==0){d=a;mla(d);return}mla(b);d=a;mla(d);return}function wX(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,W=0,X=0.0,Y=0.0,Z=0,_=0,$=0;d=i;e=c[b+60>>2]|0;f=b+40|0;if((c[f>>2]|0)==0){i=d;return}g=b+52|0;j=c[g>>2]|0;if((j|0)==0){i=d;return}k=b+56|0;l=c[k>>2]|0;if((l|0)==0){i=d;return}m=b+16|0;n=c[m>>2]|0;o=nla(n,8)|0;p=o;q=nla(n,8)|0;r=q;s=b+20|0;t=c[s>>2]|0;u=nla(t,8)|0;v=u;w=nla(t,8)|0;x=w;y=nla(n,8)|0;z=y;A=nla(t,8)|0;B=A;if((n|0)>0){C=0;do{h[j+(C<<3)>>3]=1.0;C=C+1|0;}while((C|0)<(n|0))}if((t|0)>0){n=0;do{h[l+(n<<3)>>3]=1.0;n=n+1|0;}while((n|0)<(t|0))}+kX(b,1.0);t=c[m>>2]|0;if((t|0)>0){Pla(o|0,c[b+48>>2]|0,(t|0)>1?t<<3:8)|0}n=e+8|0;l=e+116|0;C=c[l>>2]|0;if((C|0)>0){j=c[n>>2]|0;D=e+4|0;E=0;F=0;while(1){if((a[j+(F*112|0)+88|0]|0)==0){G=E}else{h[v+(E<<3)>>3]=+h[j+(F*112|0)+96>>3]- +h[(c[(c[c[D>>2]>>2]|0)+8>>2]|0)+(F<<3)>>3];G=E+1|0}H=F+1|0;if((H|0)<(C|0)){E=G;F=H}else{I=G;break}}}else{I=0}G=e+136|0;F=c[G>>2]|0;if((F|0)>0){E=c[e+24>>2]|0;D=e+4|0;j=I;H=0;while(1){do{if((a[E+(H*112|0)+88|0]|0)==0){J=j}else{if((a[E+(H*112|0)+72|0]|0)!=0){J=j;break}h[v+(j<<3)>>3]=+h[E+(H*112|0)+96>>3]- +h[(c[(c[c[D>>2]>>2]|0)+8>>2]|0)+(H<<3)>>3];J=j+1|0}}while(0);K=H+1|0;if((K|0)<(F|0)){j=J;H=K}else{L=J;break}}}else{L=I}I=e+120|0;J=c[I>>2]|0;if((J|0)>0){H=c[n>>2]|0;j=e+4|0;F=L;L=C-J|0;while(1){do{if((a[H+(L*112|0)+88|0]|0)==0){M=F}else{if((a[H+(L*112|0)+72|0]|0)!=0){M=F;break}h[v+(F<<3)>>3]=+h[H+(L*112|0)+96>>3]- +h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+(L<<3)>>3];M=F+1|0}}while(0);J=L+1|0;if((J|0)<(C|0)){F=M;L=J}else{break}}}L=b|0;if((c[L>>2]|0)>0){M=b+24|0;F=n|0;n=e+4|0;C=e+24|0;e=b+48|0;j=0;H=c[M>>2]|0;while(1){J=H+(j<<3)|0;h[J>>3]=+h[J>>3]+1.0e-6;+kX(b,1.0);J=c[m>>2]|0;D=(J|0)>0;if(D){Pla(q|0,c[e>>2]|0,(J|0)>1?J<<3:8)|0}E=c[l>>2]|0;if((E|0)>0){K=c[F>>2]|0;N=0;O=0;while(1){if((a[K+(O*112|0)+88|0]|0)==0){P=N}else{h[x+(N<<3)>>3]=+h[K+(O*112|0)+96>>3]- +h[(c[(c[c[n>>2]>>2]|0)+8>>2]|0)+(O<<3)>>3];P=N+1|0}Q=O+1|0;if((Q|0)<(E|0)){N=P;O=Q}else{R=P;break}}}else{R=0}O=c[G>>2]|0;if((O|0)>0){N=c[C>>2]|0;K=R;Q=0;while(1){do{if((a[N+(Q*112|0)+88|0]|0)==0){S=K}else{if((a[N+(Q*112|0)+72|0]|0)!=0){S=K;break}h[x+(K<<3)>>3]=+h[N+(Q*112|0)+96>>3]- +h[(c[(c[c[n>>2]>>2]|0)+8>>2]|0)+(Q<<3)>>3];S=K+1|0}}while(0);T=Q+1|0;if((T|0)<(O|0)){K=S;Q=T}else{U=S;break}}}else{U=R}Q=c[I>>2]|0;if((Q|0)>0){K=c[F>>2]|0;O=U;N=E-Q|0;while(1){do{if((a[K+(N*112|0)+88|0]|0)==0){W=O}else{if((a[K+(N*112|0)+72|0]|0)!=0){W=O;break}h[x+(O<<3)>>3]=+h[K+(N*112|0)+96>>3]- +h[(c[(c[c[n>>2]>>2]|0)+8>>2]|0)+(N<<3)>>3];W=O+1|0}}while(0);Q=N+1|0;if((Q|0)<(E|0)){O=W;N=Q}else{break}}}if(D){X=+h[(c[f>>2]|0)+(j<<3)>>3];N=0;do{Y=+V(+(X*(+h[r+(N<<3)>>3]- +h[p+(N<<3)>>3])/1.0e-6));O=z+(N<<3)|0;if(Y>+h[O>>3]){h[O>>3]=Y}N=N+1|0;}while((N|0)<(J|0))}N=c[s>>2]|0;if((N|0)>0){X=+h[(c[f>>2]|0)+(j<<3)>>3];D=0;do{Y=+V(+(X*(+h[x+(D<<3)>>3]- +h[v+(D<<3)>>3])/1.0e-6));O=B+(D<<3)|0;if(Y>+h[O>>3]){h[O>>3]=Y}D=D+1|0;}while((D|0)<(N|0))}N=c[M>>2]|0;D=N+(j<<3)|0;h[D>>3]=+h[D>>3]+-1.0e-6;D=j+1|0;if((D|0)<(c[L>>2]|0)){j=D;H=N}else{Z=J;break}}}else{Z=t}if((Z|0)>0){t=0;H=Z;while(1){X=+h[z+(t<<3)>>3];Z=(c[g>>2]|0)+(t<<3)|0;if(X<1.0e-42){h[Z>>3]=1.0;j=t+1|0;XS(9,0,27432,(L=i,i=i+8|0,c[L>>2]=j,L)|0);i=L;_=c[m>>2]|0;$=j}else{h[Z>>3]=X;_=H;$=t+1|0}if(($|0)<(_|0)){t=$;H=_}else{break}}}if((c[s>>2]|0)>0){_=0;do{X=+h[B+(_<<3)>>3];h[(c[k>>2]|0)+(_<<3)>>3]=X<1.0e-42?1.0:X;_=_+1|0;}while((_|0)<(c[s>>2]|0))}mla(o);mla(q);mla(u);mla(w);mla(y);mla(A);i=d;return}function xX(a,b){a=a|0;b=b|0;var d=0,e=0;d=c[a>>2]|0;if((d|0)<=0){return}e=c[a+24>>2]|0;a=0;do{h[e+(a<<3)>>3]=+h[b+(a<<3)>>3];a=a+1|0;}while((a|0)<(d|0));return}function yX(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0.0;d=c[a>>2]|0;if((d|0)<=0){return}e=c[a+40>>2]|0;f=(e|0)==0;g=c[a+24>>2]|0;a=0;do{i=+h[b+(a<<3)>>3];if(f){j=i}else{j=i*+h[e+(a<<3)>>3]}h[g+(a<<3)>>3]=j;a=a+1|0;}while((a|0)<(d|0));return}function zX(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=c[b+60>>2]|0;e=c[d+112>>2]|0;if((e|0)>0){f=b+24|0;g=c[d+8>>2]|0;i=0;j=0;while(1){if((a[g+(i*112|0)+72|0]|0)==0){h[(c[(c[c[d+4>>2]>>2]|0)+8>>2]|0)+(i<<3)>>3]=+h[(c[f>>2]|0)+(j<<3)>>3];k=j+1|0}else{k=j}l=i+1|0;if((l|0)<(e|0)){i=l;j=k}else{m=k;break}}}else{m=0}k=c[d+136>>2]|0;if((k|0)>0){j=b+24|0;i=c[d+24>>2]|0;e=0;f=m;while(1){if((a[i+(e*112|0)+72|0]|0)==0){h[(c[d+416>>2]|0)+(e<<3)>>3]=+h[(c[j>>2]|0)+(f<<3)>>3];n=f+1|0}else{n=f}g=e+1|0;if((g|0)<(k|0)){e=g;f=n}else{o=n;break}}}else{o=m}m=c[d+116>>2]|0;n=c[d+120>>2]|0;if((n|0)<=0){return}f=b+24|0;b=c[d+8>>2]|0;e=m-n|0;n=o;while(1){if((a[b+(e*112|0)+72|0]|0)==0){h[(c[d+400>>2]|0)+(e<<3)>>3]=+h[(c[f>>2]|0)+(n<<3)>>3];p=n+1|0}else{p=n}o=e+1|0;if((o|0)<(m|0)){e=o;n=p}else{break}}return}function AX(a,b,d){a=a|0;b=b|0;d=d|0;$S(c[a+536>>2]|0,9972152,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}function BX(a){a=a|0;$S(0,9972104,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}function CX(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0;b=i;i=i+40|0;d=b|0;e=b+8|0;f=b+16|0;g=b+24|0;j=b+32|0;c[d>>2]=(c[2500025]|0)!=0?1e3:0;k=a|0;l=c[k>>2]|0;c[e>>2]=l*1e3|0;h[f>>3]=1.0e-12;h[g>>3]=10.0;m=l<<1|1;c[j>>2]=m;n=nla((ga(m+13|0,m+l|0)|0)+((ga(l*3|0,l+3|0)|0)/2|0)|0,8)|0;_S(0,(n|0)!=0|0,9972088,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;c[2502408]=c[a+60>>2];c[2502404]=c[a+48>>2];rV(k,j,c[a+24>>2]|0,g,f,d,e,n,4);mla(n);c[2502408]=0;c[2502404]=0;n=jX(a)|0;i=b;return n|0}function DX(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;i=i+64|0;f=e|0;c[f>>2]=c[a>>2];c[f+4>>2]=-1;c[f+8>>2]=-1;c[f+16>>2]=0;c[f+20>>2]=0;c[f+24>>2]=b;Qla(f+28|0,0,20)|0;c[f+48>>2]=c[2502404];c[f+52>>2]=0;c[f+56>>2]=0;c[f+60>>2]=c[2502408];h[d>>3]=+kX(f,1.0);i=e;return}function EX(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0.0,v=0.0,w=0,x=0;b=i;i=i+64|0;d=b|0;e=b+8|0;f=b+16|0;g=b+24|0;j=b+32|0;k=b+40|0;l=b+48|0;m=b+56|0;h[d>>3]=0.0;h[e>>3]=0.0;h[f>>3]=0.0;c[g>>2]=0;c[j>>2]=0;c[k>>2]=0;c[l>>2]=0;c[m>>2]=0;n=a|0;o=c[n>>2]<<3;p=lla(o)|0;q=p;r=lla(o)|0;o=r;_S(0,(p|0)!=0|0,9971920,(p=i,i=i+1|0,i=i+7&-8,c[p>>2]=0,p)|0);i=p;_S(0,(r|0)!=0|0,9971920,(p=i,i=i+1|0,i=i+7&-8,c[p>>2]=0,p)|0);i=p;r=c[n>>2]|0;if((r|0)>0){s=c[a+24>>2]|0;t=0;do{u=+h[s+(t<<3)>>3];if(u!=0.0){v=+V(+u)/1.0e3}else{v=1.0}h[q+(t<<3)>>3]=v;h[o+(t<<3)>>3]=0.0;t=t+1|0;}while((t|0)<(r|0))}t=r*1e3|0;c[m>>2]=t;if((c[2500025]|0)==0){w=-1}else{w=(t|0)/10|0}c[g>>2]=w;h[e>>3]=1.0e-12;c[j>>2]=r;c[k>>2]=0;h[f>>3]=1.0e-12;v=+kX(a,1.0);h[d>>3]=v;if(v!=0.0){c[2502406]=c[a+60>>2];c[2502402]=c[a+48>>2];oV(c[a+24>>2]|0,q,n,d,m,g,e,j,k,f,o,6,l);c[2502406]=0;c[2502402]=0}else{XS(9,0,9978752,(p=i,i=i+8|0,h[p>>3]=v,p)|0);i=p}v=+kX(a,1.0);h[d>>3]=v;XS(9,0,9955096,(p=i,i=i+8|0,h[p>>3]=v,p)|0);i=p;o=c[l>>2]|0;do{if((o|0)==1){if(!(+h[f>>3]<+h[d>>3])){break}ZS(9,0,8090344,(p=i,i=i+8|0,c[p>>2]=c[m>>2],p)|0);i=p;x=-1;i=b;return x|0}else if((o|0)==2){ZS(9,0,45888,(p=i,i=i+1|0,i=i+7&-8,c[p>>2]=0,p)|0);i=p;x=-2;i=b;return x|0}else if((o|0)==4){ZS(9,0,35736,(p=i,i=i+1|0,i=i+7&-8,c[p>>2]=0,p)|0);i=p;x=-4;i=b;return x|0}else if((o|0)==3){ZS(9,0,40480,(p=i,i=i+1|0,i=i+7&-8,c[p>>2]=0,p)|0);i=p;x=-3;i=b;return x|0}}while(0);x=jX(a)|0;i=b;return x|0}function FX(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;i=i+64|0;f=e|0;c[f>>2]=c[a>>2];c[f+4>>2]=-1;c[f+8>>2]=-1;c[f+16>>2]=0;c[f+20>>2]=0;c[f+24>>2]=b;Qla(f+28|0,0,20)|0;c[f+48>>2]=c[2502402];c[f+52>>2]=0;c[f+56>>2]=0;c[f+60>>2]=c[2502406];h[d>>3]=+kX(f,1.0);i=e;return}function GX(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0;e=i;i=i+8|0;f=e|0;g=ga(d*1e3|0,c[a>>2]|0)|0;c[f>>2]=0;XS(9,1,9971664,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;if((c[2500025]|0)==0){k=0}else{k=(g|0)/10|0}HX(a,d,g,k,b,f);XS(9,0,9978736,(j=i,i=i+8|0,c[j>>2]=c[f>>2],j)|0);i=j;$d[c[3540]&511](9);if(+h[b>>3]<1.0){l=-1;i=e;return l|0}b=jX(a)|0;if((b|0)==0){l=0;i=e;return l|0}ZS(9,0,9955048,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;l=b;i=e;return l|0}function HX(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0.0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0.0,M=0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0,S=0.0,T=0,U=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0.0,da=0,ea=0,fa=0,ha=0,ia=0,ja=0.0,ka=0.0,la=0,ma=0,na=0,oa=0.0,pa=0.0,qa=0.0,ra=0.0,sa=0.0,ta=0;j=i;i=i+4096|0;k=a|0;l=c[k>>2]|0;m=l+1|0;n=l<<3;o=lla(ga(n,m)|0)|0;p=o;q=lla(m<<3)|0;r=q;s=lla(n)|0;t=s;u=lla(n)|0;v=u;w=lla(n)|0;x=w;y=lla(n)|0;n=y;z=+h[f>>3];if((c[2500025]|0)!=0&z<1.0){A=j|0;Rb(A|0,8090328,(B=i,i=i+8|0,c[B>>2]=c[(c[a+60>>2]|0)+88>>2],B)|0)|0;i=B;C=Cc(A|0,45880)|0;td(C|0,40472,(B=i,i=i+8|0,c[B>>2]=35720,B)|0)|0;i=B;td(C|0,40472,(B=i,i=i+8|0,c[B>>2]=31416,B)|0)|0;i=B;if((c[k>>2]|0)>0){A=a+44|0;D=0;do{td(C|0,40472,(B=i,i=i+8|0,c[B>>2]=c[(c[A>>2]|0)+(D<<2)>>2],B)|0)|0;i=B;D=D+1|0;}while((D|0)<(c[k>>2]|0))}Wa(10,C|0)|0;td(C|0,24200,(B=i,i=i+8|0,c[B>>2]=0,B)|0)|0;i=B;td(C|0,9983624,(B=i,i=i+8|0,h[B>>3]=z,B)|0)|0;i=B;if((c[k>>2]|0)>0){D=a+24|0;A=0;do{td(C|0,9983624,(B=i,i=i+8|0,h[B>>3]=+h[(c[D>>2]|0)+(A<<3)>>3],B)|0)|0;i=B;A=A+1|0;}while((A|0)<(c[k>>2]|0))}Wa(10,C|0)|0;E=C}else{E=0}_S(0,(o|0)!=0|0,9979696,(B=i,i=i+1|0,i=i+7&-8,c[B>>2]=0,B)|0);i=B;_S(0,(q|0)!=0|0,9979696,(B=i,i=i+1|0,i=i+7&-8,c[B>>2]=0,B)|0);i=B;_S(0,(s|0)!=0|0,9979696,(B=i,i=i+1|0,i=i+7&-8,c[B>>2]=0,B)|0);i=B;_S(0,(u|0)!=0|0,9979696,(B=i,i=i+1|0,i=i+7&-8,c[B>>2]=0,B)|0);i=B;_S(0,(w|0)!=0|0,9979696,(B=i,i=i+1|0,i=i+7&-8,c[B>>2]=0,B)|0);i=B;_S(0,(y|0)!=0|0,9979696,(B=i,i=i+1|0,i=i+7&-8,c[B>>2]=0,B)|0);i=B;C=c[a+40>>2]|0;A=(l|0)>0;do{if((C|0)==0){if(!A){F=0;break}D=(m|0)>0;G=a+24|0;H=0;while(1){if(D){I=(c[G>>2]|0)+(H<<3)|0;J=0;do{h[p+((ga(J,l)|0)+H<<3)>>3]=+h[I>>3];J=J+1|0;}while((J|0)<(m|0))}J=H+1|0;if((J|0)<(l|0)){H=J}else{K=14;break}}}else{if(!A){F=0;break}H=c[a+24>>2]|0;G=(m|0)>0;D=0;while(1){L=+h[H+(D<<3)>>3]/+h[C+(D<<3)>>3];if(G){J=0;do{h[p+((ga(J,l)|0)+D<<3)>>3]=L;J=J+1|0;}while((J|0)<(m|0))}J=D+1|0;if((J|0)<(l|0)){D=J}else{K=14;break}}}}while(0);do{if((K|0)==14){C=(l|0)>0;if(C){M=0}else{F=0;break}while(1){A=p+((ga(M,l)|0)+M<<3)|0;h[A>>3]=+h[A>>3]+1.0;A=M+1|0;if((A|0)<(l|0)){M=A}else{F=C;break}}}}while(0);M=(m|0)>0;C=a+16|0;L=+(m|0);N=+(l|0);A=(e|0)==0;D=a+48|0;O=1.0/+(b-1|0);b=(E|0)==0;G=a+24|0;H=l<<3;P=0.0;J=0;Q=z;a:while(1){I=Q>=1.0;R=Q<1.0;S=P;T=J;b:while(1){U=T;c:while(1){W=U+1|0;if(M){X=0;do{yX(a,p+((ga(X,l)|0)<<3)|0);h[r+(X<<3)>>3]=+kX(a,Q);X=X+1|0;}while((X|0)<(m|0))}if(F){X=1;Y=0;while(1){Z=+h[r+(X<<3)>>3]<+h[r+(Y<<3)>>3]?X:Y;_=X+1|0;if((_|0)<(m|0)){X=_;Y=Z}else{$=Z;break}}}else{$=0}aa=ga($,l)|0;ba=p+(aa<<3)|0;yX(a,ba);+kX(a,Q);Y=c[C>>2]|0;if((Y|0)>0){X=c[D>>2]|0;Z=0;z=0.0;do{ca=+V(+(+h[X+(Z<<3)>>3]));z=ca>z?ca:z;Z=Z+1|0;}while((Z|0)<(Y|0));da=z<1.0e-12}else{da=1}if(I&da|(W|0)>(d|0)){break a}do{if(M){Y=$;Z=$;X=0;while(1){ca=+h[r+(X<<3)>>3];_=ca>+h[r+(Y<<3)>>3];ea=_?X:Y;fa=_?Y:Z;ha=ca<=+h[r+(fa<<3)>>3]|(X|0)==(ea|0)?fa:X;fa=X+1|0;if((fa|0)<(m|0)){Y=ea;Z=ha;X=fa}else{break}}if(M){ia=0;ja=0.0}else{ka=0.0;la=ea;ma=ha;break}do{ja=ja+ +h[r+(ia<<3)>>3];ia=ia+1|0;}while((ia|0)<(m|0));ca=ja/L;if(M){na=0;oa=0.0}else{ka=0.0;la=ea;ma=ha;break}while(1){pa=+h[r+(na<<3)>>3]-ca;qa=oa+pa*pa;X=na+1|0;if((X|0)<(m|0)){na=X;oa=qa}else{ka=qa;la=ea;ma=ha;break}}}else{ka=0.0;la=$;ma=$}}while(0);z=ka/N;do{if(!A){if(((W|0)%(e|0)|0|0)!=0){break}ca=+h[r+($<<3)>>3];qa=+h[r+(la<<3)>>3];XS(9,0,9976392,(B=i,i=i+32|0,h[B>>3]=Q,c[B+8>>2]=W,h[B+16>>3]=ca,h[B+24>>3]=qa,B)|0);i=B}}while(0);if(z<1.0e-8&R){break b}if(F){Qla(y|0,0,H|0)|0}if(M){X=0;do{if(!((X|0)==(la|0)|F^1)){Z=ga(X,l)|0;Y=0;do{fa=n+(Y<<3)|0;h[fa>>3]=+h[p+(Y+Z<<3)>>3]+ +h[fa>>3];Y=Y+1|0;}while((Y|0)<(l|0))}X=X+1|0;}while((X|0)<(m|0))}do{if(F){X=0;do{Y=n+(X<<3)|0;h[Y>>3]=+h[Y>>3]/N;X=X+1|0;}while((X|0)<(l|0));if(!F){break}X=ga(la,l)|0;Y=0;do{z=+h[n+(Y<<3)>>3];h[t+(Y<<3)>>3]=z+(z- +h[p+(Y+X<<3)>>3]);Y=Y+1|0;}while((Y|0)<(l|0))}}while(0);yX(a,t);ra=+kX(a,Q);z=+h[r+($<<3)>>3];do{if(!(z>ra)){if(ra>+h[r+(ma<<3)>>3]){break}if(!F){U=W;continue c}Pla(o+(ga(H,la)|0)|0,s|0,H)|0;U=W;continue c}}while(0);if(ra>z){break}if(F){Y=0;do{qa=+h[n+(Y<<3)>>3];h[v+(Y<<3)>>3]=qa+(+h[t+(Y<<3)>>3]-qa)*2.0;Y=Y+1|0;}while((Y|0)<(l|0))}yX(a,v);if(+kX(a,Q)<ra){if(!F){U=W;continue}Pla(o+(ga(H,la)|0)|0,u|0,H)|0;U=W;continue}else{if(!F){U=W;continue}Pla(o+(ga(H,la)|0)|0,s|0,H)|0;U=W;continue}}if(+h[r+(ma<<3)>>3]>ra){K=90;break a}z=+h[r+(la<<3)>>3];if(ra<z){if(F){U=0;do{qa=+h[n+(U<<3)>>3];h[x+(U<<3)>>3]=qa+(+h[t+(U<<3)>>3]-qa)*.5;U=U+1|0;}while((U|0)<(l|0))}yX(a,x);sa=+kX(a,Q)}else{if(F){U=ga(la,l)|0;Y=0;do{qa=+h[n+(Y<<3)>>3];h[x+(Y<<3)>>3]=qa+(+h[p+(Y+U<<3)>>3]-qa)*.5;Y=Y+1|0;}while((Y|0)<(l|0))}yX(a,x);sa=+kX(a,Q)}if(sa<z){if(!F){S=sa;T=W;continue}Pla(o+(ga(H,la)|0)|0,w|0,H)|0;S=sa;T=W;continue}if(M){ta=0}else{S=sa;T=W;continue}while(1){if(F){Y=ga(ta,l)|0;U=0;do{X=p+(U+Y<<3)|0;h[X>>3]=(+h[X>>3]+ +h[p+(U+aa<<3)>>3])*.5;U=U+1|0;}while((U|0)<(l|0))}U=ta+1|0;if((U|0)<(m|0)){ta=U}else{S=sa;T=W;continue b}}}z=Q+O;qa=z>1.0?1.0:z;z=+h[r+($<<3)>>3];XS(9,0,9973240,(B=i,i=i+24|0,h[B>>3]=qa,c[B+8>>2]=W,h[B+16>>3]=z,B)|0);i=B;if(b){P=S;J=W;Q=qa;continue}td(E|0,24200,(B=i,i=i+8|0,c[B>>2]=W,B)|0)|0;i=B;td(E|0,9983624,(B=i,i=i+8|0,h[B>>3]=qa,B)|0)|0;i=B;if((c[k>>2]|0)>0){T=0;do{td(E|0,9983624,(B=i,i=i+8|0,h[B>>3]=+h[(c[G>>2]|0)+(T<<3)>>3],B)|0)|0;i=B;T=T+1|0;}while((T|0)<(c[k>>2]|0))}Wa(10,E|0)|0;P=S;J=W;Q=qa}if((K|0)==90){ZS(9,0,9970736,(B=i,i=i+8|0,h[B>>3]=ra,B)|0);i=B;ZS(9,0,9968568,(B=i,i=i+8|0,h[B>>3]=S,B)|0);i=B;$S(0,9966400,(B=i,i=i+1|0,i=i+7&-8,c[B>>2]=0,B)|0);i=B}yX(a,ba);if((f|0)!=0){h[f>>3]=Q}if((g|0)!=0){c[g>>2]=W}if(b){mla(u);mla(s);mla(w);mla(y);mla(q);mla(o);i=j;return}td(E|0,24200,(B=i,i=i+8|0,c[B>>2]=W,B)|0)|0;i=B;td(E|0,9983624,(B=i,i=i+8|0,h[B>>3]=Q,B)|0)|0;i=B;if((c[k>>2]|0)>0){W=0;do{td(E|0,9983624,(B=i,i=i+8|0,h[B>>3]=+h[(c[G>>2]|0)+(W<<3)>>3],B)|0)|0;i=B;W=W+1|0;}while((W|0)<(c[k>>2]|0))}Wa(10,E|0)|0;Pa(E|0)|0;mla(u);mla(s);mla(w);mla(y);mla(q);mla(o);i=j;return}function IX(a,b){a=a|0;b=b|0;return}function JX(b,d){b=b|0;d=d|0;var e=0,f=0,g=0.0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;e=i;f=c[b+12>>2]|0;GU(3);JU(0);g=+BU(0);GU(0);j=d+4|0;td(f|0,9971208,(k=i,i=i+8|0,h[k>>3]=+h[c[c[j>>2]>>2]>>3],k)|0)|0;i=k;if((c[b+8>>2]|0)!=0){td(f|0,9971208,(k=i,i=i+8|0,h[k>>3]=g,k)|0)|0;i=k}b=d+116|0;l=c[b>>2]|0;if((l|0)>0){m=d+8|0;n=0;o=l;while(1){if((a[(c[m>>2]|0)+(n*112|0)+104|0]|0)==0){td(f|0,9971208,(k=i,i=i+8|0,h[k>>3]=+h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+(n<<3)>>3],k)|0)|0;i=k;p=c[b>>2]|0}else{p=o}l=n+1|0;if((l|0)<(p|0)){n=l;o=p}else{break}}}p=d+124|0;o=c[p>>2]|0;if((o|0)>0){n=d+12|0;b=0;m=o;while(1){if((a[(c[n>>2]|0)+(b*60|0)+56|0]|0)==0){td(f|0,9978728,(k=i,i=i+8|0,c[k>>2]=c[(c[(c[c[j>>2]>>2]|0)+12>>2]|0)+(b<<2)>>2],k)|0)|0;i=k;q=c[p>>2]|0}else{q=m}o=b+1|0;if((o|0)<(q|0)){b=o;m=q}else{break}}}q=d+128|0;m=c[q>>2]|0;if((m|0)>0){b=d+16|0;p=0;n=m;while(1){if((a[(c[b>>2]|0)+(p*48|0)+44|0]|0)==0){td(f|0,9978728,(k=i,i=i+8|0,c[k>>2]=a[(c[(c[c[j>>2]>>2]|0)+16>>2]|0)+p|0]|0,k)|0)|0;i=k;r=c[q>>2]|0}else{r=n}m=p+1|0;if((m|0)<(r|0)){p=m;n=r}else{break}}}r=d+132|0;n=c[r>>2]|0;if((n|0)>0){p=d+20|0;q=0;b=n;while(1){if((a[(c[p>>2]|0)+(q*52|0)+48|0]|0)==0){td(f|0,9955040,(k=i,i=i+8|0,c[k>>2]=c[(c[(c[c[j>>2]>>2]|0)+20>>2]|0)+(q<<2)>>2],k)|0)|0;i=k;s=c[r>>2]|0}else{s=b}n=q+1|0;if((n|0)<(s|0)){q=n;b=s}else{break}}}s=d+216|0;if((c[s>>2]|0)>0){b=d+40|0;q=0;do{r=c[b>>2]|0;do{if((a[r+(q*52|0)+48|0]|0)==0){p=a[r+(q*52|0)+8|0]|0;if((p<<24>>24|0)==1){break}else if((p<<24>>24|0)==2){t=c[c[j>>2]>>2]|0}else{t=(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+(c[r+(q*52|0)+4>>2]<<3)|0}g=+h[t>>3];if((c[r+(q*52|0)>>2]|0)==0){td(f|0,9971208,(k=i,i=i+8|0,h[k>>3]=g,k)|0)|0;i=k;break}else{td(f|0,9971208,(k=i,i=i+8|0,h[k>>3]=-0.0-g,k)|0)|0;i=k;break}}}while(0);q=q+1|0;}while((q|0)<(c[s>>2]|0))}s=d+220|0;if((c[s>>2]|0)>0){q=d+44|0;t=0;do{b=c[q>>2]|0;do{if((a[b+(t*52|0)+48|0]|0)==0){if((a[b+(t*52|0)+8|0]|0)==1){break}r=c[(c[(c[c[j>>2]>>2]|0)+12>>2]|0)+(c[b+(t*52|0)+4>>2]<<2)>>2]|0;if((c[b+(t*52|0)>>2]|0)==0){td(f|0,9978728,(k=i,i=i+8|0,c[k>>2]=r,k)|0)|0;i=k;break}else{td(f|0,9978728,(k=i,i=i+8|0,c[k>>2]=-r,k)|0)|0;i=k;break}}}while(0);t=t+1|0;}while((t|0)<(c[s>>2]|0))}s=d+224|0;if((c[s>>2]|0)>0){t=d+48|0;q=0;do{b=c[t>>2]|0;do{if((a[b+(q*52|0)+48|0]|0)==0){if((a[b+(q*52|0)+8|0]|0)==1){break}r=a[(c[(c[c[j>>2]>>2]|0)+16>>2]|0)+(c[b+(q*52|0)+4>>2]|0)|0]|0;if((c[b+(q*52|0)>>2]|0)==0){td(f|0,9978728,(k=i,i=i+8|0,c[k>>2]=r<<24>>24,k)|0)|0;i=k;break}else{td(f|0,9978728,(k=i,i=i+8|0,c[k>>2]=r<<24>>24!=1,k)|0)|0;i=k;break}}}while(0);q=q+1|0;}while((q|0)<(c[s>>2]|0))}s=d+228|0;q=c[s>>2]|0;if((q|0)<=0){u=Wa(10,f|0)|0;JU(3);i=e;return}t=d+52|0;d=0;b=q;while(1){q=c[t>>2]|0;do{if((a[q+(d*52|0)+48|0]|0)==0){if((a[q+(d*52|0)+8|0]|0)==1){v=b;break}td(f|0,9955040,(k=i,i=i+8|0,c[k>>2]=c[(c[(c[c[j>>2]>>2]|0)+20>>2]|0)+(c[q+(d*52|0)+4>>2]<<2)>>2],k)|0)|0;i=k;v=c[s>>2]|0}else{v=b}}while(0);q=d+1|0;if((q|0)<(v|0)){d=q;b=v}else{break}}u=Wa(10,f|0)|0;JU(3);i=e;return}function KX(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;e=i;f=b|0;g=Cc(c[f>>2]|0,45872)|0;h=c[d+536>>2]|0;j=c[f>>2]|0;f=dd(c[(cd()|0)>>2]|0)|0;_S(h,(g|0)!=0|0,40416,(h=i,i=i+16|0,c[h>>2]=j,c[h+8>>2]=f,h)|0);i=h;td(g|0,9955040,(h=i,i=i+8|0,c[h>>2]=35712,h)|0)|0;i=h;if((c[b+8>>2]|0)!=0){td(g|0,9955040,(h=i,i=i+8|0,c[h>>2]=31400,h)|0)|0;i=h}f=d+116|0;j=c[f>>2]|0;if((j|0)>0){k=d+8|0;l=0;m=j;while(1){j=c[k>>2]|0;if((a[j+(l*112|0)+104|0]|0)==0){td(g|0,9955040,(h=i,i=i+8|0,c[h>>2]=c[j+(l*112|0)+4>>2],h)|0)|0;i=h;n=c[f>>2]|0}else{n=m}j=l+1|0;if((j|0)<(n|0)){l=j;m=n}else{break}}}n=d+124|0;m=c[n>>2]|0;if((m|0)>0){l=d+12|0;f=0;k=m;while(1){m=c[l>>2]|0;if((a[m+(f*60|0)+56|0]|0)==0){td(g|0,9955040,(h=i,i=i+8|0,c[h>>2]=c[m+(f*60|0)+4>>2],h)|0)|0;i=h;o=c[n>>2]|0}else{o=k}m=f+1|0;if((m|0)<(o|0)){f=m;k=o}else{break}}}o=d+128|0;k=c[o>>2]|0;if((k|0)>0){f=d+16|0;n=0;l=k;while(1){k=c[f>>2]|0;if((a[k+(n*48|0)+44|0]|0)==0){td(g|0,9955040,(h=i,i=i+8|0,c[h>>2]=c[k+(n*48|0)+4>>2],h)|0)|0;i=h;p=c[o>>2]|0}else{p=l}k=n+1|0;if((k|0)<(p|0)){n=k;l=p}else{break}}}p=d+132|0;l=c[p>>2]|0;if((l|0)>0){n=d+20|0;o=0;f=l;while(1){l=c[n>>2]|0;if((a[l+(o*52|0)+48|0]|0)==0){td(g|0,9955040,(h=i,i=i+8|0,c[h>>2]=c[l+(o*52|0)+4>>2],h)|0)|0;i=h;q=c[p>>2]|0}else{q=f}l=o+1|0;if((l|0)<(q|0)){o=l;f=q}else{break}}}q=d+216|0;f=c[q>>2]|0;if((f|0)>0){o=d+40|0;p=0;n=f;while(1){f=c[o>>2]|0;do{if((a[f+(p*52|0)+48|0]|0)==0){if((a[f+(p*52|0)+8|0]|0)==1){r=n;break}td(g|0,9955040,(h=i,i=i+8|0,c[h>>2]=c[f+(p*52|0)+16>>2],h)|0)|0;i=h;r=c[q>>2]|0}else{r=n}}while(0);f=p+1|0;if((f|0)<(r|0)){p=f;n=r}else{break}}}r=d+220|0;n=c[r>>2]|0;if((n|0)>0){p=d+44|0;q=0;o=n;while(1){n=c[p>>2]|0;do{if((a[n+(q*52|0)+48|0]|0)==0){if((a[n+(q*52|0)+8|0]|0)==1){s=o;break}td(g|0,9955040,(h=i,i=i+8|0,c[h>>2]=c[n+(q*52|0)+16>>2],h)|0)|0;i=h;s=c[r>>2]|0}else{s=o}}while(0);n=q+1|0;if((n|0)<(s|0)){q=n;o=s}else{break}}}s=d+224|0;o=c[s>>2]|0;if((o|0)>0){q=d+48|0;r=0;p=o;while(1){o=c[q>>2]|0;do{if((a[o+(r*52|0)+48|0]|0)==0){if((a[o+(r*52|0)+8|0]|0)==1){t=p;break}td(g|0,9955040,(h=i,i=i+8|0,c[h>>2]=c[o+(r*52|0)+16>>2],h)|0)|0;i=h;t=c[s>>2]|0}else{t=p}}while(0);o=r+1|0;if((o|0)<(t|0)){r=o;p=t}else{break}}}t=d+228|0;p=c[t>>2]|0;if((p|0)<=0){u=Wa(10,g|0)|0;v=g;w=b+12|0;c[w>>2]=v;i=e;return}r=d+52|0;d=0;s=p;while(1){p=c[r>>2]|0;do{if((a[p+(d*52|0)+48|0]|0)==0){if((a[p+(d*52|0)+8|0]|0)==1){x=s;break}td(g|0,9955040,(h=i,i=i+8|0,c[h>>2]=c[p+(d*52|0)+16>>2],h)|0)|0;i=h;x=c[t>>2]|0}else{x=s}}while(0);p=d+1|0;if((p|0)<(x|0)){d=p;s=x}else{break}}u=Wa(10,g|0)|0;v=g;w=b+12|0;c[w>>2]=v;i=e;return}function LX(a,b){a=a|0;b=b|0;b=c[a+12>>2]|0;GU(3);Pa(b|0)|0;JU(3);return}function MX(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=i;i=i+72|0;e=d|0;f=d+8|0;g=d+16|0;j=d+24|0;k=d+40|0;l=d+56|0;m=c[a+12>>2]|0;c[g>>2]=0;n=m;xda(j,n);o=m+184|0;p=k;c[p>>2]=c[o>>2];c[p+4>>2]=c[o+4>>2];c[p+8>>2]=c[o+8>>2];c[p+12>>2]=c[o+12>>2];yda(n,k)|0;NX(b,g,e,f,+h[m+224>>3],+h[m+232>>3]);m=c[g>>2]|0;OX(a,b,9971168,c[f>>2]|0,c[e>>2]|0,m,8);mla(m);c[g>>2]=0;g=l;m=j;c[g>>2]=c[m>>2];c[g+4>>2]=c[m+4>>2];c[g+8>>2]=c[m+8>>2];c[g+12>>2]=c[m+12>>2];yda(n,l)|0;i=d;return}function NX(b,d,e,f,g,j){b=b|0;d=d|0;e=e|0;f=f|0;g=+g;j=+j;var k=0,l=0,m=0,n=0,o=0,p=0;k=i;c[e>>2]=2;l=b+136|0;m=b+140|0;n=b+144|0;o=(c[l>>2]|0)+1+(c[m>>2]|0)+(c[n>>2]|0)|0;c[f>>2]=o;p=nla(ga(c[e>>2]|0,o)|0,8)|0;c[d>>2]=p;_S(c[b+536>>2]|0,(p|0)!=0|0,9976352,(p=i,i=i+1|0,i=i+7&-8,c[p>>2]=0,p)|0);i=p;p=c[d>>2]|0;h[p>>3]=g;d=c[f>>2]|0;h[p+(d<<3)>>3]=j;f=c[l>>2]|0;if((f|0)>0){l=c[b+416>>2]|0;o=0;do{e=l+(o<<3)|0;o=o+1|0;h[p+(o<<3)>>3]=+h[e>>3];h[p+(d+o<<3)>>3]=+h[e>>3];}while((o|0)<(f|0))}o=f+1|0;f=c[m>>2]|0;if((f|0)>0){m=c[b+420>>2]|0;l=0;do{j=+(c[m+(l<<2)>>2]|0);e=l+o|0;h[p+(e<<3)>>3]=j;h[p+(d+e<<3)>>3]=j;l=l+1|0;}while((l|0)<(f|0))}l=f+o|0;o=c[n>>2]|0;if((o|0)<=0){i=k;return}n=c[b+424>>2]|0;b=0;do{f=n+b|0;m=l+b|0;h[p+(m<<3)>>3]=+(a[f]|0);h[p+(d+m<<3)>>3]=+(a[f]|0);b=b+1|0;}while((b|0)<(o|0));i=k;return}function OX(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;j=i;k=c[a+12>>2]|0;YX(a,b,d,e,f,h);wda(k,g,ga(ga(f,e)|0,h)|0)|0;if(Tba(k+(c[(c[k>>2]|0)-12>>2]|0)|0)|0){$S(c[b+536>>2]|0,9983584,(b=i,i=i+8|0,c[b>>2]=c[a>>2],b)|0);i=b}else{i=j;return}}function PX(a){a=a|0;if((QY(a+4|0)|0)!=0){return}Wba(a+(c[(c[a>>2]|0)-12>>2]|0)|0,4);return}function QX(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+104|0;e=d|0;f=d+8|0;g=d+16|0;j=d+24|0;k=d+32|0;l=d+40|0;m=d+56|0;n=d+72|0;o=d+88|0;p=rla(320)|0;Qla(p|0,0,320)|0;RX(p);q=a+12|0;c[q>>2]=p;r=(c[b+140>>2]|0)+(c[b+136>>2]|0)+(c[b+144>>2]|0)|0;c[e>>2]=0;c[j>>2]=0;c[k>>2]=0;GU(3);s=a+8|0;t=SX(c[s>>2]|0,c[q>>2]|0,b)|0;q=p+316|0;c[q>>2]=t;u=TX(a,b,t+r|0)|0;t=p+184|0;UX(l,-1,-1);v=l;c[t>>2]=c[v>>2];c[t+4>>2]=c[v+4>>2];c[t+8>>2]=c[v+8>>2];c[t+12>>2]=c[v+12>>2];v=p+200|0;UX(m,-1,-1);l=m;c[v>>2]=c[l>>2];c[v+4>>2]=c[l+4>>2];c[v+8>>2]=c[l+8>>2];c[v+12>>2]=c[l+12>>2];c[p+216>>2]=0;l=p+224|0;h[l>>3]=+h[b+240>>3];m=p+232|0;h[m>>3]=+h[b+248>>3];w=a|0;VX(p,c[w>>2]|0,36);if(Tba(p+(c[(c[p>>2]|0)-12>>2]|0)|0)|0){$S(c[b+536>>2]|0,9978584,(x=i,i=i+8|0,c[x>>2]=c[w>>2],x)|0);i=x}OX(a,b,9954896,4,11,9999944,1);WX((c[q>>2]|0)+r|0,u,e,f,g,0,0)|0;x=c[e>>2]|0;OX(a,b,8090216,c[f>>2]|0,c[g>>2]|0,x,1);mla(x);c[e>>2]=0;WX((c[q>>2]|0)+r|0,u,e,f,g,0,1)|0;x=c[e>>2]|0;OX(a,b,45856,c[f>>2]|0,c[g>>2]|0,x,1);mla(x);c[e>>2]=0;XX(a,b,j,f,g,c[q>>2]|0,r);OX(a,b,40400,c[g>>2]|0,c[f>>2]|0,c[j>>2]|0,4);r=p;xda(n,r);q=n;c[t>>2]=c[q>>2];c[t+4>>2]=c[q+4>>2];c[t+8>>2]=c[q+8>>2];c[t+12>>2]=c[q+12>>2];NX(b,k,f,g,+h[l>>3],+h[m>>3]);m=c[k>>2]|0;OX(a,b,9971168,c[g>>2]|0,c[f>>2]|0,m,8);xda(o,r);f=o;c[v>>2]=c[f>>2];c[v+4>>2]=c[f+4>>2];c[v+8>>2]=c[f+8>>2];c[v+12>>2]=c[f+12>>2];f=ZX(p+240|0)|0;v=ZX(p+264|0)|0;o=ZX(p+288|0)|0;YX(a,b,35704,f+1+v+o+(c[p+312>>2]|0)+(c[s>>2]|0)|0,0,8);mla(m);mla(c[j>>2]|0);c[k>>2]=0;c[j>>2]=0;cda(r)|0;mla(u);JU(3);i=d;return}function RX(a){a=a|0;__(a);return}function SX(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;f=i;i=i+24|0;g=f|0;h=f+8|0;j=f+16|0;k=(b|0)==0?1:2;c[g>>2]=0;b=e+116|0;l=c[b>>2]|0;if((l|0)>0){m=e+8|0;n=d+240|0;o=0;p=k;q=l;while(1){if((a[(c[m>>2]|0)+(o*112|0)+104|0]|0)==0){c[(c_(n,g)|0)>>2]=p;r=p+1|0;s=c[g>>2]|0;t=c[b>>2]|0}else{r=p;s=o;t=q}l=s+1|0;c[g>>2]=l;if((l|0)<(t|0)){o=l;p=r;q=t}else{u=r;break}}}else{u=k}c[h>>2]=0;k=e+124|0;r=c[k>>2]|0;if((r|0)>0){t=e+12|0;q=d+264|0;p=0;o=u;g=r;while(1){if((a[(c[t>>2]|0)+(p*60|0)+56|0]|0)==0){c[(c_(q,h)|0)>>2]=o;v=o+1|0;w=c[h>>2]|0;x=c[k>>2]|0}else{v=o;w=p;x=g}r=w+1|0;c[h>>2]=r;if((r|0)<(x|0)){p=r;o=v;g=x}else{y=v;break}}}else{y=u}c[j>>2]=0;u=e+128|0;v=c[u>>2]|0;if((v|0)>0){x=e+16|0;g=d+288|0;o=0;p=y;h=v;while(1){if((a[(c[x>>2]|0)+(o*48|0)+44|0]|0)==0){c[(c_(g,j)|0)>>2]=p;z=p+1|0;A=c[j>>2]|0;B=c[u>>2]|0}else{z=p;A=o;B=h}v=A+1|0;c[j>>2]=v;if((v|0)<(B|0)){o=v;p=z;h=B}else{C=z;break}}}else{C=y}y=c[e+216>>2]|0;if((y|0)>0){z=c[e+40>>2]|0;B=C;h=0;while(1){p=((a[z+(h*52|0)+48|0]|0)==0)+B|0;o=h+1|0;if((o|0)<(y|0)){B=p;h=o}else{D=p;break}}}else{D=C}C=c[e+220>>2]|0;if((C|0)>0){h=c[e+44>>2]|0;B=D;y=0;while(1){z=((a[h+(y*52|0)+48|0]|0)==0)+B|0;p=y+1|0;if((p|0)<(C|0)){B=z;y=p}else{E=z;break}}}else{E=D}D=d+312|0;c[D>>2]=0;d=c[e+224>>2]|0;if((d|0)<=0){F=E;i=f;return F|0}y=c[e+48>>2]|0;e=E;E=0;B=0;while(1){if((a[y+(E*52|0)+48|0]|0)==0){if((c[y+(E*52|0)>>2]|0)==0){G=B}else{C=B+1|0;c[D>>2]=C;G=C}H=e+1|0;I=G}else{H=e;I=B}C=E+1|0;if((C|0)<(d|0)){e=H;E=C;B=I}else{F=H;break}}i=f;return F|0}function TX(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;f=i;i=i+24|0;g=f|0;h=f+8|0;j=f+16|0;k=c[b+12>>2]|0;l=lla(e<<2)|0;e=l;c[e>>2]=1648;if((c[b+8>>2]|0)==0){m=1}else{c[l+4>>2]=18232;m=2}l=c[d+116>>2]|0;if((l|0)>0){b=c[d+8>>2]|0;n=m;o=0;while(1){if((a[b+(o*112|0)+104|0]|0)==0){c[e+(n<<2)>>2]=b+(o*112|0);p=n+1|0}else{p=n}q=o+1|0;if((q|0)<(l|0)){n=p;o=q}else{r=p;break}}}else{r=m}m=c[d+124>>2]|0;if((m|0)>0){p=c[d+12>>2]|0;o=r;n=0;while(1){if((a[p+(n*60|0)+56|0]|0)==0){c[e+(o<<2)>>2]=p+(n*60|0);s=o+1|0}else{s=o}l=n+1|0;if((l|0)<(m|0)){o=s;n=l}else{t=s;break}}}else{t=r}r=c[d+128>>2]|0;if((r|0)>0){s=c[d+16>>2]|0;n=t;o=0;while(1){if((a[s+(o*48|0)+44|0]|0)==0){c[e+(n<<2)>>2]=s+(o*48|0);u=n+1|0}else{u=n}m=o+1|0;if((m|0)<(r|0)){n=u;o=m}else{v=u;break}}}else{v=t}t=c[d+216>>2]|0;if((t|0)>0){u=c[d+40>>2]|0;o=v;n=0;while(1){if((a[u+(n*52|0)+48|0]|0)==0){c[e+(o<<2)>>2]=u+(n*52|0)+12;w=o+1|0}else{w=o}r=n+1|0;if((r|0)<(t|0)){o=w;n=r}else{x=w;break}}}else{x=v}v=c[d+220>>2]|0;if((v|0)>0){w=c[d+44>>2]|0;n=x;o=0;while(1){if((a[w+(o*52|0)+48|0]|0)==0){c[e+(n<<2)>>2]=w+(o*52|0)+12;y=n+1|0}else{y=n}t=o+1|0;if((t|0)<(v|0)){n=y;o=t}else{z=y;break}}}else{z=x}x=c[d+224>>2]|0;if((x|0)>0){y=c[d+48>>2]|0;o=z;n=0;while(1){if((a[y+(n*52|0)+48|0]|0)==0){c[e+(o<<2)>>2]=y+(n*52|0)+12;A=o+1|0}else{A=o}v=n+1|0;if((v|0)<(x|0)){o=A;n=v}else{B=A;break}}}else{B=z}c[g>>2]=0;z=d+136|0;if((c[z>>2]|0)>0){A=d+24|0;n=k+252|0;o=0;x=B;y=1;while(1){v=x+1|0;c[e+(x<<2)>>2]=(c[A>>2]|0)+(o*112|0);c[(c_(n,g)|0)>>2]=y;w=y+1|0;t=(c[g>>2]|0)+1|0;c[g>>2]=t;if((t|0)<(c[z>>2]|0)){o=t;x=v;y=w}else{C=v;D=w;break}}}else{C=B;D=1}c[h>>2]=0;B=d+140|0;if((c[B>>2]|0)>0){y=d+28|0;x=k+276|0;o=0;z=C;g=D;while(1){n=z+1|0;c[e+(z<<2)>>2]=(c[y>>2]|0)+(o*60|0);c[(c_(x,h)|0)>>2]=g;A=g+1|0;w=(c[h>>2]|0)+1|0;c[h>>2]=w;if((w|0)<(c[B>>2]|0)){o=w;z=n;g=A}else{E=n;F=A;break}}}else{E=C;F=D}c[j>>2]=0;D=d+144|0;if((c[D>>2]|0)<=0){i=f;return e|0}C=d+32|0;d=k+300|0;k=0;g=E;E=F;while(1){c[e+(g<<2)>>2]=(c[C>>2]|0)+(k*48|0);c[(c_(d,j)|0)>>2]=E;F=(c[j>>2]|0)+1|0;c[j>>2]=F;if((F|0)<(c[D>>2]|0)){k=F;g=g+1|0;E=E+1|0}else{break}}i=f;return e|0}function UX(a,b,c){a=a|0;b=b|0;c=c|0;PY(a,b,c);return}function VX(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;e=(OY(a+4|0,b,d|16)|0)==0;d=a+(c[(c[a>>2]|0)-12>>2]|0)|0;if(e){Wba(d,4);return}else{Uba(d,0);return}}function WX(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;j=i;c[f>>2]=a;c[e>>2]=0;k=(a|0)>0;do{if(k){l=0;m=0;while(1){n=c[b+(l<<2)>>2]|0;o=Nla(c[(h?n+8|0:n+4|0)>>2]|0)|0;if((o|0)>(m|0)){c[e>>2]=o;p=o}else{p=m}o=l+1|0;if((o|0)<(a|0)){l=o;m=p}else{break}}m=nla((ga(c[f>>2]|0,p)|0)+1|0,1)|0;c[d>>2]=m;_S(0,(m|0)!=0|0,24136,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q;if(!k){break}m=0;l=c[d>>2]|0;o=c[e>>2]|0;while(1){n=b+(m<<2)|0;r=c[n>>2]|0;Ola(l|0,c[(h?r+8|0:r+4|0)>>2]|0,o+1|0)|0;if(g){r=c[n>>2]|0;bY(l,Nla(c[(h?r+8|0:r+4|0)>>2]|0)|0)}r=c[e>>2]|0;n=m+1|0;if((n|0)<(a|0)){m=n;l=l+r|0;o=r}else{s=r;break}}t=c[f>>2]|0;u=ga(t,s)|0;i=j;return u|0}else{o=nla(1,1)|0;c[d>>2]=o;_S(0,(o|0)!=0|0,24136,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q}}while(0);s=c[e>>2]|0;t=c[f>>2]|0;u=ga(t,s)|0;i=j;return u|0}function XX(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;k=i;i=i+56|0;l=k|0;m=k+8|0;n=k+16|0;o=k+24|0;p=k+32|0;q=k+40|0;r=k+48|0;s=c[b+12>>2]|0;c[f>>2]=j+h;c[g>>2]=4;g=nla(c[f>>2]<<2,4)|0;c[e>>2]=g;_S(c[d+536>>2]|0,(g|0)!=0|0,9979656,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;g=s+240|0;f=ZX(g)|0;h=s+264|0;t=ZX(h)|0;u=s+288|0;v=ZX(u)|0;w=b+8|0;if((f+1+t+v|0)==(-(c[w>>2]|0)|0)){x=0;y=1}else{v=c[e>>2]|0;t=0;f=1;b=0;while(1){c[v+(t<<2)>>2]=2;c[v+((t|1)<<2)>>2]=f;c[v+((t|2)<<2)>>2]=0;z=t+4|0;c[v+((t|3)<<2)>>2]=-1;A=f+1|0;B=b+1|0;C=ZX(g)|0;D=ZX(h)|0;E=ZX(u)|0;if(B>>>0<(C+1+D+E+(c[w>>2]|0)|0)>>>0){t=z;f=A;b=B}else{x=z;y=A;break}}}b=d+216|0;if((c[b>>2]|0)>0){f=d+40|0;t=s+252|0;w=x;v=0;while(1){A=c[f>>2]|0;do{if((a[A+(v*52|0)+48|0]|0)==0){z=a[A+(v*52|0)+8|0]|0;if((z<<24>>24|0)==1){cY(l,t,A+(v*52|0)+4|0);eY(n,t);if(!(dY(l,n)|0)){F=w;break}G=1;H=(c[(fY(l)|0)+4>>2]|0)+1|0}else if((z<<24>>24|0)==2){G=2;H=1}else if((z<<24>>24|0)==0){cY(l,g,A+(v*52|0)+4|0);eY(m,g);if(!(dY(l,m)|0)){F=w;break}G=2;H=(c[(fY(l)|0)+4>>2]|0)+1|0}else{F=w;break}z=c[e>>2]|0;c[z+(w<<2)>>2]=G;if((c[(c[f>>2]|0)+(v*52|0)>>2]|0)==0){c[z+(w+1<<2)>>2]=H}else{c[z+(w+1<<2)>>2]=-H}c[z+(w+2<<2)>>2]=0;c[z+(w+3<<2)>>2]=-1;F=w+4|0}else{F=w}}while(0);A=v+1|0;if((A|0)<(c[b>>2]|0)){w=F;v=A}else{I=F;break}}}else{I=x}x=d+220|0;if((c[x>>2]|0)>0){F=d+44|0;v=s+276|0;w=I;b=0;while(1){H=c[F>>2]|0;do{if((a[H+(b*52|0)+48|0]|0)==0){f=a[H+(b*52|0)+8|0]|0;if((f<<24>>24|0)==0){cY(l,h,H+(b*52|0)+4|0);eY(o,h);G=dY(l,o)|0;J=G?2:0}else if((f<<24>>24|0)==1){cY(l,v,H+(b*52|0)+4|0);eY(p,v);J=(dY(l,p)|0)&1}else{K=w;break}if((J|0)==0){K=w;break}f=c[e>>2]|0;c[f+(w<<2)>>2]=J;G=(c[(c[F>>2]|0)+(b*52|0)>>2]|0)==0;m=c[(fY(l)|0)+4>>2]|0;if(G){c[f+(w+1<<2)>>2]=m+1}else{c[f+(w+1<<2)>>2]=~m}c[f+(w+2<<2)>>2]=0;c[f+(w+3<<2)>>2]=-1;K=w+4|0}else{K=w}}while(0);H=b+1|0;if((H|0)<(c[x>>2]|0)){w=K;b=H}else{L=K;break}}}else{L=I}I=d+224|0;if((c[I>>2]|0)>0){K=d+48|0;d=s+300|0;s=L;b=y;y=0;while(1){w=c[K>>2]|0;do{if((a[w+(y*52|0)+48|0]|0)==0){if((c[w+(y*52|0)>>2]|0)==0){x=a[w+(y*52|0)+8|0]|0;if((x<<24>>24|0)==0){cY(l,u,w+(y*52|0)+4|0);eY(q,u);F=dY(l,q)|0;M=F?2:0}else if((x<<24>>24|0)==1){cY(l,d,w+(y*52|0)+4|0);eY(r,d);M=(dY(l,r)|0)&1}else{N=b;O=s;break}if((M|0)==0){N=b;O=s;break}P=M;Q=c[K>>2]|0}else{P=2;Q=w}x=c[e>>2]|0;c[x+(s<<2)>>2]=P;if((c[Q+(y*52|0)>>2]|0)==0){c[x+(s+1<<2)>>2]=(c[(fY(l)|0)+4>>2]|0)+1;R=b}else{c[x+(s+1<<2)>>2]=b;R=b+1|0}c[x+(s+2<<2)>>2]=0;c[x+(s+3<<2)>>2]=-1;N=R;O=s+4|0}else{N=b;O=s}}while(0);w=y+1|0;if((w|0)<(c[I>>2]|0)){s=O;b=N;y=w}else{S=O;break}}}else{S=L}if((j|0)==0){i=k;return}L=c[e>>2]|0;e=0;do{O=(e<<2)+S|0;c[L+(O<<2)>>2]=1;c[L+(O+1<<2)>>2]=e+2;c[L+(O+2<<2)>>2]=0;c[L+(O+3<<2)>>2]=0;e=e+1|0;}while(e>>>0<j>>>0);i=k;return}function YX(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;h=i;i=i+24|0;j=h|0;k=c[a+12>>2]|0;c[j>>2]=(g|0)==4?20:(g|0)==1?51:0;c[j+4>>2]=e;c[j+8>>2]=f;c[j+12>>2]=0;f=j+16|0;c[f>>2]=(Nla(d|0)|0)+1;e=k;wda(e,j,20)|0;j=k;if(Tba(k+(c[(c[j>>2]|0)-12>>2]|0)|0)|0){$S(c[b+536>>2]|0,9983584,(l=i,i=i+8|0,c[l>>2]=c[a>>2],l)|0);i=l}wda(e,d,c[f>>2]|0)|0;if(Tba(k+(c[(c[j>>2]|0)-12>>2]|0)|0)|0){$S(c[b+536>>2]|0,9983584,(l=i,i=i+8|0,c[l>>2]=c[a>>2],l)|0);i=l}else{i=h;return}}function ZX(a){a=a|0;return c[(LY(a|0)|0)>>2]|0}function _X(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;d=i;i=i+16|0;e=d|0;f=a+12|0;g=c[f>>2]|0;h=g;GU(3);do{if(Sba(g+(c[(c[g>>2]|0)-12>>2]|0)|0)|0){j=g+200|0;k=e;c[k>>2]=c[j>>2];c[k+4>>2]=c[j+4>>2];c[k+8>>2]=c[j+8>>2];c[k+12>>2]=c[j+12>>2];yda(g,e)|0;j=ZX(g+240|0)|0;k=ZX(g+264|0)|0;l=ZX(g+288|0)|0;YX(a,b,35704,j+1+k+l+(c[g+312>>2]|0)+(c[a+8>>2]|0)|0,c[g+216>>2]|0,8);PX(g)}else{if((g|0)!=0){break}c[f>>2]=0;JU(3);i=d;return}}while(0);$X(h);tla(g);c[f>>2]=0;JU(3);i=d;return}function $X(a){a=a|0;hZ(a);return}function aY(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;e=i;i=i+16|0;f=e|0;g=e+8|0;j=c[b+12>>2]|0;h[f>>3]=0.0;GU(3);JU(0);h[g>>3]=+BU(0);GU(0);k=j;l=d+4|0;wda(k,c[c[l>>2]>>2]|0,8)|0;if((c[b+8>>2]|0)!=0){wda(k,g,8)|0}g=d+116|0;m=c[g>>2]|0;if((m|0)>0){n=d+8|0;o=0;p=m;while(1){if((a[(c[n>>2]|0)+(o*112|0)+104|0]|0)==0){wda(k,(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+(o<<3)|0,8)|0;q=c[g>>2]|0}else{q=p}m=o+1|0;if((m|0)<(q|0)){o=m;p=q}else{break}}}q=d+124|0;p=c[q>>2]|0;if((p|0)>0){o=d+12|0;g=f;n=0;m=p;while(1){if((a[(c[o>>2]|0)+(n*60|0)+56|0]|0)==0){h[f>>3]=+(c[(c[(c[c[l>>2]>>2]|0)+12>>2]|0)+(n<<2)>>2]|0);wda(k,g,8)|0;r=c[q>>2]|0}else{r=m}p=n+1|0;if((p|0)<(r|0)){n=p;m=r}else{break}}}r=d+128|0;m=c[r>>2]|0;if((m|0)>0){n=d+16|0;q=f;g=0;o=m;while(1){if((a[(c[n>>2]|0)+(g*48|0)+44|0]|0)==0){h[f>>3]=+(a[(c[(c[c[l>>2]>>2]|0)+16>>2]|0)+g|0]|0);wda(k,q,8)|0;s=c[r>>2]|0}else{s=o}m=g+1|0;if((m|0)<(s|0)){g=m;o=s}else{break}}}s=d+224|0;o=c[s>>2]|0;if((o|0)>0){g=d+48|0;r=f;q=0;n=o;while(1){o=c[g>>2]|0;do{if((a[o+(q*52|0)+48|0]|0)==0){if((c[o+(q*52|0)>>2]|0)==0){t=n;break}h[f>>3]=+((a[(c[(c[c[l>>2]>>2]|0)+16>>2]|0)+(c[o+(q*52|0)+4>>2]|0)|0]|0)!=1|0);wda(k,r,8)|0;t=c[s>>2]|0}else{t=n}}while(0);o=q+1|0;if((o|0)<(t|0)){q=o;n=t}else{break}}}if(Tba(j+(c[(c[j>>2]|0)-12>>2]|0)|0)|0){$S(c[d+536>>2]|0,27384,(d=i,i=i+8|0,c[d>>2]=c[b>>2],d)|0);i=d}else{d=j+216|0;c[d>>2]=(c[d>>2]|0)+1;JU(3);i=e;return}}function bY(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0;if(c>>>0<6>>>0){return}if((Mla(b,9947456,4)|0)!=0){return}c=b;while(1){d=Vb(b|0,46)|0;if((d|0)==0){e=8;break}f=d-c|0;d=f+1|0;if(d>>>0>4>>>0){g=4;do{a[b+(g-4)|0]=a[b+g|0]|0;g=g+1|0;}while(g>>>0<d>>>0)}d=b+(f-3)|0;C=678585700;a[d]=C;C=C>>8;a[d+1|0]=C;C=C>>8;a[d+2|0]=C;C=C>>8;a[d+3|0]=C;if((Mla(b,9947456,4)|0)!=0){e=8;break}}if((e|0)==8){return}}function cY(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=i;i=i+8|0;e=d|0;xY(e,b|0,c);nY(a,e);i=d;return}function dY(a,b){a=a|0;b=b|0;return lY(a|0,b|0)|0}function eY(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=c|0;oY(d,b|0);nY(a,d);i=c;return}function fY(a){a=a|0;return gY(hY(a|0)|0)|0}function gY(a){a=a|0;return kY(a)|0}function hY(a){a=a|0;return iY((c[a>>2]|0)+16|0)|0}function iY(a){a=a|0;return jY(a)|0}function jY(a){a=a|0;return a|0}function kY(a){a=a|0;return a|0}function lY(a,b){a=a|0;b=b|0;return(mY(a,b)|0)^1|0}function mY(a,b){a=a|0;b=b|0;return(c[a>>2]|0)==(c[b>>2]|0)|0}function nY(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];wY(a,b);i=d;return}function oY(a,b){a=a|0;b=b|0;pY(a,qY(b)|0);return}function pY(a,b){a=a|0;b=b|0;vY(a,b);return}function qY(a){a=a|0;return rY(sY(a+4|0)|0)|0}function rY(a){a=a|0;return uY(a)|0}function sY(a){a=a|0;return tY(a|0)|0}function tY(a){a=a|0;return a|0}function uY(a){a=a|0;return a|0}function vY(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function wY(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];c[a>>2]=c[b>>2];i=d;return}function xY(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=i;i=i+16|0;f=e|0;g=e+8|0;h=zY(b)|0;yY(f,b,d,h,qY(b)|0);oY(g,b);do{if(lY(f,g)|0){h=AY(b)|0;if(BY(h,d,CY(f)|0)|0){break}c[a>>2]=c[f>>2];i=e;return}}while(0);oY(a,b);i=e;return}function yY(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;g=i;i=i+8|0;h=g|0;GY(h);a:do{if((e|0)==0){j=f}else{k=AY(b)|0;l=e;m=f;while(1){n=l;while(1){if(!(HY(k,n+16|0,d)|0)){break}o=c[n+4>>2]|0;GY(h);if((o|0)==0){j=m;break a}else{n=o}}o=c[n>>2]|0;GY(h);if((o|0)==0){j=n;break}else{l=o;m=n}}}}while(0);pY(a,j);i=g;return}function zY(a){a=a|0;return c[(qY(a)|0)>>2]|0}function AY(a){a=a|0;return EY(a+8|0)|0}function BY(a,b,c){a=a|0;b=b|0;c=c|0;return DY(0,b,c|0)|0}function CY(a){a=a|0;return(c[a>>2]|0)+16|0}function DY(a,b,d){a=a|0;b=b|0;d=d|0;return(c[b>>2]|0)<(c[d>>2]|0)|0}function EY(a){a=a|0;return FY(a|0)|0}function FY(a){a=a|0;return a|0}function GY(a){a=a|0;IY(a,-1);return}function HY(a,b,c){a=a|0;b=b|0;c=c|0;return DY(0,b|0,c)|0}function IY(a,b){a=a|0;b=b|0;JY(a,0);return}function JY(a,b){a=a|0;b=b|0;c[a>>2]=0;return}function KY(a){a=a|0;return c[a+4>>2]|0}function LY(a){a=a|0;return MY(a+8|0)|0}function MY(a){a=a|0;return NY(a|0)|0}function NY(a){a=a|0;return a|0}function OY(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=a+64|0;a:do{if((c[e>>2]|0)==0){switch(d&-3|0){case 21:case 5:{f=9957936;break};case 16:case 48:{f=9973232;break};case 60:{f=9951464;break};case 12:{f=9955800;break};case 29:case 13:{f=9949568;break};case 56:{f=9964256;break};case 8:{f=9968560;break};case 17:case 1:{f=9970728;break};case 20:case 52:{f=9959992;break};case 25:case 9:{f=9962064;break};case 28:{f=9953232;break};case 24:{f=9966392;break};default:{g=0;break a}}if((a|0)==0){g=0;break}h=Cc(b|0,f|0)|0;c[e>>2]=h;if((h|0)==0){g=0;break}c[a+88>>2]=d;if((d&2|0)==0){g=a;break}if((Bd(h|0,0,2)|0)==0){g=a;break}Pa(c[e>>2]|0)|0;c[e>>2]=0;g=0}else{g=0}}while(0);return g|0}function PY(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;e=a;c[e>>2]=0;c[e+4>>2]=0;e=a+8|0;c[e>>2]=b;c[e+4>>2]=d;return}function QY(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;i=i+8|0;d=b|0;e=a+64|0;f=c[e>>2]|0;if((f|0)==0){g=0;i=b;return g|0}RY(d,f,134);f=ce[c[(c[a>>2]|0)+24>>2]&255](a)|0;if((Pa(SY(d)|0)|0)==0){c[e>>2]=0;h=(f|0)==0?a:0}else{h=0}TY(d);g=h;i=b;return g|0}function RY(a,b,c){a=a|0;b=b|0;c=c|0;_Y(a,b,c);return}function SY(a){a=a|0;var b=0;b=WY(a|0)|0;a=c[b>>2]|0;c[b>>2]=0;return a|0}function TY(a){a=a|0;UY(a);return}function UY(a){a=a|0;VY(a,0);return}function VY(a,b){a=a|0;b=b|0;var d=0,e=0;d=a|0;a=WY(d)|0;e=c[a>>2]|0;c[a>>2]=b;if((e|0)==0){return}ce[c[(XY(d)|0)>>2]&255](e)|0;return}function WY(a){a=a|0;return ZY(a|0)|0}function XY(a){a=a|0;return YY(a|0)|0}function YY(a){a=a|0;return a+4|0}function ZY(a){a=a|0;return a|0}function _Y(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=e|0;g=e+8|0;c[f>>2]=b;c[g>>2]=d;d=c[(aZ(f)|0)>>2]|0;$Y(a|0,d,c[(bZ(g)|0)>>2]|0);i=e;return}function $Y(a,b,c){a=a|0;b=b|0;c=c|0;cZ(a,b,c);return}function aZ(a){a=a|0;return a|0}function bZ(a){a=a|0;return a|0}function cZ(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=e|0;g=e+8|0;c[f>>2]=b;c[g>>2]=d;d=c[(eZ(f)|0)>>2]|0;dZ(a|0,d,c[(fZ(g)|0)>>2]|0);i=e;return}function dZ(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=e|0;g=e+8|0;c[f>>2]=b;c[g>>2]=d;c[a>>2]=c[(eZ(f)|0)>>2];c[a+4>>2]=c[(fZ(g)|0)>>2];i=e;return}function eZ(a){a=a|0;return a|0}function fZ(a){a=a|0;return a|0}function gZ(a){a=a|0;var b=0;b=a+8|0;return(K=c[b+4>>2]|0,c[b>>2]|0)|0}function hZ(a){a=a|0;iZ(a+300|0);iZ(a+288|0);iZ(a+276|0);iZ(a+264|0);iZ(a+252|0);iZ(a+240|0);jZ(a|0);return}function iZ(a){a=a|0;VZ(a);return}function jZ(a){a=a|0;kZ(a,9988440);_ba(a+104|0);return}function kZ(a,b){a=a|0;b=b|0;var d=0;d=c[b>>2]|0;c[a>>2]=d;c[a+(c[d-12>>2]|0)>>2]=c[b+12>>2];oZ(a+4|0);return}function lZ(a){a=a|0;jZ(a+(c[(c[a>>2]|0)-12>>2]|0)|0);return}function mZ(a){a=a|0;jZ(a);tla(a);return}function nZ(a){a=a|0;mZ(a+(c[(c[a>>2]|0)-12>>2]|0)|0);return}function oZ(a){a=a|0;pZ(a);return}function pZ(b){b=b|0;var d=0;c[b>>2]=9987736;QY(b)|0;do{if((a[b+96|0]|0)!=0){d=c[b+32>>2]|0;if((d|0)==0){break}ula(d)}}while(0);do{if((a[b+97|0]|0)!=0){d=c[b+56>>2]|0;if((d|0)==0){break}ula(d)}}while(0);hca(b|0);return}function qZ(a){a=a|0;oZ(a);tla(a);return}function rZ(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;ce[c[(c[b>>2]|0)+24>>2]&255](b)|0;e=TZ(d)|0;c[b+68>>2]=e;d=b+98|0;f=a[d]|0;g=UZ(e)|0;a[d]=g&1;if((f&255|0)==(g&1|0)){return}g=b|0;rca(g,0,0,0);wca(g,0,0);g=b+96|0;f=(a[g]|0)!=0;if((a[d]|0)!=0){d=b+32|0;do{if(f){e=c[d>>2]|0;if((e|0)==0){break}ula(e)}}while(0);e=b+97|0;a[g]=a[e]|0;h=b+60|0;c[b+52>>2]=c[h>>2];i=b+56|0;c[d>>2]=c[i>>2];c[h>>2]=0;c[i>>2]=0;a[e]=0;return}do{if(!f){e=b+32|0;i=c[e>>2]|0;if((i|0)==(b+44|0)){break}h=c[b+52>>2]|0;c[b+60>>2]=h;c[b+56>>2]=i;a[b+97|0]=0;c[e>>2]=sla(h)|0;a[g]=1;return}}while(0);g=c[b+52>>2]|0;c[b+60>>2]=g;c[b+56>>2]=sla(g)|0;a[b+97|0]=1;return}function sZ(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;f=i;i=i+16|0;g=f|0;h=f+8|0;c[g>>2]=e;e=b|0;rca(e,0,0,0);wca(e,0,0);j=b+96|0;do{if((a[j]|0)!=0){k=c[b+32>>2]|0;if((k|0)==0){break}ula(k)}}while(0);k=b+97|0;do{if((a[k]|0)!=0){l=c[b+56>>2]|0;if((l|0)==0){break}ula(l)}}while(0);l=c[g>>2]|0;m=b+52|0;c[m>>2]=l;do{if(l>>>0>8>>>0){n=a[b+98|0]|0;if(n<<24>>24==0|(d|0)==0){c[b+32>>2]=sla(l)|0;a[j]=1;o=n;break}else{c[b+32>>2]=d;a[j]=0;o=n;break}}else{c[b+32>>2]=b+44;c[m>>2]=8;a[j]=0;o=a[b+98|0]|0}}while(0);if(!(o<<24>>24==0)){c[b+60>>2]=0;c[b+56>>2]=0;a[k]=0;i=f;return e|0}c[h>>2]=8;o=c[(QZ(g,h)|0)>>2]|0;c[b+60>>2]=o;if((d|0)!=0&o>>>0>7>>>0){c[b+56>>2]=d;a[k]=0;i=f;return e|0}else{c[b+56>>2]=sla(o)|0;a[k]=1;i=f;return e|0}return 0}function tZ(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;g=i;i=i+24|0;h=g|0;j=g+16|0;k=j;l=c[b+68>>2]|0;if((l|0)==0){m=Gd(4)|0;Ska(m);xc(m|0,9991800,176)}m=MZ(l)|0;l=b+64|0;do{if((c[l>>2]|0)!=0){n=(m|0)>0;if(!(n|(d|0)==0&(e|0)==0)){break}if((ce[c[(c[b>>2]|0)+24>>2]&255](b)|0)!=0){break}if(!(f>>>0<3>>>0)){UX(a,-1,-1);i=g;return}o=c[l>>2]|0;if(n){n=fma(m,(m|0)<0|0?-1:0,d,e)|0;p=n}else{p=0}if((Bd(o|0,p|0,f|0)|0)==0){o=Pb(c[l>>2]|0)|0;UX(h,o,(o|0)<0|0?-1:0);o=b+72|0;n=c[o+4>>2]|0;c[j>>2]=c[o>>2];c[j+4>>2]=n;PZ(h,k);n=a;o=h;c[n>>2]=c[o>>2];c[n+4>>2]=c[o+4>>2];c[n+8>>2]=c[o+8>>2];c[n+12>>2]=c[o+12>>2];i=g;return}else{UX(a,-1,-1);i=g;return}}}while(0);UX(a,-1,-1);i=g;return}function uZ(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0;e=i;i=i+8|0;f=d;d=i;i=i+16|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];c[d+8>>2]=c[f+8>>2];c[d+12>>2]=c[f+12>>2];f=e|0;g=f;h=b+64|0;do{if((c[h>>2]|0)!=0){if((ce[c[(c[b>>2]|0)+24>>2]&255](b)|0)!=0){break}j=c[h>>2]|0;k=gZ(d)|0;if((Bd(j|0,k|0,0)|0)==0){OZ(g,d);k=b+72|0;j=c[f+4>>2]|0;c[k>>2]=c[f>>2];c[k+4>>2]=j;j=a;k=d;c[j>>2]=c[k>>2];c[j+4>>2]=c[k+4>>2];c[j+8>>2]=c[k+8>>2];c[j+12>>2]=c[k+12>>2];i=e;return}else{UX(a,-1,-1);i=e;return}}}while(0);UX(a,-1,-1);i=e;return}function vZ(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;d=i;i=i+16|0;e=d|0;f=d+8|0;g=f;h=b+64|0;if((c[h>>2]|0)==0){j=0;i=d;return j|0}k=b+68|0;l=c[k>>2]|0;if((l|0)==0){m=Gd(4)|0;Ska(m);xc(m|0,9991800,176);return 0}m=b+92|0;n=c[m>>2]|0;do{if((n&16|0)==0){if((n&8|0)==0){break}o=b+80|0;p=c[o+4>>2]|0;c[f>>2]=c[o>>2];c[f+4>>2]=p;do{if((a[b+98|0]|0)==0){p=MZ(l)|0;o=b+36|0;q=c[o>>2]|0;r=(c[b+40>>2]|0)-q|0;s=b|0;if((p|0)>0){t=pca(s)|0;u=(ga(t-(oca(s)|0)|0,p)|0)+r|0;v=0;break}p=oca(s)|0;if((p|0)==(pca(s)|0)){u=r;v=0;break}t=c[k>>2]|0;w=b+32|0;x=c[w>>2]|0;y=NZ(t,g,x,q,p-(nca(s)|0)|0)|0;u=r-y+(c[o>>2]|0)-(c[w>>2]|0)|0;v=1}else{w=b|0;o=pca(w)|0;u=o-(oca(w)|0)|0;v=0}}while(0);if((Bd(c[h>>2]|0,-u|0,1)|0)!=0){j=-1;i=d;return j|0}if(v){w=b+72|0;o=c[f+4>>2]|0;c[w>>2]=c[f>>2];c[w+4>>2]=o}o=c[b+32>>2]|0;c[b+40>>2]=o;c[b+36>>2]=o;rca(b|0,0,0,0);c[m>>2]=0}else{o=b|0;w=tca(o)|0;do{if((w|0)!=(sca(o)|0)){if((me[c[(c[b>>2]|0)+52>>2]&127](b,-1)|0)==-1){j=-1}else{break}i=d;return j|0}}while(0);o=b+72|0;w=b+32|0;y=b+52|0;while(1){r=c[w>>2]|0;s=LZ(c[k>>2]|0,o,r,r+(c[y>>2]|0)|0,e)|0;r=c[w>>2]|0;p=(c[e>>2]|0)-r|0;if((Ya(r|0,1,p|0,c[h>>2]|0)|0)!=(p|0)){j=-1;z=23;break}if((s|0)==2){j=-1;z=23;break}else if((s|0)!=1){z=10;break}}if((z|0)==10){if((Ta(c[h>>2]|0)|0)==0){break}else{j=-1}i=d;return j|0}else if((z|0)==23){i=d;return j|0}}}while(0);j=0;i=d;return j|0}function wZ(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;d=i;i=i+48|0;e=d|0;f=d+8|0;g=d+16|0;h=d+24|0;j=d+32|0;k=d+40|0;l=b+64|0;if((c[l>>2]|0)==0){m=-1;i=d;return m|0}n=GZ(b)|0;o=b|0;if((oca(o)|0)==0){p=e+1|0;rca(o,e,p,p)}if(n){q=0}else{n=pca(o)|0;c[f>>2]=(n-(nca(o)|0)|0)/2|0;c[g>>2]=4;q=c[(HZ(f,g)|0)>>2]|0}g=oca(o)|0;do{if((g|0)==(pca(o)|0)){Tla(nca(o)|0,g+(-q|0)|0,q|0)|0;if((a[b+98|0]|0)!=0){f=pca(o)|0;n=nca(o)|0;p=pd(n+q|0,1,f-q-n|0,c[l>>2]|0)|0;if((p|0)==0){r=-1;break}n=nca(o)|0;rca(o,n,n+q|0,n+(p+q)|0);r=EZ(a[oca(o)|0]|0)|0;break}p=b+32|0;n=b+36|0;f=c[n>>2]|0;s=b+40|0;Tla(c[p>>2]|0,f|0,(c[s>>2]|0)-f|0)|0;f=c[p>>2]|0;t=f+((c[s>>2]|0)-(c[n>>2]|0))|0;c[n>>2]=t;if((f|0)==(b+44|0)){u=8}else{u=c[b+52>>2]|0}v=f+u|0;c[s>>2]=v;f=b+60|0;c[h>>2]=(c[f>>2]|0)-q;c[j>>2]=v-t;v=c[(HZ(h,j)|0)>>2]|0;w=b+72|0;x=w;y=b+80|0;z=c[x+4>>2]|0;c[y>>2]=c[x>>2];c[y+4>>2]=z;z=pd(t|0,1,v|0,c[l>>2]|0)|0;if((z|0)==0){r=-1;break}v=c[b+68>>2]|0;if((v|0)==0){t=Gd(4)|0;Ska(t);xc(t|0,9991800,176);return 0}t=(c[n>>2]|0)+z|0;c[s>>2]=t;z=c[p>>2]|0;y=nca(o)|0;if((IZ(v,w,z,t,n,y+q|0,y+(c[f>>2]|0)|0,k)|0)==3){f=c[p>>2]|0;rca(o,f,f,c[s>>2]|0);r=EZ(a[oca(o)|0]|0)|0;break}s=c[k>>2]|0;f=nca(o)|0;p=f+q|0;if((s|0)==(p|0)){r=-1;break}rca(o,f,p,s);r=EZ(a[oca(o)|0]|0)|0}else{r=EZ(a[g]|0)|0}}while(0);if((nca(o)|0)!=(e|0)){m=r;i=d;return m|0}rca(o,0,0,0);m=r;i=d;return m|0}function xZ(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0;if((c[b+64>>2]|0)==0){e=-1;return e|0}f=b|0;g=nca(f)|0;h=oca(f)|0;if(!(g>>>0<h>>>0)){e=-1;return e|0}if(AZ(d,-1)|0){qca(f,-1);e=DZ(d)|0;return e|0}g=(c[b+88>>2]&16|0)==0;b=BZ(d)|0;do{if(g){if(FZ(b,a[h-1|0]|0)|0){break}else{e=-1}return e|0}}while(0);qca(f,-1);a[oca(f)|0]=b;e=d;return e|0}function yZ(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;e=i;i=i+24|0;f=e|0;g=e+8|0;h=e+16|0;j=b+64|0;if((c[j>>2]|0)==0){k=-1;i=e;return k|0}zZ(b);l=b|0;m=sca(l)|0;n=uca(l)|0;if(!(AZ(d,-1)|0)){if((tca(l)|0)==0){wca(l,f,f+1|0)}f=BZ(d)|0;a[tca(l)|0]=f;vca(l,1)}f=tca(l)|0;o=sca(l)|0;if((f|0)!=(o|0)){a:do{if((a[b+98|0]|0)==0){p=b+32|0;q=c[p>>2]|0;c[g>>2]=q;r=b+68|0;s=c[r>>2]|0;if((s|0)==0){t=Gd(4)|0;u=t;Ska(u);xc(t|0,9991800,176);return 0}v=b+72|0;w=b+52|0;x=s;s=q;while(1){q=sca(l)|0;y=tca(l)|0;z=CZ(x,v,q,y,h,s,s+(c[w>>2]|0)|0,g)|0;y=c[h>>2]|0;A=sca(l)|0;if((y|0)==(A|0)){k=-1;B=22;break}if((z|0)==3){B=14;break}if(!(z>>>0<2>>>0)){k=-1;B=22;break}y=c[p>>2]|0;q=(c[g>>2]|0)-y|0;if((Ya(y|0,1,q|0,c[j>>2]|0)|0)!=(q|0)){k=-1;B=22;break}if((z|0)!=1){break a}z=c[h>>2]|0;wca(l,z,tca(l)|0);z=uca(l)|0;vca(l,z-(sca(l)|0)|0);z=c[r>>2]|0;if((z|0)==0){B=11;break}x=z;s=c[p>>2]|0}if((B|0)==11){t=Gd(4)|0;u=t;Ska(u);xc(t|0,9991800,176);return 0}else if((B|0)==14){p=(tca(l)|0)-A|0;if((Ya(A|0,1,p|0,c[j>>2]|0)|0)==(p|0)){break}else{k=-1}i=e;return k|0}else if((B|0)==22){i=e;return k|0}}else{p=f-o|0;if((Ya(o|0,1,p|0,c[j>>2]|0)|0)==(p|0)){break}else{k=-1}i=e;return k|0}}while(0);wca(l,m,n)}k=DZ(d)|0;i=e;return k|0}function zZ(b){b=b|0;var d=0,e=0,f=0,g=0;d=b+92|0;if((c[d>>2]&16|0)!=0){return}e=b|0;rca(e,0,0,0);f=c[b+52>>2]|0;do{if(f>>>0>8>>>0){if((a[b+98|0]|0)==0){g=c[b+56>>2]|0;wca(e,g,g+((c[b+60>>2]|0)-1)|0);break}else{g=c[b+32>>2]|0;wca(e,g,g+(f-1)|0);break}}else{wca(e,0,0)}}while(0);c[d>>2]=16;return}function AZ(a,b){a=a|0;b=b|0;return(a|0)==(b|0)|0}function BZ(a){a=a|0;return a&255|0}function CZ(a,b,d,e,f,g,h,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;return oe[c[(c[a>>2]|0)+12>>2]&31](a,b,d,e,f,g,h,i)|0}function DZ(a){a=a|0;var b=0;b=AZ(a,-1)|0;return(b?0:a)|0}function EZ(a){a=a|0;return a&255|0}function FZ(a,b){a=a|0;b=b|0;return a<<24>>24==b<<24>>24|0}function GZ(b){b=b|0;var d=0,e=0,f=0,g=0,h=0;d=b+92|0;if((c[d>>2]&8|0)!=0){e=0;return e|0}f=b|0;wca(f,0,0);if((a[b+98|0]|0)==0){g=c[b+56>>2]|0;h=g+(c[b+60>>2]|0)|0;rca(f,g,h,h)}else{h=c[b+32>>2]|0;g=h+(c[b+52>>2]|0)|0;rca(f,h,g,g)}c[d>>2]=8;e=1;return e|0}function HZ(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=JZ(a,b,c|0)|0;i=c;return d|0}function IZ(a,b,d,e,f,g,h,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;return oe[c[(c[a>>2]|0)+16>>2]&31](a,b,d,e,f,g,h,i)|0}function JZ(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;f=KZ(0,c,b)|0;i=e;return(f?c:b)|0}function KZ(a,b,d){a=a|0;b=b|0;d=d|0;return(c[b>>2]|0)>>>0<(c[d>>2]|0)>>>0|0}function LZ(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;return de[c[(c[a>>2]|0)+20>>2]&127](a,b,d,e,f)|0}function MZ(a){a=a|0;return ce[c[(c[a>>2]|0)+24>>2]&255](a)|0}function NZ(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;return de[c[(c[a>>2]|0)+32>>2]&127](a,b,d,e,f)|0}function OZ(a,b){a=a|0;b=b|0;var d=0;d=b;b=a;a=c[d+4>>2]|0;c[b>>2]=c[d>>2];c[b+4>>2]=a;return}function PZ(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+8|0;c[b>>2]=c[e>>2];c[b+4>>2]=c[e+4>>2];e=b;b=a;a=c[e+4>>2]|0;c[b>>2]=c[e>>2];c[b+4>>2]=a;i=d;return}function QZ(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=RZ(a,b,c|0)|0;i=c;return d|0}function RZ(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;f=SZ(0,b,c)|0;i=e;return(f?c:b)|0}function SZ(a,b,d){a=a|0;b=b|0;d=d|0;return(c[b>>2]|0)<(c[d>>2]|0)|0}function TZ(a){a=a|0;return Sha(a,10026464)|0}function UZ(a){a=a|0;return ce[c[(c[a>>2]|0)+28>>2]&255](a)|0}function VZ(a){a=a|0;WZ(a|0);return}function WZ(a){a=a|0;XZ(a);return}function XZ(a){a=a|0;YZ(a,zY(a)|0);return}function YZ(a,b){a=a|0;b=b|0;var d=0;d=i;i=i+8|0;GY(d|0);if((b|0)==0){i=d;return}YZ(a,c[b>>2]|0);YZ(a,c[b+4>>2]|0);_Z(ZZ(a)|0,b,1);i=d;return}function ZZ(a){a=a|0;return a_(a+4|0)|0}function _Z(a,b,c){a=a|0;b=b|0;c=c|0;$Z(0,b,0);return}function $Z(a,b,c){a=a|0;b=b|0;c=c|0;tla(b);return}function a_(a){a=a|0;return b_(a|0)|0}function b_(a){a=a|0;return a|0}function c_(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;d=i;i=i+56|0;e=d|0;f=d+16|0;g=d+32|0;h=d+40|0;j=d_(a,e,b)|0;k=c[j>>2]|0;GY(d+8|0);if((k|0)!=0){l=k;m=l+20|0;i=d;return m|0}f_(h,a,b);g_(g,h);e_(f,g);h_(h);h=c[e>>2]|0;i_(a|0,h,j,j_(f)|0);j=k_(f)|0;h_(f);l=j;m=l+20|0;i=d;return m|0}function d_(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=i;i=i+24|0;f=e+8|0;g=e+16|0;h=a|0;a=zY(h)|0;GY(e|0);if((a|0)==0){j=qY(h)|0;c[b>>2]=j;k=j|0;i=e;return k|0}else{l=a}while(1){a=l+16|0;if(DY(0,d,a)|0){m=l|0;j=c[m>>2]|0;GY(f);if((j|0)==0){n=4;break}else{o=m}}else{p=l|0;if(!(DY(0,a,d)|0)){n=9;break}q=l+4|0;a=c[q>>2]|0;GY(g);if((a|0)==0){n=8;break}else{o=q}}l=c[o>>2]|0}if((n|0)==4){c[b>>2]=l;k=m;i=e;return k|0}else if((n|0)==8){c[b>>2]=p;k=q;i=e;return k|0}else if((n|0)==9){c[b>>2]=p;k=b;i=e;return k|0}return 0}function e_(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];Y_(a,b);i=d;return}function f_(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0;e=i;i=i+48|0;f=e|0;g=e+16|0;h=e+24|0;j=e+32|0;k=ZZ(c|0)|0;c=H_(k,1)|0;I_(g,k);G_(f,c,g);J_(0,C_((K_(f)|0)+16|0)|0,d);d=L_(f)|0;a[d+4|0]=1;M_(0,B_((K_(f)|0)+20|0)|0);a[d+5|0]=1;N_(j,f);g_(h,j);e_(b,h);h_(j);h_(f);i=e;return}function g_(a,b){a=a|0;b=b|0;E_(a,b);return}function h_(a){a=a|0;x_(a);return}function i_(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;f=i;i=i+24|0;GY(f|0);c[e>>2]=0;GY(f+8|0);c[e+4>>2]=0;c[e+8>>2]=b;c[d>>2]=e;e=p_(a)|0;b=c[c[e>>2]>>2]|0;GY(f+16|0);if((b|0)!=0){c[e>>2]=c[c[e>>2]>>2]}e=c[(qY(a)|0)>>2]|0;q_(e,c[d>>2]|0);d=r_(a)|0;c[d>>2]=(c[d>>2]|0)+1;i=f;return}function j_(a){a=a|0;return c[(n_(a|0)|0)>>2]|0}function k_(a){a=a|0;var b=0;b=l_(a|0)|0;a=c[b>>2]|0;c[b>>2]=0;return a|0}function l_(a){a=a|0;return m_(a|0)|0}function m_(a){a=a|0;return a|0}function n_(a){a=a|0;return o_(a|0)|0}function o_(a){a=a|0;return a|0}function p_(a){a=a|0;return a|0}function q_(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=i;i=i+16|0;f=e|0;g=e+8|0;h=(d|0)==(b|0);a[d+12|0]=h&1;if(h){i=e;return}else{j=d}while(1){k=j+8|0;d=c[k>>2]|0;if((a[d+12|0]|0)!=0){l=17;break}h=u_(d)|0;m=c[d+8>>2]|0;if(h){h=c[m+4>>2]|0;GY(f);if((h|0)==0){l=7;break}d=h+12|0;if((a[d]|0)!=0){l=7;break}h=c[k>>2]|0;a[h+12|0]=1;n=c[h+8>>2]|0;a[n+12|0]=(n|0)==(b|0)|0;a[d]=1;o=n}else{n=c[m>>2]|0;GY(g);if((n|0)==0){l=14;break}m=n+12|0;if((a[m]|0)!=0){l=14;break}n=c[k>>2]|0;a[n+12|0]=1;d=c[n+8>>2]|0;a[d+12|0]=(d|0)==(b|0)|0;a[m]=1;o=d}if((o|0)==(b|0)){l=17;break}else{j=o}}if((l|0)==7){if(u_(j)|0){p=j}else{o=c[k>>2]|0;v_(o);p=o}o=c[p+8>>2]|0;a[o+12|0]=1;p=c[o+8>>2]|0;a[p+12|0]=0;w_(p);i=e;return}else if((l|0)==14){if(u_(j)|0){p=c[k>>2]|0;w_(p);q=p}else{q=j}j=c[q+8>>2]|0;a[j+12|0]=1;q=c[j+8>>2]|0;a[q+12|0]=0;v_(q);i=e;return}else if((l|0)==17){i=e;return}}function r_(a){a=a|0;return s_(a+8|0)|0}function s_(a){a=a|0;return t_(a|0)|0}function t_(a){a=a|0;return a|0}function u_(a){a=a|0;return(c[c[a+8>>2]>>2]|0)==(a|0)|0}function v_(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;i=i+8|0;d=a+4|0;e=c[d>>2]|0;f=e|0;g=c[f>>2]|0;c[d>>2]=g;GY(b|0);if((g|0)!=0){c[(c[d>>2]|0)+8>>2]=a}d=a+8|0;c[e+8>>2]=c[d>>2];g=u_(a)|0;h=c[d>>2]|0;if(g){c[h>>2]=e;c[f>>2]=a;c[d>>2]=e;i=b;return}else{c[h+4>>2]=e;c[f>>2]=a;c[d>>2]=e;i=b;return}}function w_(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;i=i+8|0;d=a|0;e=c[d>>2]|0;f=e+4|0;g=c[f>>2]|0;c[d>>2]=g;GY(b|0);if((g|0)!=0){c[(c[d>>2]|0)+8>>2]=a}d=a+8|0;c[e+8>>2]=c[d>>2];g=u_(a)|0;h=c[d>>2]|0;if(g){c[h>>2]=e;c[f>>2]=a;c[d>>2]=e;i=b;return}else{c[h+4>>2]=e;c[f>>2]=a;c[d>>2]=e;i=b;return}}function x_(a){a=a|0;y_(a,0);return}function y_(a,b){a=a|0;b=b|0;var d=0,e=0;d=a|0;a=l_(d)|0;e=c[a>>2]|0;c[a>>2]=b;if((e|0)==0){return}A_(z_(d)|0,e);return}function z_(a){a=a|0;return D_(a|0)|0}function A_(a,b){a=a|0;b=b|0;if((b|0)==0){return}_Z(c[a>>2]|0,b,1);return}function B_(a){a=a|0;return a|0}function C_(a){a=a|0;return a|0}function D_(a){a=a|0;return a+4|0}function E_(a,b){a=a|0;b=b|0;F_(a,b);return}function F_(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function G_(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];Q_(a,b,d);i=e;return}function H_(a,b){a=a|0;b=b|0;return P_(0,b,0)|0}function I_(a,b){a=a|0;b=b|0;O_(a,b);return}function J_(a,b,d){a=a|0;b=b|0;d=d|0;if((b|0)==0){return}c[b>>2]=c[d>>2];return}function K_(a){a=a|0;return c[(n_(a|0)|0)>>2]|0}function L_(a){a=a|0;return z_(a|0)|0}function M_(a,b){a=a|0;b=b|0;if((b|0)==0){return}c[b>>2]=0;return}function N_(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=i;i=i+32|0;d=c|0;e=c+8|0;f=c+24|0;E_(f,b);e_(e,f);g_(d,e);e_(a,d);h_(e);i=c;return}function O_(b,d){b=b|0;d=d|0;c[b>>2]=d;a[b+4|0]=0;a[b+5|0]=0;return}function P_(a,b,c){a=a|0;b=b|0;c=c|0;return rla(b*24|0)|0}function Q_(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(S_(f)|0)>>2]|0;f=T_(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;R_(a|0,b,g);i=e;return}function R_(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];U_(a,b,d);i=e;return}function S_(a){a=a|0;return a|0}function T_(a){a=a|0;return a|0}function U_(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(W_(f)|0)>>2]|0;f=X_(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;V_(a|0,b,g);i=e;return}function V_(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;i=i+8|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;c[f>>2]=b;c[a>>2]=c[(W_(f)|0)>>2];f=X_(d)|0;d=a+4|0;a=c[f+4>>2]|0;c[d>>2]=c[f>>2];c[d+4>>2]=a;i=e;return}function W_(a){a=a|0;return a|0}function X_(a){a=a|0;return a|0}function Y_(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;i=i+8|0;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];e=d|0;f=k_(Z_(b)|0)|0;g=X_(L_(Z_(b)|0)|0)|0;b=c[g+4>>2]|0;c[e>>2]=c[g>>2];c[e+4>>2]=b;R_(a|0,f,e);i=d;return}function Z_(a){a=a|0;return c[a>>2]|0}function __(a){a=a|0;var b=0;b=i;i=i+48|0;$_(a|0);UX(a+184|0,0,0);UX(a+200|0,0,0);a$(a+240|0,b|0);a$(a+252|0,b+8|0);a$(a+264|0,b+16|0);a$(a+276|0,b+24|0);a$(a+288|0,b+32|0);a$(a+300|0,b+40|0);i=b;return}function $_(a){a=a|0;var b=0,d=0,e=0;b=a+104|0;dca(b);d=a|0;c[d>>2]=9987452;e=b|0;c[e>>2]=9987472;b=a+4|0;kda(a,9988444,b|0);c[d>>2]=9987452;c[e>>2]=9987472;n$(b);return}function a$(a,b){a=a|0;b=b|0;b$(a,0);return}function b$(a,b){a=a|0;b=b|0;b=i;i=i+8|0;c$(a|0,b|0);i=b;return}function c$(a,b){a=a|0;b=b|0;d$(a,0);return}function d$(a,b){a=a|0;b=b|0;var d=0;b=i;i=i+8|0;e$(a+4|0);f$(a+8|0,0,b|0);d=qY(a)|0;c[(p_(a)|0)>>2]=d;i=b;return}function e$(a){a=a|0;j$(a);return}function f$(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;g$(b,c,d);i=e;return}function g$(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+16|0;g=e;e=i;i=i+1|0;i=i+7&-8;a[e]=a[g]|0;g=f|0;c[g>>2]=d;h$(b|0,c[(i$(g)|0)>>2]|0,f+8|0);i=f;return}function h$(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+8|0;g=e;e=i;i=i+1|0;i=i+7&-8;a[e]=a[g]|0;g=f|0;c[g>>2]=d;c[b>>2]=c[(i$(g)|0)>>2];i=f;return}function i$(a){a=a|0;return a|0}function j$(a){a=a|0;k$(a|0);return}function k$(a){a=a|0;l$(a|0);return}function l$(a){a=a|0;m$(a);return}function m$(a){a=a|0;c[a>>2]=0;return}function n$(a){a=a|0;o$(a);return}function o$(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0;d=i;i=i+24|0;e=d+8|0;f=d+16|0;g=b|0;mca(g);c[b>>2]=9987736;c[b+32>>2]=0;c[b+36>>2]=0;c[b+40>>2]=0;h=b+68|0;Qla(b+52|0,0,16)|0;GY(d|0);Qla(h|0,0,31)|0;ica(e,g);j=p$(e)|0;Qha(e);if(j){ica(f,g);c[h>>2]=TZ(f)|0;Qha(f);a[b+98|0]=(UZ(c[h>>2]|0)|0)&1}ee[c[(c[b>>2]|0)+12>>2]&127](b,0,4096)|0;i=d;return}function p$(a){a=a|0;return Rha(a,10026464)|0}function q$(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0;d=i;e=c[a+12>>2]|0;GU(3);f=e+8|0;g=c[f>>2]|0;h=e+12|0;j=c[h>>2]|0;if((g|0)<(j|0)){r$(a,b,c[e>>2]|0,f);JU(3);i=d;return}k=~~(+(j|0)*1.4+ +(j-g|0)+2.0e3);c[h>>2]=k;g=e;j=e+16|0;e=ola(c[g>>2]|0,ga(k<<3,c[j>>2]|0)|0)|0;k=e;c[g>>2]=k;if((e|0)==0){e=ga(c[j>>2]|0,c[h>>2]|0)|0;$S(c[b+536>>2]|0,9970120,(h=i,i=i+8|0,c[h>>2]=e,h)|0);i=h}r$(a,b,k,f);JU(3);i=d;return}function r$(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,i=0.0,j=0,k=0,l=0.0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;g=c[b+12>>2]|0;JU(0);i=+BU(0);GU(0);j=c[c[d+4>>2]>>2]|0;k=j|0;l=+h[k>>3];m=g+4|0;g=c[m>>2]|0;n=g+1|0;c[m>>2]=n;h[e+(g<<3)>>3]=l;if((c[b+8>>2]|0)==0){o=n}else{b=g+2|0;c[m>>2]=b;h[e+(n<<3)>>3]=i;o=b}b=d+116|0;n=c[b>>2]|0;if((n|0)>0){g=c[d+8>>2]|0;p=0;q=o;r=n;while(1){if((a[g+(p*112|0)+104|0]|0)==0){i=+h[(c[j+8>>2]|0)+(p<<3)>>3];n=q+1|0;c[m>>2]=n;h[e+(q<<3)>>3]=i;s=n;t=c[b>>2]|0}else{s=q;t=r}n=p+1|0;if((n|0)<(t|0)){p=n;q=s;r=t}else{u=s;break}}}else{u=o}o=d+124|0;s=c[o>>2]|0;if((s|0)>0){t=c[d+12>>2]|0;r=0;q=u;p=s;while(1){if((a[t+(r*60|0)+56|0]|0)==0){i=+(c[(c[j+12>>2]|0)+(r<<2)>>2]|0);s=q+1|0;c[m>>2]=s;h[e+(q<<3)>>3]=i;v=s;w=c[o>>2]|0}else{v=q;w=p}s=r+1|0;if((s|0)<(w|0)){r=s;q=v;p=w}else{x=v;break}}}else{x=u}u=d+128|0;v=c[u>>2]|0;if((v|0)>0){w=c[d+16>>2]|0;p=0;q=x;r=v;while(1){if((a[w+(p*48|0)+44|0]|0)==0){i=+(a[(c[j+16>>2]|0)+p|0]|0);v=q+1|0;c[m>>2]=v;h[e+(q<<3)>>3]=i;y=v;z=c[u>>2]|0}else{y=q;z=r}v=p+1|0;if((v|0)<(z|0)){p=v;q=y;r=z}else{A=y;break}}}else{A=x}x=d+216|0;if((c[x>>2]|0)>0){y=d+416|0;z=c[d+40>>2]|0;r=0;q=A;while(1){do{if((a[z+(r*52|0)+48|0]|0)==0){p=a[z+(r*52|0)+8|0]|0;do{if(p<<24>>24==2){B=k}else{u=c[z+(r*52|0)+4>>2]|0;if(p<<24>>24==1){B=(c[y>>2]|0)+(u<<3)|0;break}else{B=(c[j+8>>2]|0)+(u<<3)|0;break}}}while(0);i=+h[B>>3];if((c[z+(r*52|0)>>2]|0)==0){p=q+1|0;c[m>>2]=p;h[e+(q<<3)>>3]=i;C=p;break}else{p=q+1|0;c[m>>2]=p;h[e+(q<<3)>>3]=-0.0-i;C=p;break}}else{C=q}}while(0);p=r+1|0;if((p|0)<(c[x>>2]|0)){r=p;q=C}else{D=C;break}}}else{D=A}A=d+220|0;if((c[A>>2]|0)>0){C=d+40|0;q=d+420|0;r=c[d+44>>2]|0;x=0;z=D;while(1){do{if((a[r+(x*52|0)+48|0]|0)==0){B=c[(c[((a[r+(x*52|0)+8|0]|0)==1?q:j+12|0)>>2]|0)+(c[(c[C>>2]|0)+(x*52|0)+4>>2]<<2)>>2]|0;if((c[r+(x*52|0)>>2]|0)==0){y=z+1|0;c[m>>2]=y;h[e+(z<<3)>>3]=+(B|0);E=y;break}else{y=z+1|0;c[m>>2]=y;h[e+(z<<3)>>3]=+(-B|0);E=y;break}}else{E=z}}while(0);y=x+1|0;if((y|0)<(c[A>>2]|0)){x=y;z=E}else{F=E;break}}}else{F=D}D=d+224|0;if((c[D>>2]|0)<=0){G=c[f>>2]|0;H=G+1|0;c[f>>2]=H;return}E=d+44|0;z=d+40|0;x=d+424|0;A=c[d+48>>2]|0;d=0;r=F;while(1){do{if((a[A+(d*52|0)+48|0]|0)==0){F=a[(c[((a[(c[E>>2]|0)+(d*52|0)+8|0]|0)==1?x:j+16|0)>>2]|0)+(c[(c[z>>2]|0)+(d*52|0)+4>>2]|0)|0]|0;if((c[A+(d*52|0)>>2]|0)==0){C=r+1|0;c[m>>2]=C;h[e+(r<<3)>>3]=+(F<<24>>24|0);I=C;break}else{C=r+1|0;c[m>>2]=C;h[e+(r<<3)>>3]=+(F<<24>>24!=1|0);I=C;break}}else{I=r}}while(0);C=d+1|0;if((C|0)<(c[D>>2]|0)){d=C;r=I}else{break}}G=c[f>>2]|0;H=G+1|0;c[f>>2]=H;return}function s$(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;d=i;e=lla(24)|0;GU(3);f=e;c[f>>2]=0;g=e+4|0;c[g>>2]=0;c[e+8>>2]=0;h=e+16|0;c[h>>2]=0;j=a+4|0;k=c[j>>2]|0;c[e+12>>2]=k;l=b+536|0;_S(c[l>>2]|0,k>>>31^1,9978456,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;m=b+8|0;b=c[a+8>>2]|0;c[e+20>>2]=t$(b,m)|0;n=t$(b,m)|0;c[h>>2]=n;h=c[j>>2]|0;j=lla(ga(n<<3,h)|0)|0;c[f>>2]=j;if((j|0)==0){j=ga(n,h)|0;$S(c[l>>2]|0,9954832,(k=i,i=i+8|0,c[k>>2]=j,k)|0);i=k}else{c[g>>2]=0;c[a+12>>2]=e;JU(3);i=d;return}}function t$(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;e=(b|0)==0?1:2;b=c[d+108>>2]|0;if((b|0)>0){f=c[d>>2]|0;g=e;h=0;while(1){i=((a[f+(h*112|0)+104|0]|0)==0)+g|0;j=h+1|0;if((j|0)<(b|0)){g=i;h=j}else{k=i;break}}}else{k=e}e=c[d+116>>2]|0;if((e|0)>0){h=c[d+4>>2]|0;g=k;b=0;while(1){f=((a[h+(b*60|0)+56|0]|0)==0)+g|0;i=b+1|0;if((i|0)<(e|0)){g=f;b=i}else{l=f;break}}}else{l=k}k=c[d+120>>2]|0;if((k|0)>0){b=c[d+8>>2]|0;g=l;e=0;while(1){h=((a[b+(e*48|0)+44|0]|0)==0)+g|0;f=e+1|0;if((f|0)<(k|0)){g=h;e=f}else{m=h;break}}}else{m=l}l=c[d+208>>2]|0;if((l|0)>0){e=c[d+32>>2]|0;g=m;k=0;while(1){b=((a[e+(k*52|0)+48|0]|0)==0)+g|0;h=k+1|0;if((h|0)<(l|0)){g=b;k=h}else{n=b;break}}}else{n=m}m=c[d+212>>2]|0;if((m|0)>0){k=c[d+36>>2]|0;g=n;l=0;while(1){e=((a[k+(l*52|0)+48|0]|0)==0)+g|0;b=l+1|0;if((b|0)<(m|0)){g=e;l=b}else{o=e;break}}}else{o=n}n=c[d+216>>2]|0;if((n|0)<=0){p=o;return p|0}l=c[d+40>>2]|0;d=o;o=0;while(1){g=((a[l+(o*52|0)+48|0]|0)==0)+d|0;m=o+1|0;if((m|0)<(n|0)){d=g;o=m}else{p=g;break}}return p|0}function u$(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0.0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0;e=i;f=b+12|0;g=c[f>>2]|0;j=g;GU(3);k=b|0;l=Cc(c[k>>2]|0,8090208)|0;if((l|0)==0){v$(j);m=c[d+536>>2]|0;n=c[k>>2]|0;o=dd(c[(cd()|0)>>2]|0)|0;$S(m,45800,(p=i,i=i+16|0,c[p>>2]=n,c[p+8>>2]=o,p)|0);i=p}Ya(40352,46,1,l|0)|0;o=g+20|0;td(l|0,35680,(p=i,i=i+8|0,c[p>>2]=c[o>>2],p)|0)|0;i=p;n=g+8|0;td(l|0,31344,(p=i,i=i+8|0,c[p>>2]=c[n>>2],p)|0)|0;i=p;Ya(27336,40,1,l|0)|0;Ya(24120,11,1,l|0)|0;Ya(9983568,14,1,l|0)|0;if((c[n>>2]|0)>0){m=g;q=0;do{r=ga(c[o>>2]|0,q)|0;s=+h[(c[m>>2]|0)+(r<<3)>>3];w$(l,s,s);q=q+1|0;}while((q|0)<(c[n>>2]|0))}Wa(10,l|0)|0;if((c[b+8>>2]|0)==0){t=1}else{Ya(9976328,18,1,l|0)|0;if((c[n>>2]|0)>0){b=g;q=0;do{m=ga(c[o>>2]|0,q)|0;r=c[b>>2]|0;w$(l,+h[r+(m<<3)>>3],+h[r+(m+1<<3)>>3]);q=q+1|0;}while((q|0)<(c[n>>2]|0))}Wa(10,l|0)|0;t=2}q=d+116|0;b=c[q>>2]|0;if((b|0)>0){m=d+8|0;r=g;u=t;v=0;w=b;while(1){b=c[m>>2]|0;if((a[b+(v*112|0)+104|0]|0)==0){td(l|0,9973200,(p=i,i=i+8|0,c[p>>2]=c[b+(v*112|0)+4>>2],p)|0)|0;i=p;if((c[n>>2]|0)>0){b=0;do{x=ga(c[o>>2]|0,b)|0;y=c[r>>2]|0;w$(l,+h[y+(x<<3)>>3],+h[y+(x+u<<3)>>3]);b=b+1|0;}while((b|0)<(c[n>>2]|0))}Wa(10,l|0)|0;z=u+1|0;A=c[q>>2]|0}else{z=u;A=w}b=v+1|0;if((b|0)<(A|0)){u=z;v=b;w=A}else{B=z;break}}}else{B=t}t=d+124|0;z=c[t>>2]|0;if((z|0)>0){A=d+12|0;w=g;v=B;u=0;q=z;while(1){z=c[A>>2]|0;if((a[z+(u*60|0)+56|0]|0)==0){td(l|0,9973200,(p=i,i=i+8|0,c[p>>2]=c[z+(u*60|0)+4>>2],p)|0)|0;i=p;if((c[n>>2]|0)>0){z=0;do{r=ga(c[o>>2]|0,z)|0;m=c[w>>2]|0;w$(l,+h[m+(r<<3)>>3],+h[m+(r+v<<3)>>3]);z=z+1|0;}while((z|0)<(c[n>>2]|0))}Wa(10,l|0)|0;C=v+1|0;D=c[t>>2]|0}else{C=v;D=q}z=u+1|0;if((z|0)<(D|0)){v=C;u=z;q=D}else{E=C;break}}}else{E=B}B=d+128|0;C=c[B>>2]|0;if((C|0)>0){D=d+16|0;q=g;u=E;v=0;t=C;while(1){C=c[D>>2]|0;if((a[C+(v*48|0)+44|0]|0)==0){td(l|0,9973200,(p=i,i=i+8|0,c[p>>2]=c[C+(v*48|0)+4>>2],p)|0)|0;i=p;if((c[n>>2]|0)>0){C=0;do{w=ga(c[o>>2]|0,C)|0;A=c[q>>2]|0;w$(l,+h[A+(w<<3)>>3],+h[A+(w+u<<3)>>3]);C=C+1|0;}while((C|0)<(c[n>>2]|0))}Wa(10,l|0)|0;F=u+1|0;G=c[B>>2]|0}else{F=u;G=t}C=v+1|0;if((C|0)<(G|0)){u=F;v=C;t=G}else{H=F;break}}}else{H=E}E=d+216|0;F=c[E>>2]|0;if((F|0)>0){G=d+40|0;t=g;v=H;u=0;B=F;while(1){F=c[G>>2]|0;if((a[F+(u*52|0)+48|0]|0)==0){td(l|0,9973200,(p=i,i=i+8|0,c[p>>2]=c[F+(u*52|0)+16>>2],p)|0)|0;i=p;if((c[n>>2]|0)>0){F=0;do{q=ga(c[o>>2]|0,F)|0;D=c[t>>2]|0;w$(l,+h[D+(q<<3)>>3],+h[D+(q+v<<3)>>3]);F=F+1|0;}while((F|0)<(c[n>>2]|0))}Wa(10,l|0)|0;I=v+1|0;J=c[E>>2]|0}else{I=v;J=B}F=u+1|0;if((F|0)<(J|0)){v=I;u=F;B=J}else{K=I;break}}}else{K=H}H=d+220|0;I=c[H>>2]|0;if((I|0)>0){J=d+44|0;B=g;u=K;v=0;E=I;while(1){I=c[J>>2]|0;if((a[I+(v*52|0)+48|0]|0)==0){td(l|0,9973200,(p=i,i=i+8|0,c[p>>2]=c[I+(v*52|0)+16>>2],p)|0)|0;i=p;if((c[n>>2]|0)>0){I=0;do{t=ga(c[o>>2]|0,I)|0;G=c[B>>2]|0;w$(l,+h[G+(t<<3)>>3],+h[G+(t+u<<3)>>3]);I=I+1|0;}while((I|0)<(c[n>>2]|0))}Wa(10,l|0)|0;L=u+1|0;M=c[H>>2]|0}else{L=u;M=E}I=v+1|0;if((I|0)<(M|0)){u=L;v=I;E=M}else{N=L;break}}}else{N=K}K=d+224|0;L=c[K>>2]|0;if((L|0)>0){M=d+48|0;E=g;g=N;N=0;v=L;while(1){L=c[M>>2]|0;if((a[L+(N*52|0)+48|0]|0)==0){td(l|0,9973200,(p=i,i=i+8|0,c[p>>2]=c[L+(N*52|0)+16>>2],p)|0)|0;i=p;if((c[n>>2]|0)>0){L=0;do{u=ga(c[o>>2]|0,L)|0;H=c[E>>2]|0;w$(l,+h[H+(u<<3)>>3],+h[H+(u+g<<3)>>3]);L=L+1|0;}while((L|0)<(c[n>>2]|0))}Wa(10,l|0)|0;O=g+1|0;P=c[K>>2]|0}else{O=g;P=v}L=N+1|0;if((L|0)<(P|0)){g=O;N=L;v=P}else{break}}}v$(j);if((Pa(l|0)|0)==0){mla(c[f>>2]|0);c[f>>2]=0;JU(3);i=e;return}else{$S(c[d+536>>2]|0,9970672,(p=i,i=i+8|0,c[p>>2]=c[k>>2],p)|0);i=p}}function v$(a){a=a|0;var b=0;b=a|0;a=c[b>>2]|0;if((a|0)==0){return}mla(a);c[b>>2]=0;return}function w$(a,b,c){a=a|0;b=+b;c=+c;var d=0;d=i;td(a|0,9968536,(a=i,i=i+16|0,h[a>>3]=b,h[a+8>>3]=c,a)|0)|0;i=a;i=d;return}function x$(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;d=i;i=i+64|0;e=d|0;f=d+16|0;g=d+32|0;h=d+48|0;j=rla(192)|0;Qla(j|0,0,192)|0;y$(j);c[a+12>>2]=j;k=j;l=a|0;VX(k,c[l>>2]|0,36);if(Tba(j+(c[(c[j>>2]|0)-12>>2]|0)|0)|0){$S(c[b+536>>2]|0,9969928,(a=i,i=i+8|0,c[a>>2]=c[l>>2],a)|0);i=a}a=j;wda(a,16568,14)|0;xda(e,a);l=gZ(e)|0;e=j+184|0;c[e>>2]=l;wda(a,10022800,4)|0;z$(k,b+8|0);xda(f,a);b=gZ(f)|0;f=b;b=j+188|0;c[b>>2]=f;j=c[e>>2]|0;UX(g,j,(j|0)<0|0?-1:0);yda(a,g)|0;A$(k,-4-j+f|0);f=c[b>>2]|0;UX(h,f,(f|0)<0|0?-1:0);yda(a,h)|0;JU(3);i=d;return}function y$(a){a=a|0;T$(a);return}function z$(a,b){a=a|0;b=b|0;C$(a,3);D$(a,9947448);C$(a,0);D$(a,9945176);C$(a,2);O$(a,b);P$(a,b);D$(a,9942960);C$(a,0);return}function A$(a,b){a=a|0;b=b|0;c[2502394]=nd(b|0)|0;wda(a,10009576,4)|0;return}function B$(b,d,e,f){b=b|0;d=+d;e=e|0;f=f|0;var g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;g=i;i=i+80|0;j=g|0;k=g+16|0;l=g+32|0;m=g+48|0;n=g+64|0;o=b;xda(j,o);p=gZ(j)|0;A$(b,0);xda(k,o);j=gZ(k)|0;k=j;C$(b,1);D$(b,9954792);j=e+128|0;q=e+132|0;r=e+136|0;s=e+140|0;E$(b,(c[j>>2]|0)+1+(c[q>>2]|0)+(c[r>>2]|0)+(c[s>>2]|0)|0);F$(b,d);if((c[j>>2]|0)>0){e=f+176|0;t=0;do{F$(b,+h[(c[e>>2]|0)+(t<<3)>>3]);t=t+1|0;}while((t|0)<(c[j>>2]|0))}if((c[q>>2]|0)>0){j=f+180|0;t=0;do{G$(b,c[(c[j>>2]|0)+(t<<2)>>2]|0);t=t+1|0;}while((t|0)<(c[q>>2]|0))}if((c[r>>2]|0)>0){q=f+184|0;t=0;do{H$(b,(a[(c[q>>2]|0)+t|0]|0)!=0);t=t+1|0;}while((t|0)<(c[r>>2]|0))}if((c[s>>2]|0)>0){r=f+188|0;f=0;do{D$(b,c[(c[r>>2]|0)+(f<<2)>>2]|0);f=f+1|0;}while((f|0)<(c[s>>2]|0))}xda(l,o);s=gZ(l)|0;l=s;s=p;UX(m,s,(s|0)<0|0?-1:0);yda(o,m)|0;A$(b,l-k|0);UX(n,l,(l|0)<0|0?-1:0);yda(o,n)|0;i=g;return}function C$(b,d){b=b|0;d=d|0;a[10022752]=-33;c[2502396]=nd(d|0)|0;d=b;wda(d,10022752,1)|0;wda(d,10009584,4)|0;return}function D$(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+8|0;f=e|0;c[f>>2]=nd(Nla(d|0)|0)|0;a[10022760]=-37;g=b;wda(g,10022760,1)|0;wda(g,f,4)|0;wda(g,d,Nla(d|0)|0)|0;i=e;return}function E$(b,d){b=b|0;d=d|0;a[10022768]=-35;c[2502398]=nd(d|0)|0;d=b;wda(d,10022768,1)|0;wda(d,10009592,4)|0;return}function F$(b,c){b=b|0;c=+c;var d=0;a[10022776]=-53;N$(c);d=b;wda(d,10022776,1)|0;wda(d,10022664,8)|0;return}function G$(b,d){b=b|0;d=d|0;a[10022784]=-46;c[2502400]=nd(d|0)|0;d=b;wda(d,10022784,1)|0;wda(d,10009600,4)|0;return}function H$(b,c){b=b|0;c=c|0;a[10022792]=c?-61:-62;wda(b,10022792,1)|0;return}function I$(a,b){a=a|0;b=b|0;var d=0,e=0;d=c[a+12>>2]|0;a=b+8|0;e=b+240|0;B$(d,+h[e>>3],a,e);B$(d,+h[b+248>>3],a,e);return}



function ve(a){a=a|0;var b=0;b=i;i=i+a|0;i=i+7&-8;return b|0}function we(){return i|0}function xe(a){a=a|0;i=a}function ye(a,b){a=a|0;b=b|0;if((x|0)==0){x=a;y=b}}function ze(b){b=b|0;a[k]=a[b];a[k+1|0]=a[b+1|0];a[k+2|0]=a[b+2|0];a[k+3|0]=a[b+3|0]}function Ae(b){b=b|0;a[k]=a[b];a[k+1|0]=a[b+1|0];a[k+2|0]=a[b+2|0];a[k+3|0]=a[b+3|0];a[k+4|0]=a[b+4|0];a[k+5|0]=a[b+5|0];a[k+6|0]=a[b+6|0];a[k+7|0]=a[b+7|0]}function Be(a){a=a|0;K=a}function Ce(a){a=a|0;L=a}function De(a){a=a|0;M=a}function Ee(a){a=a|0;N=a}function Fe(a){a=a|0;O=a}function Ge(a){a=a|0;P=a}function He(a){a=a|0;Q=a}function Ie(a){a=a|0;R=a}function Je(a){a=a|0;S=a}function Ke(a){a=a|0;T=a}function Le(){c[2497942]=q+8;c[2497944]=q+8;c[2497946]=t+8;c[2497950]=t+8;c[2497954]=t+8;c[2497958]=t+8;c[2497962]=t+8;c[2497966]=t+8;c[2497970]=q+8;c[2498004]=t+8;c[2498008]=t+8;c[2498072]=t+8;c[2498076]=t+8;c[2498096]=q+8;c[2498098]=t+8;c[2498134]=t+8;c[2498138]=t+8;c[2498174]=t+8;c[2498178]=t+8;c[2498198]=q+8;c[2498200]=q+8;c[2498202]=t+8;c[2498206]=t+8;c[2498210]=t+8;c[2498214]=t+8;c[2498218]=t+8;c[2498222]=q+8;c[2498224]=q+8;c[2498226]=q+8;c[2498228]=t+8;c[2498232]=t+8;c[2498236]=q+8;c[2498238]=q+8;c[2498240]=q+8;c[2498242]=q+8;c[2498268]=t+8;c[2498272]=t+8;c[2498276]=q+8;c[2498278]=t+8;c[2498282]=t+8;c[2498286]=t+8;c[2498290]=q+8;c[2498292]=q+8;c[2498294]=q+8;c[2498296]=q+8;c[2498330]=q+8;c[2498332]=q+8;c[2498334]=q+8;c[2498336]=t+8;c[2498340]=t+8;c[2498344]=t+8;c[2498348]=t+8;c[2498352]=t+8;c[2498356]=t+8}function Me(a){a=a|0;var b=0;b=a+540|0;ce[c[(c[b>>2]|0)+40>>2]&255](a)|0;ce[c[(c[b>>2]|0)+28>>2]&255](a)|0;ce[c[(c[b>>2]|0)+32>>2]&255](a)|0;ce[c[(c[b>>2]|0)+48>>2]&255](a)|0;ce[c[(c[b>>2]|0)+52>>2]&255](a)|0;aW(a);return}function Ne(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0.0,M=0.0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0;d=i;i=i+24|0;e=d|0;f=d+8|0;g=d+16|0;c[e>>2]=0;j=a+240|0;k=b|0;h[k>>3]=+h[j>>3];if((c[2502320]|0)==0){l=0}else{m=c[a+88>>2]|0;n=Nla(m|0)|0;o=lla(n+11|0)|0;Ola(o|0,m|0,n|0)|0;Pla(o+n|0,9984384,11)|0;n=Cc(o|0,9984376)|0;if((n|0)==0){m=dd(c[(cd()|0)>>2]|0)|0;ZS(23,0,9958440,(p=i,i=i+16|0,c[p>>2]=o,c[p+8>>2]=m,p)|0);i=p;Pa(0)|0;q=0}else{q=n}mla(o);l=q}q=a+248|0;o=a+536|0;n=a|0;m=a+4|0;s=b+36|0;t=b+16|0;u=a+256|0;v=b+8|0;w=b+24|0;x=b+32|0;y=a+540|0;z=b+48|0;A=c[r>>2]|0;B=e;C=f;D=a+64|0;E=a+72|0;F=g;G=0;H=l;while(1){if(!(+h[k>>3]<+h[q>>3])){I=0;J=H;break}pe[c[2175]&15]()|0;c[(c[o>>2]|0)+84>>2]=1;if((c[2502320]|0)!=0){if(((c[E>>2]|0)+(c[D>>2]|0)|0)>0){l=0;do{HU(l+9|0);l=l+1|0;}while((l|0)<((c[E>>2]|0)+(c[D>>2]|0)|0))}HU(2);GU(2)}vU(c[n>>2]|0,1,c[m>>2]|0);if((c[s>>2]|0)==1){XS(23,0,9937792,(p=i,i=i+8|0,h[p>>3]=+h[k>>3]- +h[t>>3],p)|0);i=p;K=G}else{K=G+1|0}L=+h[j>>3];h[v>>3]=L+ +(K>>>0>>>0)*(+h[q>>3]-L)/+(c[u>>2]|0)- +h[k>>3];PV(a,b);L=+h[k>>3];M=+h[v>>3];XS(23,1,47208,(p=i,i=i+24|0,h[p>>3]=L,h[p+8>>3]=L+M,h[p+16>>3]=M,p)|0);i=p;M=+h[j>>3];y7(41496,(+h[k>>3]-M)/(+h[q>>3]-M));N=SW(a,b)|0;if((c[w>>2]|0)==5){I=0;J=H;break}Me(a);bW(a);if((c[2500039]|0)!=0){$d[c[3540]&511](23)}if((c[2502320]|0)!=0){GU(4)}l=RV(a,c[x>>2]|0,k,b)|0;if((l|0)>0){c[(c[o>>2]|0)+84>>2]=4;M=+h[k>>3];XS(7,1,36752,(p=i,i=i+16|0,c[p>>2]=(l|0)==1?32064:28048,h[p+8>>3]=M,p)|0);i=p;if((c[2500218]|0)==0){ae[c[2005]&255](8e3,a)}TV(a,c[x>>2]|0,k,b);if((c[2500023]|0)!=0){$d[c[3540]&511](7)}c[(c[o>>2]|0)+84>>2]=1;c[s>>2]=1;fW(a)}else{h[t>>3]=+h[k>>3];c[s>>2]=0}if((c[2502320]|0)!=0){JU(4)}if((cX(a,1,1)|0)!=0){c[s>>2]=1;fW(a)}ce[c[(c[y>>2]|0)+88>>2]&255](a)|0;aW(a);jW(a);bW(a);do{if((H|0)==0){O=0}else{GU(7);JU(2);l=(Ya(B|0,4,1,H|0)|0)==1;c[e>>2]=(c[e>>2]|0)+1;do{if(l){P=(Ya(c[c[m>>2]>>2]|0,8,1,H|0)|0)==1;h[f>>3]=+BU(2);if(!P){Q=0;break}Q=(Ya(C|0,8,1,H|0)|0)==1|0}else{h[f>>3]=+BU(2);Q=0}}while(0);l=c[D>>2]|0;P=c[E>>2]|0;if((P+l|0)>0){R=0;S=Q;while(1){c[g>>2]=wU(R+9|0)|0;if((S|0)==0){T=0}else{T=(Ya(F|0,4,1,H|0)|0)==1|0}U=R+1|0;V=c[D>>2]|0;W=c[E>>2]|0;if((U|0)<(W+V|0)){R=U;S=T}else{X=T;Y=V;Z=W;break}}}else{X=Q;Y=l;Z=P}if((Z+Y|0)>0){S=0;R=X;while(1){h[f>>3]=+BU(S+9|0);if((R|0)==0){_=0}else{_=(Ya(C|0,8,1,H|0)|0)==1|0}W=S+1|0;if((W|0)<((c[E>>2]|0)+(c[D>>2]|0)|0)){S=W;R=_}else{$=_;break}}}else{$=X}JU(7);if(($|0)!=0){O=H;break}R=dd(c[(cd()|0)>>2]|0)|0;ZS(23,0,24952,(p=i,i=i+8|0,c[p>>2]=R,p)|0);i=p;Pa(H|0)|0;O=0}}while(0);if((c[2500218]|0)==0){aa=47}else{R=c[s>>2]|0;if((R|0)==0){aa=47}else{ba=R}}if((aa|0)==47){aa=0;ae[c[2005]&255](8e3,a);ba=c[s>>2]|0}do{if((ba|0)==1){if((c[w>>2]|0)!=3){break}R=c[z>>2]|0;S=c[R+8>>2]|0;P=c[R+4>>2]|0;c[P>>2]=(c[P>>2]|0)+(c[S>>2]|0);R=P+4|0;c[R>>2]=(c[R>>2]|0)+(c[S+4>>2]|0);R=P+8|0;c[R>>2]=(c[R>>2]|0)+(c[S+8>>2]|0);R=P+12|0;c[R>>2]=(c[R>>2]|0)+(c[S+12>>2]|0);R=P+16|0;c[R>>2]=(c[R>>2]|0)+(c[S+16>>2]|0)}}while(0);if((c[2500074]|0)!=0){PS(A,10027464);Wa(10,A|0)|0;S=c[2506864]|0;XS(1,0,9984320,(p=i,i=i+16|0,h[p>>3]=+h[c[c[m>>2]>>2]>>3],c[p+8>>2]=S,p)|0);i=p;h[q>>3]=+h[k>>3]}if((N|0)!=0){aa=57;break}if((NW(a,0)|0)!=0){aa=58;break}if((EW(a,0)|0)!=0){aa=58;break}if((uW(a,0)|0)==0){G=K;H=O}else{aa=58;break}}do{if((aa|0)==57){XS(1,0,9980432,(p=i,i=i+8|0,h[p>>3]=+h[k>>3],p)|0);i=p;I=N-1|0;J=O}else if((aa|0)==58){if((NW(a,0)|0)!=0){XS(1,0,9976936,(p=i,i=i+8|0,h[p>>3]=+h[k>>3],p)|0);i=p;I=-2;J=O;break}if((EW(a,0)|0)!=0){XS(1,0,9973944,(p=i,i=i+8|0,h[p>>3]=+h[k>>3],p)|0);i=p;I=-3;J=O;break}H=(uW(a,0)|0)==0;M=+h[k>>3];if(H){XS(1,0,9969048,(p=i,i=i+8|0,h[p>>3]=M,p)|0);i=p;I=-1;J=O;break}else{XS(1,0,9971080,(p=i,i=i+8|0,h[p>>3]=M,p)|0);i=p;I=-3;J=O;break}}}while(0);if((J|0)==0){i=d;return I|0}Pa(J|0)|0;i=d;return I|0}function Oe(a){a=a|0;return 0}function Pe(a){a=a|0;return 0}function Qe(a){a=a|0;return 0}function Re(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;do{if((a[b+314|0]|0)==0){d=a[(c[b+356>>2]|0)+15|0]|0}else{e=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(e){f=a[(c[b+356>>2]|0)+15|0]|0;g=oW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+840>>3],a[(c[b+360>>2]|0)+15|0]|0)|0;a[(c[b+352>>2]|0)+15|0]=g;d=f;break}else{f=oW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+840>>3],a[(c[b+360>>2]|0)+15|0]|0)|0;a[(c[b+352>>2]|0)+15|0]=f;d=f;break}}else{if(e){e=a[(c[b+356>>2]|0)+15|0]|0;f=rW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+840>>3])|0;a[(c[b+352>>2]|0)+15|0]=f;d=e;break}else{e=rW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+840>>3])|0;a[(c[b+352>>2]|0)+15|0]=e;d=e;break}}}}while(0);e=a[(c[b+424>>2]|0)+5|0]|0;if(d<<24>>24==0){i=e;j=b+4|0;k=c[j>>2]|0;l=c[k>>2]|0;m=l+16|0;n=c[m>>2]|0;o=n+3|0;a[o]=i;return}i=e<<24>>24==0|0;j=b+4|0;k=c[j>>2]|0;l=c[k>>2]|0;m=l+16|0;n=c[m>>2]|0;o=n+3|0;a[o]=i;return}function Se(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;do{if((a[b+314|0]|0)==0){d=a[(c[b+356>>2]|0)+14|0]|0}else{e=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(e){f=a[(c[b+356>>2]|0)+14|0]|0;g=oW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+848>>3],a[(c[b+360>>2]|0)+14|0]|0)|0;a[(c[b+352>>2]|0)+14|0]=g;d=f;break}else{f=oW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+848>>3],a[(c[b+360>>2]|0)+14|0]|0)|0;a[(c[b+352>>2]|0)+14|0]=f;d=f;break}}else{if(e){e=a[(c[b+356>>2]|0)+14|0]|0;f=rW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+848>>3])|0;a[(c[b+352>>2]|0)+14|0]=f;d=e;break}else{e=rW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+848>>3])|0;a[(c[b+352>>2]|0)+14|0]=e;d=e;break}}}}while(0);e=a[(c[b+424>>2]|0)+6|0]|0;if(d<<24>>24==0){i=e;j=b+4|0;k=c[j>>2]|0;l=c[k>>2]|0;m=l+16|0;n=c[m>>2]|0;o=n+4|0;a[o]=i;return}i=e<<24>>24==0|0;j=b+4|0;k=c[j>>2]|0;l=c[k>>2]|0;m=l+16|0;n=c[m>>2]|0;o=n+4|0;a[o]=i;return}function Te(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;do{if((a[b+314|0]|0)==0){d=a[(c[b+356>>2]|0)+13|0]|0}else{e=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(e){f=a[(c[b+356>>2]|0)+13|0]|0;g=oW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+856>>3],a[(c[b+360>>2]|0)+13|0]|0)|0;a[(c[b+352>>2]|0)+13|0]=g;d=f;break}else{f=oW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+856>>3],a[(c[b+360>>2]|0)+13|0]|0)|0;a[(c[b+352>>2]|0)+13|0]=f;d=f;break}}else{if(e){e=a[(c[b+356>>2]|0)+13|0]|0;f=rW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+856>>3])|0;a[(c[b+352>>2]|0)+13|0]=f;d=e;break}else{e=rW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+856>>3])|0;a[(c[b+352>>2]|0)+13|0]=e;d=e;break}}}}while(0);e=a[(c[b+424>>2]|0)+7|0]|0;if(d<<24>>24==0){i=e;j=b+4|0;k=c[j>>2]|0;l=c[k>>2]|0;m=l+16|0;n=c[m>>2]|0;o=n+5|0;a[o]=i;return}i=e<<24>>24==0|0;j=b+4|0;k=c[j>>2]|0;l=c[k>>2]|0;m=l+16|0;n=c[m>>2]|0;o=n+5|0;a[o]=i;return}function Ue(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;do{if((a[b+314|0]|0)==0){d=a[(c[b+356>>2]|0)+12|0]|0}else{e=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(e){f=a[(c[b+356>>2]|0)+12|0]|0;g=oW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+864>>3],a[(c[b+360>>2]|0)+12|0]|0)|0;a[(c[b+352>>2]|0)+12|0]=g;d=f;break}else{f=oW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+864>>3],a[(c[b+360>>2]|0)+12|0]|0)|0;a[(c[b+352>>2]|0)+12|0]=f;d=f;break}}else{if(e){e=a[(c[b+356>>2]|0)+12|0]|0;f=rW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+864>>3])|0;a[(c[b+352>>2]|0)+12|0]=f;d=e;break}else{e=rW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+864>>3])|0;a[(c[b+352>>2]|0)+12|0]=e;d=e;break}}}}while(0);e=a[(c[b+424>>2]|0)+8|0]|0;if(d<<24>>24==0){i=e;j=b+4|0;k=c[j>>2]|0;l=c[k>>2]|0;m=l+16|0;n=c[m>>2]|0;o=n+6|0;a[o]=i;return}i=e<<24>>24==0|0;j=b+4|0;k=c[j>>2]|0;l=c[k>>2]|0;m=l+16|0;n=c[m>>2]|0;o=n+6|0;a[o]=i;return}function Ve(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;do{if((a[b+314|0]|0)==0){d=a[(c[b+356>>2]|0)+11|0]|0}else{e=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(e){f=a[(c[b+356>>2]|0)+11|0]|0;g=oW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+872>>3],a[(c[b+360>>2]|0)+11|0]|0)|0;a[(c[b+352>>2]|0)+11|0]=g;d=f;break}else{f=oW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+872>>3],a[(c[b+360>>2]|0)+11|0]|0)|0;a[(c[b+352>>2]|0)+11|0]=f;d=f;break}}else{if(e){e=a[(c[b+356>>2]|0)+11|0]|0;f=rW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+872>>3])|0;a[(c[b+352>>2]|0)+11|0]=f;d=e;break}else{e=rW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+872>>3])|0;a[(c[b+352>>2]|0)+11|0]=e;d=e;break}}}}while(0);e=a[(c[b+424>>2]|0)+9|0]|0;if(d<<24>>24==0){i=e;j=b+4|0;k=c[j>>2]|0;l=c[k>>2]|0;m=l+16|0;n=c[m>>2]|0;o=n+7|0;a[o]=i;return}i=e<<24>>24==0|0;j=b+4|0;k=c[j>>2]|0;l=c[k>>2]|0;m=l+16|0;n=c[m>>2]|0;o=n+7|0;a[o]=i;return}function We(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0;do{if((a[b+314|0]|0)==0){d=a[(c[b+356>>2]|0)+10|0]|0}else{e=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(e){f=a[(c[b+356>>2]|0)+10|0]|0;g=oW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+2584>>3],a[(c[b+360>>2]|0)+10|0]|0)|0;a[(c[b+352>>2]|0)+10|0]=g;d=f;break}else{f=oW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+2584>>3],a[(c[b+360>>2]|0)+10|0]|0)|0;a[(c[b+352>>2]|0)+10|0]=f;d=f;break}}else{if(e){e=a[(c[b+356>>2]|0)+10|0]|0;f=rW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+2584>>3])|0;a[(c[b+352>>2]|0)+10|0]=f;d=e;break}else{e=rW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+2584>>3])|0;a[(c[b+352>>2]|0)+10|0]=e;d=e;break}}}}while(0);e=a[(c[b+424>>2]|0)+23|0]|0;if(d<<24>>24==0){i=e;j=b+4|0;k=c[j>>2]|0;l=c[k>>2]|0;m=l+16|0;n=c[m>>2]|0;a[n]=i;return}i=e<<24>>24==0|0;j=b+4|0;k=c[j>>2]|0;l=c[k>>2]|0;m=l+16|0;n=c[m>>2]|0;a[n]=i;return}function Xe(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;do{if((a[b+314|0]|0)==0){d=a[(c[b+356>>2]|0)+9|0]|0}else{e=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(e){f=a[(c[b+356>>2]|0)+9|0]|0;g=oW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+2592>>3],a[(c[b+360>>2]|0)+9|0]|0)|0;a[(c[b+352>>2]|0)+9|0]=g;d=f;break}else{f=oW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+2592>>3],a[(c[b+360>>2]|0)+9|0]|0)|0;a[(c[b+352>>2]|0)+9|0]=f;d=f;break}}else{if(e){e=a[(c[b+356>>2]|0)+9|0]|0;f=rW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+2592>>3])|0;a[(c[b+352>>2]|0)+9|0]=f;d=e;break}else{e=rW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+2592>>3])|0;a[(c[b+352>>2]|0)+9|0]=e;d=e;break}}}}while(0);e=a[(c[b+424>>2]|0)+24|0]|0;if(d<<24>>24==0){i=e;j=b+4|0;k=c[j>>2]|0;l=c[k>>2]|0;m=l+16|0;n=c[m>>2]|0;o=n+1|0;a[o]=i;return}i=e<<24>>24==0|0;j=b+4|0;k=c[j>>2]|0;l=c[k>>2]|0;m=l+16|0;n=c[m>>2]|0;o=n+1|0;a[o]=i;return}function Ye(b){b=b|0;var d=0,e=0,f=0.0,g=0,i=0.0,j=0.0,k=0,l=0.0,m=0.0,n=0,o=0,p=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;do{if((a[(c[e+16>>2]|0)+1|0]|0)==0){f=+h[(c[b+416>>2]|0)+2552>>3];g=c[e+8>>2]|0;i=+h[g+8>>3];if(f!=0.0){j=+h[(c[b+416>>2]|0)+2552>>3];k=g;l=i;break}if(i==0.0){m=i;n=g;o=n+848|0;h[o>>3]=m;return}p=i/+bT(c[b+536>>2]|0,f,9960376,9994488,+h[e>>3],(a[b+319|0]|0)!=0|0);m=p;n=c[(c[c[d>>2]>>2]|0)+8>>2]|0;o=n+848|0;h[o>>3]=m;return}else{g=c[e+8>>2]|0;j=1.0;k=g;l=+h[g+8>>3]}}while(0);m=l/j;n=k;o=n+848|0;h[o>>3]=m;return}function Ze(b){b=b|0;var d=0,e=0,f=0.0,g=0.0,i=0.0,j=0;d=c[c[b+4>>2]>>2]|0;e=c[d+8>>2]|0;f=+h[e+848>>3];if((a[(c[d+16>>2]|0)+1|0]|0)==0){g=1.0;i=f*g;j=e+864|0;h[j>>3]=i;return}g=+h[(c[b+416>>2]|0)+2544>>3];i=f*g;j=e+864|0;h[j>>3]=i;return}function _e(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+856>>3]=+h[b+864>>3]*+h[b+8>>3];return}function $e(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;do{if((a[b+314|0]|0)==0){d=a[(c[b+356>>2]|0)+8|0]|0}else{e=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(e){f=a[(c[b+356>>2]|0)+8|0]|0;g=oW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+2600>>3],a[(c[b+360>>2]|0)+8|0]|0)|0;a[(c[b+352>>2]|0)+8|0]=g;d=f;break}else{f=oW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+2600>>3],a[(c[b+360>>2]|0)+8|0]|0)|0;a[(c[b+352>>2]|0)+8|0]=f;d=f;break}}else{if(e){e=a[(c[b+356>>2]|0)+8|0]|0;f=rW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+2600>>3])|0;a[(c[b+352>>2]|0)+8|0]=f;d=e;break}else{e=rW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+2600>>3])|0;a[(c[b+352>>2]|0)+8|0]=e;d=e;break}}}}while(0);e=a[(c[b+424>>2]|0)+25|0]|0;if(d<<24>>24==0){i=e;j=b+4|0;k=c[j>>2]|0;l=c[k>>2]|0;m=l+16|0;n=c[m>>2]|0;o=n+2|0;a[o]=i;return}i=e<<24>>24==0|0;j=b+4|0;k=c[j>>2]|0;l=c[k>>2]|0;m=l+16|0;n=c[m>>2]|0;o=n+2|0;a[o]=i;return}function af(b){b=b|0;var d=0,e=0,f=0.0,g=0,i=0.0,j=0.0,k=0,l=0.0,m=0.0,n=0,o=0,p=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;do{if((a[(c[e+16>>2]|0)+2|0]|0)==0){f=+h[(c[b+416>>2]|0)+2576>>3];g=c[e+8>>2]|0;i=+h[g>>3];if(f!=0.0){j=+h[(c[b+416>>2]|0)+2576>>3];k=g;l=i;break}if(i==0.0){m=i;n=g;o=n+824|0;h[o>>3]=m;return}p=i/+bT(c[b+536>>2]|0,f,9958352,9994480,+h[e>>3],(a[b+319|0]|0)!=0|0);m=p;n=c[(c[c[d>>2]>>2]|0)+8>>2]|0;o=n+824|0;h[o>>3]=m;return}else{g=c[e+8>>2]|0;j=1.0;k=g;l=+h[g>>3]}}while(0);m=l/j;n=k;o=n+824|0;h[o>>3]=m;return}function bf(b){b=b|0;var d=0,e=0,f=0.0,g=0.0,i=0.0,j=0;d=c[c[b+4>>2]>>2]|0;e=c[d+8>>2]|0;f=+h[e+824>>3];if((a[(c[d+16>>2]|0)+2|0]|0)==0){g=1.0;i=f*g;j=e+840|0;h[j>>3]=i;return}g=+h[(c[b+416>>2]|0)+2568>>3];i=f*g;j=e+840|0;h[j>>3]=i;return}function cf(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+832>>3]=+h[b+840>>3]*+h[b>>3];return}function df(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+184>>3]=+h[b+112>>3];return}function ef(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0,j=0,k=0.0,l=0.0,m=0.0,n=0,o=0,p=0.0,q=0.0,r=0,s=0,t=0,u=0,v=0,w=0.0;d=b+4|0;e=(rW(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+112>>3],0.0)|0)<<24>>24==0;f=b+416|0;g=+h[(c[f>>2]|0)+4160>>3];i=g!=0.0;j=c[c[d>>2]>>2]|0;k=+h[(c[j+8>>2]|0)+112>>3];if(e){do{if(i){l=k/g}else{if(k==0.0){l=k;break}l=k/+bT(c[b+536>>2]|0,g,9956312,9994472,+h[j>>3],(a[b+319|0]|0)!=0|0)}}while(0);m=-0.0-l*l;n=c[f>>2]|0;o=n+4152|0;p=+h[o>>3];q=m*p;r=c[d>>2]|0;s=c[r>>2]|0;t=s+8|0;u=c[t>>2]|0;v=u+2968|0;h[v>>3]=q;return}else{do{if(i){w=k/g}else{if(k==0.0){w=k;break}w=k/+bT(c[b+536>>2]|0,g,9956312,9994472,+h[j>>3],(a[b+319|0]|0)!=0|0)}}while(0);m=w*w;n=c[f>>2]|0;o=n+4152|0;p=+h[o>>3];q=m*p;r=c[d>>2]|0;s=c[r>>2]|0;t=s+8|0;u=c[t>>2]|0;v=u+2968|0;h[v>>3]=q;return}}function ff(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+152>>3]=+h[b+56>>3];return}function gf(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0,j=0,k=0.0,l=0.0,m=0.0,n=0,o=0,p=0.0,q=0.0,r=0,s=0,t=0,u=0,v=0,w=0.0;d=b+4|0;e=(rW(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+56>>3],0.0)|0)<<24>>24==0;f=b+416|0;g=+h[(c[f>>2]|0)+5112>>3];i=g!=0.0;j=c[c[d>>2]>>2]|0;k=+h[(c[j+8>>2]|0)+56>>3];if(e){do{if(i){l=k/g}else{if(k==0.0){l=k;break}l=k/+bT(c[b+536>>2]|0,g,9953712,9994464,+h[j>>3],(a[b+319|0]|0)!=0|0)}}while(0);m=-0.0-l*l;n=c[f>>2]|0;o=n+5104|0;p=+h[o>>3];q=m*p;r=c[d>>2]|0;s=c[r>>2]|0;t=s+8|0;u=c[t>>2]|0;v=u+2656|0;h[v>>3]=q;return}else{do{if(i){w=k/g}else{if(k==0.0){w=k;break}w=k/+bT(c[b+536>>2]|0,g,9953712,9994464,+h[j>>3],(a[b+319|0]|0)!=0|0)}}while(0);m=w*w;n=c[f>>2]|0;o=n+5104|0;p=+h[o>>3];q=m*p;r=c[d>>2]|0;s=c[r>>2]|0;t=s+8|0;u=c[t>>2]|0;v=u+2656|0;h[v>>3]=q;return}}function hf(b){b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0.0,k=0,l=0,m=0.0,n=0.0,o=0,p=0,q=0;do{if((a[b+314|0]|0)==0){d=a[(c[b+356>>2]|0)+7|0]|0}else{e=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(e){f=a[(c[b+356>>2]|0)+7|0]|0;g=nW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+272>>3],a[(c[b+360>>2]|0)+7|0]|0)|0;a[(c[b+352>>2]|0)+7|0]=g;d=f;break}else{f=nW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+272>>3],a[(c[b+360>>2]|0)+7|0]|0)|0;a[(c[b+352>>2]|0)+7|0]=f;d=f;break}}else{if(e){e=a[(c[b+356>>2]|0)+7|0]|0;f=pW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+272>>3])|0;a[(c[b+352>>2]|0)+7|0]=f;d=e;break}else{e=pW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+272>>3])|0;a[(c[b+352>>2]|0)+7|0]=e;d=e;break}}}}while(0);e=c[b+416>>2]|0;if(d<<24>>24==0){d=c[c[b+4>>2]>>2]|0;i=+Z(+h[e+256>>3]+ +h[e+248>>3]*(+h[d>>3]- +h[e+272>>3])*6.283185307179586);j=i*+h[e+240>>3];k=d;l=e+264|0;m=+h[l>>3];n=j+m;o=k+8|0;p=c[o>>2]|0;q=p+2088|0;h[q>>3]=n;return}else{j=0.0;k=c[c[b+4>>2]>>2]|0;l=e+264|0;m=+h[l>>3];n=j+m;o=k+8|0;p=c[o>>2]|0;q=p+2088|0;h[q>>3]=n;return}}function jf(b){b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0.0,k=0,l=0,m=0.0,n=0.0,o=0,p=0,q=0;do{if((a[b+314|0]|0)==0){d=a[(c[b+356>>2]|0)+6|0]|0}else{e=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(e){f=a[(c[b+356>>2]|0)+6|0]|0;g=nW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+352>>3],a[(c[b+360>>2]|0)+6|0]|0)|0;a[(c[b+352>>2]|0)+6|0]=g;d=f;break}else{f=nW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+352>>3],a[(c[b+360>>2]|0)+6|0]|0)|0;a[(c[b+352>>2]|0)+6|0]=f;d=f;break}}else{if(e){e=a[(c[b+356>>2]|0)+6|0]|0;f=pW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+352>>3])|0;a[(c[b+352>>2]|0)+6|0]=f;d=e;break}else{e=pW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+352>>3])|0;a[(c[b+352>>2]|0)+6|0]=e;d=e;break}}}}while(0);e=c[b+416>>2]|0;if(d<<24>>24==0){d=c[c[b+4>>2]>>2]|0;i=+Z(+h[e+336>>3]+ +h[e+328>>3]*(+h[d>>3]- +h[e+352>>3])*6.283185307179586);j=i*+h[e+320>>3];k=d;l=e+344|0;m=+h[l>>3];n=j+m;o=k+8|0;p=c[o>>2]|0;q=p+2096|0;h[q>>3]=n;return}else{j=0.0;k=c[c[b+4>>2]>>2]|0;l=e+344|0;m=+h[l>>3];n=j+m;o=k+8|0;p=c[o>>2]|0;q=p+2096|0;h[q>>3]=n;return}}function kf(b){b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0.0,k=0,l=0,m=0.0,n=0.0,o=0,p=0,q=0;do{if((a[b+314|0]|0)==0){d=a[(c[b+356>>2]|0)+5|0]|0}else{e=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(e){f=a[(c[b+356>>2]|0)+5|0]|0;g=nW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+432>>3],a[(c[b+360>>2]|0)+5|0]|0)|0;a[(c[b+352>>2]|0)+5|0]=g;d=f;break}else{f=nW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+432>>3],a[(c[b+360>>2]|0)+5|0]|0)|0;a[(c[b+352>>2]|0)+5|0]=f;d=f;break}}else{if(e){e=a[(c[b+356>>2]|0)+5|0]|0;f=pW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+432>>3])|0;a[(c[b+352>>2]|0)+5|0]=f;d=e;break}else{e=pW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+432>>3])|0;a[(c[b+352>>2]|0)+5|0]=e;d=e;break}}}}while(0);e=c[b+416>>2]|0;if(d<<24>>24==0){d=c[c[b+4>>2]>>2]|0;i=+Z(+h[e+416>>3]+ +h[e+408>>3]*(+h[d>>3]- +h[e+432>>3])*6.283185307179586);j=i*+h[e+400>>3];k=d;l=e+424|0;m=+h[l>>3];n=j+m;o=k+8|0;p=c[o>>2]|0;q=p+2104|0;h[q>>3]=n;return}else{j=0.0;k=c[c[b+4>>2]>>2]|0;l=e+424|0;m=+h[l>>3];n=j+m;o=k+8|0;p=c[o>>2]|0;q=p+2104|0;h[q>>3]=n;return}}function lf(b){b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0.0,k=0,l=0,m=0.0,n=0.0,o=0,p=0,q=0;do{if((a[b+314|0]|0)==0){d=a[(c[b+356>>2]|0)+4|0]|0}else{e=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(e){f=a[(c[b+356>>2]|0)+4|0]|0;g=nW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+512>>3],a[(c[b+360>>2]|0)+4|0]|0)|0;a[(c[b+352>>2]|0)+4|0]=g;d=f;break}else{f=nW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+512>>3],a[(c[b+360>>2]|0)+4|0]|0)|0;a[(c[b+352>>2]|0)+4|0]=f;d=f;break}}else{if(e){e=a[(c[b+356>>2]|0)+4|0]|0;f=pW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+512>>3])|0;a[(c[b+352>>2]|0)+4|0]=f;d=e;break}else{e=pW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+512>>3])|0;a[(c[b+352>>2]|0)+4|0]=e;d=e;break}}}}while(0);e=c[b+416>>2]|0;if(d<<24>>24==0){d=c[c[b+4>>2]>>2]|0;i=+Z(+h[e+496>>3]+ +h[e+488>>3]*(+h[d>>3]- +h[e+512>>3])*6.283185307179586);j=i*+h[e+480>>3];k=d;l=e+504|0;m=+h[l>>3];n=j+m;o=k+8|0;p=c[o>>2]|0;q=p+2112|0;h[q>>3]=n;return}else{j=0.0;k=c[c[b+4>>2]>>2]|0;l=e+504|0;m=+h[l>>3];n=j+m;o=k+8|0;p=c[o>>2]|0;q=p+2112|0;h[q>>3]=n;return}}function mf(b){b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0.0,k=0,l=0,m=0.0,n=0.0,o=0,p=0,q=0;do{if((a[b+314|0]|0)==0){d=a[(c[b+356>>2]|0)+3|0]|0}else{e=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(e){f=a[(c[b+356>>2]|0)+3|0]|0;g=nW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+592>>3],a[(c[b+360>>2]|0)+3|0]|0)|0;a[(c[b+352>>2]|0)+3|0]=g;d=f;break}else{f=nW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+592>>3],a[(c[b+360>>2]|0)+3|0]|0)|0;a[(c[b+352>>2]|0)+3|0]=f;d=f;break}}else{if(e){e=a[(c[b+356>>2]|0)+3|0]|0;f=pW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+592>>3])|0;a[(c[b+352>>2]|0)+3|0]=f;d=e;break}else{e=pW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+592>>3])|0;a[(c[b+352>>2]|0)+3|0]=e;d=e;break}}}}while(0);e=c[b+416>>2]|0;if(d<<24>>24==0){d=c[c[b+4>>2]>>2]|0;i=+Z(+h[e+576>>3]+ +h[e+568>>3]*(+h[d>>3]- +h[e+592>>3])*6.283185307179586);j=i*+h[e+560>>3];k=d;l=e+584|0;m=+h[l>>3];n=j+m;o=k+8|0;p=c[o>>2]|0;q=p+2120|0;h[q>>3]=n;return}else{j=0.0;k=c[c[b+4>>2]>>2]|0;l=e+584|0;m=+h[l>>3];n=j+m;o=k+8|0;p=c[o>>2]|0;q=p+2120|0;h[q>>3]=n;return}}function nf(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3304>>3]=+(c[(c[a+420>>2]|0)+204>>2]|0)*+h[b+112>>3];return}function of(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+968>>3]=+h[(c[a+416>>2]|0)+2024>>3]*+h[b+24>>3];return}function pf(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+960>>3]=+h[b+968>>3]*+h[b+24>>3];return}function qf(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+952>>3]=+h[(c[a+416>>2]|0)+2056>>3]*+h[b+16>>3];return}function rf(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+944>>3]=+h[b+952>>3]*+h[b+16>>3];return}function sf(b){b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0.0,k=0,l=0,m=0.0,n=0.0,o=0,p=0,q=0;do{if((a[b+314|0]|0)==0){d=a[(c[b+356>>2]|0)+2|0]|0}else{e=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(e){f=a[(c[b+356>>2]|0)+2|0]|0;g=nW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+2272>>3],a[(c[b+360>>2]|0)+2|0]|0)|0;a[(c[b+352>>2]|0)+2|0]=g;d=f;break}else{f=nW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+2272>>3],a[(c[b+360>>2]|0)+2|0]|0)|0;a[(c[b+352>>2]|0)+2|0]=f;d=f;break}}else{if(e){e=a[(c[b+356>>2]|0)+2|0]|0;f=pW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+2272>>3])|0;a[(c[b+352>>2]|0)+2|0]=f;d=e;break}else{e=pW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+2272>>3])|0;a[(c[b+352>>2]|0)+2|0]=e;d=e;break}}}}while(0);e=c[b+416>>2]|0;if(d<<24>>24==0){d=c[c[b+4>>2]>>2]|0;i=+Z(+h[e+2256>>3]+ +h[e+2248>>3]*(+h[d>>3]- +h[e+2272>>3])*6.283185307179586);j=i*+h[e+2240>>3];k=d;l=e+2264|0;m=+h[l>>3];n=j+m;o=k+8|0;p=c[o>>2]|0;q=p+920|0;h[q>>3]=n;return}else{j=0.0;k=c[c[b+4>>2]>>2]|0;l=e+2264|0;m=+h[l>>3];n=j+m;o=k+8|0;p=c[o>>2]|0;q=p+920|0;h[q>>3]=n;return}}function tf(b){b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0.0,k=0,l=0,m=0.0,n=0.0,o=0,p=0,q=0;do{if((a[b+314|0]|0)==0){d=a[(c[b+356>>2]|0)+1|0]|0}else{e=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(e){f=a[(c[b+356>>2]|0)+1|0]|0;g=nW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+2352>>3],a[(c[b+360>>2]|0)+1|0]|0)|0;a[(c[b+352>>2]|0)+1|0]=g;d=f;break}else{f=nW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+2352>>3],a[(c[b+360>>2]|0)+1|0]|0)|0;a[(c[b+352>>2]|0)+1|0]=f;d=f;break}}else{if(e){e=a[(c[b+356>>2]|0)+1|0]|0;f=pW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+2352>>3])|0;a[(c[b+352>>2]|0)+1|0]=f;d=e;break}else{e=pW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+2352>>3])|0;a[(c[b+352>>2]|0)+1|0]=e;d=e;break}}}}while(0);e=c[b+416>>2]|0;if(d<<24>>24==0){d=c[c[b+4>>2]>>2]|0;i=+Z(+h[e+2336>>3]+ +h[e+2328>>3]*(+h[d>>3]- +h[e+2352>>3])*6.283185307179586);j=i*+h[e+2320>>3];k=d;l=e+2344|0;m=+h[l>>3];n=j+m;o=k+8|0;p=c[o>>2]|0;q=p+928|0;h[q>>3]=n;return}else{j=0.0;k=c[c[b+4>>2]>>2]|0;l=e+2344|0;m=+h[l>>3];n=j+m;o=k+8|0;p=c[o>>2]|0;q=p+928|0;h[q>>3]=n;return}}function uf(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+776>>3]=+h[b+928>>3]- +h[b+864>>3];return}function vf(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+904>>3]=+h[b+928>>3]- +h[b+776>>3];return}function wf(b){b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0.0,k=0,l=0,m=0.0,n=0.0,o=0,p=0,q=0;do{if((a[b+314|0]|0)==0){d=a[c[b+356>>2]|0]|0}else{e=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(e){f=a[c[b+356>>2]|0]|0;g=nW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+2432>>3],a[c[b+360>>2]|0]|0)|0;a[c[b+352>>2]|0]=g;d=f;break}else{f=nW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+2432>>3],a[c[b+360>>2]|0]|0)|0;a[c[b+352>>2]|0]=f;d=f;break}}else{if(e){e=a[c[b+356>>2]|0]|0;f=pW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+2432>>3])|0;a[c[b+352>>2]|0]=f;d=e;break}else{e=pW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+2432>>3])|0;a[c[b+352>>2]|0]=e;d=e;break}}}}while(0);e=c[b+416>>2]|0;if(d<<24>>24==0){d=c[c[b+4>>2]>>2]|0;i=+Z(+h[e+2416>>3]+ +h[e+2408>>3]*(+h[d>>3]- +h[e+2432>>3])*6.283185307179586);j=i*+h[e+2400>>3];k=d;l=e+2424|0;m=+h[l>>3];n=j+m;o=k+8|0;p=c[o>>2]|0;q=p+936|0;h[q>>3]=n;return}else{j=0.0;k=c[c[b+4>>2]>>2]|0;l=e+2424|0;m=+h[l>>3];n=j+m;o=k+8|0;p=c[o>>2]|0;q=p+936|0;h[q>>3]=n;return}}function xf(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+768>>3]=+h[b+936>>3]- +h[b+840>>3];return}function yf(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+912>>3]=+h[b+936>>3]- +h[b+768>>3];return}function zf(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+520>>3]=+h[(c[a+416>>2]|0)+2984>>3]*+h[b+8>>3];return}function Af(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+512>>3]=+h[b+520>>3]*+h[b+8>>3];return}function Bf(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+552>>3]=+h[b+776>>3]- +h[b+520>>3];return}function Cf(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+576>>3]=+h[b+776>>3]- +h[b+552>>3];return}function Df(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+504>>3]=+h[(c[a+416>>2]|0)+3016>>3]*+h[b>>3];return}function Ef(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+496>>3]=+h[b+504>>3]*+h[b>>3];return}function Ff(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+544>>3]=+h[b+768>>3]- +h[b+504>>3];return}function Gf(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+584>>3]=+h[b+768>>3]- +h[b+544>>3];return}function Hf(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3312>>3]=+(c[(c[a+420>>2]|0)+488>>2]|0)*+h[b+56>>3];return}function If(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1384>>3]=-0.0- +h[b+16>>3];return}function Jf(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1376>>3]=-0.0- +h[b+24>>3];return}function Kf(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1640>>3]=+h[b+72>>3]- +h[b+88>>3];return}function Lf(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3072>>3]=-0.0- +h[b+88>>3]- +h[b+1640>>3];return}function Mf(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3208>>3]=-0.0- +h[b+3072>>3]- +h[b+72>>3];return}function Nf(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1688>>3]=+h[b+80>>3]- +h[b+96>>3];return}function Of(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3080>>3]=-0.0- +h[b+96>>3]- +h[b+1688>>3];return}function Pf(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3216>>3]=-0.0- +h[b+3080>>3]- +h[b+80>>3];return}function Qf(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2704>>3]=+(c[(c[a+420>>2]|0)+488>>2]|0)*(+h[b+32>>3]- +h[(c[a+416>>2]|0)+4528>>3]);return}function Rf(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2688>>3]=+Z(+h[b+2704>>3]);return}function Sf(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2696>>3]=+Y(+h[b+2704>>3]);return}function Tf(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+432>>3]=+h[b+48>>3]*+h[b+2696>>3]- +h[b+2688>>3]*(-0.0- +h[b+40>>3]);return}function Uf(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+400>>3]=+h[b+2688>>3]*(-0.0- +h[b+48>>3])+ +h[b+40>>3]*+h[b+2696>>3];return}function Vf(a){a=a|0;var b=0,d=0.0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=+Y(+h[b+2704>>3]);h[b+3296>>3]=d*+h[b+3312>>3];return}function Wf(a){a=a|0;var b=0,d=0.0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=-0.0- +Z(+h[b+2704>>3]);h[b+3288>>3]=+h[b+3312>>3]*d;return}function Xf(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+600>>3]=+h[b>>3]*-.318309886183791;return}function Yf(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+592>>3]=+h[b>>3]*-.5513288954217919;return}function Zf(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+632>>3]=+h[b+8>>3]*-.3183098861837905;return}function _f(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+672>>3]=+h[b+632>>3]+ +h[b+600>>3];return}function $f(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+624>>3]=+h[b+8>>3]*.5513288954217921;return}function ag(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2744>>3]=-0.0- +h[b+624>>3]- +h[b+592>>3];return}function bg(b){b=b|0;var d=0.0,e=0,f=0,g=0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=+h[(c[b+416>>2]|0)+5e3>>3];e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[g+2744>>3]*-1.570796326794897;if(d!=0.0){j=i/d;k=g;l=k+2760|0;h[l>>3]=j;return}if(i==0.0){j=i;k=g;l=k+2760|0;h[l>>3]=j;return}m=i/+bT(c[b+536>>2]|0,d,9951832,9994456,+h[f>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[e>>2]>>2]|0)+8>>2]|0;l=k+2760|0;h[l>>3]=j;return}function cg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+616>>3]=+h[b+40>>3]- +h[b+2760>>3];return}function dg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2784>>3]=-0.0- +h[b+2760>>3]- +h[b+616>>3];return}function eg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2920>>3]=-0.0- +h[b+2784>>3]- +h[b+40>>3];return}function fg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2856>>3]=+h[b+32>>3]- +h[(c[a+416>>2]|0)+4528>>3];return}function gg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2864>>3]=+h[b+32>>3]- +h[(c[a+416>>2]|0)+4528>>3];return}function hg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1192>>3]=+h[b+16>>3]*-.1967263286166931;return}function ig(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1184>>3]=+h[b+16>>3]*.6054613829125257;return}function jg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1208>>3]=+h[b+24>>3]*.515036214800484;return}function kg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1200>>3]=+h[b+24>>3]*.3741957135154556;return}function lg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3016>>3]=+(c[(c[a+420>>2]|0)+204>>2]|0)*(+h[b+64>>3]- +h[(c[a+416>>2]|0)+3576>>3]);return}function mg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3e3>>3]=+Z(+h[b+3016>>3]);return}function ng(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3008>>3]=+Y(+h[b+3016>>3]);return}function og(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1296>>3]=+h[b+80>>3]*+h[b+3008>>3]- +h[b+3e3>>3]*(-0.0- +h[b+72>>3]);return}function pg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1264>>3]=+h[b+3e3>>3]*(-0.0- +h[b+80>>3])+ +h[b+72>>3]*+h[b+3008>>3];return}function qg(a){a=a|0;var b=0,d=0.0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=+Y(+h[b+3016>>3]);h[b+3272>>3]=d*+h[b+3304>>3];return}function rg(a){a=a|0;var b=0,d=0.0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=-0.0- +Z(+h[b+3016>>3]);h[b+3264>>3]=+h[b+3304>>3]*d;return}function sg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3056>>3]=+h[(c[a+416>>2]|0)+4048>>3]*+h[b+88>>3]/-1.570796326794897;return}function tg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3064>>3]=+h[(c[a+416>>2]|0)+4040>>3]*+h[b+96>>3]/-1.570796326794897;return}function ug(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3048>>3]=+h[b+3064>>3]*+h[b+3008>>3]- +h[b+3e3>>3]*(-0.0- +h[b+3056>>3]);return}function vg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3032>>3]=+h[b+1296>>3]*103.5116823407561- +h[b+3048>>3];return}function wg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1224>>3]=+h[b+1192>>3]+ +h[b+3032>>3];return}function xg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1256>>3]=+h[b+1208>>3]+ +h[b+1224>>3];return}function yg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3040>>3]=+h[b+3e3>>3]*(-0.0- +h[b+3064>>3])+ +h[b+3056>>3]*+h[b+3008>>3];return}function zg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3024>>3]=+h[b+1264>>3]*103.5116823407561- +h[b+3040>>3];return}function Ag(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1216>>3]=+h[b+1184>>3]+ +h[b+3024>>3];return}function Bg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1248>>3]=+h[b+1200>>3]+ +h[b+1216>>3];return}function Cg(a){a=a|0;var b=0,d=0;DW(a,6)|0;b=c[(c[a+476>>2]|0)+412>>2]|0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[d+1288>>3]=+h[b>>3];h[d+1240>>3]=+h[b+8>>3];h[d+1272>>3]=+h[b+16>>3];h[d+1360>>3]=+h[b+24>>3];h[d+1280>>3]=+h[b+32>>3];h[d+1304>>3]=+h[b+40>>3];h[d+1352>>3]=+h[b+48>>3];h[d+1368>>3]=+h[b+56>>3];h[d+1232>>3]=+h[b+64>>3];return}function Dg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1e3>>3]=+h[b+1360>>3]*(-0.0- +h[(c[a+416>>2]|0)+1960>>3]);return}function Eg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+992>>3]=+h[b+1360>>3]*(-0.0- +h[b+1e3>>3]);return}function Fg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1016>>3]=+h[b+1352>>3]*(-0.0- +h[(c[a+416>>2]|0)+1928>>3]);return}function Gg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1008>>3]=+h[b+1352>>3]*(-0.0- +h[b+1016>>3]);return}function Hg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+984>>3]=+h[b+1368>>3]*(-0.0- +h[(c[a+416>>2]|0)+1992>>3]);return}function Ig(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+976>>3]=+h[b+1368>>3]*(-0.0- +h[b+984>>3]);return}function Jg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3176>>3]=+h[b+1008>>3]+(+h[b+992>>3]-(-0.0- +h[b+960>>3]- +h[b+944>>3]- +h[b+976>>3]));return}function Kg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3096>>3]=+h[b+1008>>3]+(+h[b+992>>3]+(+h[b+976>>3]+(+h[b+960>>3]+ +h[b+944>>3])));return}function Lg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2992>>3]=+h[b+1360>>3]+(+h[b+1352>>3]-(+h[b+16>>3]+ +h[b+24>>3]- +h[b+1368>>3]));return}function Mg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3160>>3]=+(c[(c[a+420>>2]|0)+204>>2]|0)*(+h[b+72>>3]*+h[b+3064>>3]- +h[b+80>>3]*+h[b+3056>>3])*-1.570796326794897;return}function Ng(a){a=a|0;var b=0,d=0;DW(a,7)|0;b=c[(c[a+476>>2]|0)+476>>2]|0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[d+3200>>3]=+h[b>>3];h[d+2976>>3]=+h[b+8>>3];return}function Og(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3120>>3]=+h[b+112>>3]*+h[b+3200>>3];return}function Pg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+232>>3]=+h[b+2976>>3];return}function Qg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3112>>3]=+h[(c[a+416>>2]|0)+3568>>3]*+h[b+2976>>3]*+h[b+112>>3];return}function Rg(a){a=a|0;var b=0,d=0;DW(a,8)|0;b=c[(c[a+476>>2]|0)+540>>2]|0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[d+1920>>3]=+h[b>>3];h[d+2040>>3]=+h[b+8>>3];h[d+2024>>3]=+h[b+16>>3];h[d+1504>>3]=+h[b+24>>3];h[d+1464>>3]=+h[b+32>>3];h[d+1896>>3]=+h[b+40>>3];h[d+1968>>3]=+h[b+48>>3];h[d+1952>>3]=+h[b+56>>3];h[d+1576>>3]=+h[b+64>>3];h[d+1800>>3]=+h[b+72>>3];h[d+1792>>3]=+h[b+80>>3];h[d+1608>>3]=+h[b+88>>3];h[d+1432>>3]=+h[b+96>>3];h[d+1912>>3]=+h[b+104>>3];h[d+2016>>3]=+h[b+112>>3];h[d+2e3>>3]=+h[b+120>>3];h[d+1656>>3]=+h[b+128>>3];h[d+1888>>3]=+h[b+136>>3];h[d+1944>>3]=+h[b+144>>3];h[d+1928>>3]=+h[b+152>>3];h[d+1624>>3]=+h[b+160>>3];h[d+1552>>3]=+h[b+168>>3];h[d+1560>>3]=+h[b+176>>3];h[d+1568>>3]=+h[b+184>>3];h[d+1760>>3]=+h[b+192>>3];h[d+1472>>3]=+h[b+200>>3];h[d+1400>>3]=+h[b+208>>3];h[d+1840>>3]=+h[b+216>>3];h[d+1784>>3]=+h[b+224>>3];h[d+1496>>3]=+h[b+232>>3];h[d+1448>>3]=+h[b+240>>3];h[d+1816>>3]=+h[b+248>>3];h[d+1648>>3]=+h[b+256>>3];h[d+1672>>3]=+h[b+264>>3];h[d+1600>>3]=+h[b+272>>3];h[d+1824>>3]=+h[b+280>>3];h[d+1976>>3]=+h[b+288>>3];h[d+1992>>3]=+h[b+296>>3];h[d+1904>>3]=+h[b+304>>3];h[d+1488>>3]=+h[b+312>>3];h[d+1776>>3]=+h[b+320>>3];h[d+1616>>3]=+h[b+328>>3];h[d+1592>>3]=+h[b+336>>3];h[d+1704>>3]=+h[b+344>>3];h[d+2128>>3]=+h[b+352>>3];h[d+1664>>3]=+h[b+360>>3];h[d+3224>>3]=+h[b+368>>3];h[d+1768>>3]=+h[b+376>>3];h[d+1480>>3]=+h[b+384>>3];h[d+1416>>3]=+h[b+392>>3];h[d+1712>>3]=+h[b+400>>3];h[d+1680>>3]=+h[b+408>>3];h[d+1632>>3]=+h[b+416>>3];h[d+1584>>3]=+h[b+424>>3];h[d+1832>>3]=+h[b+432>>3];h[d+1808>>3]=+h[b+440>>3];h[d+1696>>3]=+h[b+448>>3];return}function Sg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2048>>3]=+h[b+2088>>3]- +h[b+1920>>3];return}function Tg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1512>>3]=+h[b+1920>>3]- +h[b+1504>>3];return}function Ug(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2072>>3]=+h[b+2112>>3]- +h[b+1896>>3];return}function Vg(b){b=b|0;var d=0.0,e=0,f=0,g=0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=+h[(c[b+416>>2]|0)+4016>>3];e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[g+1800>>3];if(d!=0.0){j=i/d;k=g;l=k+224|0;h[l>>3]=j;return}if(i==0.0){j=i;k=g;l=k+224|0;h[l>>3]=j;return}m=i/+bT(c[b+536>>2]|0,d,9949984,9994440,+h[f>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[e>>2]>>2]|0)+8>>2]|0;l=k+224|0;h[l>>3]=j;return}function Wg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2056>>3]=+h[b+2096>>3]- +h[b+1912>>3];return}function Xg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2080>>3]=+h[b+2120>>3]- +h[b+1888>>3];return}function Yg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1544>>3]=+h[b+1888>>3]- +h[b+1472>>3];return}function Zg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1936>>3]=+h[b+1944>>3]*+h[b+1840>>3];return}function _g(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1392>>3]=+h[b+1400>>3]*+h[b+1840>>3];return}function $g(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1520>>3]=+h[b+1912>>3]- +h[b+1496>>3];return}function ah(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2008>>3]=+h[b+2016>>3]*+h[b+1816>>3];return}function bh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1440>>3]=+h[b+1448>>3]*+h[b+1816>>3];return}function ch(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1424>>3]=+h[b+1432>>3]*+h[b+1824>>3];return}function dh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1984>>3]=+h[b+1992>>3]*+h[b+1824>>3];return}function eh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2064>>3]=+h[b+2104>>3]- +h[b+1904>>3];return}function fh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1528>>3]=+h[b+1904>>3]- +h[b+1488>>3];return}function gh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1848>>3]=+h[b+1920>>3]- +h[b+3224>>3];return}function hh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1856>>3]=+h[b+1912>>3]- +h[b+3224>>3];return}function ih(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1864>>3]=+h[b+1904>>3]- +h[b+3224>>3];return}function jh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1872>>3]=+h[b+1896>>3]- +h[b+3224>>3];return}function kh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1880>>3]=+h[b+1888>>3]- +h[b+3224>>3];return}function lh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1720>>3]=+h[b+1792>>3]- +h[b+3224>>3];return}function mh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1728>>3]=+h[b+1784>>3]- +h[b+3224>>3];return}function nh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1736>>3]=+h[b+1776>>3]- +h[b+3224>>3];return}function oh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1752>>3]=+h[b+1760>>3]- +h[b+3224>>3];return}function ph(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1744>>3]=+h[b+1768>>3]- +h[b+3224>>3];return}function qh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1536>>3]=+h[b+1896>>3]- +h[b+1480>>3];return}function rh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1960>>3]=+h[b+1968>>3]*+h[b+1832>>3];return}function sh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1408>>3]=+h[b+1416>>3]*+h[b+1832>>3];return}function th(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2032>>3]=+h[b+2040>>3]*+h[b+1808>>3];return}function uh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1456>>3]=+h[b+1464>>3]*+h[b+1808>>3];return}function vh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3184>>3]=+h[b+1456>>3]+(+h[b+1440>>3]-(-0.0- +h[b+1408>>3]- +h[b+1392>>3]- +h[b+1424>>3]));return}function wh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3168>>3]=+h[b+3184>>3]+ +h[b+3176>>3];return}function xh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3104>>3]=+h[b+1456>>3]+(+h[b+1440>>3]+(+h[b+1424>>3]+(+h[b+1408>>3]+ +h[b+1392>>3])));return}function yh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3088>>3]=+h[b+3104>>3]+ +h[b+3096>>3];return}function zh(a){a=a|0;var b=0,d=0.0,e=0.0,f=0.0,g=0.0,i=0.0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=+h[b+1808>>3];e=+h[b+1816>>3];f=+h[b+1824>>3];g=+h[b+1832>>3];i=+h[b+1840>>3];h[b+3232>>3]=+W((d*d+(e*e+(f*f+(g*g+i*i))))*.2);return}function Ah(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2648>>3]=+h[b+3232>>3]*1.666666666666667;return}function Bh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3240>>3]=-0.0- +h[b+1840>>3]-(+h[b+1808>>3]+ +h[b+1816>>3]+ +h[b+1824>>3]+ +h[b+1832>>3]);return}function Ch(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3128>>3]=+h[b+1848>>3]*+h[b+1808>>3]+(+h[b+1856>>3]*+h[b+1816>>3]+(+h[b+1864>>3]*+h[b+1824>>3]+(+h[b+1872>>3]*+h[b+1832>>3]+ +h[b+1880>>3]*+h[b+1840>>3])));return}function Dh(a){a=a|0;var b=0,d=0.0,e=0.0,f=0.0,g=0.0,i=0.0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=+h[b+1808>>3];e=+h[b+1816>>3];f=+h[b+1824>>3];g=+h[b+1832>>3];i=+h[b+1840>>3];h[b+3136>>3]=+W((d*d+(e*e+(f*f+(g*g+i*i))))*.2);return}function Eh(a){a=a|0;var b=0,d=0;DW(a,9)|0;b=c[(c[a+476>>2]|0)+604>>2]|0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[d+2272>>3]=+h[b>>3];h[d+2248>>3]=+h[b+8>>3];h[d+1320>>3]=+h[b+16>>3];h[d+1328>>3]=+h[b+24>>3];h[d+2216>>3]=+h[b+32>>3];h[d+2208>>3]=+h[b+40>>3];h[d+2384>>3]=+h[b+48>>3];h[d+1128>>3]=+h[b+56>>3];h[d+1048>>3]=+h[b+64>>3];h[d+2160>>3]=+h[b+72>>3];h[d+2240>>3]=+h[b+80>>3];h[d+2232>>3]=+h[b+88>>3];h[d+2168>>3]=+h[b+96>>3];h[d+2152>>3]=+h[b+104>>3];h[d+2144>>3]=+h[b+112>>3];h[d+2200>>3]=+h[b+120>>3];h[d+1136>>3]=+h[b+128>>3];h[d+2368>>3]=+h[b+136>>3];h[d+2392>>3]=+h[b+144>>3];h[d+1120>>3]=+h[b+152>>3];h[d+1040>>3]=+h[b+160>>3];h[d+1032>>3]=+h[b+168>>3];h[d+1024>>3]=+h[b+176>>3];h[d+2984>>3]=+h[b+184>>3];h[d+1056>>3]=+h[b+192>>3];h[d+3256>>3]=+h[b+200>>3];h[d+208>>3]=+h[b+208>>3];h[d+3344>>3]=+h[b+216>>3];h[d+3248>>3]=+h[b+224>>3];h[d+216>>3]=+h[b+232>>3];h[d+200>>3]=+h[b+240>>3];h[d+192>>3]=+h[b+248>>3];h[d+1312>>3]=+h[b+256>>3];h[d+1336>>3]=+h[b+264>>3];h[d+1112>>3]=+h[b+272>>3];h[d+144>>3]=+h[b+280>>3];h[d+2256>>3]=+h[b+288>>3];h[d+2176>>3]=+h[b+296>>3];h[d+3360>>3]=+h[b+304>>3];h[d+2224>>3]=+h[b+312>>3];h[d+1344>>3]=+h[b+320>>3];h[d+1104>>3]=+h[b+328>>3];h[d+136>>3]=+h[b+336>>3];h[d+2264>>3]=+h[b+344>>3];h[d+3352>>3]=+h[b+352>>3];h[d+3336>>3]=+h[b+360>>3];return}function Fh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1152>>3]=+h[b+1320>>3]- +h[b+1048>>3];return}function Gh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1160>>3]=+h[b+1328>>3]- +h[b+1040>>3];return}function Hh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1072>>3]=+h[b+1048>>3]- +h[b+2984>>3];return}function Ih(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1080>>3]=+h[b+1040>>3]- +h[b+2984>>3];return}function Jh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1088>>3]=+h[b+1032>>3]- +h[b+2984>>3];return}function Kh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1096>>3]=+h[b+1024>>3]- +h[b+2984>>3];return}function Lh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1064>>3]=+h[b+1056>>3]- +h[b+2984>>3];return}function Mh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1144>>3]=+h[b+1312>>3]- +h[b+1056>>3];return}function Nh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1168>>3]=+h[b+1336>>3]- +h[b+1032>>3];return}function Oh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1176>>3]=+h[b+1344>>3]- +h[b+1024>>3];return}function Ph(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3144>>3]=+h[b+64>>3]- +h[(c[a+416>>2]|0)+3576>>3];return}function Qh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3152>>3]=+h[b+64>>3]- +h[(c[a+416>>2]|0)+3576>>3];return}function Rh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+736>>3]=-0.0- +h[b+8>>3]- +h[b>>3];return}function Sh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2776>>3]=(+h[b+8>>3]-(-0.0- +h[b>>3]- +h[b+736>>3]))/3.0;return}function Th(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+656>>3]=+h[b+736>>3]*.6366197723675814;return}function Uh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2752>>3]=-0.0- +h[b+656>>3]- +h[b+672>>3];return}function Vh(b){b=b|0;var d=0.0,e=0,f=0,g=0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=+h[(c[b+416>>2]|0)+4992>>3];e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[g+2752>>3]*-1.570796326794897;if(d!=0.0){j=i/d;k=g;l=k+2768|0;h[l>>3]=j;return}if(i==0.0){j=i;k=g;l=k+2768|0;h[l>>3]=j;return}m=i/+bT(c[b+536>>2]|0,d,9947920,9994416,+h[f>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[e>>2]>>2]|0)+8>>2]|0;l=k+2768|0;h[l>>3]=j;return}function Wh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+648>>3]=+h[b+48>>3]- +h[b+2768>>3];return}function Xh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2792>>3]=-0.0- +h[b+2768>>3]- +h[b+648>>3];return}function Yh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2928>>3]=-0.0- +h[b+2792>>3]- +h[b+48>>3];return}function Zh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2736>>3]=+h[b+2752>>3]*+h[b+2696>>3]- +h[b+2688>>3]*(-0.0- +h[b+2744>>3]);return}function _h(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2720>>3]=+h[b+432>>3]*103.5116823407561- +h[b+2736>>3];return}function $h(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2728>>3]=+h[b+2688>>3]*(-0.0- +h[b+2752>>3])+ +h[b+2744>>3]*+h[b+2696>>3];return}function ai(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2712>>3]=+h[b+400>>3]*103.5116823407561- +h[b+2728>>3];return}function bi(a){a=a|0;var b=0,d=0;DW(a,10)|0;b=c[(c[a+476>>2]|0)+668>>2]|0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[d+416>>3]=+h[b>>3];h[d+384>>3]=+h[b+8>>3];h[d+488>>3]=+h[b+16>>3];h[d+392>>3]=+h[b+24>>3];h[d+424>>3]=+h[b+32>>3];h[d+440>>3]=+h[b+40>>3];h[d+472>>3]=+h[b+48>>3];h[d+480>>3]=+h[b+56>>3];h[d+408>>3]=+h[b+64>>3];return}function ci(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+248>>3]=+h[b+488>>3]*(-0.0- +h[(c[a+416>>2]|0)+3400>>3]);return}function di(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+240>>3]=+h[b+488>>3]*(-0.0- +h[b+248>>3]);return}function ei(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+280>>3]=+h[b+472>>3]*(-0.0- +h[(c[a+416>>2]|0)+3336>>3]);return}function fi(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+272>>3]=+h[b+472>>3]*(-0.0- +h[b+280>>3]);return}function gi(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+264>>3]=+h[b+480>>3]*(-0.0- +h[(c[a+416>>2]|0)+3368>>3]);return}function hi(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+256>>3]=+h[b+480>>3]*(-0.0- +h[b+264>>3]);return}function ii(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2888>>3]=+h[b+272>>3]+(+h[b+240>>3]+ +h[b+256>>3]);return}function ji(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2808>>3]=+h[b+272>>3]+(+h[b+256>>3]+ +h[b+240>>3]);return}function ki(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2680>>3]=+h[b+480>>3]+(+h[b+488>>3]+ +h[b+472>>3]);return}function li(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2872>>3]=+(c[(c[a+420>>2]|0)+488>>2]|0)*(+h[b+40>>3]*+h[b+2752>>3]- +h[b+48>>3]*+h[b+2744>>3])*-1.570796326794897;return}function mi(a){a=a|0;var b=0,d=0;DW(a,11)|0;b=c[(c[a+476>>2]|0)+732>>2]|0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[d+2664>>3]=+h[b>>3];h[d+2912>>3]=+h[b+8>>3];return}function ni(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+176>>3]=+h[b+2664>>3];return}function oi(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2824>>3]=+h[(c[a+416>>2]|0)+4520>>3]*+h[b+2664>>3]*+h[b+56>>3];return}function pi(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2832>>3]=+h[b+56>>3]*+h[b+2912>>3];return}function qi(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+536>>3]=+h[(c[a+416>>2]|0)+2952>>3]*+h[b+736>>3];return}function ri(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+528>>3]=+h[b+536>>3]*+h[b+736>>3];return}function si(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2896>>3]=+h[b+528>>3]+(+h[b+496>>3]+ +h[b+512>>3]);return}function ti(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2880>>3]=+h[b+2896>>3]+ +h[b+2888>>3];return}function ui(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2816>>3]=+h[b+528>>3]+(+h[b+512>>3]+ +h[b+496>>3]);return}function vi(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2800>>3]=+h[b+2816>>3]+ +h[b+2808>>3];return}function wi(b){b=b|0;var d=0,e=0,f=0.0,g=0,i=0.0,j=0.0,k=0,l=0.0,m=0.0,n=0,o=0,p=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;do{if((a[c[e+16>>2]|0]|0)==0){f=+h[(c[b+416>>2]|0)+2528>>3];g=c[e+8>>2]|0;i=+h[g+736>>3];if(f!=0.0){j=+h[(c[b+416>>2]|0)+2528>>3];k=g;l=i;break}if(i==0.0){m=i;n=g;o=n+872|0;h[o>>3]=m;return}p=i/+bT(c[b+536>>2]|0,f,9945640,9994408,+h[e>>3],(a[b+319|0]|0)!=0|0);m=p;n=c[(c[c[d>>2]>>2]|0)+8>>2]|0;o=n+872|0;h[o>>3]=m;return}else{g=c[e+8>>2]|0;j=1.0;k=g;l=+h[g+736>>3]}}while(0);m=l/j;n=k;o=n+872|0;h[o>>3]=m;return}function xi(b){b=b|0;var d=0,e=0,f=0.0,g=0.0,i=0.0,j=0;d=c[c[b+4>>2]>>2]|0;e=c[d+8>>2]|0;f=+h[e+872>>3];if((a[c[d+16>>2]|0]|0)==0){g=1.0;i=f*g;j=e+888|0;h[j>>3]=i;return}g=+h[(c[b+416>>2]|0)+2520>>3];i=f*g;j=e+888|0;h[j>>3]=i;return}function yi(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+784>>3]=+h[b+920>>3]- +h[b+888>>3];return}function zi(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+896>>3]=+h[b+920>>3]- +h[b+784>>3];return}function Ai(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+560>>3]=+h[b+784>>3]- +h[b+536>>3];return}function Bi(a){a=a|0;var b=0,d=0;DW(a,12)|0;b=c[(c[a+476>>2]|0)+796>>2]|0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[d+2288>>3]=+h[b>>3];h[d+2312>>3]=+h[b+8>>3];h[d+2184>>3]=+h[b+16>>3];h[d+2304>>3]=+h[b+24>>3];h[d+288>>3]=+h[b+32>>3];h[d+296>>3]=+h[b+40>>3];h[d+2672>>3]=+h[b+48>>3];h[d+304>>3]=+h[b+56>>3];h[d+352>>3]=+h[b+64>>3];h[d+2328>>3]=+h[b+72>>3];h[d+160>>3]=+h[b+80>>3];h[d+2360>>3]=+h[b+88>>3];h[d+2352>>3]=+h[b+96>>3];h[d+2408>>3]=+h[b+104>>3];h[d+336>>3]=+h[b+112>>3];h[d+464>>3]=+h[b+120>>3];h[d+2344>>3]=+h[b+128>>3];h[d+456>>3]=+h[b+136>>3];h[d+344>>3]=+h[b+144>>3];h[d+3320>>3]=+h[b+152>>3];h[d+3384>>3]=+h[b+160>>3];h[d+2416>>3]=+h[b+168>>3];h[d+2280>>3]=+h[b+176>>3];h[d+3368>>3]=+h[b+184>>3];h[d+3392>>3]=+h[b+192>>3];h[d+3408>>3]=+h[b+200>>3];h[d+2336>>3]=+h[b+208>>3];h[d+2400>>3]=+h[b+216>>3];h[d+2376>>3]=+h[b+224>>3];h[d+2320>>3]=+h[b+232>>3];h[d+2192>>3]=+h[b+240>>3];h[d+3400>>3]=+h[b+248>>3];h[d+448>>3]=+h[b+256>>3];h[d+168>>3]=+h[b+264>>3];h[d+664>>3]=+h[b+272>>3];h[d+640>>3]=+h[b+280>>3];h[d+712>>3]=+h[b+288>>3];h[d+704>>3]=+h[b+296>>3];h[d+728>>3]=+h[b+304>>3];h[d+3280>>3]=+h[b+312>>3];h[d+120>>3]=+h[b+320>>3];h[d+128>>3]=+h[b+328>>3];h[d+2296>>3]=+h[b+336>>3];h[d+3376>>3]=+h[b+344>>3];h[d+3328>>3]=+h[b+352>>3];h[d+2136>>3]=+h[b+360>>3];h[d+608>>3]=+h[b+368>>3];h[d+2936>>3]=+h[b+376>>3];h[d+720>>3]=+h[b+384>>3];return}function Ci(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+328>>3]=+h[b+288>>3]- +h[b+2672>>3];return}function Di(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+320>>3]=+h[b+296>>3]- +h[b+2672>>3];return}function Ei(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+312>>3]=+h[b+304>>3]- +h[b+2672>>3];return}function Fi(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+376>>3]=+h[b+464>>3]- +h[b+288>>3];return}function Gi(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+368>>3]=+h[b+456>>3]- +h[b+296>>3];return}function Hi(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+360>>3]=+h[b+448>>3]- +h[b+304>>3];return}function Ii(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+752>>3]=+h[b+776>>3]- +h[b+2936>>3];return}function Ji(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+760>>3]=+h[b+768>>3]- +h[b+2936>>3];return}function Ki(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+688>>3]=+h[b+712>>3]- +h[b+2936>>3];return}function Li(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+696>>3]=+h[b+704>>3]- +h[b+2936>>3];return}function Mi(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+680>>3]=+h[b+720>>3]- +h[b+2936>>3];return}function Ni(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+568>>3]=+h[b+784>>3]- +h[b+560>>3];return}function Oi(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+744>>3]=+h[b+784>>3]- +h[b+2936>>3];return}function Pi(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+880>>3]=+h[b+888>>3]*+h[b+736>>3];return}function Qi(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2960>>3]=-0.0- +h[b>>3]-(+h[b+736>>3]+ +h[b+8>>3]);return}function Ri(a){a=a|0;var b=0,d=0;b=c[a+416>>2]|0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[d+816>>3]=+h[b+2632>>3]*+h[d+736>>3]+(+h[b+2640>>3]*+h[d+8>>3]+ +h[b+2648>>3]*+h[d>>3]);return}function Si(a){a=a|0;var b=0,d=0;b=c[a+416>>2]|0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[d+808>>3]=+h[b+2608>>3]*+h[d+736>>3]+(+h[b+2616>>3]*+h[d+8>>3]+ +h[b+2624>>3]*+h[d>>3]);return}function Ti(a){a=a|0;var b=0,d=0.0,e=0.0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=+h[b+808>>3];e=+h[b+816>>3];h[b+792>>3]=+W(d*d+e*e);return}function Ui(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2952>>3]=+h[(c[a+416>>2]|0)+4416>>3]*+h[b+792>>3];return}function Vi(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2640>>3]=+h[b+2952>>3]- +h[b+2648>>3];return}function Wi(a){a=a|0;var b=0,d=0,e=0.0,f=0;b=a+4|0;a=(qW(+h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+792>>3],1.0e-60)|0)<<24>>24==0;d=c[(c[c[b>>2]>>2]|0)+8>>2]|0;if(!a){e=0.0;f=d+800|0;h[f>>3]=e;return}e=+ca(+(+h[d+816>>3]),+(+h[d+808>>3]));f=d+800|0;h[f>>3]=e;return}function Xi(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2944>>3]=(+h[b+8>>3]-(-0.0- +h[b>>3]- +h[b+736>>3]))/3.0;return}function Yi(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2840>>3]=+h[b+744>>3]*+h[b+736>>3]+(+h[b+752>>3]*+h[b+8>>3]+ +h[b+760>>3]*+h[b>>3]);return}function Zi(a){a=a|0;var b=0,d=0.0,e=0.0,f=0.0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=+h[b+736>>3];e=+h[b+8>>3];f=+h[b>>3];h[b+2848>>3]=+W(d*d/3.0+(e*e/3.0+f*f/3.0));return}function _i(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2904>>3]=+h[b+32>>3]- +h[(c[a+416>>2]|0)+4528>>3];return}function $i(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3192>>3]=+h[b+64>>3]- +h[(c[a+416>>2]|0)+3576>>3];return}function aj(b){b=b|0;a[b+315|0]=0;a[b+314|0]=1;Re(b);Se(b);Te(b);Ue(b);Ve(b);We(b);Xe(b);Ye(b);Ze(b);_e(b);$e(b);af(b);bf(b);cf(b);df(b);ef(b);ff(b);gf(b);hf(b);jf(b);kf(b);lf(b);mf(b);nf(b);of(b);pf(b);qf(b);rf(b);sf(b);tf(b);uf(b);vf(b);wf(b);xf(b);yf(b);zf(b);Af(b);Bf(b);Cf(b);Df(b);Ef(b);Ff(b);Gf(b);Hf(b);If(b);Jf(b);Kf(b);Lf(b);Mf(b);Nf(b);Of(b);Pf(b);Qf(b);Rf(b);Sf(b);Tf(b);Uf(b);Vf(b);Wf(b);Xf(b);Yf(b);Zf(b);_f(b);$f(b);ag(b);bg(b);cg(b);dg(b);eg(b);fg(b);gg(b);hg(b);ig(b);jg(b);kg(b);lg(b);mg(b);ng(b);og(b);pg(b);qg(b);rg(b);sg(b);tg(b);ug(b);vg(b);wg(b);xg(b);yg(b);zg(b);Ag(b);Bg(b);Cg(b);Dg(b);Eg(b);Fg(b);Gg(b);Hg(b);Ig(b);Jg(b);Kg(b);Lg(b);Mg(b);Ng(b);Og(b);Pg(b);Qg(b);Rg(b);Sg(b);Tg(b);Ug(b);Vg(b);Wg(b);Xg(b);Yg(b);Zg(b);_g(b);$g(b);ah(b);bh(b);ch(b);dh(b);eh(b);fh(b);gh(b);hh(b);ih(b);jh(b);kh(b);lh(b);mh(b);nh(b);oh(b);ph(b);qh(b);rh(b);sh(b);th(b);uh(b);vh(b);wh(b);xh(b);yh(b);zh(b);Ah(b);Bh(b);Ch(b);Dh(b);Eh(b);Fh(b);Gh(b);Hh(b);Ih(b);Jh(b);Kh(b);Lh(b);Mh(b);Nh(b);Oh(b);Ph(b);Qh(b);Rh(b);Sh(b);Th(b);Uh(b);Vh(b);Wh(b);Xh(b);Yh(b);Zh(b);_h(b);$h(b);ai(b);bi(b);ci(b);di(b);ei(b);fi(b);gi(b);hi(b);ii(b);ji(b);ki(b);li(b);mi(b);ni(b);oi(b);pi(b);qi(b);ri(b);si(b);ti(b);ui(b);vi(b);wi(b);xi(b);yi(b);zi(b);Ai(b);Bi(b);Ci(b);Di(b);Ei(b);Fi(b);Gi(b);Hi(b);Ii(b);Ji(b);Ki(b);Li(b);Mi(b);Ni(b);Oi(b);Pi(b);Qi(b);Ri(b);Si(b);Ti(b);Ui(b);Vi(b);Wi(b);Xi(b);Yi(b);Zi(b);_i(b);$i(b);return 0}function bj(b){b=b|0;a[b+314|0]=0;cj(b);return 0}function cj(a){a=a|0;Re(a);Se(a);Te(a);Ue(a);Ve(a);We(a);Xe(a);Ye(a);Ze(a);$e(a);af(a);bf(a);df(a);ef(a);ff(a);gf(a);hf(a);jf(a);kf(a);lf(a);mf(a);nf(a);of(a);qf(a);sf(a);tf(a);uf(a);wf(a);xf(a);zf(a);Bf(a);Df(a);Ff(a);Hf(a);Qf(a);Rf(a);Sf(a);Tf(a);Uf(a);Vf(a);Wf(a);Xf(a);Yf(a);Zf(a);_f(a);$f(a);ag(a);hg(a);ig(a);jg(a);kg(a);lg(a);mg(a);ng(a);og(a);pg(a);qg(a);rg(a);sg(a);tg(a);ug(a);vg(a);wg(a);xg(a);yg(a);zg(a);Ag(a);Bg(a);Cg(a);Dg(a);Fg(a);Hg(a);Mg(a);Ng(a);Pg(a);Rg(a);Vg(a);Eh(a);Rh(a);Th(a);Uh(a);Zh(a);_h(a);$h(a);ai(a);bi(a);ci(a);ei(a);gi(a);li(a);mi(a);ni(a);qi(a);wi(a);xi(a);yi(a);Ai(a);Bi(a);return}function dj(a,b){a=a|0;b=+b;return 0}function ej(a){a=a|0;var b=0,d=0;b=i;_S(c[a+536>>2]|0,(a|0)!=0|0,9943448,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;c[a+540>>2]=9998488;c[a+84>>2]=9941456;c[a+88>>2]=9941456;c[a+92>>2]=9939760;c[a+96>>2]=9937752;c[a+100>>2]=8091504;c[a+60>>2]=56976;c[a+112>>2]=15;c[a+116>>2]=503;c[a+120>>2]=0;c[a+124>>2]=0;c[a+128>>2]=8;c[a+132>>2]=0;c[a+136>>2]=641;c[a+140>>2]=140;c[a+144>>2]=58;c[a+148>>2]=2;c[a+152>>2]=0;c[a+156>>2]=0;c[a+232>>2]=5;c[a+216>>2]=1615;c[a+220>>2]=0;c[a+224>>2]=16;c[a+228>>2]=0;c[a+160>>2]=16;c[a+104>>2]=0;c[a+164>>2]=16;c[a+168>>2]=0;c[a+176>>2]=12;c[a+180>>2]=0;c[a+184>>2]=12;c[a+188>>2]=0;c[a+56>>2]=55088;c[a+64>>2]=12;c[a+72>>2]=0;c[a+68>>2]=1801;c[a+192>>2]=0;c[a+196>>2]=13;c[a+172>>2]=0;Qla(a+200|0,0,16)|0;i=b;return}function fj(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=i;i=i+952|0;e=1;f=0;g=i;i=i+168|0;c[g>>2]=0;while(1)switch(e|0){case 1:h=d|0;j=d+544|0;k=d+632|0;l=d+792|0;Ia(12);if((x|0)!=0&(y|0)!=0){f=Sla(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;c[2170]=c[2164];c[2171]=c[2165];c[2172]=c[2166];c[2173]=c[2167];c[2174]=c[2168];c[2175]=c[2169];Ia(c[2170]|0);if((x|0)!=0&(y|0)!=0){f=Sla(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;m=j;Qla(m|0,0,88)|0;n=sa(200,c[2502310]|0)|0;if((x|0)!=0&(y|0)!=0){f=Sla(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;Ca(64,c[2502310]|0,m|0)|0;if((x|0)!=0&(y|0)!=0){f=Sla(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;c[j>>2]=k;o=Rla(k|0,e,g)|0;e=7;break;case 7:if((o|0)==0){e=2;break}else{e=5;break};case 2:p=j+4|0;q=c[p>>2]|0;c[p>>2]=l;r=Rla(l|0,e,g)|0;e=8;break;case 8:if((r|0)==0){e=3;break}else{e=4;break};case 3:pa(36,h|0);if((x|0)!=0&(y|0)!=0){f=Sla(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;c[h+536>>2]=j;k=ua(74,a|0,b|0,h|0)|0;if((x|0)!=0&(y|0)!=0){f=Sla(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;c[p>>2]=q;Ia(4);if((x|0)!=0&(y|0)!=0){f=Sla(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;Ca(64,c[2502310]|0,n|0)|0;if((x|0)!=0&(y|0)!=0){f=Sla(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;sa(110,0)|0;if((x|0)!=0&(y|0)!=0){f=Sla(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;sa(110,0)|0;if((x|0)!=0&(y|0)!=0){f=Sla(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;pa(154,k|0);if((x|0)!=0&(y|0)!=0){f=Sla(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;return 0;case 4:Ia(2);if((x|0)!=0&(y|0)!=0){f=Sla(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;Ga(36,52920,154,1,c[u>>2]|0)|0;if((x|0)!=0&(y|0)!=0){f=Sla(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;Ia(6);if((x|0)!=0&(y|0)!=0){f=Sla(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;sa(110,0)|0;if((x|0)!=0&(y|0)!=0){f=Sla(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;e=6;break;case 5:Ca(64,c[2502310]|0,n|0)|0;if((x|0)!=0&(y|0)!=0){f=Sla(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;Ia(2);if((x|0)!=0&(y|0)!=0){f=Sla(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;e=6;break;case 6:i=d;return 1;case-1:if((f|0)==1){o=y;e=7}else if((f|0)==2){r=y;e=8}x=y=0;break}return 0}function gj(){Ta(0)|0;Ya(50456,18,1,c[u>>2]|0)|0;Ta(0)|0;return}function hj(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0.0,A=0,B=0,C=0.0;e=i;i=i+208|0;f=e|0;g=e+16|0;j=e+32|0;k=e+48|0;l=e+64|0;m=e+80|0;n=e+96|0;o=e+112|0;p=e+128|0;q=e+144|0;r=e+160|0;s=e+176|0;t=e+192|0;u=f|0;aU(u,1,(v=i,i=i+8|0,c[v>>2]=d,v)|0);i=v;aU(g,1,(v=i,i=i+8|0,c[v>>2]=d,v)|0);i=v;if((ij(d)|0)==0){if((d|0)==2){w=jU(g,1,(v=i,i=i+8|0,c[v>>2]=1,v)|0)|0;i=v;h[w>>3]=0.0;w=jU(g,1,(v=i,i=i+8|0,c[v>>2]=2,v)|0)|0;i=v;h[w>>3]=1.570796326794897;cU(g,u);x=a;y=f;c[x>>2]=c[y>>2];c[x+4>>2]=c[y+4>>2];c[x+8>>2]=c[y+8>>2];i=e;return}else{z=+(d|0);w=~~+U(z*.5);hj(j,b,w);hT(k,1,1,w);A=jj(k)|0;B=mT(k)|0;dT(l,1,(v=i,i=i+24|0,c[v>>2]=A,c[v+8>>2]=B,c[v+16>>2]=65,v)|0);i=v;gU(j|0,g,l);hj(m,b,w);oU(n,3.141592653589793/z,1,(v=i,i=i+8|0,c[v>>2]=w,v)|0);i=v;nU(m|0,n,o);hT(p,w+1|0,1,d);w=jj(p)|0;n=mT(p)|0;dT(q,1,(v=i,i=i+24|0,c[v>>2]=w,c[v+8>>2]=n,c[v+16>>2]=65,v)|0);i=v;gU(o,g,q);cU(g,u);x=a;y=f;c[x>>2]=c[y>>2];c[x+4>>2]=c[y+4>>2];c[x+8>>2]=c[y+8>>2];i=e;return}}else{hT(s,1,1,d);$T(t,NS(s,1)|0);if((jj(s)|0)>=1){z=+(d|0);d=1;while(1){q=d+1|0;C=+((c[(lT(s,1,d)|0)>>2]<<1)-2|0)/z*3.141592653589793;h[(iU(t,1,d)|0)>>3]=C;if((q|0)>(jj(s)|0)){break}else{d=q}}}d=r;s=t;c[d>>2]=c[s>>2];c[d+4>>2]=c[s+4>>2];c[d+8>>2]=c[s+8>>2];eU(r,g);cU(g,u);x=a;y=f;c[x>>2]=c[y>>2];c[x+4>>2]=c[y+4>>2];c[x+8>>2]=c[y+8>>2];i=e;return}}function ij(a){a=a|0;return(a|0)%2|0|0}function jj(a){a=a|0;return NS(a,1)|0}function kj(a){a=a|0;var b=0;a=i;XS(4,0,33632,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;XS(4,0,9965320,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;i=a;return}function lj(a){a=a|0;var b=0;b=a+320|0;a=c[b>>2]|0;if((a|0)==0){return}mla(a);c[b>>2]=0;return}function mj(a){a=a|0;return}function nj(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=d+8|0;te[c[e>>2]&7](0,31,1.0,0,d);te[c[e>>2]&7](0,48,1.0,1,d);te[c[e>>2]&7](1,29,1.0,2,d);te[c[e>>2]&7](1,47,-1.0,3,d);te[c[e>>2]&7](1,48,1.0,4,d);te[c[e>>2]&7](2,2,1.0,5,d);te[c[e>>2]&7](2,46,-1.0,6,d);te[c[e>>2]&7](2,47,1.0,7,d);te[c[e>>2]&7](3,45,1.0,8,d);te[c[e>>2]&7](3,46,1.0,9,d);f=b+4|0;te[c[e>>2]&7](4,44,-0.0-((a[(c[(c[c[f>>2]>>2]|0)+16>>2]|0)+5|0]|0)!=0?1666666666666667.0e-20:1.0),10,d);te[c[e>>2]&7](4,45,1.0,11,d);te[c[e>>2]&7](5,43,1.0,12,d);te[c[e>>2]&7](5,44,-0.0-((a[(c[(c[c[f>>2]>>2]|0)+16>>2]|0)+5|0]|0)!=0?1.0:6000000000000001.0e-21),13,d);te[c[e>>2]&7](6,42,1.0,14,d);te[c[e>>2]&7](6,43,.5150362148004839,15,d);te[c[e>>2]&7](7,13,1.0,16,d);te[c[e>>2]&7](7,41,-1.0,17,d);te[c[e>>2]&7](7,42,-1.0,18,d);te[c[e>>2]&7](8,4,-1.0,19,d);te[c[e>>2]&7](8,40,-1.0,20,d);te[c[e>>2]&7](8,41,1.0,21,d);te[c[e>>2]&7](9,39,.515036214800484,22,d);te[c[e>>2]&7](9,40,1.0,23,d);te[c[e>>2]&7](10,38,-0.0-((a[(c[(c[c[f>>2]>>2]|0)+16>>2]|0)+6|0]|0)!=0?1.0:6000000000000001.0e-21),24,d);te[c[e>>2]&7](10,39,1.0,25,d);te[c[e>>2]&7](11,37,1.0,26,d);te[c[e>>2]&7](11,38,-0.0-((a[(c[(c[c[f>>2]>>2]|0)+16>>2]|0)+6|0]|0)!=0?1666666666666667.0e-20:1.0),27,d);te[c[e>>2]&7](12,36,1.0,28,d);te[c[e>>2]&7](12,37,1.0,29,d);te[c[e>>2]&7](13,12,1.0,30,d);te[c[e>>2]&7](13,35,1.0,31,d);te[c[e>>2]&7](13,36,-1.0,32,d);te[c[e>>2]&7](14,34,1.0,33,d);te[c[e>>2]&7](14,35,-1.0,34,d);te[c[e>>2]&7](14,48,1.0,35,d);te[c[e>>2]&7](15,27,1.0,36,d);te[c[e>>2]&7](15,33,1.0,37,d);te[c[e>>2]&7](15,34,-1.0,38,d);te[c[e>>2]&7](16,25,.587785252292473,39,d);te[c[e>>2]&7](16,32,-.8090169943749476,40,d);te[c[e>>2]&7](16,33,-1.0,41,d);te[c[e>>2]&7](17,27,1.0,42,d);te[c[e>>2]&7](17,31,-1.0,43,d);te[c[e>>2]&7](17,32,1.0,44,d);te[c[e>>2]&7](18,25,-.5877852522924732,45,d);te[c[e>>2]&7](18,30,-1.0,46,d);te[c[e>>2]&7](18,32,-.8090169943749473,47,d);te[c[e>>2]&7](19,27,1.0,48,d);te[c[e>>2]&7](19,29,-1.0,49,d);te[c[e>>2]&7](19,30,1.0,50,d);te[c[e>>2]&7](20,25,.9510565162951536,51,d);te[c[e>>2]&7](20,28,-1.0,52,d);te[c[e>>2]&7](20,32,.3090169943749472,53,d);te[c[e>>2]&7](21,6,-1.0,54,d);te[c[e>>2]&7](21,27,1.0,55,d);te[c[e>>2]&7](21,28,1.0,56,d);te[c[e>>2]&7](22,0,-1.0,57,d);te[c[e>>2]&7](22,26,1.0,58,d);te[c[e>>2]&7](22,27,1.0,59,d);te[c[e>>2]&7](23,25,-.9510565162951535,60,d);te[c[e>>2]&7](23,26,-1.0,61,d);te[c[e>>2]&7](23,32,.3090169943749475,62,d);te[c[e>>2]&7](24,24,1.0,63,d);te[c[e>>2]&7](24,39,.3741957135154556,64,d);te[c[e>>2]&7](25,5,-1.0,65,d);te[c[e>>2]&7](25,23,1.0,66,d);te[c[e>>2]&7](25,24,-1.0,67,d);te[c[e>>2]&7](26,1,-1.0,68,d);te[c[e>>2]&7](26,22,1.0,69,d);te[c[e>>2]&7](26,23,-1.0,70,d);te[c[e>>2]&7](27,21,-1.0,71,d);te[c[e>>2]&7](27,22,-1.0,72,d);te[c[e>>2]&7](28,15,-0.0- +h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+3008>>3],73,d);te[c[e>>2]&7](28,20,1.0,74,d);te[c[e>>2]&7](28,21,-0.0- +h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+3e3>>3],75,d);te[c[e>>2]&7](29,19,-162.5957704012199,76,d);te[c[e>>2]&7](29,20,1.570796326794897,77,d);te[c[e>>2]&7](30,18,-0.0- +h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+3008>>3],78,d);te[c[e>>2]&7](30,19,1.0,79,d);te[c[e>>2]&7](31,17,1.0,80,d);te[c[e>>2]&7](31,18,+h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+3e3>>3],81,d);te[c[e>>2]&7](32,16,1.570796326794897,82,d);te[c[e>>2]&7](32,17,-162.5957704012199,83,d);te[c[e>>2]&7](33,15,+h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+3e3>>3],84,d);te[c[e>>2]&7](33,16,1.0,85,d);te[c[e>>2]&7](33,21,-0.0- +h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+3008>>3],86,d);te[c[e>>2]&7](34,14,-1.0,87,d);te[c[e>>2]&7](34,15,-1.0,88,d);te[c[e>>2]&7](35,13,-1.0,89,d);te[c[e>>2]&7](35,14,1.0,90,d);te[c[e>>2]&7](36,12,1.0,91,d);g=b+416|0;te[c[e>>2]&7](36,39,-0.0- +h[(c[g>>2]|0)+1384>>3],92,d);te[c[e>>2]&7](37,11,1.0,93,d);te[c[e>>2]&7](37,39,1.0,94,d);te[c[e>>2]&7](37,43,1.0,95,d);te[c[e>>2]&7](38,10,-0.0-((a[(c[(c[c[f>>2]>>2]|0)+16>>2]|0)+7|0]|0)!=0?1.0:6000000000000001.0e-21),96,d);te[c[e>>2]&7](38,11,1.0,97,d);te[c[e>>2]&7](39,9,1.0,98,d);te[c[e>>2]&7](39,10,-0.0-((a[(c[(c[c[f>>2]>>2]|0)+16>>2]|0)+7|0]|0)!=0?1666666666666667.0e-20:1.0),99,d);te[c[e>>2]&7](40,8,1.0,100,d);te[c[e>>2]&7](40,9,1.0,101,d);te[c[e>>2]&7](41,3,1.0,102,d);te[c[e>>2]&7](41,7,1.0,103,d);te[c[e>>2]&7](41,8,-1.0,104,d);te[c[e>>2]&7](42,6,1.0,105,d);te[c[e>>2]&7](42,7,-1.0,106,d);te[c[e>>2]&7](42,48,1.0,107,d);te[c[e>>2]&7](43,5,1.0,108,d);te[c[e>>2]&7](43,11,.6054613829125257,109,d);te[c[e>>2]&7](44,4,1.0,110,d);te[c[e>>2]&7](44,11,-.1967263286166931,111,d);te[c[e>>2]&7](45,3,1.0,112,d);te[c[e>>2]&7](45,11,-0.0- +h[(c[g>>2]|0)+1416>>3],113,d);te[c[e>>2]&7](46,2,1.0,114,d);te[c[e>>2]&7](46,43,-0.0- +h[(c[g>>2]|0)+1352>>3],115,d);te[c[e>>2]&7](47,1,1.0,116,d);te[c[e>>2]&7](47,43,-.3741957135154557,117,d);te[c[e>>2]&7](48,0,1.0,118,d);te[c[e>>2]&7](48,48,1.0,119,d);return}function oj(a,b){a=a|0;b=b|0;var d=0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;a=c[b+36>>2]|0;h[a>>3]=+h[d+1504>>3];h[a+8>>3]=-0.0;h[a+16>>3]=-0.0;h[a+24>>3]=+h[d+2104>>3];h[a+32>>3]=-0.0;h[a+40>>3]=-0.0;h[a+48>>3]=-0.0;h[a+56>>3]=-0.0;h[a+64>>3]=-0.0;h[a+72>>3]=-0.0;h[a+80>>3]=-0.0;h[a+88>>3]=-0.0;h[a+96>>3]=+h[d+2112>>3];h[a+104>>3]=-0.0;h[a+112>>3]=-0.0;h[a+120>>3]=-0.0;h[a+128>>3]=0.0;h[a+136>>3]=-0.0;h[a+144>>3]=0.0;h[a+152>>3]=-0.0;h[a+160>>3]=0.0;h[a+168>>3]=-0.0;h[a+176>>3]=-0.0;h[a+184>>3]=0.0;h[a+192>>3]=-0.0;h[a+200>>3]=-0.0;h[a+208>>3]=-0.0;h[a+216>>3]=+h[d+1648>>3];h[a+224>>3]=-0.0;h[a+232>>3]=+h[d+3032>>3]*-1.570796326794897;b=d+72|0;h[a+240>>3]=+h[b>>3]*+h[d+3e3>>3];h[a+248>>3]=+h[b>>3]*+h[d+3008>>3];h[a+256>>3]=+h[d+3024>>3]*-1.570796326794897;h[a+264>>3]=-0.0;h[a+272>>3]=+h[d+1696>>3];h[a+280>>3]=+h[d+1656>>3];h[a+288>>3]=-0.0;h[a+296>>3]=-0.0- +h[d+1808>>3]- +h[d+1816>>3];h[a+304>>3]=-0.0;h[a+312>>3]=-0.0;h[a+320>>3]=+h[d+2120>>3];h[a+328>>3]=-0.0;h[a+336>>3]=-0.0;h[a+344>>3]=-0.0;h[a+352>>3]=-0.0;h[a+360>>3]=-0.0;h[a+368>>3]=-0.0;h[a+376>>3]=-0.0;h[a+384>>3]=+h[d+1496>>3];return}function pj(a,b){a=a|0;b=b|0;var d=0,e=0;d=b+8|0;te[c[d>>2]&7](0,0,1.0,0,b);e=a+416|0;te[c[d>>2]&7](0,1,+h[(c[e>>2]|0)+3568>>3],1,b);te[c[d>>2]&7](1,0,-1.0,2,b);te[c[d>>2]&7](1,1,+h[(c[e>>2]|0)+4144>>3],3,b);return}function qj(a,b){a=a|0;b=b|0;var d=0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;a=c[b+36>>2]|0;h[a>>3]=+h[d+3160>>3];h[a+8>>3]=+h[d+2968>>3];return}function rj(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=b+8|0;te[c[d>>2]&7](0,40,-1.0,0,b);te[c[d>>2]&7](0,45,1.0,1,b);te[c[d>>2]&7](1,44,-1.570796326794897,2,b);e=a+416|0;te[c[d>>2]&7](1,45,-0.0- +h[(c[e>>2]|0)+4048>>3],3,b);te[c[d>>2]&7](2,28,1.0,4,b);f=a+4|0;te[c[d>>2]&7](2,43,+h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+3e3>>3],5,b);te[c[d>>2]&7](2,44,-0.0- +h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+3008>>3],6,b);te[c[d>>2]&7](3,42,-0.0- +h[(c[e>>2]|0)+4040>>3],7,b);te[c[d>>2]&7](3,43,-1.570796326794897,8,b);te[c[d>>2]&7](4,41,-1.0,9,b);te[c[d>>2]&7](4,42,1.0,10,b);te[c[d>>2]&7](5,14,1.0,11,b);te[c[d>>2]&7](5,40,-0.0- +h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+3008>>3],12,b);te[c[d>>2]&7](5,41,+h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+3e3>>3],13,b);te[c[d>>2]&7](6,39,-1.0,14,b);te[c[d>>2]&7](6,40,-0.0- +h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+3e3>>3],15,b);te[c[d>>2]&7](6,41,-0.0- +h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+3008>>3],16,b);te[c[d>>2]&7](7,14,-.9510565162951535,17,b);te[c[d>>2]&7](7,38,-1.0,18,b);te[c[d>>2]&7](7,39,.3090169943749475,19,b);te[c[d>>2]&7](8,17,1.0,20,b);te[c[d>>2]&7](8,37,1.0,21,b);te[c[d>>2]&7](8,38,-1.0,22,b);te[c[d>>2]&7](9,36,1.0,23,b);te[c[d>>2]&7](9,37,-1.0,24,b);te[c[d>>2]&7](10,35,-1.0,25,b);te[c[d>>2]&7](10,36,1.0,26,b);te[c[d>>2]&7](11,13,-1.0,27,b);te[c[d>>2]&7](11,34,1.0,28,b);te[c[d>>2]&7](11,35,1.0,29,b);te[c[d>>2]&7](12,33,+h[(c[e>>2]|0)+1736>>3],30,b);te[c[d>>2]&7](12,34,-1.0,31,b);te[c[d>>2]&7](13,32,1.0,32,b);te[c[d>>2]&7](13,33,.3741957135154557,33,b);te[c[d>>2]&7](14,20,-1.0,34,b);te[c[d>>2]&7](14,31,-1.0,35,b);te[c[d>>2]&7](14,32,-1.0,36,b);te[c[d>>2]&7](15,9,-1.0,37,b);te[c[d>>2]&7](15,30,-1.0,38,b);te[c[d>>2]&7](15,31,1.0,39,b);te[c[d>>2]&7](16,22,-1.0,40,b);te[c[d>>2]&7](16,29,-1.0,41,b);te[c[d>>2]&7](16,30,1.0,42,b);te[c[d>>2]&7](17,14,-162.5957704012199,43,b);te[c[d>>2]&7](17,28,1.570796326794897,44,b);te[c[d>>2]&7](17,29,1.570796326794897,45,b);te[c[d>>2]&7](18,27,1.0,46,b);te[c[d>>2]&7](18,33,-.5150362148004839,47,b);te[c[d>>2]&7](19,18,1.0,48,b);te[c[d>>2]&7](19,26,-1.0,49,b);te[c[d>>2]&7](19,27,-1.0,50,b);te[c[d>>2]&7](20,8,-1.0,51,b);te[c[d>>2]&7](20,25,-1.0,52,b);te[c[d>>2]&7](20,26,1.0,53,b);te[c[d>>2]&7](21,1,-1.0,54,b);te[c[d>>2]&7](21,24,-1.0,55,b);te[c[d>>2]&7](21,25,1.0,56,b);te[c[d>>2]&7](22,23,.1967263286166931,57,b);te[c[d>>2]&7](22,24,1.0,58,b);te[c[d>>2]&7](23,22,1.0,59,b);te[c[d>>2]&7](23,23,-.6054613829125257,60,b);te[c[d>>2]&7](24,3,1.0,61,b);te[c[d>>2]&7](24,10,1.0,62,b);te[c[d>>2]&7](24,21,1.0,63,b);te[c[d>>2]&7](24,23,1.0,64,b);te[c[d>>2]&7](24,33,1.0,65,b);te[c[d>>2]&7](25,20,1.0,66,b);te[c[d>>2]&7](25,21,.6054613829125256,67,b);te[c[d>>2]&7](26,19,1.0,68,b);te[c[d>>2]&7](26,21,.1967263286166932,69,b);te[c[d>>2]&7](27,2,-1.0,70,b);te[c[d>>2]&7](27,18,-1.0,71,b);te[c[d>>2]&7](27,19,-1.0,72,b);te[c[d>>2]&7](28,17,-1.0,73,b);te[c[d>>2]&7](28,21,+h[(c[e>>2]|0)+1728>>3],74,b);te[c[d>>2]&7](29,16,-1.0,75,b);te[c[d>>2]&7](29,23,+h[(c[e>>2]|0)+1752>>3],76,b);te[c[d>>2]&7](30,6,1.0,77,b);te[c[d>>2]&7](30,15,-1.0,78,b);te[c[d>>2]&7](30,16,1.0,79,b);te[c[d>>2]&7](31,14,.9510565162951536,80,b);te[c[d>>2]&7](31,15,-1.0,81,b);te[c[d>>2]&7](31,39,.3090169943749472,82,b);te[c[d>>2]&7](32,13,-1.0,83,b);te[c[d>>2]&7](32,14,-.5877852522924732,84,b);te[c[d>>2]&7](32,39,-.8090169943749473,85,b);te[c[d>>2]&7](33,12,-1.0,86,b);te[c[d>>2]&7](33,14,.587785252292473,87,b);te[c[d>>2]&7](33,39,-.8090169943749476,88,b);te[c[d>>2]&7](34,7,1.0,89,b);te[c[d>>2]&7](34,11,1.0,90,b);te[c[d>>2]&7](34,12,-1.0,91,b);te[c[d>>2]&7](35,10,+h[(c[e>>2]|0)+1744>>3],92,b);te[c[d>>2]&7](35,11,-1.0,93,b);te[c[d>>2]&7](36,9,1.0,94,b);te[c[d>>2]&7](36,10,-.3741957135154556,95,b);te[c[d>>2]&7](37,8,1.0,96,b);te[c[d>>2]&7](37,10,-.515036214800484,97,b);te[c[d>>2]&7](38,7,-1.0,98,b);te[c[d>>2]&7](38,36,1.0,99,b);te[c[d>>2]&7](39,6,-1.0,100,b);te[c[d>>2]&7](39,36,1.0,101,b);te[c[d>>2]&7](40,5,-1.0,102,b);te[c[d>>2]&7](40,36,1.0,103,b);te[c[d>>2]&7](41,4,1.0,104,b);te[c[d>>2]&7](41,5,1.0,105,b);te[c[d>>2]&7](41,39,-1.0,106,b);te[c[d>>2]&7](42,3,+h[(c[e>>2]|0)+1720>>3],107,b);te[c[d>>2]&7](42,4,-1.0,108,b);te[c[d>>2]&7](43,2,1.0,109,b);te[c[d>>2]&7](43,3,.6366197723675814,110,b);te[c[d>>2]&7](44,0,1.570796326794897,111,b);te[c[d>>2]&7](44,1,1.570796326794897,112,b);te[c[d>>2]&7](44,39,162.5957704012199,113,b);te[c[d>>2]&7](45,0,1.0,114,b);te[c[d>>2]&7](45,43,-0.0- +h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+3008>>3],115,b);te[c[d>>2]&7](45,44,-0.0- +h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+3e3>>3],116,b);return}function sj(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;a=c[b+36>>2]|0;h[a>>3]=-0.0- +h[d+2128>>3];h[a+8>>3]=-0.0;b=d+3064|0;e=d+3272|0;f=d+3056|0;g=d+3264|0;h[a+16>>3]=+h[e>>3]*(-0.0- +h[b>>3])+ +h[f>>3]*+h[g>>3];h[a+24>>3]=-0.0;h[a+32>>3]=+h[d+1704>>3];i=d+80|0;j=d+72|0;h[a+40>>3]=+h[e>>3]*(-0.0- +h[i>>3])+ +h[j>>3]*+h[g>>3];h[a+48>>3]=+h[i>>3]*+h[g>>3]+ +h[j>>3]*+h[e>>3];h[a+56>>3]=0.0;h[a+64>>3]=-0.0;h[a+72>>3]=-0.0- +h[d+1e3>>3];h[a+80>>3]=-0.0- +h[d+984>>3];h[a+88>>3]=-0.0;h[a+96>>3]=-0.0;h[a+104>>3]=-0.0;h[a+112>>3]=0.0;h[a+120>>3]=-0.0;h[a+128>>3]=-0.0;h[a+136>>3]=-0.0;h[a+144>>3]=-0.0;h[a+152>>3]=-0.0;h[a+160>>3]=-0.0;h[a+168>>3]=-0.0;h[a+176>>3]=-0.0;h[a+184>>3]=-0.0;h[a+192>>3]=-0.0;h[a+200>>3]=-0.0;h[a+208>>3]=-0.0;h[a+216>>3]=0.0;h[a+224>>3]=-0.0;h[a+232>>3]=-0.0;h[a+240>>3]=-0.0;Qla(a+248|0,0,24)|0;h[a+272>>3]=-0.0;h[a+280>>3]=-0.0;h[a+288>>3]=-0.0;h[a+296>>3]=-0.0;h[a+304>>3]=-0.0- +h[d+968>>3];h[a+312>>3]=-0.0- +h[d+952>>3];h[a+320>>3]=-0.0- +h[d+1016>>3];h[a+328>>3]=-0.0;h[a+336>>3]=-0.0;h[a+344>>3]=-0.0;h[a+352>>3]=-0.0;h[a+360>>3]=+h[b>>3]*+h[g>>3]+ +h[f>>3]*+h[e>>3];return}function tj(a,b){a=a|0;b=b|0;var d=0,e=0;d=b+8|0;e=a+4|0;te[c[d>>2]&7](0,0,-0.0- +h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2696>>3],0,b);te[c[d>>2]&7](0,1,-0.0- +h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2688>>3],1,b);te[c[d>>2]&7](1,0,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2688>>3],2,b);te[c[d>>2]&7](1,1,-0.0- +h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2696>>3],3,b);return}function uj(a,b){a=a|0;b=b|0;var d=0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;a=c[b+36>>2]|0;h[a>>3]=-0.0- +h[d+432>>3];h[a+8>>3]=-0.0- +h[d+400>>3];return}function vj(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=b+8|0;e=a+4|0;te[c[d>>2]&7](0,43,-0.0- +h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2696>>3],0,b);te[c[d>>2]&7](0,44,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2688>>3],1,b);te[c[d>>2]&7](0,48,1.0,2,b);te[c[d>>2]&7](1,24,1.570796326794897,3,b);te[c[d>>2]&7](1,47,1.570796326794897,4,b);te[c[d>>2]&7](1,48,-162.5957704012199,5,b);te[c[d>>2]&7](2,41,-0.0- +h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2696>>3],6,b);te[c[d>>2]&7](2,46,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2688>>3],7,b);te[c[d>>2]&7](2,47,1.0,8,b);f=a+416|0;te[c[d>>2]&7](3,45,-0.0- +h[(c[f>>2]|0)+4992>>3],9,b);te[c[d>>2]&7](3,46,-1.570796326794897,10,b);te[c[d>>2]&7](4,10,-1.0,11,b);te[c[d>>2]&7](4,44,-1.0,12,b);te[c[d>>2]&7](4,45,1.0,13,b);te[c[d>>2]&7](5,30,-1.0,14,b);te[c[d>>2]&7](5,43,-0.0- +h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2688>>3],15,b);te[c[d>>2]&7](5,44,-0.0- +h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2696>>3],16,b);te[c[d>>2]&7](6,11,1.0,17,b);te[c[d>>2]&7](6,42,1.0,18,b);te[c[d>>2]&7](6,43,-1.0,19,b);te[c[d>>2]&7](7,41,-1.570796326794897,20,b);te[c[d>>2]&7](7,42,-0.0- +h[(c[f>>2]|0)+5e3>>3],21,b);te[c[d>>2]&7](8,40,1.0,22,b);te[c[d>>2]&7](8,41,-0.0- +h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2688>>3],23,b);te[c[d>>2]&7](8,46,-0.0- +h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2696>>3],24,b);te[c[d>>2]&7](9,30,162.5957704012199,25,b);te[c[d>>2]&7](9,39,1.570796326794897,26,b);te[c[d>>2]&7](9,40,1.570796326794897,27,b);te[c[d>>2]&7](10,22,-1.0,28,b);te[c[d>>2]&7](10,38,1.0,29,b);te[c[d>>2]&7](10,39,-1.0,30,b);te[c[d>>2]&7](11,21,-1.0,31,b);te[c[d>>2]&7](11,37,-1.0,32,b);te[c[d>>2]&7](11,38,-1.0,33,b);te[c[d>>2]&7](12,36,.6366197723675814,34,b);te[c[d>>2]&7](12,37,1.0,35,b);te[c[d>>2]&7](13,35,-1.0,36,b);te[c[d>>2]&7](13,36,+h[(c[f>>2]|0)+3208>>3],37,b);te[c[d>>2]&7](14,30,-1.0,38,b);te[c[d>>2]&7](14,34,1.0,39,b);te[c[d>>2]&7](14,35,1.0,40,b);te[c[d>>2]&7](15,33,1.0,41,b);te[c[d>>2]&7](15,34,-1.0,42,b);te[c[d>>2]&7](16,32,-1.0,43,b);te[c[d>>2]&7](16,33,1.0,44,b);te[c[d>>2]&7](17,23,1.0,45,b);te[c[d>>2]&7](17,31,-1.0,46,b);te[c[d>>2]&7](17,32,1.0,47,b);te[c[d>>2]&7](18,30,-.5000000000000004,48,b);te[c[d>>2]&7](18,31,-1.0,49,b);te[c[d>>2]&7](18,48,.8660254037844384,50,b);te[c[d>>2]&7](19,29,-1.0,51,b);te[c[d>>2]&7](19,30,-.4999999999999998,52,b);te[c[d>>2]&7](19,48,-.8660254037844387,53,b);te[c[d>>2]&7](20,19,1.0,54,b);te[c[d>>2]&7](20,28,1.0,55,b);te[c[d>>2]&7](20,29,-1.0,56,b);te[c[d>>2]&7](21,27,+h[(c[f>>2]|0)+3216>>3],57,b);te[c[d>>2]&7](21,28,-1.0,58,b);te[c[d>>2]&7](22,26,1.0,59,b);te[c[d>>2]&7](22,27,1.0,60,b);te[c[d>>2]&7](22,36,1.0,61,b);te[c[d>>2]&7](23,25,1.0,62,b);te[c[d>>2]&7](23,26,-.5513288954217919,63,b);te[c[d>>2]&7](24,20,-1.0,64,b);te[c[d>>2]&7](24,24,-1.0,65,b);te[c[d>>2]&7](24,25,-1.0,66,b);te[c[d>>2]&7](25,23,-1.0,67,b);te[c[d>>2]&7](25,26,+h[(c[f>>2]|0)+3224>>3],68,b);te[c[d>>2]&7](26,22,1.0,69,b);te[c[d>>2]&7](26,26,-.318309886183791,70,b);te[c[d>>2]&7](27,21,1.0,71,b);te[c[d>>2]&7](27,27,-.3183098861837905,72,b);te[c[d>>2]&7](28,20,1.0,73,b);te[c[d>>2]&7](28,27,.5513288954217921,74,b);te[c[d>>2]&7](29,19,-1.0,75,b);te[c[d>>2]&7](29,33,1.0,76,b);te[c[d>>2]&7](30,3,-1.0,77,b);te[c[d>>2]&7](30,18,-1.0,78,b);te[c[d>>2]&7](30,41,-1.0,79,b);te[c[d>>2]&7](31,17,-.5513288954217921,80,b);te[c[d>>2]&7](31,18,1.0,81,b);te[c[d>>2]&7](32,2,-1.0,82,b);te[c[d>>2]&7](32,4,-1.0,83,b);te[c[d>>2]&7](32,16,3.0,84,b);te[c[d>>2]&7](32,17,-1.0,85,b);te[c[d>>2]&7](33,15,1.0,86,b);te[c[d>>2]&7](33,16,-0.0- +h[(c[f>>2]|0)+4968>>3],87,b);te[c[d>>2]&7](34,14,1.0,88,b);te[c[d>>2]&7](34,15,1.0,89,b);te[c[d>>2]&7](35,10,1.0,90,b);te[c[d>>2]&7](35,13,1.0,91,b);te[c[d>>2]&7](35,14,-1.0,92,b);te[c[d>>2]&7](36,8,-1.0,93,b);te[c[d>>2]&7](36,12,1.0,94,b);te[c[d>>2]&7](36,13,1.0,95,b);te[c[d>>2]&7](37,10,-.4999999999999998,96,b);te[c[d>>2]&7](37,11,-.8660254037844387,97,b);te[c[d>>2]&7](37,12,-1.0,98,b);te[c[d>>2]&7](38,9,-1.0,99,b);te[c[d>>2]&7](38,10,-.5000000000000004,100,b);te[c[d>>2]&7](38,11,.8660254037844384,101,b);te[c[d>>2]&7](39,7,-1.0,102,b);te[c[d>>2]&7](39,9,1.0,103,b);te[c[d>>2]&7](39,13,1.0,104,b);te[c[d>>2]&7](40,8,1.0,105,b);te[c[d>>2]&7](40,15,1.0,106,b);te[c[d>>2]&7](41,7,1.0,107,b);te[c[d>>2]&7](41,15,1.0,108,b);te[c[d>>2]&7](42,6,1.0,109,b);te[c[d>>2]&7](42,17,.3183098861837905,110,b);te[c[d>>2]&7](43,0,1.0,111,b);te[c[d>>2]&7](43,5,-1.0,112,b);te[c[d>>2]&7](43,6,-1.0,113,b);te[c[d>>2]&7](44,4,.318309886183791,114,b);te[c[d>>2]&7](44,5,1.0,115,b);te[c[d>>2]&7](45,3,1.0,116,b);te[c[d>>2]&7](45,4,.5513288954217919,117,b);te[c[d>>2]&7](46,2,1.0,118,b);te[c[d>>2]&7](46,4,1.0,119,b);te[c[d>>2]&7](46,17,1.0,120,b);te[c[d>>2]&7](47,1,1.0,121,b);te[c[d>>2]&7](47,2,-.6366197723675814,122,b);te[c[d>>2]&7](48,0,-1.0,123,b);te[c[d>>2]&7](48,1,-1.0,124,b);te[c[d>>2]&7](48,46,-1.0,125,b);return}function wj(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;a=d+48|0;e=d+3296|0;f=d+40|0;g=d+3288|0;i=c[b+36>>2]|0;h[i>>3]=+h[e>>3]*(-0.0- +h[a>>3])+ +h[f>>3]*+h[g>>3];h[i+8>>3]=-0.0;b=d+2752|0;j=d+2744|0;h[i+16>>3]=+h[e>>3]*(-0.0- +h[b>>3])+ +h[j>>3]*+h[g>>3];h[i+24>>3]=-0.0;h[i+32>>3]=0.0;h[i+40>>3]=+h[a>>3]*+h[g>>3]+ +h[f>>3]*+h[e>>3];h[i+48>>3]=-0.0;h[i+56>>3]=-0.0;h[i+64>>3]=+h[b>>3]*+h[g>>3]+ +h[j>>3]*+h[e>>3];h[i+72>>3]=-0.0;h[i+80>>3]=-0.0;h[i+88>>3]=0.0;h[i+96>>3]=-0.0;h[i+104>>3]=-0.0;h[i+112>>3]=-0.0;h[i+120>>3]=-0.0- +h[d+280>>3];h[i+128>>3]=-0.0- +h[d+248>>3];h[i+136>>3]=-0.0;Qla(i+144|0,0,16)|0;h[i+160>>3]=-0.0;h[i+168>>3]=-0.0;h[i+176>>3]=-0.0;h[i+184>>3]=-0.0;h[i+192>>3]=0.0;h[i+200>>3]=-0.0;h[i+208>>3]=-0.0;h[i+216>>3]=-0.0;h[i+224>>3]=-0.0;h[i+232>>3]=-0.0- +h[d+264>>3];h[i+240>>3]=0.0;h[i+248>>3]=-0.0;h[i+256>>3]=-0.0;h[i+264>>3]=-0.0;h[i+272>>3]=+h[d+560>>3];h[i+280>>3]=-0.0;h[i+288>>3]=-0.0;Qla(i+296|0,0,16)|0;h[i+312>>3]=-0.0;h[i+320>>3]=+h[d+552>>3];h[i+328>>3]=+h[d+544>>3];h[i+336>>3]=-0.0;h[i+344>>3]=-0.0;h[i+352>>3]=-0.0;h[i+360>>3]=-0.0;h[i+368>>3]=-0.0;h[i+376>>3]=-0.0;h[i+384>>3]=0.0;return}function xj(a,b){a=a|0;b=b|0;var d=0,e=0;d=b+8|0;te[c[d>>2]&7](0,0,1.0,0,b);e=a+416|0;te[c[d>>2]&7](0,1,+h[(c[e>>2]|0)+4520>>3],1,b);te[c[d>>2]&7](1,0,-1.0,2,b);te[c[d>>2]&7](1,1,+h[(c[e>>2]|0)+5096>>3],3,b);return}function yj(a,b){a=a|0;b=b|0;var d=0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;a=c[b+36>>2]|0;h[a>>3]=+h[d+2872>>3];h[a+8>>3]=+h[d+2656>>3];return}function zj(a,b){a=a|0;b=b|0;a=b+8|0;te[c[a>>2]&7](0,2,-1.0,0,b);te[c[a>>2]&7](0,8,-1.0,1,b);te[c[a>>2]&7](1,7,-.3741957135154557,2,b);te[c[a>>2]&7](1,8,1.0,3,b);te[c[a>>2]&7](2,3,-1.0,4,b);te[c[a>>2]&7](2,6,-1.0,5,b);te[c[a>>2]&7](2,7,-1.0,6,b);te[c[a>>2]&7](3,5,1.0,7,b);te[c[a>>2]&7](3,6,-.6366197723675814,8,b);te[c[a>>2]&7](4,0,-1.0,9,b);te[c[a>>2]&7](4,4,-1.0,10,b);te[c[a>>2]&7](4,5,-1.0,11,b);te[c[a>>2]&7](5,3,-.1967263286166932,12,b);te[c[a>>2]&7](5,4,1.0,13,b);te[c[a>>2]&7](6,2,1.0,14,b);te[c[a>>2]&7](6,3,-.6054613829125256,15,b);te[c[a>>2]&7](7,1,1.0,16,b);te[c[a>>2]&7](7,7,.5150362148004839,17,b);te[c[a>>2]&7](8,0,1.0,18,b);te[c[a>>2]&7](8,1,-1.0,19,b);return}function Aj(a,b){a=a|0;b=b|0;var d=0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;a=c[b+36>>2]|0;h[a>>3]=+h[d+1248>>3];h[a+8>>3]=-0.0;h[a+16>>3]=-0.0- +h[d+24>>3]- +h[d+16>>3];h[a+24>>3]=-0.0;h[a+32>>3]=0.0;h[a+40>>3]=-0.0;h[a+48>>3]=-0.0;h[a+56>>3]=-0.0;h[a+64>>3]=+h[d+1256>>3];return}function Bj(a,b){a=a|0;b=b|0;var d=0,e=0;d=b+8|0;te[c[d>>2]&7](0,0,1.0,0,b);e=a+416|0;te[c[d>>2]&7](0,1,+h[(c[e>>2]|0)+3568>>3],1,b);te[c[d>>2]&7](1,0,-1.0,2,b);te[c[d>>2]&7](1,1,+h[(c[e>>2]|0)+4144>>3],3,b);return}function Cj(a,b){a=a|0;b=b|0;var d=0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;a=c[b+36>>2]|0;h[a>>3]=+h[d+3160>>3];h[a+8>>3]=+h[d+2968>>3];return}function Dj(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=d+8|0;te[c[e>>2]&7](0,50,-1.0,0,d);te[c[e>>2]&7](0,56,-1.0,1,d);te[c[e>>2]&7](1,55,-.6366197723675814,2,d);te[c[e>>2]&7](1,56,1.0,3,d);te[c[e>>2]&7](2,27,1.0,4,d);te[c[e>>2]&7](2,31,1.0,5,d);te[c[e>>2]&7](2,35,1.0,6,d);te[c[e>>2]&7](2,54,1.0,7,d);te[c[e>>2]&7](2,55,1.0,8,d);te[c[e>>2]&7](3,53,1.0,9,d);te[c[e>>2]&7](3,54,.515036214800484,10,d);te[c[e>>2]&7](4,22,-1.0,11,d);te[c[e>>2]&7](4,52,1.0,12,d);te[c[e>>2]&7](4,53,-1.0,13,d);te[c[e>>2]&7](5,11,-1.0,14,d);te[c[e>>2]&7](5,51,1.0,15,d);te[c[e>>2]&7](5,52,-1.0,16,d);te[c[e>>2]&7](6,16,-1.0,17,d);te[c[e>>2]&7](6,50,1.0,18,d);te[c[e>>2]&7](6,51,-1.0,19,d);te[c[e>>2]&7](7,49,1.0,20,d);f=b+416|0;te[c[e>>2]&7](7,54,-0.0- +h[(c[f>>2]|0)+1384>>3],21,d);te[c[e>>2]&7](8,5,-1.0,22,d);te[c[e>>2]&7](8,48,1.0,23,d);te[c[e>>2]&7](8,49,1.0,24,d);te[c[e>>2]&7](9,9,1.0,25,d);te[c[e>>2]&7](9,47,1.0,26,d);te[c[e>>2]&7](9,48,-1.0,27,d);te[c[e>>2]&7](10,42,1.0,28,d);te[c[e>>2]&7](10,46,1.0,29,d);te[c[e>>2]&7](10,47,-1.0,30,d);te[c[e>>2]&7](11,28,-1.0,31,d);te[c[e>>2]&7](11,45,1.0,32,d);te[c[e>>2]&7](11,46,1.0,33,d);te[c[e>>2]&7](12,43,.3090169943749475,34,d);te[c[e>>2]&7](12,44,-.9510565162951535,35,d);te[c[e>>2]&7](12,45,-1.0,36,d);te[c[e>>2]&7](13,23,-1.0,37,d);te[c[e>>2]&7](13,43,.3090169943749472,38,d);te[c[e>>2]&7](13,44,.9510565162951536,39,d);te[c[e>>2]&7](14,42,-1.0,40,d);te[c[e>>2]&7](14,43,-.8090169943749476,41,d);te[c[e>>2]&7](14,44,.587785252292473,42,d);te[c[e>>2]&7](15,41,-1.0,43,d);te[c[e>>2]&7](15,43,-.8090169943749473,44,d);te[c[e>>2]&7](15,44,-.5877852522924732,45,d);te[c[e>>2]&7](16,40,-1.0,46,d);te[c[e>>2]&7](16,41,1.0,47,d);te[c[e>>2]&7](16,46,1.0,48,d);te[c[e>>2]&7](17,9,1.0,49,d);te[c[e>>2]&7](17,39,-1.0,50,d);te[c[e>>2]&7](17,40,1.0,51,d);te[c[e>>2]&7](18,12,1.0,52,d);te[c[e>>2]&7](18,38,-1.0,53,d);te[c[e>>2]&7](18,39,1.0,54,d);te[c[e>>2]&7](19,37,1.0,55,d);te[c[e>>2]&7](19,38,1.0,56,d);g=b+4|0;te[c[e>>2]&7](20,36,-0.0-((a[(c[(c[c[g>>2]>>2]|0)+16>>2]|0)+5|0]|0)!=0?1666666666666667.0e-20:1.0),57,d);te[c[e>>2]&7](20,37,1.0,58,d);te[c[e>>2]&7](21,35,1.0,59,d);te[c[e>>2]&7](21,36,-0.0-((a[(c[(c[c[g>>2]>>2]|0)+16>>2]|0)+5|0]|0)!=0?1.0:6000000000000001.0e-21),60,d);te[c[e>>2]&7](22,34,1.0,61,d);te[c[e>>2]&7](22,35,-.3741957135154557,62,d);te[c[e>>2]&7](23,20,-1.0,63,d);te[c[e>>2]&7](23,33,1.0,64,d);te[c[e>>2]&7](23,34,-1.0,65,d);te[c[e>>2]&7](24,32,-1.0,66,d);te[c[e>>2]&7](24,33,-1.0,67,d);te[c[e>>2]&7](25,31,-.6054613829125256,68,d);te[c[e>>2]&7](25,32,1.0,69,d);te[c[e>>2]&7](26,30,1.0,70,d);te[c[e>>2]&7](26,31,-0.0- +h[(c[f>>2]|0)+1320>>3],71,d);te[c[e>>2]&7](27,13,-1.0,72,d);te[c[e>>2]&7](27,29,1.0,73,d);te[c[e>>2]&7](27,30,1.0,74,d);te[c[e>>2]&7](28,9,1.0,75,d);te[c[e>>2]&7](28,28,1.0,76,d);te[c[e>>2]&7](28,29,-1.0,77,d);te[c[e>>2]&7](29,27,-1.0,78,d);te[c[e>>2]&7](29,31,-1.0,79,d);te[c[e>>2]&7](29,35,-1.0,80,d);te[c[e>>2]&7](29,54,-1.0,81,d);te[c[e>>2]&7](29,55,-1.0,82,d);te[c[e>>2]&7](30,26,1.0,83,d);te[c[e>>2]&7](30,27,-0.0- +h[(c[f>>2]|0)+1416>>3],84,d);te[c[e>>2]&7](31,17,-1.0,85,d);te[c[e>>2]&7](31,25,1.0,86,d);te[c[e>>2]&7](31,26,1.0,87,d);te[c[e>>2]&7](32,9,1.0,88,d);te[c[e>>2]&7](32,24,1.0,89,d);te[c[e>>2]&7](32,25,-1.0,90,d);te[c[e>>2]&7](33,23,1.0,91,d);te[c[e>>2]&7](33,24,-1.0,92,d);te[c[e>>2]&7](33,46,1.0,93,d);te[c[e>>2]&7](34,22,1.0,94,d);te[c[e>>2]&7](34,27,-.1967263286166931,95,d);te[c[e>>2]&7](35,21,1.0,96,d);te[c[e>>2]&7](35,27,.6054613829125257,97,d);te[c[e>>2]&7](36,8,-1.0,98,d);te[c[e>>2]&7](36,20,1.0,99,d);te[c[e>>2]&7](36,21,-1.0,100,d);te[c[e>>2]&7](37,19,-0.0-((a[(c[(c[c[g>>2]>>2]|0)+16>>2]|0)+7|0]|0)!=0?1.0:6000000000000001.0e-21),101,d);te[c[e>>2]&7](37,27,1.0,102,d);te[c[e>>2]&7](38,18,1.0,103,d);te[c[e>>2]&7](38,19,-0.0-((a[(c[(c[c[g>>2]>>2]|0)+16>>2]|0)+7|0]|0)!=0?1666666666666667.0e-20:1.0),104,d);te[c[e>>2]&7](39,17,1.0,105,d);te[c[e>>2]&7](39,18,1.0,106,d);te[c[e>>2]&7](40,16,1.0,107,d);te[c[e>>2]&7](40,31,-.1967263286166932,108,d);te[c[e>>2]&7](41,15,-0.0-((a[(c[(c[c[g>>2]>>2]|0)+16>>2]|0)+4|0]|0)!=0?1.0:6000000000000001.0e-21),109,d);te[c[e>>2]&7](41,31,1.0,110,d);te[c[e>>2]&7](42,14,1.0,111,d);te[c[e>>2]&7](42,15,-0.0-((a[(c[(c[c[g>>2]>>2]|0)+16>>2]|0)+4|0]|0)!=0?1666666666666667.0e-20:1.0),112,d);te[c[e>>2]&7](43,13,1.0,113,d);te[c[e>>2]&7](43,14,1.0,114,d);te[c[e>>2]&7](44,12,1.0,115,d);te[c[e>>2]&7](44,35,-0.0- +h[(c[f>>2]|0)+1352>>3],116,d);te[c[e>>2]&7](45,11,1.0,117,d);te[c[e>>2]&7](45,35,.5150362148004839,118,d);te[c[e>>2]&7](46,10,-1.0,119,d);te[c[e>>2]&7](46,43,1.0,120,d);te[c[e>>2]&7](46,46,1.0,121,d);te[c[e>>2]&7](47,3,-1.0,122,d);te[c[e>>2]&7](47,9,1.0,123,d);te[c[e>>2]&7](47,10,1.0,124,d);te[c[e>>2]&7](48,8,1.0,125,d);te[c[e>>2]&7](48,54,.3741957135154556,126,d);te[c[e>>2]&7](49,7,-0.0-((a[(c[(c[c[g>>2]>>2]|0)+16>>2]|0)+6|0]|0)!=0?1.0:6000000000000001.0e-21),127,d);te[c[e>>2]&7](49,54,1.0,128,d);te[c[e>>2]&7](50,6,1.0,129,d);te[c[e>>2]&7](50,7,-0.0-((a[(c[(c[c[g>>2]>>2]|0)+16>>2]|0)+6|0]|0)!=0?1666666666666667.0e-20:1.0),130,d);te[c[e>>2]&7](51,5,1.0,131,d);te[c[e>>2]&7](51,6,1.0,132,d);te[c[e>>2]&7](52,4,1.0,133,d);te[c[e>>2]&7](52,55,-0.0- +h[(c[f>>2]|0)+1288>>3],134,d);te[c[e>>2]&7](53,0,-1.0,135,d);te[c[e>>2]&7](53,3,1.0,136,d);te[c[e>>2]&7](53,4,1.0,137,d);te[c[e>>2]&7](54,2,-0.0-((a[(c[(c[c[g>>2]>>2]|0)+16>>2]|0)+3|0]|0)!=0?1.0:6000000000000001.0e-21),138,d);te[c[e>>2]&7](54,55,1.0,139,d);te[c[e>>2]&7](55,1,1.0,140,d);te[c[e>>2]&7](55,2,-0.0-((a[(c[(c[c[g>>2]>>2]|0)+16>>2]|0)+3|0]|0)!=0?1666666666666667.0e-20:1.0),141,d);te[c[e>>2]&7](56,0,1.0,142,d);te[c[e>>2]&7](56,1,1.0,143,d);return}function Ej(a,b){a=a|0;b=b|0;var d=0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;a=c[b+36>>2]|0;h[a>>3]=+h[d+3064>>3];h[a+8>>3]=-0.0;h[a+16>>3]=-0.0;h[a+24>>3]=-0.0;h[a+32>>3]=-0.0;h[a+40>>3]=-0.0;h[a+48>>3]=-0.0;h[a+56>>3]=-0.0;h[a+64>>3]=-0.0;h[a+72>>3]=-0.0;h[a+80>>3]=-0.0;h[a+88>>3]=-0.0;Qla(a+96|0,0,32)|0;h[a+128>>3]=-0.0;h[a+136>>3]=-0.0;h[a+144>>3]=-0.0;h[a+152>>3]=+h[d+2104>>3];h[a+160>>3]=-0.0;h[a+168>>3]=-0.0;h[a+176>>3]=-0.0;h[a+184>>3]=-0.0;h[a+192>>3]=+h[d+3056>>3];h[a+200>>3]=-0.0;h[a+208>>3]=-0.0;h[a+216>>3]=-0.0;h[a+224>>3]=-0.0;h[a+232>>3]=+h[d+104>>3]*-5.0;h[a+240>>3]=-0.0;h[a+248>>3]=-0.0;h[a+256>>3]=-0.0;h[a+264>>3]=-0.0;h[a+272>>3]=-0.0;h[a+280>>3]=-0.0;h[a+288>>3]=-0.0;h[a+296>>3]=-0.0;h[a+304>>3]=-0.0;h[a+312>>3]=+h[d+2120>>3];h[a+320>>3]=-0.0;h[a+328>>3]=-0.0;h[a+336>>3]=-0.0;h[a+344>>3]=+h[d+2096>>3];h[a+352>>3]=-0.0;h[a+360>>3]=-0.0;h[a+368>>3]=-0.0;h[a+376>>3]=-0.0;h[a+384>>3]=-0.0;h[a+392>>3]=-0.0;h[a+400>>3]=-0.0;h[a+408>>3]=+h[d+2112>>3];h[a+416>>3]=-0.0;h[a+424>>3]=-0.0;h[a+432>>3]=-0.0;h[a+440>>3]=-0.0;h[a+448>>3]=+h[d+2088>>3];return}function Fj(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=b+8|0;e=a+4|0;te[c[d>>2]&7](0,25,-0.0- +h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3e3>>3],0,b);te[c[d>>2]&7](0,28,-0.0- +h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3008>>3],1,b);te[c[d>>2]&7](0,45,1.0,2,b);te[c[d>>2]&7](1,32,162.5957704012199,3,b);te[c[d>>2]&7](1,44,1.570796326794897,4,b);te[c[d>>2]&7](1,45,1.570796326794897,5,b);te[c[d>>2]&7](2,12,1.0,6,b);te[c[d>>2]&7](2,43,-1.0,7,b);te[c[d>>2]&7](2,44,-1.0,8,b);te[c[d>>2]&7](3,42,.1967263286166931,9,b);te[c[d>>2]&7](3,43,1.0,10,b);te[c[d>>2]&7](4,41,-1.0,11,b);f=a+416|0;te[c[d>>2]&7](4,42,+h[(c[f>>2]|0)+1752>>3],12,b);te[c[d>>2]&7](5,22,1.0,13,b);te[c[d>>2]&7](5,40,-1.0,14,b);te[c[d>>2]&7](5,41,1.0,15,b);te[c[d>>2]&7](6,32,.3090169943749472,16,b);te[c[d>>2]&7](6,39,.9510565162951536,17,b);te[c[d>>2]&7](6,40,-1.0,18,b);te[c[d>>2]&7](7,27,1.570796326794897,19,b);te[c[d>>2]&7](7,38,1.570796326794897,20,b);te[c[d>>2]&7](7,39,-162.5957704012199,21,b);te[c[d>>2]&7](8,0,-1.0,22,b);te[c[d>>2]&7](8,37,1.0,23,b);te[c[d>>2]&7](8,38,-1.0,24,b);te[c[d>>2]&7](9,9,1.0,25,b);te[c[d>>2]&7](9,36,-1.0,26,b);te[c[d>>2]&7](9,37,-1.0,27,b);te[c[d>>2]&7](10,35,-.3741957135154556,28,b);te[c[d>>2]&7](10,36,1.0,29,b);te[c[d>>2]&7](11,34,-1.0,30,b);te[c[d>>2]&7](11,35,+h[(c[f>>2]|0)+1744>>3],31,b);te[c[d>>2]&7](12,21,1.0,32,b);te[c[d>>2]&7](12,33,-1.0,33,b);te[c[d>>2]&7](12,34,1.0,34,b);te[c[d>>2]&7](13,32,-.8090169943749476,35,b);te[c[d>>2]&7](13,33,-1.0,36,b);te[c[d>>2]&7](13,39,.587785252292473,37,b);te[c[d>>2]&7](14,30,-0.0- +h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3008>>3],38,b);te[c[d>>2]&7](14,31,-0.0- +h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3e3>>3],39,b);te[c[d>>2]&7](14,32,-1.0,40,b);te[c[d>>2]&7](15,30,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3e3>>3],41,b);te[c[d>>2]&7](15,31,-0.0- +h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3008>>3],42,b);te[c[d>>2]&7](15,39,1.0,43,b);te[c[d>>2]&7](16,29,1.0,44,b);te[c[d>>2]&7](16,30,-1.0,45,b);te[c[d>>2]&7](17,28,-1.570796326794897,46,b);te[c[d>>2]&7](17,29,-0.0- +h[(c[f>>2]|0)+4040>>3],47,b);te[c[d>>2]&7](18,25,-0.0- +h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3008>>3],48,b);te[c[d>>2]&7](18,27,1.0,49,b);te[c[d>>2]&7](18,28,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3e3>>3],50,b);te[c[d>>2]&7](19,26,1.0,51,b);te[c[d>>2]&7](19,31,-1.0,52,b);te[c[d>>2]&7](20,25,-1.570796326794897,53,b);te[c[d>>2]&7](20,26,-0.0- +h[(c[f>>2]|0)+4048>>3],54,b);te[c[d>>2]&7](21,16,1.0,55,b);te[c[d>>2]&7](21,24,1.0,56,b);te[c[d>>2]&7](21,32,-1.0,57,b);te[c[d>>2]&7](22,23,1.0,58,b);te[c[d>>2]&7](22,24,-1.0,59,b);te[c[d>>2]&7](23,22,-1.0,60,b);te[c[d>>2]&7](23,23,1.0,61,b);te[c[d>>2]&7](24,21,-1.0,62,b);te[c[d>>2]&7](24,23,1.0,63,b);te[c[d>>2]&7](25,20,-1.0,64,b);te[c[d>>2]&7](25,23,1.0,65,b);te[c[d>>2]&7](26,3,-1.0,66,b);te[c[d>>2]&7](26,19,1.0,67,b);te[c[d>>2]&7](26,20,1.0,68,b);te[c[d>>2]&7](27,18,+h[(c[f>>2]|0)+1736>>3],69,b);te[c[d>>2]&7](27,19,-1.0,70,b);te[c[d>>2]&7](28,6,1.0,71,b);te[c[d>>2]&7](28,17,1.0,72,b);te[c[d>>2]&7](28,18,1.0,73,b);te[c[d>>2]&7](28,35,1.0,74,b);te[c[d>>2]&7](28,42,1.0,75,b);te[c[d>>2]&7](29,16,-1.0,76,b);te[c[d>>2]&7](29,17,+h[(c[f>>2]|0)+1720>>3],77,b);te[c[d>>2]&7](30,15,1.0,78,b);te[c[d>>2]&7](30,17,.6366197723675814,79,b);te[c[d>>2]&7](31,5,-1.0,80,b);te[c[d>>2]&7](31,14,-1.0,81,b);te[c[d>>2]&7](31,15,-1.0,82,b);te[c[d>>2]&7](32,11,-1.0,83,b);te[c[d>>2]&7](32,13,-1.0,84,b);te[c[d>>2]&7](32,14,1.0,85,b);te[c[d>>2]&7](33,1,-1.0,86,b);te[c[d>>2]&7](33,12,-1.0,87,b);te[c[d>>2]&7](33,13,1.0,88,b);te[c[d>>2]&7](34,11,1.0,89,b);te[c[d>>2]&7](34,18,-.5150362148004839,90,b);te[c[d>>2]&7](35,10,1.0,91,b);te[c[d>>2]&7](35,18,.3741957135154557,92,b);te[c[d>>2]&7](36,4,-1.0,93,b);te[c[d>>2]&7](36,9,-1.0,94,b);te[c[d>>2]&7](36,10,-1.0,95,b);te[c[d>>2]&7](37,8,-1.0,96,b);te[c[d>>2]&7](37,23,1.0,97,b);te[c[d>>2]&7](38,2,-1.0,98,b);te[c[d>>2]&7](38,7,1.0,99,b);te[c[d>>2]&7](38,8,1.0,100,b);te[c[d>>2]&7](39,6,+h[(c[f>>2]|0)+1728>>3],101,b);te[c[d>>2]&7](39,7,-1.0,102,b);te[c[d>>2]&7](40,5,1.0,103,b);te[c[d>>2]&7](40,6,.1967263286166932,104,b);te[c[d>>2]&7](41,4,1.0,105,b);te[c[d>>2]&7](41,6,.6054613829125256,106,b);te[c[d>>2]&7](42,3,-1.0,107,b);te[c[d>>2]&7](42,32,-.8090169943749473,108,b);te[c[d>>2]&7](42,39,-.5877852522924732,109,b);te[c[d>>2]&7](43,2,-1.0,110,b);te[c[d>>2]&7](43,32,.3090169943749475,111,b);te[c[d>>2]&7](43,39,-.9510565162951535,112,b);te[c[d>>2]&7](44,1,1.0,113,b);te[c[d>>2]&7](44,35,-.515036214800484,114,b);te[c[d>>2]&7](45,0,1.0,115,b);te[c[d>>2]&7](45,42,-.6054613829125257,116,b);return}function Gj(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;a=d+3064|0;e=d+3264|0;f=d+3056|0;g=d+3272|0;i=c[b+36>>2]|0;h[i>>3]=+h[a>>3]*+h[e>>3]+ +h[f>>3]*+h[g>>3];h[i+8>>3]=-0.0;h[i+16>>3]=-0.0;h[i+24>>3]=-0.0;h[i+32>>3]=-0.0;h[i+40>>3]=-0.0;h[i+48>>3]=0.0;h[i+56>>3]=-0.0;h[i+64>>3]=-0.0;h[i+72>>3]=-0.0;h[i+80>>3]=-0.0;h[i+88>>3]=-0.0;h[i+96>>3]=-0.0;h[i+104>>3]=0.0;b=d+80|0;j=d+72|0;h[i+112>>3]=+h[b>>3]*+h[e>>3]+ +h[j>>3]*+h[g>>3];h[i+120>>3]=+h[g>>3]*(-0.0- +h[b>>3])+ +h[j>>3]*+h[e>>3];h[i+128>>3]=+h[d+1704>>3];h[i+136>>3]=-0.0;h[i+144>>3]=+h[g>>3]*(-0.0- +h[a>>3])+ +h[f>>3]*+h[e>>3];h[i+152>>3]=-0.0- +h[d+2128>>3];h[i+160>>3]=-0.0;h[i+168>>3]=-0.0;h[i+176>>3]=-0.0- +h[d+1016>>3];h[i+184>>3]=-0.0- +h[d+952>>3];h[i+192>>3]=-0.0- +h[d+968>>3];h[i+200>>3]=-0.0- +h[d+984>>3];h[i+208>>3]=-0.0;h[i+216>>3]=-0.0;h[i+224>>3]=-0.0;h[i+232>>3]=-0.0;h[i+240>>3]=-0.0;h[i+248>>3]=0.0;h[i+256>>3]=-0.0;h[i+264>>3]=-0.0;h[i+272>>3]=-0.0;h[i+280>>3]=-0.0;h[i+288>>3]=0.0;h[i+296>>3]=-0.0- +h[d+1e3>>3];h[i+304>>3]=-0.0;h[i+312>>3]=-0.0;h[i+320>>3]=-0.0;h[i+328>>3]=-0.0;Qla(i+336|0,0,16)|0;h[i+352>>3]=-0.0;h[i+360>>3]=-0.0;return}function Hj(a,b){a=a|0;b=b|0;a=b+8|0;te[c[a>>2]&7](0,1,-1.0,0,b);te[c[a>>2]&7](0,8,-1.0,1,b);te[c[a>>2]&7](1,7,-.5513288954217921,2,b);te[c[a>>2]&7](1,8,1.0,3,b);te[c[a>>2]&7](2,2,-1.0,4,b);te[c[a>>2]&7](2,6,-1.0,5,b);te[c[a>>2]&7](2,7,-1.0,6,b);te[c[a>>2]&7](3,5,1.0,7,b);te[c[a>>2]&7](3,6,-.6366197723675814,8,b);te[c[a>>2]&7](4,0,-1.0,9,b);te[c[a>>2]&7](4,4,-1.0,10,b);te[c[a>>2]&7](4,5,-1.0,11,b);te[c[a>>2]&7](5,3,-1.0,12,b);te[c[a>>2]&7](5,4,1.0,13,b);te[c[a>>2]&7](6,2,.318309886183791,14,b);te[c[a>>2]&7](6,3,1.0,15,b);te[c[a>>2]&7](7,1,1.0,16,b);te[c[a>>2]&7](7,2,.5513288954217919,17,b);te[c[a>>2]&7](8,0,1.0,18,b);te[c[a>>2]&7](8,7,.3183098861837905,19,b);return}function Ij(a,b){a=a|0;b=b|0;var d=0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;a=c[b+36>>2]|0;h[a>>3]=+h[d+2712>>3];h[a+8>>3]=-0.0;h[a+16>>3]=0.0;h[a+24>>3]=-0.0;h[a+32>>3]=0.0;h[a+40>>3]=+h[d+2720>>3];h[a+48>>3]=-0.0;h[a+56>>3]=-0.0;h[a+64>>3]=-0.0;return}function Jj(a,b){a=a|0;b=b|0;var d=0,e=0;d=b+8|0;e=a+416|0;te[c[d>>2]&7](0,0,+h[(c[e>>2]|0)+4520>>3],0,b);te[c[d>>2]&7](0,1,1.0,1,b);te[c[d>>2]&7](1,0,+h[(c[e>>2]|0)+5096>>3],2,b);te[c[d>>2]&7](1,1,-1.0,3,b);return}function Kj(a,b){a=a|0;b=b|0;var d=0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;a=c[b+36>>2]|0;h[a>>3]=+h[d+2872>>3];h[a+8>>3]=+h[d+2656>>3];return}function Lj(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=b+8|0;te[c[d>>2]&7](0,38,1.0,0,b);te[c[d>>2]&7](0,48,1.0,1,b);te[c[d>>2]&7](1,34,1.0,2,b);te[c[d>>2]&7](1,47,1.0,3,b);te[c[d>>2]&7](1,48,-1.0,4,b);te[c[d>>2]&7](2,37,-1.0,5,b);te[c[d>>2]&7](2,46,1.0,6,b);te[c[d>>2]&7](2,47,1.0,7,b);te[c[d>>2]&7](3,34,-.5000000000000004,8,b);te[c[d>>2]&7](3,45,.8660254037844384,9,b);te[c[d>>2]&7](3,46,-1.0,10,b);te[c[d>>2]&7](4,10,-1.0,11,b);te[c[d>>2]&7](4,44,1.0,12,b);te[c[d>>2]&7](4,45,1.0,13,b);te[c[d>>2]&7](5,43,-1.570796326794897,14,b);e=a+416|0;te[c[d>>2]&7](5,44,-0.0- +h[(c[e>>2]|0)+5e3>>3],15,b);te[c[d>>2]&7](6,1,-1.0,16,b);te[c[d>>2]&7](6,42,-1.0,17,b);te[c[d>>2]&7](6,43,-1.0,18,b);te[c[d>>2]&7](7,41,-.5513288954217921,19,b);te[c[d>>2]&7](7,42,1.0,20,b);te[c[d>>2]&7](8,21,1.0,21,b);te[c[d>>2]&7](8,40,1.0,22,b);te[c[d>>2]&7](8,41,1.0,23,b);te[c[d>>2]&7](9,21,-1.0,24,b);te[c[d>>2]&7](9,39,3.0,25,b);te[c[d>>2]&7](9,40,-1.0,26,b);te[c[d>>2]&7](9,41,-1.0,27,b);te[c[d>>2]&7](10,38,1.0,28,b);te[c[d>>2]&7](10,39,-0.0- +h[(c[e>>2]|0)+4968>>3],29,b);te[c[d>>2]&7](11,37,1.0,30,b);te[c[d>>2]&7](11,38,1.0,31,b);te[c[d>>2]&7](12,36,1.0,32,b);te[c[d>>2]&7](12,38,1.0,33,b);te[c[d>>2]&7](13,35,1.0,34,b);te[c[d>>2]&7](13,36,-1.0,35,b);te[c[d>>2]&7](13,47,1.0,36,b);te[c[d>>2]&7](14,34,-.4999999999999998,37,b);te[c[d>>2]&7](14,35,-1.0,38,b);te[c[d>>2]&7](14,45,-.8660254037844387,39,b);te[c[d>>2]&7](15,19,1.0,40,b);te[c[d>>2]&7](15,33,-1.0,41,b);te[c[d>>2]&7](15,34,-1.0,42,b);f=a+4|0;te[c[d>>2]&7](16,10,-0.0- +h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+2688>>3],43,b);te[c[d>>2]&7](16,32,-1.0,44,b);te[c[d>>2]&7](16,33,-0.0- +h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+2696>>3],45,b);te[c[d>>2]&7](17,20,1.570796326794897,46,b);te[c[d>>2]&7](17,31,1.570796326794897,47,b);te[c[d>>2]&7](17,32,162.5957704012199,48,b);te[c[d>>2]&7](18,12,-1.0,49,b);te[c[d>>2]&7](18,30,1.0,50,b);te[c[d>>2]&7](18,31,-1.0,51,b);te[c[d>>2]&7](19,9,-1.0,52,b);te[c[d>>2]&7](19,29,-1.0,53,b);te[c[d>>2]&7](19,30,-1.0,54,b);te[c[d>>2]&7](20,28,.6366197723675814,55,b);te[c[d>>2]&7](20,29,1.0,56,b);te[c[d>>2]&7](21,13,1.0,57,b);te[c[d>>2]&7](21,27,1.0,58,b);te[c[d>>2]&7](21,28,1.0,59,b);te[c[d>>2]&7](22,26,1.0,60,b);te[c[d>>2]&7](22,27,.5513288954217921,61,b);te[c[d>>2]&7](23,11,-1.0,62,b);te[c[d>>2]&7](23,25,-1.0,63,b);te[c[d>>2]&7](23,26,-1.0,64,b);te[c[d>>2]&7](24,16,-162.5957704012199,65,b);te[c[d>>2]&7](24,24,1.570796326794897,66,b);te[c[d>>2]&7](24,25,1.570796326794897,67,b);te[c[d>>2]&7](25,23,+h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+2688>>3],68,b);te[c[d>>2]&7](25,24,1.0,69,b);te[c[d>>2]&7](25,43,-0.0- +h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+2696>>3],70,b);te[c[d>>2]&7](26,2,-1.0,71,b);te[c[d>>2]&7](26,22,-1.0,72,b);te[c[d>>2]&7](26,23,-1.0,73,b);te[c[d>>2]&7](27,21,-.6366197723675814,74,b);te[c[d>>2]&7](27,22,1.0,75,b);te[c[d>>2]&7](28,20,1.0,76,b);te[c[d>>2]&7](28,23,-0.0- +h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+2696>>3],77,b);te[c[d>>2]&7](28,43,-0.0- +h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+2688>>3],78,b);te[c[d>>2]&7](29,19,-0.0- +h[(c[e>>2]|0)+4992>>3],79,b);te[c[d>>2]&7](29,23,-1.570796326794897,80,b);te[c[d>>2]&7](30,18,-1.0,81,b);te[c[d>>2]&7](30,27,+h[(c[e>>2]|0)+3216>>3],82,b);te[c[d>>2]&7](31,5,1.0,83,b);te[c[d>>2]&7](31,17,-1.0,84,b);te[c[d>>2]&7](31,18,1.0,85,b);te[c[d>>2]&7](32,16,-.8660254037844387,86,b);te[c[d>>2]&7](32,17,-1.0,87,b);te[c[d>>2]&7](32,32,-.4999999999999998,88,b);te[c[d>>2]&7](33,15,-1.0,89,b);te[c[d>>2]&7](33,16,.8660254037844384,90,b);te[c[d>>2]&7](33,32,-.5000000000000004,91,b);te[c[d>>2]&7](34,4,1.0,92,b);te[c[d>>2]&7](34,14,1.0,93,b);te[c[d>>2]&7](34,15,-1.0,94,b);te[c[d>>2]&7](35,13,+h[(c[e>>2]|0)+3224>>3],95,b);te[c[d>>2]&7](35,14,-1.0,96,b);te[c[d>>2]&7](36,12,1.0,97,b);te[c[d>>2]&7](36,13,-.318309886183791,98,b);te[c[d>>2]&7](37,11,1.0,99,b);te[c[d>>2]&7](37,13,-.5513288954217919,100,b);te[c[d>>2]&7](38,10,-0.0- +h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+2696>>3],101,b);te[c[d>>2]&7](38,16,1.0,102,b);te[c[d>>2]&7](38,33,+h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+2688>>3],103,b);te[c[d>>2]&7](39,9,1.0,104,b);te[c[d>>2]&7](39,27,-.3183098861837905,105,b);te[c[d>>2]&7](40,8,-1.0,106,b);te[c[d>>2]&7](40,28,+h[(c[e>>2]|0)+3208>>3],107,b);te[c[d>>2]&7](41,7,1.0,108,b);te[c[d>>2]&7](41,8,1.0,109,b);te[c[d>>2]&7](41,32,-1.0,110,b);te[c[d>>2]&7](42,6,1.0,111,b);te[c[d>>2]&7](42,7,-1.0,112,b);te[c[d>>2]&7](43,5,-1.0,113,b);te[c[d>>2]&7](43,6,1.0,114,b);te[c[d>>2]&7](44,4,-1.0,115,b);te[c[d>>2]&7](44,6,1.0,116,b);te[c[d>>2]&7](45,3,1.0,117,b);te[c[d>>2]&7](45,40,.318309886183791,118,b);te[c[d>>2]&7](46,0,-1.0,119,b);te[c[d>>2]&7](46,2,1.0,120,b);te[c[d>>2]&7](46,3,-1.0,121,b);te[c[d>>2]&7](47,1,1.0,122,b);te[c[d>>2]&7](47,40,.5513288954217919,123,b);te[c[d>>2]&7](48,0,1.0,124,b);te[c[d>>2]&7](48,41,.3183098861837905,125,b);return}function Mj(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;a=c[b+36>>2]|0;h[a>>3]=+h[d+560>>3];h[a+8>>3]=-0.0;h[a+16>>3]=-0.0;h[a+24>>3]=0.0;h[a+32>>3]=-0.0;h[a+40>>3]=-0.0;h[a+48>>3]=0.0;h[a+56>>3]=-0.0;h[a+64>>3]=-0.0;h[a+72>>3]=-0.0;h[a+80>>3]=-0.0;h[a+88>>3]=+h[d+544>>3];h[a+96>>3]=+h[d+552>>3];h[a+104>>3]=-0.0;b=d+48|0;Qla(a+112|0,0,16)|0;e=d+3288|0;f=d+40|0;g=d+3296|0;h[a+128>>3]=+h[b>>3]*+h[e>>3]+ +h[f>>3]*+h[g>>3];h[a+136>>3]=-0.0;h[a+144>>3]=-0.0;h[a+152>>3]=0.0;h[a+160>>3]=-0.0;h[a+168>>3]=-0.0;h[a+176>>3]=-0.0;h[a+184>>3]=0.0;h[a+192>>3]=-0.0;i=d+2752|0;j=d+2744|0;h[a+200>>3]=+h[g>>3]*(-0.0- +h[i>>3])+ +h[j>>3]*+h[e>>3];h[a+208>>3]=0.0;h[a+216>>3]=-0.0;h[a+224>>3]=+h[i>>3]*+h[e>>3]+ +h[j>>3]*+h[g>>3];h[a+232>>3]=-0.0;h[a+240>>3]=-0.0;h[a+248>>3]=-0.0;Qla(a+256|0,0,16)|0;h[a+272>>3]=-0.0;h[a+280>>3]=-0.0;h[a+288>>3]=-0.0;h[a+296>>3]=-0.0;h[a+304>>3]=+h[g>>3]*(-0.0- +h[b>>3])+ +h[f>>3]*+h[e>>3];h[a+312>>3]=-0.0;h[a+320>>3]=-0.0;h[a+328>>3]=-0.0;h[a+336>>3]=-0.0- +h[d+280>>3];h[a+344>>3]=-0.0- +h[d+264>>3];h[a+352>>3]=-0.0- +h[d+248>>3];h[a+360>>3]=-0.0;h[a+368>>3]=-0.0;h[a+376>>3]=-0.0;h[a+384>>3]=-0.0;return}function Nj(a){a=a|0;c[a+20>>2]=319;c[a+16>>2]=49;c[a+12>>2]=120;c[a>>2]=132;c[a+4>>2]=48;c[a+84>>2]=339;c[a+80>>2]=2;c[a+76>>2]=4;c[a+64>>2]=20;c[a+68>>2]=138;c[a+148>>2]=363;c[a+144>>2]=46;c[a+140>>2]=117;c[a+128>>2]=62;c[a+132>>2]=102;c[a+212>>2]=453;c[a+208>>2]=2;c[a+204>>2]=4;c[a+192>>2]=14;c[a+196>>2]=84;c[a+276>>2]=454;c[a+272>>2]=49;c[a+268>>2]=126;c[a+256>>2]=94;c[a+260>>2]=114;c[a+340>>2]=469;c[a+336>>2]=2;c[a+332>>2]=4;c[a+320>>2]=44;c[a+324>>2]=166;c[a+404>>2]=859;c[a+400>>2]=9;c[a+396>>2]=20;c[a+384>>2]=140;c[a+388>>2]=78;c[a+468>>2]=870;c[a+464>>2]=2;c[a+460>>2]=4;c[a+448>>2]=136;c[a+452>>2]=92;c[a+532>>2]=874;c[a+528>>2]=57;c[a+524>>2]=144;c[a+512>>2]=30;c[a+516>>2]=158;c[a+596>>2]=915;c[a+592>>2]=46;c[a+588>>2]=117;c[a+576>>2]=142;c[a+580>>2]=88;c[a+660>>2]=940;c[a+656>>2]=9;c[a+652>>2]=20;c[a+640>>2]=12;c[a+644>>2]=4;c[a+724>>2]=951;c[a+720>>2]=2;c[a+716>>2]=4;c[a+704>>2]=90;c[a+708>>2]=60;c[a+788>>2]=966;c[a+784>>2]=49;c[a+780>>2]=126;c[a+768>>2]=86;c[a+772>>2]=106;return}function Oj(a,b){a=a|0;b=b|0;return}function Pj(a){a=a|0;return}function Qj(a,b){a=a|0;b=b|0;c[b>>2]=c[9994232+(a<<2)>>2];return c[9994296+(a<<2)>>2]|0}function Rj(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0;e=b+4|0;f=b+416|0;g=b+360|0;b=(nW(+h[c[c[e>>2]>>2]>>3],+h[(c[f>>2]|0)+2432>>3],a[c[g>>2]|0]|0)|0)<<24>>24!=0;h[d>>3]=b?1.0:-1.0;b=(nW(+h[c[c[e>>2]>>2]>>3],+h[(c[f>>2]|0)+2352>>3],a[(c[g>>2]|0)+1|0]|0)|0)<<24>>24!=0;h[d+8>>3]=b?1.0:-1.0;b=(nW(+h[c[c[e>>2]>>2]>>3],+h[(c[f>>2]|0)+2272>>3],a[(c[g>>2]|0)+2|0]|0)|0)<<24>>24!=0;h[d+16>>3]=b?1.0:-1.0;b=(nW(+h[c[c[e>>2]>>2]>>3],+h[(c[f>>2]|0)+592>>3],a[(c[g>>2]|0)+3|0]|0)|0)<<24>>24!=0;h[d+24>>3]=b?1.0:-1.0;b=(nW(+h[c[c[e>>2]>>2]>>3],+h[(c[f>>2]|0)+512>>3],a[(c[g>>2]|0)+4|0]|0)|0)<<24>>24!=0;h[d+32>>3]=b?1.0:-1.0;b=(nW(+h[c[c[e>>2]>>2]>>3],+h[(c[f>>2]|0)+432>>3],a[(c[g>>2]|0)+5|0]|0)|0)<<24>>24!=0;h[d+40>>3]=b?1.0:-1.0;b=(nW(+h[c[c[e>>2]>>2]>>3],+h[(c[f>>2]|0)+352>>3],a[(c[g>>2]|0)+6|0]|0)|0)<<24>>24!=0;h[d+48>>3]=b?1.0:-1.0;b=(nW(+h[c[c[e>>2]>>2]>>3],+h[(c[f>>2]|0)+272>>3],a[(c[g>>2]|0)+7|0]|0)|0)<<24>>24!=0;h[d+56>>3]=b?1.0:-1.0;b=(oW(+h[c[c[e>>2]>>2]>>3],+h[(c[f>>2]|0)+2600>>3],a[(c[g>>2]|0)+8|0]|0)|0)<<24>>24!=0;h[d+64>>3]=b?1.0:-1.0;b=(oW(+h[c[c[e>>2]>>2]>>3],+h[(c[f>>2]|0)+2592>>3],a[(c[g>>2]|0)+9|0]|0)|0)<<24>>24!=0;h[d+72>>3]=b?1.0:-1.0;b=(oW(+h[c[c[e>>2]>>2]>>3],+h[(c[f>>2]|0)+2584>>3],a[(c[g>>2]|0)+10|0]|0)|0)<<24>>24!=0;h[d+80>>3]=b?1.0:-1.0;b=(oW(+h[c[c[e>>2]>>2]>>3],+h[(c[f>>2]|0)+872>>3],a[(c[g>>2]|0)+11|0]|0)|0)<<24>>24!=0;h[d+88>>3]=b?1.0:-1.0;b=(oW(+h[c[c[e>>2]>>2]>>3],+h[(c[f>>2]|0)+864>>3],a[(c[g>>2]|0)+12|0]|0)|0)<<24>>24!=0;h[d+96>>3]=b?1.0:-1.0;b=(oW(+h[c[c[e>>2]>>2]>>3],+h[(c[f>>2]|0)+856>>3],a[(c[g>>2]|0)+13|0]|0)|0)<<24>>24!=0;h[d+104>>3]=b?1.0:-1.0;b=(oW(+h[c[c[e>>2]>>2]>>3],+h[(c[f>>2]|0)+848>>3],a[(c[g>>2]|0)+14|0]|0)|0)<<24>>24!=0;h[d+112>>3]=b?1.0:-1.0;b=(oW(+h[c[c[e>>2]>>2]>>3],+h[(c[f>>2]|0)+840>>3],a[(c[g>>2]|0)+15|0]|0)|0)<<24>>24!=0;h[d+120>>3]=b?1.0:-1.0;return 0}function Sj(a){a=a|0;return c[9994296+(a<<2)>>2]|0}function Tj(b,d){b=b|0;d=d|0;var e=0,f=0.0,g=0,i=0.0,j=0,k=0;e=b+4|0;f=+h[c[c[e>>2]>>2]>>3];g=b+416|0;i=+h[(c[g>>2]|0)+2432>>3];if((d|0)==0){d=b+352|0;a[c[d>>2]|0]=f<i|0;a[(c[d>>2]|0)+1|0]=+h[c[c[e>>2]>>2]>>3]<+h[(c[g>>2]|0)+2352>>3]|0;a[(c[d>>2]|0)+2|0]=+h[c[c[e>>2]>>2]>>3]<+h[(c[g>>2]|0)+2272>>3]|0;a[(c[d>>2]|0)+3|0]=+h[c[c[e>>2]>>2]>>3]<+h[(c[g>>2]|0)+592>>3]|0;a[(c[d>>2]|0)+4|0]=+h[c[c[e>>2]>>2]>>3]<+h[(c[g>>2]|0)+512>>3]|0;a[(c[d>>2]|0)+5|0]=+h[c[c[e>>2]>>2]>>3]<+h[(c[g>>2]|0)+432>>3]|0;a[(c[d>>2]|0)+6|0]=+h[c[c[e>>2]>>2]>>3]<+h[(c[g>>2]|0)+352>>3]|0;a[(c[d>>2]|0)+7|0]=+h[c[c[e>>2]>>2]>>3]<+h[(c[g>>2]|0)+272>>3]|0;a[(c[d>>2]|0)+8|0]=+h[c[c[e>>2]>>2]>>3]>=+h[(c[g>>2]|0)+2600>>3]|0;a[(c[d>>2]|0)+9|0]=+h[c[c[e>>2]>>2]>>3]>=+h[(c[g>>2]|0)+2592>>3]|0;a[(c[d>>2]|0)+10|0]=+h[c[c[e>>2]>>2]>>3]>=+h[(c[g>>2]|0)+2584>>3]|0;a[(c[d>>2]|0)+11|0]=+h[c[c[e>>2]>>2]>>3]>=+h[(c[g>>2]|0)+872>>3]|0;a[(c[d>>2]|0)+12|0]=+h[c[c[e>>2]>>2]>>3]>=+h[(c[g>>2]|0)+864>>3]|0;a[(c[d>>2]|0)+13|0]=+h[c[c[e>>2]>>2]>>3]>=+h[(c[g>>2]|0)+856>>3]|0;a[(c[d>>2]|0)+14|0]=+h[c[c[e>>2]>>2]>>3]>=+h[(c[g>>2]|0)+848>>3]|0;a[(c[d>>2]|0)+15|0]=+h[c[c[e>>2]>>2]>>3]>=+h[(c[g>>2]|0)+840>>3]|0;return 0}else{d=b+360|0;j=nW(f,i,a[c[d>>2]|0]|0)|0;k=b+352|0;a[c[k>>2]|0]=j;j=nW(+h[c[c[e>>2]>>2]>>3],+h[(c[g>>2]|0)+2352>>3],a[(c[d>>2]|0)+1|0]|0)|0;a[(c[k>>2]|0)+1|0]=j;j=nW(+h[c[c[e>>2]>>2]>>3],+h[(c[g>>2]|0)+2272>>3],a[(c[d>>2]|0)+2|0]|0)|0;a[(c[k>>2]|0)+2|0]=j;j=nW(+h[c[c[e>>2]>>2]>>3],+h[(c[g>>2]|0)+592>>3],a[(c[d>>2]|0)+3|0]|0)|0;a[(c[k>>2]|0)+3|0]=j;j=nW(+h[c[c[e>>2]>>2]>>3],+h[(c[g>>2]|0)+512>>3],a[(c[d>>2]|0)+4|0]|0)|0;a[(c[k>>2]|0)+4|0]=j;j=nW(+h[c[c[e>>2]>>2]>>3],+h[(c[g>>2]|0)+432>>3],a[(c[d>>2]|0)+5|0]|0)|0;a[(c[k>>2]|0)+5|0]=j;j=nW(+h[c[c[e>>2]>>2]>>3],+h[(c[g>>2]|0)+352>>3],a[(c[d>>2]|0)+6|0]|0)|0;a[(c[k>>2]|0)+6|0]=j;j=nW(+h[c[c[e>>2]>>2]>>3],+h[(c[g>>2]|0)+272>>3],a[(c[d>>2]|0)+7|0]|0)|0;a[(c[k>>2]|0)+7|0]=j;j=oW(+h[c[c[e>>2]>>2]>>3],+h[(c[g>>2]|0)+2600>>3],a[(c[d>>2]|0)+8|0]|0)|0;a[(c[k>>2]|0)+8|0]=j;j=oW(+h[c[c[e>>2]>>2]>>3],+h[(c[g>>2]|0)+2592>>3],a[(c[d>>2]|0)+9|0]|0)|0;a[(c[k>>2]|0)+9|0]=j;j=oW(+h[c[c[e>>2]>>2]>>3],+h[(c[g>>2]|0)+2584>>3],a[(c[d>>2]|0)+10|0]|0)|0;a[(c[k>>2]|0)+10|0]=j;j=oW(+h[c[c[e>>2]>>2]>>3],+h[(c[g>>2]|0)+872>>3],a[(c[d>>2]|0)+11|0]|0)|0;a[(c[k>>2]|0)+11|0]=j;j=oW(+h[c[c[e>>2]>>2]>>3],+h[(c[g>>2]|0)+864>>3],a[(c[d>>2]|0)+12|0]|0)|0;a[(c[k>>2]|0)+12|0]=j;j=oW(+h[c[c[e>>2]>>2]>>3],+h[(c[g>>2]|0)+856>>3],a[(c[d>>2]|0)+13|0]|0)|0;a[(c[k>>2]|0)+13|0]=j;j=oW(+h[c[c[e>>2]>>2]>>3],+h[(c[g>>2]|0)+848>>3],a[(c[d>>2]|0)+14|0]|0)|0;a[(c[k>>2]|0)+14|0]=j;j=oW(+h[c[c[e>>2]>>2]>>3],+h[(c[g>>2]|0)+840>>3],a[(c[d>>2]|0)+15|0]|0)|0;a[(c[k>>2]|0)+15|0]=j;return 0}return 0}function Uj(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;d=i;XS(8,1,9964824,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;f=b+4|0;g=c[(c[c[f>>2]>>2]|0)+16>>2]|0;h=a[g+3|0]|0;j=b+408|0;b=c[j>>2]|0;k=a[b+3|0]|0;if(h<<24>>24==k<<24>>24){l=0;m=g;n=b}else{XS(8,0,9962576,(e=i,i=i+16|0,c[e>>2]=k<<24>>24,c[e+8>>2]=h<<24>>24,e)|0);i=e;l=1;m=c[(c[c[f>>2]>>2]|0)+16>>2]|0;n=c[j>>2]|0}h=a[m+4|0]|0;k=a[n+4|0]|0;if(h<<24>>24==k<<24>>24){o=l;p=m;q=n}else{XS(8,0,9960512,(e=i,i=i+16|0,c[e>>2]=k<<24>>24,c[e+8>>2]=h<<24>>24,e)|0);i=e;o=1;p=c[(c[c[f>>2]>>2]|0)+16>>2]|0;q=c[j>>2]|0}h=a[p+5|0]|0;k=a[q+5|0]|0;if(h<<24>>24==k<<24>>24){r=o;s=p;t=q}else{XS(8,0,9958504,(e=i,i=i+16|0,c[e>>2]=k<<24>>24,c[e+8>>2]=h<<24>>24,e)|0);i=e;r=1;s=c[(c[c[f>>2]>>2]|0)+16>>2]|0;t=c[j>>2]|0}h=a[s+6|0]|0;k=a[t+6|0]|0;if(h<<24>>24==k<<24>>24){u=r;v=s;w=t}else{XS(8,0,9956352,(e=i,i=i+16|0,c[e>>2]=k<<24>>24,c[e+8>>2]=h<<24>>24,e)|0);i=e;u=1;v=c[(c[c[f>>2]>>2]|0)+16>>2]|0;w=c[j>>2]|0}h=a[v+7|0]|0;k=a[w+7|0]|0;if(h<<24>>24==k<<24>>24){x=u;y=v;z=w}else{XS(8,0,9955944,(e=i,i=i+16|0,c[e>>2]=k<<24>>24,c[e+8>>2]=h<<24>>24,e)|0);i=e;x=1;y=c[(c[c[f>>2]>>2]|0)+16>>2]|0;z=c[j>>2]|0}h=a[y]|0;k=a[z]|0;if(h<<24>>24==k<<24>>24){A=x;B=y;C=z}else{XS(8,0,9953408,(e=i,i=i+16|0,c[e>>2]=k<<24>>24,c[e+8>>2]=h<<24>>24,e)|0);i=e;A=1;B=c[(c[c[f>>2]>>2]|0)+16>>2]|0;C=c[j>>2]|0}h=a[B+1|0]|0;k=a[C+1|0]|0;if(h<<24>>24==k<<24>>24){D=A;E=B;F=C}else{XS(8,0,9951520,(e=i,i=i+16|0,c[e>>2]=k<<24>>24,c[e+8>>2]=h<<24>>24,e)|0);i=e;D=1;E=c[(c[c[f>>2]>>2]|0)+16>>2]|0;F=c[j>>2]|0}j=a[E+2|0]|0;E=a[F+2|0]|0;if(j<<24>>24==E<<24>>24){G=D}else{XS(8,0,9949648,(e=i,i=i+16|0,c[e>>2]=E<<24>>24,c[e+8>>2]=j<<24>>24,e)|0);i=e;G=1}if((c[2500024]|0)==0){i=d;return G|0}$d[c[3540]&511](8);i=d;return G|0}function Vj(a){a=a|0;return c[9994360+(a<<2)>>2]|0}function Wj(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0.0,j=0;d=i;XS(21,1,9968584,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;f=a+4|0;g=+h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+736>>3];h[b>>3]=g;j=Vj(0)|0;XS(21,0,9966448,(e=i,i=i+24|0,c[e>>2]=1,c[e+8>>2]=j,h[e+16>>3]=g,e)|0);i=e;g=+h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+8>>3];h[b+8>>3]=g;j=Vj(1)|0;XS(21,0,9966448,(e=i,i=i+24|0,c[e>>2]=2,c[e+8>>2]=j,h[e+16>>3]=g,e)|0);i=e;g=+h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+472>>3];h[b+16>>3]=g;j=Vj(2)|0;XS(21,0,9966448,(e=i,i=i+24|0,c[e>>2]=3,c[e+8>>2]=j,h[e+16>>3]=g,e)|0);i=e;g=+h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+480>>3];h[b+24>>3]=g;j=Vj(3)|0;XS(21,0,9966448,(e=i,i=i+24|0,c[e>>2]=4,c[e+8>>2]=j,h[e+16>>3]=g,e)|0);i=e;g=+h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+1808>>3];h[b+32>>3]=g;j=Vj(4)|0;XS(21,0,9966448,(e=i,i=i+24|0,c[e>>2]=5,c[e+8>>2]=j,h[e+16>>3]=g,e)|0);i=e;g=+h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+1816>>3];h[b+40>>3]=g;j=Vj(5)|0;XS(21,0,9966448,(e=i,i=i+24|0,c[e>>2]=6,c[e+8>>2]=j,h[e+16>>3]=g,e)|0);i=e;g=+h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+1352>>3];h[b+48>>3]=g;j=Vj(6)|0;XS(21,0,9966448,(e=i,i=i+24|0,c[e>>2]=7,c[e+8>>2]=j,h[e+16>>3]=g,e)|0);i=e;g=+h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+1360>>3];h[b+56>>3]=g;j=Vj(7)|0;XS(21,0,9966448,(e=i,i=i+24|0,c[e>>2]=8,c[e+8>>2]=j,h[e+16>>3]=g,e)|0);i=e;g=+h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+1368>>3];h[b+64>>3]=g;j=Vj(8)|0;XS(21,0,9966448,(e=i,i=i+24|0,c[e>>2]=9,c[e+8>>2]=j,h[e+16>>3]=g,e)|0);i=e;g=+h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+1376>>3];h[b+72>>3]=g;j=Vj(9)|0;XS(21,0,9966448,(e=i,i=i+24|0,c[e>>2]=10,c[e+8>>2]=j,h[e+16>>3]=g,e)|0);i=e;j=a+8|0;g=+h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+3192>>3]- +h[(c[j>>2]|0)+44784>>3];h[b+80>>3]=g;a=Vj(10)|0;XS(21,0,9966448,(e=i,i=i+24|0,c[e>>2]=11,c[e+8>>2]=a,h[e+16>>3]=g,e)|0);i=e;g=+h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+2904>>3]- +h[(c[j>>2]|0)+40752>>3];h[b+88>>3]=g;b=Vj(11)|0;XS(21,0,9966448,(e=i,i=i+24|0,c[e>>2]=12,c[e+8>>2]=b,h[e+16>>3]=g,e)|0);i=e;if((c[2500037]|0)==0){i=d;return 0}$d[c[3540]&511](21);i=d;return 0}function Xj(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+72>>3]=+h[(c[a+8>>2]|0)+1104>>3];return}function Yj(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+5112>>3]=+h[b+3456>>3];return}function Zj(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+5104>>3]=-0.0- +h[b+3448>>3];return}function _j(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+5096>>3]=+h[b+3464>>3];return}function $j(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4944>>3]=+h[b+4472>>3];return}function ak(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2704>>3]=+h[b+4944>>3];return}function bk(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2712>>3]=+h[b+4944>>3];return}function ck(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2720>>3]=+h[b+4944>>3];return}function dk(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4480>>3]=+h[b+4208>>3];return}function ek(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+5040>>3]=+h[b+4480>>3];return}function fk(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3256>>3]=+h[b+5040>>3];return}function gk(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3336>>3]=+h[b+3256>>3];return}function hk(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3264>>3]=+h[b+5040>>3];return}function ik(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3368>>3]=+h[b+3264>>3];return}function jk(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3272>>3]=+h[b+5040>>3];return}function kk(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3400>>3]=+h[b+3272>>3];return}function lk(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4448>>3]=+h[b+4184>>3];return}function mk(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4896>>3]=+h[b+4448>>3];return}function nk(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2872>>3]=+h[b+4896>>3];return}function ok(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2952>>3]=+h[b+2872>>3];return}function pk(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2880>>3]=+h[b+4896>>3];return}function qk(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2984>>3]=+h[b+2880>>3];return}function rk(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2888>>3]=+h[b+4896>>3];return}function sk(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3016>>3]=+h[b+2888>>3];return}function tk(a){a=a|0;var b=0;b=c[a+420>>2]|0;c[b+384>>2]=c[b+280>>2];return}function uk(a){a=a|0;var b=0;b=c[a+420>>2]|0;c[b+488>>2]=c[b+384>>2];return}function vk(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4424>>3]=+h[b+4168>>3];return}function wk(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4520>>3]=+h[b+4424>>3];return}function xk(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2600>>3]=+h[b+3440>>3];return}function yk(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2592>>3]=+h[b+3440>>3];return}function zk(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2584>>3]=+h[b+3440>>3];return}function Ak(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2576>>3]=+h[b+2504>>3];return}function Bk(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2568>>3]=+h[b+2480>>3];return}function Ck(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2552>>3]=+h[b+2496>>3];return}function Dk(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2544>>3]=+h[b+2472>>3];return}function Ek(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2528>>3]=+h[b+2488>>3];return}function Fk(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2520>>3]=+h[b+2464>>3];return}function Gk(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2384>>3]=+h[b+2120>>3];return}function Hk(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2416>>3]=+h[b+2384>>3];return}function Ik(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2368>>3]=+h[b+2192>>3];return}function Jk(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2432>>3]=+h[b+2368>>3];return}function Kk(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2360>>3]=+h[b+2168>>3];return}function Lk(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2424>>3]=+h[b+2360>>3];return}function Mk(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2304>>3]=+h[b+2112>>3];return}function Nk(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2336>>3]=+h[b+2304>>3];return}function Ok(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2288>>3]=+h[b+2184>>3];return}function Pk(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2352>>3]=+h[b+2288>>3];return}function Qk(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2280>>3]=+h[b+2160>>3];return}function Rk(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2344>>3]=+h[b+2280>>3];return}function Sk(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2224>>3]=+h[b+2104>>3];return}function Tk(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2256>>3]=+h[b+2224>>3];return}function Uk(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2208>>3]=+h[b+2176>>3];return}function Vk(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2272>>3]=+h[b+2208>>3];return}function Wk(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2200>>3]=+h[b+2152>>3];return}function Xk(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2264>>3]=+h[b+2200>>3];return}function Yk(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2144>>3]=+h[b+3432>>3];return}function Zk(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2392>>3]=+h[b+2144>>3];return}function _k(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2408>>3]=+h[b+2392>>3];return}function $k(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2136>>3]=+h[b+3432>>3];return}function al(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2312>>3]=+h[b+2136>>3];return}function bl(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2328>>3]=+h[b+2312>>3];return}function cl(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2128>>3]=+h[b+3432>>3];return}function dl(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2232>>3]=+h[b+2128>>3];return}function el(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2248>>3]=+h[b+2232>>3];return}function fl(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2096>>3]=+h[b+3424>>3]*1.414213562373095;return}function gl(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2376>>3]=+h[b+2096>>3];return}function hl(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2400>>3]=+h[b+2376>>3];return}function il(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2088>>3]=+h[b+3424>>3]*1.414213562373095;return}function jl(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2296>>3]=+h[b+2088>>3];return}function kl(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2320>>3]=+h[b+2296>>3];return}function ll(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2080>>3]=+h[b+3424>>3]*1.414213562373095;return}function ml(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2216>>3]=+h[b+2080>>3];return}function nl(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2240>>3]=+h[b+2216>>3];return}function ol(b){b=b|0;var d=0,e=0,f=0.0,g=0.0,i=0,j=0.0,k=0,l=0.0;d=b+416|0;e=c[d>>2]|0;f=+h[e+4176>>3]*6.283185307179586;if(f!=0.0){g=f;i=e;j=.1017764061411688/g;k=i+4400|0;h[k>>3]=j;return}l=+bT(c[b+536>>2]|0,f,9964264,9994496,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);g=l;i=c[d>>2]|0;j=.1017764061411688/g;k=i+4400|0;h[k>>3]=j;return}function pl(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4688>>3]=+h[b+4400>>3];return}function ql(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+5072>>3]=+h[b+4688>>3];return}function rl(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3184>>3]=+h[b+5072>>3];return}function sl(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3208>>3]=+h[b+3184>>3];return}function tl(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3192>>3]=+h[b+5072>>3];return}function ul(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3216>>3]=+h[b+3192>>3];return}function vl(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3200>>3]=+h[b+5072>>3];return}function wl(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3224>>3]=+h[b+3200>>3];return}function xl(b){b=b|0;var d=0,e=0,f=0.0,g=0.0,i=0,j=0.0,k=0,l=0.0;d=b+416|0;e=c[d>>2]|0;f=+h[e+4176>>3]*6.283185307179586;if(f!=0.0){g=f;i=e;j=.1017764061411688/g;k=i+4240|0;h[k>>3]=j;return}l=+bT(c[b+536>>2]|0,f,9964264,9994448,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);g=l;i=c[d>>2]|0;j=.1017764061411688/g;k=i+4240|0;h[k>>3]=j;return}function yl(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4408>>3]=+h[b+4240>>3];return}function zl(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4872>>3]=+h[b+4408>>3];return}function Al(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4936>>3]=+h[b+4872>>3];return}function Bl(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4968>>3]=+h[b+4936>>3];return}function Cl(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4864>>3]=+h[b+4240>>3];return}function Dl(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4928>>3]=+h[b+4864>>3];return}function El(b){b=b|0;var d=0,e=0,f=0.0,g=0.0,i=0.0,j=0.0,k=0;d=b+416|0;e=c[d>>2]|0;f=+h[e+4944>>3];g=+h[e+4928>>3];i=f*f;do{if(g!=0.0){j=i/g;k=e}else{if(i==0.0){j=i;k=e;break}f=i/+bT(c[b+536>>2]|0,g,9962072,9994432,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);j=f;k=c[d>>2]|0}}while(0);h[k+4992>>3]=j*1.5;return}function Fl(b){b=b|0;var d=0,e=0,f=0.0,g=0.0,i=0.0,j=0.0,k=0;d=b+416|0;e=c[d>>2]|0;f=+h[e+4944>>3];g=+h[e+4928>>3];i=f*f;do{if(g!=0.0){j=i/g;k=e}else{if(i==0.0){j=i;k=e;break}f=i/+bT(c[b+536>>2]|0,g,9962072,9994424,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);j=f;k=c[d>>2]|0}}while(0);h[k+5e3>>3]=j*1.5;return}function Gl(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4160>>3]=+h[b+3456>>3];return}function Hl(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4152>>3]=-0.0- +h[b+3448>>3];return}function Il(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4144>>3]=+h[b+3464>>3];return}function Jl(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3992>>3]=+h[b+3520>>3];return}function Kl(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+880>>3]=+h[b+3992>>3];return}function Ll(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+888>>3]=+h[b+3992>>3];return}function Ml(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+896>>3]=+h[b+3992>>3];return}function Nl(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+904>>3]=+h[b+3992>>3];return}function Ol(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+912>>3]=+h[b+3992>>3];return}function Pl(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3920>>3]=+h[b+4408>>3]*1.666666666666667;return}function Ql(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3984>>3]=+h[b+3920>>3];return}function Rl(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4016>>3]=+h[b+3984>>3];return}function Sl(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3912>>3]=+h[b+4240>>3]*1.666666666666667;return}function Tl(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3976>>3]=+h[b+3912>>3];return}function Ul(b){b=b|0;var d=0,e=0,f=0.0,g=0.0,i=0.0,j=0.0,k=0;d=b+416|0;e=c[d>>2]|0;f=+h[e+3992>>3];g=+h[e+3976>>3];i=f*f;do{if(g!=0.0){j=i/g;k=e}else{if(i==0.0){j=i;k=e;break}f=i/+bT(c[b+536>>2]|0,g,996e4,9998480,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);j=f;k=c[d>>2]|0}}while(0);h[k+4040>>3]=j*2.5;return}function Vl(b){b=b|0;var d=0,e=0,f=0.0,g=0.0,i=0.0,j=0.0,k=0;d=b+416|0;e=c[d>>2]|0;f=+h[e+3992>>3];g=+h[e+3976>>3];i=f*f;do{if(g!=0.0){j=i/g;k=e}else{if(i==0.0){j=i;k=e;break}f=i/+bT(c[b+536>>2]|0,g,996e4,9998472,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);j=f;k=c[d>>2]|0}}while(0);h[k+4048>>3]=j*2.5;return}function Wl(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3736>>3]=+h[b+4400>>3]*1.666666666666667;return}function Xl(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4120>>3]=+h[b+3736>>3];return}function Yl(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1680>>3]=+h[b+4120>>3];return}function Zl(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1720>>3]=+h[b+1680>>3];return}function _l(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1688>>3]=+h[b+4120>>3];return}function $l(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1728>>3]=+h[b+1688>>3];return}function am(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1696>>3]=+h[b+4120>>3];return}function bm(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1736>>3]=+h[b+1696>>3];return}function cm(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1704>>3]=+h[b+4120>>3];return}function dm(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1744>>3]=+h[b+1704>>3];return}function em(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1712>>3]=+h[b+4120>>3];return}function fm(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1752>>3]=+h[b+1712>>3];return}function gm(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3528>>3]=+h[b+4208>>3]*1.666666666666667;return}function hm(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4088>>3]=+h[b+3528>>3];return}function im(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1800>>3]=+h[b+4088>>3];return}function jm(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1928>>3]=+h[b+1800>>3];return}function km(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1808>>3]=+h[b+4088>>3];return}function lm(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1960>>3]=+h[b+1808>>3];return}function mm(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1816>>3]=+h[b+4088>>3];return}function nm(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1992>>3]=+h[b+1816>>3];return}function om(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1824>>3]=+h[b+4088>>3];return}function pm(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2024>>3]=+h[b+1824>>3];return}function qm(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1832>>3]=+h[b+4088>>3];return}function rm(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2056>>3]=+h[b+1832>>3];return}function sm(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3496>>3]=+h[b+4184>>3]*1.666666666666667;return}function tm(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3944>>3]=+h[b+3496>>3];return}function um(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1160>>3]=+h[b+3944>>3];return}function vm(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1288>>3]=+h[b+1160>>3];return}function wm(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1168>>3]=+h[b+3944>>3];return}function xm(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1320>>3]=+h[b+1168>>3];return}function ym(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1176>>3]=+h[b+3944>>3];return}function zm(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1352>>3]=+h[b+1176>>3];return}function Am(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1184>>3]=+h[b+3944>>3];return}function Bm(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1384>>3]=+h[b+1184>>3];return}function Cm(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1192>>3]=+h[b+3944>>3];return}function Dm(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1416>>3]=+h[b+1192>>3];return}function Em(a){a=a|0;var b=0;b=c[a+420>>2]|0;c[b+100>>2]=c[b+280>>2];return}function Fm(a){a=a|0;var b=0;b=c[a+420>>2]|0;c[b+204>>2]=c[b+100>>2];return}function Gm(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3472>>3]=+h[b+4168>>3];return}function Hm(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3568>>3]=+h[b+3472>>3];return}function Im(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+872>>3]=+h[b+3440>>3];return}function Jm(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+864>>3]=+h[b+3440>>3];return}



function HC(a){a=a|0;var b=0,d=0,e=0.0;b=i;i=i+16|0;d=b|0;hj(d,c[a+536>>2]|0,5);e=+_T(d|0,3);h[(c[a+416>>2]|0)+1504>>3]=e;i=b;return}function IC(a){a=a|0;var b=0,d=0,e=0.0;b=i;i=i+16|0;d=b|0;hj(d,c[a+536>>2]|0,5);e=+_T(d|0,4);h[(c[a+416>>2]|0)+1512>>3]=e;i=b;return}function JC(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1760>>3]=+h[b+4096>>3];return}function KC(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1768>>3]=+h[b+4096>>3];return}function LC(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1776>>3]=+h[b+4096>>3];return}function MC(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1784>>3]=+h[b+4096>>3];return}function NC(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1792>>3]=+h[b+4096>>3];return}function OC(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1800>>3]=+h[b+4088>>3];return}function PC(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1808>>3]=+h[b+4088>>3];return}function QC(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1816>>3]=+h[b+4088>>3];return}function RC(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1824>>3]=+h[b+4088>>3];return}function SC(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1832>>3]=+h[b+4088>>3];return}function TC(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1840>>3]=+h[b+4096>>3];return}function UC(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1848>>3]=+h[b+4096>>3];return}function VC(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1856>>3]=+h[b+4096>>3];return}function WC(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1864>>3]=+h[b+4096>>3];return}function XC(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1872>>3]=+h[b+4096>>3];return}function YC(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1920>>3]=+h[b+1760>>3];return}function ZC(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1928>>3]=+h[b+1800>>3];return}function _C(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1936>>3]=+h[b+1840>>3];return}function $C(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1952>>3]=+h[b+1768>>3];return}function aD(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1960>>3]=+h[b+1808>>3];return}function bD(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1968>>3]=+h[b+1848>>3];return}function cD(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1984>>3]=+h[b+1776>>3];return}function dD(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1992>>3]=+h[b+1816>>3];return}function eD(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2e3>>3]=+h[b+1856>>3];return}function fD(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2016>>3]=+h[b+1784>>3];return}function gD(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2024>>3]=+h[b+1824>>3];return}function hD(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2032>>3]=+h[b+1864>>3];return}function iD(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2048>>3]=+h[b+1792>>3];return}function jD(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2056>>3]=+h[b+1832>>3];return}function kD(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2064>>3]=+h[b+1872>>3];return}function lD(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4144>>3]=+h[b+3464>>3];return}function mD(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4152>>3]=-0.0- +h[b+3448>>3];return}function nD(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4160>>3]=+h[b+3456>>3];return}function oD(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4232>>3]=+h[b+4168>>3];return}function pD(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3560>>3]=+h[b+4232>>3];return}function qD(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3808>>3]=+h[b+3560>>3];return}function rD(b){b=b|0;var d=0,e=0,f=0.0,g=0.0,i=0,j=0.0,k=0,l=0.0;d=b+416|0;e=c[d>>2]|0;f=+h[e+4176>>3]*6.283185307179586;if(f!=0.0){g=f;i=e;j=.1017764061411688/g;k=i+4240|0;h[k>>3]=j;return}l=+bT(c[b+536>>2]|0,f,45720,9998464,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);g=l;i=c[d>>2]|0;j=.1017764061411688/g;k=i+4240|0;h[k>>3]=j;return}function sD(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3912>>3]=+h[b+4240>>3]*1.666666666666667;return}function tD(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3976>>3]=+h[b+3912>>3];return}function uD(b){b=b|0;var d=0,e=0,f=0.0,g=0.0,i=0.0,j=0.0,k=0;d=b+416|0;e=c[d>>2]|0;f=+h[e+3992>>3];g=+h[e+3976>>3];i=f*f;do{if(g!=0.0){j=i/g;k=e}else{if(i==0.0){j=i;k=e;break}f=i/+bT(c[b+536>>2]|0,g,40168,9998456,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);j=f;k=c[d>>2]|0}}while(0);h[k+4048>>3]=j*2.5;return}function vD(b){b=b|0;var d=0,e=0,f=0.0,g=0.0,i=0.0,j=0.0,k=0;d=b+416|0;e=c[d>>2]|0;f=+h[e+3992>>3];g=+h[e+3976>>3];i=f*f;do{if(g!=0.0){j=i/g;k=e}else{if(i==0.0){j=i;k=e;break}f=i/+bT(c[b+536>>2]|0,g,40168,9998448,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);j=f;k=c[d>>2]|0}}while(0);h[k+4040>>3]=j*2.5;return}function wD(b){b=b|0;var d=0,e=0.0,f=0,g=0,i=0.0,j=0.0,k=0,l=0.0;d=c[(c[b+420>>2]|0)+280>>2]|0;e=+(d|0);f=b+416|0;g=c[f>>2]|0;i=+h[g+4176>>3];do{if((d|0)==0){if(i==0.0){j=i;k=g;break}l=i/+bT(c[b+536>>2]|0,e,35552,9998440,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);j=l;k=c[f>>2]|0}else{j=i/e;k=g}}while(0);h[k+4256>>3]=j*6.283185307179586;return}function xD(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3592>>3]=+h[b+4256>>3];return}function yD(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3824>>3]=+h[b+3592>>3];return}function zD(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4320>>3]=+h[b+4176>>3]*6.283185307179586;return}function AD(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3656>>3]=+h[b+4320>>3];return}function BD(b){b=b|0;var d=0,e=0.0,f=0,g=0,i=0.0,j=0.0,k=0,l=0.0;d=c[(c[b+420>>2]|0)+280>>2]|0;e=+(d|0);f=b+416|0;g=c[f>>2]|0;i=+h[g+4176>>3];do{if((d|0)==0){if(i==0.0){j=i;k=g;break}l=i/+bT(c[b+536>>2]|0,e,35552,9998432,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);j=l;k=c[f>>2]|0}else{j=i/e;k=g}}while(0);h[k+4368>>3]=j*6.283185307179586;return}function CD(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3704>>3]=+h[b+4368>>3];return}function DD(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3888>>3]=+h[b+3704>>3];return}function ED(b){b=b|0;var d=0,e=0,f=0.0,g=0.0,i=0,j=0.0,k=0,l=0.0;d=b+416|0;e=c[d>>2]|0;f=+h[e+4176>>3]*6.283185307179586;if(f!=0.0){g=f;i=e;j=2.898223593858831/g;k=i+4392|0;h[k>>3]=j;return}l=+bT(c[b+536>>2]|0,f,45720,9998424,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);g=l;i=c[d>>2]|0;j=2.898223593858831/g;k=i+4392|0;h[k>>3]=j;return}function FD(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3728>>3]=+h[b+4392>>3]*1.666666666666667;return}function GD(b){b=b|0;var d=0,e=0,f=0.0,g=0.0,i=0.0,j=0,k=0.0;d=b+416|0;e=c[d>>2]|0;f=+h[e+3520>>3];g=f*f;f=+h[e+3728>>3];do{if(g!=0.0){i=f/g;j=e}else{if(f==0.0){i=f;j=e;break}k=f/+bT(c[b+536>>2]|0,g,31208,9998416,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);i=k;j=c[d>>2]|0}}while(0);h[j+3936>>3]=i*.4;return}function HD(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4064>>3]=+h[b+3936>>3];return}function ID(b){b=b|0;var d=0,e=0,f=0.0,g=0.0,i=0.0,j=0,k=0.0;d=b+416|0;e=c[d>>2]|0;f=+h[e+3520>>3];g=f*f;f=+h[e+3728>>3];do{if(g!=0.0){i=f/g;j=e}else{if(f==0.0){i=f;j=e;break}k=f/+bT(c[b+536>>2]|0,g,31208,9998408,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);i=k;j=c[d>>2]|0}}while(0);h[j+3928>>3]=i*.4;return}function JD(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4056>>3]=+h[b+3928>>3];return}function KD(b){b=b|0;var d=0,e=0,f=0.0,g=0.0,i=0,j=0.0,k=0,l=0.0;d=b+416|0;e=c[d>>2]|0;f=+h[e+4176>>3]*6.283185307179586;if(f!=0.0){g=f;i=e;j=.1017764061411688/g;k=i+4400|0;h[k>>3]=j;return}l=+bT(c[b+536>>2]|0,f,45720,9998400,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);g=l;i=c[d>>2]|0;j=.1017764061411688/g;k=i+4400|0;h[k>>3]=j;return}function LD(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3736>>3]=+h[b+4400>>3]*1.666666666666667;return}function MD(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4120>>3]=+h[b+3736>>3];return}function ND(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1712>>3]=+h[b+4120>>3];return}function OD(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1752>>3]=+h[b+1712>>3];return}function PD(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1704>>3]=+h[b+4120>>3];return}function QD(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1744>>3]=+h[b+1704>>3];return}function RD(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1696>>3]=+h[b+4120>>3];return}function SD(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1736>>3]=+h[b+1696>>3];return}function TD(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1688>>3]=+h[b+4120>>3];return}function UD(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1728>>3]=+h[b+1688>>3];return}function VD(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1680>>3]=+h[b+4120>>3];return}function WD(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1720>>3]=+h[b+1680>>3];return}function XD(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4408>>3]=+h[b+4240>>3];return}function YD(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3920>>3]=+h[b+4408>>3]*1.666666666666667;return}function ZD(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3984>>3]=+h[b+3920>>3];return}function _D(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4016>>3]=+h[b+3984>>3];return}function $D(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2080>>3]=+h[b+3424>>3]*1.414213562373095;return}function aE(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2088>>3]=+h[b+3424>>3]*1.414213562373095;return}function bE(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2096>>3]=+h[b+3424>>3]*1.414213562373095;return}function cE(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2128>>3]=+h[b+3432>>3];return}function dE(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2136>>3]=+h[b+3432>>3];return}function eE(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2144>>3]=+h[b+3432>>3];return}function fE(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2200>>3]=+h[b+2152>>3];return}function gE(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2208>>3]=+h[b+2176>>3];return}function hE(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2216>>3]=+h[b+2080>>3];return}function iE(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2224>>3]=+h[b+2104>>3];return}function jE(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2232>>3]=+h[b+2128>>3];return}function kE(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2240>>3]=+h[b+2216>>3];return}function lE(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2248>>3]=+h[b+2232>>3];return}function mE(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2256>>3]=+h[b+2224>>3];return}function nE(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2264>>3]=+h[b+2200>>3];return}function oE(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2272>>3]=+h[b+2208>>3];return}function pE(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2280>>3]=+h[b+2160>>3];return}function qE(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2288>>3]=+h[b+2184>>3];return}function rE(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2296>>3]=+h[b+2088>>3];return}function sE(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2304>>3]=+h[b+2112>>3];return}function tE(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2312>>3]=+h[b+2136>>3];return}function uE(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2320>>3]=+h[b+2296>>3];return}function vE(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2328>>3]=+h[b+2312>>3];return}function wE(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2336>>3]=+h[b+2304>>3];return}function xE(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2344>>3]=+h[b+2280>>3];return}function yE(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2352>>3]=+h[b+2288>>3];return}function zE(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2360>>3]=+h[b+2168>>3];return}function AE(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2368>>3]=+h[b+2192>>3];return}function BE(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2376>>3]=+h[b+2096>>3];return}function CE(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2384>>3]=+h[b+2120>>3];return}function DE(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2392>>3]=+h[b+2144>>3];return}function EE(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2400>>3]=+h[b+2376>>3];return}function FE(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2408>>3]=+h[b+2392>>3];return}function GE(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2416>>3]=+h[b+2384>>3];return}function HE(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2424>>3]=+h[b+2360>>3];return}function IE(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2432>>3]=+h[b+2368>>3];return}function JE(a){a=a|0;var b=0;b=c[a+420>>2]|0;c[b+320>>2]=c[b+308>>2];return}function KE(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2520>>3]=+h[b+2464>>3];return}function LE(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2528>>3]=+h[b+2488>>3];return}function ME(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2544>>3]=+h[b+2472>>3];return}function NE(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2552>>3]=+h[b+2496>>3];return}function OE(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2568>>3]=+h[b+2480>>3];return}function PE(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2576>>3]=+h[b+2504>>3];return}function QE(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2584>>3]=+h[b+3440>>3];return}function RE(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2592>>3]=+h[b+3440>>3];return}function SE(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2600>>3]=+h[b+3440>>3];return}function TE(a){a=a|0;var b=0;b=c[a+420>>2]|0;c[b+372>>2]=c[b+356>>2];return}function UE(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4424>>3]=+h[b+4168>>3];return}function VE(a){a=a|0;var b=0;b=c[a+420>>2]|0;c[b+384>>2]=c[b+280>>2];return}function WE(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4432>>3]=+h[b+4176>>3];return}function XE(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4448>>3]=+h[b+4184>>3];return}function YE(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4456>>3]=+h[b+4192>>3];return}function ZE(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4464>>3]=+h[b+4200>>3];return}function _E(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4480>>3]=+h[b+4208>>3];return}function $E(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4488>>3]=+h[b+4216>>3];return}function aF(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4496>>3]=+h[b+4224>>3];return}function bF(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4512>>3]=+h[b+4232>>3];return}function cF(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4520>>3]=+h[b+4424>>3];return}function dF(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4536>>3]=+h[b+4248>>3];return}function eF(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4544>>3]=+h[b+4256>>3];return}function fF(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4552>>3]=+h[b+4264>>3];return}function gF(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4592>>3]=+h[b+4304>>3];return}function hF(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4600>>3]=+h[b+4312>>3];return}function iF(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4608>>3]=+h[b+4320>>3];return}function jF(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4640>>3]=+h[b+4352>>3];return}function kF(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4648>>3]=+h[b+4360>>3];return}function lF(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4656>>3]=+h[b+4368>>3];return}function mF(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4664>>3]=+h[b+4376>>3];return}function nF(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4680>>3]=+h[b+4392>>3];return}function oF(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4688>>3]=+h[b+4400>>3];return}function pF(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4760>>3]=+h[b+4512>>3];return}function qF(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4768>>3]=+h[b+4536>>3];return}function rF(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4776>>3]=+h[b+4544>>3];return}function sF(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4784>>3]=+h[b+4552>>3];return}function tF(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4824>>3]=+h[b+4640>>3];return}function uF(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4832>>3]=+h[b+4648>>3];return}function vF(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4840>>3]=+h[b+4656>>3];return}function wF(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4848>>3]=+h[b+4664>>3];return}function xF(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4864>>3]=+h[b+4240>>3];return}function yF(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4872>>3]=+h[b+4408>>3];return}function zF(b){b=b|0;var d=0,e=0,f=0.0,g=0.0,i=0.0,j=0,k=0.0;d=b+416|0;e=c[d>>2]|0;f=+h[e+4472>>3];g=f*f*3.0;f=+h[e+4680>>3];do{if(g!=0.0){i=f/g;j=e}else{if(f==0.0){i=f;j=e;break}k=f/+bT(c[b+536>>2]|0,g,27264,9998392,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);i=k;j=c[d>>2]|0}}while(0);h[j+4880>>3]=i*2.0;return}function AF(b){b=b|0;var d=0,e=0,f=0.0,g=0.0,i=0.0,j=0,k=0.0;d=b+416|0;e=c[d>>2]|0;f=+h[e+4472>>3];g=f*f*3.0;f=+h[e+4680>>3];do{if(g!=0.0){i=f/g;j=e}else{if(f==0.0){i=f;j=e;break}k=f/+bT(c[b+536>>2]|0,g,27264,9998384,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);i=k;j=c[d>>2]|0}}while(0);h[j+4888>>3]=i*2.0;return}function BF(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4896>>3]=+h[b+4448>>3];return}function CF(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4904>>3]=+h[b+4456>>3];return}function DF(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4912>>3]=+h[b+4464>>3];return}function EF(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4920>>3]=+h[b+4440>>3];return}function FF(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4928>>3]=+h[b+4864>>3];return}function GF(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4936>>3]=+h[b+4872>>3];return}function HF(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4944>>3]=+h[b+4472>>3];return}function IF(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4968>>3]=+h[b+4936>>3];return}function JF(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2704>>3]=+h[b+4944>>3];return}function KF(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2712>>3]=+h[b+4944>>3];return}function LF(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2720>>3]=+h[b+4944>>3];return}function MF(a){a=a|0;var b=0,d=0,e=0.0;b=i;i=i+16|0;d=b|0;hj(d,c[a+536>>2]|0,3);e=+_T(d|0,0);h[(c[a+416>>2]|0)+2728>>3]=e;i=b;return}function NF(a){a=a|0;var b=0,d=0,e=0.0;b=i;i=i+16|0;d=b|0;hj(d,c[a+536>>2]|0,3);e=+_T(d|0,1);h[(c[a+416>>2]|0)+2736>>3]=e;i=b;return}function OF(a){a=a|0;var b=0,d=0,e=0.0;b=i;i=i+16|0;d=b|0;hj(d,c[a+536>>2]|0,3);e=+_T(d|0,2);h[(c[a+416>>2]|0)+2744>>3]=e;i=b;return}function PF(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2848>>3]=+h[b+4920>>3];return}function QF(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2856>>3]=+h[b+4920>>3];return}function RF(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2864>>3]=+h[b+4920>>3];return}function SF(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2872>>3]=+h[b+4896>>3];return}function TF(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2880>>3]=+h[b+4896>>3];return}function UF(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2888>>3]=+h[b+4896>>3];return}function VF(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2896>>3]=+h[b+4904>>3];return}function WF(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2904>>3]=+h[b+4904>>3];return}function XF(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2912>>3]=+h[b+4904>>3];return}function YF(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2944>>3]=+h[b+2848>>3];return}function ZF(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2952>>3]=+h[b+2872>>3];return}function _F(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2960>>3]=+h[b+2896>>3];return}function $F(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2976>>3]=+h[b+2856>>3];return}function aG(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2984>>3]=+h[b+2880>>3];return}function bG(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2992>>3]=+h[b+2904>>3];return}function cG(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3008>>3]=+h[b+2864>>3];return}function dG(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3016>>3]=+h[b+2888>>3];return}function eG(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3024>>3]=+h[b+2912>>3];return}function fG(b){b=b|0;var d=0,e=0,f=0.0,g=0.0,i=0.0,j=0.0,k=0;d=b+416|0;e=c[d>>2]|0;f=+h[e+4944>>3];g=+h[e+4928>>3];i=f*f;do{if(g!=0.0){j=i/g;k=e}else{if(i==0.0){j=i;k=e;break}f=i/+bT(c[b+536>>2]|0,g,24024,9998376,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);j=f;k=c[d>>2]|0}}while(0);h[k+4992>>3]=j*1.5;return}function gG(b){b=b|0;var d=0,e=0,f=0.0,g=0.0,i=0.0,j=0.0,k=0;d=b+416|0;e=c[d>>2]|0;f=+h[e+4944>>3];g=+h[e+4928>>3];i=f*f;do{if(g!=0.0){j=i/g;k=e}else{if(i==0.0){j=i;k=e;break}f=i/+bT(c[b+536>>2]|0,g,24024,9998368,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);j=f;k=c[d>>2]|0}}while(0);h[k+5e3>>3]=j*1.5;return}function hG(a){a=a|0;var b=0;b=c[a+420>>2]|0;c[b+488>>2]=c[b+384>>2];return}function iG(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+5008>>3]=+h[b+4880>>3];return}function jG(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+5016>>3]=+h[b+4888>>3];return}function kG(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+5040>>3]=+h[b+4480>>3];return}function lG(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+5048>>3]=+h[b+4488>>3];return}function mG(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+5056>>3]=+h[b+4496>>3];return}function nG(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+5064>>3]=+h[b+4488>>3];return}function oG(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+5072>>3]=+h[b+4688>>3];return}function pG(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+5080>>3]=+h[b+4472>>3];return}function qG(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3040>>3]=+h[b+5080>>3];return}function rG(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3048>>3]=+h[b+5080>>3];return}function sG(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3056>>3]=+h[b+5080>>3];return}function tG(a){a=a|0;var b=0,d=0,e=0.0;b=i;i=i+16|0;d=b|0;hj(d,c[a+536>>2]|0,3);e=+_T(d|0,0);h[(c[a+416>>2]|0)+3064>>3]=e;i=b;return}function uG(a){a=a|0;var b=0,d=0,e=0.0;b=i;i=i+16|0;d=b|0;hj(d,c[a+536>>2]|0,3);e=+_T(d|0,1);h[(c[a+416>>2]|0)+3072>>3]=e;i=b;return}function vG(a){a=a|0;var b=0,d=0,e=0.0;b=i;i=i+16|0;d=b|0;hj(d,c[a+536>>2]|0,3);e=+_T(d|0,2);h[(c[a+416>>2]|0)+3080>>3]=e;i=b;return}function wG(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3184>>3]=+h[b+5072>>3];return}function xG(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3192>>3]=+h[b+5072>>3];return}function yG(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3200>>3]=+h[b+5072>>3];return}function zG(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3208>>3]=+h[b+3184>>3];return}function AG(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3216>>3]=+h[b+3192>>3];return}function BG(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3224>>3]=+h[b+3200>>3];return}function CG(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3232>>3]=+h[b+5048>>3];return}function DG(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3240>>3]=+h[b+5048>>3];return}function EG(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3248>>3]=+h[b+5048>>3];return}function FG(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3256>>3]=+h[b+5040>>3];return}function GG(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3264>>3]=+h[b+5040>>3];return}function HG(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3272>>3]=+h[b+5040>>3];return}function IG(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3280>>3]=+h[b+5048>>3];return}function JG(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3288>>3]=+h[b+5048>>3];return}function KG(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3296>>3]=+h[b+5048>>3];return}function LG(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3328>>3]=+h[b+3232>>3];return}function MG(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3336>>3]=+h[b+3256>>3];return}function NG(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3344>>3]=+h[b+3280>>3];return}function OG(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3360>>3]=+h[b+3240>>3];return}function PG(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3368>>3]=+h[b+3264>>3];return}function QG(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3376>>3]=+h[b+3288>>3];return}function RG(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3392>>3]=+h[b+3248>>3];return}function SG(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3400>>3]=+h[b+3272>>3];return}function TG(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3408>>3]=+h[b+3296>>3];return}function UG(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+5096>>3]=+h[b+3464>>3];return}function VG(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+5104>>3]=-0.0- +h[b+3448>>3];return}function WG(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+5112>>3]=+h[b+3456>>3];return}function XG(b){b=b|0;var d=0,e=0;d=i;if(a[9998360]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+5112>>3],1.0e-15)|0)<<24>>24==0)){i=d;return}b=NT(9979480,JT(+h[(c[e>>2]|0)+5112>>3],9983456)|0)|0;re[c[2160]&15](9997080,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9998360]=1;i=d;return}function YG(b){b=b|0;var d=0,e=0;d=i;if(a[9998352]|0){i=d;return}e=b+420|0;b=rW(+(c[(c[e>>2]|0)+556>>2]|0),1.0)|0;if(!(b<<24>>24==0|(qW(+(c[(c[e>>2]|0)+556>>2]|0),5.0)|0)<<24>>24==0)){i=d;return}b=NT(9970448,LT(c[(c[e>>2]|0)+556>>2]|0,9973088)|0)|0;re[c[2160]&15](9995672,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9998352]=1;i=d;return}function ZG(b){b=b|0;var d=0,e=0;d=i;if(a[9998344]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+5096>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9968424,JT(+h[(c[e>>2]|0)+5096>>3],9983456)|0)|0;re[c[2160]&15](9995640,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9998344]=1;i=d;return}function _G(b){b=b|0;var d=0,e=0;d=i;if(a[9998336]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+3408>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9966208,JT(+h[(c[e>>2]|0)+3408>>3],9983456)|0)|0;re[c[2160]&15](9996632,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9998336]=1;i=d;return}function $G(b){b=b|0;var d=0,e=0;d=i;if(a[9998328]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+3392>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9961880,JT(+h[(c[e>>2]|0)+3392>>3],9983456)|0)|0;re[c[2160]&15](9995096,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9998328]=1;i=d;return}function aH(b){b=b|0;var d=0,e=0;d=i;if(a[9998320]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+3376>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9957736,JT(+h[(c[e>>2]|0)+3376>>3],9983456)|0)|0;re[c[2160]&15](9996632,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9998320]=1;i=d;return}function bH(b){b=b|0;var d=0,e=0;d=i;if(a[9998312]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+3360>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9955568,JT(+h[(c[e>>2]|0)+3360>>3],9983456)|0)|0;re[c[2160]&15](9995096,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9998312]=1;i=d;return}function cH(b){b=b|0;var d=0,e=0;d=i;if(a[9998304]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+3344>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9953048,JT(+h[(c[e>>2]|0)+3344>>3],9983456)|0)|0;re[c[2160]&15](9996632,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9998304]=1;i=d;return}function dH(b){b=b|0;var d=0,e=0;d=i;if(a[9998296]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+3328>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9951296,JT(+h[(c[e>>2]|0)+3328>>3],9983456)|0)|0;re[c[2160]&15](9995096,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9998296]=1;i=d;return}function eH(b){b=b|0;var d=0,e=0;d=i;if(a[9998288]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+3296>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9949304,JT(+h[(c[e>>2]|0)+3296>>3],9983456)|0)|0;re[c[2160]&15](9996560,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9998288]=1;i=d;return}function fH(b){b=b|0;var d=0,e=0;d=i;if(a[9998280]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+3288>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9944928,JT(+h[(c[e>>2]|0)+3288>>3],9983456)|0)|0;re[c[2160]&15](9996560,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9998280]=1;i=d;return}function gH(b){b=b|0;var d=0,e=0;d=i;if(a[9998272]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+3280>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9942656,JT(+h[(c[e>>2]|0)+3280>>3],9983456)|0)|0;re[c[2160]&15](9996560,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9998272]=1;i=d;return}function hH(b){b=b|0;var d=0,e=0;d=i;if(a[9998264]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+3248>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9940816,JT(+h[(c[e>>2]|0)+3248>>3],9983456)|0)|0;re[c[2160]&15](9994904,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9998264]=1;i=d;return}function iH(b){b=b|0;var d=0,e=0;d=i;if(a[9998256]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+3240>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9939008,JT(+h[(c[e>>2]|0)+3240>>3],9983456)|0)|0;re[c[2160]&15](9994904,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9998256]=1;i=d;return}function jH(b){b=b|0;var d=0,e=0;d=i;if(a[9998248]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+3232>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9937072,JT(+h[(c[e>>2]|0)+3232>>3],9983456)|0)|0;re[c[2160]&15](9994904,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9998248]=1;i=d;return}function kH(b){b=b|0;var d=0,e=0;d=i;if(a[9998240]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+552>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(8090808,LT(c[(c[e>>2]|0)+552>>2]|0,9973088)|0)|0;re[c[2160]&15](9994872,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9998240]=1;i=d;return}function lH(b){b=b|0;var d=0,e=0;d=i;if(a[9998232]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+548>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(56280,LT(c[(c[e>>2]|0)+548>>2]|0,9973088)|0)|0;re[c[2160]&15](9994768,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9998232]=1;i=d;return}function mH(b){b=b|0;var d=0,e=0;d=i;if(a[9998224]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+544>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(54488,LT(c[(c[e>>2]|0)+544>>2]|0,9973088)|0)|0;re[c[2160]&15](9994768,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9998224]=1;i=d;return}function nH(b){b=b|0;var d=0,e=0;d=i;if(a[9998216]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+540>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(52112,LT(c[(c[e>>2]|0)+540>>2]|0,9973088)|0)|0;re[c[2160]&15](9994800,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9998216]=1;i=d;return}function oH(b){b=b|0;var d=0,e=0;d=i;if(a[9998208]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+536>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(50024,LT(c[(c[e>>2]|0)+536>>2]|0,9973088)|0)|0;re[c[2160]&15](9994768,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9998208]=1;i=d;return}function pH(b){b=b|0;var d=0,e=0;d=i;if(a[9998200]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+532>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(49408,LT(c[(c[e>>2]|0)+532>>2]|0,9973088)|0)|0;re[c[2160]&15](9994768,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9998200]=1;i=d;return}function qH(b){b=b|0;var d=0,e=0;d=i;if(a[9998192]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+528>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(48784,LT(c[(c[e>>2]|0)+528>>2]|0,9973088)|0)|0;re[c[2160]&15](9994800,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9998192]=1;i=d;return}function rH(b){b=b|0;var d=0,e=0;d=i;if(a[9998184]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+524>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(48184,LT(c[(c[e>>2]|0)+524>>2]|0,9973088)|0)|0;re[c[2160]&15](9994768,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9998184]=1;i=d;return}function sH(b){b=b|0;var d=0,e=0;d=i;if(a[9998176]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+520>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(47480,LT(c[(c[e>>2]|0)+520>>2]|0,9973088)|0)|0;re[c[2160]&15](9994768,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9998176]=1;i=d;return}function tH(b){b=b|0;var d=0,e=0;d=i;if(a[9998168]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+512>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(46880,LT(c[(c[e>>2]|0)+512>>2]|0,9973088)|0)|0;re[c[2160]&15](9996056,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9998168]=1;i=d;return}function uH(b){b=b|0;var d=0,e=0;d=i;if(a[9998160]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+508>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(44880,LT(c[(c[e>>2]|0)+508>>2]|0,9973088)|0)|0;re[c[2160]&15](9994768,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9998160]=1;i=d;return}function vH(b){b=b|0;var d=0,e=0;d=i;if(a[9998152]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+504>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(44448,LT(c[(c[e>>2]|0)+504>>2]|0,9973088)|0)|0;re[c[2160]&15](9994736,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9998152]=1;i=d;return}function wH(b){b=b|0;var d=0,e=0;d=i;if(a[9998144]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+500>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(43944,LT(c[(c[e>>2]|0)+500>>2]|0,9973088)|0)|0;re[c[2160]&15](9994768,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9998144]=1;i=d;return}function xH(b){b=b|0;var d=0,e=0;d=i;if(a[9998136]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+496>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(43512,LT(c[(c[e>>2]|0)+496>>2]|0,9973088)|0)|0;re[c[2160]&15](9994736,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9998136]=1;i=d;return}function yH(b){b=b|0;var d=0,e=0;d=i;if(a[9998128]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+5064>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(42984,JT(+h[(c[e>>2]|0)+5064>>3],9983456)|0)|0;re[c[2160]&15](9996760,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9998128]=1;i=d;return}function zH(b){b=b|0;var d=0,e=0;d=i;if(a[9998120]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+5048>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(42160,JT(+h[(c[e>>2]|0)+5048>>3],9983456)|0)|0;re[c[2160]&15](9996728,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9998120]=1;i=d;return}function AH(b){b=b|0;var d=0,e=0;d=i;if(a[9998112]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+3024>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(41616,JT(+h[(c[e>>2]|0)+3024>>3],9983456)|0)|0;re[c[2160]&15](9996632,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9998112]=1;i=d;return}function BH(b){b=b|0;var d=0,e=0;d=i;if(a[9998104]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+3008>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(41208,JT(+h[(c[e>>2]|0)+3008>>3],9983456)|0)|0;re[c[2160]&15](9995096,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9998104]=1;i=d;return}function CH(b){b=b|0;var d=0,e=0;d=i;if(a[9998096]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+2992>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(40720,JT(+h[(c[e>>2]|0)+2992>>3],9983456)|0)|0;re[c[2160]&15](9996632,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9998096]=1;i=d;return}function DH(b){b=b|0;var d=0,e=0;d=i;if(a[9998088]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+2976>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(39632,JT(+h[(c[e>>2]|0)+2976>>3],9983456)|0)|0;re[c[2160]&15](9995096,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9998088]=1;i=d;return}function EH(b){b=b|0;var d=0,e=0;d=i;if(a[9998080]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+2960>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(39240,JT(+h[(c[e>>2]|0)+2960>>3],9983456)|0)|0;re[c[2160]&15](9996632,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9998080]=1;i=d;return}function FH(b){b=b|0;var d=0,e=0;d=i;if(a[9998072]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+2944>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(38896,JT(+h[(c[e>>2]|0)+2944>>3],9983456)|0)|0;re[c[2160]&15](9995096,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9998072]=1;i=d;return}function GH(b){b=b|0;var d=0,e=0;d=i;if(a[9998064]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+2912>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(38504,JT(+h[(c[e>>2]|0)+2912>>3],9983456)|0)|0;re[c[2160]&15](9996560,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9998064]=1;i=d;return}function HH(b){b=b|0;var d=0,e=0;d=i;if(a[9998056]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+2904>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(38144,JT(+h[(c[e>>2]|0)+2904>>3],9983456)|0)|0;re[c[2160]&15](9996560,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9998056]=1;i=d;return}function IH(b){b=b|0;var d=0,e=0;d=i;if(a[9998048]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+2896>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(37672,JT(+h[(c[e>>2]|0)+2896>>3],9983456)|0)|0;re[c[2160]&15](9996560,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9998048]=1;i=d;return}function JH(b){b=b|0;var d=0,e=0;d=i;if(a[9998040]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+2864>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(37336,JT(+h[(c[e>>2]|0)+2864>>3],9983456)|0)|0;re[c[2160]&15](9994904,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9998040]=1;i=d;return}function KH(b){b=b|0;var d=0,e=0;d=i;if(a[9998032]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+2856>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(36840,JT(+h[(c[e>>2]|0)+2856>>3],9983456)|0)|0;re[c[2160]&15](9994904,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9998032]=1;i=d;return}function LH(b){b=b|0;var d=0,e=0;d=i;if(a[9998024]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+2848>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(36504,JT(+h[(c[e>>2]|0)+2848>>3],9983456)|0)|0;re[c[2160]&15](9994904,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9998024]=1;i=d;return}function MH(b){b=b|0;var d=0,e=0;d=i;if(a[9998016]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+484>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(35976,LT(c[(c[e>>2]|0)+484>>2]|0,9973088)|0)|0;re[c[2160]&15](9994872,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9998016]=1;i=d;return}function NH(b){b=b|0;var d=0,e=0;d=i;if(a[9998008]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+480>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(34984,LT(c[(c[e>>2]|0)+480>>2]|0,9973088)|0)|0;re[c[2160]&15](9994768,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9998008]=1;i=d;return}function OH(b){b=b|0;var d=0,e=0;d=i;if(a[9998e3]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+476>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(34656,LT(c[(c[e>>2]|0)+476>>2]|0,9973088)|0)|0;re[c[2160]&15](9994768,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9998e3]=1;i=d;return}function PH(b){b=b|0;var d=0,e=0;d=i;if(a[9997992]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+472>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(34224,LT(c[(c[e>>2]|0)+472>>2]|0,9973088)|0)|0;re[c[2160]&15](9994800,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997992]=1;i=d;return}function QH(b){b=b|0;var d=0,e=0;d=i;if(a[9997984]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+468>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(33896,LT(c[(c[e>>2]|0)+468>>2]|0,9973088)|0)|0;re[c[2160]&15](9994768,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997984]=1;i=d;return}function RH(b){b=b|0;var d=0,e=0;d=i;if(a[9997976]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+464>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(33352,LT(c[(c[e>>2]|0)+464>>2]|0,9973088)|0)|0;re[c[2160]&15](9994768,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997976]=1;i=d;return}function SH(b){b=b|0;var d=0,e=0;d=i;if(a[9997968]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+4984>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(33176,JT(+h[(c[e>>2]|0)+4984>>3],9983456)|0)|0;re[c[2160]&15](9996440,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997968]=1;i=d;return}function TH(b){b=b|0;var d=0,e=0;d=i;if(a[9997960]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+4976>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(32808,JT(+h[(c[e>>2]|0)+4976>>3],9983456)|0)|0;re[c[2160]&15](9996408,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997960]=1;i=d;return}function UH(b){b=b|0;var d=0,e=0;d=i;if(a[9997952]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+456>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(32432,LT(c[(c[e>>2]|0)+456>>2]|0,9973088)|0)|0;re[c[2160]&15](9994768,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997952]=1;i=d;return}function VH(b){b=b|0;var d=0,e=0;d=i;if(a[9997944]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+452>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(31936,LT(c[(c[e>>2]|0)+452>>2]|0,9973088)|0)|0;re[c[2160]&15](9994768,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997944]=1;i=d;return}function WH(b){b=b|0;var d=0,e=0;d=i;if(a[9997936]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+448>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(31632,LT(c[(c[e>>2]|0)+448>>2]|0,9973088)|0)|0;re[c[2160]&15](9994800,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997936]=1;i=d;return}function XH(b){b=b|0;var d=0,e=0;d=i;if(a[9997928]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+444>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(30824,LT(c[(c[e>>2]|0)+444>>2]|0,9973088)|0)|0;re[c[2160]&15](9994768,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997928]=1;i=d;return}function YH(b){b=b|0;var d=0,e=0;d=i;if(a[9997920]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+440>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(30608,LT(c[(c[e>>2]|0)+440>>2]|0,9973088)|0)|0;re[c[2160]&15](9994768,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997920]=1;i=d;return}function ZH(b){b=b|0;var d=0,e=0;d=i;if(a[9997912]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+4920>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(30264,JT(+h[(c[e>>2]|0)+4920>>3],9983456)|0)|0;re[c[2160]&15](9996336,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997912]=1;i=d;return}function _H(b){b=b|0;var d=0,e=0;d=i;if(a[9997904]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+4904>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(29816,JT(+h[(c[e>>2]|0)+4904>>3],9983456)|0)|0;re[c[2160]&15](9996304,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997904]=1;i=d;return}function $H(b){b=b|0;var d=0,e=0;d=i;if(a[9997896]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+432>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(29304,LT(c[(c[e>>2]|0)+432>>2]|0,9973088)|0)|0;re[c[2160]&15](9994768,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997896]=1;i=d;return}function aI(b){b=b|0;var d=0,e=0;d=i;if(a[9997888]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+428>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(28912,LT(c[(c[e>>2]|0)+428>>2]|0,9973088)|0)|0;re[c[2160]&15](9994768,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997888]=1;i=d;return}function bI(b){b=b|0;var d=0,e=0;d=i;if(a[9997880]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+4848>>3],1.0e-60)|0)<<24>>24==0)){i=d;return}b=NT(28600,JT(+h[(c[e>>2]|0)+4848>>3],9983456)|0)|0;re[c[2160]&15](9996024,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997880]=1;i=d;return}function cI(b){b=b|0;var d=0,e=0;d=i;if(a[9997872]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+4840>>3],1.0e-60)|0)<<24>>24==0)){i=d;return}b=NT(27904,JT(+h[(c[e>>2]|0)+4840>>3],9983456)|0)|0;re[c[2160]&15](9995992,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997872]=1;i=d;return}function dI(b){b=b|0;var d=0,e=0;d=i;if(a[9997864]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+4832>>3],1.0e-60)|0)<<24>>24==0)){i=d;return}b=NT(27704,JT(+h[(c[e>>2]|0)+4832>>3],9983456)|0)|0;re[c[2160]&15](9995960,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997864]=1;i=d;return}function eI(b){b=b|0;var d=0,e=0;d=i;if(a[9997856]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+4824>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(27032,JT(+h[(c[e>>2]|0)+4824>>3],9983456)|0)|0;re[c[2160]&15](9995928,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997856]=1;i=d;return}function fI(b){b=b|0;var d=0,e=0;d=i;if(a[9997848]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+424>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(26840,LT(c[(c[e>>2]|0)+424>>2]|0,9973088)|0)|0;re[c[2160]&15](9994800,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997848]=1;i=d;return}function gI(b){b=b|0;var d=0,e=0;d=i;if(a[9997840]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+4784>>3],1.0e-60)|0)<<24>>24==0)){i=d;return}b=NT(26568,JT(+h[(c[e>>2]|0)+4784>>3],9983456)|0)|0;re[c[2160]&15](9995768,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997840]=1;i=d;return}function hI(b){b=b|0;var d=0,e=0;d=i;if(a[9997832]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+4776>>3],1.0e-60)|0)<<24>>24==0)){i=d;return}b=NT(26360,JT(+h[(c[e>>2]|0)+4776>>3],9983456)|0)|0;re[c[2160]&15](9995736,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997832]=1;i=d;return}function iI(b){b=b|0;var d=0,e=0;d=i;if(a[9997824]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+4768>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(26128,JT(+h[(c[e>>2]|0)+4768>>3],9983456)|0)|0;re[c[2160]&15](9995704,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997824]=1;i=d;return}function jI(b){b=b|0;var d=0,e=0;d=i;if(a[9997816]|0){i=d;return}e=b+420|0;b=rW(+(c[(c[e>>2]|0)+420>>2]|0),1.0)|0;if(!(b<<24>>24==0|(qW(+(c[(c[e>>2]|0)+420>>2]|0),5.0)|0)<<24>>24==0)){i=d;return}b=NT(25752,LT(c[(c[e>>2]|0)+420>>2]|0,9973088)|0)|0;re[c[2160]&15](9995672,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997816]=1;i=d;return}function kI(b){b=b|0;var d=0,e=0;d=i;if(a[9997808]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+4760>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(25520,JT(+h[(c[e>>2]|0)+4760>>3],9983456)|0)|0;re[c[2160]&15](9995640,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997808]=1;i=d;return}function lI(b){b=b|0;var d=0,e=0;d=i;if(a[9997800]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+4736>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(25168,JT(+h[(c[e>>2]|0)+4736>>3],9983456)|0)|0;re[c[2160]&15](9996176,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997800]=1;i=d;return}function mI(b){b=b|0;var d=0,e=0;d=i;if(a[9997792]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+4728>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(24808,JT(+h[(c[e>>2]|0)+4728>>3],9983456)|0)|0;re[c[2160]&15](9996120,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997792]=1;i=d;return}function nI(b){b=b|0;var d=0,e=0;d=i;if(a[9997784]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+4720>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(24488,JT(+h[(c[e>>2]|0)+4720>>3],9983456)|0)|0;re[c[2160]&15](9996120,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997784]=1;i=d;return}function oI(b){b=b|0;var d=0,e=0;d=i;if(a[9997776]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+4712>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(23392,JT(+h[(c[e>>2]|0)+4712>>3],9983456)|0)|0;re[c[2160]&15](9996120,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997776]=1;i=d;return}function pI(b){b=b|0;var d=0,e=0;d=i;if(a[9997768]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+4704>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(23112,JT(+h[(c[e>>2]|0)+4704>>3],9983456)|0)|0;re[c[2160]&15](9996120,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997768]=1;i=d;return}function qI(b){b=b|0;var d=0,e=0;d=i;if(a[9997760]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+4696>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(22928,JT(+h[(c[e>>2]|0)+4696>>3],9983456)|0)|0;re[c[2160]&15](9996088,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997760]=1;i=d;return}function rI(b){b=b|0;var d=0,e=0;d=i;if(a[9997752]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+416>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(22544,LT(c[(c[e>>2]|0)+416>>2]|0,9973088)|0)|0;re[c[2160]&15](9996056,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997752]=1;i=d;return}function sI(b){b=b|0;var d=0,e=0;d=i;if(a[9997744]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+4664>>3],1.0e-60)|0)<<24>>24==0)){i=d;return}b=NT(22304,JT(+h[(c[e>>2]|0)+4664>>3],9983456)|0)|0;re[c[2160]&15](9996024,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997744]=1;i=d;return}function tI(b){b=b|0;var d=0,e=0;d=i;if(a[9997736]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+4656>>3],1.0e-60)|0)<<24>>24==0)){i=d;return}b=NT(22096,JT(+h[(c[e>>2]|0)+4656>>3],9983456)|0)|0;re[c[2160]&15](9995992,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997736]=1;i=d;return}function uI(b){b=b|0;var d=0,e=0;d=i;if(a[9997728]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+4648>>3],1.0e-60)|0)<<24>>24==0)){i=d;return}b=NT(21784,JT(+h[(c[e>>2]|0)+4648>>3],9983456)|0)|0;re[c[2160]&15](9995960,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997728]=1;i=d;return}function vI(b){b=b|0;var d=0,e=0;d=i;if(a[9997720]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+4640>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(21480,JT(+h[(c[e>>2]|0)+4640>>3],9983456)|0)|0;re[c[2160]&15](9995928,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997720]=1;i=d;return}function wI(b){b=b|0;var d=0,e=0;d=i;if(a[9997712]|0){i=d;return}e=b+416|0;b=rW(+h[(c[e>>2]|0)+4616>>3],0.0)|0;if(!(b<<24>>24==0|(qW(+h[(c[e>>2]|0)+4616>>3],1.0)|0)<<24>>24==0)){i=d;return}b=NT(9984120,JT(+h[(c[e>>2]|0)+4616>>3],9983456)|0)|0;re[c[2160]&15](9995896,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997712]=1;i=d;return}function xI(b){b=b|0;var d=0,e=0;d=i;if(a[9997704]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+4608>>3],1.0e-60)|0)<<24>>24==0)){i=d;return}b=NT(9983896,JT(+h[(c[e>>2]|0)+4608>>3],9983456)|0)|0;re[c[2160]&15](9995864,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997704]=1;i=d;return}function yI(b){b=b|0;var d=0,e=0;d=i;if(a[9997696]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+4600>>3],1.0e-60)|0)<<24>>24==0)){i=d;return}b=NT(9983112,JT(+h[(c[e>>2]|0)+4600>>3],9983456)|0)|0;re[c[2160]&15](9995832,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997696]=1;i=d;return}function zI(b){b=b|0;var d=0,e=0;d=i;if(a[9997688]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+4592>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9982896,JT(+h[(c[e>>2]|0)+4592>>3],9983456)|0)|0;re[c[2160]&15](9995800,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997688]=1;i=d;return}function AI(b){b=b|0;var d=0,e=0;d=i;if(a[9997680]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+4552>>3],1.0e-60)|0)<<24>>24==0)){i=d;return}b=NT(9982504,JT(+h[(c[e>>2]|0)+4552>>3],9983456)|0)|0;re[c[2160]&15](9995768,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997680]=1;i=d;return}function BI(b){b=b|0;var d=0,e=0;d=i;if(a[9997672]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+4544>>3],1.0e-60)|0)<<24>>24==0)){i=d;return}b=NT(9982152,JT(+h[(c[e>>2]|0)+4544>>3],9983456)|0)|0;re[c[2160]&15](9995736,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997672]=1;i=d;return}function CI(b){b=b|0;var d=0,e=0;d=i;if(a[9997664]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+4536>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9981808,JT(+h[(c[e>>2]|0)+4536>>3],9983456)|0)|0;re[c[2160]&15](9995704,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997664]=1;i=d;return}function DI(b){b=b|0;var d=0,e=0;d=i;if(a[9997656]|0){i=d;return}e=b+420|0;b=rW(+(c[(c[e>>2]|0)+400>>2]|0),1.0)|0;if(!(b<<24>>24==0|(qW(+(c[(c[e>>2]|0)+400>>2]|0),5.0)|0)<<24>>24==0)){i=d;return}b=NT(9981416,LT(c[(c[e>>2]|0)+400>>2]|0,9973088)|0)|0;re[c[2160]&15](9995672,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997656]=1;i=d;return}function EI(b){b=b|0;var d=0,e=0;d=i;if(a[9997648]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+4520>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9981168,JT(+h[(c[e>>2]|0)+4520>>3],9983456)|0)|0;re[c[2160]&15](9995640,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997648]=1;i=d;return}function FI(b){b=b|0;var d=0,e=0;d=i;if(a[9997640]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+392>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(9980912,LT(c[(c[e>>2]|0)+392>>2]|0,9973088)|0)|0;re[c[2160]&15](9994768,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997640]=1;i=d;return}function GI(b){b=b|0;var d=0,e=0;d=i;if(a[9997632]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+388>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(9980344,LT(c[(c[e>>2]|0)+388>>2]|0,9973088)|0)|0;re[c[2160]&15](9994768,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997632]=1;i=d;return}function HI(b){b=b|0;var d=0,e=0;d=i;if(a[9997624]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+4504>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9979968,JT(+h[(c[e>>2]|0)+4504>>3],9983456)|0)|0;re[c[2160]&15](9995592,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997624]=1;i=d;return}function II(b){b=b|0;var d=0,e=0;d=i;if(a[9997616]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+4488>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9979184,JT(+h[(c[e>>2]|0)+4488>>3],9983456)|0)|0;re[c[2160]&15](9995560,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997616]=1;i=d;return}function JI(b){b=b|0;var d=0,e=0;d=i;if(a[9997608]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+4456>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9978936,JT(+h[(c[e>>2]|0)+4456>>3],9983456)|0)|0;re[c[2160]&15](9995528,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997608]=1;i=d;return}function KI(b){b=b|0;var d=0,e=0;d=i;if(a[9997600]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+4440>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9978616,JT(+h[(c[e>>2]|0)+4440>>3],9983456)|0)|0;re[c[2160]&15](9995496,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997600]=1;i=d;return}function LI(b){b=b|0;var d=0,e=0;d=i;if(a[9997592]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+384>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(9978280,LT(c[(c[e>>2]|0)+384>>2]|0,9973088)|0)|0;re[c[2160]&15](9995464,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997592]=1;i=d;return}function MI(b){b=b|0;var d=0,e=0;d=i;if(a[9997584]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+380>>2]|0),3.0)|0)<<24>>24==0)){i=d;return}b=NT(9978040,LT(c[(c[e>>2]|0)+380>>2]|0,9973088)|0)|0;re[c[2160]&15](9995432,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997584]=1;i=d;return}function NI(b){b=b|0;var d=0,e=0;d=i;if(a[9997576]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+376>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(9977728,LT(c[(c[e>>2]|0)+376>>2]|0,9973088)|0)|0;re[c[2160]&15](9994768,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997576]=1;i=d;return}function OI(b){b=b|0;var d=0,e=0;d=i;if(a[9997568]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+372>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(9977576,LT(c[(c[e>>2]|0)+372>>2]|0,9973088)|0)|0;re[c[2160]&15](9994736,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997568]=1;i=d;return}function PI(b){b=b|0;var d=0,e=0;d=i;if(a[9997560]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+368>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(9977288,LT(c[(c[e>>2]|0)+368>>2]|0,9973088)|0)|0;re[c[2160]&15](9994768,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997560]=1;i=d;return}function QI(b){b=b|0;var d=0,e=0;d=i;if(a[9997552]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+364>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(9976832,LT(c[(c[e>>2]|0)+364>>2]|0,9973088)|0)|0;re[c[2160]&15](9994768,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997552]=1;i=d;return}function RI(b){b=b|0;var d=0,e=0;d=i;if(a[9997544]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+360>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(9976672,LT(c[(c[e>>2]|0)+360>>2]|0,9973088)|0)|0;re[c[2160]&15](9994768,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997544]=1;i=d;return}function SI(b){b=b|0;var d=0,e=0;d=i;if(a[9997536]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+352>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(9975976,LT(c[(c[e>>2]|0)+352>>2]|0,9973088)|0)|0;re[c[2160]&15](9994768,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997536]=1;i=d;return}function TI(b){b=b|0;var d=0,e=0;d=i;if(a[9997528]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+348>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(9975712,LT(c[(c[e>>2]|0)+348>>2]|0,9973088)|0)|0;re[c[2160]&15](9994768,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997528]=1;i=d;return}function UI(b){b=b|0;var d=0,e=0;d=i;if(a[9997520]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+344>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(9975328,LT(c[(c[e>>2]|0)+344>>2]|0,9973088)|0)|0;re[c[2160]&15](9995312,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997520]=1;i=d;return}function VI(b){b=b|0;var d=0,e=0;d=i;if(a[9997512]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+340>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(9975040,LT(c[(c[e>>2]|0)+340>>2]|0,9973088)|0)|0;re[c[2160]&15](9994768,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997512]=1;i=d;return}function WI(b){b=b|0;var d=0,e=0;d=i;if(a[9997504]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+336>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(9974848,LT(c[(c[e>>2]|0)+336>>2]|0,9973088)|0)|0;re[c[2160]&15](9994768,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997504]=1;i=d;return}function XI(b){b=b|0;var d=0,e=0;d=i;if(a[9997496]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+2576>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9974600,JT(+h[(c[e>>2]|0)+2576>>3],9983456)|0)|0;re[c[2160]&15](9995160,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997496]=1;i=d;return}function YI(b){b=b|0;var d=0,e=0;d=i;if(a[9997488]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+2568>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9974144,JT(+h[(c[e>>2]|0)+2568>>3],9983456)|0)|0;re[c[2160]&15](9995128,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997488]=1;i=d;return}function ZI(b){b=b|0;var d=0,e=0;d=i;if(a[9997480]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+2560>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9973808,JT(+h[(c[e>>2]|0)+2560>>3],9983456)|0)|0;re[c[2160]&15](9995096,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997480]=1;i=d;return}function _I(b){b=b|0;var d=0,e=0;d=i;if(a[9997472]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+2552>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9973520,JT(+h[(c[e>>2]|0)+2552>>3],9983456)|0)|0;re[c[2160]&15](9995160,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997472]=1;i=d;return}function $I(b){b=b|0;var d=0,e=0;d=i;if(a[9997464]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+2544>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9972880,JT(+h[(c[e>>2]|0)+2544>>3],9983456)|0)|0;re[c[2160]&15](9995128,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997464]=1;i=d;return}function aJ(b){b=b|0;var d=0,e=0;d=i;if(a[9997456]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+2536>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9972632,JT(+h[(c[e>>2]|0)+2536>>3],9983456)|0)|0;re[c[2160]&15](9995096,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997456]=1;i=d;return}function bJ(b){b=b|0;var d=0,e=0;d=i;if(a[9997448]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+2528>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9972432,JT(+h[(c[e>>2]|0)+2528>>3],9983456)|0)|0;re[c[2160]&15](9995160,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997448]=1;i=d;return}function cJ(b){b=b|0;var d=0,e=0;d=i;if(a[9997440]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+2520>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9972184,JT(+h[(c[e>>2]|0)+2520>>3],9983456)|0)|0;re[c[2160]&15](9995128,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997440]=1;i=d;return}function dJ(b){b=b|0;var d=0,e=0;d=i;if(a[9997432]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+2512>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9971952,JT(+h[(c[e>>2]|0)+2512>>3],9983456)|0)|0;re[c[2160]&15](9995096,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997432]=1;i=d;return}function eJ(b){b=b|0;var d=0,e=0;d=i;if(a[9997424]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+2504>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9971760,JT(+h[(c[e>>2]|0)+2504>>3],9983456)|0)|0;re[c[2160]&15](9995032,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997424]=1;i=d;return}function fJ(b){b=b|0;var d=0,e=0;d=i;if(a[9997416]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+2496>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9971560,JT(+h[(c[e>>2]|0)+2496>>3],9983456)|0)|0;re[c[2160]&15](9995032,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997416]=1;i=d;return}function gJ(b){b=b|0;var d=0,e=0;d=i;if(a[9997408]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+2488>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9971344,JT(+h[(c[e>>2]|0)+2488>>3],9983456)|0)|0;re[c[2160]&15](9995032,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997408]=1;i=d;return}function hJ(b){b=b|0;var d=0,e=0;d=i;if(a[9997400]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+2480>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9970984,JT(+h[(c[e>>2]|0)+2480>>3],9983456)|0)|0;re[c[2160]&15](9994968,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997400]=1;i=d;return}function iJ(b){b=b|0;var d=0,e=0;d=i;if(a[9997392]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+2472>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9970888,JT(+h[(c[e>>2]|0)+2472>>3],9983456)|0)|0;re[c[2160]&15](9994968,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997392]=1;i=d;return}function jJ(b){b=b|0;var d=0,e=0;d=i;if(a[9997384]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+2464>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9970288,JT(+h[(c[e>>2]|0)+2464>>3],9983456)|0)|0;re[c[2160]&15](9994968,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997384]=1;i=d;return}function kJ(b){b=b|0;var d=0,e=0;d=i;if(a[9997376]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+2456>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9970176,JT(+h[(c[e>>2]|0)+2456>>3],9983456)|0)|0;re[c[2160]&15](9994904,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997376]=1;i=d;return}function lJ(b){b=b|0;var d=0,e=0;d=i;if(a[9997368]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+2448>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9970008,JT(+h[(c[e>>2]|0)+2448>>3],9983456)|0)|0;re[c[2160]&15](9994904,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997368]=1;i=d;return}function mJ(b){b=b|0;var d=0,e=0;d=i;if(a[9997360]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+2440>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9969832,JT(+h[(c[e>>2]|0)+2440>>3],9983456)|0)|0;re[c[2160]&15](9994904,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997360]=1;i=d;return}function nJ(b){b=b|0;var d=0,e=0;d=i;if(a[9997352]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+320>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(9969720,LT(c[(c[e>>2]|0)+320>>2]|0,9973088)|0)|0;re[c[2160]&15](9994872,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997352]=1;i=d;return}function oJ(b){b=b|0;var d=0,e=0;d=i;if(a[9997344]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+316>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(9969584,LT(c[(c[e>>2]|0)+316>>2]|0,9973088)|0)|0;re[c[2160]&15](9994768,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997344]=1;i=d;return}function pJ(b){b=b|0;var d=0,e=0;d=i;if(a[9997336]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+312>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(9969448,LT(c[(c[e>>2]|0)+312>>2]|0,9973088)|0)|0;re[c[2160]&15](9994768,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997336]=1;i=d;return}function qJ(b){b=b|0;var d=0,e=0;d=i;if(a[9997328]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+308>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(9969280,LT(c[(c[e>>2]|0)+308>>2]|0,9973088)|0)|0;re[c[2160]&15](9994800,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997328]=1;i=d;return}function rJ(b){b=b|0;var d=0,e=0;d=i;if(a[9997320]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+304>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(9968944,LT(c[(c[e>>2]|0)+304>>2]|0,9973088)|0)|0;re[c[2160]&15](9994768,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997320]=1;i=d;return}function sJ(b){b=b|0;var d=0,e=0;d=i;if(a[9997312]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+300>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(9968840,LT(c[(c[e>>2]|0)+300>>2]|0,9973088)|0)|0;re[c[2160]&15](9994768,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997312]=1;i=d;return}function tJ(b){b=b|0;var d=0,e=0;d=i;if(a[9997304]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+296>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(9968304,LT(c[(c[e>>2]|0)+296>>2]|0,9973088)|0)|0;re[c[2160]&15](9994800,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997304]=1;i=d;return}function uJ(b){b=b|0;var d=0,e=0;d=i;if(a[9997296]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+292>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(9968168,LT(c[(c[e>>2]|0)+292>>2]|0,9973088)|0)|0;re[c[2160]&15](9994768,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997296]=1;i=d;return}function vJ(b){b=b|0;var d=0,e=0;d=i;if(a[9997288]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+288>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(9968064,LT(c[(c[e>>2]|0)+288>>2]|0,9973088)|0)|0;re[c[2160]&15](9994736,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997288]=1;i=d;return}function wJ(b){b=b|0;var d=0,e=0;d=i;if(a[9997280]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+4376>>3],1.0e-60)|0)<<24>>24==0)){i=d;return}b=NT(9967824,JT(+h[(c[e>>2]|0)+4376>>3],9983456)|0)|0;re[c[2160]&15](9996024,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997280]=1;i=d;return}function xJ(b){b=b|0;var d=0,e=0;d=i;if(a[9997272]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+4368>>3],1.0e-60)|0)<<24>>24==0)){i=d;return}b=NT(9967600,JT(+h[(c[e>>2]|0)+4368>>3],9983456)|0)|0;re[c[2160]&15](9995992,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997272]=1;i=d;return}function yJ(b){b=b|0;var d=0,e=0;d=i;if(a[9997264]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+4360>>3],1.0e-60)|0)<<24>>24==0)){i=d;return}b=NT(9967432,JT(+h[(c[e>>2]|0)+4360>>3],9983456)|0)|0;re[c[2160]&15](9995960,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997264]=1;i=d;return}function zJ(b){b=b|0;var d=0,e=0;d=i;if(a[9997256]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+4352>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9967256,JT(+h[(c[e>>2]|0)+4352>>3],9983456)|0)|0;re[c[2160]&15](9995928,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997256]=1;i=d;return}function AJ(b){b=b|0;var d=0,e=0;d=i;if(a[9997248]|0){i=d;return}e=b+416|0;b=rW(+h[(c[e>>2]|0)+4328>>3],0.0)|0;if(!(b<<24>>24==0|(qW(+h[(c[e>>2]|0)+4328>>3],1.0)|0)<<24>>24==0)){i=d;return}b=NT(9966960,JT(+h[(c[e>>2]|0)+4328>>3],9983456)|0)|0;re[c[2160]&15](9995896,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997248]=1;i=d;return}function BJ(b){b=b|0;var d=0,e=0;d=i;if(a[9997240]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+4320>>3],1.0e-60)|0)<<24>>24==0)){i=d;return}b=NT(9966696,JT(+h[(c[e>>2]|0)+4320>>3],9983456)|0)|0;re[c[2160]&15](9995864,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997240]=1;i=d;return}function CJ(b){b=b|0;var d=0,e=0;d=i;if(a[9997232]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+4312>>3],1.0e-60)|0)<<24>>24==0)){i=d;return}b=NT(9966560,JT(+h[(c[e>>2]|0)+4312>>3],9983456)|0)|0;re[c[2160]&15](9995832,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997232]=1;i=d;return}function DJ(b){b=b|0;var d=0,e=0;d=i;if(a[9997224]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+4304>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9966008,JT(+h[(c[e>>2]|0)+4304>>3],9983456)|0)|0;re[c[2160]&15](9995800,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997224]=1;i=d;return}function EJ(b){b=b|0;var d=0,e=0;d=i;if(a[9997216]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+4264>>3],1.0e-60)|0)<<24>>24==0)){i=d;return}b=NT(9965864,JT(+h[(c[e>>2]|0)+4264>>3],9983456)|0)|0;re[c[2160]&15](9995768,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997216]=1;i=d;return}function FJ(b){b=b|0;var d=0,e=0;d=i;if(a[9997208]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+4256>>3],1.0e-60)|0)<<24>>24==0)){i=d;return}b=NT(9965720,JT(+h[(c[e>>2]|0)+4256>>3],9983456)|0)|0;re[c[2160]&15](9995736,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997208]=1;i=d;return}function GJ(b){b=b|0;var d=0,e=0;d=i;if(a[9997200]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+4248>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9965544,JT(+h[(c[e>>2]|0)+4248>>3],9983456)|0)|0;re[c[2160]&15](9995704,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997200]=1;i=d;return}function HJ(b){b=b|0;var d=0,e=0;d=i;if(a[9997168]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+4216>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9965440,JT(+h[(c[e>>2]|0)+4216>>3],9983456)|0)|0;re[c[2160]&15](9997176,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997168]=1;i=d;return}function IJ(b){b=b|0;var d=0,e=0;d=i;if(a[9997136]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+4192>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9965168,JT(+h[(c[e>>2]|0)+4192>>3],9983456)|0)|0;re[c[2160]&15](9997144,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997136]=1;i=d;return}function JJ(b){b=b|0;var d=0,e=0;d=i;if(a[9997104]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+280>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(9965088,LT(c[(c[e>>2]|0)+280>>2]|0,9973088)|0)|0;re[c[2160]&15](9997112,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997104]=1;i=d;return}function KJ(b){b=b|0;var d=0,e=0;d=i;if(a[9997072]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+4160>>3],1.0e-15)|0)<<24>>24==0)){i=d;return}b=NT(9964936,JT(+h[(c[e>>2]|0)+4160>>3],9983456)|0)|0;re[c[2160]&15](9997080,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997072]=1;i=d;return}function LJ(b){b=b|0;var d=0,e=0;d=i;if(a[9997064]|0){i=d;return}e=b+420|0;b=rW(+(c[(c[e>>2]|0)+272>>2]|0),1.0)|0;if(!(b<<24>>24==0|(qW(+(c[(c[e>>2]|0)+272>>2]|0),5.0)|0)<<24>>24==0)){i=d;return}b=NT(9964624,LT(c[(c[e>>2]|0)+272>>2]|0,9973088)|0)|0;re[c[2160]&15](9995672,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997064]=1;i=d;return}function MJ(b){b=b|0;var d=0,e=0;d=i;if(a[9997056]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+4144>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9964472,JT(+h[(c[e>>2]|0)+4144>>3],9983456)|0)|0;re[c[2160]&15](9995640,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997056]=1;i=d;return}function NJ(b){b=b|0;var d=0,e=0;d=i;if(a[9997048]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+2064>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9963904,JT(+h[(c[e>>2]|0)+2064>>3],9983456)|0)|0;re[c[2160]&15](9996632,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997048]=1;i=d;return}function OJ(b){b=b|0;var d=0,e=0;d=i;if(a[9997040]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+2048>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9963760,JT(+h[(c[e>>2]|0)+2048>>3],9983456)|0)|0;re[c[2160]&15](9995096,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997040]=1;i=d;return}function PJ(b){b=b|0;var d=0,e=0;d=i;if(a[9997032]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+2032>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9963592,JT(+h[(c[e>>2]|0)+2032>>3],9983456)|0)|0;re[c[2160]&15](9996632,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997032]=1;i=d;return}function QJ(b){b=b|0;var d=0,e=0;d=i;if(a[9997024]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+2016>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9963408,JT(+h[(c[e>>2]|0)+2016>>3],9983456)|0)|0;re[c[2160]&15](9995096,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997024]=1;i=d;return}function RJ(b){b=b|0;var d=0,e=0;d=i;if(a[9997016]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+2e3>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9963256,JT(+h[(c[e>>2]|0)+2e3>>3],9983456)|0)|0;re[c[2160]&15](9996632,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997016]=1;i=d;return}function SJ(b){b=b|0;var d=0,e=0;d=i;if(a[9997008]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+1984>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9963016,JT(+h[(c[e>>2]|0)+1984>>3],9983456)|0)|0;re[c[2160]&15](9995096,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997008]=1;i=d;return}function TJ(b){b=b|0;var d=0,e=0;d=i;if(a[9997e3]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+1968>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9962816,JT(+h[(c[e>>2]|0)+1968>>3],9983456)|0)|0;re[c[2160]&15](9996632,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9997e3]=1;i=d;return}function UJ(b){b=b|0;var d=0,e=0;d=i;if(a[9996992]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+1952>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9962664,JT(+h[(c[e>>2]|0)+1952>>3],9983456)|0)|0;re[c[2160]&15](9995096,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996992]=1;i=d;return}function VJ(b){b=b|0;var d=0,e=0;d=i;if(a[9996984]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+1936>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9962344,JT(+h[(c[e>>2]|0)+1936>>3],9983456)|0)|0;re[c[2160]&15](9996632,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996984]=1;i=d;return}function WJ(b){b=b|0;var d=0,e=0;d=i;if(a[9996976]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+1920>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9962208,JT(+h[(c[e>>2]|0)+1920>>3],9983456)|0)|0;re[c[2160]&15](9995096,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996976]=1;i=d;return}function XJ(b){b=b|0;var d=0,e=0;d=i;if(a[9996968]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+1872>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9961664,JT(+h[(c[e>>2]|0)+1872>>3],9983456)|0)|0;re[c[2160]&15](9996560,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996968]=1;i=d;return}function YJ(b){b=b|0;var d=0,e=0;d=i;if(a[9996960]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+1864>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9961536,JT(+h[(c[e>>2]|0)+1864>>3],9983456)|0)|0;re[c[2160]&15](9996560,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996960]=1;i=d;return}function ZJ(b){b=b|0;var d=0,e=0;d=i;if(a[9996952]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+1856>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9961408,JT(+h[(c[e>>2]|0)+1856>>3],9983456)|0)|0;re[c[2160]&15](9996560,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996952]=1;i=d;return}function _J(b){b=b|0;var d=0,e=0;d=i;if(a[9996944]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+1848>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9961248,JT(+h[(c[e>>2]|0)+1848>>3],9983456)|0)|0;re[c[2160]&15](9996560,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996944]=1;i=d;return}function $J(b){b=b|0;var d=0,e=0;d=i;if(a[9996936]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+1840>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9961112,JT(+h[(c[e>>2]|0)+1840>>3],9983456)|0)|0;re[c[2160]&15](9996560,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996936]=1;i=d;return}function aK(b){b=b|0;var d=0,e=0;d=i;if(a[9996928]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+1792>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9960936,JT(+h[(c[e>>2]|0)+1792>>3],9983456)|0)|0;re[c[2160]&15](9994904,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996928]=1;i=d;return}function bK(b){b=b|0;var d=0,e=0;d=i;if(a[9996920]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+1784>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9960752,JT(+h[(c[e>>2]|0)+1784>>3],9983456)|0)|0;re[c[2160]&15](9994904,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996920]=1;i=d;return}function cK(b){b=b|0;var d=0,e=0;d=i;if(a[9996912]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+1776>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9960608,JT(+h[(c[e>>2]|0)+1776>>3],9983456)|0)|0;re[c[2160]&15](9994904,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996912]=1;i=d;return}function dK(b){b=b|0;var d=0,e=0;d=i;if(a[9996904]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+1768>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9960256,JT(+h[(c[e>>2]|0)+1768>>3],9983456)|0)|0;re[c[2160]&15](9994904,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996904]=1;i=d;return}function eK(b){b=b|0;var d=0,e=0;d=i;if(a[9996896]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+1760>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9960096,JT(+h[(c[e>>2]|0)+1760>>3],9983456)|0)|0;re[c[2160]&15](9994904,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996896]=1;i=d;return}function fK(b){b=b|0;var d=0,e=0;d=i;if(a[9996888]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+268>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(9959696,LT(c[(c[e>>2]|0)+268>>2]|0,9973088)|0)|0;re[c[2160]&15](9994872,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996888]=1;i=d;return}function gK(b){b=b|0;var d=0,e=0;d=i;if(a[9996880]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+264>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(9959568,LT(c[(c[e>>2]|0)+264>>2]|0,9973088)|0)|0;re[c[2160]&15](9994768,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996880]=1;i=d;return}function hK(b){b=b|0;var d=0,e=0;d=i;if(a[9996872]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+260>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(9959432,LT(c[(c[e>>2]|0)+260>>2]|0,9973088)|0)|0;re[c[2160]&15](9994768,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996872]=1;i=d;return}function iK(b){b=b|0;var d=0,e=0;d=i;if(a[9996864]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+256>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(9959256,LT(c[(c[e>>2]|0)+256>>2]|0,9973088)|0)|0;re[c[2160]&15](9994800,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996864]=1;i=d;return}function jK(b){b=b|0;var d=0,e=0;d=i;if(a[9996856]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+252>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(9959112,LT(c[(c[e>>2]|0)+252>>2]|0,9973088)|0)|0;re[c[2160]&15](9994768,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996856]=1;i=d;return}function kK(b){b=b|0;var d=0,e=0;d=i;if(a[9996848]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+248>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(9958912,LT(c[(c[e>>2]|0)+248>>2]|0,9973088)|0)|0;re[c[2160]&15](9994768,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996848]=1;i=d;return}function lK(b){b=b|0;var d=0,e=0;d=i;if(a[9996840]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+244>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(9958752,LT(c[(c[e>>2]|0)+244>>2]|0,9973088)|0)|0;re[c[2160]&15](9994800,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996840]=1;i=d;return}function mK(b){b=b|0;var d=0,e=0;d=i;if(a[9996832]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+240>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(9958608,LT(c[(c[e>>2]|0)+240>>2]|0,9973088)|0)|0;re[c[2160]&15](9994768,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996832]=1;i=d;return}function nK(b){b=b|0;var d=0,e=0;d=i;if(a[9996824]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+236>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(9958232,LT(c[(c[e>>2]|0)+236>>2]|0,9973088)|0)|0;re[c[2160]&15](9994768,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996824]=1;i=d;return}function oK(b){b=b|0;var d=0,e=0;d=i;if(a[9996816]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+228>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(9958104,LT(c[(c[e>>2]|0)+228>>2]|0,9973088)|0)|0;re[c[2160]&15](9996056,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996816]=1;i=d;return}function pK(b){b=b|0;var d=0,e=0;d=i;if(a[9996808]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+224>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(9957528,LT(c[(c[e>>2]|0)+224>>2]|0,9973088)|0)|0;re[c[2160]&15](9994768,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996808]=1;i=d;return}function qK(b){b=b|0;var d=0,e=0;d=i;if(a[9996800]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+220>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(9957408,LT(c[(c[e>>2]|0)+220>>2]|0,9973088)|0)|0;re[c[2160]&15](9994736,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996800]=1;i=d;return}function rK(b){b=b|0;var d=0,e=0;d=i;if(a[9996792]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+216>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(9957288,LT(c[(c[e>>2]|0)+216>>2]|0,9973088)|0)|0;re[c[2160]&15](9994768,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996792]=1;i=d;return}function sK(b){b=b|0;var d=0,e=0;d=i;if(a[9996784]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+212>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(9957152,LT(c[(c[e>>2]|0)+212>>2]|0,9973088)|0)|0;re[c[2160]&15](9994736,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996784]=1;i=d;return}function tK(b){b=b|0;var d=0,e=0;d=i;if(a[9996752]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+4112>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9957016,JT(+h[(c[e>>2]|0)+4112>>3],9983456)|0)|0;re[c[2160]&15](9996760,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996752]=1;i=d;return}function uK(b){b=b|0;var d=0,e=0;d=i;if(a[9996720]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+4096>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9956816,JT(+h[(c[e>>2]|0)+4096>>3],9983456)|0)|0;re[c[2160]&15](9996728,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996720]=1;i=d;return}function vK(b){b=b|0;var d=0,e=0;d=i;if(a[9996712]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+1424>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9956632,JT(+h[(c[e>>2]|0)+1424>>3],9983456)|0)|0;re[c[2160]&15](9996632,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996712]=1;i=d;return}function wK(b){b=b|0;var d=0,e=0;d=i;if(a[9996704]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+1408>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9956464,JT(+h[(c[e>>2]|0)+1408>>3],9983456)|0)|0;re[c[2160]&15](9995096,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996704]=1;i=d;return}function xK(b){b=b|0;var d=0,e=0;d=i;if(a[9996696]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+1392>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9956176,JT(+h[(c[e>>2]|0)+1392>>3],9983456)|0)|0;re[c[2160]&15](9996632,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996696]=1;i=d;return}function yK(b){b=b|0;var d=0,e=0;d=i;if(a[9996688]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+1376>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9956008,JT(+h[(c[e>>2]|0)+1376>>3],9983456)|0)|0;re[c[2160]&15](9995096,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996688]=1;i=d;return}function zK(b){b=b|0;var d=0,e=0;d=i;if(a[9996680]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+1360>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9955392,JT(+h[(c[e>>2]|0)+1360>>3],9983456)|0)|0;re[c[2160]&15](9996632,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996680]=1;i=d;return}function AK(b){b=b|0;var d=0,e=0;d=i;if(a[9996672]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+1344>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9955208,JT(+h[(c[e>>2]|0)+1344>>3],9983456)|0)|0;re[c[2160]&15](9995096,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996672]=1;i=d;return}function BK(b){b=b|0;var d=0,e=0;d=i;if(a[9996664]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+1328>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9954904,JT(+h[(c[e>>2]|0)+1328>>3],9983456)|0)|0;re[c[2160]&15](9996632,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996664]=1;i=d;return}function CK(b){b=b|0;var d=0,e=0;d=i;if(a[9996656]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+1312>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9954664,JT(+h[(c[e>>2]|0)+1312>>3],9983456)|0)|0;re[c[2160]&15](9995096,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996656]=1;i=d;return}function DK(b){b=b|0;var d=0,e=0;d=i;if(a[9996624]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+1296>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9954480,JT(+h[(c[e>>2]|0)+1296>>3],9983456)|0)|0;re[c[2160]&15](9996632,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996624]=1;i=d;return}function EK(b){b=b|0;var d=0,e=0;d=i;if(a[9996616]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+1280>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9954312,JT(+h[(c[e>>2]|0)+1280>>3],9983456)|0)|0;re[c[2160]&15](9995096,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996616]=1;i=d;return}function FK(b){b=b|0;var d=0,e=0;d=i;if(a[9996608]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+1232>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9954096,JT(+h[(c[e>>2]|0)+1232>>3],9983456)|0)|0;re[c[2160]&15](9996560,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996608]=1;i=d;return}function GK(b){b=b|0;var d=0,e=0;d=i;if(a[9996600]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+1224>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9953912,JT(+h[(c[e>>2]|0)+1224>>3],9983456)|0)|0;re[c[2160]&15](9996560,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996600]=1;i=d;return}function HK(b){b=b|0;var d=0,e=0;d=i;if(a[9996592]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+1216>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9953592,JT(+h[(c[e>>2]|0)+1216>>3],9983456)|0)|0;re[c[2160]&15](9996560,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996592]=1;i=d;return}function IK(b){b=b|0;var d=0,e=0;d=i;if(a[9996584]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+1208>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9953472,JT(+h[(c[e>>2]|0)+1208>>3],9983456)|0)|0;re[c[2160]&15](9996560,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996584]=1;i=d;return}function JK(b){b=b|0;var d=0,e=0;d=i;if(a[9996552]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+1200>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9952904,JT(+h[(c[e>>2]|0)+1200>>3],9983456)|0)|0;re[c[2160]&15](9996560,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996552]=1;i=d;return}function KK(b){b=b|0;var d=0,e=0;d=i;if(a[9996544]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+1152>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9952792,JT(+h[(c[e>>2]|0)+1152>>3],9983456)|0)|0;re[c[2160]&15](9994904,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996544]=1;i=d;return}function LK(b){b=b|0;var d=0,e=0;d=i;if(a[9996536]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+1144>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9952672,JT(+h[(c[e>>2]|0)+1144>>3],9983456)|0)|0;re[c[2160]&15](9994904,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996536]=1;i=d;return}function MK(b){b=b|0;var d=0,e=0;d=i;if(a[9996528]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+1136>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9952488,JT(+h[(c[e>>2]|0)+1136>>3],9983456)|0)|0;re[c[2160]&15](9994904,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996528]=1;i=d;return}function NK(b){b=b|0;var d=0,e=0;d=i;if(a[9996520]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+1128>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9952376,JT(+h[(c[e>>2]|0)+1128>>3],9983456)|0)|0;re[c[2160]&15](9994904,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996520]=1;i=d;return}function OK(b){b=b|0;var d=0,e=0;d=i;if(a[9996512]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+1120>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9952200,JT(+h[(c[e>>2]|0)+1120>>3],9983456)|0)|0;re[c[2160]&15](9994904,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996512]=1;i=d;return}function PK(b){b=b|0;var d=0,e=0;d=i;if(a[9996504]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+200>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(9952048,LT(c[(c[e>>2]|0)+200>>2]|0,9973088)|0)|0;re[c[2160]&15](9994872,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996504]=1;i=d;return}function QK(b){b=b|0;var d=0,e=0;d=i;if(a[9996496]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+196>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(9951928,LT(c[(c[e>>2]|0)+196>>2]|0,9973088)|0)|0;re[c[2160]&15](9994768,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996496]=1;i=d;return}function RK(b){b=b|0;var d=0,e=0;d=i;if(a[9996488]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+192>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(9951712,LT(c[(c[e>>2]|0)+192>>2]|0,9973088)|0)|0;re[c[2160]&15](9994768,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996488]=1;i=d;return}function SK(b){b=b|0;var d=0,e=0;d=i;if(a[9996480]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+188>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(9951608,LT(c[(c[e>>2]|0)+188>>2]|0,9973088)|0)|0;re[c[2160]&15](9994800,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996480]=1;i=d;return}function TK(b){b=b|0;var d=0,e=0;d=i;if(a[9996472]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+184>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(9951112,LT(c[(c[e>>2]|0)+184>>2]|0,9973088)|0)|0;re[c[2160]&15](9994768,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996472]=1;i=d;return}function UK(b){b=b|0;var d=0,e=0;d=i;if(a[9996464]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+180>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(9950944,LT(c[(c[e>>2]|0)+180>>2]|0,9973088)|0)|0;re[c[2160]&15](9994768,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996464]=1;i=d;return}function VK(b){b=b|0;var d=0,e=0;d=i;if(a[9996432]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+4032>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9950832,JT(+h[(c[e>>2]|0)+4032>>3],9983456)|0)|0;re[c[2160]&15](9996440,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996432]=1;i=d;return}function WK(b){b=b|0;var d=0,e=0;d=i;if(a[9996400]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+4024>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9950696,JT(+h[(c[e>>2]|0)+4024>>3],9983456)|0)|0;re[c[2160]&15](9996408,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996400]=1;i=d;return}function XK(b){b=b|0;var d=0,e=0;d=i;if(a[9996392]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+172>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(9950568,LT(c[(c[e>>2]|0)+172>>2]|0,9973088)|0)|0;re[c[2160]&15](9994768,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996392]=1;i=d;return}function YK(b){b=b|0;var d=0,e=0;d=i;if(a[9996384]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+168>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(9950376,LT(c[(c[e>>2]|0)+168>>2]|0,9973088)|0)|0;re[c[2160]&15](9994768,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996384]=1;i=d;return}function ZK(b){b=b|0;var d=0,e=0;d=i;if(a[9996376]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+164>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(9950208,LT(c[(c[e>>2]|0)+164>>2]|0,9973088)|0)|0;re[c[2160]&15](9994800,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996376]=1;i=d;return}function _K(b){b=b|0;var d=0,e=0;d=i;if(a[9996368]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+160>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(9950104,LT(c[(c[e>>2]|0)+160>>2]|0,9973088)|0)|0;re[c[2160]&15](9994768,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996368]=1;i=d;return}function $K(b){b=b|0;var d=0,e=0;d=i;if(a[9996360]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+156>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(9949880,LT(c[(c[e>>2]|0)+156>>2]|0,9973088)|0)|0;re[c[2160]&15](9994768,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996360]=1;i=d;return}function aL(b){b=b|0;var d=0,e=0;d=i;if(a[9996328]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+3968>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9949768,JT(+h[(c[e>>2]|0)+3968>>3],9983456)|0)|0;re[c[2160]&15](9996336,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996328]=1;i=d;return}function bL(b){b=b|0;var d=0,e=0;d=i;if(a[9996296]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+3952>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9949200,JT(+h[(c[e>>2]|0)+3952>>3],9983456)|0)|0;re[c[2160]&15](9996304,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996296]=1;i=d;return}function cL(b){b=b|0;var d=0,e=0;d=i;if(a[9996288]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+148>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(9949088,LT(c[(c[e>>2]|0)+148>>2]|0,9973088)|0)|0;re[c[2160]&15](9994768,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996288]=1;i=d;return}function dL(b){b=b|0;var d=0,e=0;d=i;if(a[9996280]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+144>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(9948984,LT(c[(c[e>>2]|0)+144>>2]|0,9973088)|0)|0;re[c[2160]&15](9994768,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996280]=1;i=d;return}function eL(b){b=b|0;var d=0,e=0;d=i;if(a[9996272]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+3896>>3],1.0e-60)|0)<<24>>24==0)){i=d;return}b=NT(9948792,JT(+h[(c[e>>2]|0)+3896>>3],9983456)|0)|0;re[c[2160]&15](9996024,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996272]=1;i=d;return}function fL(b){b=b|0;var d=0,e=0;d=i;if(a[9996264]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+3888>>3],1.0e-60)|0)<<24>>24==0)){i=d;return}b=NT(9948624,JT(+h[(c[e>>2]|0)+3888>>3],9983456)|0)|0;re[c[2160]&15](9995992,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996264]=1;i=d;return}function gL(b){b=b|0;var d=0,e=0;d=i;if(a[9996256]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+3880>>3],1.0e-60)|0)<<24>>24==0)){i=d;return}b=NT(9948384,JT(+h[(c[e>>2]|0)+3880>>3],9983456)|0)|0;re[c[2160]&15](9995960,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996256]=1;i=d;return}function hL(b){b=b|0;var d=0,e=0;d=i;if(a[9996248]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+3872>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9948176,JT(+h[(c[e>>2]|0)+3872>>3],9983456)|0)|0;re[c[2160]&15](9995928,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996248]=1;i=d;return}function iL(b){b=b|0;var d=0,e=0;d=i;if(a[9996240]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+140>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(9948080,LT(c[(c[e>>2]|0)+140>>2]|0,9973088)|0)|0;re[c[2160]&15](9994800,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996240]=1;i=d;return}function jL(b){b=b|0;var d=0,e=0;d=i;if(a[9996232]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+3832>>3],1.0e-60)|0)<<24>>24==0)){i=d;return}b=NT(9947776,JT(+h[(c[e>>2]|0)+3832>>3],9983456)|0)|0;re[c[2160]&15](9995768,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996232]=1;i=d;return}function kL(b){b=b|0;var d=0,e=0;d=i;if(a[9996224]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+3824>>3],1.0e-60)|0)<<24>>24==0)){i=d;return}b=NT(9947640,JT(+h[(c[e>>2]|0)+3824>>3],9983456)|0)|0;re[c[2160]&15](9995736,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996224]=1;i=d;return}function lL(b){b=b|0;var d=0,e=0;d=i;if(a[9996216]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+3816>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9947072,JT(+h[(c[e>>2]|0)+3816>>3],9983456)|0)|0;re[c[2160]&15](9995704,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996216]=1;i=d;return}function mL(b){b=b|0;var d=0,e=0;d=i;if(a[9996208]|0){i=d;return}e=b+420|0;b=rW(+(c[(c[e>>2]|0)+136>>2]|0),1.0)|0;if(!(b<<24>>24==0|(qW(+(c[(c[e>>2]|0)+136>>2]|0),5.0)|0)<<24>>24==0)){i=d;return}b=NT(9946864,LT(c[(c[e>>2]|0)+136>>2]|0,9973088)|0)|0;re[c[2160]&15](9995672,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996208]=1;i=d;return}function nL(b){b=b|0;var d=0,e=0;d=i;if(a[9996200]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+3808>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9946752,JT(+h[(c[e>>2]|0)+3808>>3],9983456)|0)|0;re[c[2160]&15](9995640,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996200]=1;i=d;return}function oL(b){b=b|0;var d=0,e=0;d=i;if(a[9996168]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+3784>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9946568,JT(+h[(c[e>>2]|0)+3784>>3],9983456)|0)|0;re[c[2160]&15](9996176,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996168]=1;i=d;return}function pL(b){b=b|0;var d=0,e=0;d=i;if(a[9996160]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+3776>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9946392,JT(+h[(c[e>>2]|0)+3776>>3],9983456)|0)|0;re[c[2160]&15](9996120,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996160]=1;i=d;return}function qL(b){b=b|0;var d=0,e=0;d=i;if(a[9996152]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+3768>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9946192,JT(+h[(c[e>>2]|0)+3768>>3],9983456)|0)|0;re[c[2160]&15](9996120,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996152]=1;i=d;return}function rL(b){b=b|0;var d=0,e=0;d=i;if(a[9996144]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+3760>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9946e3,JT(+h[(c[e>>2]|0)+3760>>3],9983456)|0)|0;re[c[2160]&15](9996120,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996144]=1;i=d;return}function sL(b){b=b|0;var d=0,e=0;d=i;if(a[9996112]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+3752>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9945840,JT(+h[(c[e>>2]|0)+3752>>3],9983456)|0)|0;re[c[2160]&15](9996120,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996112]=1;i=d;return}function tL(b){b=b|0;var d=0,e=0;d=i;if(a[9996080]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+3744>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9945536,JT(+h[(c[e>>2]|0)+3744>>3],9983456)|0)|0;re[c[2160]&15](9996088,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996080]=1;i=d;return}function uL(b){b=b|0;var d=0,e=0;d=i;if(a[9996048]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+132>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(9945376,LT(c[(c[e>>2]|0)+132>>2]|0,9973088)|0)|0;re[c[2160]&15](9996056,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996048]=1;i=d;return}function vL(b){b=b|0;var d=0,e=0;d=i;if(a[9996016]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+3712>>3],1.0e-60)|0)<<24>>24==0)){i=d;return}b=NT(9944792,JT(+h[(c[e>>2]|0)+3712>>3],9983456)|0)|0;re[c[2160]&15](9996024,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9996016]=1;i=d;return}function wL(b){b=b|0;var d=0,e=0;d=i;if(a[9995984]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+3704>>3],1.0e-60)|0)<<24>>24==0)){i=d;return}b=NT(9944672,JT(+h[(c[e>>2]|0)+3704>>3],9983456)|0)|0;re[c[2160]&15](9995992,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9995984]=1;i=d;return}function xL(b){b=b|0;var d=0,e=0;d=i;if(a[9995952]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+3696>>3],1.0e-60)|0)<<24>>24==0)){i=d;return}b=NT(9944528,JT(+h[(c[e>>2]|0)+3696>>3],9983456)|0)|0;re[c[2160]&15](9995960,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9995952]=1;i=d;return}function yL(b){b=b|0;var d=0,e=0;d=i;if(a[9995920]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+3688>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9944368,JT(+h[(c[e>>2]|0)+3688>>3],9983456)|0)|0;re[c[2160]&15](9995928,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9995920]=1;i=d;return}function zL(b){b=b|0;var d=0,e=0;d=i;if(a[9995888]|0){i=d;return}e=b+416|0;b=rW(+h[(c[e>>2]|0)+3664>>3],0.0)|0;if(!(b<<24>>24==0|(qW(+h[(c[e>>2]|0)+3664>>3],1.0)|0)<<24>>24==0)){i=d;return}b=NT(9944144,JT(+h[(c[e>>2]|0)+3664>>3],9983456)|0)|0;re[c[2160]&15](9995896,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9995888]=1;i=d;return}function AL(b){b=b|0;var d=0,e=0;d=i;if(a[9995856]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+3656>>3],1.0e-60)|0)<<24>>24==0)){i=d;return}b=NT(9943952,JT(+h[(c[e>>2]|0)+3656>>3],9983456)|0)|0;re[c[2160]&15](9995864,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9995856]=1;i=d;return}function BL(b){b=b|0;var d=0,e=0;d=i;if(a[9995824]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+3648>>3],1.0e-60)|0)<<24>>24==0)){i=d;return}b=NT(9943760,JT(+h[(c[e>>2]|0)+3648>>3],9983456)|0)|0;re[c[2160]&15](9995832,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9995824]=1;i=d;return}function CL(b){b=b|0;var d=0,e=0;d=i;if(a[9995792]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+3640>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9943640,JT(+h[(c[e>>2]|0)+3640>>3],9983456)|0)|0;re[c[2160]&15](9995800,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9995792]=1;i=d;return}function DL(b){b=b|0;var d=0,e=0;d=i;if(a[9995760]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+3600>>3],1.0e-60)|0)<<24>>24==0)){i=d;return}b=NT(9943320,JT(+h[(c[e>>2]|0)+3600>>3],9983456)|0)|0;re[c[2160]&15](9995768,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9995760]=1;i=d;return}function EL(b){b=b|0;var d=0,e=0;d=i;if(a[9995728]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+3592>>3],1.0e-60)|0)<<24>>24==0)){i=d;return}b=NT(9943200,JT(+h[(c[e>>2]|0)+3592>>3],9983456)|0)|0;re[c[2160]&15](9995736,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9995728]=1;i=d;return}function FL(b){b=b|0;var d=0,e=0;d=i;if(a[9995696]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+3584>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9942520,JT(+h[(c[e>>2]|0)+3584>>3],9983456)|0)|0;re[c[2160]&15](9995704,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9995696]=1;i=d;return}function GL(b){b=b|0;var d=0,e=0;d=i;if(a[9995664]|0){i=d;return}e=b+420|0;b=rW(+(c[(c[e>>2]|0)+116>>2]|0),1.0)|0;if(!(b<<24>>24==0|(qW(+(c[(c[e>>2]|0)+116>>2]|0),5.0)|0)<<24>>24==0)){i=d;return}b=NT(9942328,LT(c[(c[e>>2]|0)+116>>2]|0,9973088)|0)|0;re[c[2160]&15](9995672,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9995664]=1;i=d;return}function HL(b){b=b|0;var d=0,e=0;d=i;if(a[9995632]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+3568>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9942216,JT(+h[(c[e>>2]|0)+3568>>3],9983456)|0)|0;re[c[2160]&15](9995640,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9995632]=1;i=d;return}function IL(b){b=b|0;var d=0,e=0;d=i;if(a[9995624]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+108>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(9942096,LT(c[(c[e>>2]|0)+108>>2]|0,9973088)|0)|0;re[c[2160]&15](9994768,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9995624]=1;i=d;return}function JL(b){b=b|0;var d=0,e=0;d=i;if(a[9995616]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+104>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(9942008,LT(c[(c[e>>2]|0)+104>>2]|0,9973088)|0)|0;re[c[2160]&15](9994768,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9995616]=1;i=d;return}function KL(b){b=b|0;var d=0,e=0;d=i;if(a[9995584]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+3552>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9941832,JT(+h[(c[e>>2]|0)+3552>>3],9983456)|0)|0;re[c[2160]&15](9995592,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9995584]=1;i=d;return}function LL(b){b=b|0;var d=0,e=0;d=i;if(a[9995552]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+3536>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9941688,JT(+h[(c[e>>2]|0)+3536>>3],9983456)|0)|0;re[c[2160]&15](9995560,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9995552]=1;i=d;return}function ML(b){b=b|0;var d=0,e=0;d=i;if(a[9995520]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+3504>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9941608,JT(+h[(c[e>>2]|0)+3504>>3],9983456)|0)|0;re[c[2160]&15](9995528,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9995520]=1;i=d;return}function NL(b){b=b|0;var d=0,e=0;d=i;if(a[9995488]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+3488>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9941360,JT(+h[(c[e>>2]|0)+3488>>3],9983456)|0)|0;re[c[2160]&15](9995496,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9995488]=1;i=d;return}function OL(b){b=b|0;var d=0,e=0;d=i;if(a[9995456]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+100>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(9941160,LT(c[(c[e>>2]|0)+100>>2]|0,9973088)|0)|0;re[c[2160]&15](9995464,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9995456]=1;i=d;return}function PL(b){b=b|0;var d=0,e=0;d=i;if(a[9995424]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+96>>2]|0),3.0)|0)<<24>>24==0)){i=d;return}b=NT(9940736,LT(c[(c[e>>2]|0)+96>>2]|0,9973088)|0)|0;re[c[2160]&15](9995432,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9995424]=1;i=d;return}function QL(b){b=b|0;var d=0,e=0;d=i;if(a[9995416]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+92>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(9940624,LT(c[(c[e>>2]|0)+92>>2]|0,9973088)|0)|0;re[c[2160]&15](9994768,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9995416]=1;i=d;return}function RL(b){b=b|0;var d=0,e=0;d=i;if(a[9995408]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+88>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(9940528,LT(c[(c[e>>2]|0)+88>>2]|0,9973088)|0)|0;re[c[2160]&15](9994736,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9995408]=1;i=d;return}function SL(b){b=b|0;var d=0,e=0;d=i;if(a[9995400]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+84>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(9940384,LT(c[(c[e>>2]|0)+84>>2]|0,9973088)|0)|0;re[c[2160]&15](9994768,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9995400]=1;i=d;return}function TL(b){b=b|0;var d=0,e=0;d=i;if(a[9995392]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+80>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(9940272,LT(c[(c[e>>2]|0)+80>>2]|0,9973088)|0)|0;re[c[2160]&15](9994768,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9995392]=1;i=d;return}function UL(b){b=b|0;var d=0,e=0;d=i;if(a[9995384]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+76>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(9940144,LT(c[(c[e>>2]|0)+76>>2]|0,9973088)|0)|0;re[c[2160]&15](9994768,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9995384]=1;i=d;return}function VL(b){b=b|0;var d=0,e=0;d=i;if(a[9995352]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+68>>2]|0),2.0)|0)<<24>>24==0)){i=d;return}b=NT(9939992,LT(c[(c[e>>2]|0)+68>>2]|0,9973088)|0)|0;re[c[2160]&15](9995360,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9995352]=1;i=d;return}function WL(b){b=b|0;var d=0,e=0;d=i;if(a[9995344]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+64>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(9939856,LT(c[(c[e>>2]|0)+64>>2]|0,9973088)|0)|0;re[c[2160]&15](9994768,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9995344]=1;i=d;return}function XL(b){b=b|0;var d=0,e=0;d=i;if(a[9995336]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+60>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(9939624,LT(c[(c[e>>2]|0)+60>>2]|0,9973088)|0)|0;re[c[2160]&15](9994768,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9995336]=1;i=d;return}function YL(b){b=b|0;var d=0,e=0;d=i;if(a[9995304]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+56>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(9939496,LT(c[(c[e>>2]|0)+56>>2]|0,9973088)|0)|0;re[c[2160]&15](9995312,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9995304]=1;i=d;return}function ZL(b){b=b|0;var d=0,e=0;d=i;if(a[9995296]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+52>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(9938864,LT(c[(c[e>>2]|0)+52>>2]|0,9973088)|0)|0;re[c[2160]&15](9994768,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9995296]=1;i=d;return}function _L(b){b=b|0;var d=0,e=0;d=i;if(a[9995288]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+48>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(9938752,LT(c[(c[e>>2]|0)+48>>2]|0,9973088)|0)|0;re[c[2160]&15](9994768,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9995288]=1;i=d;return}function $L(b){b=b|0;var d=0,e=0;d=i;if(a[9995280]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+44>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(9938656,LT(c[(c[e>>2]|0)+44>>2]|0,9973088)|0)|0;re[c[2160]&15](9994800,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9995280]=1;i=d;return}function aM(b){b=b|0;var d=0,e=0;d=i;if(a[9995272]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+832>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9938480,JT(+h[(c[e>>2]|0)+832>>3],9983456)|0)|0;re[c[2160]&15](9995160,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9995272]=1;i=d;return}function bM(b){b=b|0;var d=0,e=0;d=i;if(a[9995264]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+824>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9938344,JT(+h[(c[e>>2]|0)+824>>3],9983456)|0)|0;re[c[2160]&15](9995128,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9995264]=1;i=d;return}function cM(b){b=b|0;var d=0,e=0;d=i;if(a[9995256]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+816>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9938168,JT(+h[(c[e>>2]|0)+816>>3],9983456)|0)|0;re[c[2160]&15](9995096,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9995256]=1;i=d;return}function dM(b){b=b|0;var d=0,e=0;d=i;if(a[9995248]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+808>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9937992,JT(+h[(c[e>>2]|0)+808>>3],9983456)|0)|0;re[c[2160]&15](9995160,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9995248]=1;i=d;return}function eM(b){b=b|0;var d=0,e=0;d=i;if(a[9995240]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+800>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9937856,JT(+h[(c[e>>2]|0)+800>>3],9983456)|0)|0;re[c[2160]&15](9995128,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9995240]=1;i=d;return}function fM(b){b=b|0;var d=0,e=0;d=i;if(a[9995232]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+792>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9937616,JT(+h[(c[e>>2]|0)+792>>3],9983456)|0)|0;re[c[2160]&15](9995096,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9995232]=1;i=d;return}function gM(b){b=b|0;var d=0,e=0;d=i;if(a[9995224]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+784>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9937480,JT(+h[(c[e>>2]|0)+784>>3],9983456)|0)|0;re[c[2160]&15](9995160,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9995224]=1;i=d;return}function hM(b){b=b|0;var d=0,e=0;d=i;if(a[9995216]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+776>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9936872,JT(+h[(c[e>>2]|0)+776>>3],9983456)|0)|0;re[c[2160]&15](9995128,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9995216]=1;i=d;return}function iM(b){b=b|0;var d=0,e=0;d=i;if(a[9995208]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+768>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9936736,JT(+h[(c[e>>2]|0)+768>>3],9983456)|0)|0;re[c[2160]&15](9995096,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9995208]=1;i=d;return}function jM(b){b=b|0;var d=0,e=0;d=i;if(a[9995200]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+760>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9936600,JT(+h[(c[e>>2]|0)+760>>3],9983456)|0)|0;re[c[2160]&15](9995160,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9995200]=1;i=d;return}function kM(b){b=b|0;var d=0,e=0;d=i;if(a[9995192]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+752>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9936416,JT(+h[(c[e>>2]|0)+752>>3],9983456)|0)|0;re[c[2160]&15](9995128,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9995192]=1;i=d;return}function lM(b){b=b|0;var d=0,e=0;d=i;if(a[9995184]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+744>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9936280,JT(+h[(c[e>>2]|0)+744>>3],9983456)|0)|0;re[c[2160]&15](9995096,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9995184]=1;i=d;return}function mM(b){b=b|0;var d=0,e=0;d=i;if(a[9995152]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+736>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9936072,JT(+h[(c[e>>2]|0)+736>>3],9983456)|0)|0;re[c[2160]&15](9995160,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9995152]=1;i=d;return}function nM(b){b=b|0;var d=0,e=0;d=i;if(a[9995120]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+728>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9935888,JT(+h[(c[e>>2]|0)+728>>3],9983456)|0)|0;re[c[2160]&15](9995128,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9995120]=1;i=d;return}function oM(b){b=b|0;var d=0,e=0;d=i;if(a[9995088]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+720>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(9935752,JT(+h[(c[e>>2]|0)+720>>3],9983456)|0)|0;re[c[2160]&15](9995096,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9995088]=1;i=d;return}function pM(b){b=b|0;var d=0,e=0;d=i;if(a[9995080]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+712>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(8091400,JT(+h[(c[e>>2]|0)+712>>3],9983456)|0)|0;re[c[2160]&15](9995032,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9995080]=1;i=d;return}function qM(b){b=b|0;var d=0,e=0;d=i;if(a[9995072]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+704>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(8091280,JT(+h[(c[e>>2]|0)+704>>3],9983456)|0)|0;re[c[2160]&15](9995032,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9995072]=1;i=d;return}function rM(b){b=b|0;var d=0,e=0;d=i;if(a[9995064]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+696>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(8090680,JT(+h[(c[e>>2]|0)+696>>3],9983456)|0)|0;re[c[2160]&15](9995032,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9995064]=1;i=d;return}function sM(b){b=b|0;var d=0,e=0;d=i;if(a[9995056]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+688>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(8090488,JT(+h[(c[e>>2]|0)+688>>3],9983456)|0)|0;re[c[2160]&15](9995032,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9995056]=1;i=d;return}function tM(b){b=b|0;var d=0,e=0;d=i;if(a[9995024]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+680>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(8090224,JT(+h[(c[e>>2]|0)+680>>3],9983456)|0)|0;re[c[2160]&15](9995032,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9995024]=1;i=d;return}function uM(b){b=b|0;var d=0,e=0;d=i;if(a[9995016]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+672>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(8090072,JT(+h[(c[e>>2]|0)+672>>3],9983456)|0)|0;re[c[2160]&15](9994968,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9995016]=1;i=d;return}function vM(b){b=b|0;var d=0,e=0;d=i;if(a[9995008]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+664>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(8089936,JT(+h[(c[e>>2]|0)+664>>3],9983456)|0)|0;re[c[2160]&15](9994968,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9995008]=1;i=d;return}function wM(b){b=b|0;var d=0,e=0;d=i;if(a[9995e3]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+656>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(8089792,JT(+h[(c[e>>2]|0)+656>>3],9983456)|0)|0;re[c[2160]&15](9994968,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9995e3]=1;i=d;return}function xM(b){b=b|0;var d=0,e=0;d=i;if(a[9994992]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+648>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(8089544,JT(+h[(c[e>>2]|0)+648>>3],9983456)|0)|0;re[c[2160]&15](9994968,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9994992]=1;i=d;return}function yM(b){b=b|0;var d=0,e=0;d=i;if(a[9994960]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+640>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(8089336,JT(+h[(c[e>>2]|0)+640>>3],9983456)|0)|0;re[c[2160]&15](9994968,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9994960]=1;i=d;return}function zM(b){b=b|0;var d=0,e=0;d=i;if(a[9994952]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+632>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(56880,JT(+h[(c[e>>2]|0)+632>>3],9983456)|0)|0;re[c[2160]&15](9994904,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9994952]=1;i=d;return}function AM(b){b=b|0;var d=0,e=0;d=i;if(a[9994944]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+624>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(56784,JT(+h[(c[e>>2]|0)+624>>3],9983456)|0)|0;re[c[2160]&15](9994904,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9994944]=1;i=d;return}function BM(b){b=b|0;var d=0,e=0;d=i;if(a[9994936]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+616>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(56128,JT(+h[(c[e>>2]|0)+616>>3],9983456)|0)|0;re[c[2160]&15](9994904,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9994936]=1;i=d;return}function CM(b){b=b|0;var d=0,e=0;d=i;if(a[9994928]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+608>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(56016,JT(+h[(c[e>>2]|0)+608>>3],9983456)|0)|0;re[c[2160]&15](9994904,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9994928]=1;i=d;return}function DM(b){b=b|0;var d=0,e=0;d=i;if(a[9994896]|0){i=d;return}e=b+416|0;if(!((rW(+h[(c[e>>2]|0)+600>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(55904,JT(+h[(c[e>>2]|0)+600>>3],9983456)|0)|0;re[c[2160]&15](9994904,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9994896]=1;i=d;return}function EM(b){b=b|0;var d=0,e=0;d=i;if(a[9994864]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+40>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(55808,LT(c[(c[e>>2]|0)+40>>2]|0,9973088)|0)|0;re[c[2160]&15](9994872,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9994864]=1;i=d;return}function FM(b){b=b|0;var d=0,e=0;d=i;if(a[9994856]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+36>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(55696,LT(c[(c[e>>2]|0)+36>>2]|0,9973088)|0)|0;re[c[2160]&15](9994768,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9994856]=1;i=d;return}function GM(b){b=b|0;var d=0,e=0;d=i;if(a[9994848]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+32>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(55472,LT(c[(c[e>>2]|0)+32>>2]|0,9973088)|0)|0;re[c[2160]&15](9994768,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9994848]=1;i=d;return}function HM(b){b=b|0;var d=0,e=0;d=i;if(a[9994840]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+28>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(55352,LT(c[(c[e>>2]|0)+28>>2]|0,9973088)|0)|0;re[c[2160]&15](9994800,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9994840]=1;i=d;return}function IM(b){b=b|0;var d=0,e=0;d=i;if(a[9994832]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+24>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(55248,LT(c[(c[e>>2]|0)+24>>2]|0,9973088)|0)|0;re[c[2160]&15](9994768,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9994832]=1;i=d;return}function JM(b){b=b|0;var d=0,e=0;d=i;if(a[9994824]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+20>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(54984,LT(c[(c[e>>2]|0)+20>>2]|0,9973088)|0)|0;re[c[2160]&15](9994768,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9994824]=1;i=d;return}function KM(b){b=b|0;var d=0,e=0;d=i;if(a[9994792]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+16>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(54896,LT(c[(c[e>>2]|0)+16>>2]|0,9973088)|0)|0;re[c[2160]&15](9994800,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9994792]=1;i=d;return}function LM(b){b=b|0;var d=0,e=0;d=i;if(a[9994760]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+12>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(54336,LT(c[(c[e>>2]|0)+12>>2]|0,9973088)|0)|0;re[c[2160]&15](9994768,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9994760]=1;i=d;return}function MM(b){b=b|0;var d=0,e=0;d=i;if(a[9994728]|0){i=d;return}e=b+420|0;if(!((rW(+(c[(c[e>>2]|0)+8>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=NT(54248,LT(c[(c[e>>2]|0)+8>>2]|0,9973088)|0)|0;re[c[2160]&15](9994736,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9994728]=1;i=d;return}function NM(b){b=b|0;var d=0,e=0;d=i;if(a[9994720]|0){i=d;return}e=b+4|0;if(!((rW(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3520>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(54088,JT(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3520>>3],9983456)|0)|0;re[c[2160]&15](9994648,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9994720]=1;i=d;return}function OM(b){b=b|0;var d=0,e=0;d=i;if(a[9994712]|0){i=d;return}e=b+4|0;if(!((rW(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3504>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(53896,JT(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3504>>3],9983456)|0)|0;re[c[2160]&15](9994648,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9994712]=1;i=d;return}function PM(b){b=b|0;var d=0,e=0;d=i;if(a[9994704]|0){i=d;return}e=b+4|0;if(!((rW(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3496>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(53736,JT(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3496>>3],9983456)|0)|0;re[c[2160]&15](9994648,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9994704]=1;i=d;return}function QM(b){b=b|0;var d=0,e=0;d=i;if(a[9994696]|0){i=d;return}e=b+4|0;if(!((rW(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3488>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(53496,JT(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3488>>3],9983456)|0)|0;re[c[2160]&15](9994648,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9994696]=1;i=d;return}function RM(b){b=b|0;var d=0,e=0;d=i;if(a[9994688]|0){i=d;return}e=b+4|0;if(!((rW(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3472>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(53280,JT(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3472>>3],9983456)|0)|0;re[c[2160]&15](9994648,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9994688]=1;i=d;return}function SM(b){b=b|0;var d=0,e=0;d=i;if(a[9994680]|0){i=d;return}e=b+4|0;if(!((rW(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3456>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(53120,JT(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3456>>3],9983456)|0)|0;re[c[2160]&15](9994648,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9994680]=1;i=d;return}function TM(b){b=b|0;var d=0,e=0;d=i;if(a[9994672]|0){i=d;return}e=b+4|0;if(!((rW(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3448>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(52760,JT(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3448>>3],9983456)|0)|0;re[c[2160]&15](9994648,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9994672]=1;i=d;return}function UM(b){b=b|0;var d=0,e=0;d=i;if(a[9994640]|0){i=d;return}e=b+4|0;if(!((rW(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3440>>3],0.0)|0)<<24>>24==0)){i=d;return}b=NT(52600,JT(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+3440>>3],9983456)|0)|0;re[c[2160]&15](9994648,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[9994640]=1;i=d;return}function VM(a){a=a|0;Xx(a);Yx(a);Zx(a);_x(a);$x(a);ay(a);by(a);cy(a);dy(a);ey(a);fy(a);gy(a);hy(a);iy(a);jy(a);ky(a);ly(a);my(a);ny(a);oy(a);py(a);qy(a);ry(a);sy(a);ty(a);uy(a);vy(a);wy(a);xy(a);yy(a);zy(a);Ay(a);By(a);Cy(a);Dy(a);Ey(a);Fy(a);Gy(a);Hy(a);Iy(a);Jy(a);Ky(a);Ly(a);My(a);Ny(a);Oy(a);Py(a);Qy(a);Ry(a);Sy(a);Ty(a);Uy(a);Vy(a);Wy(a);Xy(a);Yy(a);Zy(a);_y(a);$y(a);az(a);bz(a);cz(a);dz(a);ez(a);fz(a);gz(a);hz(a);iz(a);jz(a);kz(a);lz(a);mz(a);nz(a);oz(a);pz(a);qz(a);rz(a);sz(a);tz(a);uz(a);vz(a);wz(a);xz(a);yz(a);zz(a);Az(a);Bz(a);Cz(a);Dz(a);Ez(a);Fz(a);Gz(a);Hz(a);Iz(a);Jz(a);Kz(a);Lz(a);Mz(a);Nz(a);Oz(a);Pz(a);Qz(a);Rz(a);Sz(a);Tz(a);Uz(a);Vz(a);Wz(a);Xz(a);Yz(a);Zz(a);_z(a);$z(a);aA(a);bA(a);cA(a);dA(a);eA(a);fA(a);gA(a);hA(a);iA(a);jA(a);kA(a);lA(a);mA(a);nA(a);oA(a);pA(a);qA(a);rA(a);sA(a);tA(a);uA(a);vA(a);wA(a);xA(a);yA(a);zA(a);AA(a);BA(a);CA(a);DA(a);EA(a);FA(a);GA(a);HA(a);IA(a);JA(a);KA(a);LA(a);MA(a);NA(a);OA(a);PA(a);QA(a);RA(a);SA(a);TA(a);UA(a);VA(a);WA(a);XA(a);YA(a);ZA(a);_A(a);$A(a);aB(a);bB(a);cB(a);dB(a);eB(a);fB(a);gB(a);hB(a);iB(a);jB(a);kB(a);lB(a);mB(a);nB(a);oB(a);pB(a);qB(a);rB(a);sB(a);tB(a);uB(a);vB(a);wB(a);xB(a);yB(a);zB(a);AB(a);BB(a);CB(a);DB(a);EB(a);FB(a);GB(a);HB(a);IB(a);JB(a);KB(a);LB(a);MB(a);NB(a);OB(a);PB(a);QB(a);RB(a);SB(a);TB(a);UB(a);VB(a);WB(a);XB(a);YB(a);ZB(a);_B(a);$B(a);aC(a);bC(a);cC(a);dC(a);eC(a);fC(a);gC(a);hC(a);iC(a);jC(a);kC(a);lC(a);mC(a);nC(a);oC(a);pC(a);qC(a);rC(a);sC(a);tC(a);uC(a);vC(a);wC(a);xC(a);yC(a);zC(a);AC(a);BC(a);CC(a);DC(a);EC(a);FC(a);GC(a);HC(a);IC(a);JC(a);KC(a);LC(a);MC(a);NC(a);OC(a);PC(a);QC(a);RC(a);SC(a);TC(a);UC(a);VC(a);WC(a);XC(a);YC(a);ZC(a);_C(a);$C(a);aD(a);bD(a);cD(a);dD(a);eD(a);fD(a);gD(a);hD(a);iD(a);jD(a);kD(a);lD(a);mD(a);nD(a);oD(a);pD(a);qD(a);rD(a);sD(a);tD(a);uD(a);vD(a);wD(a);xD(a);yD(a);zD(a);AD(a);BD(a);CD(a);DD(a);ED(a);FD(a);GD(a);HD(a);ID(a);JD(a);KD(a);LD(a);MD(a);ND(a);OD(a);PD(a);QD(a);RD(a);SD(a);TD(a);UD(a);VD(a);WD(a);XD(a);YD(a);ZD(a);_D(a);$D(a);aE(a);bE(a);cE(a);dE(a);eE(a);fE(a);gE(a);hE(a);iE(a);jE(a);kE(a);lE(a);mE(a);nE(a);oE(a);pE(a);qE(a);rE(a);sE(a);tE(a);uE(a);vE(a);wE(a);xE(a);yE(a);zE(a);AE(a);BE(a);CE(a);DE(a);EE(a);FE(a);GE(a);HE(a);IE(a);JE(a);KE(a);LE(a);ME(a);NE(a);OE(a);PE(a);QE(a);RE(a);SE(a);TE(a);UE(a);VE(a);WE(a);XE(a);YE(a);ZE(a);_E(a);$E(a);aF(a);bF(a);cF(a);dF(a);eF(a);fF(a);gF(a);hF(a);iF(a);jF(a);kF(a);lF(a);mF(a);nF(a);oF(a);pF(a);qF(a);rF(a);sF(a);tF(a);uF(a);vF(a);wF(a);xF(a);yF(a);zF(a);AF(a);BF(a);CF(a);DF(a);EF(a);FF(a);GF(a);HF(a);IF(a);JF(a);KF(a);LF(a);MF(a);NF(a);OF(a);PF(a);QF(a);RF(a);SF(a);TF(a);UF(a);VF(a);WF(a);XF(a);YF(a);ZF(a);_F(a);$F(a);aG(a);bG(a);cG(a);dG(a);eG(a);fG(a);gG(a);hG(a);iG(a);jG(a);kG(a);lG(a);mG(a);nG(a);oG(a);pG(a);qG(a);rG(a);sG(a);tG(a);uG(a);vG(a);wG(a);xG(a);yG(a);zG(a);AG(a);BG(a);CG(a);DG(a);EG(a);FG(a);GG(a);HG(a);IG(a);JG(a);KG(a);LG(a);MG(a);NG(a);OG(a);PG(a);QG(a);RG(a);SG(a);TG(a);UG(a);VG(a);WG(a);XG(a);YG(a);ZG(a);_G(a);$G(a);aH(a);bH(a);cH(a);dH(a);eH(a);fH(a);gH(a);hH(a);iH(a);jH(a);kH(a);lH(a);mH(a);nH(a);oH(a);pH(a);qH(a);rH(a);sH(a);tH(a);uH(a);vH(a);wH(a);xH(a);yH(a);zH(a);AH(a);BH(a);CH(a);DH(a);EH(a);FH(a);GH(a);HH(a);IH(a);JH(a);KH(a);LH(a);MH(a);NH(a);OH(a);PH(a);QH(a);RH(a);SH(a);TH(a);UH(a);VH(a);WH(a);XH(a);YH(a);ZH(a);_H(a);$H(a);aI(a);bI(a);cI(a);dI(a);eI(a);fI(a);gI(a);hI(a);iI(a);jI(a);kI(a);lI(a);mI(a);nI(a);oI(a);pI(a);qI(a);rI(a);sI(a);tI(a);uI(a);vI(a);wI(a);xI(a);yI(a);zI(a);AI(a);BI(a);CI(a);DI(a);EI(a);FI(a);GI(a);HI(a);II(a);JI(a);KI(a);LI(a);MI(a);NI(a);OI(a);PI(a);QI(a);RI(a);SI(a);TI(a);UI(a);VI(a);WI(a);XI(a);YI(a);ZI(a);_I(a);$I(a);aJ(a);bJ(a);cJ(a);dJ(a);eJ(a);fJ(a);gJ(a);hJ(a);iJ(a);jJ(a);kJ(a);lJ(a);mJ(a);nJ(a);oJ(a);pJ(a);qJ(a);rJ(a);sJ(a);tJ(a);uJ(a);vJ(a);wJ(a);xJ(a);yJ(a);zJ(a);AJ(a);BJ(a);CJ(a);DJ(a);EJ(a);FJ(a);GJ(a);HJ(a);IJ(a);JJ(a);KJ(a);LJ(a);MJ(a);NJ(a);OJ(a);PJ(a);QJ(a);RJ(a);SJ(a);TJ(a);UJ(a);VJ(a);WJ(a);XJ(a);YJ(a);ZJ(a);_J(a);$J(a);aK(a);bK(a);cK(a);dK(a);eK(a);fK(a);gK(a);hK(a);iK(a);jK(a);kK(a);lK(a);mK(a);nK(a);oK(a);pK(a);qK(a);rK(a);sK(a);tK(a);uK(a);vK(a);wK(a);xK(a);yK(a);zK(a);AK(a);BK(a);CK(a);DK(a);EK(a);FK(a);GK(a);HK(a);IK(a);JK(a);KK(a);LK(a);MK(a);NK(a);OK(a);PK(a);QK(a);RK(a);SK(a);TK(a);UK(a);VK(a);WK(a);XK(a);YK(a);ZK(a);_K(a);$K(a);aL(a);bL(a);cL(a);dL(a);eL(a);fL(a);gL(a);hL(a);iL(a);jL(a);kL(a);lL(a);mL(a);nL(a);oL(a);pL(a);qL(a);rL(a);sL(a);tL(a);uL(a);vL(a);wL(a);xL(a);yL(a);zL(a);AL(a);BL(a);CL(a);DL(a);EL(a);FL(a);GL(a);HL(a);IL(a);JL(a);KL(a);LL(a);ML(a);NL(a);OL(a);PL(a);QL(a);RL(a);SL(a);TL(a);UL(a);VL(a);WL(a);XL(a);YL(a);ZL(a);_L(a);$L(a);aM(a);bM(a);cM(a);dM(a);eM(a);fM(a);gM(a);hM(a);iM(a);jM(a);kM(a);lM(a);mM(a);nM(a);oM(a);pM(a);qM(a);rM(a);sM(a);tM(a);uM(a);vM(a);wM(a);xM(a);yM(a);zM(a);AM(a);BM(a);CM(a);DM(a);EM(a);FM(a);GM(a);HM(a);IM(a);JM(a);KM(a);LM(a);MM(a);NM(a);OM(a);PM(a);QM(a);RM(a);SM(a);TM(a);UM(a);return 0}function WM(b){b=b|0;a[b+314|0]=0;XM(b);return 0}function XM(a){a=a|0;_e(a);cf(a);pf(a);rf(a);vf(a);yf(a);Af(a);Cf(a);Ef(a);Gf(a);If(a);Jf(a);Kf(a);Lf(a);Mf(a);Nf(a);Of(a);Pf(a);bg(a);cg(a);dg(a);eg(a);fg(a);gg(a);Eg(a);Gg(a);Ig(a);Jg(a);Kg(a);Lg(a);Og(a);Qg(a);Sg(a);Tg(a);Ug(a);Wg(a);Xg(a);Yg(a);Zg(a);_g(a);$g(a);ah(a);bh(a);ch(a);dh(a);eh(a);fh(a);gh(a);hh(a);ih(a);jh(a);kh(a);lh(a);mh(a);nh(a);oh(a);ph(a);qh(a);rh(a);sh(a);th(a);uh(a);vh(a);wh(a);xh(a);yh(a);zh(a);Ah(a);Bh(a);Ch(a);Dh(a);Fh(a);Gh(a);Hh(a);Ih(a);Jh(a);Kh(a);Lh(a);Mh(a);Nh(a);Oh(a);Ph(a);Qh(a);Sh(a);Vh(a);Wh(a);Xh(a);Yh(a);di(a);fi(a);hi(a);ii(a);ji(a);ki(a);oi(a);pi(a);ri(a);si(a);ti(a);ui(a);vi(a);zi(a);Ci(a);Di(a);Ei(a);Fi(a);Gi(a);Hi(a);Ii(a);Ji(a);Ki(a);Li(a);Mi(a);Ni(a);Oi(a);Pi(a);Qi(a);Ri(a);Si(a);Ti(a);Ui(a);Vi(a);Wi(a);Xi(a);Yi(a);Zi(a);_i(a);$i(a);return}function YM(a){a=a|0;return 0}function ZM(a){a=a|0;return 1}function _M(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0;b=a+464|0;a=c[b>>2]|0;c[a+44>>2]=15;c[a+48>>2]=15;c[a+72>>2]=nla(15,8)|0;a=nla(15,8)|0;c[(c[b>>2]|0)+80>>2]=a;a=nla(0,8)|0;c[(c[b>>2]|0)+76>>2]=a;a=lla(60)|0;c[(c[b>>2]|0)+52>>2]=a;a=lla(372)|0;c[(c[b>>2]|0)+56>>2]=a;a=lla(60)|0;c[(c[b>>2]|0)+64>>2]=a;a=c[b>>2]|0;c[a+68>>2]=9;c[a+84>>2]=0;a=c[b>>2]|0;d=c[a+52>>2]|0;c[d+56>>2]=8;c[d+52>>2]=7;c[d+48>>2]=8;c[d+44>>2]=8;c[d+40>>2]=7;c[d+36>>2]=7;c[d+12>>2]=6;c[d+8>>2]=6;c[d+32>>2]=6;c[d+28>>2]=6;c[d+4>>2]=5;c[d>>2]=5;c[d+24>>2]=5;c[d+20>>2]=5;c[d+16>>2]=4;e=1;f=5;g=5;while(1){h=g+f|0;c[d+(e<<2)>>2]=h;i=e+1|0;if((i|0)>=15){break}e=i;f=h;g=c[d+(i<<2)>>2]|0}$M(d,c[a+56>>2]|0);a=c[b>>2]|0;aN(c[a+52>>2]|0,c[a+56>>2]|0);a=c[b>>2]|0;bN(c[a+52>>2]|0,c[a+56>>2]|0);a=c[b>>2]|0;cN(c[a+52>>2]|0,c[a+56>>2]|0);a=c[b>>2]|0;dN(c[a+52>>2]|0,c[a+56>>2]|0);a=c[b>>2]|0;eN(c[a+52>>2]|0,c[a+56>>2]|0);a=c[b>>2]|0;fN(c[a+52>>2]|0,c[a+56>>2]|0);a=c[b>>2]|0;gN(c[a+52>>2]|0,c[a+56>>2]|0);a=c[b>>2]|0;hN(c[a+52>>2]|0,c[a+56>>2]|0);a=c[b>>2]|0;iN(c[a+52>>2]|0,c[a+56>>2]|0);a=c[b>>2]|0;jN(c[a+52>>2]|0,c[a+56>>2]|0);a=c[b>>2]|0;kN(c[a+52>>2]|0,c[a+56>>2]|0);a=c[b>>2]|0;lN(c[a+52>>2]|0,c[a+56>>2]|0);a=c[b>>2]|0;mN(c[a+52>>2]|0,c[a+56>>2]|0);a=c[b>>2]|0;nN(c[a+52>>2]|0,c[a+56>>2]|0);a=c[(c[b>>2]|0)+64>>2]|0;c[a+56>>2]=1;c[a+28>>2]=1;c[a+52>>2]=2;c[a+4>>2]=2;c[a+48>>2]=3;c[a>>2]=3;c[a+44>>2]=4;c[a+24>>2]=4;c[a+40>>2]=5;c[a+20>>2]=5;c[a+36>>2]=6;c[a+16>>2]=6;c[a+12>>2]=7;c[a+8>>2]=8;c[a+32>>2]=9;return 0}function $M(a,b){a=a|0;b=b|0;var d=0;d=a+56|0;c[b+((c[d>>2]|0)-8<<2)>>2]=8;c[b+((c[d>>2]|0)-7<<2)>>2]=2;c[b+((c[d>>2]|0)-6<<2)>>2]=3;c[b+((c[d>>2]|0)-5<<2)>>2]=9;c[b+((c[d>>2]|0)-4<<2)>>2]=10;c[b+((c[d>>2]|0)-3<<2)>>2]=11;c[b+((c[d>>2]|0)-2<<2)>>2]=12;c[b+((c[d>>2]|0)-1<<2)>>2]=14;return}function aN(a,b){a=a|0;b=b|0;var d=0;d=a+52|0;c[b+((c[d>>2]|0)-7<<2)>>2]=2;c[b+((c[d>>2]|0)-6<<2)>>2]=3;c[b+((c[d>>2]|0)-5<<2)>>2]=9;c[b+((c[d>>2]|0)-4<<2)>>2]=10;c[b+((c[d>>2]|0)-3<<2)>>2]=11;c[b+((c[d>>2]|0)-2<<2)>>2]=12;c[b+((c[d>>2]|0)-1<<2)>>2]=13;return}function bN(a,b){a=a|0;b=b|0;var d=0;d=a+48|0;c[b+((c[d>>2]|0)-8<<2)>>2]=2;c[b+((c[d>>2]|0)-7<<2)>>2]=3;c[b+((c[d>>2]|0)-6<<2)>>2]=9;c[b+((c[d>>2]|0)-5<<2)>>2]=10;c[b+((c[d>>2]|0)-4<<2)>>2]=11;c[b+((c[d>>2]|0)-3<<2)>>2]=12;c[b+((c[d>>2]|0)-2<<2)>>2]=13;c[b+((c[d>>2]|0)-1<<2)>>2]=14;return}



function paa(a){a=a|0;c[a>>2]=9987376;Qha(a+4|0);tla(a);return}function qaa(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=Sha(d,10026464)|0;d=e;f=b+36|0;c[f>>2]=d;g=b+44|0;c[g>>2]=ce[c[(c[e>>2]|0)+24>>2]&255](d)|0;d=c[f>>2]|0;a[b+53|0]=(ce[c[(c[d>>2]|0)+28>>2]&255](d)|0)&1;if((c[g>>2]|0)<=8){return}_ga(24160);return}function raa(a){a=a|0;return uaa(a,0)|0}function saa(a){a=a|0;return uaa(a,1)|0}function taa(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=i;i=i+32|0;f=e|0;g=e+8|0;h=e+16|0;j=e+24|0;k=b+52|0;l=(a[k]|0)!=0;if((d|0)==-1){if(l){m=-1;i=e;return m|0}n=c[b+48>>2]|0;a[k]=(n|0)!=-1|0;m=n;i=e;return m|0}n=b+48|0;a:do{if(l){a[h]=c[n>>2];o=c[b+36>>2]|0;p=f|0;q=oe[c[(c[o>>2]|0)+12>>2]&31](o,c[b+40>>2]|0,h,h+1|0,j,p,f+8|0,g)|0;if((q|0)==3){a[p]=c[n>>2];c[g>>2]=f+1}else if((q|0)==2|(q|0)==1){m=-1;i=e;return m|0}q=b+32|0;while(1){o=c[g>>2]|0;if(!(o>>>0>p>>>0)){break a}r=o-1|0;c[g>>2]=r;if((jd(a[r]|0,c[q>>2]|0)|0)==-1){m=-1;break}}i=e;return m|0}}while(0);c[n>>2]=d;a[k]=1;m=d;i=e;return m|0}function uaa(b,e){b=b|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;f=i;i=i+32|0;g=f|0;h=f+8|0;j=f+16|0;k=f+24|0;l=b+52|0;if((a[l]|0)!=0){m=b+48|0;n=c[m>>2]|0;if(!e){o=n;i=f;return o|0}c[m>>2]=-1;a[l]=0;o=n;i=f;return o|0}n=c[b+44>>2]|0;l=(n|0)>1?n:1;a:do{if((l|0)>0){n=b+32|0;m=0;while(1){p=Db(c[n>>2]|0)|0;if((p|0)==-1){o=-1;break}a[g+m|0]=p;m=m+1|0;if((m|0)>=(l|0)){break a}}i=f;return o|0}}while(0);b:do{if((a[b+53|0]|0)==0){m=b+40|0;n=b+36|0;p=g|0;q=h+1|0;r=b+32|0;s=l;while(1){t=c[m>>2]|0;u=t;v=c[u>>2]|0;w=c[u+4>>2]|0;u=c[n>>2]|0;x=g+s|0;y=oe[c[(c[u>>2]|0)+16>>2]&31](u,t,p,x,j,h,q,k)|0;if((y|0)==3){z=14;break}else if((y|0)==2){o=-1;z=23;break}else if((y|0)!=1){A=s;break b}y=c[m>>2]|0;c[y>>2]=v;c[y+4>>2]=w;if((s|0)==8){o=-1;z=23;break}w=Db(c[r>>2]|0)|0;if((w|0)==-1){o=-1;z=23;break}a[x]=w;s=s+1|0}if((z|0)==14){a[h]=a[p]|0;A=s;break}else if((z|0)==23){i=f;return o|0}}else{a[h]=a[g|0]|0;A=l}}while(0);do{if(e){l=a[h]|0;c[b+48>>2]=l&255;B=l}else{l=b+32|0;k=A;while(1){if((k|0)<=0){z=21;break}j=k-1|0;if((jd(d[g+j|0]|0,c[l>>2]|0)|0)==-1){o=-1;z=23;break}else{k=j}}if((z|0)==21){B=a[h]|0;break}else if((z|0)==23){i=f;return o|0}}}while(0);o=B&255;i=f;return o|0}function vaa(){T9(0);Gb(184,10027216,s|0)|0;return}function waa(a){a=a|0;return}function xaa(a){a=a|0;var b=0;b=a+4|0;I=c[b>>2]|0,c[b>>2]=I+1,I;return}function yaa(a){a=a|0;var b=0,d=0;b=a+4|0;if(((I=c[b>>2]|0,c[b>>2]=I+ -1,I)|0)!=0){d=0;return d|0}$d[c[(c[a>>2]|0)+8>>2]&511](a);d=1;return d|0}function zaa(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;c[a>>2]=9985536;d=a+4|0;if((d|0)==0){return}a=Nla(b|0)|0;e=sla(a+13|0)|0;c[e+4>>2]=a;c[e>>2]=a;f=e+12|0;c[d>>2]=f;c[e+8>>2]=0;Pla(f|0,b|0,a+1|0)|0;return}function Aaa(a){a=a|0;var b=0,d=0,e=0;c[a>>2]=9985536;b=a+4|0;d=(c[b>>2]|0)-4|0;do{if(((I=c[d>>2]|0,c[d>>2]=I+ -1,I)-1|0)<0){e=(c[b>>2]|0)-12|0;if((e|0)==0){break}ula(e)}}while(0);tla(a);return}function Baa(a){a=a|0;var b=0,d=0,e=0;c[a>>2]=9985536;b=a+4|0;d=(c[b>>2]|0)-4|0;if(((I=c[d>>2]|0,c[d>>2]=I+ -1,I)-1|0)>=0){e=a|0;return}d=(c[b>>2]|0)-12|0;if((d|0)==0){e=a|0;return}ula(d);e=a|0;return}function Caa(a){a=a|0;return c[a+4>>2]|0}function Daa(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;c[b>>2]=9985440;e=b+4|0;if((e|0)==0){return}if((a[d]&1)==0){f=d+1|0}else{f=c[d+8>>2]|0}d=Nla(f|0)|0;b=sla(d+13|0)|0;c[b+4>>2]=d;c[b>>2]=d;g=b+12|0;c[e>>2]=g;c[b+8>>2]=0;Pla(g|0,f|0,d+1|0)|0;return}function Eaa(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;c[a>>2]=9985440;d=a+4|0;if((d|0)==0){return}a=Nla(b|0)|0;e=sla(a+13|0)|0;c[e+4>>2]=a;c[e>>2]=a;f=e+12|0;c[d>>2]=f;c[e+8>>2]=0;Pla(f|0,b|0,a+1|0)|0;return}function Faa(a){a=a|0;var b=0,d=0,e=0;c[a>>2]=9985440;b=a+4|0;d=(c[b>>2]|0)-4|0;do{if(((I=c[d>>2]|0,c[d>>2]=I+ -1,I)-1|0)<0){e=(c[b>>2]|0)-12|0;if((e|0)==0){break}ula(e)}}while(0);tla(a);return}function Gaa(a){a=a|0;var b=0,d=0,e=0;c[a>>2]=9985440;b=a+4|0;d=(c[b>>2]|0)-4|0;if(((I=c[d>>2]|0,c[d>>2]=I+ -1,I)-1|0)>=0){e=a|0;return}d=(c[b>>2]|0)-12|0;if((d|0)==0){e=a|0;return}ula(d);e=a|0;return}function Haa(a){a=a|0;return c[a+4>>2]|0}function Iaa(a){a=a|0;var b=0,d=0,e=0;c[a>>2]=9985536;b=a+4|0;d=(c[b>>2]|0)-4|0;do{if(((I=c[d>>2]|0,c[d>>2]=I+ -1,I)-1|0)<0){e=(c[b>>2]|0)-12|0;if((e|0)==0){break}ula(e)}}while(0);tla(a);return}function Jaa(a){a=a|0;var b=0,d=0,e=0;c[a>>2]=9985536;b=a+4|0;d=(c[b>>2]|0)-4|0;do{if(((I=c[d>>2]|0,c[d>>2]=I+ -1,I)-1|0)<0){e=(c[b>>2]|0)-12|0;if((e|0)==0){break}ula(e)}}while(0);tla(a);return}function Kaa(a){a=a|0;return}function Laa(a,b,d){a=a|0;b=b|0;d=d|0;c[a>>2]=d;c[a+4>>2]=b;return}function Maa(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+8|0;f=e|0;re[c[(c[a>>2]|0)+12>>2]&15](f,a,b);if((c[f+4>>2]|0)!=(c[d+4>>2]|0)){g=0;i=e;return g|0}g=(c[f>>2]|0)==(c[d>>2]|0);i=e;return g|0}function Naa(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;if((c[b+4>>2]|0)!=(a|0)){e=0;return e|0}e=(c[b>>2]|0)==(d|0);return e|0}function Oaa(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0;d=dd(e|0)|0;e=Nla(d|0)|0;if(e>>>0>4294967279>>>0){Uaa(0)}if(e>>>0<11>>>0){a[b]=e<<1;f=b+1|0;Pla(f|0,d|0,e)|0;g=f+e|0;a[g]=0;return}else{h=e+16&-16;i=rla(h)|0;c[b+8>>2]=i;c[b>>2]=h|1;c[b+4>>2]=e;f=i;Pla(f|0,d|0,e)|0;g=f+e|0;a[g]=0;return}}function Paa(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;f=i;i=i+16|0;g=f|0;h=d|0;j=c[h>>2]|0;k=e;do{if((j|0)!=0){l=a[k]|0;if((l&1)==0){m=(l&255)>>>1}else{m=c[e+4>>2]|0}if((m|0)==0){n=j}else{zba(e,9944360,2)|0;n=c[h>>2]|0}l=c[d+4>>2]|0;re[c[(c[l>>2]|0)+24>>2]&15](g,l,n);l=g;o=a[l]|0;if((o&1)==0){p=(o&255)>>>1;q=g+1|0}else{p=c[g+4>>2]|0;q=c[g+8>>2]|0}zba(e,q,p)|0;if((a[l]&1)==0){break}tla(c[g+8>>2]|0)}}while(0);g=b;c[g>>2]=c[k>>2];c[g+4>>2]=c[k+4>>2];c[g+8>>2]=c[k+8>>2];Qla(k|0,0,12)|0;i=f;return}function Qaa(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;f=i;i=i+32|0;g=d;d=i;i=i+8|0;c[d>>2]=c[g>>2];c[d+4>>2]=c[g+4>>2];g=f|0;h=f+16|0;j=Nla(e|0)|0;if(j>>>0>4294967279>>>0){Uaa(0)}if(j>>>0<11>>>0){a[h]=j<<1;k=h+1|0}else{l=j+16&-16;m=rla(l)|0;c[h+8>>2]=m;c[h>>2]=l|1;c[h+4>>2]=j;k=m}Pla(k|0,e|0,j)|0;a[k+j|0]=0;Paa(g,d,h);Daa(b|0,g);if(!((a[g]&1)==0)){tla(c[g+8>>2]|0)}if(!((a[h]&1)==0)){tla(c[h+8>>2]|0)}c[b>>2]=9987808;h=d;d=b+8|0;b=c[h+4>>2]|0;c[d>>2]=c[h>>2];c[d+4>>2]=b;i=f;return}function Raa(a){a=a|0;Gaa(a|0);tla(a);return}function Saa(a){a=a|0;Gaa(a|0);return}function Taa(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e;if((c[a>>2]|0)==1){do{sb(10026216,10026192)|0;}while((c[a>>2]|0)==1)}if((c[a>>2]|0)!=0){f;return}c[a>>2]=1;g;$d[d&511](b);h;c[a>>2]=-1;i;ib(10026216)|0;return}function Uaa(a){a=a|0;a=Gd(8)|0;zaa(a,9975640);c[a>>2]=9985504;xc(a|0,9991848,46)}function Vaa(a){a=a|0;a=Gd(8)|0;zaa(a,9975640);c[a>>2]=9985472;xc(a|0,9991832,14)}function Waa(a){a=a|0;Qla(a|0,0,12)|0;return}function Xaa(a,b){a=a|0;b=b|0;Qla(a|0,0,12)|0;return}function Yaa(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=d;if((a[e]&1)==0){f=b;c[f>>2]=c[e>>2];c[f+4>>2]=c[e+4>>2];c[f+8>>2]=c[e+8>>2];return}e=c[d+8>>2]|0;f=c[d+4>>2]|0;if(f>>>0>4294967279>>>0){Uaa(0)}if(f>>>0<11>>>0){a[b]=f<<1;g=b+1|0}else{d=f+16&-16;h=rla(d)|0;c[b+8>>2]=h;c[b>>2]=d|1;c[b+4>>2]=f;g=h}Pla(g|0,e|0,f)|0;a[g+f|0]=0;return}function Zaa(b){b=b|0;return(a[b]&1)!=0|0}function _aa(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0;if(e>>>0>4294967279>>>0){Uaa(0)}if(e>>>0<11>>>0){a[b]=e<<1;f=b+1|0;Pla(f|0,d|0,e)|0;g=f+e|0;a[g]=0;return}else{h=e+16&-16;i=rla(h)|0;c[b+8>>2]=i;c[b>>2]=h|1;c[b+4>>2]=e;f=i;Pla(f|0,d|0,e)|0;g=f+e|0;a[g]=0;return}}function $aa(a){a=a|0;return a|0}function aba(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=Nla(d|0)|0;if(e>>>0>4294967279>>>0){Uaa(0)}if(e>>>0<11>>>0){a[b]=e<<1;f=b+1|0;Pla(f|0,d|0,e)|0;g=f+e|0;a[g]=0;return}else{h=e+16&-16;i=rla(h)|0;c[b+8>>2]=i;c[b>>2]=h|1;c[b+4>>2]=e;f=i;Pla(f|0,d|0,e)|0;g=f+e|0;a[g]=0;return}}function bba(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;if(d>>>0>4294967279>>>0){Uaa(0)}if(d>>>0<11>>>0){a[b]=d<<1;f=b+1|0}else{g=d+16&-16;h=rla(g)|0;c[b+8>>2]=h;c[b>>2]=g|1;c[b+4>>2]=d;f=h}Qla(f|0,e|0,d|0)|0;a[f+d|0]=0;return}function cba(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;if(d>>>0>4294967279>>>0){Uaa(0)}if(d>>>0<11>>>0){a[b]=d<<1;f=b+1|0}else{g=d+16&-16;h=rla(g)|0;c[b+8>>2]=h;c[b>>2]=g|1;c[b+4>>2]=d;f=h}Qla(f|0,e|0,d|0)|0;a[f+d|0]=0;return}function dba(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;g=a[d]|0;h=(g&1)==0;if(h){i=(g&255)>>>1}else{i=c[d+4>>2]|0}if(i>>>0<e>>>0){Vaa(0)}if(h){j=d+1|0}else{j=c[d+8>>2]|0}d=j+e|0;j=i-e|0;e=j>>>0<f>>>0?j:f;if(e>>>0>4294967279>>>0){Uaa(0)}if(e>>>0<11>>>0){a[b]=e<<1;k=b+1|0;Pla(k|0,d|0,e)|0;l=k+e|0;a[l]=0;return}else{f=e+16&-16;j=rla(f)|0;c[b+8>>2]=j;c[b>>2]=f|1;c[b+4>>2]=e;k=j;Pla(k|0,d|0,e)|0;l=k+e|0;a[l]=0;return}}function eba(b){b=b|0;var d=0,e=0;d=a[b]|0;if((d&1)==0){e=(d&255)>>>1;return e|0}else{e=c[b+4>>2]|0;return e|0}return 0}function fba(b){b=b|0;var d=0;if((a[b]&1)==0){d=b+1|0;return d|0}else{d=c[b+8>>2]|0;return d|0}return 0}function gba(b){b=b|0;if((a[b]&1)==0){return}tla(c[b+8>>2]|0);return}function hba(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0;if((b|0)==(d|0)){return b|0}e=a[d]|0;if((e&1)==0){f=(e&255)>>>1;g=d+1|0}else{f=c[d+4>>2]|0;g=c[d+8>>2]|0}d=b;e=a[d]|0;if((e&1)==0){h=10;i=e}else{e=c[b>>2]|0;h=(e&-2)-1|0;i=e&255}e=(i&1)==0;if(h>>>0<f>>>0){if(e){j=(i&255)>>>1}else{j=c[b+4>>2]|0}Aba(b,h,f-h|0,j,0,j,f,g);return b|0}if(e){k=b+1|0}else{k=c[b+8>>2]|0}Tla(k|0,g|0,f|0)|0;a[k+f|0]=0;if((a[d]&1)==0){a[d]=f<<1;return b|0}else{c[b+4>>2]=f;return b|0}return 0}function iba(a,b){a=a|0;b=b|0;return jba(a,b)|0}function jba(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0;e=Nla(d|0)|0;f=b;g=a[f]|0;if((g&1)==0){h=10;i=g}else{g=c[b>>2]|0;h=(g&-2)-1|0;i=g&255}g=(i&1)==0;if(h>>>0<e>>>0){if(g){j=(i&255)>>>1}else{j=c[b+4>>2]|0}Aba(b,h,e-h|0,j,0,j,e,d);return b|0}if(g){k=b+1|0}else{k=c[b+8>>2]|0}Tla(k|0,d|0,e|0)|0;a[k+e|0]=0;if((a[f]&1)==0){a[f]=e<<1;return b|0}else{c[b+4>>2]=e;return b|0}return 0}function kba(a,b){a=a|0;b=b|0;c[a+4>>2]=b;return}function lba(a){a=a|0;return a+1|0}function mba(b,c){b=b|0;c=c|0;a[b]=c<<1;return}function nba(b){b=b|0;var d=0,e=0;d=a[b]|0;if((d&1)==0){e=(d&255)>>>1;return e|0}else{e=c[b+4>>2]|0;return e|0}return 0}function oba(b){b=b|0;var d=0;if((a[b]&1)==0){d=10;return d|0}d=(c[b>>2]&-2)-1|0;return d|0}function pba(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0;f=b;g=a[f]|0;h=(g&1)==0;if(h){i=(g&255)>>>1}else{i=c[b+4>>2]|0}if(i>>>0<d>>>0){qba(b,d-i|0,e)|0;return}if(h){a[b+1+d|0]=0;a[f]=d<<1;return}else{a[(c[b+8>>2]|0)+d|0]=0;c[b+4>>2]=d;return}}function qba(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0;if((d|0)==0){return b|0}f=b;g=a[f]|0;if((g&1)==0){h=10;i=g}else{g=c[b>>2]|0;h=(g&-2)-1|0;i=g&255}if((i&1)==0){j=(i&255)>>>1}else{j=c[b+4>>2]|0}if((h-j|0)>>>0<d>>>0){Bba(b,h,d-h+j|0,j,j,0,0);k=a[f]|0}else{k=i}if((k&1)==0){l=b+1|0}else{l=c[b+8>>2]|0}Qla(l+j|0,e|0,d|0)|0;e=j+d|0;if((a[f]&1)==0){a[f]=e<<1}else{c[b+4>>2]=e}a[l+e|0]=0;return b|0}function rba(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=b;f=a[e]|0;g=(f&1)==0;if(g){h=(f&255)>>>1}else{h=c[b+4>>2]|0}if(h>>>0<d>>>0){qba(b,d-h|0,0)|0;return}if(g){a[b+1+d|0]=0;a[e]=d<<1;return}else{a[(c[b+8>>2]|0)+d|0]=0;c[b+4>>2]=d;return}}function sba(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;if(d>>>0>4294967279>>>0){Uaa(0)}e=b;f=a[e]|0;if((f&1)==0){g=10;h=f}else{f=c[b>>2]|0;g=(f&-2)-1|0;h=f&255}if((h&1)==0){i=(h&255)>>>1}else{i=c[b+4>>2]|0}f=i>>>0>d>>>0?i:d;if(f>>>0<11>>>0){j=10}else{j=(f+16&-16)-1|0}if((j|0)==(g|0)){return}do{if((j|0)==10){k=b+1|0;l=c[b+8>>2]|0;m=1;n=0}else{f=j+1|0;if(j>>>0>g>>>0){o=rla(f)|0}else{o=rla(f)|0}if((h&1)==0){k=o;l=b+1|0;m=0;n=1;break}else{k=o;l=c[b+8>>2]|0;m=1;n=1;break}}}while(0);if((h&1)==0){p=(h&255)>>>1}else{p=c[b+4>>2]|0}Pla(k|0,l|0,p+1|0)|0;if(m){tla(l)}if(n){c[b>>2]=j+1|1;c[b+4>>2]=i;c[b+8>>2]=k;return}else{a[e]=i<<1;return}}function tba(a){a=a|0;var b=0;if(a>>>0<11>>>0){b=10;return b|0}b=(a+16&-16)-1|0;return b|0}function uba(a,b){a=a|0;b=b|0;c[a>>2]=b|1;return}function vba(a,b){a=a|0;b=b|0;c[a+8>>2]=b;return}function wba(b){b=b|0;var d=0;d=b;if((a[d]&1)==0){a[b+1|0]=0;a[d]=0;return}else{a[c[b+8>>2]|0]=0;c[b+4>>2]=0;return}}function xba(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=a[d]|0;if((e&1)==0){f=(e&255)>>>1;g=d+1|0}else{f=c[d+4>>2]|0;g=c[d+8>>2]|0}return zba(b,g,f)|0}function yba(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=b;f=a[e]|0;g=(f&1)!=0;if(g){h=c[b+4>>2]|0;i=(c[b>>2]&-2)-1|0}else{h=(f&255)>>>1;i=10}if((h|0)==(i|0)){Bba(b,i,1,i,i,0,0);if((a[e]&1)==0){j=7}else{j=8}}else{if(g){j=8}else{j=7}}if((j|0)==7){a[e]=(h<<1)+2;k=b+1|0;l=h+1|0;m=k+h|0;a[m]=d;n=k+l|0;a[n]=0;return}else if((j|0)==8){j=c[b+8>>2]|0;e=h+1|0;c[b+4>>2]=e;k=j;l=e;m=k+h|0;a[m]=d;n=k+l|0;a[n]=0;return}}function zba(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0;f=b;g=a[f]|0;if((g&1)==0){h=10;i=g}else{g=c[b>>2]|0;h=(g&-2)-1|0;i=g&255}if((i&1)==0){j=(i&255)>>>1}else{j=c[b+4>>2]|0}if((h-j|0)>>>0<e>>>0){Aba(b,h,e-h+j|0,j,j,0,e,d);return b|0}if((e|0)==0){return b|0}if((i&1)==0){k=b+1|0}else{k=c[b+8>>2]|0}Pla(k+j|0,d|0,e)|0;d=j+e|0;if((a[f]&1)==0){a[f]=d<<1}else{c[b+4>>2]=d}a[k+d|0]=0;return b|0}function Aba(b,d,e,f,g,h,i,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;if((-18-d|0)>>>0<e>>>0){Uaa(0)}if((a[b]&1)==0){k=b+1|0}else{k=c[b+8>>2]|0}do{if(d>>>0<2147483623>>>0){l=e+d|0;m=d<<1;n=l>>>0<m>>>0?m:l;if(n>>>0<11>>>0){o=11;break}o=n+16&-16}else{o=-17}}while(0);e=rla(o)|0;if((g|0)!=0){Pla(e|0,k|0,g)|0}if((i|0)!=0){Pla(e+g|0,j|0,i)|0}j=f-h|0;if((j|0)!=(g|0)){Pla(e+(i+g)|0,k+(h+g)|0,j-g|0)|0}if((d|0)==10){p=b+8|0;c[p>>2]=e;q=o|1;r=b|0;c[r>>2]=q;s=j+i|0;t=b+4|0;c[t>>2]=s;u=e+s|0;a[u]=0;return}tla(k);p=b+8|0;c[p>>2]=e;q=o|1;r=b|0;c[r>>2]=q;s=j+i|0;t=b+4|0;c[t>>2]=s;u=e+s|0;a[u]=0;return}function Bba(b,d,e,f,g,h,i){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;if((-17-d|0)>>>0<e>>>0){Uaa(0)}if((a[b]&1)==0){j=b+1|0}else{j=c[b+8>>2]|0}do{if(d>>>0<2147483623>>>0){k=e+d|0;l=d<<1;m=k>>>0<l>>>0?l:k;if(m>>>0<11>>>0){n=11;break}n=m+16&-16}else{n=-17}}while(0);e=rla(n)|0;if((g|0)!=0){Pla(e|0,j|0,g)|0}m=f-h|0;if((m|0)!=(g|0)){Pla(e+(i+g)|0,j+(h+g)|0,m-g|0)|0}if((d|0)==10){o=b+8|0;c[o>>2]=e;p=n|1;q=b|0;c[q>>2]=p;return}tla(j);o=b+8|0;c[o>>2]=e;p=n|1;q=b|0;c[q>>2]=p;return}function Cba(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;dba(a,b,c,d,0);return}function Dba(b){b=b|0;var d=0;if((a[b]&1)==0){d=b+1|0;return d|0}else{d=c[b+8>>2]|0;return d|0}return 0}function Eba(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;f=Nla(d|0)|0;g=a[b]|0;h=(g&1)==0;if(h){i=(g&255)>>>1}else{i=c[b+4>>2]|0}if(i>>>0<e>>>0|(i-e|0)>>>0<f>>>0){j=-1;return j|0}if((f|0)==0){j=e;return j|0}if(h){k=b+1|0}else{k=c[b+8>>2]|0}b=k+e|0;h=k+i|0;g=d+f|0;if((h-b|0)<(f|0)){j=-1;return j|0}l=i+(1-f)|0;f=k+l|0;if((l|0)==(e|0)){j=-1;return j|0}e=a[d]|0;l=b;a:while(1){if((a[l]|0)==e<<24>>24){b=d;i=l;do{b=b+1|0;if((b|0)==(g|0)){break a}i=i+1|0;}while((a[i]|0)==(a[b]|0))}b=l+1|0;if((b|0)==(f|0)){j=-1;m=18;break}else{l=b}}if((m|0)==18){return j|0}if((l|0)==(h|0)){j=-1;return j|0}j=l-k|0;return j|0}function Fba(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0;e=a[b]|0;f=(e&1)==0;if(f){g=(e&255)>>>1}else{g=c[b+4>>2]|0}e=a[d]|0;h=(e&1)==0;if(h){i=(e&255)>>>1}else{i=c[d+4>>2]|0}if(f){j=b+1|0}else{j=c[b+8>>2]|0}if(h){k=d+1|0}else{k=c[d+8>>2]|0}d=i>>>0<g>>>0;h=Kla(j,k,d?i:g)|0;if((h|0)==0){return(g>>>0<i>>>0?-1:d&1)|0}else{return h|0}return 0}function Gba(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=Nla(d|0)|0;f=a[b]|0;g=(f&1)==0;if(g){h=(f&255)>>>1}else{h=c[b+4>>2]|0}if((e|0)==-1){Vaa(0);return 0}if(g){i=b+1|0}else{i=c[b+8>>2]|0}b=h>>>0>e>>>0;g=Kla(i,d,b?e:h)|0;if((g|0)==0){return(h>>>0<e>>>0?-1:b&1)|0}else{return g|0}return 0}function Hba(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0;if(f>>>0>4294967279>>>0){Uaa(0)}if(f>>>0<11>>>0){a[b]=e<<1;g=b+1|0;Pla(g|0,d|0,e)|0;h=g+e|0;a[h]=0;return}else{i=f+16&-16;f=rla(i)|0;c[b+8>>2]=f;c[b>>2]=i|1;c[b+4>>2]=e;g=f;Pla(g|0,d|0,e)|0;h=g+e|0;a[h]=0;return}}function Iba(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0;if(e>>>0>1073741807>>>0){Uaa(0)}if(e>>>0<2>>>0){a[b]=e<<1;f=b+4|0;g=Oka(f,d,e)|0;h=f+(e<<2)|0;c[h>>2]=0;return}else{i=e+4&-4;j=rla(i<<2)|0;c[b+8>>2]=j;c[b>>2]=i|1;c[b+4>>2]=e;f=j;g=Oka(f,d,e)|0;h=f+(e<<2)|0;c[h>>2]=0;return}}function Jba(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0;if(d>>>0>1073741807>>>0){Uaa(0)}if(d>>>0<2>>>0){a[b]=d<<1;f=b+4|0;g=Qka(f,e,d)|0;h=f+(d<<2)|0;c[h>>2]=0;return}else{i=d+4&-4;j=rla(i<<2)|0;c[b+8>>2]=j;c[b>>2]=i|1;c[b+4>>2]=d;f=j;g=Qka(f,e,d)|0;h=f+(d<<2)|0;c[h>>2]=0;return}}function Kba(b){b=b|0;if((a[b]&1)==0){return}tla(c[b+8>>2]|0);return}function Lba(a,b){a=a|0;b=b|0;return Mba(a,b,Nka(b)|0)|0}function Mba(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0;f=b;g=a[f]|0;if((g&1)==0){h=1;i=g}else{g=c[b>>2]|0;h=(g&-2)-1|0;i=g&255}g=(i&1)==0;if(h>>>0<e>>>0){if(g){j=(i&255)>>>1}else{j=c[b+4>>2]|0}Pba(b,h,e-h|0,j,0,j,e,d);return b|0}if(g){k=b+4|0}else{k=c[b+8>>2]|0}Pka(k,d,e)|0;c[k+(e<<2)>>2]=0;if((a[f]&1)==0){a[f]=e<<1;return b|0}else{c[b+4>>2]=e;return b|0}return 0}function Nba(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;if(d>>>0>1073741807>>>0){Uaa(0)}e=b;f=a[e]|0;if((f&1)==0){g=1;h=f}else{f=c[b>>2]|0;g=(f&-2)-1|0;h=f&255}if((h&1)==0){i=(h&255)>>>1}else{i=c[b+4>>2]|0}f=i>>>0>d>>>0?i:d;if(f>>>0<2>>>0){j=1}else{j=(f+4&-4)-1|0}if((j|0)==(g|0)){return}do{if((j|0)==1){k=b+4|0;l=c[b+8>>2]|0;m=1;n=0}else{f=(j<<2)+4|0;if(j>>>0>g>>>0){o=rla(f)|0}else{o=rla(f)|0}f=o;if((h&1)==0){k=f;l=b+4|0;m=0;n=1;break}else{k=f;l=c[b+8>>2]|0;m=1;n=1;break}}}while(0);if((h&1)==0){p=(h&255)>>>1}else{p=c[b+4>>2]|0}Oka(k,l,p+1|0)|0;if(m){tla(l)}if(n){c[b>>2]=j+1|1;c[b+4>>2]=i;c[b+8>>2]=k;return}else{a[e]=i<<1;return}}function Oba(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=b;f=a[e]|0;g=(f&1)!=0;if(g){h=c[b+4>>2]|0;i=(c[b>>2]&-2)-1|0}else{h=(f&255)>>>1;i=1}if((h|0)==(i|0)){Qba(b,i,1,i,i,0,0);if((a[e]&1)==0){j=7}else{j=8}}else{if(g){j=8}else{j=7}}if((j|0)==7){a[e]=(h<<1)+2;k=b+4|0;l=h+1|0;m=k+(h<<2)|0;c[m>>2]=d;n=k+(l<<2)|0;c[n>>2]=0;return}else if((j|0)==8){j=c[b+8>>2]|0;e=h+1|0;c[b+4>>2]=e;k=j;l=e;m=k+(h<<2)|0;c[m>>2]=d;n=k+(l<<2)|0;c[n>>2]=0;return}}function Pba(b,d,e,f,g,h,i,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;if((1073741806-d|0)>>>0<e>>>0){Uaa(0)}if((a[b]&1)==0){k=b+4|0}else{k=c[b+8>>2]|0}do{if(d>>>0<536870887>>>0){l=e+d|0;m=d<<1;n=l>>>0<m>>>0?m:l;if(n>>>0<2>>>0){o=2;break}o=n+4&-4}else{o=1073741807}}while(0);e=rla(o<<2)|0;if((g|0)!=0){Oka(e,k,g)|0}if((i|0)!=0){Oka(e+(g<<2)|0,j,i)|0}j=f-h|0;if((j|0)!=(g|0)){Oka(e+(i+g<<2)|0,k+(h+g<<2)|0,j-g|0)|0}if((d|0)==1){p=b+8|0;c[p>>2]=e;q=o|1;r=b|0;c[r>>2]=q;s=j+i|0;t=b+4|0;c[t>>2]=s;u=e+(s<<2)|0;c[u>>2]=0;return}tla(k);p=b+8|0;c[p>>2]=e;q=o|1;r=b|0;c[r>>2]=q;s=j+i|0;t=b+4|0;c[t>>2]=s;u=e+(s<<2)|0;c[u>>2]=0;return}function Qba(b,d,e,f,g,h,i){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;if((1073741807-d|0)>>>0<e>>>0){Uaa(0)}if((a[b]&1)==0){j=b+4|0}else{j=c[b+8>>2]|0}do{if(d>>>0<536870887>>>0){k=e+d|0;l=d<<1;m=k>>>0<l>>>0?l:k;if(m>>>0<2>>>0){n=2;break}n=m+4&-4}else{n=1073741807}}while(0);e=rla(n<<2)|0;if((g|0)!=0){Oka(e,j,g)|0}m=f-h|0;if((m|0)!=(g|0)){Oka(e+(i+g<<2)|0,j+(h+g<<2)|0,m-g|0)|0}if((d|0)==1){o=b+8|0;c[o>>2]=e;p=n|1;q=b|0;c[q>>2]=p;return}tla(j);o=b+8|0;c[o>>2]=e;p=n|1;q=b|0;c[q>>2]=p;return}function Rba(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0;f=b;Qla(f|0,0,12)|0;g=Nla(d|0)|0;h=e;i=a[h]|0;if((i&1)==0){j=(i&255)>>>1}else{j=c[e+4>>2]|0}i=j+g|0;if(i>>>0>4294967279>>>0){Uaa(0)}if(i>>>0<11>>>0){a[f]=g<<1;k=b+1|0}else{f=i+16&-16;i=rla(f)|0;c[b+8>>2]=i;c[b>>2]=f|1;c[b+4>>2]=g;k=i}Pla(k|0,d|0,g)|0;a[k+g|0]=0;if((a[h]&1)==0){l=e+1|0}else{l=c[e+8>>2]|0}zba(b,l,j)|0;return}function Sba(a){a=a|0;return(c[a+16>>2]&5|0)==0|0}function Tba(a){a=a|0;return(c[a+16>>2]&5|0)!=0|0}function Uba(a,b){a=a|0;b=b|0;Vba(a|0,b);return}function Vba(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+8|0;f=e|0;g=(c[b+24>>2]|0)==0;if(g){c[b+16>>2]=d|1}else{c[b+16>>2]=d}if(((g&1|d)&c[b+20>>2]|0)==0){i=e;return}e=Gd(16)|0;do{if((a[10027336]|0)==0){if((cc(10027336)|0)==0){break}c[2506336]=9987072;Gb(162,10025344,s|0)|0}}while(0);b=Zla(10025344,0,32)|0;c[f>>2]=b&0|1;c[f+4>>2]=K|0;Qaa(e,f,9954032);c[e>>2]=9986208;xc(e|0,9992392,40)}function Wba(a,b){a=a|0;b=b|0;Vba(a|0,c[a+16>>2]|b);return}function Xba(a){a=a|0;var b=0,d=0,e=0,f=0;c[a>>2]=9986184;b=c[a+40>>2]|0;d=a+32|0;e=a+36|0;if((b|0)!=0){f=b;do{f=f-1|0;re[c[(c[d>>2]|0)+(f<<2)>>2]&15](0,a,c[(c[e>>2]|0)+(f<<2)>>2]|0);}while((f|0)!=0)}Qha(a+28|0);mla(c[d>>2]|0);mla(c[e>>2]|0);mla(c[a+48>>2]|0);mla(c[a+60>>2]|0);return}function Yba(a){a=a|0;Xba(a|0);tla(a);return}function Zba(a){a=a|0;Xba(a|0);return}function _ba(a){a=a|0;Xba(a|0);return}function $ba(a){a=a|0;return c[a+24>>2]|0}function aca(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+8|0;d=b|0;e=a+76|0;f=c[e>>2]|0;if(!((f|0)==-1)){g=f&255;i=b;return g|0}Pha(d,a+28|0);a=Sha(d,10026768)|0;f=me[c[(c[a>>2]|0)+28>>2]&127](a,32)|0;Qha(d);c[e>>2]=f<<24>>24;g=f;i=b;return g|0}function bca(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=i;i=i+8|0;e=d|0;Pha(e,a+28|0);a=Sha(e,10026768)|0;f=me[c[(c[a>>2]|0)+28>>2]&127](a,b)|0;Qha(e);i=d;return f|0}function cca(a,b){a=a|0;b=b|0;Pha(a,b+28|0);return}function dca(a){a=a|0;c[a>>2]=9985728;return}function eca(a,b){a=a|0;b=b|0;c[a+24>>2]=b;c[a+16>>2]=(b|0)==0;c[a+20>>2]=0;c[a+4>>2]=4098;c[a+12>>2]=0;c[a+8>>2]=6;b=a+28|0;Qla(a+32|0,0,40)|0;if((b|0)==0){return}Oha(b);return}function fca(a){a=a|0;c[a>>2]=9987376;Qha(a+4|0);tla(a);return}function gca(a){a=a|0;c[a>>2]=9987376;Qha(a+4|0);return}function hca(a){a=a|0;c[a>>2]=9987376;Qha(a+4|0);return}function ica(a,b){a=a|0;b=b|0;Pha(a,b+4|0);return}function jca(a){a=a|0;var b=0,e=0,f=0;b=a+12|0;e=c[b>>2]|0;if((e|0)==(c[a+16>>2]|0)){f=ce[c[(c[a>>2]|0)+40>>2]&255](a)|0;return f|0}else{c[b>>2]=e+1;f=d[e]|0;return f|0}return 0}function kca(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=b+24|0;f=c[e>>2]|0;if((f|0)==(c[b+28>>2]|0)){g=me[c[(c[b>>2]|0)+52>>2]&127](b,d&255)|0;return g|0}else{c[e>>2]=f+1;a[f]=d;g=d&255;return g|0}return 0}function lca(a,b,d){a=a|0;b=b|0;d=d|0;return ee[c[(c[a>>2]|0)+48>>2]&127](a,b,d)|0}function mca(a){a=a|0;c[a>>2]=9987376;Oha(a+4|0);Qla(a+8|0,0,24)|0;return}function nca(a){a=a|0;return c[a+8>>2]|0}function oca(a){a=a|0;return c[a+12>>2]|0}function pca(a){a=a|0;return c[a+16>>2]|0}function qca(a,b){a=a|0;b=b|0;var d=0;d=a+12|0;c[d>>2]=(c[d>>2]|0)+b;return}function rca(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;c[a+8>>2]=b;c[a+12>>2]=d;c[a+16>>2]=e;return}function sca(a){a=a|0;return c[a+20>>2]|0}function tca(a){a=a|0;return c[a+24>>2]|0}function uca(a){a=a|0;return c[a+28>>2]|0}function vca(a,b){a=a|0;b=b|0;var d=0;d=a+24|0;c[d>>2]=(c[d>>2]|0)+b;return}function wca(a,b,d){a=a|0;b=b|0;d=d|0;c[a+24>>2]=b;c[a+20>>2]=b;c[a+28>>2]=d;return}function xca(a,b){a=a|0;b=b|0;return}function yca(a,b,c){a=a|0;b=b|0;c=c|0;return a|0}function zca(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;g=a;c[g>>2]=0;c[g+4>>2]=0;g=a+8|0;c[g>>2]=-1;c[g+4>>2]=-1;return}function Aca(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;e=i;b=d;d=i;i=i+16|0;c[d>>2]=c[b>>2];c[d+4>>2]=c[b+4>>2];c[d+8>>2]=c[b+8>>2];c[d+12>>2]=c[b+12>>2];b=a;c[b>>2]=0;c[b+4>>2]=0;b=a+8|0;c[b>>2]=-1;c[b+4>>2]=-1;i=e;return}function Bca(a){a=a|0;return 0}function Cca(a){a=a|0;return 0}function Dca(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;f=b;if((e|0)<=0){g=0;return g|0}h=b+12|0;i=b+16|0;j=d;d=0;while(1){k=c[h>>2]|0;if(k>>>0<(c[i>>2]|0)>>>0){c[h>>2]=k+1;l=a[k]|0}else{k=ce[c[(c[f>>2]|0)+40>>2]&255](b)|0;if((k|0)==-1){g=d;m=8;break}l=k&255}a[j]=l;k=d+1|0;if((k|0)<(e|0)){j=j+1|0;d=k}else{g=k;m=8;break}}if((m|0)==8){return g|0}return 0}function Eca(a){a=a|0;return-1|0}function Fca(a){a=a|0;var b=0,e=0;if((ce[c[(c[a>>2]|0)+36>>2]&255](a)|0)==-1){b=-1;return b|0}e=a+12|0;a=c[e>>2]|0;c[e>>2]=a+1;b=d[a]|0;return b|0}function Gca(a,b){a=a|0;b=b|0;return-1|0}function Hca(b,e,f){b=b|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;g=b;if((f|0)<=0){h=0;return h|0}i=b+24|0;j=b+28|0;k=0;l=e;while(1){e=c[i>>2]|0;if(e>>>0<(c[j>>2]|0)>>>0){m=a[l]|0;c[i>>2]=e+1;a[e]=m}else{if((me[c[(c[g>>2]|0)+52>>2]&127](b,d[l]|0)|0)==-1){h=k;n=7;break}}m=k+1|0;if((m|0)<(f|0)){k=m;l=l+1|0}else{h=m;n=7;break}}if((n|0)==7){return h|0}return 0}function Ica(a,b){a=a|0;b=b|0;return-1|0}function Jca(a){a=a|0;c[a>>2]=9987304;Qha(a+4|0);tla(a);return}function Kca(a){a=a|0;c[a>>2]=9987304;Qha(a+4|0);return}function Lca(a,b){a=a|0;b=b|0;return}function Mca(a,b,c){a=a|0;b=b|0;c=c|0;return a|0}function Nca(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;g=a;c[g>>2]=0;c[g+4>>2]=0;g=a+8|0;c[g>>2]=-1;c[g+4>>2]=-1;return}function Oca(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;e=i;b=d;d=i;i=i+16|0;c[d>>2]=c[b>>2];c[d+4>>2]=c[b+4>>2];c[d+8>>2]=c[b+8>>2];c[d+12>>2]=c[b+12>>2];b=a;c[b>>2]=0;c[b+4>>2]=0;b=a+8|0;c[b>>2]=-1;c[b+4>>2]=-1;i=e;return}function Pca(a){a=a|0;return 0}function Qca(a){a=a|0;return 0}function Rca(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=a;if((d|0)<=0){f=0;return f|0}g=a+12|0;h=a+16|0;i=b;b=0;while(1){j=c[g>>2]|0;if(j>>>0<(c[h>>2]|0)>>>0){c[g>>2]=j+4;k=c[j>>2]|0}else{j=ce[c[(c[e>>2]|0)+40>>2]&255](a)|0;if((j|0)==-1){f=b;l=7;break}else{k=j}}c[i>>2]=k;j=b+1|0;if((j|0)<(d|0)){i=i+4|0;b=j}else{f=j;l=7;break}}if((l|0)==7){return f|0}return 0}function Sca(a){a=a|0;return-1|0}function Tca(a){a=a|0;var b=0,d=0;if((ce[c[(c[a>>2]|0)+36>>2]&255](a)|0)==-1){b=-1;return b|0}d=a+12|0;a=c[d>>2]|0;c[d>>2]=a+4;b=c[a>>2]|0;return b|0}function Uca(a,b){a=a|0;b=b|0;return-1|0}function Vca(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=a;if((d|0)<=0){f=0;return f|0}g=a+24|0;h=a+28|0;i=0;j=b;while(1){b=c[g>>2]|0;if(b>>>0<(c[h>>2]|0)>>>0){k=c[j>>2]|0;c[g>>2]=b+4;c[b>>2]=k}else{if((me[c[(c[e>>2]|0)+52>>2]&127](a,c[j>>2]|0)|0)==-1){f=i;l=8;break}}k=i+1|0;if((k|0)>=(d|0)){f=k;l=8;break}i=k;j=j+4|0}if((l|0)==8){return f|0}return 0}function Wca(a,b){a=a|0;b=b|0;return-1|0}function Xca(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=c[b>>2]|0;c[a>>2]=e;f=a;c[f+(c[e-12>>2]|0)>>2]=c[b+4>>2];c[a+4>>2]=0;b=c[(c[a>>2]|0)-12>>2]|0;c[f+(b+24)>>2]=d;c[f+(b+16)>>2]=(d|0)==0;c[f+(b+20)>>2]=0;c[f+(b+4)>>2]=4098;c[f+(b+12)>>2]=0;c[f+(b+8)>>2]=6;d=f+(b+28)|0;Qla(f+(b+32)|0,0,40)|0;if((d|0)==0){g=b+72|0;h=f+g|0;i=h;c[i>>2]=0;j=b+76|0;k=f+j|0;l=k;c[l>>2]=-1;return}Oha(d);g=b+72|0;h=f+g|0;i=h;c[i>>2]=0;j=b+76|0;k=f+j|0;l=k;c[l>>2]=-1;return}function Yca(a){a=a|0;Xba(a+8|0);tla(a);return}function Zca(a){a=a|0;Xba(a+8|0);return}function _ca(a){a=a|0;var b=0,d=0;b=a;d=c[(c[a>>2]|0)-12>>2]|0;Xba(b+(d+8)|0);tla(b+d|0);return}function $ca(a){a=a|0;Xba(a+((c[(c[a>>2]|0)-12>>2]|0)+8)|0);return}function ada(a,b,c){a=a|0;b=b|0;c=c|0;bda(a,b,c);return}function bda(d,e,f){d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;g=i;i=i+8|0;h=g|0;j=d|0;a[j]=0;d=e;k=c[(c[d>>2]|0)-12>>2]|0;l=e;e=c[l+(k+16)>>2]|0;if((e|0)!=0){Vba(l+k|0,e|4);i=g;return}e=c[l+(k+72)>>2]|0;if((e|0)!=0){cda(e)|0}do{if(!f){e=c[(c[d>>2]|0)-12>>2]|0;if((c[l+(e+4)>>2]&4096|0)==0){break}Pha(h,l+(e+28)|0);e=Sha(h,10026768)|0;Qha(h);k=e+8|0;e=c[l+((c[(c[d>>2]|0)-12>>2]|0)+24)>>2]|0;while(1){if((e|0)==0){break}if((c[e+12>>2]|0)==(c[e+16>>2]|0)){m=(ce[c[(c[e>>2]|0)+36>>2]&255](e)|0)==-1;n=m?0:e;if((n|0)==0){break}else{o=n}}else{o=e}p=o+12|0;n=c[p>>2]|0;q=o+16|0;if((n|0)==(c[q>>2]|0)){r=(ce[c[(c[o>>2]|0)+36>>2]&255](o)|0)&255}else{r=a[n]|0}if(r<<24>>24<0){s=20;break}if((b[(c[k>>2]|0)+(r<<24>>24<<1)>>1]&8192)==0){s=20;break}n=c[p>>2]|0;if((n|0)==(c[q>>2]|0)){ce[c[(c[o>>2]|0)+40>>2]&255](o)|0;e=o;continue}else{c[p>>2]=n+1;e=o;continue}}if((s|0)==20){if((c[p>>2]|0)==(c[q>>2]|0)){e=(ce[c[(c[o>>2]|0)+36>>2]&255](o)|0)==-1;t=e?0:o}else{t=o}if((t|0)!=0){break}}e=c[(c[d>>2]|0)-12>>2]|0;Vba(l+e|0,c[l+(e+16)>>2]|6)}}while(0);a[j]=(c[l+((c[(c[d>>2]|0)-12>>2]|0)+16)>>2]|0)==0|0;i=g;return}function cda(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;d=i;i=i+8|0;e=d|0;f=b;g=c[(c[f>>2]|0)-12>>2]|0;h=b;if((c[h+(g+24)>>2]|0)==0){i=d;return b|0}j=e|0;a[j]=0;c[e+4>>2]=b;do{if((c[h+(g+16)>>2]|0)==0){k=c[h+(g+72)>>2]|0;if((k|0)==0){l=g}else{cda(k)|0;l=c[(c[f>>2]|0)-12>>2]|0}a[j]=1;k=c[h+(l+24)>>2]|0;if(!((ce[c[(c[k>>2]|0)+24>>2]&255](k)|0)==-1)){break}k=c[(c[f>>2]|0)-12>>2]|0;Vba(h+k|0,c[h+(k+16)>>2]|1)}}while(0);rda(e);i=d;return b|0}function dda(b){b=b|0;return(a[b|0]|0)!=0|0}function eda(a){a=a|0;var b=0;b=a+16|0;c[b>>2]=c[b>>2]|1;if((c[a+20>>2]&1|0)==0){return}else{tb()}}function fda(a){a=a|0;Xba(a+8|0);tla(a);return}function gda(a){a=a|0;Xba(a+8|0);return}function hda(a){a=a|0;var b=0,d=0;b=a;d=c[(c[a>>2]|0)-12>>2]|0;Xba(b+(d+8)|0);tla(b+d|0);return}function ida(a){a=a|0;Xba(a+((c[(c[a>>2]|0)-12>>2]|0)+8)|0);return}function jda(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;d=i;i=i+8|0;e=d|0;f=b;g=c[(c[f>>2]|0)-12>>2]|0;h=b;if((c[h+(g+24)>>2]|0)==0){i=d;return b|0}j=e|0;a[j]=0;c[e+4>>2]=b;do{if((c[h+(g+16)>>2]|0)==0){k=c[h+(g+72)>>2]|0;if((k|0)==0){l=g}else{jda(k)|0;l=c[(c[f>>2]|0)-12>>2]|0}a[j]=1;k=c[h+(l+24)>>2]|0;if(!((ce[c[(c[k>>2]|0)+24>>2]&255](k)|0)==-1)){break}k=c[(c[f>>2]|0)-12>>2]|0;Vba(h+k|0,c[h+(k+16)>>2]|1)}}while(0);Dda(e);i=d;return b|0}function kda(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=c[b>>2]|0;c[a>>2]=e;f=a;c[f+(c[e-12>>2]|0)>>2]=c[b+4>>2];b=c[(c[a>>2]|0)-12>>2]|0;c[f+(b+24)>>2]=d;c[f+(b+16)>>2]=(d|0)==0;c[f+(b+20)>>2]=0;c[f+(b+4)>>2]=4098;c[f+(b+12)>>2]=0;c[f+(b+8)>>2]=6;d=f+(b+28)|0;Qla(f+(b+32)|0,0,40)|0;if((d|0)==0){g=b+72|0;h=f+g|0;i=h;c[i>>2]=0;j=b+76|0;k=f+j|0;l=k;c[l>>2]=-1;return}Oha(d);g=b+72|0;h=f+g|0;i=h;c[i>>2]=0;j=b+76|0;k=f+j|0;l=k;c[l>>2]=-1;return}function lda(a){a=a|0;Xba(a+4|0);tla(a);return}function mda(a){a=a|0;Xba(a+4|0);return}function nda(a){a=a|0;var b=0,d=0;b=a;d=c[(c[a>>2]|0)-12>>2]|0;Xba(b+(d+4)|0);tla(b+d|0);return}function oda(a){a=a|0;Xba(a+((c[(c[a>>2]|0)-12>>2]|0)+4)|0);return}function pda(b,d){b=b|0;d=d|0;var e=0,f=0;e=b|0;a[e]=0;c[b+4>>2]=d;b=c[(c[d>>2]|0)-12>>2]|0;f=d;if((c[f+(b+16)>>2]|0)!=0){return}d=c[f+(b+72)>>2]|0;if((d|0)!=0){cda(d)|0}a[e]=1;return}function qda(a){a=a|0;rda(a);return}function rda(a){a=a|0;var b=0,d=0,e=0;b=a+4|0;a=c[b>>2]|0;d=c[(c[a>>2]|0)-12>>2]|0;e=a;if((c[e+(d+24)>>2]|0)==0){return}if((c[e+(d+16)>>2]|0)!=0){return}if((c[e+(d+4)>>2]&8192|0)==0){return}if(kc()|0){return}d=c[b>>2]|0;e=c[d+((c[(c[d>>2]|0)-12>>2]|0)+24)>>2]|0;if(!((ce[c[(c[e>>2]|0)+24>>2]&255](e)|0)==-1)){return}e=c[b>>2]|0;b=c[(c[e>>2]|0)-12>>2]|0;d=e;Vba(d+b|0,c[d+(b+16)>>2]|1);return}function sda(b){b=b|0;return(a[b|0]|0)!=0|0}function tda(a,b){a=a|0;b=b|0;return ce[b&255](a)|0}function uda(b,d){b=b|0;d=+d;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;e=i;i=i+40|0;f=e|0;g=e+8|0;h=e+16|0;j=e+24|0;k=e+32|0;l=h|0;a[l]=0;c[h+4>>2]=b;m=b;n=c[(c[m>>2]|0)-12>>2]|0;o=b;do{if((c[o+(n+16)>>2]|0)==0){p=c[o+(n+72)>>2]|0;if((p|0)==0){q=n}else{cda(p)|0;q=c[(c[m>>2]|0)-12>>2]|0}a[l]=1;Pha(j,o+(q+28)|0);p=Sha(j,10026416)|0;Qha(j);r=c[(c[m>>2]|0)-12>>2]|0;s=c[o+(r+24)>>2]|0;t=o+(r+76)|0;u=c[t>>2]|0;if((u|0)==-1){Pha(g,o+(r+28)|0);v=Sha(g,10026768)|0;w=me[c[(c[v>>2]|0)+28>>2]&127](v,32)|0;Qha(g);c[t>>2]=w<<24>>24;x=w}else{x=u&255}u=c[(c[p>>2]|0)+32>>2]|0;c[f>>2]=s;fe[u&15](k,p,f,o+r|0,x,d);if((c[k>>2]|0)!=0){break}r=c[(c[m>>2]|0)-12>>2]|0;Vba(o+r|0,c[o+(r+16)>>2]|5)}}while(0);rda(h);i=e;return b|0}function vda(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;e=i;i=i+8|0;f=e|0;g=f|0;a[g]=0;c[f+4>>2]=b;h=b;j=c[h>>2]|0;k=c[j-12>>2]|0;l=b;do{if((c[l+(k+16)>>2]|0)==0){m=c[l+(k+72)>>2]|0;if((m|0)==0){n=j;o=k}else{cda(m)|0;m=c[h>>2]|0;n=m;o=c[m-12>>2]|0}a[g]=1;m=c[l+(o+24)>>2]|0;p=m;if((m|0)==0){q=n}else{r=m+24|0;s=c[r>>2]|0;if((s|0)!=(c[m+28>>2]|0)){c[r>>2]=s+1;a[s]=d;break}if(!((me[c[(c[m>>2]|0)+52>>2]&127](p,d&255)|0)==-1)){break}q=c[h>>2]|0}p=c[q-12>>2]|0;Vba(l+p|0,c[l+(p+16)>>2]|1)}}while(0);rda(f);i=e;return b|0}function wda(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;f=i;i=i+8|0;g=f|0;h=g|0;a[h]=0;c[g+4>>2]=b;j=b;k=c[(c[j>>2]|0)-12>>2]|0;l=b;do{if((c[l+(k+16)>>2]|0)==0){m=c[l+(k+72)>>2]|0;if((m|0)!=0){cda(m)|0}a[h]=1;if((e|0)==0){break}m=c[l+((c[(c[j>>2]|0)-12>>2]|0)+24)>>2]|0;if((ee[c[(c[m>>2]|0)+48>>2]&127](m,d,e)|0)==(e|0)){break}m=c[(c[j>>2]|0)-12>>2]|0;Vba(l+m|0,c[l+(m+16)>>2]|1)}}while(0);rda(g);i=f;return b|0}function xda(a,b){a=a|0;b=b|0;var d=0,e=0;d=c[(c[b>>2]|0)-12>>2]|0;e=b;if((c[e+(d+16)>>2]&5|0)==0){b=c[e+(d+24)>>2]|0;he[c[(c[b>>2]|0)+16>>2]&63](a,b,0,0,1,16);return}else{b=a;c[b>>2]=0;c[b+4>>2]=0;b=a+8|0;c[b>>2]=-1;c[b+4>>2]=-1;return}}function yda(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;e=i;i=i+40|0;f=d;d=i;i=i+16|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];c[d+8>>2]=c[f+8>>2];c[d+12>>2]=c[f+12>>2];f=e|0;g=e+16|0;h=e+24|0;j=g|0;a[j]=0;c[g+4>>2]=b;k=b;l=c[(c[k>>2]|0)-12>>2]|0;m=b;if((c[m+(l+16)>>2]|0)!=0){rda(g);i=e;return b|0}n=c[m+(l+72)>>2]|0;if((n|0)==0){o=l}else{cda(n)|0;o=c[(c[k>>2]|0)-12>>2]|0}a[j]=1;j=c[m+(o+24)>>2]|0;o=d;d=f;n=c[(c[j>>2]|0)+20>>2]|0;c[d>>2]=c[o>>2];c[d+4>>2]=c[o+4>>2];c[d+8>>2]=c[o+8>>2];c[d+12>>2]=c[o+12>>2];ue[n&63](h,j,f,16);f=h+8|0;if(!((c[f>>2]|0)==(-1|0)&(c[f+4>>2]|0)==(-1|0))){rda(g);i=e;return b|0}f=c[(c[k>>2]|0)-12>>2]|0;Vba(m+f|0,c[m+(f+16)>>2]|4);rda(g);i=e;return b|0}function zda(a){a=a|0;Xba(a+4|0);tla(a);return}function Ada(a){a=a|0;Xba(a+4|0);return}function Bda(a){a=a|0;var b=0,d=0;b=a;d=c[(c[a>>2]|0)-12>>2]|0;Xba(b+(d+4)|0);tla(b+d|0);return}function Cda(a){a=a|0;Xba(a+((c[(c[a>>2]|0)-12>>2]|0)+4)|0);return}function Dda(a){a=a|0;var b=0,d=0,e=0;b=a+4|0;a=c[b>>2]|0;d=c[(c[a>>2]|0)-12>>2]|0;e=a;if((c[e+(d+24)>>2]|0)==0){return}if((c[e+(d+16)>>2]|0)!=0){return}if((c[e+(d+4)>>2]&8192|0)==0){return}if(kc()|0){return}d=c[b>>2]|0;e=c[d+((c[(c[d>>2]|0)-12>>2]|0)+24)>>2]|0;if(!((ce[c[(c[e>>2]|0)+24>>2]&255](e)|0)==-1)){return}e=c[b>>2]|0;b=c[(c[e>>2]|0)-12>>2]|0;d=e;Vba(d+b|0,c[d+(b+16)>>2]|1);return}function Eda(a){a=a|0;return 9960872}function Fda(a,b,c){a=a|0;b=b|0;c=c|0;if((c|0)==1){_aa(a,9977400,35);return}else{Oaa(a,b|0,c);return}}function Gda(a){a=a|0;Kaa(a|0);return}function Hda(a){a=a|0;Saa(a|0);tla(a);return}function Ida(a){a=a|0;Saa(a|0);return}function Jda(a){a=a|0;Xba(a);tla(a);return}function Kda(a){a=a|0;Kaa(a|0);tla(a);return}function Lda(a){a=a|0;waa(a|0);tla(a);return}function Mda(a){a=a|0;waa(a|0);return}function Nda(a){a=a|0;waa(a|0);return}function Oda(b,c,d,e,f){b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0;a:do{if((e|0)==(f|0)){g=c}else{b=c;h=e;while(1){if((b|0)==(d|0)){i=-1;j=7;break}k=a[b]|0;l=a[h]|0;if(k<<24>>24<l<<24>>24){i=-1;j=7;break}if(l<<24>>24<k<<24>>24){i=1;j=7;break}k=b+1|0;l=h+1|0;if((l|0)==(f|0)){g=k;break a}else{b=k;h=l}}if((j|0)==7){return i|0}}}while(0);i=(g|0)!=(d|0)|0;return i|0}function Pda(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=e;g=f-d|0;if(g>>>0>4294967279>>>0){Uaa(b)}if(g>>>0<11>>>0){a[b]=g<<1;h=b+1|0}else{i=g+16&-16;j=rla(i)|0;c[b+8>>2]=j;c[b>>2]=i|1;c[b+4>>2]=g;h=j}if((e|0)==(f|0)){k=h;a[k]=0;return}else{l=h;m=e}while(1){a[l]=a[m]|0;e=m+1|0;if((e|0)==(f|0)){break}else{l=l+1|0;m=e}}k=h+(f+(-d|0))|0;a[k]=0;return}function Qda(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0;if((c|0)==(d|0)){e=0;return e|0}else{f=c;g=0}while(1){c=(a[f]|0)+(g<<4)|0;b=c&-268435456;h=(b>>>24|b)^c;c=f+1|0;if((c|0)==(d|0)){e=h;break}else{f=c;g=h}}return e|0}function Rda(a){a=a|0;waa(a|0);tla(a);return}function Sda(a){a=a|0;waa(a|0);return}function Tda(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0;a:do{if((e|0)==(f|0)){g=b}else{a=b;h=e;while(1){if((a|0)==(d|0)){i=-1;j=7;break}k=c[a>>2]|0;l=c[h>>2]|0;if((k|0)<(l|0)){i=-1;j=7;break}if((l|0)<(k|0)){i=1;j=7;break}k=a+4|0;l=h+4|0;if((l|0)==(f|0)){g=k;break a}else{a=k;h=l}}if((j|0)==7){return i|0}}}while(0);i=(g|0)!=(d|0)|0;return i|0}function Uda(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0;d=e;g=f-d|0;h=g>>2;if(h>>>0>1073741807>>>0){Uaa(b)}if(h>>>0<2>>>0){a[b]=g>>>1;i=b+4|0}else{g=h+4&-4;j=rla(g<<2)|0;c[b+8>>2]=j;c[b>>2]=g|1;c[b+4>>2]=h;i=j}if((e|0)==(f|0)){k=i;c[k>>2]=0;return}j=f-4+(-d|0)|0;d=i;h=e;while(1){c[d>>2]=c[h>>2];e=h+4|0;if((e|0)==(f|0)){break}else{d=d+4|0;h=e}}k=i+((j>>>2)+1<<2)|0;c[k>>2]=0;return}function Vda(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;if((b|0)==(d|0)){e=0;return e|0}else{f=b;g=0}while(1){b=(c[f>>2]|0)+(g<<4)|0;a=b&-268435456;h=(a>>>24|a)^b;b=f+4|0;if((b|0)==(d|0)){e=h;break}else{f=b;g=h}}return e|0}function Wda(a){a=a|0;waa(a|0);tla(a);return}function Xda(a){a=a|0;waa(a|0);return}function Yda(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;k=i;i=i+112|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=k|0;m=k+16|0;n=k+32|0;o=k+40|0;p=k+48|0;q=k+56|0;r=k+64|0;s=k+72|0;t=k+80|0;u=k+104|0;if((c[g+4>>2]&1|0)==0){c[n>>2]=-1;v=c[(c[d>>2]|0)+16>>2]|0;w=e|0;c[p>>2]=c[w>>2];c[q>>2]=c[f>>2];je[v&127](o,d,p,q,g,h,n);q=c[o>>2]|0;c[w>>2]=q;w=c[n>>2]|0;if((w|0)==1){a[j]=1}else if((w|0)==0){a[j]=0}else{a[j]=1;c[h>>2]=4}c[b>>2]=q;i=k;return}cca(r,g);q=r|0;r=c[q>>2]|0;if(!((c[2506692]|0)==-1)){c[m>>2]=10026768;c[m+4>>2]=84;c[m+8>>2]=0;Taa(10026768,m,124)}m=(c[2506693]|0)-1|0;w=c[r+8>>2]|0;do{if((c[r+12>>2]|0)-w>>2>>>0>m>>>0){n=c[w+(m<<2)>>2]|0;if((n|0)==0){break}o=n;yaa(c[q>>2]|0)|0;cca(s,g);n=s|0;p=c[n>>2]|0;if(!((c[2506596]|0)==-1)){c[l>>2]=10026384;c[l+4>>2]=84;c[l+8>>2]=0;Taa(10026384,l,124)}d=(c[2506597]|0)-1|0;v=c[p+8>>2]|0;do{if((c[p+12>>2]|0)-v>>2>>>0>d>>>0){x=c[v+(d<<2)>>2]|0;if((x|0)==0){break}y=x;yaa(c[n>>2]|0)|0;z=t|0;A=x;ae[c[(c[A>>2]|0)+24>>2]&255](z,y);ae[c[(c[A>>2]|0)+28>>2]&255](t+12|0,y);c[u>>2]=c[f>>2];a[j]=(Zda(e,u,z,t+24|0,o,h,1)|0)==(z|0)|0;c[b>>2]=c[e>>2];gba(t+12|0);gba(t|0);i=k;return}}while(0);o=Gd(4)|0;Ska(o);xc(o|0,9991800,176)}}while(0);k=Gd(4)|0;Ska(k);xc(k|0,9991800,176)}function Zda(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0;k=i;i=i+104|0;l=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[l>>2];l=(f-e|0)/12|0;m=k|0;do{if(l>>>0>100>>>0){n=lla(l)|0;if((n|0)!=0){o=n;p=n;break}yla();o=0;p=0}else{o=m;p=0}}while(0);m=(e|0)==(f|0);if(m){q=l;r=0}else{n=l;l=0;s=o;t=e;while(1){u=a[t]|0;if((u&1)==0){v=(u&255)>>>1}else{v=c[t+4>>2]|0}if((v|0)==0){a[s]=2;w=l+1|0;x=n-1|0}else{a[s]=1;w=l;x=n}u=t+12|0;if((u|0)==(f|0)){q=x;r=w;break}else{n=x;l=w;s=s+1|0;t=u}}}t=b|0;b=d|0;d=g;s=0;w=r;r=q;a:while(1){q=c[t>>2]|0;do{if((q|0)==0){y=0}else{if((c[q+12>>2]|0)!=(c[q+16>>2]|0)){y=q;break}if((ce[c[(c[q>>2]|0)+36>>2]&255](q)|0)==-1){c[t>>2]=0;y=0;break}else{y=c[t>>2]|0;break}}}while(0);q=(y|0)==0;l=c[b>>2]|0;do{if((l|0)==0){z=0}else{if((c[l+12>>2]|0)!=(c[l+16>>2]|0)){z=l;break}if(!((ce[c[(c[l>>2]|0)+36>>2]&255](l)|0)==-1)){z=l;break}c[b>>2]=0;z=0}}while(0);A=(z|0)==0;B=c[t>>2]|0;if(!((q^A)&(r|0)!=0)){break}l=c[B+12>>2]|0;if((l|0)==(c[B+16>>2]|0)){C=(ce[c[(c[B>>2]|0)+36>>2]&255](B)|0)&255}else{C=a[l]|0}if(j){D=C}else{D=me[c[(c[d>>2]|0)+12>>2]&127](g,C)|0}l=s+1|0;if(m){s=l;w=w;r=r;continue}b:do{if(j){x=r;n=w;v=o;u=0;E=e;while(1){do{if((a[v]|0)==1){F=a[E]|0;G=(F&1)==0;if(G){H=E+1|0}else{H=c[E+8>>2]|0}if(!(D<<24>>24==(a[H+s|0]|0))){a[v]=0;I=u;J=n;K=x-1|0;break}if(G){L=(F&255)>>>1}else{L=c[E+4>>2]|0}if((L|0)!=(l|0)){I=1;J=n;K=x;break}a[v]=2;I=1;J=n+1|0;K=x-1|0}else{I=u;J=n;K=x}}while(0);F=E+12|0;if((F|0)==(f|0)){M=K;N=J;O=I;break b}x=K;n=J;v=v+1|0;u=I;E=F}}else{E=r;u=w;v=o;n=0;x=e;while(1){do{if((a[v]|0)==1){F=x;if((a[F]&1)==0){P=x+1|0}else{P=c[x+8>>2]|0}if(!(D<<24>>24==(me[c[(c[d>>2]|0)+12>>2]&127](g,a[P+s|0]|0)|0)<<24>>24)){a[v]=0;Q=n;R=u;S=E-1|0;break}G=a[F]|0;if((G&1)==0){T=(G&255)>>>1}else{T=c[x+4>>2]|0}if((T|0)!=(l|0)){Q=1;R=u;S=E;break}a[v]=2;Q=1;R=u+1|0;S=E-1|0}else{Q=n;R=u;S=E}}while(0);G=x+12|0;if((G|0)==(f|0)){M=S;N=R;O=Q;break b}E=S;u=R;v=v+1|0;n=Q;x=G}}}while(0);if(!O){s=l;w=N;r=M;continue}q=c[t>>2]|0;x=q+12|0;n=c[x>>2]|0;if((n|0)==(c[q+16>>2]|0)){ce[c[(c[q>>2]|0)+40>>2]&255](q)|0}else{c[x>>2]=n+1}if((M+N|0)>>>0<2>>>0){s=l;w=N;r=M;continue}else{U=N;V=o;W=e}while(1){do{if((a[V]|0)==2){n=a[W]|0;if((n&1)==0){X=(n&255)>>>1}else{X=c[W+4>>2]|0}if((X|0)==(l|0)){Y=U;break}a[V]=0;Y=U-1|0}else{Y=U}}while(0);n=W+12|0;if((n|0)==(f|0)){s=l;w=Y;r=M;continue a}else{U=Y;V=V+1|0;W=n}}}do{if((B|0)==0){Z=0}else{if((c[B+12>>2]|0)!=(c[B+16>>2]|0)){Z=B;break}if((ce[c[(c[B>>2]|0)+36>>2]&255](B)|0)==-1){c[t>>2]=0;Z=0;break}else{Z=c[t>>2]|0;break}}}while(0);t=(Z|0)==0;do{if(A){_=91}else{if((c[z+12>>2]|0)!=(c[z+16>>2]|0)){if(t){break}else{_=93;break}}if((ce[c[(c[z>>2]|0)+36>>2]&255](z)|0)==-1){c[b>>2]=0;_=91;break}else{if(t){break}else{_=93;break}}}}while(0);if((_|0)==91){if(t){_=93}}if((_|0)==93){c[h>>2]=c[h>>2]|2}c:do{if(m){_=98}else{t=o;b=e;while(1){if((a[t]|0)==2){$=b;break c}z=b+12|0;if((z|0)==(f|0)){_=98;break c}t=t+1|0;b=z}}}while(0);if((_|0)==98){c[h>>2]=c[h>>2]|4;$=f}if((p|0)==0){i=k;return $|0}mla(p);i=k;return $|0}function _da(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];$da(a,0,j,k,f,g,h);i=b;return}function $da(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;d=i;i=i+256|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+32|0;m=d+40|0;n=d+56|0;o=d+72|0;p=d+80|0;q=d+240|0;r=d+248|0;s=c[g+4>>2]&74;if((s|0)==0){t=0}else if((s|0)==8){t=16}else if((s|0)==64){t=8}else{t=10}s=k|0;Rea(m,g,s,l);g=n;Qla(g|0,0,12)|0;pba(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=a[l]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=0}else{if((c[u+12>>2]|0)!=(c[u+16>>2]|0)){A=u;break}if(!((ce[c[(c[u>>2]|0)+36>>2]&255](u)|0)==-1)){A=u;break}c[x>>2]=0;A=0}}while(0);B=(A|0)==0;C=c[e>>2]|0;do{if((C|0)==0){D=21}else{if((c[C+12>>2]|0)!=(c[C+16>>2]|0)){if(B){E=C;break}else{F=l;G=C;break a}}if((ce[c[(c[C>>2]|0)+36>>2]&255](C)|0)==-1){c[e>>2]=0;D=21;break}else{if(B){E=C;break}else{F=l;G=C;break a}}}}while(0);if((D|0)==21){D=0;if(B){F=l;G=0;break}else{E=0}}C=a[g]|0;H=(C&1)==0;if(H){I=(C&255)>>>1}else{I=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(I|0)){if(H){J=(C&255)>>>1;K=(C&255)>>>1}else{C=c[y>>2]|0;J=C;K=C}pba(n,J<<1,0);if((a[g]&1)==0){L=10}else{L=(c[f>>2]&-2)-1|0}pba(n,L,0);if((a[g]&1)==0){M=v}else{M=c[w>>2]|0}c[o>>2]=M+K;N=M}else{N=l}C=A+12|0;H=c[C>>2]|0;O=A+16|0;if((H|0)==(c[O>>2]|0)){P=(ce[c[(c[A>>2]|0)+36>>2]&255](A)|0)&255}else{P=a[H]|0}if((rea(P,t,N,o,r,z,m,k,q,s)|0)!=0){F=N;G=E;break}H=c[C>>2]|0;if((H|0)==(c[O>>2]|0)){ce[c[(c[A>>2]|0)+40>>2]&255](A)|0;l=N;u=A;continue}else{c[C>>2]=H+1;l=N;u=A;continue}}u=a[m]|0;if((u&1)==0){Q=(u&255)>>>1}else{Q=c[m+4>>2]|0}do{if((Q|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}N=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=N}}while(0);c[j>>2]=Nja(F,c[o>>2]|0,h,t)|0;cha(m,k,c[q>>2]|0,h);do{if((A|0)==0){R=0}else{if((c[A+12>>2]|0)!=(c[A+16>>2]|0)){R=A;break}if(!((ce[c[(c[A>>2]|0)+36>>2]&255](A)|0)==-1)){R=A;break}c[x>>2]=0;R=0}}while(0);x=(R|0)==0;do{if((G|0)==0){D=66}else{if((c[G+12>>2]|0)!=(c[G+16>>2]|0)){if(!x){break}S=b|0;c[S>>2]=R;gba(n);gba(m);i=d;return}if((ce[c[(c[G>>2]|0)+36>>2]&255](G)|0)==-1){c[e>>2]=0;D=66;break}if(!(x^(G|0)==0)){break}S=b|0;c[S>>2]=R;gba(n);gba(m);i=d;return}}while(0);do{if((D|0)==66){if(x){break}S=b|0;c[S>>2]=R;gba(n);gba(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;S=b|0;c[S>>2]=R;gba(n);gba(m);i=d;return}function aea(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];bea(a,0,j,k,f,g,h);i=b;return}function bea(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0;d=i;i=i+256|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+32|0;m=d+40|0;n=d+56|0;o=d+72|0;p=d+80|0;q=d+240|0;r=d+248|0;s=c[g+4>>2]&74;if((s|0)==0){t=0}else if((s|0)==8){t=16}else if((s|0)==64){t=8}else{t=10}s=k|0;Rea(m,g,s,l);g=n;Qla(g|0,0,12)|0;pba(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=a[l]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=0}else{if((c[u+12>>2]|0)!=(c[u+16>>2]|0)){A=u;break}if(!((ce[c[(c[u>>2]|0)+36>>2]&255](u)|0)==-1)){A=u;break}c[x>>2]=0;A=0}}while(0);B=(A|0)==0;C=c[e>>2]|0;do{if((C|0)==0){D=21}else{if((c[C+12>>2]|0)!=(c[C+16>>2]|0)){if(B){E=C;break}else{F=l;G=C;break a}}if((ce[c[(c[C>>2]|0)+36>>2]&255](C)|0)==-1){c[e>>2]=0;D=21;break}else{if(B){E=C;break}else{F=l;G=C;break a}}}}while(0);if((D|0)==21){D=0;if(B){F=l;G=0;break}else{E=0}}C=a[g]|0;H=(C&1)==0;if(H){I=(C&255)>>>1}else{I=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(I|0)){if(H){J=(C&255)>>>1;L=(C&255)>>>1}else{C=c[y>>2]|0;J=C;L=C}pba(n,J<<1,0);if((a[g]&1)==0){M=10}else{M=(c[f>>2]&-2)-1|0}pba(n,M,0);if((a[g]&1)==0){N=v}else{N=c[w>>2]|0}c[o>>2]=N+L;O=N}else{O=l}C=A+12|0;H=c[C>>2]|0;P=A+16|0;if((H|0)==(c[P>>2]|0)){Q=(ce[c[(c[A>>2]|0)+36>>2]&255](A)|0)&255}else{Q=a[H]|0}if((rea(Q,t,O,o,r,z,m,k,q,s)|0)!=0){F=O;G=E;break}H=c[C>>2]|0;if((H|0)==(c[P>>2]|0)){ce[c[(c[A>>2]|0)+40>>2]&255](A)|0;l=O;u=A;continue}else{c[C>>2]=H+1;l=O;u=A;continue}}u=a[m]|0;if((u&1)==0){R=(u&255)>>>1}else{R=c[m+4>>2]|0}do{if((R|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}O=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=O}}while(0);r=Mja(F,c[o>>2]|0,h,t)|0;c[j>>2]=r;c[j+4>>2]=K;cha(m,k,c[q>>2]|0,h);do{if((A|0)==0){S=0}else{if((c[A+12>>2]|0)!=(c[A+16>>2]|0)){S=A;break}if(!((ce[c[(c[A>>2]|0)+36>>2]&255](A)|0)==-1)){S=A;break}c[x>>2]=0;S=0}}while(0);x=(S|0)==0;do{if((G|0)==0){D=66}else{if((c[G+12>>2]|0)!=(c[G+16>>2]|0)){if(!x){break}T=b|0;c[T>>2]=S;gba(n);gba(m);i=d;return}if((ce[c[(c[G>>2]|0)+36>>2]&255](G)|0)==-1){c[e>>2]=0;D=66;break}if(!(x^(G|0)==0)){break}T=b|0;c[T>>2]=S;gba(n);gba(m);i=d;return}}while(0);do{if((D|0)==66){if(x){break}T=b|0;c[T>>2]=S;gba(n);gba(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;T=b|0;c[T>>2]=S;gba(n);gba(m);i=d;return}function cea(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];dea(a,0,j,k,f,g,h);i=b;return}function dea(d,e,f,g,h,j,k){d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0;e=i;i=i+256|0;l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=g;g=i;i=i+4|0;i=i+7&-8;c[g>>2]=c[l>>2];l=e|0;m=e+32|0;n=e+40|0;o=e+56|0;p=e+72|0;q=e+80|0;r=e+240|0;s=e+248|0;t=c[h+4>>2]&74;if((t|0)==0){u=0}else if((t|0)==8){u=16}else if((t|0)==64){u=8}else{u=10}t=l|0;Rea(n,h,t,m);h=o;Qla(h|0,0,12)|0;pba(o,10,0);if((a[h]&1)==0){l=o+1|0;v=l;w=l;x=o+8|0}else{l=o+8|0;v=c[l>>2]|0;w=o+1|0;x=l}c[p>>2]=v;l=q|0;c[r>>2]=l;c[s>>2]=0;y=f|0;f=g|0;g=o|0;z=o+4|0;A=a[m]|0;m=v;v=c[y>>2]|0;a:while(1){do{if((v|0)==0){B=0}else{if((c[v+12>>2]|0)!=(c[v+16>>2]|0)){B=v;break}if(!((ce[c[(c[v>>2]|0)+36>>2]&255](v)|0)==-1)){B=v;break}c[y>>2]=0;B=0}}while(0);C=(B|0)==0;D=c[f>>2]|0;do{if((D|0)==0){E=21}else{if((c[D+12>>2]|0)!=(c[D+16>>2]|0)){if(C){F=D;break}else{G=m;H=D;break a}}if((ce[c[(c[D>>2]|0)+36>>2]&255](D)|0)==-1){c[f>>2]=0;E=21;break}else{if(C){F=D;break}else{G=m;H=D;break a}}}}while(0);if((E|0)==21){E=0;if(C){G=m;H=0;break}else{F=0}}D=a[h]|0;I=(D&1)==0;if(I){J=(D&255)>>>1}else{J=c[z>>2]|0}if(((c[p>>2]|0)-m|0)==(J|0)){if(I){K=(D&255)>>>1;L=(D&255)>>>1}else{D=c[z>>2]|0;K=D;L=D}pba(o,K<<1,0);if((a[h]&1)==0){M=10}else{M=(c[g>>2]&-2)-1|0}pba(o,M,0);if((a[h]&1)==0){N=w}else{N=c[x>>2]|0}c[p>>2]=N+L;O=N}else{O=m}D=B+12|0;I=c[D>>2]|0;P=B+16|0;if((I|0)==(c[P>>2]|0)){Q=(ce[c[(c[B>>2]|0)+36>>2]&255](B)|0)&255}else{Q=a[I]|0}if((rea(Q,u,O,p,s,A,n,l,r,t)|0)!=0){G=O;H=F;break}I=c[D>>2]|0;if((I|0)==(c[P>>2]|0)){ce[c[(c[B>>2]|0)+40>>2]&255](B)|0;m=O;v=B;continue}else{c[D>>2]=I+1;m=O;v=B;continue}}v=a[n]|0;if((v&1)==0){R=(v&255)>>>1}else{R=c[n+4>>2]|0}do{if((R|0)!=0){v=c[r>>2]|0;if((v-q|0)>=160){break}O=c[s>>2]|0;c[r>>2]=v+4;c[v>>2]=O}}while(0);b[k>>1]=Lja(G,c[p>>2]|0,j,u)|0;cha(n,l,c[r>>2]|0,j);do{if((B|0)==0){S=0}else{if((c[B+12>>2]|0)!=(c[B+16>>2]|0)){S=B;break}if(!((ce[c[(c[B>>2]|0)+36>>2]&255](B)|0)==-1)){S=B;break}c[y>>2]=0;S=0}}while(0);y=(S|0)==0;do{if((H|0)==0){E=66}else{if((c[H+12>>2]|0)!=(c[H+16>>2]|0)){if(!y){break}T=d|0;c[T>>2]=S;gba(o);gba(n);i=e;return}if((ce[c[(c[H>>2]|0)+36>>2]&255](H)|0)==-1){c[f>>2]=0;E=66;break}if(!(y^(H|0)==0)){break}T=d|0;c[T>>2]=S;gba(o);gba(n);i=e;return}}while(0);do{if((E|0)==66){if(y){break}T=d|0;c[T>>2]=S;gba(o);gba(n);i=e;return}}while(0);c[j>>2]=c[j>>2]|2;T=d|0;c[T>>2]=S;gba(o);gba(n);i=e;return}function eea(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];fea(a,0,j,k,f,g,h);i=b;return}function fea(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;d=i;i=i+256|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+32|0;m=d+40|0;n=d+56|0;o=d+72|0;p=d+80|0;q=d+240|0;r=d+248|0;s=c[g+4>>2]&74;if((s|0)==8){t=16}else if((s|0)==0){t=0}else if((s|0)==64){t=8}else{t=10}s=k|0;Rea(m,g,s,l);g=n;Qla(g|0,0,12)|0;pba(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=a[l]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=0}else{if((c[u+12>>2]|0)!=(c[u+16>>2]|0)){A=u;break}if(!((ce[c[(c[u>>2]|0)+36>>2]&255](u)|0)==-1)){A=u;break}c[x>>2]=0;A=0}}while(0);B=(A|0)==0;C=c[e>>2]|0;do{if((C|0)==0){D=21}else{if((c[C+12>>2]|0)!=(c[C+16>>2]|0)){if(B){E=C;break}else{F=l;G=C;break a}}if((ce[c[(c[C>>2]|0)+36>>2]&255](C)|0)==-1){c[e>>2]=0;D=21;break}else{if(B){E=C;break}else{F=l;G=C;break a}}}}while(0);if((D|0)==21){D=0;if(B){F=l;G=0;break}else{E=0}}C=a[g]|0;H=(C&1)==0;if(H){I=(C&255)>>>1}else{I=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(I|0)){if(H){J=(C&255)>>>1;K=(C&255)>>>1}else{C=c[y>>2]|0;J=C;K=C}pba(n,J<<1,0);if((a[g]&1)==0){L=10}else{L=(c[f>>2]&-2)-1|0}pba(n,L,0);if((a[g]&1)==0){M=v}else{M=c[w>>2]|0}c[o>>2]=M+K;N=M}else{N=l}C=A+12|0;H=c[C>>2]|0;O=A+16|0;if((H|0)==(c[O>>2]|0)){P=(ce[c[(c[A>>2]|0)+36>>2]&255](A)|0)&255}else{P=a[H]|0}if((rea(P,t,N,o,r,z,m,k,q,s)|0)!=0){F=N;G=E;break}H=c[C>>2]|0;if((H|0)==(c[O>>2]|0)){ce[c[(c[A>>2]|0)+40>>2]&255](A)|0;l=N;u=A;continue}else{c[C>>2]=H+1;l=N;u=A;continue}}u=a[m]|0;if((u&1)==0){Q=(u&255)>>>1}else{Q=c[m+4>>2]|0}do{if((Q|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}N=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=N}}while(0);c[j>>2]=Kja(F,c[o>>2]|0,h,t)|0;cha(m,k,c[q>>2]|0,h);do{if((A|0)==0){R=0}else{if((c[A+12>>2]|0)!=(c[A+16>>2]|0)){R=A;break}if(!((ce[c[(c[A>>2]|0)+36>>2]&255](A)|0)==-1)){R=A;break}c[x>>2]=0;R=0}}while(0);x=(R|0)==0;do{if((G|0)==0){D=66}else{if((c[G+12>>2]|0)!=(c[G+16>>2]|0)){if(!x){break}S=b|0;c[S>>2]=R;gba(n);gba(m);i=d;return}if((ce[c[(c[G>>2]|0)+36>>2]&255](G)|0)==-1){c[e>>2]=0;D=66;break}if(!(x^(G|0)==0)){break}S=b|0;c[S>>2]=R;gba(n);gba(m);i=d;return}}while(0);do{if((D|0)==66){if(x){break}S=b|0;c[S>>2]=R;gba(n);gba(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;S=b|0;c[S>>2]=R;gba(n);gba(m);i=d;return}function gea(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];hea(a,0,j,k,f,g,h);i=b;return}function hea(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;d=i;i=i+256|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+32|0;m=d+40|0;n=d+56|0;o=d+72|0;p=d+80|0;q=d+240|0;r=d+248|0;s=c[g+4>>2]&74;if((s|0)==0){t=0}else if((s|0)==8){t=16}else if((s|0)==64){t=8}else{t=10}s=k|0;Rea(m,g,s,l);g=n;Qla(g|0,0,12)|0;pba(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=a[l]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=0}else{if((c[u+12>>2]|0)!=(c[u+16>>2]|0)){A=u;break}if(!((ce[c[(c[u>>2]|0)+36>>2]&255](u)|0)==-1)){A=u;break}c[x>>2]=0;A=0}}while(0);B=(A|0)==0;C=c[e>>2]|0;do{if((C|0)==0){D=21}else{if((c[C+12>>2]|0)!=(c[C+16>>2]|0)){if(B){E=C;break}else{F=l;G=C;break a}}if((ce[c[(c[C>>2]|0)+36>>2]&255](C)|0)==-1){c[e>>2]=0;D=21;break}else{if(B){E=C;break}else{F=l;G=C;break a}}}}while(0);if((D|0)==21){D=0;if(B){F=l;G=0;break}else{E=0}}C=a[g]|0;H=(C&1)==0;if(H){I=(C&255)>>>1}else{I=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(I|0)){if(H){J=(C&255)>>>1;K=(C&255)>>>1}else{C=c[y>>2]|0;J=C;K=C}pba(n,J<<1,0);if((a[g]&1)==0){L=10}else{L=(c[f>>2]&-2)-1|0}pba(n,L,0);if((a[g]&1)==0){M=v}else{M=c[w>>2]|0}c[o>>2]=M+K;N=M}else{N=l}C=A+12|0;H=c[C>>2]|0;O=A+16|0;if((H|0)==(c[O>>2]|0)){P=(ce[c[(c[A>>2]|0)+36>>2]&255](A)|0)&255}else{P=a[H]|0}if((rea(P,t,N,o,r,z,m,k,q,s)|0)!=0){F=N;G=E;break}H=c[C>>2]|0;if((H|0)==(c[O>>2]|0)){ce[c[(c[A>>2]|0)+40>>2]&255](A)|0;l=N;u=A;continue}else{c[C>>2]=H+1;l=N;u=A;continue}}u=a[m]|0;if((u&1)==0){Q=(u&255)>>>1}else{Q=c[m+4>>2]|0}do{if((Q|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}N=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=N}}while(0);c[j>>2]=Jja(F,c[o>>2]|0,h,t)|0;cha(m,k,c[q>>2]|0,h);do{if((A|0)==0){R=0}else{if((c[A+12>>2]|0)!=(c[A+16>>2]|0)){R=A;break}if(!((ce[c[(c[A>>2]|0)+36>>2]&255](A)|0)==-1)){R=A;break}c[x>>2]=0;R=0}}while(0);x=(R|0)==0;do{if((G|0)==0){D=66}else{if((c[G+12>>2]|0)!=(c[G+16>>2]|0)){if(!x){break}S=b|0;c[S>>2]=R;gba(n);gba(m);i=d;return}if((ce[c[(c[G>>2]|0)+36>>2]&255](G)|0)==-1){c[e>>2]=0;D=66;break}if(!(x^(G|0)==0)){break}S=b|0;c[S>>2]=R;gba(n);gba(m);i=d;return}}while(0);do{if((D|0)==66){if(x){break}S=b|0;c[S>>2]=R;gba(n);gba(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;S=b|0;c[S>>2]=R;gba(n);gba(m);i=d;return}function iea(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];jea(a,0,j,k,f,g,h);i=b;return}function jea(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0;d=i;i=i+256|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+32|0;m=d+40|0;n=d+56|0;o=d+72|0;p=d+80|0;q=d+240|0;r=d+248|0;s=c[g+4>>2]&74;if((s|0)==8){t=16}else if((s|0)==0){t=0}else if((s|0)==64){t=8}else{t=10}s=k|0;Rea(m,g,s,l);g=n;Qla(g|0,0,12)|0;pba(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=a[l]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=0}else{if((c[u+12>>2]|0)!=(c[u+16>>2]|0)){A=u;break}if(!((ce[c[(c[u>>2]|0)+36>>2]&255](u)|0)==-1)){A=u;break}c[x>>2]=0;A=0}}while(0);B=(A|0)==0;C=c[e>>2]|0;do{if((C|0)==0){D=21}else{if((c[C+12>>2]|0)!=(c[C+16>>2]|0)){if(B){E=C;break}else{F=l;G=C;break a}}if((ce[c[(c[C>>2]|0)+36>>2]&255](C)|0)==-1){c[e>>2]=0;D=21;break}else{if(B){E=C;break}else{F=l;G=C;break a}}}}while(0);if((D|0)==21){D=0;if(B){F=l;G=0;break}else{E=0}}C=a[g]|0;H=(C&1)==0;if(H){I=(C&255)>>>1}else{I=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(I|0)){if(H){J=(C&255)>>>1;L=(C&255)>>>1}else{C=c[y>>2]|0;J=C;L=C}pba(n,J<<1,0);if((a[g]&1)==0){M=10}else{M=(c[f>>2]&-2)-1|0}pba(n,M,0);if((a[g]&1)==0){N=v}else{N=c[w>>2]|0}c[o>>2]=N+L;O=N}else{O=l}C=A+12|0;H=c[C>>2]|0;P=A+16|0;if((H|0)==(c[P>>2]|0)){Q=(ce[c[(c[A>>2]|0)+36>>2]&255](A)|0)&255}else{Q=a[H]|0}if((rea(Q,t,O,o,r,z,m,k,q,s)|0)!=0){F=O;G=E;break}H=c[C>>2]|0;if((H|0)==(c[P>>2]|0)){ce[c[(c[A>>2]|0)+40>>2]&255](A)|0;l=O;u=A;continue}else{c[C>>2]=H+1;l=O;u=A;continue}}u=a[m]|0;if((u&1)==0){R=(u&255)>>>1}else{R=c[m+4>>2]|0}do{if((R|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}O=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=O}}while(0);r=Ija(F,c[o>>2]|0,h,t)|0;c[j>>2]=r;c[j+4>>2]=K;cha(m,k,c[q>>2]|0,h);do{if((A|0)==0){S=0}else{if((c[A+12>>2]|0)!=(c[A+16>>2]|0)){S=A;break}if(!((ce[c[(c[A>>2]|0)+36>>2]&255](A)|0)==-1)){S=A;break}c[x>>2]=0;S=0}}while(0);x=(S|0)==0;do{if((G|0)==0){D=66}else{if((c[G+12>>2]|0)!=(c[G+16>>2]|0)){if(!x){break}T=b|0;c[T>>2]=S;gba(n);gba(m);i=d;return}if((ce[c[(c[G>>2]|0)+36>>2]&255](G)|0)==-1){c[e>>2]=0;D=66;break}if(!(x^(G|0)==0)){break}T=b|0;c[T>>2]=S;gba(n);gba(m);i=d;return}}while(0);do{if((D|0)==66){if(x){break}T=b|0;c[T>>2]=S;gba(n);gba(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;T=b|0;c[T>>2]=S;gba(n);gba(m);i=d;return}function kea(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];lea(a,0,j,k,f,g,h);i=b;return}function lea(b,d,e,f,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0;d=i;i=i+280|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d+32|0;m=d+40|0;n=d+48|0;o=d+64|0;p=d+80|0;q=d+88|0;r=d+248|0;s=d+256|0;t=d+264|0;u=d+272|0;v=d|0;Sea(n,h,v,l,m);h=o;Qla(h|0,0,12)|0;pba(o,10,0);if((a[h]&1)==0){w=o+1|0;x=w;y=w;z=o+8|0}else{w=o+8|0;x=c[w>>2]|0;y=o+1|0;z=w}c[p>>2]=x;w=q|0;c[r>>2]=w;c[s>>2]=0;a[t]=1;a[u]=69;A=e|0;e=f|0;f=o|0;B=o+4|0;C=a[l]|0;l=a[m]|0;m=x;x=c[A>>2]|0;a:while(1){do{if((x|0)==0){D=0}else{if((c[x+12>>2]|0)!=(c[x+16>>2]|0)){D=x;break}if(!((ce[c[(c[x>>2]|0)+36>>2]&255](x)|0)==-1)){D=x;break}c[A>>2]=0;D=0}}while(0);E=(D|0)==0;F=c[e>>2]|0;do{if((F|0)==0){G=17}else{if((c[F+12>>2]|0)!=(c[F+16>>2]|0)){if(E){H=F;break}else{I=m;J=F;break a}}if((ce[c[(c[F>>2]|0)+36>>2]&255](F)|0)==-1){c[e>>2]=0;G=17;break}else{if(E){H=F;break}else{I=m;J=F;break a}}}}while(0);if((G|0)==17){G=0;if(E){I=m;J=0;break}else{H=0}}F=a[h]|0;K=(F&1)==0;if(K){L=(F&255)>>>1}else{L=c[B>>2]|0}if(((c[p>>2]|0)-m|0)==(L|0)){if(K){M=(F&255)>>>1;N=(F&255)>>>1}else{F=c[B>>2]|0;M=F;N=F}pba(o,M<<1,0);if((a[h]&1)==0){O=10}else{O=(c[f>>2]&-2)-1|0}pba(o,O,0);if((a[h]&1)==0){P=y}else{P=c[z>>2]|0}c[p>>2]=P+N;Q=P}else{Q=m}F=D+12|0;K=c[F>>2]|0;R=D+16|0;if((K|0)==(c[R>>2]|0)){S=(ce[c[(c[D>>2]|0)+36>>2]&255](D)|0)&255}else{S=a[K]|0}if((Tea(S,t,u,Q,p,C,l,n,w,r,s,v)|0)!=0){I=Q;J=H;break}K=c[F>>2]|0;if((K|0)==(c[R>>2]|0)){ce[c[(c[D>>2]|0)+40>>2]&255](D)|0;m=Q;x=D;continue}else{c[F>>2]=K+1;m=Q;x=D;continue}}x=a[n]|0;if((x&1)==0){T=(x&255)>>>1}else{T=c[n+4>>2]|0}do{if((T|0)!=0){if((a[t]|0)==0){break}x=c[r>>2]|0;if((x-q|0)>=160){break}Q=c[s>>2]|0;c[r>>2]=x+4;c[x>>2]=Q}}while(0);g[k>>2]=+Hja(I,c[p>>2]|0,j);cha(n,w,c[r>>2]|0,j);do{if((D|0)==0){U=0}else{if((c[D+12>>2]|0)!=(c[D+16>>2]|0)){U=D;break}if(!((ce[c[(c[D>>2]|0)+36>>2]&255](D)|0)==-1)){U=D;break}c[A>>2]=0;U=0}}while(0);A=(U|0)==0;do{if((J|0)==0){G=63}else{if((c[J+12>>2]|0)!=(c[J+16>>2]|0)){if(!A){break}V=b|0;c[V>>2]=U;gba(o);gba(n);i=d;return}if((ce[c[(c[J>>2]|0)+36>>2]&255](J)|0)==-1){c[e>>2]=0;G=63;break}if(!(A^(J|0)==0)){break}V=b|0;c[V>>2]=U;gba(o);gba(n);i=d;return}}while(0);do{if((G|0)==63){if(A){break}V=b|0;c[V>>2]=U;gba(o);gba(n);i=d;return}}while(0);c[j>>2]=c[j>>2]|2;V=b|0;c[V>>2]=U;gba(o);gba(n);i=d;return}function mea(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];nea(a,0,j,k,f,g,h);i=b;return}function nea(b,d,e,f,g,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0;d=i;i=i+280|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d+32|0;m=d+40|0;n=d+48|0;o=d+64|0;p=d+80|0;q=d+88|0;r=d+248|0;s=d+256|0;t=d+264|0;u=d+272|0;v=d|0;Sea(n,g,v,l,m);g=o;Qla(g|0,0,12)|0;pba(o,10,0);if((a[g]&1)==0){w=o+1|0;x=w;y=w;z=o+8|0}else{w=o+8|0;x=c[w>>2]|0;y=o+1|0;z=w}c[p>>2]=x;w=q|0;c[r>>2]=w;c[s>>2]=0;a[t]=1;a[u]=69;A=e|0;e=f|0;f=o|0;B=o+4|0;C=a[l]|0;l=a[m]|0;m=x;x=c[A>>2]|0;a:while(1){do{if((x|0)==0){D=0}else{if((c[x+12>>2]|0)!=(c[x+16>>2]|0)){D=x;break}if(!((ce[c[(c[x>>2]|0)+36>>2]&255](x)|0)==-1)){D=x;break}c[A>>2]=0;D=0}}while(0);E=(D|0)==0;F=c[e>>2]|0;do{if((F|0)==0){G=17}else{if((c[F+12>>2]|0)!=(c[F+16>>2]|0)){if(E){H=F;break}else{I=m;J=F;break a}}if((ce[c[(c[F>>2]|0)+36>>2]&255](F)|0)==-1){c[e>>2]=0;G=17;break}else{if(E){H=F;break}else{I=m;J=F;break a}}}}while(0);if((G|0)==17){G=0;if(E){I=m;J=0;break}else{H=0}}F=a[g]|0;K=(F&1)==0;if(K){L=(F&255)>>>1}else{L=c[B>>2]|0}if(((c[p>>2]|0)-m|0)==(L|0)){if(K){M=(F&255)>>>1;N=(F&255)>>>1}else{F=c[B>>2]|0;M=F;N=F}pba(o,M<<1,0);if((a[g]&1)==0){O=10}else{O=(c[f>>2]&-2)-1|0}pba(o,O,0);if((a[g]&1)==0){P=y}else{P=c[z>>2]|0}c[p>>2]=P+N;Q=P}else{Q=m}F=D+12|0;K=c[F>>2]|0;R=D+16|0;if((K|0)==(c[R>>2]|0)){S=(ce[c[(c[D>>2]|0)+36>>2]&255](D)|0)&255}else{S=a[K]|0}if((Tea(S,t,u,Q,p,C,l,n,w,r,s,v)|0)!=0){I=Q;J=H;break}K=c[F>>2]|0;if((K|0)==(c[R>>2]|0)){ce[c[(c[D>>2]|0)+40>>2]&255](D)|0;m=Q;x=D;continue}else{c[F>>2]=K+1;m=Q;x=D;continue}}x=a[n]|0;if((x&1)==0){T=(x&255)>>>1}else{T=c[n+4>>2]|0}do{if((T|0)!=0){if((a[t]|0)==0){break}x=c[r>>2]|0;if((x-q|0)>=160){break}Q=c[s>>2]|0;c[r>>2]=x+4;c[x>>2]=Q}}while(0);h[k>>3]=+Gja(I,c[p>>2]|0,j);cha(n,w,c[r>>2]|0,j);do{if((D|0)==0){U=0}else{if((c[D+12>>2]|0)!=(c[D+16>>2]|0)){U=D;break}if(!((ce[c[(c[D>>2]|0)+36>>2]&255](D)|0)==-1)){U=D;break}c[A>>2]=0;U=0}}while(0);A=(U|0)==0;do{if((J|0)==0){G=63}else{if((c[J+12>>2]|0)!=(c[J+16>>2]|0)){if(!A){break}V=b|0;c[V>>2]=U;gba(o);gba(n);i=d;return}if((ce[c[(c[J>>2]|0)+36>>2]&255](J)|0)==-1){c[e>>2]=0;G=63;break}if(!(A^(J|0)==0)){break}V=b|0;c[V>>2]=U;gba(o);gba(n);i=d;return}}while(0);do{if((G|0)==63){if(A){break}V=b|0;c[V>>2]=U;gba(o);gba(n);i=d;return}}while(0);c[j>>2]=c[j>>2]|2;V=b|0;c[V>>2]=U;gba(o);gba(n);i=d;return}function oea(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];pea(a,0,j,k,f,g,h);i=b;return}function pea(b,d,e,f,g,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0;d=i;i=i+280|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d+32|0;m=d+40|0;n=d+48|0;o=d+64|0;p=d+80|0;q=d+88|0;r=d+248|0;s=d+256|0;t=d+264|0;u=d+272|0;v=d|0;Sea(n,g,v,l,m);g=o;Qla(g|0,0,12)|0;pba(o,10,0);if((a[g]&1)==0){w=o+1|0;x=w;y=w;z=o+8|0}else{w=o+8|0;x=c[w>>2]|0;y=o+1|0;z=w}c[p>>2]=x;w=q|0;c[r>>2]=w;c[s>>2]=0;a[t]=1;a[u]=69;A=e|0;e=f|0;f=o|0;B=o+4|0;C=a[l]|0;l=a[m]|0;m=x;x=c[A>>2]|0;a:while(1){do{if((x|0)==0){D=0}else{if((c[x+12>>2]|0)!=(c[x+16>>2]|0)){D=x;break}if(!((ce[c[(c[x>>2]|0)+36>>2]&255](x)|0)==-1)){D=x;break}c[A>>2]=0;D=0}}while(0);E=(D|0)==0;F=c[e>>2]|0;do{if((F|0)==0){G=17}else{if((c[F+12>>2]|0)!=(c[F+16>>2]|0)){if(E){H=F;break}else{I=m;J=F;break a}}if((ce[c[(c[F>>2]|0)+36>>2]&255](F)|0)==-1){c[e>>2]=0;G=17;break}else{if(E){H=F;break}else{I=m;J=F;break a}}}}while(0);if((G|0)==17){G=0;if(E){I=m;J=0;break}else{H=0}}F=a[g]|0;K=(F&1)==0;if(K){L=(F&255)>>>1}else{L=c[B>>2]|0}if(((c[p>>2]|0)-m|0)==(L|0)){if(K){M=(F&255)>>>1;N=(F&255)>>>1}else{F=c[B>>2]|0;M=F;N=F}pba(o,M<<1,0);if((a[g]&1)==0){O=10}else{O=(c[f>>2]&-2)-1|0}pba(o,O,0);if((a[g]&1)==0){P=y}else{P=c[z>>2]|0}c[p>>2]=P+N;Q=P}else{Q=m}F=D+12|0;K=c[F>>2]|0;R=D+16|0;if((K|0)==(c[R>>2]|0)){S=(ce[c[(c[D>>2]|0)+36>>2]&255](D)|0)&255}else{S=a[K]|0}if((Tea(S,t,u,Q,p,C,l,n,w,r,s,v)|0)!=0){I=Q;J=H;break}K=c[F>>2]|0;if((K|0)==(c[R>>2]|0)){ce[c[(c[D>>2]|0)+40>>2]&255](D)|0;m=Q;x=D;continue}else{c[F>>2]=K+1;m=Q;x=D;continue}}x=a[n]|0;if((x&1)==0){T=(x&255)>>>1}else{T=c[n+4>>2]|0}do{if((T|0)!=0){if((a[t]|0)==0){break}x=c[r>>2]|0;if((x-q|0)>=160){break}Q=c[s>>2]|0;c[r>>2]=x+4;c[x>>2]=Q}}while(0);h[k>>3]=+Fja(I,c[p>>2]|0,j);cha(n,w,c[r>>2]|0,j);do{if((D|0)==0){U=0}else{if((c[D+12>>2]|0)!=(c[D+16>>2]|0)){U=D;break}if(!((ce[c[(c[D>>2]|0)+36>>2]&255](D)|0)==-1)){U=D;break}c[A>>2]=0;U=0}}while(0);A=(U|0)==0;do{if((J|0)==0){G=63}else{if((c[J+12>>2]|0)!=(c[J+16>>2]|0)){if(!A){break}V=b|0;c[V>>2]=U;gba(o);gba(n);i=d;return}if((ce[c[(c[J>>2]|0)+36>>2]&255](J)|0)==-1){c[e>>2]=0;G=63;break}if(!(A^(J|0)==0)){break}V=b|0;c[V>>2]=U;gba(o);gba(n);i=d;return}}while(0);do{if((G|0)==63){if(A){break}V=b|0;c[V>>2]=U;gba(o);gba(n);i=d;return}}while(0);c[j>>2]=c[j>>2]|2;V=b|0;c[V>>2]=U;gba(o);gba(n);i=d;return}function qea(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0;d=i;i=i+272|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+16|0;m=d+48|0;n=d+64|0;o=d+72|0;p=d+88|0;q=d+96|0;r=d+256|0;s=d+264|0;Qla(m|0,0,12)|0;cca(n,g);g=n|0;n=c[g>>2]|0;if(!((c[2506692]|0)==-1)){c[k>>2]=10026768;c[k+4>>2]=84;c[k+8>>2]=0;Taa(10026768,k,124)}k=(c[2506693]|0)-1|0;t=c[n+8>>2]|0;do{if((c[n+12>>2]|0)-t>>2>>>0>k>>>0){u=c[t+(k<<2)>>2]|0;if((u|0)==0){break}v=l|0;qe[c[(c[u>>2]|0)+32>>2]&127](u,9993560,9993586,v)|0;yaa(c[g>>2]|0)|0;u=o;Qla(u|0,0,12)|0;pba(o,10,0);if((a[u]&1)==0){w=o+1|0;x=w;y=w;z=o+8|0}else{w=o+8|0;x=c[w>>2]|0;y=o+1|0;z=w}c[p>>2]=x;w=q|0;c[r>>2]=w;c[s>>2]=0;A=e|0;B=f|0;C=o|0;D=o+4|0;E=x;F=c[A>>2]|0;a:while(1){do{if((F|0)==0){G=0}else{if((c[F+12>>2]|0)!=(c[F+16>>2]|0)){G=F;break}if(!((ce[c[(c[F>>2]|0)+36>>2]&255](F)|0)==-1)){G=F;break}c[A>>2]=0;G=0}}while(0);H=(G|0)==0;I=c[B>>2]|0;do{if((I|0)==0){J=25}else{if((c[I+12>>2]|0)!=(c[I+16>>2]|0)){if(H){break}else{K=E;break a}}if((ce[c[(c[I>>2]|0)+36>>2]&255](I)|0)==-1){c[B>>2]=0;J=25;break}else{if(H){break}else{K=E;break a}}}}while(0);if((J|0)==25){J=0;if(H){K=E;break}}I=a[u]|0;L=(I&1)==0;if(L){M=(I&255)>>>1}else{M=c[D>>2]|0}if(((c[p>>2]|0)-E|0)==(M|0)){if(L){N=(I&255)>>>1;O=(I&255)>>>1}else{I=c[D>>2]|0;N=I;O=I}pba(o,N<<1,0);if((a[u]&1)==0){P=10}else{P=(c[C>>2]&-2)-1|0}pba(o,P,0);if((a[u]&1)==0){Q=y}else{Q=c[z>>2]|0}c[p>>2]=Q+O;R=Q}else{R=E}I=G+12|0;L=c[I>>2]|0;S=G+16|0;if((L|0)==(c[S>>2]|0)){T=(ce[c[(c[G>>2]|0)+36>>2]&255](G)|0)&255}else{T=a[L]|0}if((rea(T,16,R,p,s,0,m,w,r,v)|0)!=0){K=R;break}L=c[I>>2]|0;if((L|0)==(c[S>>2]|0)){ce[c[(c[G>>2]|0)+40>>2]&255](G)|0;E=R;F=G;continue}else{c[I>>2]=L+1;E=R;F=G;continue}}a[K+3|0]=0;do{if((a[10027328]|0)==0){if((cc(10027328)|0)==0){break}c[2506334]=pb(2147483647,9963736,0)|0}}while(0);F=sea(K,c[2506334]|0,52752,(E=i,i=i+8|0,c[E>>2]=j,E)|0)|0;i=E;if((F|0)!=1){c[h>>2]=4}F=c[A>>2]|0;do{if((F|0)==0){U=0}else{if((c[F+12>>2]|0)!=(c[F+16>>2]|0)){U=F;break}if(!((ce[c[(c[F>>2]|0)+36>>2]&255](F)|0)==-1)){U=F;break}c[A>>2]=0;U=0}}while(0);A=(U|0)==0;F=c[B>>2]|0;do{if((F|0)==0){J=73}else{if((c[F+12>>2]|0)!=(c[F+16>>2]|0)){if(!A){break}V=b|0;c[V>>2]=U;gba(o);gba(m);i=d;return}if((ce[c[(c[F>>2]|0)+36>>2]&255](F)|0)==-1){c[B>>2]=0;J=73;break}if(!(A^(F|0)==0)){break}V=b|0;c[V>>2]=U;gba(o);gba(m);i=d;return}}while(0);do{if((J|0)==73){if(A){break}V=b|0;c[V>>2]=U;gba(o);gba(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;V=b|0;c[V>>2]=U;gba(o);gba(m);i=d;return}}while(0);d=Gd(4)|0;Ska(d);xc(d|0,9991800,176)}function rea(b,d,e,f,g,h,i,j,k,l){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0;m=c[f>>2]|0;n=(m|0)==(e|0);do{if(n){o=(a[l+24|0]|0)==b<<24>>24;if(!o){if(!((a[l+25|0]|0)==b<<24>>24)){break}}c[f>>2]=e+1;a[e]=o?43:45;c[g>>2]=0;p=0;return p|0}}while(0);o=a[i]|0;if((o&1)==0){q=(o&255)>>>1}else{q=c[i+4>>2]|0}if((q|0)!=0&b<<24>>24==h<<24>>24){h=c[k>>2]|0;if((h-j|0)>=160){p=0;return p|0}j=c[g>>2]|0;c[k>>2]=h+4;c[h>>2]=j;c[g>>2]=0;p=0;return p|0}j=l+26|0;h=l;while(1){if((h|0)==(j|0)){r=j;break}if((a[h]|0)==b<<24>>24){r=h;break}else{h=h+1|0}}h=r-l|0;if((h|0)>23){p=-1;return p|0}do{if((d|0)==16){if((h|0)<22){break}if(n){p=-1;return p|0}if((m-e|0)>=3){p=-1;return p|0}if((a[m-1|0]|0)!=48){p=-1;return p|0}c[g>>2]=0;l=a[9993560+h|0]|0;c[f>>2]=m+1;a[m]=l;p=0;return p|0}else if((d|0)==8|(d|0)==10){if((h|0)<(d|0)){break}else{p=-1}return p|0}}while(0);d=a[9993560+h|0]|0;c[f>>2]=m+1;a[m]=d;c[g>>2]=(c[g>>2]|0)+1;p=0;return p|0}function sea(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;f=i;i=i+16|0;g=f|0;h=g;c[h>>2]=e;c[h+4>>2]=0;h=ld(b|0)|0;b=Bb(a|0,d|0,g|0)|0;if((h|0)==0){i=f;return b|0}ld(h|0)|0;i=f;return b|0}function tea(a){a=a|0;waa(a|0);tla(a);return}function uea(a){a=a|0;waa(a|0);return}function vea(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;k=i;i=i+112|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=k|0;m=k+16|0;n=k+32|0;o=k+40|0;p=k+48|0;q=k+56|0;r=k+64|0;s=k+72|0;t=k+80|0;u=k+104|0;if((c[g+4>>2]&1|0)==0){c[n>>2]=-1;v=c[(c[d>>2]|0)+16>>2]|0;w=e|0;c[p>>2]=c[w>>2];c[q>>2]=c[f>>2];je[v&127](o,d,p,q,g,h,n);q=c[o>>2]|0;c[w>>2]=q;w=c[n>>2]|0;if((w|0)==0){a[j]=0}else if((w|0)==1){a[j]=1}else{a[j]=1;c[h>>2]=4}c[b>>2]=q;i=k;return}cca(r,g);q=r|0;r=c[q>>2]|0;if(!((c[2506690]|0)==-1)){c[m>>2]=10026760;c[m+4>>2]=84;c[m+8>>2]=0;Taa(10026760,m,124)}m=(c[2506691]|0)-1|0;w=c[r+8>>2]|0;do{if((c[r+12>>2]|0)-w>>2>>>0>m>>>0){n=c[w+(m<<2)>>2]|0;if((n|0)==0){break}o=n;yaa(c[q>>2]|0)|0;cca(s,g);n=s|0;p=c[n>>2]|0;if(!((c[2506594]|0)==-1)){c[l>>2]=10026376;c[l+4>>2]=84;c[l+8>>2]=0;Taa(10026376,l,124)}d=(c[2506595]|0)-1|0;v=c[p+8>>2]|0;do{if((c[p+12>>2]|0)-v>>2>>>0>d>>>0){x=c[v+(d<<2)>>2]|0;if((x|0)==0){break}y=x;yaa(c[n>>2]|0)|0;z=t|0;A=x;ae[c[(c[A>>2]|0)+24>>2]&255](z,y);ae[c[(c[A>>2]|0)+28>>2]&255](t+12|0,y);c[u>>2]=c[f>>2];a[j]=(wea(e,u,z,t+24|0,o,h,1)|0)==(z|0)|0;c[b>>2]=c[e>>2];Kba(t+12|0);Kba(t|0);i=k;return}}while(0);o=Gd(4)|0;Ska(o);xc(o|0,9991800,176)}}while(0);k=Gd(4)|0;Ska(k);xc(k|0,9991800,176)}function wea(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0;k=i;i=i+104|0;l=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[l>>2];l=(f-e|0)/12|0;m=k|0;do{if(l>>>0>100>>>0){n=lla(l)|0;if((n|0)!=0){o=n;p=n;break}yla();o=0;p=0}else{o=m;p=0}}while(0);m=(e|0)==(f|0);if(m){q=l;r=0}else{n=l;l=0;s=o;t=e;while(1){u=a[t]|0;if((u&1)==0){v=(u&255)>>>1}else{v=c[t+4>>2]|0}if((v|0)==0){a[s]=2;w=l+1|0;x=n-1|0}else{a[s]=1;w=l;x=n}u=t+12|0;if((u|0)==(f|0)){q=x;r=w;break}else{n=x;l=w;s=s+1|0;t=u}}}t=b|0;b=d|0;d=g;s=0;w=r;r=q;a:while(1){q=c[t>>2]|0;do{if((q|0)==0){y=1}else{l=c[q+12>>2]|0;if((l|0)==(c[q+16>>2]|0)){z=ce[c[(c[q>>2]|0)+36>>2]&255](q)|0}else{z=c[l>>2]|0}if((z|0)==-1){c[t>>2]=0;y=1;break}else{y=(c[t>>2]|0)==0;break}}}while(0);q=c[b>>2]|0;do{if((q|0)==0){A=1;B=0}else{l=c[q+12>>2]|0;if((l|0)==(c[q+16>>2]|0)){C=ce[c[(c[q>>2]|0)+36>>2]&255](q)|0}else{C=c[l>>2]|0}if(!((C|0)==-1)){A=0;B=q;break}c[b>>2]=0;A=1;B=0}}while(0);D=c[t>>2]|0;if(!((y^A)&(r|0)!=0)){break}q=c[D+12>>2]|0;if((q|0)==(c[D+16>>2]|0)){E=ce[c[(c[D>>2]|0)+36>>2]&255](D)|0}else{E=c[q>>2]|0}if(j){F=E}else{F=me[c[(c[d>>2]|0)+28>>2]&127](g,E)|0}q=s+1|0;if(m){s=q;w=w;r=r;continue}b:do{if(j){l=r;x=w;n=o;v=0;u=e;while(1){do{if((a[n]|0)==1){G=a[u]|0;H=(G&1)==0;if(H){I=u+4|0}else{I=c[u+8>>2]|0}if((F|0)!=(c[I+(s<<2)>>2]|0)){a[n]=0;J=v;K=x;L=l-1|0;break}if(H){M=(G&255)>>>1}else{M=c[u+4>>2]|0}if((M|0)!=(q|0)){J=1;K=x;L=l;break}a[n]=2;J=1;K=x+1|0;L=l-1|0}else{J=v;K=x;L=l}}while(0);G=u+12|0;if((G|0)==(f|0)){N=L;O=K;P=J;break b}l=L;x=K;n=n+1|0;v=J;u=G}}else{u=r;v=w;n=o;x=0;l=e;while(1){do{if((a[n]|0)==1){G=l;if((a[G]&1)==0){Q=l+4|0}else{Q=c[l+8>>2]|0}if((F|0)!=(me[c[(c[d>>2]|0)+28>>2]&127](g,c[Q+(s<<2)>>2]|0)|0)){a[n]=0;R=x;S=v;T=u-1|0;break}H=a[G]|0;if((H&1)==0){U=(H&255)>>>1}else{U=c[l+4>>2]|0}if((U|0)!=(q|0)){R=1;S=v;T=u;break}a[n]=2;R=1;S=v+1|0;T=u-1|0}else{R=x;S=v;T=u}}while(0);H=l+12|0;if((H|0)==(f|0)){N=T;O=S;P=R;break b}u=T;v=S;n=n+1|0;x=R;l=H}}}while(0);if(!P){s=q;w=O;r=N;continue}l=c[t>>2]|0;x=l+12|0;n=c[x>>2]|0;if((n|0)==(c[l+16>>2]|0)){ce[c[(c[l>>2]|0)+40>>2]&255](l)|0}else{c[x>>2]=n+4}if((N+O|0)>>>0<2>>>0){s=q;w=O;r=N;continue}else{V=O;W=o;X=e}while(1){do{if((a[W]|0)==2){n=a[X]|0;if((n&1)==0){Y=(n&255)>>>1}else{Y=c[X+4>>2]|0}if((Y|0)==(q|0)){Z=V;break}a[W]=0;Z=V-1|0}else{Z=V}}while(0);n=X+12|0;if((n|0)==(f|0)){s=q;w=Z;r=N;continue a}else{V=Z;W=W+1|0;X=n}}}do{if((D|0)==0){_=1}else{X=c[D+12>>2]|0;if((X|0)==(c[D+16>>2]|0)){$=ce[c[(c[D>>2]|0)+36>>2]&255](D)|0}else{$=c[X>>2]|0}if(($|0)==-1){c[t>>2]=0;_=1;break}else{_=(c[t>>2]|0)==0;break}}}while(0);do{if((B|0)==0){aa=93}else{t=c[B+12>>2]|0;if((t|0)==(c[B+16>>2]|0)){ba=ce[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{ba=c[t>>2]|0}if((ba|0)==-1){c[b>>2]=0;aa=93;break}else{if(_){break}else{aa=95;break}}}}while(0);if((aa|0)==93){if(_){aa=95}}if((aa|0)==95){c[h>>2]=c[h>>2]|2}c:do{if(m){aa=100}else{_=o;b=e;while(1){if((a[_]|0)==2){ca=b;break c}ba=b+12|0;if((ba|0)==(f|0)){aa=100;break c}_=_+1|0;b=ba}}}while(0);if((aa|0)==100){c[h>>2]=c[h>>2]|4;ca=f}if((p|0)==0){i=k;return ca|0}mla(p);i=k;return ca|0}function xea(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];yea(a,0,j,k,f,g,h);i=b;return}function yea(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0;d=i;i=i+328|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+104|0;m=d+112|0;n=d+128|0;o=d+144|0;p=d+152|0;q=d+312|0;r=d+320|0;s=c[g+4>>2]&74;if((s|0)==8){t=16}else if((s|0)==0){t=0}else if((s|0)==64){t=8}else{t=10}s=k|0;Uea(m,g,s,l);g=n;Qla(g|0,0,12)|0;pba(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=c[l>>2]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=1;B=0}else{C=c[u+12>>2]|0;if((C|0)==(c[u+16>>2]|0)){D=ce[c[(c[u>>2]|0)+36>>2]&255](u)|0}else{D=c[C>>2]|0}if(!((D|0)==-1)){A=0;B=u;break}c[x>>2]=0;A=1;B=0}}while(0);C=c[e>>2]|0;do{if((C|0)==0){E=22}else{F=c[C+12>>2]|0;if((F|0)==(c[C+16>>2]|0)){G=ce[c[(c[C>>2]|0)+36>>2]&255](C)|0}else{G=c[F>>2]|0}if((G|0)==-1){c[e>>2]=0;E=22;break}else{if(A){H=C;break}else{I=l;J=C;break a}}}}while(0);if((E|0)==22){E=0;if(A){I=l;J=0;break}else{H=0}}C=a[g]|0;F=(C&1)==0;if(F){K=(C&255)>>>1}else{K=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(K|0)){if(F){L=(C&255)>>>1;M=(C&255)>>>1}else{C=c[y>>2]|0;L=C;M=C}pba(n,L<<1,0);if((a[g]&1)==0){N=10}else{N=(c[f>>2]&-2)-1|0}pba(n,N,0);if((a[g]&1)==0){O=v}else{O=c[w>>2]|0}c[o>>2]=O+M;P=O}else{P=l}C=B+12|0;F=c[C>>2]|0;Q=B+16|0;if((F|0)==(c[Q>>2]|0)){R=ce[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{R=c[F>>2]|0}if((Qea(R,t,P,o,r,z,m,k,q,s)|0)!=0){I=P;J=H;break}F=c[C>>2]|0;if((F|0)==(c[Q>>2]|0)){ce[c[(c[B>>2]|0)+40>>2]&255](B)|0;l=P;u=B;continue}else{c[C>>2]=F+4;l=P;u=B;continue}}u=a[m]|0;if((u&1)==0){S=(u&255)>>>1}else{S=c[m+4>>2]|0}do{if((S|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}P=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=P}}while(0);c[j>>2]=Nja(I,c[o>>2]|0,h,t)|0;cha(m,k,c[q>>2]|0,h);do{if((B|0)==0){T=1;U=0}else{q=c[B+12>>2]|0;if((q|0)==(c[B+16>>2]|0)){V=ce[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{V=c[q>>2]|0}if(!((V|0)==-1)){T=0;U=B;break}c[x>>2]=0;T=1;U=0}}while(0);do{if((J|0)==0){E=67}else{x=c[J+12>>2]|0;if((x|0)==(c[J+16>>2]|0)){W=ce[c[(c[J>>2]|0)+36>>2]&255](J)|0}else{W=c[x>>2]|0}if((W|0)==-1){c[e>>2]=0;E=67;break}if(!T){break}X=b|0;c[X>>2]=U;gba(n);gba(m);i=d;return}}while(0);do{if((E|0)==67){if(T){break}X=b|0;c[X>>2]=U;gba(n);gba(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;X=b|0;c[X>>2]=U;gba(n);gba(m);i=d;return}function zea(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];Aea(a,0,j,k,f,g,h);i=b;return}function Aea(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0;d=i;i=i+328|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+104|0;m=d+112|0;n=d+128|0;o=d+144|0;p=d+152|0;q=d+312|0;r=d+320|0;s=c[g+4>>2]&74;if((s|0)==64){t=8}else if((s|0)==0){t=0}else if((s|0)==8){t=16}else{t=10}s=k|0;Uea(m,g,s,l);g=n;Qla(g|0,0,12)|0;pba(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=c[l>>2]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=1;B=0}else{C=c[u+12>>2]|0;if((C|0)==(c[u+16>>2]|0)){D=ce[c[(c[u>>2]|0)+36>>2]&255](u)|0}else{D=c[C>>2]|0}if(!((D|0)==-1)){A=0;B=u;break}c[x>>2]=0;A=1;B=0}}while(0);C=c[e>>2]|0;do{if((C|0)==0){E=22}else{F=c[C+12>>2]|0;if((F|0)==(c[C+16>>2]|0)){G=ce[c[(c[C>>2]|0)+36>>2]&255](C)|0}else{G=c[F>>2]|0}if((G|0)==-1){c[e>>2]=0;E=22;break}else{if(A){H=C;break}else{I=l;J=C;break a}}}}while(0);if((E|0)==22){E=0;if(A){I=l;J=0;break}else{H=0}}C=a[g]|0;F=(C&1)==0;if(F){L=(C&255)>>>1}else{L=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(L|0)){if(F){M=(C&255)>>>1;N=(C&255)>>>1}else{C=c[y>>2]|0;M=C;N=C}pba(n,M<<1,0);if((a[g]&1)==0){O=10}else{O=(c[f>>2]&-2)-1|0}pba(n,O,0);if((a[g]&1)==0){P=v}else{P=c[w>>2]|0}c[o>>2]=P+N;Q=P}else{Q=l}C=B+12|0;F=c[C>>2]|0;R=B+16|0;if((F|0)==(c[R>>2]|0)){S=ce[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{S=c[F>>2]|0}if((Qea(S,t,Q,o,r,z,m,k,q,s)|0)!=0){I=Q;J=H;break}F=c[C>>2]|0;if((F|0)==(c[R>>2]|0)){ce[c[(c[B>>2]|0)+40>>2]&255](B)|0;l=Q;u=B;continue}else{c[C>>2]=F+4;l=Q;u=B;continue}}u=a[m]|0;if((u&1)==0){T=(u&255)>>>1}else{T=c[m+4>>2]|0}do{if((T|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}Q=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=Q}}while(0);r=Mja(I,c[o>>2]|0,h,t)|0;c[j>>2]=r;c[j+4>>2]=K;cha(m,k,c[q>>2]|0,h);do{if((B|0)==0){U=1;V=0}else{q=c[B+12>>2]|0;if((q|0)==(c[B+16>>2]|0)){W=ce[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{W=c[q>>2]|0}if(!((W|0)==-1)){U=0;V=B;break}c[x>>2]=0;U=1;V=0}}while(0);do{if((J|0)==0){E=67}else{x=c[J+12>>2]|0;if((x|0)==(c[J+16>>2]|0)){X=ce[c[(c[J>>2]|0)+36>>2]&255](J)|0}else{X=c[x>>2]|0}if((X|0)==-1){c[e>>2]=0;E=67;break}if(!U){break}Y=b|0;c[Y>>2]=V;gba(n);gba(m);i=d;return}}while(0);do{if((E|0)==67){if(U){break}Y=b|0;c[Y>>2]=V;gba(n);gba(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;Y=b|0;c[Y>>2]=V;gba(n);gba(m);i=d;return}function Bea(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];Cea(a,0,j,k,f,g,h);i=b;return}function Cea(d,e,f,g,h,j,k){d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0;e=i;i=i+328|0;l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=g;g=i;i=i+4|0;i=i+7&-8;c[g>>2]=c[l>>2];l=e|0;m=e+104|0;n=e+112|0;o=e+128|0;p=e+144|0;q=e+152|0;r=e+312|0;s=e+320|0;t=c[h+4>>2]&74;if((t|0)==8){u=16}else if((t|0)==0){u=0}else if((t|0)==64){u=8}else{u=10}t=l|0;Uea(n,h,t,m);h=o;Qla(h|0,0,12)|0;pba(o,10,0);if((a[h]&1)==0){l=o+1|0;v=l;w=l;x=o+8|0}else{l=o+8|0;v=c[l>>2]|0;w=o+1|0;x=l}c[p>>2]=v;l=q|0;c[r>>2]=l;c[s>>2]=0;y=f|0;f=g|0;g=o|0;z=o+4|0;A=c[m>>2]|0;m=v;v=c[y>>2]|0;a:while(1){do{if((v|0)==0){B=1;C=0}else{D=c[v+12>>2]|0;if((D|0)==(c[v+16>>2]|0)){E=ce[c[(c[v>>2]|0)+36>>2]&255](v)|0}else{E=c[D>>2]|0}if(!((E|0)==-1)){B=0;C=v;break}c[y>>2]=0;B=1;C=0}}while(0);D=c[f>>2]|0;do{if((D|0)==0){F=22}else{G=c[D+12>>2]|0;if((G|0)==(c[D+16>>2]|0)){H=ce[c[(c[D>>2]|0)+36>>2]&255](D)|0}else{H=c[G>>2]|0}if((H|0)==-1){c[f>>2]=0;F=22;break}else{if(B){I=D;break}else{J=m;K=D;break a}}}}while(0);if((F|0)==22){F=0;if(B){J=m;K=0;break}else{I=0}}D=a[h]|0;G=(D&1)==0;if(G){L=(D&255)>>>1}else{L=c[z>>2]|0}if(((c[p>>2]|0)-m|0)==(L|0)){if(G){M=(D&255)>>>1;N=(D&255)>>>1}else{D=c[z>>2]|0;M=D;N=D}pba(o,M<<1,0);if((a[h]&1)==0){O=10}else{O=(c[g>>2]&-2)-1|0}pba(o,O,0);if((a[h]&1)==0){P=w}else{P=c[x>>2]|0}c[p>>2]=P+N;Q=P}else{Q=m}D=C+12|0;G=c[D>>2]|0;R=C+16|0;if((G|0)==(c[R>>2]|0)){S=ce[c[(c[C>>2]|0)+36>>2]&255](C)|0}else{S=c[G>>2]|0}if((Qea(S,u,Q,p,s,A,n,l,r,t)|0)!=0){J=Q;K=I;break}G=c[D>>2]|0;if((G|0)==(c[R>>2]|0)){ce[c[(c[C>>2]|0)+40>>2]&255](C)|0;m=Q;v=C;continue}else{c[D>>2]=G+4;m=Q;v=C;continue}}v=a[n]|0;if((v&1)==0){T=(v&255)>>>1}else{T=c[n+4>>2]|0}do{if((T|0)!=0){v=c[r>>2]|0;if((v-q|0)>=160){break}Q=c[s>>2]|0;c[r>>2]=v+4;c[v>>2]=Q}}while(0);b[k>>1]=Lja(J,c[p>>2]|0,j,u)|0;cha(n,l,c[r>>2]|0,j);do{if((C|0)==0){U=1;V=0}else{r=c[C+12>>2]|0;if((r|0)==(c[C+16>>2]|0)){W=ce[c[(c[C>>2]|0)+36>>2]&255](C)|0}else{W=c[r>>2]|0}if(!((W|0)==-1)){U=0;V=C;break}c[y>>2]=0;U=1;V=0}}while(0);do{if((K|0)==0){F=67}else{y=c[K+12>>2]|0;if((y|0)==(c[K+16>>2]|0)){X=ce[c[(c[K>>2]|0)+36>>2]&255](K)|0}else{X=c[y>>2]|0}if((X|0)==-1){c[f>>2]=0;F=67;break}if(!U){break}Y=d|0;c[Y>>2]=V;gba(o);gba(n);i=e;return}}while(0);do{if((F|0)==67){if(U){break}Y=d|0;c[Y>>2]=V;gba(o);gba(n);i=e;return}}while(0);c[j>>2]=c[j>>2]|2;Y=d|0;c[Y>>2]=V;gba(o);gba(n);i=e;return}function Dea(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];Eea(a,0,j,k,f,g,h);i=b;return}function Eea(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0;d=i;i=i+328|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+104|0;m=d+112|0;n=d+128|0;o=d+144|0;p=d+152|0;q=d+312|0;r=d+320|0;s=c[g+4>>2]&74;if((s|0)==64){t=8}else if((s|0)==0){t=0}else if((s|0)==8){t=16}else{t=10}s=k|0;Uea(m,g,s,l);g=n;Qla(g|0,0,12)|0;pba(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=c[l>>2]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=1;B=0}else{C=c[u+12>>2]|0;if((C|0)==(c[u+16>>2]|0)){D=ce[c[(c[u>>2]|0)+36>>2]&255](u)|0}else{D=c[C>>2]|0}if(!((D|0)==-1)){A=0;B=u;break}c[x>>2]=0;A=1;B=0}}while(0);C=c[e>>2]|0;do{if((C|0)==0){E=22}else{F=c[C+12>>2]|0;if((F|0)==(c[C+16>>2]|0)){G=ce[c[(c[C>>2]|0)+36>>2]&255](C)|0}else{G=c[F>>2]|0}if((G|0)==-1){c[e>>2]=0;E=22;break}else{if(A){H=C;break}else{I=l;J=C;break a}}}}while(0);if((E|0)==22){E=0;if(A){I=l;J=0;break}else{H=0}}C=a[g]|0;F=(C&1)==0;if(F){K=(C&255)>>>1}else{K=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(K|0)){if(F){L=(C&255)>>>1;M=(C&255)>>>1}else{C=c[y>>2]|0;L=C;M=C}pba(n,L<<1,0);if((a[g]&1)==0){N=10}else{N=(c[f>>2]&-2)-1|0}pba(n,N,0);if((a[g]&1)==0){O=v}else{O=c[w>>2]|0}c[o>>2]=O+M;P=O}else{P=l}C=B+12|0;F=c[C>>2]|0;Q=B+16|0;if((F|0)==(c[Q>>2]|0)){R=ce[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{R=c[F>>2]|0}if((Qea(R,t,P,o,r,z,m,k,q,s)|0)!=0){I=P;J=H;break}F=c[C>>2]|0;if((F|0)==(c[Q>>2]|0)){ce[c[(c[B>>2]|0)+40>>2]&255](B)|0;l=P;u=B;continue}else{c[C>>2]=F+4;l=P;u=B;continue}}u=a[m]|0;if((u&1)==0){S=(u&255)>>>1}else{S=c[m+4>>2]|0}do{if((S|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}P=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=P}}while(0);c[j>>2]=Kja(I,c[o>>2]|0,h,t)|0;cha(m,k,c[q>>2]|0,h);do{if((B|0)==0){T=1;U=0}else{q=c[B+12>>2]|0;if((q|0)==(c[B+16>>2]|0)){V=ce[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{V=c[q>>2]|0}if(!((V|0)==-1)){T=0;U=B;break}c[x>>2]=0;T=1;U=0}}while(0);do{if((J|0)==0){E=67}else{x=c[J+12>>2]|0;if((x|0)==(c[J+16>>2]|0)){W=ce[c[(c[J>>2]|0)+36>>2]&255](J)|0}else{W=c[x>>2]|0}if((W|0)==-1){c[e>>2]=0;E=67;break}if(!T){break}X=b|0;c[X>>2]=U;gba(n);gba(m);i=d;return}}while(0);do{if((E|0)==67){if(T){break}X=b|0;c[X>>2]=U;gba(n);gba(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;X=b|0;c[X>>2]=U;gba(n);gba(m);i=d;return}function Fea(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];Gea(a,0,j,k,f,g,h);i=b;return}function Gea(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0;d=i;i=i+328|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+104|0;m=d+112|0;n=d+128|0;o=d+144|0;p=d+152|0;q=d+312|0;r=d+320|0;s=c[g+4>>2]&74;if((s|0)==8){t=16}else if((s|0)==0){t=0}else if((s|0)==64){t=8}else{t=10}s=k|0;Uea(m,g,s,l);g=n;Qla(g|0,0,12)|0;pba(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=c[l>>2]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=1;B=0}else{C=c[u+12>>2]|0;if((C|0)==(c[u+16>>2]|0)){D=ce[c[(c[u>>2]|0)+36>>2]&255](u)|0}else{D=c[C>>2]|0}if(!((D|0)==-1)){A=0;B=u;break}c[x>>2]=0;A=1;B=0}}while(0);C=c[e>>2]|0;do{if((C|0)==0){E=22}else{F=c[C+12>>2]|0;if((F|0)==(c[C+16>>2]|0)){G=ce[c[(c[C>>2]|0)+36>>2]&255](C)|0}else{G=c[F>>2]|0}if((G|0)==-1){c[e>>2]=0;E=22;break}else{if(A){H=C;break}else{I=l;J=C;break a}}}}while(0);if((E|0)==22){E=0;if(A){I=l;J=0;break}else{H=0}}C=a[g]|0;F=(C&1)==0;if(F){K=(C&255)>>>1}else{K=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(K|0)){if(F){L=(C&255)>>>1;M=(C&255)>>>1}else{C=c[y>>2]|0;L=C;M=C}pba(n,L<<1,0);if((a[g]&1)==0){N=10}else{N=(c[f>>2]&-2)-1|0}pba(n,N,0);if((a[g]&1)==0){O=v}else{O=c[w>>2]|0}c[o>>2]=O+M;P=O}else{P=l}C=B+12|0;F=c[C>>2]|0;Q=B+16|0;if((F|0)==(c[Q>>2]|0)){R=ce[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{R=c[F>>2]|0}if((Qea(R,t,P,o,r,z,m,k,q,s)|0)!=0){I=P;J=H;break}F=c[C>>2]|0;if((F|0)==(c[Q>>2]|0)){ce[c[(c[B>>2]|0)+40>>2]&255](B)|0;l=P;u=B;continue}else{c[C>>2]=F+4;l=P;u=B;continue}}u=a[m]|0;if((u&1)==0){S=(u&255)>>>1}else{S=c[m+4>>2]|0}do{if((S|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}P=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=P}}while(0);c[j>>2]=Jja(I,c[o>>2]|0,h,t)|0;cha(m,k,c[q>>2]|0,h);do{if((B|0)==0){T=1;U=0}else{q=c[B+12>>2]|0;if((q|0)==(c[B+16>>2]|0)){V=ce[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{V=c[q>>2]|0}if(!((V|0)==-1)){T=0;U=B;break}c[x>>2]=0;T=1;U=0}}while(0);do{if((J|0)==0){E=67}else{x=c[J+12>>2]|0;if((x|0)==(c[J+16>>2]|0)){W=ce[c[(c[J>>2]|0)+36>>2]&255](J)|0}else{W=c[x>>2]|0}if((W|0)==-1){c[e>>2]=0;E=67;break}if(!T){break}X=b|0;c[X>>2]=U;gba(n);gba(m);i=d;return}}while(0);do{if((E|0)==67){if(T){break}X=b|0;c[X>>2]=U;gba(n);gba(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;X=b|0;c[X>>2]=U;gba(n);gba(m);i=d;return}function Hea(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];Iea(a,0,j,k,f,g,h);i=b;return}function Iea(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0;d=i;i=i+328|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+104|0;m=d+112|0;n=d+128|0;o=d+144|0;p=d+152|0;q=d+312|0;r=d+320|0;s=c[g+4>>2]&74;if((s|0)==64){t=8}else if((s|0)==0){t=0}else if((s|0)==8){t=16}else{t=10}s=k|0;Uea(m,g,s,l);g=n;Qla(g|0,0,12)|0;pba(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=c[l>>2]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=1;B=0}else{C=c[u+12>>2]|0;if((C|0)==(c[u+16>>2]|0)){D=ce[c[(c[u>>2]|0)+36>>2]&255](u)|0}else{D=c[C>>2]|0}if(!((D|0)==-1)){A=0;B=u;break}c[x>>2]=0;A=1;B=0}}while(0);C=c[e>>2]|0;do{if((C|0)==0){E=22}else{F=c[C+12>>2]|0;if((F|0)==(c[C+16>>2]|0)){G=ce[c[(c[C>>2]|0)+36>>2]&255](C)|0}else{G=c[F>>2]|0}if((G|0)==-1){c[e>>2]=0;E=22;break}else{if(A){H=C;break}else{I=l;J=C;break a}}}}while(0);if((E|0)==22){E=0;if(A){I=l;J=0;break}else{H=0}}C=a[g]|0;F=(C&1)==0;if(F){L=(C&255)>>>1}else{L=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(L|0)){if(F){M=(C&255)>>>1;N=(C&255)>>>1}else{C=c[y>>2]|0;M=C;N=C}pba(n,M<<1,0);if((a[g]&1)==0){O=10}else{O=(c[f>>2]&-2)-1|0}pba(n,O,0);if((a[g]&1)==0){P=v}else{P=c[w>>2]|0}c[o>>2]=P+N;Q=P}else{Q=l}C=B+12|0;F=c[C>>2]|0;R=B+16|0;if((F|0)==(c[R>>2]|0)){S=ce[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{S=c[F>>2]|0}if((Qea(S,t,Q,o,r,z,m,k,q,s)|0)!=0){I=Q;J=H;break}F=c[C>>2]|0;if((F|0)==(c[R>>2]|0)){ce[c[(c[B>>2]|0)+40>>2]&255](B)|0;l=Q;u=B;continue}else{c[C>>2]=F+4;l=Q;u=B;continue}}u=a[m]|0;if((u&1)==0){T=(u&255)>>>1}else{T=c[m+4>>2]|0}do{if((T|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}Q=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=Q}}while(0);r=Ija(I,c[o>>2]|0,h,t)|0;c[j>>2]=r;c[j+4>>2]=K;cha(m,k,c[q>>2]|0,h);do{if((B|0)==0){U=1;V=0}else{q=c[B+12>>2]|0;if((q|0)==(c[B+16>>2]|0)){W=ce[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{W=c[q>>2]|0}if(!((W|0)==-1)){U=0;V=B;break}c[x>>2]=0;U=1;V=0}}while(0);do{if((J|0)==0){E=67}else{x=c[J+12>>2]|0;if((x|0)==(c[J+16>>2]|0)){X=ce[c[(c[J>>2]|0)+36>>2]&255](J)|0}else{X=c[x>>2]|0}if((X|0)==-1){c[e>>2]=0;E=67;break}if(!U){break}Y=b|0;c[Y>>2]=V;gba(n);gba(m);i=d;return}}while(0);do{if((E|0)==67){if(U){break}Y=b|0;c[Y>>2]=V;gba(n);gba(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;Y=b|0;c[Y>>2]=V;gba(n);gba(m);i=d;return}function Jea(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];Kea(a,0,j,k,f,g,h);i=b;return}function Kea(b,d,e,f,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;d=i;i=i+376|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d+128|0;m=d+136|0;n=d+144|0;o=d+160|0;p=d+176|0;q=d+184|0;r=d+344|0;s=d+352|0;t=d+360|0;u=d+368|0;v=d|0;Vea(n,h,v,l,m);h=o;Qla(h|0,0,12)|0;pba(o,10,0);if((a[h]&1)==0){w=o+1|0;x=w;y=w;z=o+8|0}else{w=o+8|0;x=c[w>>2]|0;y=o+1|0;z=w}c[p>>2]=x;w=q|0;c[r>>2]=w;c[s>>2]=0;a[t]=1;a[u]=69;A=e|0;e=f|0;f=o|0;B=o+4|0;C=c[l>>2]|0;l=c[m>>2]|0;m=x;x=c[A>>2]|0;a:while(1){do{if((x|0)==0){D=1;E=0}else{F=c[x+12>>2]|0;if((F|0)==(c[x+16>>2]|0)){G=ce[c[(c[x>>2]|0)+36>>2]&255](x)|0}else{G=c[F>>2]|0}if(!((G|0)==-1)){D=0;E=x;break}c[A>>2]=0;D=1;E=0}}while(0);F=c[e>>2]|0;do{if((F|0)==0){H=18}else{I=c[F+12>>2]|0;if((I|0)==(c[F+16>>2]|0)){J=ce[c[(c[F>>2]|0)+36>>2]&255](F)|0}else{J=c[I>>2]|0}if((J|0)==-1){c[e>>2]=0;H=18;break}else{if(D){K=F;break}else{L=m;M=F;break a}}}}while(0);if((H|0)==18){H=0;if(D){L=m;M=0;break}else{K=0}}F=a[h]|0;I=(F&1)==0;if(I){N=(F&255)>>>1}else{N=c[B>>2]|0}if(((c[p>>2]|0)-m|0)==(N|0)){if(I){O=(F&255)>>>1;P=(F&255)>>>1}else{F=c[B>>2]|0;O=F;P=F}pba(o,O<<1,0);if((a[h]&1)==0){Q=10}else{Q=(c[f>>2]&-2)-1|0}pba(o,Q,0);if((a[h]&1)==0){R=y}else{R=c[z>>2]|0}c[p>>2]=R+P;S=R}else{S=m}F=E+12|0;I=c[F>>2]|0;T=E+16|0;if((I|0)==(c[T>>2]|0)){U=ce[c[(c[E>>2]|0)+36>>2]&255](E)|0}else{U=c[I>>2]|0}if((Wea(U,t,u,S,p,C,l,n,w,r,s,v)|0)!=0){L=S;M=K;break}I=c[F>>2]|0;if((I|0)==(c[T>>2]|0)){ce[c[(c[E>>2]|0)+40>>2]&255](E)|0;m=S;x=E;continue}else{c[F>>2]=I+4;m=S;x=E;continue}}x=a[n]|0;if((x&1)==0){V=(x&255)>>>1}else{V=c[n+4>>2]|0}do{if((V|0)!=0){if((a[t]|0)==0){break}x=c[r>>2]|0;if((x-q|0)>=160){break}S=c[s>>2]|0;c[r>>2]=x+4;c[x>>2]=S}}while(0);g[k>>2]=+Hja(L,c[p>>2]|0,j);cha(n,w,c[r>>2]|0,j);do{if((E|0)==0){W=1;X=0}else{r=c[E+12>>2]|0;if((r|0)==(c[E+16>>2]|0)){Y=ce[c[(c[E>>2]|0)+36>>2]&255](E)|0}else{Y=c[r>>2]|0}if(!((Y|0)==-1)){W=0;X=E;break}c[A>>2]=0;W=1;X=0}}while(0);do{if((M|0)==0){H=64}else{A=c[M+12>>2]|0;if((A|0)==(c[M+16>>2]|0)){Z=ce[c[(c[M>>2]|0)+36>>2]&255](M)|0}else{Z=c[A>>2]|0}if((Z|0)==-1){c[e>>2]=0;H=64;break}if(!W){break}_=b|0;c[_>>2]=X;gba(o);gba(n);i=d;return}}while(0);do{if((H|0)==64){if(W){break}_=b|0;c[_>>2]=X;gba(o);gba(n);i=d;return}}while(0);c[j>>2]=c[j>>2]|2;_=b|0;c[_>>2]=X;gba(o);gba(n);i=d;return}function Lea(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];Mea(a,0,j,k,f,g,h);i=b;return}function Mea(b,d,e,f,g,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;d=i;i=i+376|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d+128|0;m=d+136|0;n=d+144|0;o=d+160|0;p=d+176|0;q=d+184|0;r=d+344|0;s=d+352|0;t=d+360|0;u=d+368|0;v=d|0;Vea(n,g,v,l,m);g=o;Qla(g|0,0,12)|0;pba(o,10,0);if((a[g]&1)==0){w=o+1|0;x=w;y=w;z=o+8|0}else{w=o+8|0;x=c[w>>2]|0;y=o+1|0;z=w}c[p>>2]=x;w=q|0;c[r>>2]=w;c[s>>2]=0;a[t]=1;a[u]=69;A=e|0;e=f|0;f=o|0;B=o+4|0;C=c[l>>2]|0;l=c[m>>2]|0;m=x;x=c[A>>2]|0;a:while(1){do{if((x|0)==0){D=1;E=0}else{F=c[x+12>>2]|0;if((F|0)==(c[x+16>>2]|0)){G=ce[c[(c[x>>2]|0)+36>>2]&255](x)|0}else{G=c[F>>2]|0}if(!((G|0)==-1)){D=0;E=x;break}c[A>>2]=0;D=1;E=0}}while(0);F=c[e>>2]|0;do{if((F|0)==0){H=18}else{I=c[F+12>>2]|0;if((I|0)==(c[F+16>>2]|0)){J=ce[c[(c[F>>2]|0)+36>>2]&255](F)|0}else{J=c[I>>2]|0}if((J|0)==-1){c[e>>2]=0;H=18;break}else{if(D){K=F;break}else{L=m;M=F;break a}}}}while(0);if((H|0)==18){H=0;if(D){L=m;M=0;break}else{K=0}}F=a[g]|0;I=(F&1)==0;if(I){N=(F&255)>>>1}else{N=c[B>>2]|0}if(((c[p>>2]|0)-m|0)==(N|0)){if(I){O=(F&255)>>>1;P=(F&255)>>>1}else{F=c[B>>2]|0;O=F;P=F}pba(o,O<<1,0);if((a[g]&1)==0){Q=10}else{Q=(c[f>>2]&-2)-1|0}pba(o,Q,0);if((a[g]&1)==0){R=y}else{R=c[z>>2]|0}c[p>>2]=R+P;S=R}else{S=m}F=E+12|0;I=c[F>>2]|0;T=E+16|0;if((I|0)==(c[T>>2]|0)){U=ce[c[(c[E>>2]|0)+36>>2]&255](E)|0}else{U=c[I>>2]|0}if((Wea(U,t,u,S,p,C,l,n,w,r,s,v)|0)!=0){L=S;M=K;break}I=c[F>>2]|0;if((I|0)==(c[T>>2]|0)){ce[c[(c[E>>2]|0)+40>>2]&255](E)|0;m=S;x=E;continue}else{c[F>>2]=I+4;m=S;x=E;continue}}x=a[n]|0;if((x&1)==0){V=(x&255)>>>1}else{V=c[n+4>>2]|0}do{if((V|0)!=0){if((a[t]|0)==0){break}x=c[r>>2]|0;if((x-q|0)>=160){break}S=c[s>>2]|0;c[r>>2]=x+4;c[x>>2]=S}}while(0);h[k>>3]=+Gja(L,c[p>>2]|0,j);cha(n,w,c[r>>2]|0,j);do{if((E|0)==0){W=1;X=0}else{r=c[E+12>>2]|0;if((r|0)==(c[E+16>>2]|0)){Y=ce[c[(c[E>>2]|0)+36>>2]&255](E)|0}else{Y=c[r>>2]|0}if(!((Y|0)==-1)){W=0;X=E;break}c[A>>2]=0;W=1;X=0}}while(0);do{if((M|0)==0){H=64}else{A=c[M+12>>2]|0;if((A|0)==(c[M+16>>2]|0)){Z=ce[c[(c[M>>2]|0)+36>>2]&255](M)|0}else{Z=c[A>>2]|0}if((Z|0)==-1){c[e>>2]=0;H=64;break}if(!W){break}_=b|0;c[_>>2]=X;gba(o);gba(n);i=d;return}}while(0);do{if((H|0)==64){if(W){break}_=b|0;c[_>>2]=X;gba(o);gba(n);i=d;return}}while(0);c[j>>2]=c[j>>2]|2;_=b|0;c[_>>2]=X;gba(o);gba(n);i=d;return}function Nea(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];Oea(a,0,j,k,f,g,h);i=b;return}function Oea(b,d,e,f,g,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;d=i;i=i+376|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d+128|0;m=d+136|0;n=d+144|0;o=d+160|0;p=d+176|0;q=d+184|0;r=d+344|0;s=d+352|0;t=d+360|0;u=d+368|0;v=d|0;Vea(n,g,v,l,m);g=o;Qla(g|0,0,12)|0;pba(o,10,0);if((a[g]&1)==0){w=o+1|0;x=w;y=w;z=o+8|0}else{w=o+8|0;x=c[w>>2]|0;y=o+1|0;z=w}c[p>>2]=x;w=q|0;c[r>>2]=w;c[s>>2]=0;a[t]=1;a[u]=69;A=e|0;e=f|0;f=o|0;B=o+4|0;C=c[l>>2]|0;l=c[m>>2]|0;m=x;x=c[A>>2]|0;a:while(1){do{if((x|0)==0){D=1;E=0}else{F=c[x+12>>2]|0;if((F|0)==(c[x+16>>2]|0)){G=ce[c[(c[x>>2]|0)+36>>2]&255](x)|0}else{G=c[F>>2]|0}if(!((G|0)==-1)){D=0;E=x;break}c[A>>2]=0;D=1;E=0}}while(0);F=c[e>>2]|0;do{if((F|0)==0){H=18}else{I=c[F+12>>2]|0;if((I|0)==(c[F+16>>2]|0)){J=ce[c[(c[F>>2]|0)+36>>2]&255](F)|0}else{J=c[I>>2]|0}if((J|0)==-1){c[e>>2]=0;H=18;break}else{if(D){K=F;break}else{L=m;M=F;break a}}}}while(0);if((H|0)==18){H=0;if(D){L=m;M=0;break}else{K=0}}F=a[g]|0;I=(F&1)==0;if(I){N=(F&255)>>>1}else{N=c[B>>2]|0}if(((c[p>>2]|0)-m|0)==(N|0)){if(I){O=(F&255)>>>1;P=(F&255)>>>1}else{F=c[B>>2]|0;O=F;P=F}pba(o,O<<1,0);if((a[g]&1)==0){Q=10}else{Q=(c[f>>2]&-2)-1|0}pba(o,Q,0);if((a[g]&1)==0){R=y}else{R=c[z>>2]|0}c[p>>2]=R+P;S=R}else{S=m}F=E+12|0;I=c[F>>2]|0;T=E+16|0;if((I|0)==(c[T>>2]|0)){U=ce[c[(c[E>>2]|0)+36>>2]&255](E)|0}else{U=c[I>>2]|0}if((Wea(U,t,u,S,p,C,l,n,w,r,s,v)|0)!=0){L=S;M=K;break}I=c[F>>2]|0;if((I|0)==(c[T>>2]|0)){ce[c[(c[E>>2]|0)+40>>2]&255](E)|0;m=S;x=E;continue}else{c[F>>2]=I+4;m=S;x=E;continue}}x=a[n]|0;if((x&1)==0){V=(x&255)>>>1}else{V=c[n+4>>2]|0}do{if((V|0)!=0){if((a[t]|0)==0){break}x=c[r>>2]|0;if((x-q|0)>=160){break}S=c[s>>2]|0;c[r>>2]=x+4;c[x>>2]=S}}while(0);h[k>>3]=+Fja(L,c[p>>2]|0,j);cha(n,w,c[r>>2]|0,j);do{if((E|0)==0){W=1;X=0}else{r=c[E+12>>2]|0;if((r|0)==(c[E+16>>2]|0)){Y=ce[c[(c[E>>2]|0)+36>>2]&255](E)|0}else{Y=c[r>>2]|0}if(!((Y|0)==-1)){W=0;X=E;break}c[A>>2]=0;W=1;X=0}}while(0);do{if((M|0)==0){H=64}else{A=c[M+12>>2]|0;if((A|0)==(c[M+16>>2]|0)){Z=ce[c[(c[M>>2]|0)+36>>2]&255](M)|0}else{Z=c[A>>2]|0}if((Z|0)==-1){c[e>>2]=0;H=64;break}if(!W){break}_=b|0;c[_>>2]=X;gba(o);gba(n);i=d;return}}while(0);do{if((H|0)==64){if(W){break}_=b|0;c[_>>2]=X;gba(o);gba(n);i=d;return}}while(0);c[j>>2]=c[j>>2]|2;_=b|0;c[_>>2]=X;gba(o);gba(n);i=d;return}function Pea(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;d=i;i=i+344|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+16|0;m=d+120|0;n=d+136|0;o=d+144|0;p=d+160|0;q=d+168|0;r=d+328|0;s=d+336|0;Qla(m|0,0,12)|0;cca(n,g);g=n|0;n=c[g>>2]|0;if(!((c[2506690]|0)==-1)){c[k>>2]=10026760;c[k+4>>2]=84;c[k+8>>2]=0;Taa(10026760,k,124)}k=(c[2506691]|0)-1|0;t=c[n+8>>2]|0;do{if((c[n+12>>2]|0)-t>>2>>>0>k>>>0){u=c[t+(k<<2)>>2]|0;if((u|0)==0){break}v=l|0;qe[c[(c[u>>2]|0)+48>>2]&127](u,9993560,9993586,v)|0;yaa(c[g>>2]|0)|0;u=o;Qla(u|0,0,12)|0;pba(o,10,0);if((a[u]&1)==0){w=o+1|0;x=w;y=w;z=o+8|0}else{w=o+8|0;x=c[w>>2]|0;y=o+1|0;z=w}c[p>>2]=x;w=q|0;c[r>>2]=w;c[s>>2]=0;A=e|0;B=f|0;C=o|0;D=o+4|0;E=x;F=c[A>>2]|0;a:while(1){do{if((F|0)==0){G=1;H=0}else{I=c[F+12>>2]|0;if((I|0)==(c[F+16>>2]|0)){J=ce[c[(c[F>>2]|0)+36>>2]&255](F)|0}else{J=c[I>>2]|0}if(!((J|0)==-1)){G=0;H=F;break}c[A>>2]=0;G=1;H=0}}while(0);I=c[B>>2]|0;do{if((I|0)==0){K=26}else{L=c[I+12>>2]|0;if((L|0)==(c[I+16>>2]|0)){M=ce[c[(c[I>>2]|0)+36>>2]&255](I)|0}else{M=c[L>>2]|0}if((M|0)==-1){c[B>>2]=0;K=26;break}else{if(G){break}else{N=E;break a}}}}while(0);if((K|0)==26){K=0;if(G){N=E;break}}I=a[u]|0;L=(I&1)==0;if(L){O=(I&255)>>>1}else{O=c[D>>2]|0}if(((c[p>>2]|0)-E|0)==(O|0)){if(L){P=(I&255)>>>1;Q=(I&255)>>>1}else{I=c[D>>2]|0;P=I;Q=I}pba(o,P<<1,0);if((a[u]&1)==0){R=10}else{R=(c[C>>2]&-2)-1|0}pba(o,R,0);if((a[u]&1)==0){S=y}else{S=c[z>>2]|0}c[p>>2]=S+Q;T=S}else{T=E}I=H+12|0;L=c[I>>2]|0;U=H+16|0;if((L|0)==(c[U>>2]|0)){V=ce[c[(c[H>>2]|0)+36>>2]&255](H)|0}else{V=c[L>>2]|0}if((Qea(V,16,T,p,s,0,m,w,r,v)|0)!=0){N=T;break}L=c[I>>2]|0;if((L|0)==(c[U>>2]|0)){ce[c[(c[H>>2]|0)+40>>2]&255](H)|0;E=T;F=H;continue}else{c[I>>2]=L+4;E=T;F=H;continue}}a[N+3|0]=0;do{if((a[10027328]|0)==0){if((cc(10027328)|0)==0){break}c[2506334]=pb(2147483647,9963736,0)|0}}while(0);F=sea(N,c[2506334]|0,52752,(E=i,i=i+8|0,c[E>>2]=j,E)|0)|0;i=E;if((F|0)!=1){c[h>>2]=4}F=c[A>>2]|0;do{if((F|0)==0){W=1;X=0}else{E=c[F+12>>2]|0;if((E|0)==(c[F+16>>2]|0)){Y=ce[c[(c[F>>2]|0)+36>>2]&255](F)|0}else{Y=c[E>>2]|0}if(!((Y|0)==-1)){W=0;X=F;break}c[A>>2]=0;W=1;X=0}}while(0);A=c[B>>2]|0;do{if((A|0)==0){K=74}else{F=c[A+12>>2]|0;if((F|0)==(c[A+16>>2]|0)){Z=ce[c[(c[A>>2]|0)+36>>2]&255](A)|0}else{Z=c[F>>2]|0}if((Z|0)==-1){c[B>>2]=0;K=74;break}if(!W){break}_=b|0;c[_>>2]=X;gba(o);gba(m);i=d;return}}while(0);do{if((K|0)==74){if(W){break}_=b|0;c[_>>2]=X;gba(o);gba(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;_=b|0;c[_>>2]=X;gba(o);gba(m);i=d;return}}while(0);d=Gd(4)|0;Ska(d);xc(d|0,9991800,176)}function Qea(b,d,e,f,g,h,i,j,k,l){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0;m=c[f>>2]|0;n=(m|0)==(e|0);do{if(n){o=(c[l+96>>2]|0)==(b|0);if(!o){if((c[l+100>>2]|0)!=(b|0)){break}}c[f>>2]=e+1;a[e]=o?43:45;c[g>>2]=0;p=0;return p|0}}while(0);o=a[i]|0;if((o&1)==0){q=(o&255)>>>1}else{q=c[i+4>>2]|0}if((q|0)!=0&(b|0)==(h|0)){h=c[k>>2]|0;if((h-j|0)>=160){p=0;return p|0}j=c[g>>2]|0;c[k>>2]=h+4;c[h>>2]=j;c[g>>2]=0;p=0;return p|0}j=l+104|0;h=l;while(1){if((h|0)==(j|0)){r=j;break}if((c[h>>2]|0)==(b|0)){r=h;break}else{h=h+4|0}}h=r-l|0;l=h>>2;if((h|0)>92){p=-1;return p|0}do{if((d|0)==16){if((h|0)<88){break}if(n){p=-1;return p|0}if((m-e|0)>=3){p=-1;return p|0}if((a[m-1|0]|0)!=48){p=-1;return p|0}c[g>>2]=0;r=a[9993560+l|0]|0;c[f>>2]=m+1;a[m]=r;p=0;return p|0}else if((d|0)==8|(d|0)==10){if((l|0)<(d|0)){break}else{p=-1}return p|0}}while(0);d=a[9993560+l|0]|0;c[f>>2]=m+1;a[m]=d;c[g>>2]=(c[g>>2]|0)+1;p=0;return p|0}function Rea(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;g=i;i=i+40|0;h=g|0;j=g+16|0;k=g+32|0;cca(k,d);d=k|0;k=c[d>>2]|0;if(!((c[2506692]|0)==-1)){c[j>>2]=10026768;c[j+4>>2]=84;c[j+8>>2]=0;Taa(10026768,j,124)}j=(c[2506693]|0)-1|0;l=c[k+8>>2]|0;do{if((c[k+12>>2]|0)-l>>2>>>0>j>>>0){m=c[l+(j<<2)>>2]|0;if((m|0)==0){break}qe[c[(c[m>>2]|0)+32>>2]&127](m,9993560,9993586,e)|0;m=c[d>>2]|0;if(!((c[2506596]|0)==-1)){c[h>>2]=10026384;c[h+4>>2]=84;c[h+8>>2]=0;Taa(10026384,h,124)}n=(c[2506597]|0)-1|0;o=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-o>>2>>>0>n>>>0){p=c[o+(n<<2)>>2]|0;if((p|0)==0){break}q=p;a[f]=ce[c[(c[p>>2]|0)+16>>2]&255](q)|0;ae[c[(c[p>>2]|0)+20>>2]&255](b,q);yaa(c[d>>2]|0)|0;i=g;return}}while(0);n=Gd(4)|0;Ska(n);xc(n|0,9991800,176)}}while(0);g=Gd(4)|0;Ska(g);xc(g|0,9991800,176)}function Sea(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;h=i;i=i+40|0;j=h|0;k=h+16|0;l=h+32|0;cca(l,d);d=l|0;l=c[d>>2]|0;if(!((c[2506692]|0)==-1)){c[k>>2]=10026768;c[k+4>>2]=84;c[k+8>>2]=0;Taa(10026768,k,124)}k=(c[2506693]|0)-1|0;m=c[l+8>>2]|0;do{if((c[l+12>>2]|0)-m>>2>>>0>k>>>0){n=c[m+(k<<2)>>2]|0;if((n|0)==0){break}qe[c[(c[n>>2]|0)+32>>2]&127](n,9993560,9993592,e)|0;n=c[d>>2]|0;if(!((c[2506596]|0)==-1)){c[j>>2]=10026384;c[j+4>>2]=84;c[j+8>>2]=0;Taa(10026384,j,124)}o=(c[2506597]|0)-1|0;p=c[n+8>>2]|0;do{if((c[n+12>>2]|0)-p>>2>>>0>o>>>0){q=c[p+(o<<2)>>2]|0;if((q|0)==0){break}r=q;s=q;a[f]=ce[c[(c[s>>2]|0)+12>>2]&255](r)|0;a[g]=ce[c[(c[s>>2]|0)+16>>2]&255](r)|0;ae[c[(c[q>>2]|0)+20>>2]&255](b,r);yaa(c[d>>2]|0)|0;i=h;return}}while(0);o=Gd(4)|0;Ska(o);xc(o|0,9991800,176)}}while(0);h=Gd(4)|0;Ska(h);xc(h|0,9991800,176)}function Tea(b,d,e,f,g,h,i,j,k,l,m,n){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0,q=0,r=0,s=0;if(b<<24>>24==h<<24>>24){if((a[d]|0)==0){o=-1;return o|0}a[d]=0;h=c[g>>2]|0;c[g>>2]=h+1;a[h]=46;h=a[j]|0;if((h&1)==0){p=(h&255)>>>1}else{p=c[j+4>>2]|0}if((p|0)==0){o=0;return o|0}p=c[l>>2]|0;if((p-k|0)>=160){o=0;return o|0}h=c[m>>2]|0;c[l>>2]=p+4;c[p>>2]=h;o=0;return o|0}do{if(b<<24>>24==i<<24>>24){h=a[j]|0;if((h&1)==0){q=(h&255)>>>1}else{q=c[j+4>>2]|0}if((q|0)==0){break}if((a[d]|0)==0){o=-1;return o|0}h=c[l>>2]|0;if((h-k|0)>=160){o=0;return o|0}p=c[m>>2]|0;c[l>>2]=h+4;c[h>>2]=p;c[m>>2]=0;o=0;return o|0}}while(0);q=n+32|0;i=n;while(1){if((i|0)==(q|0)){r=q;break}if((a[i]|0)==b<<24>>24){r=i;break}else{i=i+1|0}}i=r-n|0;if((i|0)>31){o=-1;return o|0}n=a[9993560+i|0]|0;if((i|0)==22|(i|0)==23){a[e]=80;r=c[g>>2]|0;c[g>>2]=r+1;a[r]=n;o=0;return o|0}else if((i|0)==25|(i|0)==24){r=c[g>>2]|0;do{if((r|0)!=(f|0)){if((a[r-1|0]&95|0)==(a[e]&127|0)){break}else{o=-1}return o|0}}while(0);c[g>>2]=r+1;a[r]=n;o=0;return o|0}else{r=a[e]|0;do{if((n&95|0)==(r<<24>>24|0)){a[e]=r|-128;if((a[d]|0)==0){break}a[d]=0;f=a[j]|0;if((f&1)==0){s=(f&255)>>>1}else{s=c[j+4>>2]|0}if((s|0)==0){break}f=c[l>>2]|0;if((f-k|0)>=160){break}b=c[m>>2]|0;c[l>>2]=f+4;c[f>>2]=b}}while(0);l=c[g>>2]|0;c[g>>2]=l+1;a[l]=n;if((i|0)>21){o=0;return o|0}c[m>>2]=(c[m>>2]|0)+1;o=0;return o|0}return 0}function Uea(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;f=i;i=i+40|0;g=f|0;h=f+16|0;j=f+32|0;cca(j,b);b=j|0;j=c[b>>2]|0;if(!((c[2506690]|0)==-1)){c[h>>2]=10026760;c[h+4>>2]=84;c[h+8>>2]=0;Taa(10026760,h,124)}h=(c[2506691]|0)-1|0;k=c[j+8>>2]|0;do{if((c[j+12>>2]|0)-k>>2>>>0>h>>>0){l=c[k+(h<<2)>>2]|0;if((l|0)==0){break}qe[c[(c[l>>2]|0)+48>>2]&127](l,9993560,9993586,d)|0;l=c[b>>2]|0;if(!((c[2506594]|0)==-1)){c[g>>2]=10026376;c[g+4>>2]=84;c[g+8>>2]=0;Taa(10026376,g,124)}m=(c[2506595]|0)-1|0;n=c[l+8>>2]|0;do{if((c[l+12>>2]|0)-n>>2>>>0>m>>>0){o=c[n+(m<<2)>>2]|0;if((o|0)==0){break}p=o;c[e>>2]=ce[c[(c[o>>2]|0)+16>>2]&255](p)|0;ae[c[(c[o>>2]|0)+20>>2]&255](a,p);yaa(c[b>>2]|0)|0;i=f;return}}while(0);m=Gd(4)|0;Ska(m);xc(m|0,9991800,176)}}while(0);f=Gd(4)|0;Ska(f);xc(f|0,9991800,176)}function Vea(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;g=i;i=i+40|0;h=g|0;j=g+16|0;k=g+32|0;cca(k,b);b=k|0;k=c[b>>2]|0;if(!((c[2506690]|0)==-1)){c[j>>2]=10026760;c[j+4>>2]=84;c[j+8>>2]=0;Taa(10026760,j,124)}j=(c[2506691]|0)-1|0;l=c[k+8>>2]|0;do{if((c[k+12>>2]|0)-l>>2>>>0>j>>>0){m=c[l+(j<<2)>>2]|0;if((m|0)==0){break}qe[c[(c[m>>2]|0)+48>>2]&127](m,9993560,9993592,d)|0;m=c[b>>2]|0;if(!((c[2506594]|0)==-1)){c[h>>2]=10026376;c[h+4>>2]=84;c[h+8>>2]=0;Taa(10026376,h,124)}n=(c[2506595]|0)-1|0;o=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-o>>2>>>0>n>>>0){p=c[o+(n<<2)>>2]|0;if((p|0)==0){break}q=p;r=p;c[e>>2]=ce[c[(c[r>>2]|0)+12>>2]&255](q)|0;c[f>>2]=ce[c[(c[r>>2]|0)+16>>2]&255](q)|0;ae[c[(c[p>>2]|0)+20>>2]&255](a,q);yaa(c[b>>2]|0)|0;i=g;return}}while(0);n=Gd(4)|0;Ska(n);xc(n|0,9991800,176)}}while(0);g=Gd(4)|0;Ska(g);xc(g|0,9991800,176)}function Wea(b,d,e,f,g,h,i,j,k,l,m,n){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0,q=0,r=0,s=0;if((b|0)==(h|0)){if((a[d]|0)==0){o=-1;return o|0}a[d]=0;h=c[g>>2]|0;c[g>>2]=h+1;a[h]=46;h=a[j]|0;if((h&1)==0){p=(h&255)>>>1}else{p=c[j+4>>2]|0}if((p|0)==0){o=0;return o|0}p=c[l>>2]|0;if((p-k|0)>=160){o=0;return o|0}h=c[m>>2]|0;c[l>>2]=p+4;c[p>>2]=h;o=0;return o|0}do{if((b|0)==(i|0)){h=a[j]|0;if((h&1)==0){q=(h&255)>>>1}else{q=c[j+4>>2]|0}if((q|0)==0){break}if((a[d]|0)==0){o=-1;return o|0}h=c[l>>2]|0;if((h-k|0)>=160){o=0;return o|0}p=c[m>>2]|0;c[l>>2]=h+4;c[h>>2]=p;c[m>>2]=0;o=0;return o|0}}while(0);q=n+128|0;i=n;while(1){if((i|0)==(q|0)){r=q;break}if((c[i>>2]|0)==(b|0)){r=i;break}else{i=i+4|0}}i=r-n|0;n=i>>2;if((i|0)>124){o=-1;return o|0}r=a[9993560+n|0]|0;do{if((n|0)==22|(n|0)==23){a[e]=80}else if((n|0)==25|(n|0)==24){b=c[g>>2]|0;do{if((b|0)!=(f|0)){if((a[b-1|0]&95|0)==(a[e]&127|0)){break}else{o=-1}return o|0}}while(0);c[g>>2]=b+1;a[b]=r;o=0;return o|0}else{q=a[e]|0;if((r&95|0)!=(q<<24>>24|0)){break}a[e]=q|-128;if((a[d]|0)==0){break}a[d]=0;q=a[j]|0;if((q&1)==0){s=(q&255)>>>1}else{s=c[j+4>>2]|0}if((s|0)==0){break}q=c[l>>2]|0;if((q-k|0)>=160){break}p=c[m>>2]|0;c[l>>2]=q+4;c[q>>2]=p}}while(0);l=c[g>>2]|0;c[g>>2]=l+1;a[l]=r;if((i|0)>84){o=0;return o|0}c[m>>2]=(c[m>>2]|0)+1;o=0;return o|0}function Xea(a){a=a|0;waa(a|0);tla(a);return}function Yea(a){a=a|0;waa(a|0);return}function Zea(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;j=i;i=i+48|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=j|0;l=j+16|0;m=j+24|0;n=j+32|0;if((c[f+4>>2]&1|0)==0){o=c[(c[d>>2]|0)+24>>2]|0;c[l>>2]=c[e>>2];he[o&63](b,d,l,f,g,h&1);i=j;return}cca(m,f);f=m|0;m=c[f>>2]|0;if(!((c[2506596]|0)==-1)){c[k>>2]=10026384;c[k+4>>2]=84;c[k+8>>2]=0;Taa(10026384,k,124)}k=(c[2506597]|0)-1|0;g=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-g>>2>>>0>k>>>0){l=c[g+(k<<2)>>2]|0;if((l|0)==0){break}d=l;yaa(c[f>>2]|0)|0;o=c[l>>2]|0;if(h){ae[c[o+24>>2]&255](n,d)}else{ae[c[o+28>>2]&255](n,d)}d=n;o=a[d]|0;if((o&1)==0){l=n+1|0;p=l;q=l;r=n+8|0}else{l=n+8|0;p=c[l>>2]|0;q=n+1|0;r=l}l=e|0;s=n+4|0;t=p;u=o;while(1){if((u&1)==0){v=(u&255)>>>1;w=q}else{v=c[s>>2]|0;w=c[r>>2]|0}if((t|0)==(w+v|0)){break}o=a[t]|0;x=c[l>>2]|0;do{if((x|0)!=0){y=x+24|0;z=c[y>>2]|0;if((z|0)!=(c[x+28>>2]|0)){c[y>>2]=z+1;a[z]=o;break}if(!((me[c[(c[x>>2]|0)+52>>2]&127](x,o&255)|0)==-1)){break}c[l>>2]=0}}while(0);t=t+1|0;u=a[d]|0}c[b>>2]=c[l>>2];gba(n);i=j;return}}while(0);j=Gd(4)|0;Ska(j);xc(j|0,9991800,176)}function _ea(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+80|0;j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=d|0;k=d+8|0;l=d+24|0;m=d+48|0;n=d+56|0;o=d+64|0;p=d+72|0;q=j|0;a[q]=a[9985352]|0;a[q+1|0]=a[9985353]|0;a[q+2|0]=a[9985354]|0;a[q+3|0]=a[9985355]|0;a[q+4|0]=a[9985356]|0;a[q+5|0]=a[9985357]|0;r=j+1|0;s=f+4|0;t=c[s>>2]|0;if((t&2048|0)==0){u=r}else{a[r]=43;u=j+2|0}if((t&512|0)==0){v=u}else{a[u]=35;v=u+1|0}a[v]=108;u=v+1|0;v=t&74;do{if((v|0)==8){if((t&16384|0)==0){a[u]=120;break}else{a[u]=88;break}}else if((v|0)==64){a[u]=111}else{a[u]=100}}while(0);u=k|0;do{if((a[10027328]|0)==0){if((cc(10027328)|0)==0){break}c[2506334]=pb(2147483647,9963736,0)|0}}while(0);v=$ea(u,12,c[2506334]|0,q,(q=i,i=i+8|0,c[q>>2]=h,q)|0)|0;i=q;q=k+v|0;h=c[s>>2]&176;do{if((h|0)==16){s=a[u]|0;if((s<<24>>24|0)==45|(s<<24>>24|0)==43){w=k+1|0;break}if(!((v|0)>1&s<<24>>24==48)){x=22;break}s=a[k+1|0]|0;if(!((s<<24>>24|0)==120|(s<<24>>24|0)==88)){x=22;break}w=k+2|0}else if((h|0)==32){w=q}else{x=22}}while(0);if((x|0)==22){w=u}x=l|0;cca(o,f);afa(u,w,q,x,m,n,o);yaa(c[o>>2]|0)|0;c[p>>2]=c[e>>2];F7(b,p,x,c[m>>2]|0,c[n>>2]|0,f,g);i=d;return}function $ea(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0;g=i;i=i+16|0;h=g|0;j=h;c[j>>2]=f;c[j+4>>2]=0;j=ld(d|0)|0;d=md(a|0,b|0,e|0,h|0)|0;if((j|0)==0){i=g;return d|0}ld(j|0)|0;i=g;return d|0}function afa(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;k=i;i=i+48|0;l=k|0;m=k+16|0;n=k+32|0;o=j|0;j=c[o>>2]|0;if(!((c[2506692]|0)==-1)){c[m>>2]=10026768;c[m+4>>2]=84;c[m+8>>2]=0;Taa(10026768,m,124)}m=(c[2506693]|0)-1|0;p=c[j+8>>2]|0;if(!((c[j+12>>2]|0)-p>>2>>>0>m>>>0)){q=Gd(4)|0;r=q;Ska(r);xc(q|0,9991800,176)}j=c[p+(m<<2)>>2]|0;if((j|0)==0){q=Gd(4)|0;r=q;Ska(r);xc(q|0,9991800,176)}q=j;r=c[o>>2]|0;if(!((c[2506596]|0)==-1)){c[l>>2]=10026384;c[l+4>>2]=84;c[l+8>>2]=0;Taa(10026384,l,124)}l=(c[2506597]|0)-1|0;o=c[r+8>>2]|0;if(!((c[r+12>>2]|0)-o>>2>>>0>l>>>0)){s=Gd(4)|0;t=s;Ska(t);xc(s|0,9991800,176)}r=c[o+(l<<2)>>2]|0;if((r|0)==0){s=Gd(4)|0;t=s;Ska(t);xc(s|0,9991800,176)}s=r;ae[c[(c[r>>2]|0)+20>>2]&255](n,s);t=n;l=a[t]|0;if((l&1)==0){u=(l&255)>>>1}else{u=c[n+4>>2]|0}do{if((u|0)==0){qe[c[(c[j>>2]|0)+32>>2]&127](q,b,e,f)|0;c[h>>2]=f+(e-b)}else{c[h>>2]=f;l=a[b]|0;if((l<<24>>24|0)==45|(l<<24>>24|0)==43){o=me[c[(c[j>>2]|0)+28>>2]&127](q,l)|0;l=c[h>>2]|0;c[h>>2]=l+1;a[l]=o;v=b+1|0}else{v=b}do{if((e-v|0)>1){if((a[v]|0)!=48){w=v;break}o=v+1|0;l=a[o]|0;if(!((l<<24>>24|0)==120|(l<<24>>24|0)==88)){w=v;break}l=j;m=me[c[(c[l>>2]|0)+28>>2]&127](q,48)|0;p=c[h>>2]|0;c[h>>2]=p+1;a[p]=m;m=me[c[(c[l>>2]|0)+28>>2]&127](q,a[o]|0)|0;o=c[h>>2]|0;c[h>>2]=o+1;a[o]=m;w=v+2|0}else{w=v}}while(0);do{if((w|0)!=(e|0)){m=e-1|0;if(m>>>0>w>>>0){x=w;y=m}else{break}do{m=a[x]|0;a[x]=a[y]|0;a[y]=m;x=x+1|0;y=y-1|0;}while(x>>>0<y>>>0)}}while(0);m=ce[c[(c[r>>2]|0)+16>>2]&255](s)|0;if(w>>>0<e>>>0){o=n+1|0;l=j;p=n+4|0;z=n+8|0;A=0;B=0;C=w;while(1){D=(a[t]&1)==0;do{if((a[(D?o:c[z>>2]|0)+B|0]|0)==0){E=B;F=A}else{if((A|0)!=(a[(D?o:c[z>>2]|0)+B|0]|0)){E=B;F=A;break}G=c[h>>2]|0;c[h>>2]=G+1;a[G]=m;G=a[t]|0;if((G&1)==0){H=(G&255)>>>1}else{H=c[p>>2]|0}E=(B>>>0<(H-1|0)>>>0)+B|0;F=0}}while(0);D=me[c[(c[l>>2]|0)+28>>2]&127](q,a[C]|0)|0;G=c[h>>2]|0;c[h>>2]=G+1;a[G]=D;D=C+1|0;if(D>>>0<e>>>0){A=F+1|0;B=E;C=D}else{break}}}C=f+(w-b)|0;B=c[h>>2]|0;if((C|0)==(B|0)){break}A=B-1|0;if(A>>>0>C>>>0){I=C;J=A}else{break}do{A=a[I]|0;a[I]=a[J]|0;a[J]=A;I=I+1|0;J=J-1|0;}while(I>>>0<J>>>0)}}while(0);if((d|0)==(e|0)){K=c[h>>2]|0;c[g>>2]=K;gba(n);i=k;return}else{K=f+(d-b)|0;c[g>>2]=K;gba(n);i=k;return}}function bfa(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+112|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+8|0;m=d+32|0;n=d+80|0;o=d+88|0;p=d+96|0;q=d+104|0;c[k>>2]=37;c[k+4>>2]=0;r=k;k=r+1|0;s=f+4|0;t=c[s>>2]|0;if((t&2048|0)==0){u=k}else{a[k]=43;u=r+2|0}if((t&512|0)==0){v=u}else{a[u]=35;v=u+1|0}a[v]=108;a[v+1|0]=108;u=v+2|0;v=t&74;do{if((v|0)==8){if((t&16384|0)==0){a[u]=120;break}else{a[u]=88;break}}else if((v|0)==64){a[u]=111}else{a[u]=100}}while(0);u=l|0;do{if((a[10027328]|0)==0){if((cc(10027328)|0)==0){break}c[2506334]=pb(2147483647,9963736,0)|0}}while(0);v=$ea(u,22,c[2506334]|0,r,(r=i,i=i+16|0,c[r>>2]=h,c[r+8>>2]=j,r)|0)|0;i=r;r=l+v|0;j=c[s>>2]&176;do{if((j|0)==16){s=a[u]|0;if((s<<24>>24|0)==45|(s<<24>>24|0)==43){w=l+1|0;break}if(!((v|0)>1&s<<24>>24==48)){x=22;break}s=a[l+1|0]|0;if(!((s<<24>>24|0)==120|(s<<24>>24|0)==88)){x=22;break}w=l+2|0}else if((j|0)==32){w=r}else{x=22}}while(0);if((x|0)==22){w=u}x=m|0;cca(p,f);afa(u,w,r,x,n,o,p);yaa(c[p>>2]|0)|0;c[q>>2]=c[e>>2];F7(b,q,x,c[n>>2]|0,c[o>>2]|0,f,g);i=d;return}function cfa(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+80|0;j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=d|0;k=d+8|0;l=d+24|0;m=d+48|0;n=d+56|0;o=d+64|0;p=d+72|0;q=j|0;a[q]=a[9985352]|0;a[q+1|0]=a[9985353]|0;a[q+2|0]=a[9985354]|0;a[q+3|0]=a[9985355]|0;a[q+4|0]=a[9985356]|0;a[q+5|0]=a[9985357]|0;r=j+1|0;s=f+4|0;t=c[s>>2]|0;if((t&2048|0)==0){u=r}else{a[r]=43;u=j+2|0}if((t&512|0)==0){v=u}else{a[u]=35;v=u+1|0}a[v]=108;u=v+1|0;v=t&74;do{if((v|0)==64){a[u]=111}else if((v|0)==8){if((t&16384|0)==0){a[u]=120;break}else{a[u]=88;break}}else{a[u]=117}}while(0);u=k|0;do{if((a[10027328]|0)==0){if((cc(10027328)|0)==0){break}c[2506334]=pb(2147483647,9963736,0)|0}}while(0);t=$ea(u,12,c[2506334]|0,q,(q=i,i=i+8|0,c[q>>2]=h,q)|0)|0;i=q;q=k+t|0;h=c[s>>2]&176;do{if((h|0)==16){s=a[u]|0;if((s<<24>>24|0)==45|(s<<24>>24|0)==43){w=k+1|0;break}if(!((t|0)>1&s<<24>>24==48)){x=22;break}s=a[k+1|0]|0;if(!((s<<24>>24|0)==120|(s<<24>>24|0)==88)){x=22;break}w=k+2|0}else if((h|0)==32){w=q}else{x=22}}while(0);if((x|0)==22){w=u}x=l|0;cca(o,f);afa(u,w,q,x,m,n,o);yaa(c[o>>2]|0)|0;c[p>>2]=c[e>>2];F7(b,p,x,c[m>>2]|0,c[n>>2]|0,f,g);i=d;return}function dfa(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+112|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+8|0;m=d+32|0;n=d+80|0;o=d+88|0;p=d+96|0;q=d+104|0;c[k>>2]=37;c[k+4>>2]=0;r=k;k=r+1|0;s=f+4|0;t=c[s>>2]|0;if((t&2048|0)==0){u=k}else{a[k]=43;u=r+2|0}if((t&512|0)==0){v=u}else{a[u]=35;v=u+1|0}a[v]=108;a[v+1|0]=108;u=v+2|0;v=t&74;do{if((v|0)==8){if((t&16384|0)==0){a[u]=120;break}else{a[u]=88;break}}else if((v|0)==64){a[u]=111}else{a[u]=117}}while(0);u=l|0;do{if((a[10027328]|0)==0){if((cc(10027328)|0)==0){break}c[2506334]=pb(2147483647,9963736,0)|0}}while(0);v=$ea(u,23,c[2506334]|0,r,(r=i,i=i+16|0,c[r>>2]=h,c[r+8>>2]=j,r)|0)|0;i=r;r=l+v|0;j=c[s>>2]&176;do{if((j|0)==16){s=a[u]|0;if((s<<24>>24|0)==45|(s<<24>>24|0)==43){w=l+1|0;break}if(!((v|0)>1&s<<24>>24==48)){x=22;break}s=a[l+1|0]|0;if(!((s<<24>>24|0)==120|(s<<24>>24|0)==88)){x=22;break}w=l+2|0}else if((j|0)==32){w=r}else{x=22}}while(0);if((x|0)==22){w=u}x=m|0;cca(p,f);afa(u,w,r,x,n,o,p);yaa(c[p>>2]|0)|0;c[q>>2]=c[e>>2];F7(b,q,x,c[n>>2]|0,c[o>>2]|0,f,g);i=d;return}function efa(b,d,e,f,g,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=+j;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;d=i;i=i+152|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+8|0;m=d+40|0;n=d+48|0;o=d+112|0;p=d+120|0;q=d+128|0;r=d+136|0;s=d+144|0;c[k>>2]=37;c[k+4>>2]=0;t=k;k=t+1|0;u=f+4|0;v=c[u>>2]|0;if((v&2048|0)==0){w=k}else{a[k]=43;w=t+2|0}if((v&1024|0)==0){x=w}else{a[w]=35;x=w+1|0}w=v&260;k=v>>>14;do{if((w|0)==260){if((k&1|0)==0){a[x]=97;y=0;break}else{a[x]=65;y=0;break}}else{a[x]=46;v=x+2|0;a[x+1|0]=42;if((w|0)==256){if((k&1|0)==0){a[v]=101;y=1;break}else{a[v]=69;y=1;break}}else if((w|0)==4){if((k&1|0)==0){a[v]=102;y=1;break}else{a[v]=70;y=1;break}}else{if((k&1|0)==0){a[v]=103;y=1;break}else{a[v]=71;y=1;break}}}}while(0);k=l|0;c[m>>2]=k;do{if((a[10027328]|0)==0){if((cc(10027328)|0)==0){break}c[2506334]=pb(2147483647,9963736,0)|0}}while(0);l=c[2506334]|0;if(y){w=$ea(k,30,l,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;A=w}else{w=$ea(k,30,l,t,(z=i,i=i+8|0,h[z>>3]=j,z)|0)|0;i=z;A=w}do{if((A|0)>29){w=(a[10027328]|0)==0;if(y){do{if(w){if((cc(10027328)|0)==0){break}c[2506334]=pb(2147483647,9963736,0)|0}}while(0);l=ffa(m,c[2506334]|0,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;B=l}else{do{if(w){if((cc(10027328)|0)==0){break}c[2506334]=pb(2147483647,9963736,0)|0}}while(0);w=ffa(m,c[2506334]|0,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;B=w}w=c[m>>2]|0;if((w|0)!=0){C=B;D=w;E=w;break}yla();w=c[m>>2]|0;C=B;D=w;E=w}else{C=A;D=0;E=c[m>>2]|0}}while(0);A=E+C|0;B=c[u>>2]&176;do{if((B|0)==16){u=a[E]|0;if((u<<24>>24|0)==45|(u<<24>>24|0)==43){F=E+1|0;break}if(!((C|0)>1&u<<24>>24==48)){G=53;break}u=a[E+1|0]|0;if(!((u<<24>>24|0)==120|(u<<24>>24|0)==88)){G=53;break}F=E+2|0}else if((B|0)==32){F=A}else{G=53}}while(0);if((G|0)==53){F=E}do{if((E|0)==(k|0)){H=n|0;I=0;J=k}else{G=lla(C<<1)|0;if((G|0)!=0){H=G;I=G;J=E;break}yla();H=0;I=0;J=c[m>>2]|0}}while(0);cca(q,f);gfa(J,F,A,H,o,p,q);yaa(c[q>>2]|0)|0;q=e|0;c[s>>2]=c[q>>2];F7(r,s,H,c[o>>2]|0,c[p>>2]|0,f,g);g=c[r>>2]|0;c[q>>2]=g;c[b>>2]=g;if((I|0)!=0){mla(I)}if((D|0)==0){i=d;return}mla(D);i=d;return}function ffa(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;f=i;i=i+16|0;g=f|0;h=g;c[h>>2]=e;c[h+4>>2]=0;h=ld(b|0)|0;b=Lb(a|0,d|0,g|0)|0;if((h|0)==0){i=f;return b|0}ld(h|0)|0;i=f;return b|0}function gfa(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;k=i;i=i+48|0;l=k|0;m=k+16|0;n=k+32|0;o=j|0;j=c[o>>2]|0;if(!((c[2506692]|0)==-1)){c[m>>2]=10026768;c[m+4>>2]=84;c[m+8>>2]=0;Taa(10026768,m,124)}m=(c[2506693]|0)-1|0;p=c[j+8>>2]|0;if(!((c[j+12>>2]|0)-p>>2>>>0>m>>>0)){q=Gd(4)|0;r=q;Ska(r);xc(q|0,9991800,176)}j=c[p+(m<<2)>>2]|0;if((j|0)==0){q=Gd(4)|0;r=q;Ska(r);xc(q|0,9991800,176)}q=j;r=c[o>>2]|0;if(!((c[2506596]|0)==-1)){c[l>>2]=10026384;c[l+4>>2]=84;c[l+8>>2]=0;Taa(10026384,l,124)}l=(c[2506597]|0)-1|0;o=c[r+8>>2]|0;if(!((c[r+12>>2]|0)-o>>2>>>0>l>>>0)){s=Gd(4)|0;t=s;Ska(t);xc(s|0,9991800,176)}r=c[o+(l<<2)>>2]|0;if((r|0)==0){s=Gd(4)|0;t=s;Ska(t);xc(s|0,9991800,176)}s=r;ae[c[(c[r>>2]|0)+20>>2]&255](n,s);c[h>>2]=f;t=a[b]|0;if((t<<24>>24|0)==45|(t<<24>>24|0)==43){l=me[c[(c[j>>2]|0)+28>>2]&127](q,t)|0;t=c[h>>2]|0;c[h>>2]=t+1;a[t]=l;u=b+1|0}else{u=b}l=e;a:do{if((l-u|0)>1){if((a[u]|0)!=48){v=u;w=34;break}t=u+1|0;o=a[t]|0;if(!((o<<24>>24|0)==120|(o<<24>>24|0)==88)){v=u;w=34;break}o=j;m=me[c[(c[o>>2]|0)+28>>2]&127](q,48)|0;p=c[h>>2]|0;c[h>>2]=p+1;a[p]=m;m=u+2|0;p=me[c[(c[o>>2]|0)+28>>2]&127](q,a[t]|0)|0;t=c[h>>2]|0;c[h>>2]=t+1;a[t]=p;p=m;while(1){if(!(p>>>0<e>>>0)){x=m;y=p;break a}t=a[p]|0;do{if((a[10027328]|0)==0){if((cc(10027328)|0)==0){break}c[2506334]=pb(2147483647,9963736,0)|0}}while(0);if((jb(t<<24>>24|0,c[2506334]|0)|0)==0){x=m;y=p;break}else{p=p+1|0}}}else{v=u;w=34}}while(0);b:do{if((w|0)==34){while(1){w=0;if(!(v>>>0<e>>>0)){x=u;y=v;break b}p=a[v]|0;do{if((a[10027328]|0)==0){if((cc(10027328)|0)==0){break}c[2506334]=pb(2147483647,9963736,0)|0}}while(0);if((Kb(p<<24>>24|0,c[2506334]|0)|0)==0){x=u;y=v;break}else{v=v+1|0;w=34}}}}while(0);w=n;v=a[w]|0;if((v&1)==0){z=(v&255)>>>1}else{z=c[n+4>>2]|0}do{if((z|0)==0){qe[c[(c[j>>2]|0)+32>>2]&127](q,x,y,c[h>>2]|0)|0;c[h>>2]=(c[h>>2]|0)+(y-x)}else{do{if((x|0)!=(y|0)){v=y-1|0;if(v>>>0>x>>>0){A=x;B=v}else{break}do{v=a[A]|0;a[A]=a[B]|0;a[B]=v;A=A+1|0;B=B-1|0;}while(A>>>0<B>>>0)}}while(0);p=ce[c[(c[r>>2]|0)+16>>2]&255](s)|0;if(x>>>0<y>>>0){v=n+1|0;u=n+4|0;t=n+8|0;m=j;o=0;C=0;D=x;while(1){E=(a[w]&1)==0;do{if((a[(E?v:c[t>>2]|0)+C|0]|0)>0){if((o|0)!=(a[(E?v:c[t>>2]|0)+C|0]|0)){F=C;G=o;break}H=c[h>>2]|0;c[h>>2]=H+1;a[H]=p;H=a[w]|0;if((H&1)==0){I=(H&255)>>>1}else{I=c[u>>2]|0}F=(C>>>0<(I-1|0)>>>0)+C|0;G=0}else{F=C;G=o}}while(0);E=me[c[(c[m>>2]|0)+28>>2]&127](q,a[D]|0)|0;H=c[h>>2]|0;c[h>>2]=H+1;a[H]=E;E=D+1|0;if(E>>>0<y>>>0){o=G+1|0;C=F;D=E}else{break}}}D=f+(x-b)|0;C=c[h>>2]|0;if((D|0)==(C|0)){break}o=C-1|0;if(o>>>0>D>>>0){J=D;K=o}else{break}do{o=a[J]|0;a[J]=a[K]|0;a[K]=o;J=J+1|0;K=K-1|0;}while(J>>>0<K>>>0)}}while(0);c:do{if(y>>>0<e>>>0){K=j;J=y;while(1){x=a[J]|0;if(x<<24>>24==46){break}F=me[c[(c[K>>2]|0)+28>>2]&127](q,x)|0;x=c[h>>2]|0;c[h>>2]=x+1;a[x]=F;F=J+1|0;if(F>>>0<e>>>0){J=F}else{L=F;break c}}K=ce[c[(c[r>>2]|0)+12>>2]&255](s)|0;F=c[h>>2]|0;c[h>>2]=F+1;a[F]=K;L=J+1|0}else{L=y}}while(0);qe[c[(c[j>>2]|0)+32>>2]&127](q,L,e,c[h>>2]|0)|0;q=(c[h>>2]|0)+(l-L)|0;c[h>>2]=q;if((d|0)==(e|0)){M=q;c[g>>2]=M;gba(n);i=k;return}M=f+(d-b)|0;c[g>>2]=M;gba(n);i=k;return}



function w3(a,b,d){a=a|0;b=b|0;d=d|0;if((b|0)==0){return}c[b>>2]=c[d>>2];return}function x3(a){a=a|0;return c[(Z2(a|0)|0)>>2]|0}function y3(a){a=a|0;return i3(a|0)|0}function z3(a,b){a=a|0;b=b|0;a=i;i=i+8|0;if((b|0)==0){i=a;return}r0(b,a|0);i=a;return}function A3(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=i;i=i+32|0;d=c|0;e=c+8|0;f=c+24|0;q3(f,b);Q2(e,f);S2(d,e);Q2(a,d);T2(e);i=c;return}function B3(b,d){b=b|0;d=d|0;c[b>>2]=d;a[b+4|0]=0;a[b+5|0]=0;return}function C3(a,b,c){a=a|0;b=b|0;c=c|0;return rla(b<<5)|0}function D3(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(F3(f)|0)>>2]|0;f=G3(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;E3(a|0,b,g);i=e;return}function E3(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];H3(a,b,d);i=e;return}function F3(a){a=a|0;return a|0}function G3(a){a=a|0;return a|0}function H3(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(J3(f)|0)>>2]|0;f=K3(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;I3(a|0,b,g);i=e;return}function I3(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;i=i+8|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;c[f>>2]=b;c[a>>2]=c[(J3(f)|0)>>2];f=K3(d)|0;d=a+4|0;a=c[f+4>>2]|0;c[d>>2]=c[f>>2];c[d+4>>2]=a;i=e;return}function J3(a){a=a|0;return a|0}function K3(a){a=a|0;return a|0}function L3(a){a=a|0;return M3(a|0)|0}function M3(a){a=a|0;return a|0}function N3(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;i=i+8|0;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];e=d|0;f=W2(O3(b)|0)|0;g=K3(y3(O3(b)|0)|0)|0;b=c[g+4>>2]|0;c[e>>2]=c[g>>2];c[e+4>>2]=b;E3(a|0,f,e);i=d;return}function O3(a){a=a|0;return c[a>>2]|0}function P3(a){a=a|0;return c[(a3(a)|0)>>2]|0}function Q3(a,b){a=a|0;b=b|0;b=i;i=i+8|0;R3(a|0,b|0);i=b;return}function R3(a,b){a=a|0;b=b|0;S3(a,0);return}function S3(a,b){a=a|0;b=b|0;var d=0;b=i;i=i+8|0;T3(a+4|0);U3(a+8|0,0,b|0);d=t2(a)|0;c[(V3(a)|0)>>2]=d;i=b;return}function T3(a){a=a|0;Y3(a);return}function U3(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;W3(b,c,d);i=e;return}function V3(a){a=a|0;return a|0}function W3(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+16|0;g=e;e=i;i=i+1|0;i=i+7&-8;a[e]=a[g]|0;g=f|0;c[g>>2]=d;X3(b|0,c[(i$(g)|0)>>2]|0,f+8|0);i=f;return}function X3(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+8|0;g=e;e=i;i=i+1|0;i=i+7&-8;a[e]=a[g]|0;g=f|0;c[g>>2]=d;c[b>>2]=c[(i$(g)|0)>>2];i=f;return}function Y3(a){a=a|0;Z3(a|0);return}function Z3(a){a=a|0;l$(a|0);return}function _3(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=i;i=i+24|0;f=e+8|0;g=e+16|0;h=a|0;a=A2(h)|0;GY(e|0);if((a|0)==0){j=t2(h)|0;c[b>>2]=j;k=j|0;i=e;return k|0}else{l=a}while(1){a=l+16|0;if(G0(0,d,a)|0){m=l|0;j=c[m>>2]|0;GY(f);if((j|0)==0){n=4;break}else{o=m}}else{p=l|0;if(!(G0(0,a,d)|0)){n=9;break}q=l+4|0;a=c[q>>2]|0;GY(g);if((a|0)==0){n=8;break}else{o=q}}l=c[o>>2]|0}if((n|0)==4){c[b>>2]=l;k=m;i=e;return k|0}else if((n|0)==8){c[b>>2]=p;k=q;i=e;return k|0}else if((n|0)==9){c[b>>2]=p;k=b;i=e;return k|0}return 0}function $3(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];W4(a,b);i=d;return}function a4(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0;e=i;i=i+48|0;f=e|0;g=e+16|0;h=e+24|0;j=e+32|0;k=B4(c|0)|0;c=D4(k,1)|0;E4(g,k);C4(f,c,g);F4(0,N1((G4(f)|0)+16|0)|0,d);d=H4(f)|0;a[d+4|0]=1;I4(0,s4((G4(f)|0)+28|0)|0);a[d+5|0]=1;J4(j,f);b4(h,j);$3(b,h);c4(j);c4(f);i=e;return}function b4(a,b){a=a|0;b=b|0;z4(a,b);return}function c4(a){a=a|0;n4(a);return}function d4(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;f=i;i=i+24|0;GY(f|0);c[e>>2]=0;GY(f+8|0);c[e+4>>2]=0;c[e+8>>2]=b;c[d>>2]=e;e=V3(a)|0;b=c[c[e>>2]>>2]|0;GY(f+16|0);if((b|0)!=0){c[e>>2]=c[c[e>>2]>>2]}e=c[(t2(a)|0)>>2]|0;q_(e,c[d>>2]|0);d=k4(a)|0;c[d>>2]=(c[d>>2]|0)+1;i=f;return}function e4(a){a=a|0;return c[(i4(a|0)|0)>>2]|0}function f4(a){a=a|0;var b=0;b=g4(a|0)|0;a=c[b>>2]|0;c[b>>2]=0;return a|0}function g4(a){a=a|0;return h4(a|0)|0}function h4(a){a=a|0;return a|0}function i4(a){a=a|0;return j4(a|0)|0}function j4(a){a=a|0;return a|0}function k4(a){a=a|0;return l4(a+8|0)|0}function l4(a){a=a|0;return m4(a|0)|0}function m4(a){a=a|0;return a|0}function n4(a){a=a|0;o4(a,0);return}function o4(a,b){a=a|0;b=b|0;var d=0,e=0;d=a|0;a=g4(d)|0;e=c[a>>2]|0;c[a>>2]=b;if((e|0)==0){return}q4(p4(d)|0,e);return}function p4(a){a=a|0;return y4(a|0)|0}function q4(b,d){b=b|0;d=d|0;var e=0;if((a[b+5|0]|0)!=0){e=c[b>>2]|0;r4(e,s4(d+28|0)|0)}if((a[b+4|0]|0)!=0){e=c[b>>2]|0;t4(e,N1(d+16|0)|0)}if((d|0)==0){return}u4(c[b>>2]|0,d,1);return}function r4(a,b){a=a|0;b=b|0;a=i;i=i+8|0;x4(a|0,0,b);i=a;return}function s4(a){a=a|0;return a|0}function t4(a,b){a=a|0;b=b|0;a=i;i=i+8|0;w4(a|0,0,b);i=a;return}function u4(a,b,c){a=a|0;b=b|0;c=c|0;v4(0,b,0);return}function v4(a,b,c){a=a|0;b=b|0;c=c|0;tla(b);return}function w4(b,c,d){b=b|0;c=c|0;d=d|0;var e=0;c=i;e=b;b=i;i=i+1|0;i=i+7&-8;a[b]=a[e]|0;gba(d);i=c;return}function x4(b,c,d){b=b|0;c=c|0;d=d|0;var e=0;c=i;e=b;b=i;i=i+1|0;i=i+7&-8;a[b]=a[e]|0;gba(d);i=c;return}function y4(a){a=a|0;return a+4|0}function z4(a,b){a=a|0;b=b|0;A4(a,b);return}function A4(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function B4(a){a=a|0;return U4(a+4|0)|0}function C4(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];M4(a,b,d);i=e;return}function D4(a,b){a=a|0;b=b|0;return L4(0,b,0)|0}function E4(a,b){a=a|0;b=b|0;K4(a,b);return}function F4(a,b,c){a=a|0;b=b|0;c=c|0;if((b|0)==0){return}Yaa(b,c);return}function G4(a){a=a|0;return c[(i4(a|0)|0)>>2]|0}function H4(a){a=a|0;return p4(a|0)|0}function I4(a,b){a=a|0;b=b|0;if((b|0)==0){return}Waa(b);return}function J4(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=i;i=i+32|0;d=c|0;e=c+8|0;f=c+24|0;z4(f,b);$3(e,f);b4(d,e);$3(a,d);c4(e);i=c;return}function K4(b,d){b=b|0;d=d|0;c[b>>2]=d;a[b+4|0]=0;a[b+5|0]=0;return}function L4(a,b,c){a=a|0;b=b|0;c=c|0;return rla(b*40|0)|0}function M4(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(O4(f)|0)>>2]|0;f=P4(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;N4(a|0,b,g);i=e;return}function N4(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];Q4(a,b,d);i=e;return}function O4(a){a=a|0;return a|0}function P4(a){a=a|0;return a|0}function Q4(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(S4(f)|0)>>2]|0;f=T4(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;R4(a|0,b,g);i=e;return}function R4(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;i=i+8|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;c[f>>2]=b;c[a>>2]=c[(S4(f)|0)>>2];f=T4(d)|0;d=a+4|0;a=c[f+4>>2]|0;c[d>>2]=c[f>>2];c[d+4>>2]=a;i=e;return}function S4(a){a=a|0;return a|0}function T4(a){a=a|0;return a|0}function U4(a){a=a|0;return V4(a|0)|0}function V4(a){a=a|0;return a|0}function W4(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;i=i+8|0;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];e=d|0;f=f4(X4(b)|0)|0;g=T4(H4(X4(b)|0)|0)|0;b=c[g+4>>2]|0;c[e>>2]=c[g>>2];c[e+4>>2]=b;N4(a|0,f,e);i=d;return}function X4(a){a=a|0;return c[a>>2]|0}function Y4(a){a=a|0;Z4(a|0);return}function Z4(a){a=a|0;_4(a);return}function _4(a){a=a|0;$4(a,A2(a)|0);return}function $4(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;i=i+8|0;GY(d|0);if((b|0)==0){i=d;return}$4(a,c[b>>2]|0);$4(a,c[b+4>>2]|0);e=B4(a)|0;a5(e,b5(b+16|0)|0);u4(e,b,1);i=d;return}function a5(a,b){a=a|0;b=b|0;a=i;i=i+8|0;c5(a|0,0,b);i=a;return}function b5(a){a=a|0;return a|0}function c5(b,c,d){b=b|0;c=c|0;d=d|0;var e=0;c=i;e=b;b=i;i=i+1|0;i=i+7&-8;a[b]=a[e]|0;d5(d);i=c;return}function d5(a){a=a|0;e5(a);return}function e5(a){a=a|0;f5(a|0);return}function f5(a){a=a|0;g5(a);return}function g5(a){a=a|0;gba(a+12|0);gba(a|0);return}function h5(a){a=a|0;i5(a+180|0);i5(a+168|0);i5(a+156|0);i5(a+144|0);i5(a+132|0);i5(a+120|0);i5(a+108|0);i5(a+96|0);i5(a+84|0);i5(a+72|0);i5(a+60|0);i5(a+48|0);i5(a+36|0);i5(a+24|0);z0(a+12|0);z0(a|0);return}function i5(a){a=a|0;j5(a);return}function j5(a){a=a|0;k5(a|0);return}function k5(a){a=a|0;l5(a);return}function l5(a){a=a|0;m5(a,P3(a)|0);return}function m5(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;i=i+8|0;GY(d|0);if((b|0)==0){i=d;return}m5(a,c[b>>2]|0);m5(a,c[b+4>>2]|0);e=s3(a)|0;n5(e,o5(b+16|0)|0);m3(e,b,1);i=d;return}function n5(a,b){a=a|0;b=b|0;a=i;i=i+8|0;p5(a|0,0,b);i=a;return}function o5(a){a=a|0;return a|0}function p5(b,c,d){b=b|0;c=c|0;d=d|0;var e=0;c=i;e=b;b=i;i=i+1|0;i=i+7&-8;a[b]=a[e]|0;q5(d);i=c;return}function q5(a){a=a|0;r5(a);return}function r5(a){a=a|0;s5(a|0);return}function s5(a){a=a|0;t5(a);return}function t5(a){a=a|0;z0(a+4|0);return}function u5(a){a=a|0;v5(a|0);return}function v5(a){a=a|0;w5(a);return}function w5(a){a=a|0;x5(a,k1(a)|0);return}function x5(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;i=i+8|0;GY(d|0);if((b|0)==0){i=d;return}x5(a,c[b>>2]|0);x5(a,c[b+4>>2]|0);e=U1(a)|0;y5(e,Z0(b+16|0)|0);O1(e,b,1);i=d;return}function y5(a,b){a=a|0;b=b|0;a=i;i=i+8|0;z5(a|0,0,b);i=a;return}function z5(b,c,d){b=b|0;c=c|0;d=d|0;var e=0;c=i;e=b;b=i;i=i+1|0;i=i+7&-8;a[b]=a[e]|0;A5(d);i=c;return}function A5(a){a=a|0;B5(a);return}function B5(a){a=a|0;C5(a|0);return}function C5(a){a=a|0;D5(a);return}function D5(a){a=a|0;gba(a|0);return}function E5(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=i;i=i+16|0;d=c|0;e=c+8|0;F5(a|0);H5(d,b);I5(e,b);G5(a,d,e);i=c;return a|0}function F5(a){a=a|0;var b=0,d=0;b=i;i=i+8|0;$4(a,A2(a)|0);c[(k4(a)|0)>>2]=0;d=t2(a)|0;c[(V3(a)|0)>>2]=d;GY(b|0);c[d>>2]=0;i=b;return}function G5(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0;e=i;i=i+32|0;f=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[f>>2];f=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[f>>2];f=e|0;g=e+8|0;h=e+16|0;j=e+24|0;Q5(f,a);if(!(R5(b,d)|0)){i=e;return}k=c[f>>2]|0;f=h|0;do{c[f>>2]=k;J5(g,h);S5(j,a,g,T5(b)|0);U5(b)|0;}while(R5(b,d)|0);i=e;return}function H5(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=c|0;O5(d,b|0);J5(a,d);i=c;return}function I5(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=c|0;K5(d,b|0);J5(a,d);i=c;return}function J5(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];N5(a,b);i=d;return}function K5(a,b){a=a|0;b=b|0;L5(a,B0(b)|0);return}function L5(a,b){a=a|0;b=b|0;M5(a,b);return}function M5(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function N5(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];c[a>>2]=c[b>>2];i=d;return}function O5(a,b){a=a|0;b=b|0;L5(a,c[(P5(b)|0)>>2]|0);return}function P5(a){a=a|0;return a|0}function Q5(a,b){a=a|0;b=b|0;I5(a,b);return}function R5(a,b){a=a|0;b=b|0;return _6(a|0,b|0)|0}function S5(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;f=i;i=i+40|0;g=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[g>>2];g=f|0;h=f+8|0;j=f+16|0;c[h>>2]=c[d>>2];a6(j,e);$5(g,b|0,h,j);q2(a,g);d5(j);i=f;return}function T5(a){a=a|0;return Y5(a|0)|0}function U5(a){a=a|0;V5(a|0)|0;return a|0}function V5(a){a=a|0;var b=0;b=a|0;c[b>>2]=W5(c[b>>2]|0)|0;return a|0}function W5(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+8|0;d=a+4|0;e=c[d>>2]|0;GY(b|0);if((e|0)==0){e=a;while(1){a=u_(e)|0;f=c[e+8>>2]|0;if(a){g=f;break}else{e=f}}i=b;return g|0}else{g=X5(c[d>>2]|0)|0;i=b;return g|0}return 0}function X5(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;i=i+8|0;d=b|0;e=a|0;f=c[e>>2]|0;GY(d);if((f|0)==0){g=a;i=b;return g|0}else{h=e}while(1){e=c[h>>2]|0;a=e|0;f=c[a>>2]|0;GY(d);if((f|0)==0){g=e;break}else{h=a}}i=b;return g|0}function Y5(a){a=a|0;return Z5((c[a>>2]|0)+16|0)|0}function Z5(a){a=a|0;return _5(a)|0}function _5(a){a=a|0;return a|0}function $5(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;f=i;i=i+64|0;g=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[g>>2];g=f|0;h=f+8|0;j=f+24|0;k=f+40|0;l=f+48|0;c[h>>2]=c[d>>2];d=e6(b,h,g,e)|0;h=c[d>>2]|0;GY(f+16|0);if((h|0)!=0){m=h;s2(a,m);i=f;return}g6(l,b,e);h6(k,l);f6(j,k);i6(l);l=c[g>>2]|0;d4(b,l,d,j6(j)|0);d=k6(j)|0;i6(j);m=d;s2(a,m);i=f;return}function a6(a,b){a=a|0;b=b|0;b6(a,b);return}function b6(a,b){a=a|0;b=b|0;c6(a|0,b);return}function c6(a,b){a=a|0;b=b|0;d6(a,b);return}function d6(a,b){a=a|0;b=b|0;Yaa(a|0,b|0);Yaa(a+12|0,b+12|0);return}function e6(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;f=i;i=i+88|0;g=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[g>>2];g=f|0;h=f+8|0;j=f+16|0;k=f+24|0;l=f+32|0;m=f+40|0;n=f+48|0;o=f+56|0;p=f+64|0;q=f+72|0;r=f+80|0;r2(h,a);O6(g,h);do{if(!(N6(b,g)|0)){h=C2(a)|0;s=Q6(b)|0;if(P6(h,e,s)|0){break}t=P6(h,s,e)|0;s=c[b>>2]|0;if(!t){c[d>>2]=s;u=d;i=f;return u|0}c[o>>2]=s;U6(n,o,1,0);r2(q,a);O6(p,q);do{if(!(N6(n,p)|0)){if(P6(h,e,Q6(n)|0)|0){break}u=T6(a,d,e)|0;i=f;return u|0}}while(0);h=s+4|0;t=c[h>>2]|0;GY(r);if((t|0)==0){c[d>>2]=s;u=h;i=f;return u|0}else{h=c[n>>2]|0;c[d>>2]=h;u=h|0;i=f;return u|0}}}while(0);n=c[b>>2]|0;b=j|0;c[b>>2]=n;R6(l,a);O6(k,l);do{if(!(N6(j,k)|0)){l=C2(a)|0;if(P6(l,Q6(S6(j)|0)|0,e)|0){break}u=T6(a,d,e)|0;i=f;return u|0}}while(0);e=n|0;a=c[e>>2]|0;GY(m);if((a|0)==0){c[d>>2]=n;u=e;i=f;return u|0}else{e=c[b>>2]|0;c[d>>2]=e;u=e+4|0;i=f;return u|0}return 0}function f6(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];L6(a,b);i=d;return}function g6(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0;e=i;i=i+48|0;f=e|0;g=e+16|0;h=e+24|0;j=e+32|0;k=B4(c)|0;c=D4(k,1)|0;x6(g,k);w6(f,c,g);y6(0,b5((z6(f)|0)+16|0)|0,d);a[(A6(f)|0)+4|0]=1;B6(j,f);h6(h,j);f6(b,h);i6(j);i6(f);i=e;return}function h6(a,b){a=a|0;b=b|0;u6(a,b);return}function i6(a){a=a|0;p6(a);return}function j6(a){a=a|0;return c[(n6(a|0)|0)>>2]|0}function k6(a){a=a|0;var b=0;b=l6(a|0)|0;a=c[b>>2]|0;c[b>>2]=0;return a|0}function l6(a){a=a|0;return m6(a|0)|0}function m6(a){a=a|0;return a|0}function n6(a){a=a|0;return o6(a|0)|0}function o6(a){a=a|0;return a|0}function p6(a){a=a|0;q6(a,0);return}function q6(a,b){a=a|0;b=b|0;var d=0,e=0;d=a|0;a=l6(d)|0;e=c[a>>2]|0;c[a>>2]=b;if((e|0)==0){return}s6(r6(d)|0,e);return}function r6(a){a=a|0;return t6(a|0)|0}function s6(b,d){b=b|0;d=d|0;var e=0;if((a[b+4|0]|0)!=0){e=c[b>>2]|0;a5(e,b5(d+16|0)|0)}if((d|0)==0){return}u4(c[b>>2]|0,d,1);return}function t6(a){a=a|0;return a+4|0}function u6(a,b){a=a|0;b=b|0;v6(a,b);return}function v6(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function w6(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];F6(a,b,d);i=e;return}function x6(a,b){a=a|0;b=b|0;E6(a,b);return}function y6(a,b,c){a=a|0;b=b|0;c=c|0;if((b|0)==0){return}C6(b,c);return}function z6(a){a=a|0;return c[(n6(a|0)|0)>>2]|0}function A6(a){a=a|0;return r6(a|0)|0}function B6(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=i;i=i+32|0;d=c|0;e=c+8|0;f=c+24|0;u6(f,b);f6(e,f);h6(d,e);f6(a,d);i6(e);i=c;return}function C6(a,b){a=a|0;b=b|0;D6(a,b);return}function D6(a,b){a=a|0;b=b|0;c6(a|0,b|0);return}function E6(b,d){b=b|0;d=d|0;c[b>>2]=d;a[b+4|0]=0;return}function F6(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(O4(f)|0)>>2]|0;f=H6(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;G6(a|0,b,g);i=e;return}function G6(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];I6(a,b,d);i=e;return}function H6(a){a=a|0;return a|0}function I6(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(S4(f)|0)>>2]|0;f=K6(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;J6(a|0,b,g);i=e;return}function J6(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;i=i+8|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;c[f>>2]=b;c[a>>2]=c[(S4(f)|0)>>2];f=K6(d)|0;d=a+4|0;a=c[f+4>>2]|0;c[d>>2]=c[f>>2];c[d+4>>2]=a;i=e;return}function K6(a){a=a|0;return a|0}function L6(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;i=i+8|0;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];e=d|0;f=k6(M6(b)|0)|0;g=K6(A6(M6(b)|0)|0)|0;b=c[g+4>>2]|0;c[e>>2]=c[g>>2];c[e+4>>2]=b;G6(a|0,f,e);i=d;return}function M6(a){a=a|0;return c[a>>2]|0}function N6(a,b){a=a|0;b=b|0;return(c[a>>2]|0)==(c[b>>2]|0)|0}function O6(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];Z6(a,b);i=d;return}function P6(a,b,c){a=a|0;b=b|0;c=c|0;return G0(0,b|0,c|0)|0}function Q6(a){a=a|0;return(c[a>>2]|0)+16|0}function R6(a,b){a=a|0;b=b|0;s2(a,c[(V3(b)|0)>>2]|0);return}function S6(a){a=a|0;var b=0;b=a|0;c[b>>2]=X6(c[b>>2]|0)|0;return a|0}function T6(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=i;i=i+24|0;f=e+8|0;g=e+16|0;h=A2(a)|0;GY(e|0);if((h|0)==0){j=t2(a)|0;c[b>>2]=j;k=j|0;i=e;return k|0}j=C2(a)|0;a=h;while(1){h=a+16|0;if(P6(j,d,h)|0){l=a|0;m=c[l>>2]|0;GY(f);if((m|0)==0){n=5;break}else{o=l}}else{p=a|0;if(!(P6(j,h,d)|0)){n=10;break}q=a+4|0;h=c[q>>2]|0;GY(g);if((h|0)==0){n=9;break}else{o=q}}a=c[o>>2]|0}if((n|0)==5){c[b>>2]=a;k=l;i=e;return k|0}else if((n|0)==9){c[b>>2]=p;k=q;i=e;return k|0}else if((n|0)==10){c[b>>2]=p;k=b;i=e;return k|0}return 0}function U6(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;e=i;f=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[f>>2];V6(b,d);c[a>>2]=c[b>>2];i=e;return}function V6(a,b){a=a|0;b=b|0;var c=0;c=i;i=i+8|0;W6(a,b,c|0);i=c;return}function W6(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;if(!((c|0)>-1)){f=c;do{S6(b)|0;f=f+1|0;}while((f|0)<0);i=e;return}if((c|0)>0){g=c}else{i=e;return}do{V5(b)|0;g=g-1|0;}while((g|0)>0);i=e;return}function X6(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+8|0;d=a|0;e=c[d>>2]|0;GY(b|0);if((e|0)==0){e=a;while(1){a=u_(e)|0;f=c[e+8>>2]|0;if(a){e=f}else{g=f;break}}i=b;return g|0}else{g=Y6(c[d>>2]|0)|0;i=b;return g|0}return 0}function Y6(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[e>>2]|0;GY(d);if((f|0)==0){g=a;i=b;return g|0}else{h=e}while(1){e=c[h>>2]|0;a=e+4|0;f=c[a>>2]|0;GY(d);if((f|0)==0){g=e;break}else{h=a}}i=b;return g|0}function Z6(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];c[a>>2]=c[b>>2];i=d;return}function _6(a,b){a=a|0;b=b|0;return(N6(a,b)|0)^1|0}function $6(a){a=a|0;var b=0;b=i;i=i+128|0;r0(a|0,b|0);r0(a+12|0,b+8|0);a7(a+24|0,b+16|0);a7(a+36|0,b+24|0);a7(a+48|0,b+32|0);a7(a+60|0,b+40|0);a7(a+72|0,b+48|0);a7(a+84|0,b+56|0);a7(a+96|0,b+64|0);a7(a+108|0,b+72|0);a7(a+120|0,b+80|0);a7(a+132|0,b+88|0);a7(a+144|0,b+96|0);a7(a+156|0,b+104|0);a7(a+168|0,b+112|0);a7(a+180|0,b+120|0);i=b;return}function a7(a,b){a=a|0;b=b|0;b7(a,0);return}function b7(a,b){a=a|0;b=b|0;b=i;i=i+8|0;c7(a|0,b|0);i=b;return}function c7(a,b){a=a|0;b=b|0;d7(a,0);return}function d7(a,b){a=a|0;b=b|0;var d=0;b=i;i=i+8|0;e7(a+4|0);f7(a+8|0,0,b|0);d=a3(a)|0;c[($2(a)|0)>>2]=d;i=b;return}function e7(a){a=a|0;i7(a);return}function f7(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;g7(b,c,d);i=e;return}function g7(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+16|0;g=e;e=i;i=i+1|0;i=i+7&-8;a[e]=a[g]|0;g=f|0;c[g>>2]=d;h7(b|0,c[(i$(g)|0)>>2]|0,f+8|0);i=f;return}function h7(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+8|0;g=e;e=i;i=i+1|0;i=i+7&-8;a[e]=a[g]|0;g=f|0;c[g>>2]=d;c[b>>2]=c[(i$(g)|0)>>2];i=f;return}function i7(a){a=a|0;j7(a|0);return}function j7(a){a=a|0;l$(a|0);return}function k7(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;b=i;i=i+80|0;a=b|0;d=b+16|0;e=b+32|0;f=b+48|0;g=b+64|0;h=c[2500184]|0;if((h|0)==0){j=0}else{k=rla(12)|0;aba(k,h);j=k}if((c[2500225]|0)!=0){c[2500100]=1}if((j|0)==0){c[2500017]=1;c[2500018]=1;i=b;return}do{if((Eba(j,9967176,0)|0)==-1){Yaa(a,j);Waa(d);k=c[4152]|0;h=(k|0)<28;while(1){l=Eba(a,9978200,0)|0;m=(l|0)!=-1;if(m){Cba(e,a,0,l);hba(d,e)|0;gba(e);Cba(f,a,l+1|0,-1);hba(a,f)|0;gba(f)}else{hba(d,a)|0}if(h){n=k;o=1}else{break}while(1){aba(g,c[9998704+(n<<2)>>2]|0);l=l7(d,g)|0;gba(g);if(l){c[10000064+(n<<2)>>2]=1;p=0}else{p=o}l=n+1|0;if((l|0)<28){n=l;o=p}else{break}}if((p|0)!=0){break}if(!m){q=39;break}}if((q|0)==39){gba(d);gba(a);break}ZS(1,1,9954616,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;if(h){r=k;do{s=c[9998816+(r<<2)>>2]|0;ZS(1,0,8090032,(l=i,i=i+16|0,c[l>>2]=c[9998704+(r<<2)>>2],c[l+8>>2]=s,l)|0);i=l;r=r+1|0;}while((r|0)<28)}$d[c[3540]&511](1);r=Dba(j)|0;$S(0,45760,(l=i,i=i+8|0,c[l>>2]=r,l)|0);i=l}else{r=1;do{c[10000064+(r<<2)>>2]=1;r=r+1|0;}while((r|0)<28)}}while(0);c[2500017]=1;c[2500018]=1;if((c[2500025]|0)!=0){c[2500040]=1}if((c[2500039]|0)==1){c[2500041]=1}if((c[2500034]|0)!=0){c[2500033]=1}if((c[2500036]|0)!=0){c[2500033]=1}if((c[2500024]|0)!=0){c[2500023]=1}if((c[2500035]|0)!=0){c[2500033]=1}if((c[2500022]|0)!=0){c[2500021]=1}gba(j);tla(j);i=b;return}function l7(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0;d=eba(b)|0;if((d|0)!=(eba(c)|0)){e=0;return e|0}f=fba(b)|0;g=fba(c)|0;if(Zaa(b)|0){e=(I0(f,g,d)|0)==0;return e|0}if((d|0)==0){e=1;return e|0}else{h=f;i=g;j=d}while(1){if((a[h]|0)!=(a[i]|0)){e=0;k=7;break}d=j-1|0;if((d|0)==0){e=1;k=7;break}else{h=h+1|0;i=i+1|0;j=d}}if((k|0)==7){return e|0}return 0}function m7(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;b=i;a=c[2500186]|0;if((a|0)==0){d=1;i=b;return d|0}e=rla(12)|0;f=e;aba(f,a);if((e|0)==0){d=1;i=b;return d|0}else{g=1}while(1){if((g|0)>=4){h=7;break}if(n7(f,c[9994056+(g<<2)>>2]|0)|0){d=g;h=8;break}else{g=g+1|0}}if((h|0)==7){g=Dba(f)|0;ZS(1,1,40192,(f=i,i=i+8|0,c[f>>2]=g,f)|0);i=f;g=c[2498521]|0;ZS(1,0,8090032,(f=i,i=i+16|0,c[f>>2]=c[2498515],c[f+8>>2]=g,f)|0);i=f;g=c[2498522]|0;ZS(1,0,8090032,(f=i,i=i+16|0,c[f>>2]=c[2498516],c[f+8>>2]=g,f)|0);i=f;g=c[2498523]|0;ZS(1,0,8090032,(f=i,i=i+16|0,c[f>>2]=c[2498517],c[f+8>>2]=g,f)|0);i=f;$d[c[3540]&511](1);$S(0,35576,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;return 0}else if((h|0)==8){i=b;return d|0}return 0}function n7(a,b){a=a|0;b=b|0;return(Gba(a,b)|0)==0|0}function o7(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;b=i;i=i+32|0;a=b|0;d=b+16|0;e=c[2500182]|0;if((e|0)==0){f=1;i=b;return f|0}g=rla(12)|0;h=g;aba(h,e);if((g|0)==0){f=1;i=b;return f|0}aba(a,31248);g=l7(h,a)|0;gba(a);if(g){f=1;i=b;return f|0}aba(d,27304);g=l7(h,d)|0;gba(d);if(g){f=2;i=b;return f|0}else{f=Dba(h)|0;ZS(1,1,24048,(h=i,i=i+8|0,c[h>>2]=f,h)|0);i=h;ZS(1,0,8090032,(h=i,i=i+16|0,c[h>>2]=31248,c[h+8>>2]=9983464,h)|0);i=h;ZS(1,0,8090032,(h=i,i=i+16|0,c[h>>2]=27304,c[h+8>>2]=9979600,h)|0);i=h;$d[c[3540]&511](1);$S(0,35576,(h=i,i=i+1|0,i=i+7&-8,c[h>>2]=0,h)|0);i=h;return 0}return 0}function p7(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;d=i;i=i+24|0;e=d|0;f=d+8|0;g=d+16|0;pda(e,a);do{if(sda(e)|0){h=Q0(b)|0;C7(f,a);j=a;k=a;l=k+(c[(c[j>>2]|0)-12>>2]|0)|0;m=l;if(((KY(m)|0)&176|0)==32){n=b+h|0}else{n=b}F7(g,f,b,n,b+h|0,m,aca(l)|0);if(!(D7(g)|0)){break}Wba(k+(c[(c[j>>2]|0)-12>>2]|0)|0,5)}}while(0);qda(e);i=d;return a|0}function q7(a){a=a|0;vda(a,bca(a+(c[(c[a>>2]|0)-12>>2]|0)|0,10)|0)|0;cda(a)|0;return a|0}function r7(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;f=i;i=i+2128|0;g=f|0;h=f+32|0;j=f+48|0;k=f+64|0;l=f+80|0;aba(h,d);Rba(k,9973096,h);X$(j,k,9970624);gba(k);k=Dba(j)|0;d=b+104|0;do{if((c[d>>2]|0)>0){m=b|0;n=c[m>>2]|0;if((Lla(c[n+4>>2]|0,9968512)|0)!=0){break}a[n+104|0]=1;a[(c[m>>2]|0)+((c[d>>2]|0)*112|0)+104|0]=1}}while(0);if((Lla(k,9966352)|0)==0){gba(j);gba(h);i=f;return}d=tka(g,k,1)|0;if((d|0)!=0){m=l|0;Qla(m|0,0,2048)|0;Gka(d,g,m,2048)|0;tda(p7(p7(p7(p7(p7(10027040,9964192)|0,k)|0,9962016)|0,m)|0,9959912)|0,2)|0;gba(j);gba(h);i=f;return}m=b+108|0;k=c[m>>2]|0;if((k|0)>0){d=b|0;l=0;n=k;while(1){k=c[d>>2]|0;if((a[k+(l*112|0)+104|0]|0)==0){o=(Hka(g,c[k+(l*112|0)+4>>2]|0,0,0,0)|0)!=0|0;a[(c[d>>2]|0)+(l*112|0)+104|0]=o;p=c[m>>2]|0}else{p=n}o=l+1|0;if((o|0)<(p|0)){l=o;n=p}else{break}}}p=b+208|0;if((c[p>>2]|0)>0){n=b+32|0;l=b|0;m=(e|0)==0;d=b+16|0;o=0;do{k=c[n>>2]|0;q=a[k+(o*52|0)+8|0]|0;do{if((q<<24>>24|0)==0){r=(Hka(g,c[k+(o*52|0)+16>>2]|0,0,0,0)|0)!=0|0;a[(c[n>>2]|0)+(o*52|0)+48|0]=r;r=c[n>>2]|0;if((a[r+(o*52|0)+48|0]|0)!=0){break}a[(c[l>>2]|0)+((c[r+(o*52|0)+4>>2]|0)*112|0)+104|0]=0}else if((q<<24>>24|0)==1){r=(Hka(g,c[k+(o*52|0)+16>>2]|0,0,0,0)|0)!=0|0;a[(c[n>>2]|0)+(o*52|0)+48|0]=r;r=c[n>>2]|0;if((a[r+(o*52|0)+48|0]|0)!=0|m){break}a[(c[d>>2]|0)+((c[r+(o*52|0)+4>>2]|0)*112|0)+104|0]=0}}while(0);o=o+1|0;}while((o|0)<(c[p>>2]|0))}p=b+116|0;o=c[p>>2]|0;if((o|0)>0){d=b+4|0;m=0;n=o;while(1){o=c[d>>2]|0;if((a[o+(m*60|0)+56|0]|0)==0){l=(Hka(g,c[o+(m*60|0)+4>>2]|0,0,0,0)|0)!=0|0;a[(c[d>>2]|0)+(m*60|0)+56|0]=l;s=c[p>>2]|0}else{s=n}l=m+1|0;if((l|0)<(s|0)){m=l;n=s}else{break}}}s=b+212|0;if((c[s>>2]|0)>0){n=b+36|0;m=b+4|0;p=(e|0)==0;d=b+20|0;l=0;do{o=c[n>>2]|0;k=a[o+(l*52|0)+8|0]|0;do{if((k<<24>>24|0)==0){q=(Hka(g,c[o+(l*52|0)+16>>2]|0,0,0,0)|0)!=0|0;a[(c[n>>2]|0)+(l*52|0)+48|0]=q;q=c[n>>2]|0;if((a[q+(l*52|0)+48|0]|0)!=0){break}a[(c[m>>2]|0)+((c[q+(l*52|0)+4>>2]|0)*60|0)+56|0]=0}else if((k<<24>>24|0)==1){q=(Hka(g,c[o+(l*52|0)+16>>2]|0,0,0,0)|0)!=0|0;a[(c[n>>2]|0)+(l*52|0)+48|0]=q;q=c[n>>2]|0;if((a[q+(l*52|0)+48|0]|0)!=0|p){break}a[(c[d>>2]|0)+((c[q+(l*52|0)+4>>2]|0)*60|0)+56|0]=0}}while(0);l=l+1|0;}while((l|0)<(c[s>>2]|0))}s=b+120|0;l=c[s>>2]|0;if((l|0)>0){d=b+8|0;p=0;n=l;while(1){l=c[d>>2]|0;if((a[l+(p*48|0)+44|0]|0)==0){m=(Hka(g,c[l+(p*48|0)+4>>2]|0,0,0,0)|0)!=0|0;a[(c[d>>2]|0)+(p*48|0)+44|0]=m;t=c[s>>2]|0}else{t=n}m=p+1|0;if((m|0)<(t|0)){p=m;n=t}else{break}}}t=b+216|0;if((c[t>>2]|0)>0){n=b+40|0;p=b+8|0;s=(e|0)==0;d=b+24|0;m=0;do{l=c[n>>2]|0;o=a[l+(m*52|0)+8|0]|0;do{if((o<<24>>24|0)==0){k=(Hka(g,c[l+(m*52|0)+16>>2]|0,0,0,0)|0)!=0|0;a[(c[n>>2]|0)+(m*52|0)+48|0]=k;k=c[n>>2]|0;if((a[k+(m*52|0)+48|0]|0)!=0){break}a[(c[p>>2]|0)+((c[k+(m*52|0)+4>>2]|0)*48|0)+44|0]=0}else if((o<<24>>24|0)==1){k=(Hka(g,c[l+(m*52|0)+16>>2]|0,0,0,0)|0)!=0|0;a[(c[n>>2]|0)+(m*52|0)+48|0]=k;k=c[n>>2]|0;if((a[k+(m*52|0)+48|0]|0)!=0|s){break}a[(c[d>>2]|0)+((c[k+(m*52|0)+4>>2]|0)*48|0)+44|0]=0}}while(0);m=m+1|0;}while((m|0)<(c[t>>2]|0))}t=b+124|0;m=c[t>>2]|0;if((m|0)>0){d=b+12|0;s=0;n=m;while(1){m=c[d>>2]|0;if((a[m+(s*52|0)+48|0]|0)==0){p=(Hka(g,c[m+(s*52|0)+4>>2]|0,0,0,0)|0)!=0|0;a[(c[d>>2]|0)+(s*52|0)+48|0]=p;u=c[t>>2]|0}else{u=n}p=s+1|0;if((p|0)<(u|0)){s=p;n=u}else{break}}}u=b+220|0;if((c[u>>2]|0)>0){n=b+44|0;s=b+12|0;t=(e|0)==0;e=b+28|0;b=0;do{d=c[n>>2]|0;p=a[d+(b*52|0)+8|0]|0;do{if((p<<24>>24|0)==0){m=(Hka(g,c[d+(b*52|0)+16>>2]|0,0,0,0)|0)!=0|0;a[(c[n>>2]|0)+(b*52|0)+48|0]=m;m=c[n>>2]|0;if((a[m+(b*52|0)+48|0]|0)!=0){break}a[(c[s>>2]|0)+((c[m+(b*52|0)+4>>2]|0)*52|0)+48|0]=0}else if((p<<24>>24|0)==1){m=(Hka(g,c[d+(b*52|0)+16>>2]|0,0,0,0)|0)!=0|0;a[(c[n>>2]|0)+(b*52|0)+48|0]=m;m=c[n>>2]|0;if((a[m+(b*52|0)+48|0]|0)!=0|t){break}a[(c[e>>2]|0)+((c[m+(b*52|0)+4>>2]|0)*52|0)+48|0]=0}}while(0);b=b+1|0;}while((b|0)<(c[u>>2]|0))}xka(g);gba(j);gba(h);i=f;return}function s7(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0.0,I=0.0,J=0,K=0,L=0;b=i;i=i+320|0;a=b|0;e=b+16|0;f=b+32|0;g=b+48|0;j=b+64|0;k=b+80|0;l=b+96|0;m=b+112|0;n=b+128|0;o=b+144|0;p=b+160|0;q=b+176|0;r=b+192|0;s=b+208|0;t=b+224|0;u=b+240|0;v=b+256|0;w=b+272|0;x=b+288|0;y=b+304|0;z=c[2500210]|0;A=c[2500180]|0;B=c[2502320]|0;if((c[2500041]|0)==0){if(!((c[2500198]|0)==0|(B|0)!=0)){C=3}}else{C=3}if((C|0)==3){c[2502320]=1}C=d+248|0;D=d+240|0;E=~~+xb(+((+h[C>>3]- +h[D>>3])/+h[d+264>>3]));c[d+256>>2]=E;XS(23,0,9957880,(F=i,i=i+8|0,c[F>>2]=E,F)|0);i=F;E=c[2500167]|0;do{if((E|0)==0){G=0}else{if((Lla(E,9955760)|0)==0){G=1;break}if((Lla(E,9953192)|0)==0){G=0;break}if((Lla(E,9951432)|0)==0){G=2;break}ZS(1,0,9949456,(F=i,i=i+8|0,c[F>>2]=E,F)|0);i=F;G=0}}while(0);if((FU(G)|0)!=0){ZS(1,0,9947328,(F=i,i=i+8|0,c[F>>2]=E,F)|0);i=F}if((c[2502320]|0)!=0){A8(d+56|0);KU((c[d+64>>2]|0)+13+(c[d+68>>2]|0)+(c[d+72>>2]|0)|0);GU(0);GU(6);HU(3);HU(4);HU(1)}E=(z|0)!=0;if(E){if((A|0)==0){H=+h[D>>3]}else{H=+Hla(A)}h[C>>3]=H;XS(1,0,9945080,(F=i,i=i+8|0,h[F>>3]=H,F)|0);i=F}do{if((c[2500224]|0)!=0){C=rla(12)|0;A=C;aba(A,c[2500194]|0);if((C|0)==0){break}C=Dba(A)|0;c[d+280>>2]=C;XS(23,0,9942872,(F=i,i=i+8|0,c[F>>2]=C,F)|0);i=F}}while(0);C=c[2500193]|0;Waa(a);if((C|0)==0){aba(g,c[d+88>>2]|0);aba(j,9940976);t7(f,g,j);X$(e,f,c[d+284>>2]|0);hba(a,e)|0;gba(e);gba(f);gba(j);gba(g)}else{iba(a,C)|0}aba(k,10023184);aba(l,10023184);aba(m,10023184);aba(n,10023184);aba(o,10023184);aba(p,10023184);C=c[2500198]|0;if((c[2500202]|0)!=0){iba(k,c[2500172]|0)|0}if((c[2500206]|0)!=0){iba(l,c[2500176]|0)|0}if((c[2500201]|0)!=0){iba(m,c[2500171]|0)|0}if((c[2500203]|0)==0){I=0.0}else{iba(n,c[2500173]|0)|0;I=+Hla(Dba(n)|0)}if((c[2500204]|0)==0){J=1}else{iba(o,c[2500174]|0)|0;J=Wc(Dba(o)|0)|0}if((c[2500219]|0)!=0){iba(p,c[2500189]|0)|0}Yaa(q,a);Yaa(r,k);Yaa(s,l);Yaa(t,m);Yaa(u,p);g=u7(d,q,r,s,t,I,J,u,C)|0;gba(u);gba(t);gba(s);gba(r);gba(q);if((g|0)!=0|E^1){K=g}else{GU(5);g=R7(d)|0;JU(5);XS(1,0,9937224,(F=i,i=i+1|0,i=i+7&-8,c[F>>2]=0,F)|0);i=F;K=g}c[2502320]=B;if(!((K|0)==0&(B|0)!=0)){L=K;gba(p);gba(o);gba(n);gba(m);gba(l);gba(k);gba(a);i=b;return L|0}K=d+88|0;aba(w,c[K>>2]|0);X$(v,w,8091048);gba(w);aba(y,c[K>>2]|0);X$(x,y,56440);gba(y);JU(0);y=c[2500185]|0;K=Dba(v)|0;w=Dba(x)|0;B=c[d+280>>2]|0;g=c[d+284>>2]|0;o8(d,K,w,(y|0)!=0?y:54656,B,g,Dba(a)|0)|0;gba(x);gba(v);L=0;gba(p);gba(o);gba(n);gba(m);gba(l);gba(k);gba(a);i=b;return L|0}function t7(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;d=i;i=i+8|0;Xaa(a,d|0);e=eba(b)|0;f=eba(c)|0;Hba(a,fba(b)|0,e,f+e|0);zba(a,fba(c)|0,f)|0;i=d;return}function u7(a,b,d,e,f,g,h,j,k){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=+g;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;l=i;i=i+48|0;m=l|0;n=l+16|0;o=l+32|0;if((eba(j)|0)==0){p=0}else{p=Dba(j)|0}Yaa(m,b);b=(v7(a,m,k)|0)==0;gba(m);if(!b){q=-1;i=l;return q|0}aba(n,10023184);b=a+280|0;m=n7(n,c[b>>2]|0)|0;gba(n);do{if(m){r=3}else{n=0;k=1;do{aba(o,c[9993768+(k<<2)>>2]|0);j=n7(o,c[b>>2]|0)|0;gba(o);n=j?k:n;k=k+1|0;}while((k|0)<20);if((n|0)!=0){r=n;break}ZS(1,0,46464,(s=i,i=i+8|0,c[s>>2]=c[b>>2],s)|0);i=s;ZS(1,0,9954616,(s=i,i=i+1|0,i=i+7&-8,c[s>>2]=0,s)|0);i=s;k=1;do{j=c[9993848+(k<<2)>>2]|0;ZS(1,0,8090032,(s=i,i=i+16|0,c[s>>2]=c[9993768+(k<<2)>>2],c[s+8>>2]=j,s)|0);i=s;k=k+1|0;}while((k|0)<20);$S(c[a+536>>2]|0,35576,(s=i,i=i+1|0,i=i+7&-8,c[s>>2]=0,s)|0);i=s;return 0}}while(0);XS(23,0,45072,(s=i,i=i+8|0,c[s>>2]=c[9993768+(r<<2)>>2],s)|0);i=s;s=Dba(d)|0;d=Dba(e)|0;e=_W(a,s,d,Dba(f)|0,g,h,r,p)|0;ae[c[2007]&255](8e3,a);q=e;i=l;return q|0}function v7(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=i;f=c[a+256>>2]<<2;c[2e3]=Qc(Dba(b)|0)|0;c[2001]=f;c[2002]=d;d=a+284|0;do{if((c[2500098]|0)==0){f=c[d>>2]|0;if((Lla(52304,f)|0)==0){g=0;break}if((Lla(50232,f)|0)==0){c[2004]=76;c[2005]=26;c[2007]=32;g=0;break}if((Lla(49616,f)|0)==0){c[2004]=36;c[2005]=162;c[2006]=80;c[2007]=8;g=1;break}if((Lla(48960,f)|0)==0){c[2004]=98;c[2005]=34;c[2006]=64;c[2007]=52;g=1;break}if((Lla(48376,f)|0)==0){c[2004]=124;c[2005]=160;c[2007]=116;g=0;break}f=p7(10027040,47688)|0;tda(p7(f,c[d>>2]|0)|0,2)|0;h=1;i=e;return h|0}else{g=0}}while(0);r7(a+8|0,c[a+288>>2]|0,g);ae[c[2004]&255](8e3,a);a=c[2e3]|0;XS(23,0,47064,(g=i,i=i+16|0,c[g>>2]=c[d>>2],c[g+8>>2]=a,g)|0);i=g;h=0;i=e;return h|0}function w7(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=i;i=i+32|0;f=e|0;g=e+16|0;OS();do{if((I8(a,b)|0)==0){if((K8(a,b)|0)!=0){break}do{if((c[2500211]|0)!=0){h=c[2500181]|0;if((Lla(h,42608)|0)==0){US(1);break}if((Lla(h,42280)|0)==0){US(0);break}else{ZS(1,0,41768,(j=i,i=i+8|0,c[j>>2]=h,j)|0);i=j;Ta(0)|0;uc(0);return 0}}}while(0);if((c[2500200]|0)==0){k7(0,0);kW(d);if((d|0)==0){tda(p7(10027040,39032)|0,2)|0}c[d+300>>2]=m7(0,0)|0;c[d+292>>2]=o7(0,0)|0;U$(d+8|0,d+240|0);sW(d)|0;zW(d)|0;LW(d)|0;do{if((c[d+116>>2]|0)==0){if((c[d+124>>2]|0)==0){break}if((c[d+128>>2]|0)==0){break}tda(p7(10027040,38648)|0,2)|0;k=1;i=e;return k|0}}while(0);c[2500098]=c[2500217];k=0;i=e;return k|0}aba(f,c[2500170]|0);h=1;while(1){if((h|0)>=30){l=40;break}m=9999560+(h<<2)|0;aba(g,c[m>>2]|0);n=l7(f,g)|0;gba(g);if(n){break}else{h=h+1|0}}if((l|0)==40){n=Dba(f)|0;ZS(1,0,39784,(j=i,i=i+8|0,c[j>>2]=n,j)|0);i=j;ZS(1,0,39392,(j=i,i=i+8|0,c[j>>2]=c[b>>2],j)|0);i=j;Ta(0)|0;uc(0);return 0}n=c[9999440+(h<<2)>>2]|0;do{if((n|0)==1){o=c[9999688+(h<<2)>>2]|0;XS(1,1,41400,(j=i,i=i+16|0,c[j>>2]=c[m>>2],c[j+8>>2]=o,j)|0);i=j}else{o=c[m>>2]|0;if((n|0)==2){p=c[9999688+(h<<2)>>2]|0;XS(1,1,40896,(j=i,i=i+24|0,c[j>>2]=o,c[j+8>>2]=o,c[j+16>>2]=p,j)|0);i=j;break}else{ZS(1,1,43168,(j=i,i=i+8|0,c[j>>2]=o,j)|0);i=j;break}}}while(0);do{if((h|0)==6){XS(1,0,8090032,(j=i,i=i+16|0,c[j>>2]=25072,c[j+8>>2]=25976,j)|0);i=j;XS(1,0,8090032,(j=i,i=i+16|0,c[j>>2]=24728,c[j+8>>2]=25640,j)|0);i=j;XS(1,0,8090032,(j=i,i=i+16|0,c[j>>2]=24360,c[j+8>>2]=25352,j)|0);i=j}else if((h|0)==18){n=c[4152]|0;if((n|0)<28){q=n}else{break}do{n=c[9998816+(q<<2)>>2]|0;XS(1,0,8090032,(j=i,i=i+16|0,c[j>>2]=c[9998704+(q<<2)>>2],c[j+8>>2]=n,j)|0);i=j;q=q+1|0;}while((q|0)<28)}else if((h|0)==10){n=1;do{o=c[9993992+(n<<2)>>2]|0;XS(1,0,8090032,(j=i,i=i+16|0,c[j>>2]=c[9993928+(n<<2)>>2],c[j+8>>2]=o,j)|0);i=j;n=n+1|0;}while((n|0)<7)}else if((h|0)==28){n=1;do{o=c[9993848+(n<<2)>>2]|0;XS(1,0,8090032,(j=i,i=i+16|0,c[j>>2]=c[9993768+(n<<2)>>2],c[j+8>>2]=o,j)|0);i=j;n=n+1|0;}while((n|0)<20)}}while(0);$d[c[3540]&511](1);Ta(0)|0;uc(0);return 0}}while(0);XS(1,1,44632,(j=i,i=i+8|0,c[j>>2]=c[b>>2],j)|0);i=j;b=1;do{q=c[9999440+(b<<2)>>2]|0;do{if((q|0)==1){m=c[9999816+(b<<2)>>2]|0;XS(1,0,44120,(j=i,i=i+16|0,c[j>>2]=c[9999560+(b<<2)>>2],c[j+8>>2]=m,j)|0);i=j}else{m=c[9999560+(b<<2)>>2]|0;if((q|0)==2){f=c[9999816+(b<<2)>>2]|0;XS(1,0,43672,(j=i,i=i+24|0,c[j>>2]=m,c[j+8>>2]=m,c[j+16>>2]=f,j)|0);i=j;break}else{ZS(1,0,43168,(j=i,i=i+8|0,c[j>>2]=m,j)|0);i=j;break}}}while(0);b=b+1|0;}while((b|0)<30);$d[c[3540]&511](1);Ta(0)|0;uc(0);return 0}function x7(a){a=a|0;var b=0,d=0,e=0;a=i;b=c[2506872]|0;Ic(7896)|0;Ac(37808,(d=i,i=i+8|0,c[d>>2]=c[b+88>>2],d)|0)|0;i=d;Ic(7976)|0;Ac(36984,(d=i,i=i+8|0,h[d>>3]=+h[b+264>>3],d)|0)|0;i=d;e=b+4|0;Ac(36680,(d=i,i=i+8|0,h[d>>3]=+h[c[(c[e>>2]|0)+4>>2]>>3],d)|0)|0;i=d;Ac(36248,(d=i,i=i+8|0,h[d>>3]=+h[c[(c[e>>2]|0)+8>>2]>>3],d)|0)|0;i=d;b=c[e>>2]|0;Ac(35112,(d=i,i=i+8|0,h[d>>3]=+h[c[b+4>>2]>>3]- +h[c[b+8>>2]>>3],d)|0)|0;i=d;Ac(34792,(d=i,i=i+8|0,h[d>>3]=+h[c[c[e>>2]>>2]>>3],d)|0)|0;i=d;b=c[e>>2]|0;Ac(34352,(d=i,i=i+8|0,h[d>>3]=+h[c[b>>2]>>3]- +h[c[b+4>>2]>>3],d)|0)|0;i=d;Ic(7872)|0;i=a;return}function y7(a,b){a=a|0;b=+b;return}function z7(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;e=i;i=i+160|0;f=1;g=0;h=i;i=i+168|0;c[h>>2]=0;while(1)switch(f|0){case 1:j=e|0;k=(c[d+536>>2]|0)+76|0;l=c[k>>2]|0;c[k>>2]=j;m=Rla(j|0,f,h)|0;f=6;break;case 6:if((m|0)==0){f=2;break}else{n=-1;f=4;break};case 2:j=ua(10,a|0,b|0,d|0)|0;if((x|0)!=0&(y|0)!=0){g=Sla(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;if((j|0)==0){f=3;break}else{o=1;f=5;break};case 3:c[2506872]=d;Ca(68,10,232)|0;if((x|0)!=0&(y|0)!=0){g=Sla(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;j=ua(12,0,0,d|0)|0;if((x|0)!=0&(y|0)!=0){g=Sla(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;sa(44,d|0)|0;if((x|0)!=0&(y|0)!=0){g=Sla(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;sa(54,d|0)|0;if((x|0)!=0&(y|0)!=0){g=Sla(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;sa(122,d|0)|0;if((x|0)!=0&(y|0)!=0){g=Sla(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;pa(c[(c[d+540>>2]|0)+8>>2]|0,d|0);if((x|0)!=0&(y|0)!=0){g=Sla(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;pa(24,d|0);if((x|0)!=0&(y|0)!=0){g=Sla(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;sa(110,0)|0;if((x|0)!=0&(y|0)!=0){g=Sla(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;n=j;f=4;break;case 4:c[k>>2]=l;Ia(4);if((x|0)!=0&(y|0)!=0){g=Sla(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;o=n;f=5;break;case 5:i=e;return o|0;case-1:if((g|0)==1){m=y;f=6}x=y=0;break}return 0}function A7(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0;f=i;i=i+16|0;g=b;b=i;i=i+24|0;c[b>>2]=c[g>>2];c[b+4>>2]=c[g+4>>2];c[b+8>>2]=c[g+8>>2];c[b+12>>2]=c[g+12>>2];c[b+16>>2]=c[g+16>>2];c[b+20>>2]=c[g+20>>2];g=f|0;if((a|0)==0){h=xd(c[2502310]|0)|0}else{h=a}switch(c[h+84>>2]|0){case 4:case 5:{i=f;return};case 1:{a=g;c[a>>2]=e;c[a+4>>2]=0;a=c[u>>2]|0;Ya(31576,7,1,a|0)|0;Yc(a|0,d|0,g|0)|0;Wa(10,a|0)|0;Ta(0)|0;Jd(c[h+80>>2]|0,1);break};case 3:{if((c[2500033]|0)==0){i=f;return}a=g;c[a>>2]=e;c[a+4>>2]=0;a=c[u>>2]|0;Ya(31576,7,1,a|0)|0;Yc(a|0,d|0,g|0)|0;Wa(10,a|0)|0;Ta(0)|0;i=f;return};case 2:{if((c[2500019]|0)==0){j=h+80|0;k=c[j>>2]|0;l=k|0;Jd(l|0,1)}f=g;c[f>>2]=e;c[f+4>>2]=0;f=c[u>>2]|0;Ya(31576,7,1,f|0)|0;Yc(f|0,d|0,g|0)|0;Wa(10,f|0)|0;Ta(0)|0;j=h+80|0;k=c[j>>2]|0;l=k|0;Jd(l|0,1);break};default:{$S(h,30944,(h=i,i=i+1|0,i=i+7&-8,c[h>>2]=0,h)|0);i=h}}}function B7(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;i=i+16|0;f=a;a=i;i=i+24|0;c[a>>2]=c[f>>2];c[a+4>>2]=c[f+4>>2];c[a+8>>2]=c[f+8>>2];c[a+12>>2]=c[f+12>>2];c[a+16>>2]=c[f+16>>2];c[a+20>>2]=c[f+20>>2];f=e|0;a=f;c[a>>2]=d;c[a+4>>2]=0;a=c[u>>2]|0;Ya(32256,9,1,a|0)|0;Yc(a|0,b|0,f|0)|0;Wa(10,a|0)|0;Ta(0)|0;i=e;return}function C7(a,b){a=a|0;b=b|0;E7(a,b);return}function D7(a){a=a|0;return(c[a>>2]|0)==0|0}function E7(a,b){a=a|0;b=b|0;c[a>>2]=$ba(b+(c[(c[b>>2]|0)-12>>2]|0)|0)|0;return}function F7(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;j=i;i=i+48|0;k=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[k>>2];k=j+8|0;l=j+16|0;m=j+32|0;n=j+40|0;o=b|0;b=c[o>>2]|0;GY(j|0);if((b|0)==0){c[a>>2]=0;i=j;return}p=f;f=d;q=p-f|0;r=G7(g)|0;s=(r|0)>(q|0)?r-q|0:0;q=e;r=q-f|0;do{if((r|0)>0){if((lca(b,d,r)|0)==(r|0)){break}GY(k);c[o>>2]=0;c[a>>2]=0;i=j;return}}while(0);do{if((s|0)>0){bba(l,s,h);if((lca(b,fba(l)|0,s)|0)==(s|0)){gba(l);break}GY(m);c[o>>2]=0;c[a>>2]=0;gba(l);i=j;return}}while(0);l=p-q|0;do{if((l|0)>0){if((lca(b,e,l)|0)==(l|0)){break}GY(n);c[o>>2]=0;c[a>>2]=0;i=j;return}}while(0);H7(g,0)|0;c[a>>2]=b;i=j;return}function G7(a){a=a|0;return c[a+12>>2]|0}function H7(a,b){a=a|0;b=b|0;var d=0;d=a+12|0;a=c[d>>2]|0;c[d>>2]=b;return a|0}function I7(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;f=i;i=i+136|0;g=f|0;J7(g,16);K7(g+(c[(c[g>>2]|0)-12>>2]|0)|0,16)|0;if((d|0)>0){j=e-1|0;k=(j|0)>0;l=(e|0)>0;m=g;n=(e|0)==0;e=0;do{if(k){o=0;p=e;while(1){p7(uda(m,+h[b+(p<<3)>>3])|0,9963744)|0;q=p+d|0;r=o+1|0;if((r|0)<(j|0)){o=r;p=q}else{s=q;break}}}else{s=e}if(l){uda(m,+h[b+(s<<3)>>3])|0}e=e+1|0;if(!((e|0)==(d|0)|n)){p7(m,9977720)|0}}while((e|0)<(d|0))}L7(a,g);M7(g);i=f;return}function J7(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=a+56|0;dca(d);e=a|0;c[e>>2]=9987028;f=d|0;c[f>>2]=9987048;d=a+4|0;kda(a,9988428,d|0);c[e>>2]=9987028;c[f>>2]=9987048;Y7(d,b|16);return}function K7(a,b){a=a|0;b=b|0;var d=0;d=a+8|0;a=c[d>>2]|0;c[d>>2]=b;return a|0}function L7(a,b){a=a|0;b=b|0;S7(a,b+4|0);return}function M7(a){a=a|0;a8(a,9988424);_ba(a+56|0);return}function N7(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0,z=0,A=0;d=i;e=a+540|0;f=c[(c[e>>2]|0)+120>>2]|0;g=a+464|0;j=c[g>>2]|0;if((c[j+(f*44|0)>>2]|0)!=0){k=a;a=0;l=0;m=j;while(1){h[(c[m+(f*44|0)+28>>2]|0)+(a<<3)>>3]=1.0;do{if((c[2500030]|0)!=0){Ic(7848)|0;j=c[g>>2]|0;if((c[j+(f*44|0)>>2]|0)==0){break}else{n=0;o=j}do{p=+h[(c[o+(f*44|0)+28>>2]|0)+(n<<3)>>3];XS(14,0,8089664,(q=i,i=i+16|0,c[q>>2]=n,h[q+8>>3]=p,q)|0);i=q;n=n+1|0;o=c[g>>2]|0;}while(n>>>0<(c[o+(f*44|0)>>2]|0)>>>0)}}while(0);ce[c[(c[e>>2]|0)+160>>2]&255](k)|0;j=c[g>>2]|0;if((c[j+(f*44|0)+4>>2]|0)==0){r=l;s=j}else{t=0;u=l;v=j;while(1){j=(c[v+(f*44|0)+36>>2]|0)+(t<<3)|0;p=+h[j>>3];w=u+1|0;h[b+(u<<3)>>3]=p;x=+h[j>>3];XS(14,0,45552,(q=i,i=i+48|0,c[q>>2]=u,c[q+8>>2]=a,c[q+16>>2]=t,h[q+24>>3]=p,c[q+32>>2]=a,h[q+40>>3]=x,q)|0);i=q;j=t+1|0;y=c[g>>2]|0;if(j>>>0<(c[y+(f*44|0)+4>>2]|0)>>>0){t=j;u=w;v=y}else{r=w;s=y;break}}}h[(c[s+(f*44|0)+28>>2]|0)+(a<<3)>>3]=0.0;v=a+1|0;if(v>>>0<(c[s+(f*44|0)>>2]|0)>>>0){a=v;l=r;m=s}else{break}}}if((c[2500030]|0)==0){i=d;return 0}XS(14,0,40112,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q;s=c[g>>2]|0;if((c[s+(f*44|0)+4>>2]|0)==0){i=d;return 0}else{z=0;A=s}do{s=c[A+(f*44|0)>>2]|0;if((s|0)!=0){m=0;r=s;do{x=+h[b+((ga(r,m)|0)+z<<3)>>3];Ac(35376,(q=i,i=i+8|0,h[q>>3]=x,q)|0)|0;i=q;m=m+1|0;r=c[(c[g>>2]|0)+(f*44|0)>>2]|0;}while(m>>>0<r>>>0)}nc(10)|0;z=z+1|0;A=c[g>>2]|0;}while(z>>>0<(c[A+(f*44|0)+4>>2]|0)>>>0);i=d;return 0}function O7(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0,z=0,A=0;d=i;e=a+540|0;f=c[(c[e>>2]|0)+124>>2]|0;g=a+464|0;j=c[g>>2]|0;if((c[j+(f*44|0)>>2]|0)!=0){k=a;a=0;l=0;m=j;while(1){h[(c[m+(f*44|0)+28>>2]|0)+(a<<3)>>3]=1.0;do{if((c[2500030]|0)!=0){Ic(7848)|0;j=c[g>>2]|0;if((c[j+(f*44|0)>>2]|0)==0){break}else{n=0;o=j}do{p=+h[(c[o+(f*44|0)+28>>2]|0)+(n<<3)>>3];XS(14,0,8089664,(q=i,i=i+16|0,c[q>>2]=n,h[q+8>>3]=p,q)|0);i=q;n=n+1|0;o=c[g>>2]|0;}while(n>>>0<(c[o+(f*44|0)>>2]|0)>>>0)}}while(0);ce[c[(c[e>>2]|0)+164>>2]&255](k)|0;j=c[g>>2]|0;if((c[j+(f*44|0)+4>>2]|0)==0){r=l;s=j}else{t=0;u=l;v=j;while(1){j=(c[v+(f*44|0)+36>>2]|0)+(t<<3)|0;p=+h[j>>3];w=u+1|0;h[b+(u<<3)>>3]=p;x=+h[j>>3];XS(14,0,45552,(q=i,i=i+48|0,c[q>>2]=u,c[q+8>>2]=a,c[q+16>>2]=t,h[q+24>>3]=p,c[q+32>>2]=a,h[q+40>>3]=x,q)|0);i=q;j=t+1|0;y=c[g>>2]|0;if(j>>>0<(c[y+(f*44|0)+4>>2]|0)>>>0){t=j;u=w;v=y}else{r=w;s=y;break}}}h[(c[s+(f*44|0)+28>>2]|0)+(a<<3)>>3]=0.0;v=a+1|0;if(v>>>0<(c[s+(f*44|0)>>2]|0)>>>0){a=v;l=r;m=s}else{break}}}if((c[2500030]|0)==0){i=d;return 0}XS(14,0,40112,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q;s=c[g>>2]|0;if((c[s+(f*44|0)+4>>2]|0)==0){i=d;return 0}else{z=0;A=s}do{s=c[A+(f*44|0)>>2]|0;if((s|0)!=0){m=0;r=s;do{x=+h[b+((ga(r,m)|0)+z<<3)>>3];Ac(35376,(q=i,i=i+8|0,h[q>>3]=x,q)|0)|0;i=q;m=m+1|0;r=c[(c[g>>2]|0)+(f*44|0)>>2]|0;}while(m>>>0<r>>>0)}nc(10)|0;z=z+1|0;A=c[g>>2]|0;}while(z>>>0<(c[A+(f*44|0)+4>>2]|0)>>>0);i=d;return 0}function P7(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0,z=0,A=0;d=i;e=a+540|0;f=c[(c[e>>2]|0)+128>>2]|0;g=a+464|0;j=c[g>>2]|0;if((c[j+(f*44|0)>>2]|0)!=0){k=a;a=0;l=0;m=j;while(1){h[(c[m+(f*44|0)+28>>2]|0)+(a<<3)>>3]=1.0;do{if((c[2500030]|0)!=0){Ic(7848)|0;j=c[g>>2]|0;if((c[j+(f*44|0)>>2]|0)==0){break}else{n=0;o=j}do{p=+h[(c[o+(f*44|0)+28>>2]|0)+(n<<3)>>3];XS(14,0,8089664,(q=i,i=i+16|0,c[q>>2]=n,h[q+8>>3]=p,q)|0);i=q;n=n+1|0;o=c[g>>2]|0;}while(n>>>0<(c[o+(f*44|0)>>2]|0)>>>0)}}while(0);ce[c[(c[e>>2]|0)+168>>2]&255](k)|0;j=c[g>>2]|0;if((c[j+(f*44|0)+4>>2]|0)==0){r=l;s=j}else{t=0;u=l;v=j;while(1){j=(c[v+(f*44|0)+36>>2]|0)+(t<<3)|0;p=+h[j>>3];w=u+1|0;h[b+(u<<3)>>3]=p;x=+h[j>>3];XS(14,0,45552,(q=i,i=i+48|0,c[q>>2]=u,c[q+8>>2]=a,c[q+16>>2]=t,h[q+24>>3]=p,c[q+32>>2]=a,h[q+40>>3]=x,q)|0);i=q;j=t+1|0;y=c[g>>2]|0;if(j>>>0<(c[y+(f*44|0)+4>>2]|0)>>>0){t=j;u=w;v=y}else{r=w;s=y;break}}}h[(c[s+(f*44|0)+28>>2]|0)+(a<<3)>>3]=0.0;v=a+1|0;if(v>>>0<(c[s+(f*44|0)>>2]|0)>>>0){a=v;l=r;m=s}else{break}}}if((c[2500030]|0)==0){i=d;return 0}XS(14,0,40112,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q;s=c[g>>2]|0;if((c[s+(f*44|0)+4>>2]|0)==0){i=d;return 0}else{z=0;A=s}do{s=c[A+(f*44|0)>>2]|0;if((s|0)!=0){m=0;r=s;do{x=+h[b+((ga(r,m)|0)+z<<3)>>3];Ac(35376,(q=i,i=i+8|0,h[q>>3]=x,q)|0)|0;i=q;m=m+1|0;r=c[(c[g>>2]|0)+(f*44|0)>>2]|0;}while(m>>>0<r>>>0)}nc(10)|0;z=z+1|0;A=c[g>>2]|0;}while(z>>>0<(c[A+(f*44|0)+4>>2]|0)>>>0);i=d;return 0}function Q7(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0,z=0,A=0;d=i;e=a+540|0;f=c[(c[e>>2]|0)+132>>2]|0;g=a+464|0;j=c[g>>2]|0;if((c[j+(f*44|0)>>2]|0)!=0){k=a;a=0;l=0;m=j;while(1){h[(c[m+(f*44|0)+28>>2]|0)+(a<<3)>>3]=1.0;do{if((c[2500030]|0)!=0){Ic(7848)|0;j=c[g>>2]|0;if((c[j+(f*44|0)>>2]|0)==0){break}else{n=0;o=j}do{p=+h[(c[o+(f*44|0)+28>>2]|0)+(n<<3)>>3];XS(14,0,8089664,(q=i,i=i+16|0,c[q>>2]=n,h[q+8>>3]=p,q)|0);i=q;n=n+1|0;o=c[g>>2]|0;}while(n>>>0<(c[o+(f*44|0)>>2]|0)>>>0)}}while(0);ce[c[(c[e>>2]|0)+172>>2]&255](k)|0;j=c[g>>2]|0;if((c[j+(f*44|0)+4>>2]|0)==0){r=l;s=j}else{t=0;u=l;v=j;while(1){j=(c[v+(f*44|0)+36>>2]|0)+(t<<3)|0;p=+h[j>>3];w=u+1|0;h[b+(u<<3)>>3]=p;x=+h[j>>3];XS(14,0,45552,(q=i,i=i+48|0,c[q>>2]=u,c[q+8>>2]=a,c[q+16>>2]=t,h[q+24>>3]=p,c[q+32>>2]=a,h[q+40>>3]=x,q)|0);i=q;j=t+1|0;y=c[g>>2]|0;if(j>>>0<(c[y+(f*44|0)+4>>2]|0)>>>0){t=j;u=w;v=y}else{r=w;s=y;break}}}h[(c[s+(f*44|0)+28>>2]|0)+(a<<3)>>3]=0.0;v=a+1|0;if(v>>>0<(c[s+(f*44|0)>>2]|0)>>>0){a=v;l=r;m=s}else{break}}}if((c[2500030]|0)==0){i=d;return 0}XS(14,0,40112,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q;s=c[g>>2]|0;if((c[s+(f*44|0)+4>>2]|0)==0){i=d;return 0}else{z=0;A=s}do{s=c[A+(f*44|0)>>2]|0;if((s|0)!=0){m=0;r=s;do{x=+h[b+((ga(r,m)|0)+z<<3)>>3];Ac(35376,(q=i,i=i+8|0,h[q>>3]=x,q)|0)|0;i=q;m=m+1|0;r=c[(c[g>>2]|0)+(f*44|0)>>2]|0;}while(m>>>0<r>>>0)}nc(10)|0;z=z+1|0;A=c[g>>2]|0;}while(z>>>0<(c[A+(f*44|0)+4>>2]|0)>>>0);i=d;return 0}function R7(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;b=i;i=i+256|0;d=b|0;e=b+16|0;f=b+32|0;g=b+48|0;h=b+64|0;j=b+80|0;k=b+96|0;l=b+112|0;m=b+128|0;n=b+144|0;o=b+160|0;p=b+176|0;q=b+192|0;r=b+208|0;s=b+224|0;t=b+240|0;u=c[a+112>>2]|0;v=c[a+152>>2]|0;w=c[a+156>>2]|0;x=nla(ga(u,u)|0,8)|0;y=x;z=nla(ga(v,u)|0,8)|0;A=z;B=nla(ga(w,u)|0,8)|0;C=B;D=nla(ga(w,v)|0,8)|0;E=D;Waa(d);Waa(e);Waa(f);Waa(g);Waa(h);Waa(j);Waa(k);F=a+536|0;_S(c[F>>2]|0,(x|0)!=0|0,27248,(G=i,i=i+1|0,i=i+7&-8,c[G>>2]=0,G)|0);i=G;_S(c[F>>2]|0,(z|0)!=0|0,27248,(G=i,i=i+1|0,i=i+7&-8,c[G>>2]=0,G)|0);i=G;_S(c[F>>2]|0,(B|0)!=0|0,27248,(G=i,i=i+1|0,i=i+7&-8,c[G>>2]=0,G)|0);i=G;_S(c[F>>2]|0,(D|0)!=0|0,27248,(G=i,i=i+1|0,i=i+7&-8,c[G>>2]=0,G)|0);i=G;H=a+540|0;I=a;if((ce[c[(c[H>>2]|0)+140>>2]&255](I)|0)==0){J=c[F>>2]|0;N7(a,y)|0;_S(J,1,23992,(G=i,i=i+1|0,i=i+7&-8,c[G>>2]=0,G)|0);i=G}I7(l,y,u,u);hba(d,l)|0;gba(l);if((ce[c[(c[H>>2]|0)+144>>2]&255](I)|0)==0){l=c[F>>2]|0;O7(a,A)|0;_S(l,1,9983424,(G=i,i=i+1|0,i=i+7&-8,c[G>>2]=0,G)|0);i=G}I7(m,A,u,v);hba(e,m)|0;gba(m);if((ce[c[(c[H>>2]|0)+148>>2]&255](I)|0)==0){m=c[F>>2]|0;P7(a,C)|0;_S(m,1,9979336,(G=i,i=i+1|0,i=i+7&-8,c[G>>2]=0,G)|0);i=G}I7(n,C,w,u);hba(f,n)|0;gba(n);if((ce[c[(c[H>>2]|0)+152>>2]&255](I)|0)==0){I=c[F>>2]|0;Q7(a,E)|0;_S(I,1,9976168,(G=i,i=i+1|0,i=i+7&-8,c[G>>2]=0,G)|0);i=G}I7(o,E,w,v);hba(g,o)|0;gba(o);if((u|0)==0){iba(h,9973072)|0}else{I7(p,c[(c[c[a+4>>2]>>2]|0)+8>>2]|0,1,u);hba(h,p)|0;gba(p)}if((v|0)==0){iba(j,9973072)|0}else{I7(q,c[a+432>>2]|0,1,v);hba(j,q)|0;gba(q)}mla(x);mla(z);mla(B);mla(D);aba(t,c[a+84>>2]|0);Rba(s,9970440,t);X$(r,s,9968416);hba(k,r)|0;gba(r);gba(s);gba(t);t=Cc(Dba(k)|0,9966200)|0;s=c[F>>2]|0;F=Dba(k)|0;_S(s,(t|0)!=0|0,9964080,(G=i,i=i+8|0,c[G>>2]=F,G)|0);i=G;F=pe[c[(c[H>>2]|0)+176>>2]&15]()|0;s=Dba(h)|0;r=Dba(j)|0;a=Dba(d)|0;D=Dba(e)|0;B=Dba(f)|0;z=Dba(g)|0;td(t|0,F|0,(G=i,i=i+48|0,c[G>>2]=s,c[G+8>>2]=r,c[G+16>>2]=a,c[G+24>>2]=D,c[G+32>>2]=B,c[G+40>>2]=z,G)|0)|0;i=G;if((c[2500041]|0)==0){K=Ta(t|0)|0;L=Pa(t|0)|0;gba(k);gba(j);gba(h);gba(g);gba(f);gba(e);gba(d);i=b;return 0}z=pe[c[(c[H>>2]|0)+176>>2]&15]()|0;H=Dba(h)|0;B=Dba(j)|0;D=Dba(d)|0;a=Dba(e)|0;r=Dba(f)|0;s=Dba(g)|0;XS(25,0,z,(G=i,i=i+48|0,c[G>>2]=H,c[G+8>>2]=B,c[G+16>>2]=D,c[G+24>>2]=a,c[G+32>>2]=r,c[G+40>>2]=s,G)|0);i=G;K=Ta(t|0)|0;L=Pa(t|0)|0;gba(k);gba(j);gba(h);gba(g);gba(f);gba(e);gba(d);i=b;return 0}function S7(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;d=i;i=i+24|0;e=d|0;f=d+8|0;g=d+16|0;h=c[b+48>>2]|0;if((h&16|0)!=0){j=b+44|0;k=c[j>>2]|0;l=b|0;m=tca(l)|0;if(k>>>0<m>>>0){c[j>>2]=m;n=m}else{n=k}T7(a,sca(l)|0,n,e);i=d;return}if((h&8|0)==0){Xaa(a,g);i=d;return}else{g=b|0;b=nca(g)|0;T7(a,b,pca(g)|0,f);i=d;return}}function T7(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;U7(a,b,c,0);return}function U7(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;V7(a,b,c);return}function V7(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0;e=i;f=i;i=i+1|0;i=i+7&-8;g=W7(c,d)|0;if(g>>>0>4294967279>>>0){Uaa(0)}if(g>>>0<11>>>0){mba(b,g);h=lba(b)|0}else{j=tba(g)|0;k=j+1|0;j=N0($aa(b)|0,k)|0;vba(b,j);uba(b,k);kba(b,g);h=j}if((c|0)==(d|0)){l=h;a[f]=0;O0(l,f);i=e;return}j=d+(-c|0)|0;g=h;b=c;while(1){O0(g,b);c=b+1|0;if((c|0)==(d|0)){break}else{g=g+1|0;b=c}}l=h+j|0;a[f]=0;O0(l,f);i=e;return}function W7(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=X7(a,b,c|0)|0;i=c;return d|0}function X7(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;i=e;return c-b|0}function Y7(a,b){a=a|0;b=b|0;m8(a,b);return}function Z7(a){a=a|0;M7(a);tla(a);return}function _7(a){a=a|0;M7(a+(c[(c[a>>2]|0)-12>>2]|0)|0);return}function $7(a){a=a|0;Z7(a+(c[(c[a>>2]|0)-12>>2]|0)|0);return}function a8(a,b){a=a|0;b=b|0;var d=0;d=c[b>>2]|0;c[a>>2]=d;c[a+(c[d-12>>2]|0)>>2]=c[b+12>>2];b8(a+4|0);return}function b8(a){a=a|0;c8(a);return}function c8(a){a=a|0;c[a>>2]=9987232;gba(a+32|0);hca(a|0);return}function d8(a){a=a|0;b8(a);tla(a);return}function e8(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;h=b+44|0;i=c[h>>2]|0;j=b|0;k=tca(j)|0;if(i>>>0<k>>>0){c[h>>2]=k;l=k}else{l=i}i=g&24;do{if((i|0)==0){UX(a,-1,-1);return}else if((i|0)==24){if((f|0)==2){m=11;break}else if((f|0)==0){n=0;o=0;break}else if((f|0)!=1){m=12;break}UX(a,-1,-1);return}else{if((f|0)==2){m=11;break}else if((f|0)==0){n=0;o=0;break}else if((f|0)!=1){m=12;break}if((g&8|0)==0){k=tca(j)|0;h=k-(sca(j)|0)|0;n=(h|0)<0|0?-1:0;o=h;break}else{h=oca(j)|0;k=h-(nca(j)|0)|0;n=(k|0)<0|0?-1:0;o=k;break}}}while(0);if((m|0)==11){f=l-(fba(b+32|0)|0)|0;n=(f|0)<0|0?-1:0;o=f}else if((m|0)==12){UX(a,-1,-1);return}m=Xla(o,n,d,e)|0;e=K;d=0;do{if(!((e|0)<(d|0)|(e|0)==(d|0)&m>>>0<0>>>0)){n=l-(fba(b+32|0)|0)|0;o=(n|0)<0|0?-1:0;if((o|0)<(e|0)|(o|0)==(e|0)&n>>>0<m>>>0){break}n=g&8;do{if(!((m|0)==0&(e|0)==0)){do{if((n|0)!=0){if((oca(j)|0)!=0){break}UX(a,-1,-1);return}}while(0);if((g&16|0)==0){break}if((tca(j)|0)!=0){break}UX(a,-1,-1);return}}while(0);if((n|0)!=0){o=nca(j)|0;rca(j,o,o+m|0,l)}if((g&16|0)!=0){o=sca(j)|0;wca(j,o,uca(j)|0);vca(j,m)}UX(a,m,e);return}}while(0);UX(a,-1,-1);return}function f8(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;f=i;g=d;d=i;i=i+16|0;c[d>>2]=c[g>>2];c[d+4>>2]=c[g+4>>2];c[d+8>>2]=c[g+8>>2];c[d+12>>2]=c[g+12>>2];g=c[(c[b>>2]|0)+16>>2]|0;h=gZ(d)|0;he[g&63](a,b,h,K,0,e);i=f;return}function g8(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0;d=b+44|0;e=c[d>>2]|0;f=b|0;g=tca(f)|0;if(e>>>0<g>>>0){c[d>>2]=g;h=g}else{h=e}if((c[b+48>>2]&8|0)==0){i=-1;return i|0}if((pca(f)|0)>>>0<h>>>0){b=nca(f)|0;rca(f,b,oca(f)|0,h)}h=oca(f)|0;if(!(h>>>0<(pca(f)|0)>>>0)){i=-1;return i|0}i=EZ(a[h]|0)|0;return i|0}function h8(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0;e=b+44|0;f=c[e>>2]|0;g=b|0;h=tca(g)|0;if(f>>>0<h>>>0){c[e>>2]=h;i=h}else{i=f}f=nca(g)|0;h=oca(g)|0;if(!(f>>>0<h>>>0)){j=-1;return j|0}if(AZ(d,-1)|0){rca(g,f,h-1|0,i);j=DZ(d)|0;return j|0}f=(c[b+48>>2]&16|0)==0;b=BZ(d)|0;do{if(f){if(FZ(b,a[h-1|0]|0)|0){break}else{j=-1}return j|0}}while(0);h=nca(g)|0;rca(g,h,(oca(g)|0)-1|0,i);a[oca(g)|0]=b;j=d;return j|0}function i8(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=i;i=i+8|0;e=d|0;if(AZ(b,-1)|0){f=DZ(b)|0;i=d;return f|0}g=a|0;h=oca(g)|0;j=h-(nca(g)|0)|0;h=tca(g)|0;if((h|0)==(uca(g)|0)){k=a+48|0;if((c[k>>2]&16|0)==0){f=-1;i=d;return f|0}l=sca(g)|0;m=a+44|0;n=(c[m>>2]|0)-l|0;o=a+32|0;yba(o,0);rba(o,oba(o)|0);p=fba(o)|0;wca(g,p,p+(eba(o)|0)|0);vca(g,h-l|0);c[m>>2]=(sca(g)|0)+n;q=m;r=k}else{q=a+44|0;r=a+48|0}c[e>>2]=(tca(g)|0)+1;k=c[(j8(e,q)|0)>>2]|0;c[q>>2]=k;if((c[r>>2]&8|0)!=0){r=fba(a+32|0)|0;rca(g,r,r+j|0,k)}f=kca(g,b&255)|0;i=d;return f|0}function j8(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=k8(a,b,c|0)|0;i=c;return d|0}function k8(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;f=l8(0,b,c)|0;i=e;return(f?c:b)|0}function l8(a,b,d){a=a|0;b=b|0;d=d|0;return(c[b>>2]|0)>>>0<(c[d>>2]|0)>>>0|0}function m8(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;i=i+16|0;e=d|0;mca(a|0);c[a>>2]=9987232;Waa(a+32|0);c[a+44>>2]=0;c[a+48>>2]=b;Waa(e);n8(a,e);gba(e);i=d;return}function n8(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;d=a+32|0;hba(d,b)|0;b=a+44|0;c[b>>2]=0;e=a+48|0;f=c[e>>2]|0;if((f&8|0)==0){g=f}else{f=fba(d)|0;h=f+(eba(d)|0)|0;c[b>>2]=h;f=fba(d)|0;rca(a|0,f,f,h);g=c[e>>2]|0}if((g&16|0)==0){return}g=eba(d)|0;c[b>>2]=(fba(d)|0)+g;rba(d,oba(d)|0);b=a|0;a=fba(d)|0;wca(b,a,a+(eba(d)|0)|0);if((c[e>>2]&3|0)==0){return}vca(b,g);return}function o8(a,b,d,e,f,g,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0.0,t=0,u=0;g=i;i=i+8|0;f=g|0;k=Cc(b|0,9963008)|0;l=pc(9977712,9963008)|0;m=(l|0)!=0;n=cd()|0;if(m){o=c[a+536>>2]|0;p=dd(c[n>>2]|0)|0;_S(o,(k|0)!=0|0,8089640,(q=i,i=i+16|0,c[q>>2]=b,c[q+8>>2]=p,q)|0);i=q;Ya(45496,17,1,l|0)|0;Ya(40096,10,1,l|0)|0;Ya(35352,18,1,l|0)|0;p8(l,e,31136,c[a+88>>2]|0,(c[a+72>>2]|0)+(c[a+64>>2]|0)|0,-1,999,10023152)}else{p=dd(c[n>>2]|0)|0;ZS(26,0,9954224,(q=i,i=i+8|0,c[q>>2]=p,q)|0);i=q;p=c[a+536>>2]|0;o=dd(c[n>>2]|0)|0;_S(p,(k|0)!=0|0,8089640,(q=i,i=i+16|0,c[q>>2]=b,c[q+8>>2]=o,q)|0);i=q}Ya(23640,348,1,k|0)|0;if((Wd(f|0)|0)<0){o=dd(c[n>>2]|0)|0;ZS(26,0,9983400,(q=i,i=i+8|0,c[q>>2]=o,q)|0);i=q;Pa(k|0)|0;Eb(l|0)|0;r=1;i=g;return r|0}if((vc(10000408,250,9979312,cb(f|0)|0)|0)==0){ZS(26,0,9976144,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q;Pa(k|0)|0;r=1;i=g;return r|0}Ya(9973056,13,1,k|0)|0;Ya(9970424,12,1,k|0)|0;q8(k,2);Ya(9968408,6,1,k|0)|0;r8(k,c[a+84>>2]|0);Ya(9966184,8,1,k|0)|0;q8(k,2);Ya(9964064,8,1,k|0)|0;f=a+88|0;r8(k,c[f>>2]|0);Ya(9961864,10,1,k|0)|0;q8(k,2);Ya(9959816,6,1,k|0)|0;r8(k,10000408);Ya(9957720,8,1,k|0)|0;q8(k,2);Ya(9955552,8,1,k|0)|0;r8(k,c[a+280>>2]|0);Ya(9953032,10,1,k|0)|0;q8(k,2);Ya(9951280,14,1,k|0)|0;r8(k,c[a+284>>2]|0);Ya(9949432,16,1,k|0)|0;q8(k,2);Ya(9947304,16,1,k|0)|0;r8(k,j);Ya(9945056,18,1,k|0)|0;q8(k,2);o=s8(j)|0;td(k|0,9942784,(q=i,i=i+8|0,c[q>>2]=o,q)|0)|0;i=q;q8(k,2);s=+BU(7);td(k|0,9940936,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;q8(k,2);s=+BU(6);td(k|0,9939128,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;q8(k,2);s=+BU(1);td(k|0,9937192,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;q8(k,2);s=+BU(4);td(k|0,8090920,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;q8(k,2);s=+BU(3);td(k|0,56408,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;q8(k,2);s=+BU(5);td(k|0,54616,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;q8(k,2);s=+BU(0);td(k|0,52224,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;q8(k,2);s=+EU(2);td(k|0,50160,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;q8(k,2);o=zU(2)|0;td(k|0,49544,(q=i,i=i+8|0,c[q>>2]=o,q)|0)|0;i=q;q8(k,2);s=+DU(2);td(k|0,48904,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;Ya(48328,13,1,k|0)|0;Ya(47624,16,1,k|0)|0;q8(k,2);s=+BU(8);td(k|0,47008,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;q8(k,2);o=wU(8)|0;td(k|0,46344,(q=i,i=i+8|0,c[q>>2]=o,q)|0)|0;i=q;Ya(45016,17,1,k|0)|0;Ya(44568,22,1,k|0)|0;t8(k,a);Ya(44064,23,1,k|0)|0;Ya(43616,12,1,k|0)|0;o=a+116|0;if((c[o>>2]|0)>0){j=a+8|0;n=0;do{u8(k,(c[j>>2]|0)+(n*112|0)|0);n=n+1|0;}while((n|0)<(c[o>>2]|0))}o=a+136|0;if((c[o>>2]|0)>0){n=a+24|0;j=0;do{u8(k,(c[n>>2]|0)+(j*112|0)|0);j=j+1|0;}while((j|0)<(c[o>>2]|0))}o=a+124|0;if((c[o>>2]|0)>0){j=a+12|0;n=0;do{u8(k,(c[j>>2]|0)+(n*60|0)|0);n=n+1|0;}while((n|0)<(c[o>>2]|0))}o=a+140|0;if((c[o>>2]|0)>0){n=a+28|0;j=0;do{u8(k,(c[n>>2]|0)+(j*60|0)|0);j=j+1|0;}while((j|0)<(c[o>>2]|0))}o=a+128|0;if((c[o>>2]|0)>0){j=a+16|0;n=0;do{u8(k,(c[j>>2]|0)+(n*48|0)|0);n=n+1|0;}while((n|0)<(c[o>>2]|0))}o=a+144|0;if((c[o>>2]|0)>0){n=a+32|0;j=0;do{u8(k,(c[n>>2]|0)+(j*48|0)|0);j=j+1|0;}while((j|0)<(c[o>>2]|0))}o=a+132|0;if((c[o>>2]|0)>0){j=a+20|0;n=0;do{u8(k,(c[j>>2]|0)+(n*52|0)|0);n=n+1|0;}while((n|0)<(c[o>>2]|0))}o=a+148|0;if((c[o>>2]|0)>0){n=a+36|0;j=0;do{u8(k,(c[n>>2]|0)+(j*52|0)|0);j=j+1|0;}while((j|0)<(c[o>>2]|0))}Ya(43104,13,1,k|0)|0;Ya(42536,12,1,k|0)|0;v8(k,l,e,c[f>>2]|0,a);Ya(42264,13,1,k|0)|0;Ya(41752,12,1,k|0)|0;w8(k,c[a+68>>2]|0,a+56|0);Ya(41336,13,1,k|0)|0;Ya(40856,16,1,k|0)|0;x8(k,l,e,a);Ya(39760,17,1,k|0)|0;Ya(39376,14,1,k|0)|0;Pa(k|0)|0;if(!m){r=0;i=g;return r|0}m=c[a+508>>2]|0;a=((Nla(d|0)|0)<<1)+230|0;d=(m|0)!=0;if(d){t=(Nla(m|0)|0)<<1}else{t=0}k=lla(a+t|0)|0;if((k|0)==0){od(39024,38624,404,9984456);return 0}if((Eb(l|0)|0)!=0){ZS(26,0,38264,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q}if(d){d=c[f>>2]|0;Rb(k|0,37456,(q=i,i=i+32|0,c[q>>2]=37792,c[q+8>>2]=d,c[q+16>>2]=m,c[q+24>>2]=d,q)|0)|0;i=q;if((Nc(k|0)|0)!=0){u=42}}else{Pla(k|0,36952,25)|0;u=42}if((u|0)==42){ZS(1,0,36616,(q=i,i=i+8|0,c[q>>2]=k,q)|0);i=q}u=c[f>>2]|0;XS(1,0,36104,(q=i,i=i+16|0,c[q>>2]=u,c[q+8>>2]=u,q)|0);i=q;mla(k);r=0;i=g;return r|0}function p8(a,b,d,e,f,g,j,k){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0.0,r=0.0,s=0.0,t=0,u=0.0,v=0.0,w=0;l=i;if((a|0)==0){i=l;return}m=(g|0)>-1;if(m){n=g+9|0;o=xU(n)|0;p=yU(n)|0;if((o|0)==0){q=-.01}else{q=+(o>>>0>>>0)*.95}if((p|0)==0){r=.01}else{r=+(p>>>0>>>0)*1.05}s=+DU(n)*1.01+1.0e-30;t=o;u=r;v=q;w=p}else{s=0.0;t=0;u=0.0;v=0.0;w=0}Ya(45496,17,1,a|0)|0;Ya(9982032,12,1,a|0)|0;Ya(9981728,12,1,a|0)|0;Ya(9981296,13,1,a|0)|0;td(a|0,9981088,(p=i,i=i+24|0,c[p>>2]=e,c[p+8>>2]=k,c[p+16>>2]=j,p)|0)|0;i=p;Ya(9980808,10,1,a|0)|0;Ya(9980264,11,1,a|0)|0;Ya(9979840,11,1,a|0)|0;Ya(9979080,10,1,a|0)|0;if(m){td(a|0,9978880,(p=i,i=i+8|0,h[p>>3]=s,p)|0)|0;i=p}else{Ya(9978536,17,1,a|0)|0}o=g+3|0;td(a|0,9982728,(p=i,i=i+48|0,c[p>>2]=e,c[p+8>>2]=f,c[p+16>>2]=f,c[p+24>>2]=o,c[p+32>>2]=o,c[p+40>>2]=4,p)|0)|0;i=p;Ya(9978232,13,1,a|0)|0;if(m){Ya(9981728,12,1,a|0)|0;if((t|0)==(w|0)){td(a|0,9978112,(p=i,i=i+16|0,h[p>>3]=v,h[p+8>>3]=u,p)|0)|0;i=p}else{Ya(9978536,17,1,a|0)|0}td(a|0,9977840,(p=i,i=i+24|0,c[p>>2]=e,c[p+8>>2]=k,c[p+16>>2]=j,p)|0)|0;i=p;td(a|0,9982336,(p=i,i=i+40|0,c[p>>2]=e,c[p+8>>2]=f,c[p+16>>2]=f,c[p+24>>2]=g+1,c[p+32>>2]=4,p)|0)|0;i=p;Ya(9977488,10,1,a|0)|0;Ya(9977040,10,1,a|0)|0;Ya(9977488,10,1,a|0)|0;Ya(9976800,11,1,a|0)|0;td(a|0,9976496,(p=i,i=i+8|0,c[p>>2]=b,p)|0)|0;i=p;td(a|0,9975888,(p=i,i=i+8|0,c[p>>2]=d,p)|0)|0;i=p;Ya(9975576,33,1,a|0)|0;Ya(9975288,32,1,a|0)|0;td(a|0,9975008,(p=i,i=i+32|0,c[p>>2]=e,c[p+8>>2]=k,c[p+16>>2]=j,c[p+24>>2]=b,p)|0)|0;i=p;Ya(9979080,10,1,a|0)|0;td(a|0,9978880,(p=i,i=i+8|0,h[p>>3]=s,p)|0)|0;i=p}else{Ya(9977040,10,1,a|0)|0;Ya(9977488,10,1,a|0)|0;Ya(9976800,11,1,a|0)|0;td(a|0,9976496,(p=i,i=i+8|0,c[p>>2]=b,p)|0)|0;i=p;td(a|0,9975888,(p=i,i=i+8|0,c[p>>2]=d,p)|0)|0;i=p;Ya(9975576,33,1,a|0)|0;Ya(9975288,32,1,a|0)|0;td(a|0,9975008,(p=i,i=i+32|0,c[p>>2]=e,c[p+8>>2]=k,c[p+16>>2]=j,c[p+24>>2]=b,p)|0)|0;i=p;Ya(9979080,10,1,a|0)|0;Ya(9978536,17,1,a|0)|0}td(a|0,9982728,(p=i,i=i+48|0,c[p>>2]=e,c[p+8>>2]=f,c[p+16>>2]=f,c[p+24>>2]=o,c[p+32>>2]=o,c[p+40>>2]=2,p)|0)|0;i=p;Ya(9978232,13,1,a|0)|0;if(!m){i=l;return}if((t|0)==(w|0)){td(a|0,9978112,(p=i,i=i+16|0,h[p>>3]=v,h[p+8>>3]=u,p)|0)|0;i=p}else{Ya(9978536,17,1,a|0)|0}Ya(9974768,32,1,a|0)|0;Ya(9974464,29,1,a|0)|0;td(a|0,9974288,(p=i,i=i+32|0,c[p>>2]=e,c[p+8>>2]=k,c[p+16>>2]=j,c[p+24>>2]=b,p)|0)|0;i=p;td(a|0,9982336,(p=i,i=i+40|0,c[p>>2]=e,c[p+8>>2]=f,c[p+16>>2]=f,c[p+24>>2]=g+1,c[p+32>>2]=2,p)|0)|0;i=p;i=l;return}function q8(a,b){a=a|0;b=b|0;var c=0;if((b|0)==0){return}else{c=b}do{c=c-1|0;Wa(32,a|0)|0;}while((c|0)!=0);return}function r8(b,c){b=b|0;c=c|0;var d=0,e=0,f=0;d=a[c]|0;if(d<<24>>24==0){return}else{e=c;f=d}do{d=f<<24>>24;if((d|0)==62){Ya(9984064,4,1,b|0)|0}else if((d|0)==34){Ya(9983056,6,1,b|0)|0}else if((d|0)==60){Ya(21392,4,1,b|0)|0}else if((d|0)==39){Ya(9983784,6,1,b|0)|0}else{Wa(d|0,b|0)|0}e=e+1|0;f=a[e]|0;}while(!(f<<24>>24==0));return}function s8(a){a=a|0;var b=0,c=0;b=Cc(a|0,21656)|0;if((b|0)==0){c=-1;return c|0}Bd(b|0,0,2)|0;a=Pb(b|0)|0;Pa(b|0)|0;c=a;return c|0}function t8(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;d=i;i=i+112|0;e=d|0;f=d+32|0;g=d+56|0;h=d+88|0;j=c[b+88>>2]|0;k=lla((Nla(j|0)|0)+15|0)|0;Rb(k|0,26312,(l=i,i=i+8|0,c[l>>2]=j,l)|0)|0;i=l;q8(a,2);Ya(25960,10,1,a|0)|0;r8(a,k);Ya(25624,12,1,a|0)|0;q8(a,2);j=s8(k)|0;td(a|0,25320,(l=i,i=i+8|0,c[l>>2]=j,l)|0)|0;i=l;mla(k);q8(a,2);Ya(25056,9,1,a|0)|0;q8(a,4);Ya(24704,22,1,a|0)|0;q8(a,4);Ya(24304,22,1,a|0)|0;q8(a,4);Ya(23264,26,1,a|0)|0;k=b+56|0;l=b+64|0;j=c[l>>2]|0;if((j|0)>0){m=e+4|0;n=0;while(1){z8(e,k,n);o=c[m>>2]|0;q8(a,4);Ya(23064,8,1,a|0)|0;r8(a,o);Ya(22720,18,1,a|0)|0;o=n+1|0;p=c[l>>2]|0;if((o|0)<(p|0)){n=o}else{q=p;break}}}else{q=j}j=b+72|0;b=c[j>>2]|0;if((b|0)>0){n=f+8|0;m=0;do{E8(f,k,m);e=c[n>>2]|0;q8(a,4);Ya(23064,8,1,a|0)|0;r8(a,e);Ya(22720,18,1,a|0)|0;m=m+1|0;r=c[j>>2]|0;}while((m|0)<(r|0));s=c[l>>2]|0;t=r}else{s=q;t=b}if((s|0)>0){s=g+4|0;b=0;do{z8(g,k,b);q=c[s>>2]|0;q8(a,4);Ya(22480,8,1,a|0)|0;r8(a,q);Ya(22256,21,1,a|0)|0;b=b+1|0;}while((b|0)<(c[l>>2]|0));u=c[j>>2]|0}else{u=t}if((u|0)<=0){q8(a,2);v=Ya(21960,10,1,a|0)|0;i=d;return}u=h+8|0;t=0;do{E8(h,k,t);l=c[u>>2]|0;q8(a,4);Ya(22480,8,1,a|0)|0;r8(a,l);Ya(22256,21,1,a|0)|0;t=t+1|0;}while((t|0)<(c[j>>2]|0));q8(a,2);v=Ya(21960,10,1,a|0)|0;i=d;return}function u8(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;q8(a,2);td(a|0,26936,(e=i,i=i+8|0,c[e>>2]=c[b>>2],e)|0)|0;i=e;r8(a,c[b+4>>2]|0);Ya(26720,11,1,a|0)|0;r8(a,c[b+8>>2]|0);Ya(32224,3,1,a|0)|0;y8(a,4,b+12|0);q8(a,2);Ya(26504,12,1,a|0)|0;i=d;return}function v8(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0;g=i;i=i+32|0;j=g|0;k=f+64|0;if((c[k>>2]|0)<=0){i=g;return}l=f+56|0;m=j+4|0;n=f+72|0;f=j|0;o=j+8|0;p=0;do{z8(j,l,p);p8(b,d,c[m>>2]|0,e,(c[n>>2]|0)+(c[k>>2]|0)|0,p,c[f>>2]|0,29760);q=p+9|0;HU(q);q8(a,2);td(a|0,29048,(r=i,i=i+8|0,c[r>>2]=c[f>>2],r)|0)|0;i=r;q8(a,4);Ya(9968408,6,1,a|0)|0;r8(a,c[m>>2]|0);Ya(9966184,8,1,a|0)|0;q8(a,4);s=zU(q)|0;td(a|0,34048,(r=i,i=i+8|0,c[r>>2]=s,r)|0)|0;i=r;q8(a,4);t=+EU(q);td(a|0,33504,(r=i,i=i+8|0,h[r>>3]=t,r)|0)|0;i=r;q8(a,4);t=+DU(q);td(a|0,48904,(r=i,i=i+8|0,h[r>>3]=t,r)|0)|0;i=r;y8(a,6,o);q8(a,2);Ya(28760,12,1,a|0)|0;p=p+1|0;}while((p|0)<(c[k>>2]|0));i=g;return}function w8(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0.0,x=0;e=i;i=i+120|0;f=e|0;g=e+24|0;j=e+48|0;k=e+72|0;l=e+96|0;if((b|0)<=0){i=e;return}m=f|0;n=g+8|0;o=j+12|0;p=d+8|0;q=d+16|0;r=k|0;s=l|0;t=0;do{q8(a,2);D8(f,d,t);td(a|0,32704,(u=i,i=i+8|0,c[u>>2]=c[m>>2],u)|0)|0;i=u;D8(g,d,t);r8(a,c[n>>2]|0);Ya(32224,3,1,a|0)|0;q8(a,4);Ya(31896,7,1,a|0)|0;D8(j,d,t);if((c[o>>2]|0)>0){v=0;do{q8(a,6);td(a|0,31544,(u=i,i=i+8|0,c[u>>2]=0,u)|0)|0;i=u;v=v+1|0;D8(j,d,t);}while((v|0)<(c[o>>2]|0))}q8(a,4);Ya(30928,8,1,a|0)|0;q8(a,4);v=(c[p>>2]|0)+9+(c[q>>2]|0)|0;D8(k,d,t);w=+BU(v+(c[r>>2]|0)|0);v=(c[p>>2]|0)+9+(c[q>>2]|0)|0;D8(l,d,t);x=wU(v+(c[s>>2]|0)|0)|0;td(a|0,30528,(u=i,i=i+16|0,h[u>>3]=w,c[u+8>>2]=x,u)|0)|0;i=u;q8(a,2);Ya(30184,12,1,a|0)|0;t=t+1|0;}while((t|0)<(b|0));i=e;return}function x8(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0;f=i;i=i+24|0;g=f|0;j=e+56|0;k=e+64|0;l=c[k>>2]|0;m=e+72|0;if((c[m>>2]|0)<=0){i=f;return}n=g+8|0;o=e+88|0;e=g|0;p=l;q=l;do{E8(g,j,p-q|0);p8(b,d,c[n>>2]|0,c[o>>2]|0,(c[m>>2]|0)+(c[k>>2]|0)|0,p,c[e>>2]|0,35104);l=p+9|0;HU(l);q8(a,2);Ya(34776,15,1,a|0)|0;q8(a,4);td(a|0,34328,(r=i,i=i+8|0,c[r>>2]=c[e>>2],r)|0)|0;i=r;q8(a,4);s=zU(l)|0;td(a|0,34048,(r=i,i=i+8|0,c[r>>2]=s,r)|0)|0;i=r;q8(a,4);t=+EU(l);td(a|0,33504,(r=i,i=i+8|0,h[r>>3]=t,r)|0)|0;i=r;q8(a,4);t=+DU(l);td(a|0,48904,(r=i,i=i+8|0,h[r>>3]=t,r)|0)|0;i=r;q8(a,2);Ya(33032,16,1,a|0)|0;p=p+1|0;q=c[k>>2]|0;}while((p|0)<((c[m>>2]|0)+q|0));i=f;return}function y8(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=i;f=d;d=i;i=i+24|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];c[d+8>>2]=c[f+8>>2];c[d+12>>2]=c[f+12>>2];c[d+16>>2]=c[f+16>>2];c[d+20>>2]=c[f+20>>2];q8(a,b);Ya(28456,16,1,a|0)|0;r8(a,c[d>>2]|0);b=c[d+8>>2]|0;f=c[d+12>>2]|0;g=c[d+16>>2]|0;h=(c[d+20>>2]|0)!=0?27848:27592;td(a|0,28136,(a=i,i=i+40|0,c[a>>2]=c[d+4>>2],c[a+8>>2]=b,c[a+16>>2]=f,c[a+24>>2]=g,c[a+32>>2]=h,a)|0)|0;i=a;i=e;return}function z8(a,b,d){a=a|0;b=b|0;d=d|0;if((c[b+24>>2]|0)==0){A8(b)}Pla(a|0,(c[b+20>>2]|0)+(d<<5)|0,32)|0;return}function A8(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;b=i;i=i+1040|0;d=b|0;e=b+16|0;c[d>>2]=a;f=d+4|0;c[f>>2]=1;g=d+8|0;c[g>>2]=0;h=d+12|0;c[h>>2]=0;j=a+4|0;do{if((c[j>>2]|0)==0){k=a|0;l=Cc(c[k>>2]|0,9960464)|0;if((l|0)!=0){m=l;break}l=dd(c[(cd()|0)>>2]|0)|0;$S(0,9977216,(n=i,i=i+16|0,c[n>>2]=c[k>>2],c[n+8>>2]=l,n)|0);i=n}else{m=0}}while(0);l=ON(0)|0;if((l|0)==0){$S(0,9953880,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n}k=a+8|0;c[a+20>>2]=nla(c[k>>2]|0,32)|0;o=a+12|0;p=nla((c[o>>2]|0)+1|0,20)|0;c[a+24>>2]=p;c[p>>2]=0;c[p+4>>2]=-1;c[p+8>>2]=8089488;c[p+12>>2]=0;c[p+16>>2]=0;ZN(l,d);_N(l,14,22);d=c[j>>2]|0;do{if((d|0)==0){p=e|0;Qla(p|0,0,1024)|0;while(1){q=pd(p|0,1,1024,m|0)|0;r=q>>>0<1024>>>0;if(($N(l,p,q,r&1)|0)==0){s=9;break}if(r){s=11;break}}if((s|0)==9){p=hO(eO(l)|0)|0;r=fO(l)|0;Pa(m|0)|0;VN(l);q=c[a>>2]|0;$S(0,45424,(n=i,i=i+32|0,c[n>>2]=39992,c[n+8>>2]=q,c[n+16>>2]=p,c[n+24>>2]=r,n)|0);i=n}else if((s|0)==11){Pa(m|0)|0;break}}else{if(($N(l,d,Nla(d|0)|0,1)|0)!=0){break}r=hO(eO(l)|0)|0;p=fO(l)|0;VN(l);q=c[j>>2]|0;$S(0,35272,(n=i,i=i+32|0,c[n>>2]=39992,c[n+8>>2]=q,c[n+16>>2]=r,c[n+24>>2]=p,n)|0);i=n}}while(0);if((c[o>>2]|0)!=(c[f>>2]|0)){od(31072,39992,295,9984536)}c[a+16>>2]=c[g>>2];if((c[k>>2]|0)==(c[h>>2]|0)){i=b;return}else{od(27192,39992,297,9984536)}}function B8(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;e=i;f=c[a>>2]|0;g=c[a+4>>2]|0;h=c[a+12>>2]|0;if((Lla(9961792,b)|0)==0){if((Lla(c[d>>2]|0,9959808)|0)==0){j=(c[d+8>>2]|0)==0|0}else{j=0}_S(0,j,9957664,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;j=c[2500002]|0;a=c[2502326]|0;do{if((j|0)==0|(a|0)==0){c[2502326]=32;l=lla(1152)|0;c[2500002]=l;m=l;n=f+24|0}else{l=f+24|0;if(((c[(c[l>>2]|0)+(g*20|0)+12>>2]|0)+2|0)<(a|0)){m=j;n=l;break}c[2502326]=a<<1;o=ola(j,a*72|0)|0;c[2500002]=o;m=o;n=l}}while(0);a=(c[n>>2]|0)+(g*20|0)+12|0;n=c[a>>2]|0;c[a>>2]=n+1;Pla(m+(n*36|0)|0,H8(c[d+4>>2]|0)|0,36)|0;i=e;return}if((Lla(9955528,b)|0)==0){n=c[d>>2]|0;if((n|0)==0){i=e;return}else{p=d;q=n}a:while(1){do{if((Lla(9953024,q)|0)==0){c[2502412]=Qc(c[p+4>>2]|0)|0}else{if((Lla(9951264,q)|0)==0){c[2502413]=Va(c[p+4>>2]|0,0,10)|0;break}if((Lla(9949296,q)|0)==0){c[2502415]=Va(c[p+4>>2]|0,0,10)|0;break}if((Lla(9947208,q)|0)==0){c[2502414]=Va(c[p+4>>2]|0,0,10)|0;break}if((Lla(9944920,q)|0)==0){c[2502416]=Va(c[p+4>>2]|0,0,10)|0;break}if((Lla(9942640,q)|0)!=0){r=23;break a}c[2502417]=(Lla(c[p+4>>2]|0,9940808)|0)==0}}while(0);n=p+8|0;m=c[n>>2]|0;if((m|0)==0){r=45;break}else{p=n;q=m}}if((r|0)==23){$S(0,9938976,(k=i,i=i+8|0,c[k>>2]=c[f>>2],k)|0);i=k}else if((r|0)==45){i=e;return}}if((Lla(9976128,b)|0)==0){r=c[f+12>>2]|0;if((g|0)>(r|0)){q=c[f>>2]|0;$S(0,9937008,(k=i,i=i+24|0,c[k>>2]=39992,c[k+8>>2]=q,c[k+16>>2]=r,k)|0);i=k}if((Lla(8090784,c[d>>2]|0)|0)!=0){r=c[f>>2]|0;$S(0,56224,(k=i,i=i+16|0,c[k>>2]=39992,c[k+8>>2]=r,k)|0);i=k}r=Va(c[d+4>>2]|0,0,10)|0;if((g|0)!=(r|0)){q=c[f>>2]|0;$S(0,54424,(k=i,i=i+32|0,c[k>>2]=39992,c[k+8>>2]=q,c[k+16>>2]=r,c[k+24>>2]=g,k)|0);i=k}r=f+24|0;q=c[r>>2]|0;c[q+(g*20|0)>>2]=g;c[q+(g*20|0)+4>>2]=-1;c[q+(g*20|0)+8>>2]=52056;q=c[r>>2]|0;c[q+(g*20|0)+12>>2]=0;c[q+(g*20|0)+16>>2]=0;i=e;return}if((Lla(9979296,b)|0)!=0){if((Lla(9964048,b)|0)!=0){i=e;return}b=f+20|0;f=c[b>>2]|0;c[f+(h<<5)>>2]=h;c[f+(h<<5)+4>>2]=48776;f=Qc(c[d+4>>2]|0)|0;c[(c[b>>2]|0)+(h<<5)+4>>2]=f;c[(c[b>>2]|0)+(h<<5)+8>>2]=48304;i=e;return}c[2500007]=0;c[2500008]=0;h=c[d>>2]|0;do{if((h|0)==0){s=0}else{b=d;f=h;do{do{if((Lla(f,9959808)|0)==0){c[2500007]=Qc(c[b+4>>2]|0)|0}else{if((Lla(f,50016)|0)!=0){break}c[2500008]=Qc(c[b+4>>2]|0)|0}}while(0);b=b+8|0;f=c[b>>2]|0;}while((f|0)!=0);if((c[2500007]|0)==0){s=0;break}s=(c[2500008]|0)!=0|0}}while(0);_S(0,s,49368,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;c[2500006]=-1;c[2500009]=c[2502412];c[2500010]=c[2502413];c[2500011]=c[2502414];c[2500012]=c[2502415];c[2500013]=c[2502416];c[2500014]=c[2502417];i=e;return}function C8(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;d=i;e=c[a>>2]|0;f=a+4|0;g=c[f>>2]|0;h=a+8|0;j=c[h>>2]|0;k=a+12|0;a=c[k>>2]|0;if((Lla(9979296,b)|0)==0){G8(10000024);i=d;return}if((Lla(9976128,b)|0)==0){l=e+24|0;m=lla((c[(c[l>>2]|0)+(g*20|0)+12>>2]|0)*36|0)|0;c[(c[l>>2]|0)+(g*20|0)+16>>2]=m;if((c[(c[l>>2]|0)+(g*20|0)+12>>2]|0)>0){m=0;do{n=lla(36)|0;Pla(n|0,(c[2500002]|0)+(m*36|0)|0,36)|0;c[(c[(c[l>>2]|0)+(g*20|0)+16>>2]|0)+(m<<2)>>2]=n;m=m+1|0;}while((m|0)<(c[(c[l>>2]|0)+(g*20|0)+12>>2]|0))}c[f>>2]=g+1;i=d;return}if((Lla(9973032,b)|0)==0){f=e+24|0;l=c[f>>2]|0;m=c[l+(g*20|0)+12>>2]|0;Tb(l+(g*20|0)+8|0,9970384,(o=i,i=i+16|0,c[o>>2]=g,c[o+8>>2]=m,o)|0)|0;i=o;c[(c[f>>2]|0)+(g*20|0)+4>>2]=j;c[h>>2]=j+1;i=d;return}if((Lla(9968392,b)|0)==0){f=e+24|0;e=c[f>>2]|0;m=c[e+(g*20|0)+12>>2]|0;Tb(e+(g*20|0)+8|0,9966136,(o=i,i=i+16|0,c[o>>2]=g,c[o+8>>2]=m,o)|0)|0;i=o;c[(c[f>>2]|0)+(g*20|0)+4>>2]=j;c[h>>2]=j+1;i=d;return}if((Lla(9964048,b)|0)!=0){i=d;return}c[k>>2]=a+1;i=d;return}function D8(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=b+24|0;f=c[e>>2]|0;if((f|0)==0){A8(b);g=c[e>>2]|0}else{g=f}f=a;a=g+(d*20|0)|0;c[f>>2]=c[a>>2];c[f+4>>2]=c[a+4>>2];c[f+8>>2]=c[a+8>>2];c[f+12>>2]=c[a+12>>2];c[f+16>>2]=c[a+16>>2];return}function E8(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0;e=i;f=b+24|0;if((c[f>>2]|0)==0){A8(b)}g=c[b+16>>2]|0;if(g>>>0<d>>>0){$S(0,23552,(h=i,i=i+16|0,c[h>>2]=d,c[h+8>>2]=g,h)|0);i=h}g=c[b+12>>2]|0;b=0;while(1){if((b|0)>=(g|0)){j=9;break}k=c[f>>2]|0;if((c[k+(b*20|0)+4>>2]|0)==(d|0)){j=8;break}else{b=b+1|0}}if((j|0)==8){f=a;a=k+(b*20|0)|0;c[f>>2]=c[a>>2];c[f+4>>2]=c[a+4>>2];c[f+8>>2]=c[a+8>>2];c[f+12>>2]=c[a+12>>2];c[f+16>>2]=c[a+16>>2];i=e;return}else if((j|0)==9){$S(0,9983328,(h=i,i=i+8|0,c[h>>2]=d,h)|0);i=h}}function F8(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0;b=a+20|0;d=c[b>>2]|0;if((d|0)!=0){mla(d);c[b>>2]=0}b=a+24|0;d=c[b>>2]|0;if((d|0)==0){return}e=a+12|0;if((c[e>>2]|0)>0){a=0;f=d;while(1){mla(c[f+(a*20|0)+16>>2]|0);c[(c[b>>2]|0)+(a*20|0)+16>>2]=0;g=a+1|0;h=c[b>>2]|0;if((g|0)<(c[e>>2]|0)){a=g;f=h}else{i=h;break}}}else{i=d}mla(i);c[b>>2]=0;return}function G8(a){a=a|0;var b=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;b=i;e=a;a=i;i=i+36|0;i=i+7&-8;Pla(a,e,36)|0;e=lla(72)|0;f=c[a+4>>2]|0;g=e;c[g>>2]=f;Pla(e+4|0,a|0,36)|0;a=e+40|0;h=a;c[e+48>>2]=0;c[e+60>>2]=f;c[e+64>>2]=Nla(f|0)|0;j=c[2500004]|0;do{if((j|0)==0){k=e;c[2500004]=k;c[e+44>>2]=0;l=lla(44)|0;m=l;c[e+40>>2]=m;if((l|0)==0){Qb(-1|0)}Qla(l|0,0,44)|0;c[l+16>>2]=e+40;c[l+4>>2]=32;c[l+8>>2]=5;c[l+20>>2]=40;n=lla(384)|0;c[l>>2]=n;if((n|0)==0){Qb(-1|0)}else{Qla(n|0,0,384)|0;c[l+40>>2]=-1609490463;o=k;p=m;q=f;break}}else{c[(c[(c[j+40>>2]|0)+16>>2]|0)+8>>2]=e;m=(c[2500004]|0)+40|0;k=c[m>>2]|0;c[e+44>>2]=(c[k+16>>2]|0)+(-(c[k+20>>2]|0)|0);c[(c[m>>2]|0)+16>>2]=h;m=c[2500004]|0;o=m;p=c[m+40>>2]|0;q=c[g>>2]|0}}while(0);g=o+40|0;o=p+12|0;c[o>>2]=(c[o>>2]|0)+1;o=a;c[o>>2]=p;p=e+68|0;c[p>>2]=-17973521;a=Nla(q|0)|0;if(a>>>0>11>>>0){j=q;f=a;m=-1640531527;k=-1640531527;l=-17973521;while(1){n=((d[j+5|0]|0)<<8|(d[j+4|0]|0)|(d[j+6|0]|0)<<16|(d[j+7|0]|0)<<24)+m|0;r=((d[j+9|0]|0)<<8|(d[j+8|0]|0)|(d[j+10|0]|0)<<16|(d[j+11|0]|0)<<24)+l|0;s=((d[j+1|0]|0)<<8|(d[j]|0)|(d[j+2|0]|0)<<16|(d[j+3|0]|0)<<24)+k-n-r^r>>>13;t=n-r-s^s<<8;n=r-s-t^t>>>13;r=s-t-n^n>>>12;s=t-n-r^r<<16;t=n-r-s^s>>>5;n=r-s-t^t>>>3;r=s-t-n^n<<10;s=t-n-r^r>>>15;c[p>>2]=s;t=j+12|0;u=f-12|0;if(u>>>0>11>>>0){j=t;f=u;m=r;k=n;l=s}else{v=t;w=u;x=r;y=n;z=s;break}}}else{v=q;w=a;x=-1640531527;y=-1640531527;z=-17973521}a=z+(Nla(q|0)|0)|0;c[p>>2]=a;switch(w|0){case 5:{A=x;B=a;C=17;break};case 7:{D=x;E=a;C=15;break};case 11:{w=((d[v+10|0]|0)<<24)+a|0;c[p>>2]=w;F=w;C=12;break};case 9:{G=a;C=13;break};case 10:{F=a;C=12;break};case 8:{H=a;C=14;break};case 6:{I=x;J=a;C=16;break};case 4:{K=x;L=a;C=18;break};case 3:{M=y;N=x;O=a;C=19;break};case 2:{P=y;Q=x;R=a;C=20;break};case 1:{S=y;T=x;U=a;C=21;break};default:{V=y;W=x;X=a}}if((C|0)==12){a=((d[v+9|0]|0)<<16)+F|0;c[p>>2]=a;G=a;C=13}if((C|0)==13){a=((d[v+8|0]|0)<<8)+G|0;c[p>>2]=a;H=a;C=14}if((C|0)==14){D=((d[v+7|0]|0)<<24)+x|0;E=H;C=15}if((C|0)==15){I=((d[v+6|0]|0)<<16)+D|0;J=E;C=16}if((C|0)==16){A=((d[v+5|0]|0)<<8)+I|0;B=J;C=17}if((C|0)==17){K=(d[v+4|0]|0)+A|0;L=B;C=18}if((C|0)==18){M=((d[v+3|0]|0)<<24)+y|0;N=K;O=L;C=19}if((C|0)==19){P=((d[v+2|0]|0)<<16)+M|0;Q=N;R=O;C=20}if((C|0)==20){S=((d[v+1|0]|0)<<8)+P|0;T=Q;U=R;C=21}if((C|0)==21){V=(d[v]|0)+S|0;W=T;X=U}U=V-W-X^X>>>13;V=W-X-U^U<<8;W=X-U-V^V>>>13;X=U-V-W^W>>>12;U=V-W-X^X<<16;V=W-X-U^U>>>5;W=X-U-V^V>>>3;X=U-V-W^W<<10;U=V-W-X^X>>>15;c[p>>2]=U;p=c[g>>2]|0;X=U&(c[p+4>>2]|0)-1;U=c[p>>2]|0;p=U+(X*12|0)+4|0;c[p>>2]=(c[p>>2]|0)+1;c[e+56>>2]=c[U+(X*12|0)>>2];c[e+52>>2]=0;e=c[c[g>>2]>>2]|0;g=c[e+(X*12|0)>>2]|0;if((g|0)==0){Y=e}else{c[g+12>>2]=h;Y=c[c[(c[2500004]|0)+40>>2]>>2]|0}c[Y+(X*12|0)>>2]=h;h=c[c[(c[2500004]|0)+40>>2]>>2]|0;if((c[h+(X*12|0)+4>>2]|0)>>>0<(((c[h+(X*12|0)+8>>2]|0)*10|0)+10|0)>>>0){i=b;return}X=c[o>>2]|0;if((c[X+36>>2]|0)==1){i=b;return}h=X+4|0;Y=lla((c[h>>2]|0)*24|0)|0;g=Y;if((Y|0)==0){Qb(-1|0)}Qla(Y|0,0,(c[h>>2]|0)*24|0|0)|0;Y=c[X+12>>2]|0;e=c[h>>2]|0;c[X+24>>2]=(((e<<1)-1&Y|0)!=0)+(Y>>>(((c[X+8>>2]|0)+1|0)>>>0));c[X+28>>2]=0;Y=c[X>>2]|0;if((e|0)==0){Z=Y}else{e=0;h=Y;Y=X;while(1){X=c[h+(e*12|0)>>2]|0;if((X|0)==0){_=Y}else{U=X;X=Y;while(1){p=U+16|0;W=c[p>>2]|0;V=(c[X+4>>2]<<1)-1&c[U+28>>2];T=g+(V*12|0)+4|0;S=(c[T>>2]|0)+1|0;c[T>>2]=S;v=c[X+24>>2]|0;if(S>>>0>v>>>0){S=X+28|0;c[S>>2]=(c[S>>2]|0)+1;c[g+(V*12|0)+8>>2]=((c[T>>2]|0)>>>0)/(v>>>0)|0}c[U+12>>2]=0;v=g+(V*12|0)|0;c[p>>2]=c[v>>2];p=c[v>>2]|0;if((p|0)!=0){c[p+12>>2]=U}c[v>>2]=U;v=c[o>>2]|0;if((W|0)==0){_=v;break}else{U=W;X=v}}}X=e+1|0;U=c[_>>2]|0;if(X>>>0<(c[_+4>>2]|0)>>>0){e=X;h=U;Y=_}else{Z=U;break}}}mla(Z);Z=c[o>>2]|0;_=Z+4|0;c[_>>2]=c[_>>2]<<1;_=Z+8|0;c[_>>2]=(c[_>>2]|0)+1;c[Z>>2]=g;g=c[o>>2]|0;o=g+32|0;if(!((c[g+28>>2]|0)>>>0>(c[g+12>>2]|0)>>>1>>>0)){c[o>>2]=0;i=b;return}Z=(c[o>>2]|0)+1|0;c[o>>2]=Z;if(!(Z>>>0>1>>>0)){i=b;return}c[g+36>>2]=1;i=b;return}function H8(a){a=a|0;var b=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0;b=i;e=c[2500004]|0;a:do{if((e|0)==0){f=24}else{g=Nla(a|0)|0;if(g>>>0>11>>>0){h=-17973521;j=-1640531527;k=-1640531527;l=g;m=a;while(1){n=((d[m+5|0]|0)<<8|(d[m+4|0]|0)|(d[m+6|0]|0)<<16|(d[m+7|0]|0)<<24)+k|0;o=((d[m+9|0]|0)<<8|(d[m+8|0]|0)|(d[m+10|0]|0)<<16|(d[m+11|0]|0)<<24)+h|0;p=((d[m+1|0]|0)<<8|(d[m]|0)|(d[m+2|0]|0)<<16|(d[m+3|0]|0)<<24)+j-n-o^o>>>13;q=n-o-p^p<<8;n=o-p-q^q>>>13;o=p-q-n^n>>>12;p=q-n-o^o<<16;q=n-o-p^p>>>5;n=o-p-q^q>>>3;o=p-q-n^n<<10;p=q-n-o^o>>>15;q=m+12|0;r=l-12|0;if(r>>>0>11>>>0){h=p;j=n;k=o;l=r;m=q}else{s=p;t=n;u=o;v=r;w=q;break}}}else{s=-17973521;t=-1640531527;u=-1640531527;v=g;w=a}m=(Nla(a|0)|0)+s|0;switch(v|0){case 10:{x=m;f=6;break};case 6:{y=u;z=m;f=10;break};case 3:{A=u;B=t;C=m;f=13;break};case 11:{x=((d[w+10|0]|0)<<24)+m|0;f=6;break};case 7:{D=u;E=m;f=9;break};case 1:{F=u;G=t;H=m;f=15;break};case 8:{I=m;f=8;break};case 5:{J=u;K=m;f=11;break};case 4:{L=u;M=m;f=12;break};case 2:{N=u;O=t;P=m;f=14;break};case 9:{Q=m;f=7;break};default:{R=u;S=t;T=m}}if((f|0)==6){Q=((d[w+9|0]|0)<<16)+x|0;f=7}if((f|0)==7){I=((d[w+8|0]|0)<<8)+Q|0;f=8}if((f|0)==8){D=((d[w+7|0]|0)<<24)+u|0;E=I;f=9}if((f|0)==9){y=((d[w+6|0]|0)<<16)+D|0;z=E;f=10}if((f|0)==10){J=((d[w+5|0]|0)<<8)+y|0;K=z;f=11}if((f|0)==11){L=(d[w+4|0]|0)+J|0;M=K;f=12}if((f|0)==12){A=L;B=((d[w+3|0]|0)<<24)+t|0;C=M;f=13}if((f|0)==13){N=A;O=((d[w+2|0]|0)<<16)+B|0;P=C;f=14}if((f|0)==14){F=N;G=((d[w+1|0]|0)<<8)+O|0;H=P;f=15}if((f|0)==15){R=F;S=(d[w]|0)+G|0;T=H}m=S-T-R^T>>>13;l=R-T-m^m<<8;k=T-m-l^l>>>13;j=m-l-k^k>>>12;m=l-k-j^j<<16;l=k-j-m^m>>>5;k=j-m-l^l>>>3;j=m-l-k^k<<10;m=c[e+40>>2]|0;h=c[(c[m>>2]|0)+(((l-k-j^j>>>15)&(c[m+4>>2]|0)-1)*12|0)>>2]|0;if((h|0)==0){f=24;break}j=h+(-(c[m+20>>2]|0)|0)|0;if((j|0)==0){f=24;break}h=Nla(a|0)|0;k=j;while(1){U=k;if((c[k+64>>2]|0)==(h|0)){if((Kla(c[k+60>>2]|0,a,h)|0)==0){break}}j=c[k+56>>2]|0;if((j|0)==0){f=24;break a}l=j+(-(c[m+20>>2]|0)|0)|0;if((l|0)==0){f=24;break a}else{k=l}}if((k|0)==0){f=24}else{V=U}}}while(0);do{if((f|0)==24){if((kb(a|0,47600)|0)==0){V=0;break}else{W=16616}i=b;return W|0}}while(0);_S(0,(V|0)!=0|0,46288,(f=i,i=i+8|0,c[f>>2]=a,f)|0);i=f;W=V+4|0;i=b;return W|0}function I8(a,b){a=a|0;b=b|0;var c=0;if((J8(9959248,a,b)|0)!=0){c=1;return c|0}c=(J8(9977024,a,b)|0)!=0|0;return c|0}function J8(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0;if((d|0)>0){f=0}else{g=0;return g|0}while(1){h=c[e+(f<<2)>>2]|0;if((a[h]|0)==45){if((Lla(b,h+1|0)|0)==0){g=1;i=5;break}}h=f+1|0;if((h|0)<(d|0)){f=h}else{g=0;i=5;break}}if((i|0)==5){return g|0}return 0}function K8(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=i;_S(0,(Lla(c[2499920]|0,9953744)|0)==0|0,8089232,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;_S(0,(Lla(c[2499984]|0,9953744)|0)==0|0,45208,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;_S(0,(Lla(c[2499952]|0,9953744)|0)==0|0,39872,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;Qla(10000784,0,120)|0;Qla(10000664,0,120)|0;if((a|0)>1){f=1}else{g=0;i=d;return g|0}a:while(1){h=b+(f<<2)|0;j=f+1|0;k=1;while(1){l=c[9999440+(k<<2)>>2]|0;if((l|0)==1){if((J8(c[9999560+(k<<2)>>2]|0,1,h)|0)!=0){m=5;break}}else if((l|0)==2){n=c[9999560+(k<<2)>>2]|0;if(!((J8(n,1,h)|0)==0|(j|0)>=(a|0))){m=9;break}o=c[9999560+(k<<2)>>2]|0;if((M8(o,h)|0)!=0){m=13;break}}l=k+1|0;if((l|0)<30){k=l}else{m=17;break a}}if((m|0)==5){m=0;l=10000784+(k<<2)|0;if((c[l>>2]|0)!=0){m=6;break}c[l>>2]=1;p=f}else if((m|0)==9){m=0;l=10000784+(k<<2)|0;if((c[l>>2]|0)!=0){m=10;break}c[l>>2]=1;c[10000664+(k<<2)>>2]=L8(n,h)|0;p=j}else if((m|0)==13){m=0;l=10000784+(k<<2)|0;if((c[l>>2]|0)!=0){m=14;break}c[l>>2]=1;c[10000664+(k<<2)>>2]=N8(o,h)|0;p=f}l=p+1|0;if((l|0)<(a|0)){f=l}else{g=0;m=19;break}}if((m|0)==6){ZS(1,0,35200,(e=i,i=i+8|0,c[e>>2]=c[h>>2],e)|0);i=e;g=1;i=d;return g|0}else if((m|0)==10){ZS(1,0,35200,(e=i,i=i+8|0,c[e>>2]=c[h>>2],e)|0);i=e;g=1;i=d;return g|0}else if((m|0)==14){ZS(1,0,35200,(e=i,i=i+8|0,c[e>>2]=c[h>>2],e)|0);i=e;g=1;i=d;return g|0}else if((m|0)==17){ZS(1,0,31024,(e=i,i=i+8|0,c[e>>2]=c[h>>2],e)|0);i=e;g=1;i=d;return g|0}else if((m|0)==19){i=d;return g|0}return 0}function L8(b,d){b=b|0;d=d|0;var e=0,f=0;e=c[d>>2]|0;if((a[e]|0)!=45){f=0;return f|0}if((Lla(b,e+1|0)|0)!=0){f=0;return f|0}f=c[d+4>>2]|0;return f|0}function M8(a,b){a=a|0;b=b|0;return(N8(a,b)|0)!=0|0}function N8(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=Nla(b|0)|0;f=c[d>>2]|0;if((a[f]|0)!=45){g=0;return g|0}if((Mla(b,f+1|0,e)|0)!=0){g=0;return g|0}if((a[f+(e+1)|0]|0)!=61){g=0;return g|0}g=f+(e+2)|0;return g|0}function O8(){return}function P8(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;if((d|0)<=0){Qb(0);return 0}e=c[u>>2]|0;Ya(36096,5,1,e|0)|0;f=b;b=0;while(1){Wa(a[f]|0,e|0)|0;g=b+1|0;if((g|0)<(d|0)){f=f+1|0;b=g}else{break}}Ya(9964344,20,1,e|0)|0;Qb(0);return 0}function Q8(a,b){a=a|0;b=b|0;var d=0,e=0;d=c[u>>2]|0;td(d|0,9966496,(e=i,i=i+8|0,c[e>>2]=a,e)|0)|0;i=e;if((b|0)==0){Qb(1)}else{Ta(d|0)|0;Y8();Ta(d|0)|0;qb(6,0)|0;sd()}}function R8(a,b){a=a|0;b=b|0;return+(+X(+(+h[a>>3]),+(+h[b>>3])))}function S8(a,b){a=a|0;b=b|0;var d=0.0,e=0.0,f=0,g=0.0,i=0.0,j=0.0;d=+h[a>>3];a=c[b>>2]|0;if((a|0)==0){e=1.0;return+e}if((a|0)<0){f=-a|0;g=1.0/d;i=1.0}else{f=a;g=d;i=1.0}while(1){if((f&1|0)==0){j=i}else{j=i*g}a=f>>>1;if((a|0)==0){e=j;break}f=a;g=g*g;i=j}return+e}function T8(a,b){a=a|0;b=b|0;var c=0.0,d=0.0,e=0.0;c=+h[a>>3];if(c<0.0){d=-0.0-c}else{d=c}if(!(+h[b>>3]<0.0)){e=d;return+e}e=-0.0-d;return+e}function U8(a){a=a|0;var b=0.0,c=0.0,d=0.0,e=0;b=+g[a>>2];c=b;if(b<0.0){d=-0.0- +U(.5-c);e=~~d;return e|0}else{d=+U(c+.5);e=~~d;return e|0}return 0}function V8(b,c,d,e){b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;f=b+d|0;g=c+e|0;if((d|0)>(e|0)){a:do{if((e|0)>0){h=b;i=c;while(1){j=a[h]|0;k=a[i]|0;if(!(j<<24>>24==k<<24>>24)){break}l=h+1|0;m=i+1|0;if(m>>>0<g>>>0){h=l;i=m}else{n=l;break a}}o=(j&255)-(k&255)|0;return o|0}else{n=b}}while(0);while(1){if(!(n>>>0<f>>>0)){o=0;p=16;break}q=a[n]|0;if(q<<24>>24==32){n=n+1|0}else{break}}if((p|0)==16){return o|0}o=(q&255)-32|0;return o|0}else{b:do{if((d|0)>0){q=b;n=c;while(1){r=a[q]|0;s=a[n]|0;if(!(r<<24>>24==s<<24>>24)){break}k=q+1|0;j=n+1|0;if(k>>>0<f>>>0){q=k;n=j}else{t=j;break b}}o=(r&255)-(s&255)|0;return o|0}else{t=c}}while(0);while(1){if(!(t>>>0<g>>>0)){o=0;p=16;break}u=a[t]|0;if(u<<24>>24==32){t=t+1|0}else{break}}if((p|0)==16){return o|0}o=32-(u&255)|0;return o|0}return 0}function W8(b,c,d,e){b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;f=c;g=b+d|0;if((d|0)<=(e|0)){do{if(b>>>0>c>>>0){h=c+d|0;if(!(h>>>0>b>>>0)){break}if((d|0)>0){i=h;j=g}else{return}do{i=i-1|0;j=j-1|0;a[j]=a[i]|0;}while(j>>>0>b>>>0);return}}while(0);if((d|0)>0){k=c;l=b}else{return}while(1){j=l+1|0;a[l]=a[k]|0;if(j>>>0<g>>>0){k=k+1|0;l=j}else{break}}return}l=c+e|0;do{if(b>>>0>c>>>0&l>>>0>b>>>0){k=b+e|0;if((e|0)>0){j=(-f|0)-e|0;i=~f;h=~(c+(j>>>0>i>>>0?j:i));i=k;j=l;do{j=j-1|0;i=i-1|0;a[i]=a[j]|0;}while(j>>>0>c>>>0);m=b+h|0}else{m=k}n=m+e|0}else{if((e|0)<=0){n=b;break}j=c+1|0;i=(l>>>0>j>>>0?l:j)+(-f|0)|0;j=c;o=b;while(1){p=j+1|0;a[o]=a[j]|0;if(p>>>0<l>>>0){j=p;o=o+1|0}else{break}}n=b+i|0}}while(0);if(!(n>>>0<g>>>0)){return}Qla(n|0,32,b+(d-n)|0)|0;return}function X8(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0;d=c[b+4>>2]|0;if((d|0)>99){return 0}e=10009696+(d*48|0)|0;f=c[e>>2]|0;if((f|0)!=0){do{if((c[10009740+(d*48|0)>>2]|0)==1){g=10}else{h=c[b+8>>2]|0;if((h|0)!=0){i=a[h]|0;if((i|0)==68|(i|0)==100){g=10;break}}if((c[10009736+(d*48|0)>>2]|0)==1){Z8(b)|0}i=10009700+(d*48|0)|0;if((c[i>>2]|0)==0){break}Pa(c[e>>2]|0)|0;mla(c[i>>2]|0)}}while(0);do{if((g|0)==10){Pa(f|0)|0;b=10009700+(d*48|0)|0;i=c[b>>2]|0;if((i|0)==0){break}Qd(i|0)|0;mla(c[b>>2]|0)}}while(0);c[e>>2]=0}c[10009732+(d*48|0)>>2]=0;c[10009700+(d*48|0)>>2]=0;return 0}function Y8(){var a=0;if((c[2502418]|0)!=0){return}c[2502418]=1;c[2502420]=0;a=0;do{c[2502419]=a;X8(10009672)|0;a=a+1|0;}while((a|0)<100);return}function Z8(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=c[a+4>>2]|0;if((c[10009712+(b*48|0)>>2]|0)!=0){d=0;return d|0}e=10009696+(b*48|0)|0;f=c[e>>2]|0;g=Pb(f|0)|0;Bd(f|0,0,2)|0;if((g|0)>=(Pb(f|0)|0)){d=0;return d|0}if((c[10009716+(b*48|0)>>2]|0)==0){d=0;return d|0}if((c[10009724+(b*48|0)>>2]&2|0)!=0){Ta(c[e>>2]|0)|0}b=kd(lb(c[e>>2]|0)|0,g|0)|0;Bd(c[e>>2]|0,0,2)|0;if((b|0)==0){d=0;return d|0}if((c[a>>2]|0)==0){$8(111,41976);d=111;return d|0}else{c[(cd()|0)>>2]=111;d=111;return d|0}return 0}function _8(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+80|0;d=b|0;do{if((ed(lb(a|0)|0,d|0)|0)<0){e=0}else{f=c[d+12>>2]&61440;if((f|0)==8192){e=(Sc(lb(a|0)|0)|0)==0|0;break}else if((f|0)==24576){e=1;break}else if((f|0)==16384|(f|0)==32768){e=(c[d+16>>2]|0)!=0|0;break}else{e=0;break}}}while(0);i=b;return e|0}function $8(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;d=i;do{if(a>>>0<100>>>0){mb(b|0);e=c[u>>2]|0}else{if((a+1|0)>>>0>132>>>0){f=c[u>>2]|0;td(f|0,8091232,(g=i,i=i+16|0,c[g>>2]=b,c[g+8>>2]=a,g)|0)|0;i=g;e=f;break}f=c[u>>2]|0;if((a|0)==-1){td(f|0,56632,(g=i,i=i+8|0,c[g>>2]=b,g)|0)|0;i=g;e=f;break}else{h=c[9999312+(a-100<<2)>>2]|0;td(f|0,54864,(g=i,i=i+16|0,c[g>>2]=b,c[g+8>>2]=h,g)|0)|0;i=g;e=f;break}}}while(0);b=c[2504886]|0;do{if((b|0)==0){Ya(49048,29,1,e|0)|0}else{td(e|0,52440,(g=i,i=i+8|0,c[g>>2]=(b-10009696|0)/48|0,g)|0)|0;i=g;a=c[(c[2504886]|0)+4>>2]|0;if((a|0)==0){Ya(49704,10,1,e|0)|0;break}else{td(e|0,49824,(g=i,i=i+8|0,c[g>>2]=a,g)|0)|0;i=g;break}}}while(0);b=c[2504870]|0;if((b|0)!=0){td(e|0,47912,(g=i,i=i+8|0,c[g>>2]=b,g)|0)|0;i=g}b=(c[2504826]|0)!=0?45152:44312;a=(c[2504868]|0)!=0?44208:43776;f=(c[2504872]|0)!=0?43256:42768;td(e|0,47792,(g=i,i=i+32|0,c[g>>2]=(c[2504846]|0)!=0?47192:46552,c[g+8>>2]=b,c[g+16>>2]=a,c[g+24>>2]=f,g)|0)|0;i=g;Q8(42368,1);i=d;return}function a9(){var a=0;c[2504856]=1;a=c[u>>2]|0;c[2502424]=a;c[2502429]=_8(a)|0;c[2502430]=1;c[2502434]=1;a=c[p>>2]|0;c[2502484]=a;c[2502489]=_8(a)|0;c[2502490]=1;c[2502494]=0;a=c[r>>2]|0;c[2502496]=a;c[2502501]=_8(a)|0;c[2502502]=1;c[2502506]=1;return}function b9(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0;b=a+28|0;d=c[b>>2]|0;a:do{if((d&2|0)==0){e=a+4|0;f=c[e>>2]|0;do{if((f|0)!=0){if((c[a+16>>2]|0)==0){g=c[a+24>>2]|0}else{g=0}if((c[a+40>>2]|0)==3){h=a|0;i=ub(f|0,c[16656+(g<<2)>>2]|0,c[h>>2]|0)|0;c[h>>2]=i;c[2504904]=i;if((i|0)==0){break}c[b>>2]=2;break a}i=a|0;h=Pb(c[i>>2]|0)|0;j=ub(c[e>>2]|0,c[16656+((g|2)<<2)>>2]|0,c[i>>2]|0)|0;c[i>>2]=j;c[2504904]=j;if((j|0)==0){c[i>>2]=0;break}else{c[b>>2]=3;Bd(c[i>>2]|0,h|0,0)|0;break a}}}while(0);c[(cd()|0)>>2]=127;k=1;return k|0}else{if((d&1|0)==0){break}Bd(c[a>>2]|0,0,1)|0}}while(0);c[a+40>>2]=1;k=0;return k|0}function c9(a,b,d){a=a|0;b=b|0;d=d|0;if((a|0)==0){$8(b,d)}d=c[2504882]|0;if((d|0)!=0){pe[d&15]()|0}c[(cd()|0)>>2]=b;return b|0}function d9(a){a=a|0;c[2504850]=0;c[2504832]=0;c[2504852]=0;return((e9(a,0)|0)==0)<<31>>31|0}function e9(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=b;while(1){b=a[e]|0;f=e+1|0;if((b<<24>>24|0)==40){break}else if((b<<24>>24|0)==32){e=f}else{g=0;h=8;break}}if((h|0)==8){return g|0}h=c[2504852]|0;c[2504852]=h+1;if((h|0)==1){c[2504832]=d}if((j9(1,d,0,0)|0)<0){g=0;return g|0}d=k9(f)|0;if((d|0)==0){g=0;return g|0}else{i=d}while(1){if((a[i]|0)==32){i=i+1|0}else{g=i;break}}return g|0}function f9(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=i;if((c[a>>2]|0)>0){f=b;g=0}else{h=0;i=e;return h|0}a:while(1){b=(f|0)==0;b:while(1){j=c[2504850]|0;k=10014496+(j<<4)|0;l=c[k>>2]|0;switch(g9(l)|0){case 8:{m=c[2504892]|0;n=10019576+(m<<2)|0;o=c[n>>2]|0;if((o|0)>=1){p=10;break b}c[2504892]=m-1;c[2504850]=j+1;continue b;break};case 9:{m=(ce[c[2504880]&255](k)|0)==0;c[2504850]=(c[2504850]|0)+1;if(m){break b}else{continue b}break};case 6:{m=c[10014500+(j<<4)>>2]|0;q=(c[2504892]|0)+1|0;c[2504892]=q;c[10019576+(q<<2)>>2]=m;c[2504850]=j+1;continue b;break};case 1:{m=c[10014500+(j<<4)>>2]|0;q=(c[2504830]|0)+1|0;c[2504830]=q;c[10019336+(q<<2)>>2]=m;c[2504850]=j+1;continue b;break};case 3:{m=c[2504892]|0;q=10019576+(m<<2)|0;r=(c[q>>2]|0)-1|0;c[q>>2]=r;if((r|0)<1){c[2504892]=m-1;c[2504830]=(c[2504830]|0)-1;c[2504850]=j+1;continue b}else{m=c[2504830]|0;c[2504830]=m-1;c[2504850]=(c[10019336+(m<<2)>>2]|0)+1;continue b}break};case 2:{c[2504892]=0;c[2504830]=0;c[2504850]=c[10014500+(j<<4)>>2];if(b){p=24;break a}if((c[2502422]|0)==0){h=0;p=37;break a}m=pe[c[2504876]&15]()|0;if((m|0)==0){continue b}else{h=m;p=37;break a}break};case 16:{if(b){p=28;break a}c[2504850]=j+1;continue b;break};case 33:{c[2504854]=1;c[2504850]=j+1;continue b;break};case 17:case 19:{c[2504890]=0;c[2504850]=j+1;continue b;break};case 18:{c[2504890]=1;c[2504850]=j+1;continue b;break};case 20:{c[2504828]=c[10014500+(j<<4)>>2];c[2504850]=j+1;continue b;break};case 21:{c[2504906]=0;c[2504850]=j+1;continue b;break};case 22:{c[2504906]=1;c[2504850]=j+1;continue b;break};default:{p=4;break a}}}if((p|0)==10){p=0;if(b){p=11;break}c[n>>2]=o-1;c[2502422]=1;j=ee[c[2504884]&127](k,f,d)|0;if((j|0)>0){p=13;break}if((j|0)<0){p=15;break}}j=g+1|0;if((j|0)<(c[a>>2]|0)){f=f+d|0;g=j}else{h=0;p=37;break}}if((p|0)==4){g=c[2504870]|0;td(c[u>>2]|0,9975656,(d=i,i=i+16|0,c[d>>2]=l,c[d+8>>2]=g,d)|0)|0;i=d;if((c[c[2504874]>>2]|0)==0){$8(100,9979040);h=100;i=e;return h|0}else{c[(cd()|0)>>2]=100;h=100;i=e;return h|0}}else if((p|0)==11){h=pe[c[2504882]&15]()|0;i=e;return h|0}else if((p|0)==13){d=c[c[2504874]>>2]|0;h=c9(d,c[(cd()|0)>>2]|0,9955336)|0;i=e;return h|0}else if((p|0)==15){if((c[(c[2504874]|0)+8>>2]|0)==0){$8(-1,9955336);h=-1;i=e;return h|0}else{c[(cd()|0)>>2]=-1;h=-1;i=e;return h|0}}else if((p|0)==24){h=pe[c[2504882]&15]()|0;i=e;return h|0}else if((p|0)==28){h=pe[c[2504882]&15]()|0;i=e;return h|0}else if((p|0)==37){i=e;return h|0}return 0}function g9(a){a=a|0;var b=0;switch(a|0){case 36:case 35:case 28:case 27:case 23:case 7:case 10:case 30:case 31:case 32:case 34:case 29:case 24:case 25:case 26:{b=8;break};case 4:case 5:case 11:case 12:case 15:case 13:case 14:{b=9;break};default:{b=a}}return b|0}function h9(){var a=0,b=0,d=0;a=i;i=i+8|0;b=a|0;c[b>>2]=1;d=f9(b,0,0)|0;i=a;return d|0}function i9(){c[2504888]=0;c[2504850]=0;c[2504830]=0;c[2504892]=0;c[2502422]=0;c[2504834]=0;c[2504894]=0;return}function j9(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0;f=c[2504850]|0;if((f|0)>299){Ya(46024,24,1,c[u>>2]|0)|0;Q8(c[2504870]|0,1);g=c[2504850]|0}else{g=f}c[10014496+(f<<4)>>2]=a;c[10014500+(f<<4)>>2]=b;c[10014504+(f<<4)>>2]=d;c[10014508+(f<<4)>>2]=e;c[2504850]=g+1;return g|0}function k9(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0;d=a[b]|0;if(d<<24>>24==0){e=0;return e|0}else{f=b;g=d}a:while(1){d=f+1|0;if(g<<24>>24==32){f=d;g=a[d]|0;continue}d=l9(f)|0;if((d|0)==0){e=0;h=12;break}else{i=d}while(1){d=a[i]|0;if((d<<24>>24|0)==44){h=7;break}else if((d<<24>>24|0)==41){h=9;break a}else if((d<<24>>24|0)!=32){j=i;break}i=i+1|0}if((h|0)==7){h=0;j=i+1|0}d=a[j]|0;if(d<<24>>24==0){e=0;h=12;break}else{f=j;g=d}}if((h|0)==9){g=(c[2504852]|0)-1|0;c[2504852]=g;if((g|0)==0){j9(2,c[2504832]|0,0,0)|0;e=i+1|0;return e|0}else{j9(3,0,0,0)|0;e=i+1|0;return e|0}}else if((h|0)==12){return e|0}return 0}function l9(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0;d=i;i=i+16|0;e=d|0;f=d+8|0;do{if((a[b]|0)==41){g=b}else{if((m9(b,e)|0)!=0){g=c[e>>2]|0;break}if((n9(b,e)|0)!=0){g=c[e>>2]|0;break}h=o9(b,f,1)|0;j=j9(6,c[f>>2]|0,0,0)|0;if((j|0)<0){g=0;break}g=e9(h,j)|0}}while(0);i=d;return g|0}function m9(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;e=i;i=i+8|0;f=e|0;a:do{switch(a[b]|0){case 45:{g=1;h=13;break};case 36:{j9(33,0,0,0)|0;j=b;h=30;break};case 83:case 115:{k=b+1|0;l=a[k]|0;if((l<<24>>24|0)==112|(l<<24>>24|0)==80){m=18;n=k}else if((l<<24>>24|0)==115|(l<<24>>24|0)==83){m=19;n=k}else{m=17;n=b}j9(m,0,0,0)|0;j=n;h=30;break};case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:{o=0;p=b;h=14;break};case 66:case 98:{k=b+1|0;l=a[k]|0;if((l<<24>>24|0)==122|(l<<24>>24|0)==90){j9(22,0,0,0)|0;j=k;h=30;break a}else{j9(21,0,0,0)|0;j=k;h=30;break a}break};case 43:{g=0;h=13;break};case 47:{j9(5,0,0,0)|0;j=b;h=30;break};case 58:{j9(16,0,0,0)|0;j=b;h=30;break};case 2:case 34:case 39:{c[10014504+((j9(11,0,0,0)|0)<<4)>>2]=b;k=p9(b)|0;c[d>>2]=k;q=(k|0)!=0|0;i=e;return q|0};case 84:case 116:{k=b+1|0;l=a[k]|0;if((l<<24>>24|0)==114|(l<<24>>24|0)==82){r=14;s=k}else if((l<<24>>24|0)==108|(l<<24>>24|0)==76){r=13;s=k}else{r=15;s=b}k=o9(s+1|0,f,0)|0;if((k|0)==0){h=15;break a}j9(r,c[f>>2]|0,0,0)|0;j=k-1|0;h=30;break};case 88:case 120:{j9(4,1,0,0)|0;j=b;h=30;break};case 80:case 112:{j9(20,1,0,0)|0;j=b;h=30;break};default:{q=0;i=e;return q|0}}}while(0);if((h|0)==13){o=g;p=b+1|0;h=14}b:do{if((h|0)==14){b=o9(p,f,0)|0;if((b|0)==0){h=15;break}switch(a[b]|0){case 80:case 112:{g=c[f>>2]|0;if((o|0)==0){t=g}else{r=-g|0;c[f>>2]=r;t=r}j9(20,t,0,0)|0;j=b;h=30;break b;break};case 88:case 120:{j9(4,c[f>>2]|0,0,0)|0;j=b;h=30;break b;break};case 72:case 104:{r=c[f>>2]|0;c[10014504+((j9(12,r,0,0)|0)<<4)>>2]=b+1;j=b+r|0;h=30;break b;break};default:{q=0;i=e;return q|0}}}}while(0);if((h|0)==15){c[d>>2]=0;q=1;i=e;return q|0}else if((h|0)==30){c[d>>2]=j+1;q=1;i=e;return q|0}return 0}function n9(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;e=i;i=i+32|0;f=e|0;g=e+8|0;h=e+16|0;j=e+24|0;k=o9(b,f,1)|0;j9(6,c[f>>2]|0,0,0)|0;f=k+1|0;a:do{switch(a[k]|0){case 76:case 108:{l=o9(f,g,0)|0;if((l|0)==0){m=4;break a}n=c[g>>2]|0;if((n|0)==0){o=l;m=45;break a}j9(29,n,0,0)|0;o=l;m=45;break};case 71:case 103:{p=0;m=3;break};case 90:case 122:{q=36;r=35;m=38;break};case 69:case 101:{p=1;m=3;break};case 65:case 97:{l=f;while(1){s=a[l]|0;if(s<<24>>24==32){l=l+1|0}else{break}}if(!((s-48&255)>>>0<10>>>0)){j9(30,0,0,0)|0;o=l;m=45;break a}n=o9(l,g,1)|0;t=c[g>>2]|0;if((t|0)==0){o=n;m=45;break a}j9(31,t,0,0)|0;o=n;m=45;break};case 70:case 102:{n=o9(f,g,0)|0;if((n|0)==0){m=4;break a}t=c[g>>2]|0;if((t|0)==0){o=n;m=45;break a}if((a[n]|0)==46){u=o9(n+1|0,h,0)|0;if((u|0)==0){m=4;break a}v=u;w=c[h>>2]|0}else{c[h>>2]=0;v=n;w=0}j9(23,t,w,0)|0;o=v;m=45;break};case 68:case 100:{t=o9(f,g,0)|0;if((t|0)==0){m=4;break a}n=c[g>>2]|0;if((n|0)==0){o=t;m=45;break a}if((a[t]|0)==46){u=o9(t+1|0,h,0)|0;if((u|0)==0){m=4;break a}x=u;y=c[h>>2]|0}else{c[h>>2]=0;x=t;y=0}j9(26,n,y,0)|0;o=x;m=45;break};case 73:case 105:{q=10;r=7;m=38;break};case 79:case 111:{q=34;r=32;m=38;break};default:{c[2504850]=(c[2504850]|0)-1;c[d>>2]=b;z=0;i=e;return z|0}}}while(0);do{if((m|0)==3){b=o9(f,g,0)|0;if((b|0)==0){m=4;break}x=c[g>>2]|0;if((x|0)==0){o=b;m=45;break}y=a[b]|0;if(y<<24>>24==46){v=o9(b+1|0,h,0)|0;if((v|0)==0){m=4;break}A=v;B=a[v]|0}else{c[h>>2]=0;A=b;B=y}if(!((B<<24>>24|0)==69|(B<<24>>24|0)==101)){j9((p|0)==1?24:27,x,c[h>>2]|0,0)|0;o=A;m=45;break}y=o9(A+1|0,j,0)|0;if((y|0)==0){m=4;break}j9((p|0)==1?25:28,x,c[h>>2]|0,c[j>>2]|0)|0;o=y;m=45}else if((m|0)==38){y=o9(f,g,0)|0;if((y|0)==0){m=4;break}x=c[g>>2]|0;if((x|0)==0){o=y;m=45;break}if((a[y]|0)!=46){j9(r,x,0,0)|0;o=y;m=45;break}b=o9(y+1|0,h,0)|0;if((b|0)==0){m=4;break}j9(q,x,c[h>>2]|0,0)|0;o=b;m=45}}while(0);if((m|0)==4){c[d>>2]=0;z=1;i=e;return z|0}else if((m|0)==45){c[d>>2]=o;z=1;i=e;return z|0}return 0}function o9(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;f=0;g=0;h=b;while(1){b=a[h]|0;i=b<<24>>24;if(b<<24>>24==32){j=f;k=g}else{if((b-48&255)>>>0>9>>>0){break}j=f+1|0;k=(g*10|0)-48+i|0}f=j;g=k;h=h+1|0}if((f|0)!=0){l=h;m=g;c[d>>2]=m;return l|0}l=(e|0)==0?0:h;m=e;c[d>>2]=m;return l|0}function p9(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=a[b]|0;e=b+1|0;f=a[e]|0;a:do{if(!(f<<24>>24==0)){g=b;h=e;i=f;while(1){if(i<<24>>24==d<<24>>24){j=g+2|0;if((a[j]|0)==d<<24>>24){k=j}else{l=j;break}}else{k=h}j=k+1|0;m=a[j]|0;if(m<<24>>24==0){break a}else{g=k;h=j;i=m}}return l|0}}while(0);if((c[c[2504874]>>2]|0)==0){$8(100,8090592);l=0;return l|0}else{c[(cd()|0)>>2]=100;l=0;return l|0}return 0}function q9(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0;do{if((b|0)>0){g=b;h=0}else{if((b|0)<0){g=-b|0;h=1;break}c[e>>2]=0;c[d>>2]=1;a[10019454]=48;i=10019454;return i|0}}while(0);c[e>>2]=h;h=g;g=23;while(1){e=g-1|0;j=10019432+e|0;a[j]=((h>>>0)%(f>>>0)|0)+48;b=(h>>>0)/(f>>>0)|0;if((b|0)==0){break}else{h=b;g=e}}c[d>>2]=24-g;i=j;return i|0}function r9(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0;d=c[2504866]|0;e=c[2504844]|0;if((d|0)>(e|0)){c[2504844]=d;f=d}else{f=e}e=f+1|0;if((e|0)<(c[4170]|0)){g=f}else{s9(e,f);g=c[2504844]|0}f=c[4172]|0;e=f+g|0;if((b|0)==0){h=e}else{a[e]=b;h=f+(g+1)|0}a[h]=0;_a(f|0,c[2504904]|0)|0;g=Nla(f|0)|0;b=f+g|0;if(b>>>0<h>>>0){i=f;j=g;k=b}else{return 0}while(1){b=j+1|0;g=i+b|0;Wa(a[k]|0,c[2504904]|0)|0;_a(g|0,c[2504904]|0)|0;f=Nla(g|0)|0;e=i+(b+f)|0;if(e>>>0<h>>>0){i=g;j=f;k=e}else{break}}return 0}function s9(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0;e=c[4172]|0;if((e|0)==10019632){c[4170]=1024;f=1024}else{f=c[4170]|0}if((f|0)>(b|0)){g=f}else{h=f;do{h=h<<1;}while((h|0)<=(b|0));c[4170]=h;g=h}h=lla(g)|0;if((h|0)==0){$8(113,9973016);i=c[4172]|0}else{i=e}e=i+d|0;if((d|0)>0){d=h;g=i;while(1){b=g+1|0;a[d]=a[g]|0;if(b>>>0<e>>>0){d=d+1|0;g=b}else{break}}j=c[4172]|0}else{j=i}if((j|0)==10019632){c[4172]=h;return}mla(j);c[4172]=h;return}function t9(b){b=b|0;var d=0,e=0,f=0;d=c[2504844]|0;e=c[4170]|0;if((d|0)<(e|0)){f=d}else{s9(d,e);f=c[2504844]|0}c[2504844]=f+1;a[(c[4172]|0)+f|0]=b;return}function u9(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;d=i;i=i+280|0;e=d|0;f=d+256|0;g=d+272|0;c[2504872]=1;h=b+4|0;j=c[h>>2]|0;if(j>>>0>99>>>0){if((c[b>>2]|0)==0){$8(101,35336);k=101;i=d;return k|0}else{c[(cd()|0)>>2]=101;k=101;i=d;return k|0}}if((c[2504856]|0)==0){a9();l=c[h>>2]|0}else{l=j}j=10009696+(l*48|0)|0;c[2504886]=j;m=j|0;a:do{if((c[m>>2]|0)!=0){j=c[b+8>>2]|0;do{if((j|0)!=0){n=e|0;z9(j,c[b+12>>2]|0,n);o=A9(n,g)|0;if((o|0)==(c[10009704+(l*48|0)>>2]|0)){if((c[g>>2]|0)==(c[10009708+(l*48|0)>>2]|0)){break}}c[f+4>>2]=c[h>>2];c[f+8>>2]=0;c[f>>2]=c[b>>2];o=X8(f)|0;if((o|0)==0){break a}else{k=o}i=d;return k|0}}while(0);j=c[b+32>>2]|0;if((j|0)==0){k=0;i=d;return k|0}o=a[j]|0;if(o<<24>>24==122){p=1}else{p=o<<24>>24==90|0}c[10009728+(l*48|0)>>2]=p;k=0;i=d;return k|0}}while(0);p=b+28|0;f=c[p>>2]|0;g=10009712+(l*48|0)|0;c[g>>2]=f;o=c[b+32>>2]|0;do{if((o|0)==0){q=0}else{j=a[o]|0;if(j<<24>>24==122){q=1;break}q=j<<24>>24==90|0}}while(0);c[10009728+(l*48|0)>>2]=q;q=c[b+24>>2]|0;do{if((q|0)==0){o=10009720+(l*48|0)|0;if((f|0)>0){c[o>>2]=0;r=0;break}else{c[o>>2]=1;r=1;break}}else{o=a[q]|0;if((o<<24>>24|0)==102|(o<<24>>24|0)==70){c[10009720+(l*48|0)>>2]=1;r=1;break}else{c[10009720+(l*48|0)>>2]=0;r=0;break}}}while(0);q=c[b+8>>2]|0;do{if((q|0)==0){Rb(e|0,31112,(f=i,i=i+8|0,c[f>>2]=c[h>>2],f)|0)|0;i=f}else{f=e|0;z9(q,c[b+12>>2]|0,f);if((a[f]|0)!=0){break}if((c[b>>2]|0)==0){v9(107,35336,b);k=107;i=d;return k|0}else{c[(cd()|0)>>2]=107;k=107;i=d;return k|0}}}while(0);q=10009740+(l*48|0)|0;c[q>>2]=0;c[10009732+(l*48|0)>>2]=0;h=10009736+(l*48|0)|0;c[h>>2]=0;c[m>>2]=0;f=10009724+(l*48|0)|0;c[f>>2]=3;o=c[b+16>>2]|0;b:do{if((o|0)!=0){c:do{switch(a[o]|0){case 111:case 79:{if((Ob(e|0,0)|0)==0){break b}j=(c[b>>2]|0)==0;n=cd()|0;s=c[n>>2]|0;if(j){v9(s,35336,b);k=c[n>>2]|0;i=d;return k|0}else{c[n>>2]=s;k=s;i=d;return k|0}break};case 115:case 83:{c[q>>2]=1;s=Ab()|0;c[m>>2]=s;if((s|0)!=0){c[10009700+(l*48|0)>>2]=0;c[10009708+(l*48|0)>>2]=-1;c[10009704+(l*48|0)>>2]=-1;c[10009716+(l*48|0)>>2]=1;k=0;i=d;return k|0}s=(c[b>>2]|0)==0;n=cd()|0;j=c[n>>2]|0;if(s){v9(j,35336,b);k=c[n>>2]|0;i=d;return k|0}else{c[n>>2]=j;k=j;i=d;return k|0}break};case 110:case 78:{if((Ob(e|0,0)|0)!=0){break c}if((c[b>>2]|0)==0){v9(128,35336,b);k=128;i=d;return k|0}else{c[(cd()|0)>>2]=128;k=128;i=d;return k|0}break};case 114:case 82:{break};default:{break b}}}while(0);j=Cc(e|0,c[4164]|0)|0;if((j|0)==0){break}Pa(j|0)|0}}while(0);q=e|0;e=lla((Nla(q|0)|0)+1|0)|0;c[10009700+(l*48|0)>>2]=e;if((e|0)==0){if((c[b>>2]|0)==0){v9(113,27232,b);k=113;i=d;return k|0}else{c[(cd()|0)>>2]=113;k=113;i=d;return k|0}}Wla(e|0,q|0)|0;e=b+20|0;if((c[e>>2]|0)==0){t=r}else{t=(c[g>>2]|0)==0?r:0}r=Cc(q|0,c[16656+((t|2)<<2)>>2]|0)|0;do{if((r|0)==0){g=Cc(q|0,c[16672+(t<<2)>>2]|0)|0;if((g|0)!=0){c[f>>2]=1;u=g;break}g=Cc(q|0,c[16656+(t<<2)>>2]|0)|0;if((g|0)!=0){c[h>>2]=1;c[f>>2]=2;u=g;break}g=(c[b>>2]|0)==0;o=cd()|0;j=c[o>>2]|0;if(g){$8(j,35336);k=c[o>>2]|0;i=d;return k|0}else{c[o>>2]=j;k=j;i=d;return k|0}}else{u=r}}while(0);c[m>>2]=u;r=10009716+(l*48|0)|0;c[r>>2]=_8(u)|0;u=A9(q,10009708+(l*48|0)|0)|0;c[10009704+(l*48|0)>>2]=u;if((u|0)==-1){if((c[b>>2]|0)==0){v9(108,35336,b);k=108;i=d;return k|0}else{c[(cd()|0)>>2]=108;k=108;i=d;return k|0}}if((c[r>>2]|0)==0){k=0;i=d;return k|0}if((c[p>>2]|0)!=0){Fd(c[m>>2]|0);k=0;i=d;return k|0}p=c[e>>2]|0;if((p|0)==0){k=0;i=d;return k|0}e=a[p]|0;if(!((e<<24>>24|0)==97|(e<<24>>24|0)==65)){k=0;i=d;return k|0}if((Bd(c[m>>2]|0,0,2)|0)==0){k=0;i=d;return k|0}if((c[b>>2]|0)==0){v9(129,35336,b);k=129;i=d;return k|0}else{c[(cd()|0)>>2]=129;k=129;i=d;return k|0}return 0}function v9(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=d+8|0;f=c[e>>2]|0;if((f|0)==0){$8(a,b);return}g=d+12|0;d=c[g>>2]|0;if((d|0)<(c[4170]|0)){h=f;i=d}else{s9(d,0);h=c[e>>2]|0;i=c[g>>2]|0}g=c[4172]|0;c[(c[2504886]|0)+4>>2]=g;z9(h,i,g);$8(a,b);return}function w9(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=i;i=i+56|0;f=e+16|0;g=e|0;Rb(g|0,31112,(h=i,i=i+8|0,c[h>>2]=d,h)|0)|0;i=h;c[f>>2]=1;c[f+4>>2]=d;c[f+8>>2]=g;c[f+12>>2]=Nla(g|0)|0;c[f+16>>2]=0;c[f+20>>2]=(a|0)==3?23632:9983320;c[f+24>>2]=(b|0)==5?9979288:9976120;c[f+28>>2]=(a|0)==4;c[f+32>>2]=0;a=u9(f)|0;i=e;return a|0}function x9(a){a=a|0;var b=0,d=0,e=0;b=c[a+4>>2]|0;d=10009696+(b*48|0)|0;c[2504886]=d;if(b>>>0>99>>>0){if((c[a>>2]|0)==0){$8(101,9952784);e=101;return e|0}else{c[(cd()|0)>>2]=101;e=101;return e|0}}do{if((c[d>>2]|0)==0){if((w9(3,5,b)|0)==0){break}if((c[a>>2]|0)==0){$8(114,9975880);e=114;return e|0}else{c[(cd()|0)>>2]=114;e=114;return e|0}}}while(0);if((c[10009720+(b*48|0)>>2]|0)!=0){e=0;return e|0}if((c[a>>2]|0)==0){$8(102,9975880);e=102;return e|0}else{c[(cd()|0)>>2]=102;e=102;return e|0}return 0}function y9(){var a=0;a=h9()|0;c[2504870]=0;return a|0}function z9(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=d+c|0;f=b+c|0;while(1){if(!(f>>>0>b>>>0)){g=3;break}h=f-1|0;i=e-1|0;if((a[h]|0)==32){e=i;f=h}else{break}}if((g|0)==3){a[d]=0;return}a[e]=0;e=i;i=h;while(1){a[e]=a[i]|0;if(i>>>0>b>>>0){e=e-1|0;i=i-1|0}else{break}}return}function A9(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=i;i=i+80|0;e=d|0;if((Id(a|0,e|0)|0)<0){f=-1;i=d;return f|0}c[b>>2]=c[e>>2];f=c[e+72>>2]|0;i=d;return f|0}function B9(b,d,e,f,j){b=b|0;d=d|0;e=e|0;f=f|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0.0,r=0.0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0;k=i;i=i+56|0;l=k|0;m=(f|0)<1?2:f;n=c[2504828]|0;if((n|0)==0){o=3}else{if((n|0)<(e+2|0)&(n|0)>(-e|0)){o=3}}a:do{if((o|0)==3){p=(((n|0)<1)<<31>>31)+e|0;if((j|0)==4){q=+g[b>>2]}else{q=+h[b>>3]}do{if(q<0.0){r=-0.0-q;s=1;t=1}else{u=c[2504890]|0;if(q!=0.0){r=q;s=u;t=0;break}r=0.0;s=u;t=0}}while(0);u=d-4-m-p-s|0;if((u|0)<0){break}v=((n|0)<0?n:0)+p|0;w=(v|0)>40;x=w?40:v;y=w?v-40|0:0;v=l|0;Rb(v|0,9948976,(w=i,i=i+16|0,c[w>>2]=x,h[w+8>>3]=r,w)|0)|0;i=w;z=a[v]|0;if(!((z-48|0)>>>0<10>>>0)){if((z|0)==110|(z|0)==78){A=0}else{A=s}z=d-(Nla(v|0)|0)-A|0;if((z|0)<0){break}if((z|0)>0){B=z;do{B=B-1|0;$d[c[2504848]&511](32);}while((B|0)>0)}if((A|0)!=0){$d[c[2504848]&511]((t|0)!=0?45:43)}B=a[v]|0;if(B<<24>>24==0){i=k;return 0}else{D=v;E=B}do{$d[c[2504848]&511](E<<24>>24);D=D+1|0;E=a[D]|0;}while(!(E<<24>>24==0));i=k;return 0}B=l+(x+3)|0;if(r!=0.0){p=(Wc(B|0)|0)+1|0;Rb(B|0,9975216,(w=i,i=i+8|0,c[w>>2]=p-(c[2504828]|0),w)|0)|0;i=w}else{p=B;C=3158059;a[p]=C;C=C>>8;a[p+1|0]=C;C=C>>8;a[p+2|0]=C;C=C>>8;a[p+3|0]=C}p=l+(x+4)|0;B=(m|0)<2;if(B){if((a[p]|0)!=48){break}}z=l+(x+6)|0;F=(a[z]|0)==0;b:do{if(F){G=2}else{if((f|0)==0){H=l+(x+2)|0;while(1){I=H+1|0;J=a[I]|0;a[H]=J;if(J<<24>>24==0){G=2;break b}else{H=I}}}H=(f|0)<0;if(H|F){G=H?m:2;break}else{K=z;L=2}while(1){if((L|0)>=(m|0)){break a}H=L+1|0;I=K+1|0;if((a[I]|0)==0){G=H;break}else{K=I;L=H}}}}while(0);if((u|0)>0){z=u;do{z=z-1|0;$d[c[2504848]&511](32);}while((z|0)>0)}if((s|0)!=0){$d[c[2504848]&511]((t|0)!=0?45:43)}z=c[2504828]|0;do{if((z|0)<1){$d[c[2504848]&511](46);u=c[2504848]|0;if((z|0)<0){F=z;w=u;while(1){$d[w&511](48);H=F+1|0;I=c[2504848]|0;if((H|0)<0){F=H;w=I}else{M=I;break}}}else{M=u}$d[M&511](a[v]|0);N=l+2|0}else{if((z|0)<=1){N=v;break}$d[c[2504848]&511](a[v]|0);w=l+2|0;F=z-1|0;I=c[2504848]|0;if((F|0)>0){H=z+1|0;J=w;O=F;F=I;while(1){$d[F&511](a[J]|0);P=O-1|0;Q=c[2504848]|0;if((P|0)>0){J=J+1|0;O=P;F=Q}else{break}}R=l+H|0;S=Q}else{R=w;S=I}$d[S&511](46);N=R}}while(0);if((y|0)==0){T=N}else{z=l+(x+2)|0;if(N>>>0<z>>>0){v=N;while(1){F=v+1|0;$d[c[2504848]&511](a[v]|0);if(F>>>0<z>>>0){v=F}else{U=F;break}}}else{U=N}v=y;while(1){$d[c[2504848]&511](48);z=v-1|0;if((z|0)>0){v=z}else{T=U;break}}}if(T>>>0<p>>>0){v=T;while(1){y=v+1|0;$d[c[2504848]&511](a[v]|0);if(y>>>0<p>>>0){v=y}else{V=y;break}}}else{V=T}if(B){$d[c[2504848]&511](a[V+1|0]|0);i=k;return 0}v=G+1|0;if((v|0)<=(m|0)){p=v;do{$d[c[2504848]&511](48);p=p+1|0;}while((p|0)<=(m|0))}p=a[V]|0;if(p<<24>>24==0){i=k;return 0}else{W=V;X=p}do{W=W+1|0;$d[c[2504848]&511](X<<24>>24);X=a[W]|0;}while(!(X<<24>>24==0));i=k;return 0}}while(0);if((d|0)>0){Y=d}else{i=k;return 0}do{Y=Y-1|0;$d[c[2504848]&511](42);}while((Y|0)>0);i=k;return 0}function C9(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var j=0,k=0,l=0.0,m=0,n=0.0,o=0,p=0.0,q=0.0,r=0,s=0,t=0,u=0,v=0,w=0;j=i;i=i+656|0;k=j|0;if((f|0)==4){l=+g[b>>2]}else{l=+h[b>>3]}b=(e|0)<344;f=b?e:344;m=b?0:e-344|0;do{if(l<0.0){n=-0.0-l;o=1}else{if(l!=0.0){n=l;o=0;break}n=0.0;o=0}}while(0);e=c[2504828]|0;if((e|0)==0){p=n}else{if((e|0)>0){l=n;b=e;while(1){q=l*10.0;r=b-1|0;if((r|0)>0){l=q;b=r}else{p=q;break}}}else{l=n;b=e;while(1){n=l*.1;e=b+1|0;if((e|0)<0){l=n;b=e}else{p=n;break}}}}b=k|0;e=Rb(b|0,55896,(r=i,i=i+16|0,c[r>>2]=f,h[r+8>>3]=p,r)|0)|0;i=r;r=e+m|0;if((a[b]|0)!=48|(f|0)==0){s=b;t=r}else{s=k+1|0;t=r-1|0}a:do{if((o|0)==1){r=s;while(1){k=a[r]|0;if(!(k<<24>>24==48)){b=k<<24>>24;if((b|0)==0){u=0;break a}else if((b|0)!=46){break}}r=r+1|0}u=1}else{u=o}}while(0);o=(u|0)==0;r=((c[2504890]|u|0)!=0)+t|0;if((r|0)>(d|0)){if((d|0)>0){v=d}else{i=j;return 0}do{v=v-1|0;$d[c[2504848]&511](42);}while((v|0)>0);i=j;return 0}v=d-r|0;if((v|0)>0){r=v;do{r=r-1|0;$d[c[2504848]&511](32);}while((r|0)>0)}do{if(o){if((c[2504890]|0)==0){break}$d[c[2504848]&511](43)}else{$d[c[2504848]&511](45)}}while(0);o=a[s]|0;if(!(o<<24>>24==0)){r=s;s=o;do{r=r+1|0;$d[c[2504848]&511](s<<24>>24);s=a[r]|0;}while(!(s<<24>>24==0))}if((m|0)>0){w=m}else{i=j;return 0}do{w=w-1|0;$d[c[2504848]&511](48);}while((w|0)>0);i=j;return 0}function D9(d,e,f){d=d|0;e=e|0;f=f|0;var g=0;if((f|0)==4){g=c[d>>2]|0}else if((f|0)==1){g=a[d]|0}else{g=b[d>>1]|0}d=e-1|0;if((d|0)>0){e=0;do{$d[c[2504848]&511](32);e=e+1|0;}while((e|0)<(d|0))}d=c[2504848]|0;if((g|0)==0){$d[d&511](70);return 0}else{$d[d&511](84);return 0}return 0}function E9(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0;e=i;if((c[2504888]|0)==0){f=3}else{g=F9()|0;if((g|0)==0){f=3}else{h=g}}a:do{if((f|0)==3){g=c[a>>2]|0;switch(g|0){case 35:{L9(b,c[a+4>>2]|0,0,d);h=0;break a;break};case 31:{J9(b,c[a+4>>2]|0,d);h=0;break a;break};case 10:{H9(b,c[a+4>>2]|0,c[a+8>>2]|0,d,10);h=0;break a;break};case 34:{H9(b,c[a+4>>2]|0,c[a+8>>2]|0,d,8);h=0;break a;break};case 36:{L9(b,c[a+4>>2]|0,c[a+8>>2]|0,d);h=0;break a;break};case 27:case 28:{h=K9(b,c[a+4>>2]|0,c[a+8>>2]|0,c[a+12>>2]|0,d)|0;break a;break};case 29:{D9(b,c[a+4>>2]|0,d)|0;h=0;break a;break};case 7:{break};case 23:{h=C9(b,c[a+4>>2]|0,c[a+8>>2]|0,d)|0;break a;break};case 32:{G9(b,c[a+4>>2]|0,d,8);h=0;break a;break};case 30:{I9(b,d);h=0;break a;break};case 26:case 24:case 25:{h=B9(b,c[a+4>>2]|0,c[a+8>>2]|0,c[a+12>>2]|0,d)|0;break a;break};default:{td(c[u>>2]|0,9948352,(j=i,i=i+8|0,c[j>>2]=g,j)|0)|0;i=j;Q8(c[2504870]|0,1)}}G9(b,c[a+4>>2]|0,d,10);h=0}}while(0);i=e;return h|0}function F9(){var a=0,b=0,d=0,e=0,f=0,g=0,h=0,i=0;a=c[2504888]|0;c[2504888]=0;if((c[2504872]|0)!=0){if((a|0)>0){b=c[2504866]|0;d=c[2504844]|0;if((b|0)<=(d|0)){e=a;while(1){$d[c[2504848]&511](32);f=e-1|0;if((f|0)>0){e=f}else{g=0;break}}return g|0}e=d+a|0;if((b|0)>(e|0)){c[2504844]=e;g=0;return g|0}e=a-b+d|0;c[2504844]=b;if((e|0)>0){h=e}else{g=0;return g|0}while(1){$d[c[2504848]&511](32);e=h-1|0;if((e|0)>0){h=e}else{g=0;break}}return g|0}if((a|0)>=0){g=0;return g|0}h=c[2504844]|0;e=h+a|0;if((e|0)>=0){if((c[2504866]|0)<(h|0)){c[2504866]=h}c[2504844]=e;g=0;return g|0}if((c[c[2504874]>>2]|0)==0){$8(110,9952600);g=110;return g|0}else{c[(cd()|0)>>2]=110;g=110;return g|0}}if((a|0)<0){e=c[2504844]|0;if((c[2504866]|0)<(e|0)){c[2504866]=e}h=e+a|0;c[2504844]=h;c[2504864]=(c[2504864]|0)+a;if((h|0)>=0){g=0;return g|0}if((c[c[2504874]>>2]|0)==0){$8(110,9952600);g=110;return g|0}else{c[(cd()|0)>>2]=110;g=110;return g|0}}if((a|0)<=0){g=0;return g|0}h=c[2504844]|0;e=h+a|0;if((e|0)>=(c[(c[2504824]|0)+16>>2]|0)){if((c[c[2504874]>>2]|0)==0){$8(110,55800);g=110;return g|0}else{c[(cd()|0)>>2]=110;g=110;return g|0}}b=c[2504866]|0;if((b|0)<=(h|0)){d=a;while(1){$d[c[2504848]&511](32);f=d-1|0;if((f|0)>0){d=f}else{g=0;break}}return g|0}if((b|0)>(e|0)){c[2504864]=(c[2504864]|0)+a;c[2504844]=e;g=0;return g|0}e=b-h|0;h=a-e|0;c[2504864]=(c[2504864]|0)+e;c[2504844]=b;if((h|0)>0){i=h}else{g=0;return g|0}while(1){$d[c[2504848]&511](32);h=i-1|0;if((h|0)>0){i=h}else{g=0;break}}return g|0}function G9(d,e,f,g){d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;i=i+16|0;j=h|0;k=h+8|0;if((f|0)==4){l=c[d>>2]|0}else if((f|0)==1){l=a[d]|0}else{l=b[d>>1]|0}d=q9(l,j,k,g)|0;g=c[k>>2]|0;l=(((c[2504890]|g|0)!=0)<<31>>31)+(e-(c[j>>2]|0))|0;if((l|0)<0){if((e|0)>0){m=0}else{i=h;return}do{$d[c[2504848]&511](42);m=m+1|0;}while((m|0)<(e|0));i=h;return}if((l|0)>0){e=0;do{$d[c[2504848]&511](32);e=e+1|0;}while((e|0)<(l|0));n=c[k>>2]|0}else{n=g}do{if((n|0)==0){if((c[2504890]|0)==0){break}$d[c[2504848]&511](43)}else{$d[c[2504848]&511](45)}}while(0);if((c[j>>2]|0)>0){o=0;p=d}else{i=h;return}while(1){$d[c[2504848]&511](a[p]|0);d=o+1|0;if((d|0)<(c[j>>2]|0)){o=d;p=p+1|0}else{break}}i=h;return}function H9(d,e,f,g,h){d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;j=i;i=i+16|0;k=j|0;l=j+8|0;if((g|0)==4){m=c[d>>2]|0}else if((g|0)==1){m=a[d]|0}else{m=b[d>>1]|0}d=q9(m,k,l,h)|0;h=c[l>>2]|0;g=(c[2504890]|h|0)!=0|0;n=c[k>>2]|0;do{if((g+n|0)<=(e|0)){if((g+f|0)>(e|0)){break}if((m|f|0)==0){if((e|0)>0){o=0}else{i=j;return}do{$d[c[2504848]&511](32);o=o+1|0;}while((o|0)<(e|0));i=j;return}p=e-((n|0)<(f|0)?f:n)-g|0;if((p|0)>0){q=0;do{$d[c[2504848]&511](32);q=q+1|0;}while((q|0)<(p|0));r=c[l>>2]|0}else{r=h}do{if((r|0)==0){if((c[2504890]|0)==0){break}$d[c[2504848]&511](43)}else{$d[c[2504848]&511](45)}}while(0);p=c[k>>2]|0;if((f-p|0)>0){q=0;while(1){$d[c[2504848]&511](48);s=q+1|0;t=c[k>>2]|0;if((s|0)<(f-t|0)){q=s}else{u=t;break}}}else{u=p}if((u|0)>0){v=0;w=d}else{i=j;return}while(1){$d[c[2504848]&511](a[w]|0);q=v+1|0;if((q|0)<(c[k>>2]|0)){v=q;w=w+1|0}else{break}}i=j;return}}while(0);if((e|0)>0){x=0}else{i=j;return}do{$d[c[2504848]&511](42);x=x+1|0;}while((x|0)<(e|0));i=j;return}function I9(b,d){b=b|0;d=d|0;var e=0,f=0;if((d|0)>0){e=b;f=d}else{return}while(1){d=f-1|0;$d[c[2504848]&511](a[e]|0);if((d|0)>0){e=e+1|0;f=d}else{break}}return}function J9(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0;if((d|0)>(e|0)){f=d;while(1){g=f-1|0;$d[c[2504848]&511](32);if((g|0)>(e|0)){f=g}else{h=e;break}}}else{h=d}if((h|0)>0){i=h;j=b}else{return}while(1){b=i-1|0;$d[c[2504848]&511](a[j]|0);if((b|0)>0){i=b;j=j+1|0}else{break}}return}function K9(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var i=0.0,j=0.0,k=0,l=0,m=0,n=0;if((f|0)==4){i=+g[a>>2]}else{i=+h[a>>3]}if(i<0.0){j=-0.0-i}else{j=i}a:do{if(j<.1){if(!(j!=0.0)){k=1;break}l=B9(a,b,d,e,f)|0;return l|0}else{if((d|0)>=0){i=1.0;m=0;while(1){if(j<i){k=m;break a}n=m+1|0;if((n|0)>(d|0)){break}else{i=i*10.0;m=n}}}l=B9(a,b,d,e,f)|0;return l|0}}while(0);m=c[2504828]|0;c[2504828]=0;n=(e|0)==0?4:e+2|0;e=C9(a,b-n|0,d-k|0,f)|0;if((n|0)>0){f=0;do{$d[c[2504848]&511](32);f=f+1|0;}while((f|0)<(n|0))}c[2504828]=m;l=e;return l|0}function L9(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;h=b;i=h+(g-1)|0;while(1){if((i|0)==(h|0)){j=3;break}g=a[i]|0;if(g<<24>>24==0){i=i-1|0}else{k=i;l=0;m=g;break}}if((j|0)==3){k=h;l=1;m=a[h]|0}j=((m&255)>>>0>15>>>0)+(k-b<<1|1)|0;if((j|0)>(e|0)){if((e|0)>0){n=0}else{return}do{$d[c[2504848]&511](42);n=n+1|0;}while((n|0)<(e|0));return}n=f-j|0;b=(n|0)>0;m=b?f:j;j=e-1|0;if((j|0)>=(m|0)){e=j;do{$d[c[2504848]&511](32);e=e-1|0;}while((e|0)>=(m|0))}if(b){b=n;do{b=b-1|0;$d[c[2504848]&511](48);}while((b|0)>0)}b=a[k]|0;do{if((b&240|0)==0){$d[c[2504848]&511](a[344+(b&15)|0]|0);if(l){return}else{o=k-1|0;break}}else{o=k}}while(0);while(1){$d[c[2504848]&511](a[344+((d[o]|0)>>>4)|0]|0);$d[c[2504848]&511](a[344+(a[o]&15)|0]|0);if((o|0)==(h|0)){break}o=o-1|0}return}function M9(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;d=c[a>>2]|0;switch(d|0){case 11:{e=N9(c[a+8>>2]|0)|0;i=b;return e|0};case 12:{e=O9(c[a+4>>2]|0,c[a+8>>2]|0)|0;i=b;return e|0};case 15:{c[2504888]=(c[a+4>>2]|0)-1-(c[2504844]|0);e=1;i=b;return e|0};case 14:case 4:{c[2504888]=(c[2504888]|0)+(c[a+4>>2]|0);e=1;i=b;return e|0};case 13:{f=(c[2504888]|0)-(c[a+4>>2]|0)|0;c[2504888]=f;a=-(c[2504844]|0)|0;if((f|0)>=(a|0)){e=1;i=b;return e|0}c[2504888]=a;e=1;i=b;return e|0};case 5:{break};default:{td(c[u>>2]|0,9975152,(a=i,i=i+8|0,c[a>>2]=d,a)|0)|0;i=a;Q8(c[2504870]|0,1)}}e=pe[c[2504878]&15]()|0;i=b;return e|0}function N9(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;do{if((c[2504888]|0)!=0){d=F9()|0;if((d|0)==0){break}else{e=d}return e|0}}while(0);d=a[b]|0;f=b+1|0;g=a[f]|0;if(g<<24>>24==0){e=1;return e|0}else{h=b;i=f;j=g}while(1){if(j<<24>>24==d<<24>>24){g=h+2|0;if(!((a[g]|0)==d<<24>>24)){e=1;k=9;break}$d[c[2504848]&511](d<<24>>24);l=g}else{$d[c[2504848]&511](j<<24>>24);l=i}g=l+1|0;f=a[g]|0;if(f<<24>>24==0){e=1;k=9;break}else{h=l;i=g;j=f}}if((k|0)==9){return e|0}return 0}function O9(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0;do{if((c[2504888]|0)!=0){e=F9()|0;if((e|0)==0){break}else{f=e}return f|0}}while(0);if((b|0)==0){f=1;return f|0}else{g=b;h=d}while(1){d=g-1|0;$d[c[2504848]&511](a[h]|0);if((d|0)==0){f=1;break}else{g=d;h=h+1|0}}return f|0}function P9(){var a=0;a=r9(10)|0;c[2504888]=0;c[2504844]=0;c[2504866]=0;return(a|0)==0|0}function Q9(a){a=a|0;var b=0,d=0,e=0;if((c[2504856]|0)==0){a9()}c[2504846]=0;c[2504826]=1;c[2504868]=1;c[2504872]=1;b=x9(a)|0;if((b|0)!=0){d=b;return d|0}c[2504874]=a;c[2504844]=0;c[2504888]=0;c[2504866]=0;c[2504854]=0;c[2504828]=0;b=c[a+12>>2]|0;c[2504870]=b;c[2504904]=c[c[2504886]>>2];if((d9(b)|0)<0){if((c[a>>2]|0)==0){$8(100,9946184);d=100;return d|0}else{c[(cd()|0)>>2]=100;d=100;return d|0}}c[2504848]=258;c[2504884]=26;c[2504880]=190;c[2504882]=2;c[2504876]=4;c[2504878]=6;i9();c[2504890]=0;b=c[2504886]|0;c[2504906]=c[b+32>>2];if((c[b+40>>2]|0)==1){d=0;return d|0}if((b9(b)|0)==0){d=0;return d|0}b=(c[a>>2]|0)==0;a=cd()|0;e=c[a>>2]|0;if(b){$8(e,9974976);d=c[a>>2]|0;return d|0}else{c[a>>2]=e;d=e;return d|0}return 0}function R9(){var a=0;if((c[2504854]|0)==0){a=r9(10)|0}else{r9(0)|0;Ta(c[2504904]|0)|0;a=0}c[2504888]=0;c[2504844]=0;c[2504866]=0;return a|0}function S9(){var a=0,b=0;if((c[2502422]|0)==0){a=0}else{b=r9(10)|0;c[2502422]=0;a=b}c[2504888]=0;c[2504844]=0;c[2504866]=0;return a|0}function T9(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;b=i;i=i+32|0;d=b|0;e=b+8|0;f=b+16|0;g=b+24|0;h=c[p>>2]|0;naa(10026136,h,10026264);c[2506782]=9987692;c[2506784]=9987712;c[2506783]=0;eca(10027136,10026136);c[2506802]=0;c[2506803]=-1;j=c[r>>2]|0;c[2506510]=9987376;Oha(10026044);Qla(10026048,0,24)|0;c[2506510]=9987912;c[2506518]=j;Pha(g,10026044);k=Sha(g,10026464)|0;l=k;Qha(g);c[2506519]=l;c[2506520]=10026272;a[10026084]=(ce[c[(c[k>>2]|0)+28>>2]&255](l)|0)&1;c[2506716]=9987596;c[2506717]=9987616;eca(10026868,10026040);c[2506735]=0;c[2506736]=-1;l=c[u>>2]|0;c[2506522]=9987376;Oha(10026092);Qla(10026096,0,24)|0;c[2506522]=9987912;c[2506530]=l;Pha(f,10026092);k=Sha(f,10026464)|0;g=k;Qha(f);c[2506531]=g;c[2506532]=10026280;a[10026132]=(ce[c[(c[k>>2]|0)+28>>2]&255](g)|0)&1;c[2506760]=9987596;c[2506761]=9987616;eca(10027044,10026088);c[2506779]=0;c[2506780]=-1;g=c[(c[(c[2506760]|0)-12>>2]|0)+10027064>>2]|0;c[2506738]=9987596;c[2506739]=9987616;eca(10026956,g);c[2506757]=0;c[2506758]=-1;c[(c[(c[2506782]|0)-12>>2]|0)+10027200>>2]=10026864;g=(c[(c[2506760]|0)-12>>2]|0)+10027044|0;c[g>>2]=c[g>>2]|8192;c[(c[(c[2506760]|0)-12>>2]|0)+10027112>>2]=10026864;$9(10025984,h,10026288);c[2506694]=9987644;c[2506696]=9987664;c[2506695]=0;eca(10026784,10025984);c[2506714]=0;c[2506715]=-1;c[2506472]=9987304;Oha(10025892);Qla(10025896,0,24)|0;c[2506472]=9987840;c[2506480]=j;Pha(e,10025892);j=Sha(e,10026456)|0;h=j;Qha(e);c[2506481]=h;c[2506482]=10026296;a[10025932]=(ce[c[(c[j>>2]|0)+28>>2]&255](h)|0)&1;c[2506624]=9987548;c[2506625]=9987568;eca(10026500,10025888);c[2506643]=0;c[2506644]=-1;c[2506484]=9987304;Oha(10025940);Qla(10025944,0,24)|0;c[2506484]=9987840;c[2506492]=l;Pha(d,10025940);l=Sha(d,10026456)|0;h=l;Qha(d);c[2506493]=h;c[2506494]=10026304;a[10025980]=(ce[c[(c[l>>2]|0)+28>>2]&255](h)|0)&1;c[2506668]=9987548;c[2506669]=9987568;eca(10026676,10025936);c[2506687]=0;c[2506688]=-1;h=c[(c[(c[2506668]|0)-12>>2]|0)+10026696>>2]|0;c[2506646]=9987548;c[2506647]=9987568;eca(10026588,h);c[2506665]=0;c[2506666]=-1;c[(c[(c[2506694]|0)-12>>2]|0)+10026848>>2]=10026496;h=(c[(c[2506668]|0)-12>>2]|0)+10026676|0;c[h>>2]=c[h>>2]|8192;c[(c[(c[2506668]|0)-12>>2]|0)+10026744>>2]=10026496;i=b;return}function U9(a){a=a|0;cda(10026864)|0;cda(10026952)|0;jda(10026496)|0;jda(10026584)|0;return}function V9(a){a=a|0;c[a>>2]=9987304;Qha(a+4|0);return}function W9(a){a=a|0;c[a>>2]=9987304;Qha(a+4|0);tla(a);return}function X9(b,d){b=b|0;d=d|0;var e=0;ce[c[(c[b>>2]|0)+24>>2]&255](b)|0;e=Sha(d,10026456)|0;d=e;c[b+36>>2]=d;a[b+44|0]=(ce[c[(c[e>>2]|0)+28>>2]&255](d)|0)&1;return}function Y9(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;b=i;i=i+16|0;d=b|0;e=b+8|0;f=a+36|0;g=a+40|0;h=d|0;j=d+8|0;k=d;d=a+32|0;while(1){a=c[f>>2]|0;l=de[c[(c[a>>2]|0)+20>>2]&127](a,c[g>>2]|0,h,j,e)|0;a=(c[e>>2]|0)-k|0;if((Ya(h|0,1,a|0,c[d>>2]|0)|0)!=(a|0)){m=-1;n=5;break}if((l|0)==2){m=-1;n=5;break}else if((l|0)!=1){n=4;break}}if((n|0)==4){m=((Ta(c[d>>2]|0)|0)!=0)<<31>>31;i=b;return m|0}else if((n|0)==5){i=b;return m|0}return 0}function Z9(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0;if((a[b+44|0]|0)!=0){f=Ya(d|0,4,e|0,c[b+32>>2]|0)|0;return f|0}g=b;if((e|0)>0){h=d;i=0}else{f=0;return f|0}while(1){if((me[c[(c[g>>2]|0)+52>>2]&127](b,c[h>>2]|0)|0)==-1){f=i;j=6;break}d=i+1|0;if((d|0)<(e|0)){h=h+4|0;i=d}else{f=d;j=6;break}}if((j|0)==6){return f|0}return 0}function _9(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;e=i;i=i+32|0;f=e|0;g=e+8|0;h=e+16|0;j=e+24|0;k=(d|0)==-1;a:do{if(!k){c[g>>2]=d;if((a[b+44|0]|0)!=0){if((Ya(g|0,4,1,c[b+32>>2]|0)|0)==1){break}else{l=-1}i=e;return l|0}m=f|0;c[h>>2]=m;n=g+4|0;o=b+36|0;p=b+40|0;q=f+8|0;r=f;s=b+32|0;t=g;while(1){u=c[o>>2]|0;v=oe[c[(c[u>>2]|0)+12>>2]&31](u,c[p>>2]|0,t,n,j,m,q,h)|0;if((c[j>>2]|0)==(t|0)){l=-1;w=12;break}if((v|0)==3){w=7;break}u=(v|0)==1;if(!(v>>>0<2>>>0)){l=-1;w=12;break}v=(c[h>>2]|0)-r|0;if((Ya(m|0,1,v|0,c[s>>2]|0)|0)!=(v|0)){l=-1;w=12;break}if(u){t=u?c[j>>2]|0:t}else{break a}}if((w|0)==7){if((Ya(t|0,1,1,c[s>>2]|0)|0)==1){break}else{l=-1}i=e;return l|0}else if((w|0)==12){i=e;return l|0}}}while(0);l=k?0:d;i=e;return l|0}function $9(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;f=i;i=i+8|0;g=f|0;h=b|0;c[h>>2]=9987304;j=b+4|0;Oha(j);Qla(b+8|0,0,24)|0;c[h>>2]=9988240;c[b+32>>2]=d;c[b+40>>2]=e;c[b+48>>2]=-1;a[b+52|0]=0;Pha(g,j);j=Sha(g,10026456)|0;e=j;d=b+36|0;c[d>>2]=e;h=b+44|0;c[h>>2]=ce[c[(c[j>>2]|0)+24>>2]&255](e)|0;e=c[d>>2]|0;a[b+53|0]=(ce[c[(c[e>>2]|0)+28>>2]&255](e)|0)&1;if((c[h>>2]|0)<=8){Qha(g);i=f;return}_ga(24160);Qha(g);i=f;return}function aaa(a){a=a|0;c[a>>2]=9987304;Qha(a+4|0);return}function baa(a){a=a|0;c[a>>2]=9987304;Qha(a+4|0);tla(a);return}function caa(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=Sha(d,10026456)|0;d=e;f=b+36|0;c[f>>2]=d;g=b+44|0;c[g>>2]=ce[c[(c[e>>2]|0)+24>>2]&255](d)|0;d=c[f>>2]|0;a[b+53|0]=(ce[c[(c[d>>2]|0)+28>>2]&255](d)|0)&1;if((c[g>>2]|0)<=8){return}_ga(24160);return}function daa(a){a=a|0;return gaa(a,0)|0}function eaa(a){a=a|0;return gaa(a,1)|0}function faa(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=i;i=i+32|0;f=e|0;g=e+8|0;h=e+16|0;j=e+24|0;k=b+52|0;l=(a[k]|0)!=0;if((d|0)==-1){if(l){m=-1;i=e;return m|0}n=c[b+48>>2]|0;a[k]=(n|0)!=-1|0;m=n;i=e;return m|0}n=b+48|0;a:do{if(l){c[h>>2]=c[n>>2];o=c[b+36>>2]|0;p=f|0;q=oe[c[(c[o>>2]|0)+12>>2]&31](o,c[b+40>>2]|0,h,h+4|0,j,p,f+8|0,g)|0;if((q|0)==2|(q|0)==1){m=-1;i=e;return m|0}else if((q|0)==3){a[p]=c[n>>2];c[g>>2]=f+1}q=b+32|0;while(1){o=c[g>>2]|0;if(!(o>>>0>p>>>0)){break a}r=o-1|0;c[g>>2]=r;if((jd(a[r]|0,c[q>>2]|0)|0)==-1){m=-1;break}}i=e;return m|0}}while(0);c[n>>2]=d;a[k]=1;m=d;i=e;return m|0}function gaa(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;e=i;i=i+32|0;f=e|0;g=e+8|0;h=e+16|0;j=e+24|0;k=b+52|0;if((a[k]|0)!=0){l=b+48|0;m=c[l>>2]|0;if(!d){n=m;i=e;return n|0}c[l>>2]=-1;a[k]=0;n=m;i=e;return n|0}m=c[b+44>>2]|0;k=(m|0)>1?m:1;a:do{if((k|0)>0){m=b+32|0;l=0;while(1){o=Db(c[m>>2]|0)|0;if((o|0)==-1){n=-1;break}a[f+l|0]=o;l=l+1|0;if((l|0)>=(k|0)){break a}}i=e;return n|0}}while(0);b:do{if((a[b+53|0]|0)==0){l=b+40|0;m=b+36|0;o=f|0;p=g+4|0;q=b+32|0;r=k;while(1){s=c[l>>2]|0;t=s;u=c[t>>2]|0;v=c[t+4>>2]|0;t=c[m>>2]|0;w=f+r|0;x=oe[c[(c[t>>2]|0)+16>>2]&31](t,s,o,w,h,g,p,j)|0;if((x|0)==3){y=14;break}else if((x|0)==2){n=-1;y=22;break}else if((x|0)!=1){z=r;break b}x=c[l>>2]|0;c[x>>2]=u;c[x+4>>2]=v;if((r|0)==8){n=-1;y=22;break}v=Db(c[q>>2]|0)|0;if((v|0)==-1){n=-1;y=22;break}a[w]=v;r=r+1|0}if((y|0)==14){c[g>>2]=a[o]|0;z=r;break}else if((y|0)==22){i=e;return n|0}}else{c[g>>2]=a[f|0]|0;z=k}}while(0);if(d){d=c[g>>2]|0;c[b+48>>2]=d;n=d;i=e;return n|0}d=b+32|0;b=z;while(1){if((b|0)<=0){break}z=b-1|0;if((jd(a[f+z|0]|0,c[d>>2]|0)|0)==-1){n=-1;y=22;break}else{b=z}}if((y|0)==22){i=e;return n|0}n=c[g>>2]|0;i=e;return n|0}function haa(a){a=a|0;c[a>>2]=9987376;Qha(a+4|0);return}function iaa(a){a=a|0;c[a>>2]=9987376;Qha(a+4|0);tla(a);return}function jaa(b,d){b=b|0;d=d|0;var e=0;ce[c[(c[b>>2]|0)+24>>2]&255](b)|0;e=Sha(d,10026464)|0;d=e;c[b+36>>2]=d;a[b+44|0]=(ce[c[(c[e>>2]|0)+28>>2]&255](d)|0)&1;return}function kaa(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;b=i;i=i+16|0;d=b|0;e=b+8|0;f=a+36|0;g=a+40|0;h=d|0;j=d+8|0;k=d;d=a+32|0;while(1){a=c[f>>2]|0;l=de[c[(c[a>>2]|0)+20>>2]&127](a,c[g>>2]|0,h,j,e)|0;a=(c[e>>2]|0)-k|0;if((Ya(h|0,1,a|0,c[d>>2]|0)|0)!=(a|0)){m=-1;n=5;break}if((l|0)==2){m=-1;n=5;break}else if((l|0)!=1){n=4;break}}if((n|0)==4){m=((Ta(c[d>>2]|0)|0)!=0)<<31>>31;i=b;return m|0}else if((n|0)==5){i=b;return m|0}return 0}function laa(b,e,f){b=b|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0;if((a[b+44|0]|0)!=0){g=Ya(e|0,1,f|0,c[b+32>>2]|0)|0;return g|0}h=b;if((f|0)>0){i=e;j=0}else{g=0;return g|0}while(1){if((me[c[(c[h>>2]|0)+52>>2]&127](b,d[i]|0)|0)==-1){g=j;k=6;break}e=j+1|0;if((e|0)<(f|0)){i=i+1|0;j=e}else{g=e;k=6;break}}if((k|0)==6){return g|0}return 0}function maa(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;e=i;i=i+32|0;f=e|0;g=e+8|0;h=e+16|0;j=e+24|0;k=(d|0)==-1;a:do{if(!k){a[g]=d;if((a[b+44|0]|0)!=0){if((Ya(g|0,1,1,c[b+32>>2]|0)|0)==1){break}else{l=-1}i=e;return l|0}m=f|0;c[h>>2]=m;n=g+1|0;o=b+36|0;p=b+40|0;q=f+8|0;r=f;s=b+32|0;t=g;while(1){u=c[o>>2]|0;v=oe[c[(c[u>>2]|0)+12>>2]&31](u,c[p>>2]|0,t,n,j,m,q,h)|0;if((c[j>>2]|0)==(t|0)){l=-1;w=12;break}if((v|0)==3){w=7;break}u=(v|0)==1;if(!(v>>>0<2>>>0)){l=-1;w=12;break}v=(c[h>>2]|0)-r|0;if((Ya(m|0,1,v|0,c[s>>2]|0)|0)!=(v|0)){l=-1;w=12;break}if(u){t=u?c[j>>2]|0:t}else{break a}}if((w|0)==7){if((Ya(t|0,1,1,c[s>>2]|0)|0)==1){break}else{l=-1}i=e;return l|0}else if((w|0)==12){i=e;return l|0}}}while(0);l=k?0:d;i=e;return l|0}function naa(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;f=i;i=i+8|0;g=f|0;h=b|0;c[h>>2]=9987376;j=b+4|0;Oha(j);Qla(b+8|0,0,24)|0;c[h>>2]=9988312;c[b+32>>2]=d;c[b+40>>2]=e;c[b+48>>2]=-1;a[b+52|0]=0;Pha(g,j);j=Sha(g,10026464)|0;e=j;d=b+36|0;c[d>>2]=e;h=b+44|0;c[h>>2]=ce[c[(c[j>>2]|0)+24>>2]&255](e)|0;e=c[d>>2]|0;a[b+53|0]=(ce[c[(c[e>>2]|0)+28>>2]&255](e)|0)&1;if((c[h>>2]|0)<=8){Qha(g);i=f;return}_ga(24160);Qha(g);i=f;return}function oaa(a){a=a|0;c[a>>2]=9987376;Qha(a+4|0);return}



function hfa(b,d,e,f,g,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=+j;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;d=i;i=i+152|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+8|0;m=d+40|0;n=d+48|0;o=d+112|0;p=d+120|0;q=d+128|0;r=d+136|0;s=d+144|0;c[k>>2]=37;c[k+4>>2]=0;t=k;k=t+1|0;u=f+4|0;v=c[u>>2]|0;if((v&2048|0)==0){w=k}else{a[k]=43;w=t+2|0}if((v&1024|0)==0){x=w}else{a[w]=35;x=w+1|0}w=v&260;k=v>>>14;do{if((w|0)==260){a[x]=76;v=x+1|0;if((k&1|0)==0){a[v]=97;y=0;break}else{a[v]=65;y=0;break}}else{a[x]=46;a[x+1|0]=42;a[x+2|0]=76;v=x+3|0;if((w|0)==256){if((k&1|0)==0){a[v]=101;y=1;break}else{a[v]=69;y=1;break}}else if((w|0)==4){if((k&1|0)==0){a[v]=102;y=1;break}else{a[v]=70;y=1;break}}else{if((k&1|0)==0){a[v]=103;y=1;break}else{a[v]=71;y=1;break}}}}while(0);k=l|0;c[m>>2]=k;do{if((a[10027328]|0)==0){if((cc(10027328)|0)==0){break}c[2506334]=pb(2147483647,9963736,0)|0}}while(0);l=c[2506334]|0;if(y){w=$ea(k,30,l,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;A=w}else{w=$ea(k,30,l,t,(z=i,i=i+8|0,h[z>>3]=j,z)|0)|0;i=z;A=w}do{if((A|0)>29){w=(a[10027328]|0)==0;if(y){do{if(w){if((cc(10027328)|0)==0){break}c[2506334]=pb(2147483647,9963736,0)|0}}while(0);l=ffa(m,c[2506334]|0,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;B=l}else{do{if(w){if((cc(10027328)|0)==0){break}c[2506334]=pb(2147483647,9963736,0)|0}}while(0);w=ffa(m,c[2506334]|0,t,(z=i,i=i+8|0,h[z>>3]=j,z)|0)|0;i=z;B=w}w=c[m>>2]|0;if((w|0)!=0){C=B;D=w;E=w;break}yla();w=c[m>>2]|0;C=B;D=w;E=w}else{C=A;D=0;E=c[m>>2]|0}}while(0);A=E+C|0;B=c[u>>2]&176;do{if((B|0)==16){u=a[E]|0;if((u<<24>>24|0)==45|(u<<24>>24|0)==43){F=E+1|0;break}if(!((C|0)>1&u<<24>>24==48)){G=53;break}u=a[E+1|0]|0;if(!((u<<24>>24|0)==120|(u<<24>>24|0)==88)){G=53;break}F=E+2|0}else if((B|0)==32){F=A}else{G=53}}while(0);if((G|0)==53){F=E}do{if((E|0)==(k|0)){H=n|0;I=0;J=k}else{G=lla(C<<1)|0;if((G|0)!=0){H=G;I=G;J=E;break}yla();H=0;I=0;J=c[m>>2]|0}}while(0);cca(q,f);gfa(J,F,A,H,o,p,q);yaa(c[q>>2]|0)|0;q=e|0;c[s>>2]=c[q>>2];F7(r,s,H,c[o>>2]|0,c[p>>2]|0,f,g);g=c[r>>2]|0;c[q>>2]=g;c[b>>2]=g;if((I|0)!=0){mla(I)}if((D|0)==0){i=d;return}mla(D);i=d;return}function ifa(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;d=i;i=i+104|0;j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=d|0;k=d+24|0;l=d+48|0;m=d+88|0;n=d+96|0;o=d+16|0;a[o]=a[9985360]|0;a[o+1|0]=a[9985361]|0;a[o+2|0]=a[9985362]|0;a[o+3|0]=a[9985363]|0;a[o+4|0]=a[9985364]|0;a[o+5|0]=a[9985365]|0;p=k|0;do{if((a[10027328]|0)==0){if((cc(10027328)|0)==0){break}c[2506334]=pb(2147483647,9963736,0)|0}}while(0);q=$ea(p,20,c[2506334]|0,o,(o=i,i=i+8|0,c[o>>2]=h,o)|0)|0;i=o;o=k+q|0;h=c[f+4>>2]&176;do{if((h|0)==32){r=o}else if((h|0)==16){s=a[p]|0;if((s<<24>>24|0)==45|(s<<24>>24|0)==43){r=k+1|0;break}if(!((q|0)>1&s<<24>>24==48)){t=12;break}s=a[k+1|0]|0;if(!((s<<24>>24|0)==120|(s<<24>>24|0)==88)){t=12;break}r=k+2|0}else{t=12}}while(0);if((t|0)==12){r=p}cca(m,f);t=m|0;m=c[t>>2]|0;if(!((c[2506692]|0)==-1)){c[j>>2]=10026768;c[j+4>>2]=84;c[j+8>>2]=0;Taa(10026768,j,124)}j=(c[2506693]|0)-1|0;h=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-h>>2>>>0>j>>>0){s=c[h+(j<<2)>>2]|0;if((s|0)==0){break}yaa(c[t>>2]|0)|0;u=l|0;qe[c[(c[s>>2]|0)+32>>2]&127](s,p,o,u)|0;s=l+q|0;if((r|0)==(o|0)){v=s;w=e|0;x=c[w>>2]|0;y=n|0;c[y>>2]=x;F7(b,n,u,v,s,f,g);i=d;return}v=l+(r-k)|0;w=e|0;x=c[w>>2]|0;y=n|0;c[y>>2]=x;F7(b,n,u,v,s,f,g);i=d;return}}while(0);d=Gd(4)|0;Ska(d);xc(d|0,9991800,176)}function jfa(a){a=a|0;waa(a|0);tla(a);return}function kfa(a){a=a|0;waa(a|0);return}function lfa(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;j=i;i=i+48|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=j|0;l=j+16|0;m=j+24|0;n=j+32|0;if((c[f+4>>2]&1|0)==0){o=c[(c[d>>2]|0)+24>>2]|0;c[l>>2]=c[e>>2];he[o&63](b,d,l,f,g,h&1);i=j;return}cca(m,f);f=m|0;m=c[f>>2]|0;if(!((c[2506594]|0)==-1)){c[k>>2]=10026376;c[k+4>>2]=84;c[k+8>>2]=0;Taa(10026376,k,124)}k=(c[2506595]|0)-1|0;g=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-g>>2>>>0>k>>>0){l=c[g+(k<<2)>>2]|0;if((l|0)==0){break}d=l;yaa(c[f>>2]|0)|0;o=c[l>>2]|0;if(h){ae[c[o+24>>2]&255](n,d)}else{ae[c[o+28>>2]&255](n,d)}d=n;o=a[d]|0;if((o&1)==0){l=n+4|0;p=l;q=l;r=n+8|0}else{l=n+8|0;p=c[l>>2]|0;q=n+4|0;r=l}l=e|0;s=p;t=o;while(1){if((t&1)==0){u=(t&255)>>>1;v=q}else{u=c[q>>2]|0;v=c[r>>2]|0}if((s|0)==(v+(u<<2)|0)){break}o=c[s>>2]|0;w=c[l>>2]|0;do{if((w|0)!=0){x=w+24|0;y=c[x>>2]|0;if((y|0)==(c[w+28>>2]|0)){z=me[c[(c[w>>2]|0)+52>>2]&127](w,o)|0}else{c[x>>2]=y+4;c[y>>2]=o;z=o}if(!((z|0)==-1)){break}c[l>>2]=0}}while(0);s=s+4|0;t=a[d]|0}c[b>>2]=c[l>>2];Kba(n);i=j;return}}while(0);j=Gd(4)|0;Ska(j);xc(j|0,9991800,176)}function mfa(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+144|0;j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=d|0;k=d+8|0;l=d+24|0;m=d+112|0;n=d+120|0;o=d+128|0;p=d+136|0;q=j|0;a[q]=a[9985352]|0;a[q+1|0]=a[9985353]|0;a[q+2|0]=a[9985354]|0;a[q+3|0]=a[9985355]|0;a[q+4|0]=a[9985356]|0;a[q+5|0]=a[9985357]|0;r=j+1|0;s=f+4|0;t=c[s>>2]|0;if((t&2048|0)==0){u=r}else{a[r]=43;u=j+2|0}if((t&512|0)==0){v=u}else{a[u]=35;v=u+1|0}a[v]=108;u=v+1|0;v=t&74;do{if((v|0)==64){a[u]=111}else if((v|0)==8){if((t&16384|0)==0){a[u]=120;break}else{a[u]=88;break}}else{a[u]=100}}while(0);u=k|0;do{if((a[10027328]|0)==0){if((cc(10027328)|0)==0){break}c[2506334]=pb(2147483647,9963736,0)|0}}while(0);t=$ea(u,12,c[2506334]|0,q,(q=i,i=i+8|0,c[q>>2]=h,q)|0)|0;i=q;q=k+t|0;h=c[s>>2]&176;do{if((h|0)==32){w=q}else if((h|0)==16){s=a[u]|0;if((s<<24>>24|0)==45|(s<<24>>24|0)==43){w=k+1|0;break}if(!((t|0)>1&s<<24>>24==48)){x=22;break}s=a[k+1|0]|0;if(!((s<<24>>24|0)==120|(s<<24>>24|0)==88)){x=22;break}w=k+2|0}else{x=22}}while(0);if((x|0)==22){w=u}x=l|0;cca(o,f);nfa(u,w,q,x,m,n,o);yaa(c[o>>2]|0)|0;c[p>>2]=c[e>>2];ofa(b,p,x,c[m>>2]|0,c[n>>2]|0,f,g);i=d;return}function nfa(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0;k=i;i=i+48|0;l=k|0;m=k+16|0;n=k+32|0;o=j|0;j=c[o>>2]|0;if(!((c[2506690]|0)==-1)){c[m>>2]=10026760;c[m+4>>2]=84;c[m+8>>2]=0;Taa(10026760,m,124)}m=(c[2506691]|0)-1|0;p=c[j+8>>2]|0;if(!((c[j+12>>2]|0)-p>>2>>>0>m>>>0)){q=Gd(4)|0;r=q;Ska(r);xc(q|0,9991800,176)}j=c[p+(m<<2)>>2]|0;if((j|0)==0){q=Gd(4)|0;r=q;Ska(r);xc(q|0,9991800,176)}q=j;r=c[o>>2]|0;if(!((c[2506594]|0)==-1)){c[l>>2]=10026376;c[l+4>>2]=84;c[l+8>>2]=0;Taa(10026376,l,124)}l=(c[2506595]|0)-1|0;o=c[r+8>>2]|0;if(!((c[r+12>>2]|0)-o>>2>>>0>l>>>0)){s=Gd(4)|0;t=s;Ska(t);xc(s|0,9991800,176)}r=c[o+(l<<2)>>2]|0;if((r|0)==0){s=Gd(4)|0;t=s;Ska(t);xc(s|0,9991800,176)}s=r;ae[c[(c[r>>2]|0)+20>>2]&255](n,s);t=n;l=a[t]|0;if((l&1)==0){u=(l&255)>>>1}else{u=c[n+4>>2]|0}do{if((u|0)==0){qe[c[(c[j>>2]|0)+48>>2]&127](q,b,e,f)|0;l=f+(e-b<<2)|0;c[h>>2]=l;v=l}else{c[h>>2]=f;l=a[b]|0;if((l<<24>>24|0)==45|(l<<24>>24|0)==43){o=me[c[(c[j>>2]|0)+44>>2]&127](q,l)|0;l=c[h>>2]|0;c[h>>2]=l+4;c[l>>2]=o;w=b+1|0}else{w=b}do{if((e-w|0)>1){if((a[w]|0)!=48){x=w;break}o=w+1|0;l=a[o]|0;if(!((l<<24>>24|0)==120|(l<<24>>24|0)==88)){x=w;break}l=j;m=me[c[(c[l>>2]|0)+44>>2]&127](q,48)|0;p=c[h>>2]|0;c[h>>2]=p+4;c[p>>2]=m;m=me[c[(c[l>>2]|0)+44>>2]&127](q,a[o]|0)|0;o=c[h>>2]|0;c[h>>2]=o+4;c[o>>2]=m;x=w+2|0}else{x=w}}while(0);do{if((x|0)!=(e|0)){m=e-1|0;if(m>>>0>x>>>0){y=x;z=m}else{break}do{m=a[y]|0;a[y]=a[z]|0;a[z]=m;y=y+1|0;z=z-1|0;}while(y>>>0<z>>>0)}}while(0);m=ce[c[(c[r>>2]|0)+16>>2]&255](s)|0;if(x>>>0<e>>>0){o=n+1|0;l=j;p=n+4|0;A=n+8|0;B=0;C=0;D=x;while(1){E=(a[t]&1)==0;do{if((a[(E?o:c[A>>2]|0)+C|0]|0)==0){F=C;G=B}else{if((B|0)!=(a[(E?o:c[A>>2]|0)+C|0]|0)){F=C;G=B;break}H=c[h>>2]|0;c[h>>2]=H+4;c[H>>2]=m;H=a[t]|0;if((H&1)==0){I=(H&255)>>>1}else{I=c[p>>2]|0}F=(C>>>0<(I-1|0)>>>0)+C|0;G=0}}while(0);E=me[c[(c[l>>2]|0)+44>>2]&127](q,a[D]|0)|0;H=c[h>>2]|0;J=H+4|0;c[h>>2]=J;c[H>>2]=E;E=D+1|0;if(E>>>0<e>>>0){B=G+1|0;C=F;D=E}else{K=J;break}}}else{K=c[h>>2]|0}D=f+(x-b<<2)|0;if((D|0)==(K|0)){v=K;break}C=K-4|0;if(C>>>0>D>>>0){L=D;M=C}else{v=K;break}while(1){C=c[L>>2]|0;c[L>>2]=c[M>>2];c[M>>2]=C;C=L+4|0;D=M-4|0;if(C>>>0<D>>>0){L=C;M=D}else{v=K;break}}}}while(0);if((d|0)==(e|0)){N=v;c[g>>2]=N;gba(n);i=k;return}N=f+(d-b<<2)|0;c[g>>2]=N;gba(n);i=k;return}function ofa(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;k=i;i=i+16|0;l=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[l>>2];l=k|0;m=d|0;d=c[m>>2]|0;if((d|0)==0){c[b>>2]=0;i=k;return}n=g;g=e;o=n-g>>2;p=h+12|0;h=c[p>>2]|0;q=(h|0)>(o|0)?h-o|0:0;o=f;h=o-g|0;g=h>>2;do{if((h|0)>0){if((ee[c[(c[d>>2]|0)+48>>2]&127](d,e,g)|0)==(g|0)){break}c[m>>2]=0;c[b>>2]=0;i=k;return}}while(0);do{if((q|0)>0){Jba(l,q,j);if((a[l]&1)==0){r=l+4|0}else{r=c[l+8>>2]|0}if((ee[c[(c[d>>2]|0)+48>>2]&127](d,r,q)|0)==(q|0)){Kba(l);break}c[m>>2]=0;c[b>>2]=0;Kba(l);i=k;return}}while(0);l=n-o|0;o=l>>2;do{if((l|0)>0){if((ee[c[(c[d>>2]|0)+48>>2]&127](d,f,o)|0)==(o|0)){break}c[m>>2]=0;c[b>>2]=0;i=k;return}}while(0);c[p>>2]=0;c[b>>2]=d;i=k;return}function pfa(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+232|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+8|0;m=d+32|0;n=d+200|0;o=d+208|0;p=d+216|0;q=d+224|0;c[k>>2]=37;c[k+4>>2]=0;r=k;k=r+1|0;s=f+4|0;t=c[s>>2]|0;if((t&2048|0)==0){u=k}else{a[k]=43;u=r+2|0}if((t&512|0)==0){v=u}else{a[u]=35;v=u+1|0}a[v]=108;a[v+1|0]=108;u=v+2|0;v=t&74;do{if((v|0)==64){a[u]=111}else if((v|0)==8){if((t&16384|0)==0){a[u]=120;break}else{a[u]=88;break}}else{a[u]=100}}while(0);u=l|0;do{if((a[10027328]|0)==0){if((cc(10027328)|0)==0){break}c[2506334]=pb(2147483647,9963736,0)|0}}while(0);t=$ea(u,22,c[2506334]|0,r,(r=i,i=i+16|0,c[r>>2]=h,c[r+8>>2]=j,r)|0)|0;i=r;r=l+t|0;j=c[s>>2]&176;do{if((j|0)==32){w=r}else if((j|0)==16){s=a[u]|0;if((s<<24>>24|0)==45|(s<<24>>24|0)==43){w=l+1|0;break}if(!((t|0)>1&s<<24>>24==48)){x=22;break}s=a[l+1|0]|0;if(!((s<<24>>24|0)==120|(s<<24>>24|0)==88)){x=22;break}w=l+2|0}else{x=22}}while(0);if((x|0)==22){w=u}x=m|0;cca(p,f);nfa(u,w,r,x,n,o,p);yaa(c[p>>2]|0)|0;c[q>>2]=c[e>>2];ofa(b,q,x,c[n>>2]|0,c[o>>2]|0,f,g);i=d;return}function qfa(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+144|0;j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=d|0;k=d+8|0;l=d+24|0;m=d+112|0;n=d+120|0;o=d+128|0;p=d+136|0;q=j|0;a[q]=a[9985352]|0;a[q+1|0]=a[9985353]|0;a[q+2|0]=a[9985354]|0;a[q+3|0]=a[9985355]|0;a[q+4|0]=a[9985356]|0;a[q+5|0]=a[9985357]|0;r=j+1|0;s=f+4|0;t=c[s>>2]|0;if((t&2048|0)==0){u=r}else{a[r]=43;u=j+2|0}if((t&512|0)==0){v=u}else{a[u]=35;v=u+1|0}a[v]=108;u=v+1|0;v=t&74;do{if((v|0)==8){if((t&16384|0)==0){a[u]=120;break}else{a[u]=88;break}}else if((v|0)==64){a[u]=111}else{a[u]=117}}while(0);u=k|0;do{if((a[10027328]|0)==0){if((cc(10027328)|0)==0){break}c[2506334]=pb(2147483647,9963736,0)|0}}while(0);v=$ea(u,12,c[2506334]|0,q,(q=i,i=i+8|0,c[q>>2]=h,q)|0)|0;i=q;q=k+v|0;h=c[s>>2]&176;do{if((h|0)==32){w=q}else if((h|0)==16){s=a[u]|0;if((s<<24>>24|0)==45|(s<<24>>24|0)==43){w=k+1|0;break}if(!((v|0)>1&s<<24>>24==48)){x=22;break}s=a[k+1|0]|0;if(!((s<<24>>24|0)==120|(s<<24>>24|0)==88)){x=22;break}w=k+2|0}else{x=22}}while(0);if((x|0)==22){w=u}x=l|0;cca(o,f);nfa(u,w,q,x,m,n,o);yaa(c[o>>2]|0)|0;c[p>>2]=c[e>>2];ofa(b,p,x,c[m>>2]|0,c[n>>2]|0,f,g);i=d;return}function rfa(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+240|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+8|0;m=d+32|0;n=d+208|0;o=d+216|0;p=d+224|0;q=d+232|0;c[k>>2]=37;c[k+4>>2]=0;r=k;k=r+1|0;s=f+4|0;t=c[s>>2]|0;if((t&2048|0)==0){u=k}else{a[k]=43;u=r+2|0}if((t&512|0)==0){v=u}else{a[u]=35;v=u+1|0}a[v]=108;a[v+1|0]=108;u=v+2|0;v=t&74;do{if((v|0)==8){if((t&16384|0)==0){a[u]=120;break}else{a[u]=88;break}}else if((v|0)==64){a[u]=111}else{a[u]=117}}while(0);u=l|0;do{if((a[10027328]|0)==0){if((cc(10027328)|0)==0){break}c[2506334]=pb(2147483647,9963736,0)|0}}while(0);v=$ea(u,23,c[2506334]|0,r,(r=i,i=i+16|0,c[r>>2]=h,c[r+8>>2]=j,r)|0)|0;i=r;r=l+v|0;j=c[s>>2]&176;do{if((j|0)==16){s=a[u]|0;if((s<<24>>24|0)==45|(s<<24>>24|0)==43){w=l+1|0;break}if(!((v|0)>1&s<<24>>24==48)){x=22;break}s=a[l+1|0]|0;if(!((s<<24>>24|0)==120|(s<<24>>24|0)==88)){x=22;break}w=l+2|0}else if((j|0)==32){w=r}else{x=22}}while(0);if((x|0)==22){w=u}x=m|0;cca(p,f);nfa(u,w,r,x,n,o,p);yaa(c[p>>2]|0)|0;c[q>>2]=c[e>>2];ofa(b,q,x,c[n>>2]|0,c[o>>2]|0,f,g);i=d;return}function sfa(b,d,e,f,g,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=+j;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;d=i;i=i+320|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+8|0;m=d+40|0;n=d+48|0;o=d+280|0;p=d+288|0;q=d+296|0;r=d+304|0;s=d+312|0;c[k>>2]=37;c[k+4>>2]=0;t=k;k=t+1|0;u=f+4|0;v=c[u>>2]|0;if((v&2048|0)==0){w=k}else{a[k]=43;w=t+2|0}if((v&1024|0)==0){x=w}else{a[w]=35;x=w+1|0}w=v&260;k=v>>>14;do{if((w|0)==260){if((k&1|0)==0){a[x]=97;y=0;break}else{a[x]=65;y=0;break}}else{a[x]=46;v=x+2|0;a[x+1|0]=42;if((w|0)==256){if((k&1|0)==0){a[v]=101;y=1;break}else{a[v]=69;y=1;break}}else if((w|0)==4){if((k&1|0)==0){a[v]=102;y=1;break}else{a[v]=70;y=1;break}}else{if((k&1|0)==0){a[v]=103;y=1;break}else{a[v]=71;y=1;break}}}}while(0);k=l|0;c[m>>2]=k;do{if((a[10027328]|0)==0){if((cc(10027328)|0)==0){break}c[2506334]=pb(2147483647,9963736,0)|0}}while(0);l=c[2506334]|0;if(y){w=$ea(k,30,l,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;A=w}else{w=$ea(k,30,l,t,(z=i,i=i+8|0,h[z>>3]=j,z)|0)|0;i=z;A=w}do{if((A|0)>29){w=(a[10027328]|0)==0;if(y){do{if(w){if((cc(10027328)|0)==0){break}c[2506334]=pb(2147483647,9963736,0)|0}}while(0);l=ffa(m,c[2506334]|0,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;B=l}else{do{if(w){if((cc(10027328)|0)==0){break}c[2506334]=pb(2147483647,9963736,0)|0}}while(0);w=ffa(m,c[2506334]|0,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;B=w}w=c[m>>2]|0;if((w|0)!=0){C=B;D=w;E=w;break}yla();w=c[m>>2]|0;C=B;D=w;E=w}else{C=A;D=0;E=c[m>>2]|0}}while(0);A=E+C|0;B=c[u>>2]&176;do{if((B|0)==16){u=a[E]|0;if((u<<24>>24|0)==45|(u<<24>>24|0)==43){F=E+1|0;break}if(!((C|0)>1&u<<24>>24==48)){G=53;break}u=a[E+1|0]|0;if(!((u<<24>>24|0)==120|(u<<24>>24|0)==88)){G=53;break}F=E+2|0}else if((B|0)==32){F=A}else{G=53}}while(0);if((G|0)==53){F=E}do{if((E|0)==(k|0)){H=n|0;I=0;J=k}else{G=lla(C<<3)|0;B=G;if((G|0)!=0){H=B;I=B;J=E;break}yla();H=B;I=B;J=c[m>>2]|0}}while(0);cca(q,f);tfa(J,F,A,H,o,p,q);yaa(c[q>>2]|0)|0;q=e|0;c[s>>2]=c[q>>2];ofa(r,s,H,c[o>>2]|0,c[p>>2]|0,f,g);g=c[r>>2]|0;c[q>>2]=g;c[b>>2]=g;if((I|0)!=0){mla(I)}if((D|0)==0){i=d;return}mla(D);i=d;return}function tfa(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;k=i;i=i+48|0;l=k|0;m=k+16|0;n=k+32|0;o=j|0;j=c[o>>2]|0;if(!((c[2506690]|0)==-1)){c[m>>2]=10026760;c[m+4>>2]=84;c[m+8>>2]=0;Taa(10026760,m,124)}m=(c[2506691]|0)-1|0;p=c[j+8>>2]|0;if(!((c[j+12>>2]|0)-p>>2>>>0>m>>>0)){q=Gd(4)|0;r=q;Ska(r);xc(q|0,9991800,176)}j=c[p+(m<<2)>>2]|0;if((j|0)==0){q=Gd(4)|0;r=q;Ska(r);xc(q|0,9991800,176)}q=j;r=c[o>>2]|0;if(!((c[2506594]|0)==-1)){c[l>>2]=10026376;c[l+4>>2]=84;c[l+8>>2]=0;Taa(10026376,l,124)}l=(c[2506595]|0)-1|0;o=c[r+8>>2]|0;if(!((c[r+12>>2]|0)-o>>2>>>0>l>>>0)){s=Gd(4)|0;t=s;Ska(t);xc(s|0,9991800,176)}r=c[o+(l<<2)>>2]|0;if((r|0)==0){s=Gd(4)|0;t=s;Ska(t);xc(s|0,9991800,176)}s=r;ae[c[(c[r>>2]|0)+20>>2]&255](n,s);c[h>>2]=f;t=a[b]|0;if((t<<24>>24|0)==45|(t<<24>>24|0)==43){l=me[c[(c[j>>2]|0)+44>>2]&127](q,t)|0;t=c[h>>2]|0;c[h>>2]=t+4;c[t>>2]=l;u=b+1|0}else{u=b}l=e;a:do{if((l-u|0)>1){if((a[u]|0)!=48){v=u;w=34;break}t=u+1|0;o=a[t]|0;if(!((o<<24>>24|0)==120|(o<<24>>24|0)==88)){v=u;w=34;break}o=j;m=me[c[(c[o>>2]|0)+44>>2]&127](q,48)|0;p=c[h>>2]|0;c[h>>2]=p+4;c[p>>2]=m;m=u+2|0;p=me[c[(c[o>>2]|0)+44>>2]&127](q,a[t]|0)|0;t=c[h>>2]|0;c[h>>2]=t+4;c[t>>2]=p;p=m;while(1){if(!(p>>>0<e>>>0)){x=m;y=p;break a}t=a[p]|0;do{if((a[10027328]|0)==0){if((cc(10027328)|0)==0){break}c[2506334]=pb(2147483647,9963736,0)|0}}while(0);if((jb(t<<24>>24|0,c[2506334]|0)|0)==0){x=m;y=p;break}else{p=p+1|0}}}else{v=u;w=34}}while(0);b:do{if((w|0)==34){while(1){w=0;if(!(v>>>0<e>>>0)){x=u;y=v;break b}p=a[v]|0;do{if((a[10027328]|0)==0){if((cc(10027328)|0)==0){break}c[2506334]=pb(2147483647,9963736,0)|0}}while(0);if((Kb(p<<24>>24|0,c[2506334]|0)|0)==0){x=u;y=v;break}else{v=v+1|0;w=34}}}}while(0);w=n;v=a[w]|0;if((v&1)==0){z=(v&255)>>>1}else{z=c[n+4>>2]|0}do{if((z|0)==0){qe[c[(c[j>>2]|0)+48>>2]&127](q,x,y,c[h>>2]|0)|0;v=(c[h>>2]|0)+(y-x<<2)|0;c[h>>2]=v;A=v}else{do{if((x|0)!=(y|0)){v=y-1|0;if(v>>>0>x>>>0){B=x;C=v}else{break}do{v=a[B]|0;a[B]=a[C]|0;a[C]=v;B=B+1|0;C=C-1|0;}while(B>>>0<C>>>0)}}while(0);p=ce[c[(c[r>>2]|0)+16>>2]&255](s)|0;if(x>>>0<y>>>0){v=n+1|0;u=n+4|0;t=n+8|0;m=j;o=0;D=0;E=x;while(1){F=(a[w]&1)==0;do{if((a[(F?v:c[t>>2]|0)+D|0]|0)>0){if((o|0)!=(a[(F?v:c[t>>2]|0)+D|0]|0)){G=D;H=o;break}I=c[h>>2]|0;c[h>>2]=I+4;c[I>>2]=p;I=a[w]|0;if((I&1)==0){J=(I&255)>>>1}else{J=c[u>>2]|0}G=(D>>>0<(J-1|0)>>>0)+D|0;H=0}else{G=D;H=o}}while(0);F=me[c[(c[m>>2]|0)+44>>2]&127](q,a[E]|0)|0;I=c[h>>2]|0;K=I+4|0;c[h>>2]=K;c[I>>2]=F;F=E+1|0;if(F>>>0<y>>>0){o=H+1|0;D=G;E=F}else{L=K;break}}}else{L=c[h>>2]|0}E=f+(x-b<<2)|0;if((E|0)==(L|0)){A=L;break}D=L-4|0;if(D>>>0>E>>>0){M=E;N=D}else{A=L;break}while(1){D=c[M>>2]|0;c[M>>2]=c[N>>2];c[N>>2]=D;D=M+4|0;E=N-4|0;if(D>>>0<E>>>0){M=D;N=E}else{A=L;break}}}}while(0);c:do{if(y>>>0<e>>>0){L=j;N=y;while(1){M=a[N]|0;if(M<<24>>24==46){break}x=me[c[(c[L>>2]|0)+44>>2]&127](q,M)|0;M=c[h>>2]|0;G=M+4|0;c[h>>2]=G;c[M>>2]=x;x=N+1|0;if(x>>>0<e>>>0){N=x}else{O=x;P=G;break c}}L=ce[c[(c[r>>2]|0)+12>>2]&255](s)|0;G=c[h>>2]|0;x=G+4|0;c[h>>2]=x;c[G>>2]=L;O=N+1|0;P=x}else{O=y;P=A}}while(0);qe[c[(c[j>>2]|0)+48>>2]&127](q,O,e,P)|0;P=(c[h>>2]|0)+(l-O<<2)|0;c[h>>2]=P;if((d|0)==(e|0)){Q=P;c[g>>2]=Q;gba(n);i=k;return}Q=f+(d-b<<2)|0;c[g>>2]=Q;gba(n);i=k;return}function ufa(b,d,e,f,g,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=+j;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;d=i;i=i+320|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+8|0;m=d+40|0;n=d+48|0;o=d+280|0;p=d+288|0;q=d+296|0;r=d+304|0;s=d+312|0;c[k>>2]=37;c[k+4>>2]=0;t=k;k=t+1|0;u=f+4|0;v=c[u>>2]|0;if((v&2048|0)==0){w=k}else{a[k]=43;w=t+2|0}if((v&1024|0)==0){x=w}else{a[w]=35;x=w+1|0}w=v&260;k=v>>>14;do{if((w|0)==260){a[x]=76;v=x+1|0;if((k&1|0)==0){a[v]=97;y=0;break}else{a[v]=65;y=0;break}}else{a[x]=46;a[x+1|0]=42;a[x+2|0]=76;v=x+3|0;if((w|0)==4){if((k&1|0)==0){a[v]=102;y=1;break}else{a[v]=70;y=1;break}}else if((w|0)==256){if((k&1|0)==0){a[v]=101;y=1;break}else{a[v]=69;y=1;break}}else{if((k&1|0)==0){a[v]=103;y=1;break}else{a[v]=71;y=1;break}}}}while(0);k=l|0;c[m>>2]=k;do{if((a[10027328]|0)==0){if((cc(10027328)|0)==0){break}c[2506334]=pb(2147483647,9963736,0)|0}}while(0);l=c[2506334]|0;if(y){w=$ea(k,30,l,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;A=w}else{w=$ea(k,30,l,t,(z=i,i=i+8|0,h[z>>3]=j,z)|0)|0;i=z;A=w}do{if((A|0)>29){w=(a[10027328]|0)==0;if(y){do{if(w){if((cc(10027328)|0)==0){break}c[2506334]=pb(2147483647,9963736,0)|0}}while(0);l=ffa(m,c[2506334]|0,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;B=l}else{do{if(w){if((cc(10027328)|0)==0){break}c[2506334]=pb(2147483647,9963736,0)|0}}while(0);w=ffa(m,c[2506334]|0,t,(z=i,i=i+8|0,h[z>>3]=j,z)|0)|0;i=z;B=w}w=c[m>>2]|0;if((w|0)!=0){C=B;D=w;E=w;break}yla();w=c[m>>2]|0;C=B;D=w;E=w}else{C=A;D=0;E=c[m>>2]|0}}while(0);A=E+C|0;B=c[u>>2]&176;do{if((B|0)==16){u=a[E]|0;if((u<<24>>24|0)==45|(u<<24>>24|0)==43){F=E+1|0;break}if(!((C|0)>1&u<<24>>24==48)){G=53;break}u=a[E+1|0]|0;if(!((u<<24>>24|0)==120|(u<<24>>24|0)==88)){G=53;break}F=E+2|0}else if((B|0)==32){F=A}else{G=53}}while(0);if((G|0)==53){F=E}do{if((E|0)==(k|0)){H=n|0;I=0;J=k}else{G=lla(C<<3)|0;B=G;if((G|0)!=0){H=B;I=B;J=E;break}yla();H=B;I=B;J=c[m>>2]|0}}while(0);cca(q,f);tfa(J,F,A,H,o,p,q);yaa(c[q>>2]|0)|0;q=e|0;c[s>>2]=c[q>>2];ofa(r,s,H,c[o>>2]|0,c[p>>2]|0,f,g);g=c[r>>2]|0;c[q>>2]=g;c[b>>2]=g;if((I|0)!=0){mla(I)}if((D|0)==0){i=d;return}mla(D);i=d;return}function vfa(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;d=i;i=i+216|0;j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=d|0;k=d+24|0;l=d+48|0;m=d+200|0;n=d+208|0;o=d+16|0;a[o]=a[9985360]|0;a[o+1|0]=a[9985361]|0;a[o+2|0]=a[9985362]|0;a[o+3|0]=a[9985363]|0;a[o+4|0]=a[9985364]|0;a[o+5|0]=a[9985365]|0;p=k|0;do{if((a[10027328]|0)==0){if((cc(10027328)|0)==0){break}c[2506334]=pb(2147483647,9963736,0)|0}}while(0);q=$ea(p,20,c[2506334]|0,o,(o=i,i=i+8|0,c[o>>2]=h,o)|0)|0;i=o;o=k+q|0;h=c[f+4>>2]&176;do{if((h|0)==16){r=a[p]|0;if((r<<24>>24|0)==45|(r<<24>>24|0)==43){s=k+1|0;break}if(!((q|0)>1&r<<24>>24==48)){t=12;break}r=a[k+1|0]|0;if(!((r<<24>>24|0)==120|(r<<24>>24|0)==88)){t=12;break}s=k+2|0}else if((h|0)==32){s=o}else{t=12}}while(0);if((t|0)==12){s=p}cca(m,f);t=m|0;m=c[t>>2]|0;if(!((c[2506690]|0)==-1)){c[j>>2]=10026760;c[j+4>>2]=84;c[j+8>>2]=0;Taa(10026760,j,124)}j=(c[2506691]|0)-1|0;h=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-h>>2>>>0>j>>>0){r=c[h+(j<<2)>>2]|0;if((r|0)==0){break}yaa(c[t>>2]|0)|0;u=l|0;qe[c[(c[r>>2]|0)+48>>2]&127](r,p,o,u)|0;r=l+(q<<2)|0;if((s|0)==(o|0)){v=r;w=e|0;x=c[w>>2]|0;y=n|0;c[y>>2]=x;ofa(b,n,u,v,r,f,g);i=d;return}v=l+(s-k<<2)|0;w=e|0;x=c[w>>2]|0;y=n|0;c[y>>2]=x;ofa(b,n,u,v,r,f,g);i=d;return}}while(0);d=Gd(4)|0;Ska(d);xc(d|0,9991800,176)}function wfa(d,e,f,g,h,j,k,l,m){d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0;n=i;i=i+48|0;o=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[o>>2];o=g;g=i;i=i+4|0;i=i+7&-8;c[g>>2]=c[o>>2];o=n|0;p=n+16|0;q=n+24|0;r=n+32|0;s=n+40|0;cca(p,h);t=p|0;p=c[t>>2]|0;if(!((c[2506692]|0)==-1)){c[o>>2]=10026768;c[o+4>>2]=84;c[o+8>>2]=0;Taa(10026768,o,124)}o=(c[2506693]|0)-1|0;u=c[p+8>>2]|0;do{if((c[p+12>>2]|0)-u>>2>>>0>o>>>0){v=c[u+(o<<2)>>2]|0;if((v|0)==0){break}w=v;yaa(c[t>>2]|0)|0;c[j>>2]=0;x=f|0;a:do{if((l|0)==(m|0)){y=67}else{z=g|0;A=v;B=v;C=v+8|0;D=e;E=r|0;F=s|0;G=q|0;H=l;I=0;b:while(1){J=I;while(1){if((J|0)!=0){y=67;break a}K=c[x>>2]|0;do{if((K|0)==0){L=0}else{if((c[K+12>>2]|0)!=(c[K+16>>2]|0)){L=K;break}if(!((ce[c[(c[K>>2]|0)+36>>2]&255](K)|0)==-1)){L=K;break}c[x>>2]=0;L=0}}while(0);K=(L|0)==0;M=c[z>>2]|0;c:do{if((M|0)==0){y=20}else{do{if((c[M+12>>2]|0)==(c[M+16>>2]|0)){if(!((ce[c[(c[M>>2]|0)+36>>2]&255](M)|0)==-1)){break}c[z>>2]=0;y=20;break c}}while(0);if(K){N=M}else{y=21;break b}}}while(0);if((y|0)==20){y=0;if(K){y=21;break b}else{N=0}}if((ee[c[(c[A>>2]|0)+36>>2]&127](w,a[H]|0,0)|0)<<24>>24==37){y=24;break}M=a[H]|0;if(!(M<<24>>24<0)){O=c[C>>2]|0;if(!((b[O+(M<<24>>24<<1)>>1]&8192)==0)){P=H;y=35;break}}Q=L+12|0;M=c[Q>>2]|0;R=L+16|0;if((M|0)==(c[R>>2]|0)){S=(ce[c[(c[L>>2]|0)+36>>2]&255](L)|0)&255}else{S=a[M]|0}M=me[c[(c[B>>2]|0)+12>>2]&127](w,S)|0;if(M<<24>>24==(me[c[(c[B>>2]|0)+12>>2]&127](w,a[H]|0)|0)<<24>>24){y=62;break}c[j>>2]=4;J=4}d:do{if((y|0)==24){y=0;J=H+1|0;if((J|0)==(m|0)){y=25;break b}M=ee[c[(c[A>>2]|0)+36>>2]&127](w,a[J]|0,0)|0;if((M<<24>>24|0)==69|(M<<24>>24|0)==48){T=H+2|0;if((T|0)==(m|0)){y=28;break b}U=M;V=ee[c[(c[A>>2]|0)+36>>2]&127](w,a[T]|0,0)|0;W=T}else{U=0;V=M;W=J}J=c[(c[D>>2]|0)+36>>2]|0;c[E>>2]=L;c[F>>2]=N;le[J&7](q,e,r,s,h,j,k,V,U);c[x>>2]=c[G>>2];X=W+1|0}else if((y|0)==35){while(1){y=0;J=P+1|0;if((J|0)==(m|0)){Y=m;break}M=a[J]|0;if(M<<24>>24<0){Y=J;break}if((b[O+(M<<24>>24<<1)>>1]&8192)==0){Y=J;break}else{P=J;y=35}}K=L;J=N;M=N;while(1){do{if((K|0)==0){Z=0}else{if((c[K+12>>2]|0)!=(c[K+16>>2]|0)){Z=K;break}if(!((ce[c[(c[K>>2]|0)+36>>2]&255](K)|0)==-1)){Z=K;break}c[x>>2]=0;Z=0}}while(0);T=(Z|0)==0;do{if((J|0)==0){_=M;y=48}else{if((c[J+12>>2]|0)!=(c[J+16>>2]|0)){if(T){$=J;aa=M;break}else{X=Y;break d}}if((ce[c[(c[J>>2]|0)+36>>2]&255](J)|0)==-1){c[z>>2]=0;_=0;y=48;break}else{if(T^(M|0)==0){$=M;aa=M;break}else{X=Y;break d}}}}while(0);if((y|0)==48){y=0;if(T){X=Y;break d}else{$=0;aa=_}}ba=Z+12|0;ca=c[ba>>2]|0;da=Z+16|0;if((ca|0)==(c[da>>2]|0)){ea=(ce[c[(c[Z>>2]|0)+36>>2]&255](Z)|0)&255}else{ea=a[ca]|0}if(ea<<24>>24<0){X=Y;break d}if((b[(c[C>>2]|0)+(ea<<24>>24<<1)>>1]&8192)==0){X=Y;break d}ca=c[ba>>2]|0;if((ca|0)==(c[da>>2]|0)){ce[c[(c[Z>>2]|0)+40>>2]&255](Z)|0;K=Z;J=$;M=aa;continue}else{c[ba>>2]=ca+1;K=Z;J=$;M=aa;continue}}}else if((y|0)==62){y=0;M=c[Q>>2]|0;if((M|0)==(c[R>>2]|0)){ce[c[(c[L>>2]|0)+40>>2]&255](L)|0}else{c[Q>>2]=M+1}X=H+1|0}}while(0);if((X|0)==(m|0)){y=67;break a}H=X;I=c[j>>2]|0}if((y|0)==21){c[j>>2]=4;fa=L;break}else if((y|0)==25){c[j>>2]=4;fa=L;break}else if((y|0)==28){c[j>>2]=4;fa=L;break}}}while(0);if((y|0)==67){fa=c[x>>2]|0}w=f|0;do{if((fa|0)==0){ga=0}else{if((c[fa+12>>2]|0)!=(c[fa+16>>2]|0)){ga=fa;break}if(!((ce[c[(c[fa>>2]|0)+36>>2]&255](fa)|0)==-1)){ga=fa;break}c[w>>2]=0;ga=0}}while(0);w=(ga|0)==0;x=g|0;v=c[x>>2]|0;e:do{if((v|0)==0){y=77}else{do{if((c[v+12>>2]|0)==(c[v+16>>2]|0)){if(!((ce[c[(c[v>>2]|0)+36>>2]&255](v)|0)==-1)){break}c[x>>2]=0;y=77;break e}}while(0);if(!w){break}ha=d|0;c[ha>>2]=ga;i=n;return}}while(0);do{if((y|0)==77){if(w){break}ha=d|0;c[ha>>2]=ga;i=n;return}}while(0);c[j>>2]=c[j>>2]|2;ha=d|0;c[ha>>2]=ga;i=n;return}}while(0);n=Gd(4)|0;Ska(n);xc(n|0,9991800,176)}function xfa(a){a=a|0;waa(a|0);tla(a);return}function yfa(a){a=a|0;waa(a|0);return}function zfa(a){a=a|0;return 2}function Afa(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0;j=i;i=i+16|0;k=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[k>>2];k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=j|0;l=j+8|0;c[k>>2]=c[d>>2];c[l>>2]=c[e>>2];wfa(a,b,k,l,f,g,h,9985344,9985352);i=j;return}function Bfa(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;k=i;i=i+16|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=k|0;m=k+8|0;n=d+8|0;o=ce[c[(c[n>>2]|0)+20>>2]&255](n)|0;c[l>>2]=c[e>>2];c[m>>2]=c[f>>2];f=a[o]|0;if((f&1)==0){p=(f&255)>>>1;q=o+1|0;r=o+1|0}else{f=c[o+8>>2]|0;p=c[o+4>>2]|0;q=f;r=f}wfa(b,d,l,m,g,h,j,q,r+p|0);i=k;return}function Cfa(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;j=i;i=i+32|0;k=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[k>>2];k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=j|0;l=j+8|0;m=j+24|0;cca(m,f);f=m|0;m=c[f>>2]|0;if(!((c[2506692]|0)==-1)){c[l>>2]=10026768;c[l+4>>2]=84;c[l+8>>2]=0;Taa(10026768,l,124)}l=(c[2506693]|0)-1|0;n=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-n>>2>>>0>l>>>0){o=c[n+(l<<2)>>2]|0;if((o|0)==0){break}yaa(c[f>>2]|0)|0;p=c[e>>2]|0;q=b+8|0;r=ce[c[c[q>>2]>>2]&255](q)|0;c[k>>2]=p;p=(Zda(d,k,r,r+168|0,o,g,0)|0)-r|0;if((p|0)>=168){s=d|0;t=c[s>>2]|0;u=a|0;c[u>>2]=t;i=j;return}c[h+24>>2]=((p|0)/12|0|0)%7|0;s=d|0;t=c[s>>2]|0;u=a|0;c[u>>2]=t;i=j;return}}while(0);j=Gd(4)|0;Ska(j);xc(j|0,9991800,176)}function Dfa(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;j=i;i=i+32|0;k=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[k>>2];k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=j|0;l=j+8|0;m=j+24|0;cca(m,f);f=m|0;m=c[f>>2]|0;if(!((c[2506692]|0)==-1)){c[l>>2]=10026768;c[l+4>>2]=84;c[l+8>>2]=0;Taa(10026768,l,124)}l=(c[2506693]|0)-1|0;n=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-n>>2>>>0>l>>>0){o=c[n+(l<<2)>>2]|0;if((o|0)==0){break}yaa(c[f>>2]|0)|0;p=c[e>>2]|0;q=b+8|0;r=ce[c[(c[q>>2]|0)+4>>2]&255](q)|0;c[k>>2]=p;p=(Zda(d,k,r,r+288|0,o,g,0)|0)-r|0;if((p|0)>=288){s=d|0;t=c[s>>2]|0;u=a|0;c[u>>2]=t;i=j;return}c[h+16>>2]=((p|0)/12|0|0)%12|0;s=d|0;t=c[s>>2]|0;u=a|0;c[u>>2]=t;i=j;return}}while(0);j=Gd(4)|0;Ska(j);xc(j|0,9991800,176)}function Efa(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;b=i;i=i+32|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;l=b+24|0;cca(l,f);f=l|0;l=c[f>>2]|0;if(!((c[2506692]|0)==-1)){c[k>>2]=10026768;c[k+4>>2]=84;c[k+8>>2]=0;Taa(10026768,k,124)}k=(c[2506693]|0)-1|0;m=c[l+8>>2]|0;do{if((c[l+12>>2]|0)-m>>2>>>0>k>>>0){n=c[m+(k<<2)>>2]|0;if((n|0)==0){break}yaa(c[f>>2]|0)|0;c[j>>2]=c[e>>2];o=Jfa(d,j,g,n,4)|0;if((c[g>>2]&4|0)!=0){p=d|0;q=c[p>>2]|0;r=a|0;c[r>>2]=q;i=b;return}if((o|0)<69){s=o+2e3|0}else{s=(o-69|0)>>>0<31>>>0?o+1900|0:o}c[h+20>>2]=s-1900;p=d|0;q=c[p>>2]|0;r=a|0;c[r>>2]=q;i=b;return}}while(0);b=Gd(4)|0;Ska(b);xc(b|0,9991800,176)}function Ffa(b,d,e,f,g,h,j,k,l){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0;l=i;i=i+328|0;m=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[m>>2];m=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[m>>2];m=l|0;n=l+8|0;o=l+16|0;p=l+24|0;q=l+32|0;r=l+40|0;s=l+48|0;t=l+56|0;u=l+64|0;v=l+72|0;w=l+80|0;x=l+88|0;y=l+96|0;z=l+112|0;A=l+120|0;B=l+128|0;C=l+136|0;D=l+144|0;E=l+152|0;F=l+160|0;G=l+168|0;H=l+176|0;I=l+184|0;J=l+192|0;K=l+200|0;L=l+208|0;M=l+216|0;N=l+224|0;O=l+232|0;P=l+240|0;Q=l+248|0;R=l+256|0;S=l+264|0;T=l+272|0;U=l+280|0;V=l+288|0;W=l+296|0;X=l+304|0;Y=l+312|0;Z=l+320|0;c[h>>2]=0;cca(z,g);_=z|0;z=c[_>>2]|0;if(!((c[2506692]|0)==-1)){c[y>>2]=10026768;c[y+4>>2]=84;c[y+8>>2]=0;Taa(10026768,y,124)}y=(c[2506693]|0)-1|0;$=c[z+8>>2]|0;do{if((c[z+12>>2]|0)-$>>2>>>0>y>>>0){aa=c[$+(y<<2)>>2]|0;if((aa|0)==0){break}ba=aa;yaa(c[_>>2]|0)|0;a:do{switch(k<<24>>24|0){case 99:{aa=d+8|0;ca=ce[c[(c[aa>>2]|0)+12>>2]&255](aa)|0;aa=e|0;c[B>>2]=c[aa>>2];c[C>>2]=c[f>>2];da=a[ca]|0;if((da&1)==0){ea=(da&255)>>>1;fa=ca+1|0;ga=ca+1|0}else{da=c[ca+8>>2]|0;ea=c[ca+4>>2]|0;fa=da;ga=da}wfa(A,d,B,C,g,h,j,fa,ga+ea|0);c[aa>>2]=c[A>>2];break};case 110:case 116:{c[J>>2]=c[f>>2];Gfa(0,e,J,h,ba);break};case 68:{aa=e|0;c[E>>2]=c[aa>>2];c[F>>2]=c[f>>2];wfa(D,d,E,F,g,h,j,9985336,9985344);c[aa>>2]=c[D>>2];break};case 114:{aa=e|0;c[M>>2]=c[aa>>2];c[N>>2]=c[f>>2];wfa(L,d,M,N,g,h,j,9985312,9985323);c[aa>>2]=c[L>>2];break};case 72:{c[u>>2]=c[f>>2];aa=Jfa(e,u,h,ba,2)|0;da=c[h>>2]|0;if((da&4|0)==0&(aa|0)<24){c[j+8>>2]=aa;break a}else{c[h>>2]=da|4;break a}break};case 77:{c[q>>2]=c[f>>2];da=Jfa(e,q,h,ba,2)|0;aa=c[h>>2]|0;if((aa&4|0)==0&(da|0)<60){c[j+4>>2]=da;break a}else{c[h>>2]=aa|4;break a}break};case 97:case 65:{aa=c[f>>2]|0;da=d+8|0;ca=ce[c[c[da>>2]>>2]&255](da)|0;c[x>>2]=aa;aa=(Zda(e,x,ca,ca+168|0,ba,h,0)|0)-ca|0;if((aa|0)>=168){break a}c[j+24>>2]=((aa|0)/12|0|0)%7|0;break};case 119:{c[o>>2]=c[f>>2];aa=Jfa(e,o,h,ba,1)|0;ca=c[h>>2]|0;if((ca&4|0)==0&(aa|0)<7){c[j+24>>2]=aa;break a}else{c[h>>2]=ca|4;break a}break};case 98:case 66:case 104:{ca=c[f>>2]|0;aa=d+8|0;da=ce[c[(c[aa>>2]|0)+4>>2]&255](aa)|0;c[w>>2]=ca;ca=(Zda(e,w,da,da+288|0,ba,h,0)|0)-da|0;if((ca|0)>=288){break a}c[j+16>>2]=((ca|0)/12|0|0)%12|0;break};case 112:{c[K>>2]=c[f>>2];Hfa(d,j+8|0,e,K,h,ba);break};case 120:{ca=c[(c[d>>2]|0)+20>>2]|0;c[U>>2]=c[e>>2];c[V>>2]=c[f>>2];je[ca&127](b,d,U,V,g,h,j);i=l;return};case 88:{ca=d+8|0;da=ce[c[(c[ca>>2]|0)+24>>2]&255](ca)|0;ca=e|0;c[X>>2]=c[ca>>2];c[Y>>2]=c[f>>2];aa=a[da]|0;if((aa&1)==0){ha=(aa&255)>>>1;ia=da+1|0;ja=da+1|0}else{aa=c[da+8>>2]|0;ha=c[da+4>>2]|0;ia=aa;ja=aa}wfa(W,d,X,Y,g,h,j,ia,ja+ha|0);c[ca>>2]=c[W>>2];break};case 84:{ca=e|0;c[S>>2]=c[ca>>2];c[T>>2]=c[f>>2];wfa(R,d,S,T,g,h,j,9985296,9985304);c[ca>>2]=c[R>>2];break};case 106:{c[s>>2]=c[f>>2];ca=Jfa(e,s,h,ba,3)|0;aa=c[h>>2]|0;if((aa&4|0)==0&(ca|0)<366){c[j+28>>2]=ca;break a}else{c[h>>2]=aa|4;break a}break};case 70:{aa=e|0;c[H>>2]=c[aa>>2];c[I>>2]=c[f>>2];wfa(G,d,H,I,g,h,j,9985328,9985336);c[aa>>2]=c[G>>2];break};case 89:{c[m>>2]=c[f>>2];aa=Jfa(e,m,h,ba,4)|0;if((c[h>>2]&4|0)!=0){break a}c[j+20>>2]=aa-1900;break};case 37:{c[Z>>2]=c[f>>2];Ifa(0,e,Z,h,ba);break};case 100:case 101:{aa=j+12|0;c[v>>2]=c[f>>2];ca=Jfa(e,v,h,ba,2)|0;da=c[h>>2]|0;do{if((da&4|0)==0){if(!((ca-1|0)>>>0<31>>>0)){break}c[aa>>2]=ca;break a}}while(0);c[h>>2]=da|4;break};case 82:{ca=e|0;c[P>>2]=c[ca>>2];c[Q>>2]=c[f>>2];wfa(O,d,P,Q,g,h,j,9985304,9985309);c[ca>>2]=c[O>>2];break};case 73:{ca=j+8|0;c[t>>2]=c[f>>2];aa=Jfa(e,t,h,ba,2)|0;ka=c[h>>2]|0;do{if((ka&4|0)==0){if(!((aa-1|0)>>>0<12>>>0)){break}c[ca>>2]=aa;break a}}while(0);c[h>>2]=ka|4;break};case 83:{c[p>>2]=c[f>>2];aa=Jfa(e,p,h,ba,2)|0;ca=c[h>>2]|0;if((ca&4|0)==0&(aa|0)<61){c[j>>2]=aa;break a}else{c[h>>2]=ca|4;break a}break};case 109:{c[r>>2]=c[f>>2];ca=(Jfa(e,r,h,ba,2)|0)-1|0;aa=c[h>>2]|0;if((aa&4|0)==0&(ca|0)<12){c[j+16>>2]=ca;break a}else{c[h>>2]=aa|4;break a}break};case 121:{c[n>>2]=c[f>>2];aa=Jfa(e,n,h,ba,4)|0;if((c[h>>2]&4|0)!=0){break a}if((aa|0)<69){la=aa+2e3|0}else{la=(aa-69|0)>>>0<31>>>0?aa+1900|0:aa}c[j+20>>2]=la-1900;break};default:{c[h>>2]=c[h>>2]|4}}}while(0);c[b>>2]=c[e>>2];i=l;return}}while(0);l=Gd(4)|0;Ska(l);xc(l|0,9991800,176)}function Gfa(d,e,f,g,h){d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;d=i;j=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[j>>2];j=e|0;e=f|0;f=h+8|0;a:while(1){h=c[j>>2]|0;do{if((h|0)==0){k=0}else{if((c[h+12>>2]|0)!=(c[h+16>>2]|0)){k=h;break}if((ce[c[(c[h>>2]|0)+36>>2]&255](h)|0)==-1){c[j>>2]=0;k=0;break}else{k=c[j>>2]|0;break}}}while(0);h=(k|0)==0;l=c[e>>2]|0;do{if((l|0)==0){m=12}else{if((c[l+12>>2]|0)!=(c[l+16>>2]|0)){if(h){n=l;break}else{o=l;break a}}if((ce[c[(c[l>>2]|0)+36>>2]&255](l)|0)==-1){c[e>>2]=0;m=12;break}else{if(h){n=l;break}else{o=l;break a}}}}while(0);if((m|0)==12){m=0;if(h){o=0;break}else{n=0}}l=c[j>>2]|0;p=c[l+12>>2]|0;if((p|0)==(c[l+16>>2]|0)){q=(ce[c[(c[l>>2]|0)+36>>2]&255](l)|0)&255}else{q=a[p]|0}if(q<<24>>24<0){o=n;break}if((b[(c[f>>2]|0)+(q<<24>>24<<1)>>1]&8192)==0){o=n;break}p=c[j>>2]|0;l=p+12|0;r=c[l>>2]|0;if((r|0)==(c[p+16>>2]|0)){ce[c[(c[p>>2]|0)+40>>2]&255](p)|0;continue}else{c[l>>2]=r+1;continue}}n=c[j>>2]|0;do{if((n|0)==0){s=0}else{if((c[n+12>>2]|0)!=(c[n+16>>2]|0)){s=n;break}if((ce[c[(c[n>>2]|0)+36>>2]&255](n)|0)==-1){c[j>>2]=0;s=0;break}else{s=c[j>>2]|0;break}}}while(0);j=(s|0)==0;b:do{if((o|0)==0){m=32}else{do{if((c[o+12>>2]|0)==(c[o+16>>2]|0)){if(!((ce[c[(c[o>>2]|0)+36>>2]&255](o)|0)==-1)){break}c[e>>2]=0;m=32;break b}}while(0);if(!j){break}i=d;return}}while(0);do{if((m|0)==32){if(j){break}i=d;return}}while(0);c[g>>2]=c[g>>2]|2;i=d;return}function Hfa(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0;j=i;i=i+8|0;k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=j|0;l=b+8|0;b=ce[c[(c[l>>2]|0)+8>>2]&255](l)|0;l=a[b]|0;if((l&1)==0){m=(l&255)>>>1}else{m=c[b+4>>2]|0}l=a[b+12|0]|0;if((l&1)==0){n=(l&255)>>>1}else{n=c[b+16>>2]|0}if((m|0)==(-n|0)){c[g>>2]=c[g>>2]|4;i=j;return}c[k>>2]=c[f>>2];f=Zda(e,k,b,b+24|0,h,g,0)|0;g=f-b|0;do{if((f|0)==(b|0)){if((c[d>>2]|0)!=12){break}c[d>>2]=0;i=j;return}}while(0);if((g|0)!=12){i=j;return}g=c[d>>2]|0;if((g|0)>=12){i=j;return}c[d>>2]=g+12;i=j;return}function Ifa(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;b=i;h=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[h>>2];h=d|0;d=c[h>>2]|0;do{if((d|0)==0){j=0}else{if((c[d+12>>2]|0)!=(c[d+16>>2]|0)){j=d;break}if((ce[c[(c[d>>2]|0)+36>>2]&255](d)|0)==-1){c[h>>2]=0;j=0;break}else{j=c[h>>2]|0;break}}}while(0);d=(j|0)==0;j=e|0;e=c[j>>2]|0;a:do{if((e|0)==0){k=11}else{do{if((c[e+12>>2]|0)==(c[e+16>>2]|0)){if(!((ce[c[(c[e>>2]|0)+36>>2]&255](e)|0)==-1)){break}c[j>>2]=0;k=11;break a}}while(0);if(d){l=e}else{k=12}}}while(0);if((k|0)==11){if(d){k=12}else{l=0}}if((k|0)==12){c[f>>2]=c[f>>2]|6;i=b;return}d=c[h>>2]|0;e=c[d+12>>2]|0;if((e|0)==(c[d+16>>2]|0)){m=(ce[c[(c[d>>2]|0)+36>>2]&255](d)|0)&255}else{m=a[e]|0}if(!((ee[c[(c[g>>2]|0)+36>>2]&127](g,m,0)|0)<<24>>24==37)){c[f>>2]=c[f>>2]|4;i=b;return}m=c[h>>2]|0;g=m+12|0;e=c[g>>2]|0;if((e|0)==(c[m+16>>2]|0)){ce[c[(c[m>>2]|0)+40>>2]&255](m)|0}else{c[g>>2]=e+1}e=c[h>>2]|0;do{if((e|0)==0){n=0}else{if((c[e+12>>2]|0)!=(c[e+16>>2]|0)){n=e;break}if((ce[c[(c[e>>2]|0)+36>>2]&255](e)|0)==-1){c[h>>2]=0;n=0;break}else{n=c[h>>2]|0;break}}}while(0);h=(n|0)==0;b:do{if((l|0)==0){k=31}else{do{if((c[l+12>>2]|0)==(c[l+16>>2]|0)){if(!((ce[c[(c[l>>2]|0)+36>>2]&255](l)|0)==-1)){break}c[j>>2]=0;k=31;break b}}while(0);if(!h){break}i=b;return}}while(0);do{if((k|0)==31){if(h){break}i=b;return}}while(0);c[f>>2]=c[f>>2]|2;i=b;return}function Jfa(d,e,f,g,h){d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;j=i;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;d=c[k>>2]|0;do{if((d|0)==0){l=0}else{if((c[d+12>>2]|0)!=(c[d+16>>2]|0)){l=d;break}if((ce[c[(c[d>>2]|0)+36>>2]&255](d)|0)==-1){c[k>>2]=0;l=0;break}else{l=c[k>>2]|0;break}}}while(0);d=(l|0)==0;l=e|0;e=c[l>>2]|0;a:do{if((e|0)==0){m=11}else{do{if((c[e+12>>2]|0)==(c[e+16>>2]|0)){if(!((ce[c[(c[e>>2]|0)+36>>2]&255](e)|0)==-1)){break}c[l>>2]=0;m=11;break a}}while(0);if(d){n=e}else{m=12}}}while(0);if((m|0)==11){if(d){m=12}else{n=0}}if((m|0)==12){c[f>>2]=c[f>>2]|6;o=0;i=j;return o|0}d=c[k>>2]|0;e=c[d+12>>2]|0;if((e|0)==(c[d+16>>2]|0)){p=(ce[c[(c[d>>2]|0)+36>>2]&255](d)|0)&255}else{p=a[e]|0}do{if(!(p<<24>>24<0)){e=g+8|0;if((b[(c[e>>2]|0)+(p<<24>>24<<1)>>1]&2048)==0){break}d=g;q=(ee[c[(c[d>>2]|0)+36>>2]&127](g,p,0)|0)<<24>>24;r=c[k>>2]|0;s=r+12|0;t=c[s>>2]|0;if((t|0)==(c[r+16>>2]|0)){ce[c[(c[r>>2]|0)+40>>2]&255](r)|0;u=q;v=h;w=n;x=n}else{c[s>>2]=t+1;u=q;v=h;w=n;x=n}while(1){y=u-48|0;q=v-1|0;t=c[k>>2]|0;do{if((t|0)==0){z=0}else{if((c[t+12>>2]|0)!=(c[t+16>>2]|0)){z=t;break}if((ce[c[(c[t>>2]|0)+36>>2]&255](t)|0)==-1){c[k>>2]=0;z=0;break}else{z=c[k>>2]|0;break}}}while(0);t=(z|0)==0;do{if((w|0)==0){A=0;B=x}else{if((c[w+12>>2]|0)!=(c[w+16>>2]|0)){A=w;B=x;break}if(!((ce[c[(c[w>>2]|0)+36>>2]&255](w)|0)==-1)){A=x;B=x;break}c[l>>2]=0;A=0;B=0}}while(0);C=c[k>>2]|0;if(!((t^(A|0)==0)&(q|0)>0)){m=40;break}s=c[C+12>>2]|0;if((s|0)==(c[C+16>>2]|0)){D=(ce[c[(c[C>>2]|0)+36>>2]&255](C)|0)&255}else{D=a[s]|0}if(D<<24>>24<0){o=y;m=52;break}if((b[(c[e>>2]|0)+(D<<24>>24<<1)>>1]&2048)==0){o=y;m=52;break}s=((ee[c[(c[d>>2]|0)+36>>2]&127](g,D,0)|0)<<24>>24)+(y*10|0)|0;r=c[k>>2]|0;E=r+12|0;F=c[E>>2]|0;if((F|0)==(c[r+16>>2]|0)){ce[c[(c[r>>2]|0)+40>>2]&255](r)|0;u=s;v=q;w=A;x=B;continue}else{c[E>>2]=F+1;u=s;v=q;w=A;x=B;continue}}if((m|0)==40){do{if((C|0)==0){G=0}else{if((c[C+12>>2]|0)!=(c[C+16>>2]|0)){G=C;break}if((ce[c[(c[C>>2]|0)+36>>2]&255](C)|0)==-1){c[k>>2]=0;G=0;break}else{G=c[k>>2]|0;break}}}while(0);d=(G|0)==0;b:do{if((B|0)==0){m=50}else{do{if((c[B+12>>2]|0)==(c[B+16>>2]|0)){if(!((ce[c[(c[B>>2]|0)+36>>2]&255](B)|0)==-1)){break}c[l>>2]=0;m=50;break b}}while(0);if(d){o=y}else{break}i=j;return o|0}}while(0);do{if((m|0)==50){if(d){break}else{o=y}i=j;return o|0}}while(0);c[f>>2]=c[f>>2]|2;o=y;i=j;return o|0}else if((m|0)==52){i=j;return o|0}}}while(0);c[f>>2]=c[f>>2]|4;o=0;i=j;return o|0}function Kfa(a,b,d,e,f,g,h,j,k){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0;l=i;i=i+48|0;m=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[m>>2];m=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[m>>2];m=l|0;n=l+16|0;o=l+24|0;p=l+32|0;q=l+40|0;cca(n,f);r=n|0;n=c[r>>2]|0;if(!((c[2506690]|0)==-1)){c[m>>2]=10026760;c[m+4>>2]=84;c[m+8>>2]=0;Taa(10026760,m,124)}m=(c[2506691]|0)-1|0;s=c[n+8>>2]|0;do{if((c[n+12>>2]|0)-s>>2>>>0>m>>>0){t=c[s+(m<<2)>>2]|0;if((t|0)==0){break}u=t;yaa(c[r>>2]|0)|0;c[g>>2]=0;v=d|0;a:do{if((j|0)==(k|0)){w=71}else{x=e|0;y=t;z=t;A=t;B=b;C=p|0;D=q|0;E=o|0;F=j;G=0;b:while(1){H=G;while(1){if((H|0)!=0){w=71;break a}I=c[v>>2]|0;do{if((I|0)==0){J=1;K=0}else{L=c[I+12>>2]|0;if((L|0)==(c[I+16>>2]|0)){M=ce[c[(c[I>>2]|0)+36>>2]&255](I)|0}else{M=c[L>>2]|0}if(!((M|0)==-1)){J=0;K=I;break}c[v>>2]=0;J=1;K=0}}while(0);I=c[x>>2]|0;do{if((I|0)==0){w=23}else{L=c[I+12>>2]|0;if((L|0)==(c[I+16>>2]|0)){N=ce[c[(c[I>>2]|0)+36>>2]&255](I)|0}else{N=c[L>>2]|0}if((N|0)==-1){c[x>>2]=0;w=23;break}else{if(J){O=I;break}else{w=25;break b}}}}while(0);if((w|0)==23){w=0;if(J){w=25;break b}else{O=0}}if((ee[c[(c[y>>2]|0)+52>>2]&127](u,c[F>>2]|0,0)|0)<<24>>24==37){w=28;break}if(ee[c[(c[z>>2]|0)+12>>2]&127](u,8192,c[F>>2]|0)|0){P=F;w=38;break}Q=K+12|0;I=c[Q>>2]|0;R=K+16|0;if((I|0)==(c[R>>2]|0)){S=ce[c[(c[K>>2]|0)+36>>2]&255](K)|0}else{S=c[I>>2]|0}I=me[c[(c[A>>2]|0)+28>>2]&127](u,S)|0;if((I|0)==(me[c[(c[A>>2]|0)+28>>2]&127](u,c[F>>2]|0)|0)){w=66;break}c[g>>2]=4;H=4}c:do{if((w|0)==28){w=0;H=F+4|0;if((H|0)==(k|0)){w=29;break b}I=ee[c[(c[y>>2]|0)+52>>2]&127](u,c[H>>2]|0,0)|0;if((I<<24>>24|0)==69|(I<<24>>24|0)==48){L=F+8|0;if((L|0)==(k|0)){w=32;break b}T=I;U=ee[c[(c[y>>2]|0)+52>>2]&127](u,c[L>>2]|0,0)|0;V=L}else{T=0;U=I;V=H}H=c[(c[B>>2]|0)+36>>2]|0;c[C>>2]=K;c[D>>2]=O;le[H&7](o,b,p,q,f,g,h,U,T);c[v>>2]=c[E>>2];W=V+4|0}else if((w|0)==38){while(1){w=0;H=P+4|0;if((H|0)==(k|0)){X=k;break}if(ee[c[(c[z>>2]|0)+12>>2]&127](u,8192,c[H>>2]|0)|0){P=H;w=38}else{X=H;break}}H=K;I=O;L=O;while(1){do{if((H|0)==0){Y=1;Z=0}else{_=c[H+12>>2]|0;if((_|0)==(c[H+16>>2]|0)){$=ce[c[(c[H>>2]|0)+36>>2]&255](H)|0}else{$=c[_>>2]|0}if(!(($|0)==-1)){Y=0;Z=H;break}c[v>>2]=0;Y=1;Z=0}}while(0);do{if((I|0)==0){aa=L;w=53}else{_=c[I+12>>2]|0;if((_|0)==(c[I+16>>2]|0)){ba=ce[c[(c[I>>2]|0)+36>>2]&255](I)|0}else{ba=c[_>>2]|0}if((ba|0)==-1){c[x>>2]=0;aa=0;w=53;break}else{if(Y^(L|0)==0){ca=L;da=L;break}else{W=X;break c}}}}while(0);if((w|0)==53){w=0;if(Y){W=X;break c}else{ca=0;da=aa}}_=Z+12|0;ea=c[_>>2]|0;fa=Z+16|0;if((ea|0)==(c[fa>>2]|0)){ga=ce[c[(c[Z>>2]|0)+36>>2]&255](Z)|0}else{ga=c[ea>>2]|0}if(!(ee[c[(c[z>>2]|0)+12>>2]&127](u,8192,ga)|0)){W=X;break c}ea=c[_>>2]|0;if((ea|0)==(c[fa>>2]|0)){ce[c[(c[Z>>2]|0)+40>>2]&255](Z)|0;H=Z;I=ca;L=da;continue}else{c[_>>2]=ea+4;H=Z;I=ca;L=da;continue}}}else if((w|0)==66){w=0;L=c[Q>>2]|0;if((L|0)==(c[R>>2]|0)){ce[c[(c[K>>2]|0)+40>>2]&255](K)|0}else{c[Q>>2]=L+4}W=F+4|0}}while(0);if((W|0)==(k|0)){w=71;break a}F=W;G=c[g>>2]|0}if((w|0)==25){c[g>>2]=4;ha=K;break}else if((w|0)==29){c[g>>2]=4;ha=K;break}else if((w|0)==32){c[g>>2]=4;ha=K;break}}}while(0);if((w|0)==71){ha=c[v>>2]|0}u=d|0;do{if((ha|0)==0){ia=1;ja=0}else{t=c[ha+12>>2]|0;if((t|0)==(c[ha+16>>2]|0)){ka=ce[c[(c[ha>>2]|0)+36>>2]&255](ha)|0}else{ka=c[t>>2]|0}if(!((ka|0)==-1)){ia=0;ja=ha;break}c[u>>2]=0;ia=1;ja=0}}while(0);u=e|0;v=c[u>>2]|0;do{if((v|0)==0){w=84}else{t=c[v+12>>2]|0;if((t|0)==(c[v+16>>2]|0)){la=ce[c[(c[v>>2]|0)+36>>2]&255](v)|0}else{la=c[t>>2]|0}if((la|0)==-1){c[u>>2]=0;w=84;break}if(!ia){break}ma=a|0;c[ma>>2]=ja;i=l;return}}while(0);do{if((w|0)==84){if(ia){break}ma=a|0;c[ma>>2]=ja;i=l;return}}while(0);c[g>>2]=c[g>>2]|2;ma=a|0;c[ma>>2]=ja;i=l;return}}while(0);l=Gd(4)|0;Ska(l);xc(l|0,9991800,176)}function Lfa(a){a=a|0;waa(a|0);tla(a);return}function Mfa(a){a=a|0;waa(a|0);return}function Nfa(a){a=a|0;return 2}function Ofa(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0;j=i;i=i+16|0;k=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[k>>2];k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=j|0;l=j+8|0;c[k>>2]=c[d>>2];c[l>>2]=c[e>>2];Kfa(a,b,k,l,f,g,h,9985264,9985296);i=j;return}function Pfa(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;k=i;i=i+16|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=k|0;m=k+8|0;n=d+8|0;o=ce[c[(c[n>>2]|0)+20>>2]&255](n)|0;c[l>>2]=c[e>>2];c[m>>2]=c[f>>2];f=a[o]|0;if((f&1)==0){p=(f&255)>>>1;q=o+4|0;r=o+4|0}else{f=c[o+8>>2]|0;p=c[o+4>>2]|0;q=f;r=f}Kfa(b,d,l,m,g,h,j,q,r+(p<<2)|0);i=k;return}function Qfa(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;j=i;i=i+32|0;k=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[k>>2];k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=j|0;l=j+8|0;m=j+24|0;cca(m,f);f=m|0;m=c[f>>2]|0;if(!((c[2506690]|0)==-1)){c[l>>2]=10026760;c[l+4>>2]=84;c[l+8>>2]=0;Taa(10026760,l,124)}l=(c[2506691]|0)-1|0;n=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-n>>2>>>0>l>>>0){o=c[n+(l<<2)>>2]|0;if((o|0)==0){break}yaa(c[f>>2]|0)|0;p=c[e>>2]|0;q=b+8|0;r=ce[c[c[q>>2]>>2]&255](q)|0;c[k>>2]=p;p=(wea(d,k,r,r+168|0,o,g,0)|0)-r|0;if((p|0)>=168){s=d|0;t=c[s>>2]|0;u=a|0;c[u>>2]=t;i=j;return}c[h+24>>2]=((p|0)/12|0|0)%7|0;s=d|0;t=c[s>>2]|0;u=a|0;c[u>>2]=t;i=j;return}}while(0);j=Gd(4)|0;Ska(j);xc(j|0,9991800,176)}function Rfa(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;j=i;i=i+32|0;k=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[k>>2];k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=j|0;l=j+8|0;m=j+24|0;cca(m,f);f=m|0;m=c[f>>2]|0;if(!((c[2506690]|0)==-1)){c[l>>2]=10026760;c[l+4>>2]=84;c[l+8>>2]=0;Taa(10026760,l,124)}l=(c[2506691]|0)-1|0;n=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-n>>2>>>0>l>>>0){o=c[n+(l<<2)>>2]|0;if((o|0)==0){break}yaa(c[f>>2]|0)|0;p=c[e>>2]|0;q=b+8|0;r=ce[c[(c[q>>2]|0)+4>>2]&255](q)|0;c[k>>2]=p;p=(wea(d,k,r,r+288|0,o,g,0)|0)-r|0;if((p|0)>=288){s=d|0;t=c[s>>2]|0;u=a|0;c[u>>2]=t;i=j;return}c[h+16>>2]=((p|0)/12|0|0)%12|0;s=d|0;t=c[s>>2]|0;u=a|0;c[u>>2]=t;i=j;return}}while(0);j=Gd(4)|0;Ska(j);xc(j|0,9991800,176)}function Sfa(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;b=i;i=i+32|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;l=b+24|0;cca(l,f);f=l|0;l=c[f>>2]|0;if(!((c[2506690]|0)==-1)){c[k>>2]=10026760;c[k+4>>2]=84;c[k+8>>2]=0;Taa(10026760,k,124)}k=(c[2506691]|0)-1|0;m=c[l+8>>2]|0;do{if((c[l+12>>2]|0)-m>>2>>>0>k>>>0){n=c[m+(k<<2)>>2]|0;if((n|0)==0){break}yaa(c[f>>2]|0)|0;c[j>>2]=c[e>>2];o=Xfa(d,j,g,n,4)|0;if((c[g>>2]&4|0)!=0){p=d|0;q=c[p>>2]|0;r=a|0;c[r>>2]=q;i=b;return}if((o|0)<69){s=o+2e3|0}else{s=(o-69|0)>>>0<31>>>0?o+1900|0:o}c[h+20>>2]=s-1900;p=d|0;q=c[p>>2]|0;r=a|0;c[r>>2]=q;i=b;return}}while(0);b=Gd(4)|0;Ska(b);xc(b|0,9991800,176)}function Tfa(b,d,e,f,g,h,j,k,l){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0;l=i;i=i+328|0;m=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[m>>2];m=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[m>>2];m=l|0;n=l+8|0;o=l+16|0;p=l+24|0;q=l+32|0;r=l+40|0;s=l+48|0;t=l+56|0;u=l+64|0;v=l+72|0;w=l+80|0;x=l+88|0;y=l+96|0;z=l+112|0;A=l+120|0;B=l+128|0;C=l+136|0;D=l+144|0;E=l+152|0;F=l+160|0;G=l+168|0;H=l+176|0;I=l+184|0;J=l+192|0;K=l+200|0;L=l+208|0;M=l+216|0;N=l+224|0;O=l+232|0;P=l+240|0;Q=l+248|0;R=l+256|0;S=l+264|0;T=l+272|0;U=l+280|0;V=l+288|0;W=l+296|0;X=l+304|0;Y=l+312|0;Z=l+320|0;c[h>>2]=0;cca(z,g);_=z|0;z=c[_>>2]|0;if(!((c[2506690]|0)==-1)){c[y>>2]=10026760;c[y+4>>2]=84;c[y+8>>2]=0;Taa(10026760,y,124)}y=(c[2506691]|0)-1|0;$=c[z+8>>2]|0;do{if((c[z+12>>2]|0)-$>>2>>>0>y>>>0){aa=c[$+(y<<2)>>2]|0;if((aa|0)==0){break}ba=aa;yaa(c[_>>2]|0)|0;a:do{switch(k<<24>>24|0){case 97:case 65:{aa=c[f>>2]|0;ca=d+8|0;da=ce[c[c[ca>>2]>>2]&255](ca)|0;c[x>>2]=aa;aa=(wea(e,x,da,da+168|0,ba,h,0)|0)-da|0;if((aa|0)>=168){break a}c[j+24>>2]=((aa|0)/12|0|0)%7|0;break};case 100:case 101:{aa=j+12|0;c[v>>2]=c[f>>2];da=Xfa(e,v,h,ba,2)|0;ca=c[h>>2]|0;do{if((ca&4|0)==0){if(!((da-1|0)>>>0<31>>>0)){break}c[aa>>2]=da;break a}}while(0);c[h>>2]=ca|4;break};case 112:{c[K>>2]=c[f>>2];Vfa(d,j+8|0,e,K,h,ba);break};case 98:case 66:case 104:{da=c[f>>2]|0;aa=d+8|0;ea=ce[c[(c[aa>>2]|0)+4>>2]&255](aa)|0;c[w>>2]=da;da=(wea(e,w,ea,ea+288|0,ba,h,0)|0)-ea|0;if((da|0)>=288){break a}c[j+16>>2]=((da|0)/12|0|0)%12|0;break};case 119:{c[o>>2]=c[f>>2];da=Xfa(e,o,h,ba,1)|0;ea=c[h>>2]|0;if((ea&4|0)==0&(da|0)<7){c[j+24>>2]=da;break a}else{c[h>>2]=ea|4;break a}break};case 73:{ea=j+8|0;c[t>>2]=c[f>>2];da=Xfa(e,t,h,ba,2)|0;aa=c[h>>2]|0;do{if((aa&4|0)==0){if(!((da-1|0)>>>0<12>>>0)){break}c[ea>>2]=da;break a}}while(0);c[h>>2]=aa|4;break};case 89:{c[m>>2]=c[f>>2];da=Xfa(e,m,h,ba,4)|0;if((c[h>>2]&4|0)!=0){break a}c[j+20>>2]=da-1900;break};case 70:{da=e|0;c[H>>2]=c[da>>2];c[I>>2]=c[f>>2];Kfa(G,d,H,I,g,h,j,9985096,9985128);c[da>>2]=c[G>>2];break};case 72:{c[u>>2]=c[f>>2];da=Xfa(e,u,h,ba,2)|0;ea=c[h>>2]|0;if((ea&4|0)==0&(da|0)<24){c[j+8>>2]=da;break a}else{c[h>>2]=ea|4;break a}break};case 84:{ea=e|0;c[S>>2]=c[ea>>2];c[T>>2]=c[f>>2];Kfa(R,d,S,T,g,h,j,9985128,9985160);c[ea>>2]=c[R>>2];break};case 82:{ea=e|0;c[P>>2]=c[ea>>2];c[Q>>2]=c[f>>2];Kfa(O,d,P,Q,g,h,j,9985160,9985180);c[ea>>2]=c[O>>2];break};case 110:case 116:{c[J>>2]=c[f>>2];Ufa(0,e,J,h,ba);break};case 106:{c[s>>2]=c[f>>2];ea=Xfa(e,s,h,ba,3)|0;da=c[h>>2]|0;if((da&4|0)==0&(ea|0)<366){c[j+28>>2]=ea;break a}else{c[h>>2]=da|4;break a}break};case 83:{c[p>>2]=c[f>>2];da=Xfa(e,p,h,ba,2)|0;ea=c[h>>2]|0;if((ea&4|0)==0&(da|0)<61){c[j>>2]=da;break a}else{c[h>>2]=ea|4;break a}break};case 37:{c[Z>>2]=c[f>>2];Wfa(0,e,Z,h,ba);break};case 99:{ea=d+8|0;da=ce[c[(c[ea>>2]|0)+12>>2]&255](ea)|0;ea=e|0;c[B>>2]=c[ea>>2];c[C>>2]=c[f>>2];ca=a[da]|0;if((ca&1)==0){fa=(ca&255)>>>1;ga=da+4|0;ha=da+4|0}else{ca=c[da+8>>2]|0;fa=c[da+4>>2]|0;ga=ca;ha=ca}Kfa(A,d,B,C,g,h,j,ga,ha+(fa<<2)|0);c[ea>>2]=c[A>>2];break};case 68:{ea=e|0;c[E>>2]=c[ea>>2];c[F>>2]=c[f>>2];Kfa(D,d,E,F,g,h,j,9985232,9985264);c[ea>>2]=c[D>>2];break};case 114:{ea=e|0;c[M>>2]=c[ea>>2];c[N>>2]=c[f>>2];Kfa(L,d,M,N,g,h,j,9985184,9985228);c[ea>>2]=c[L>>2];break};case 120:{ea=c[(c[d>>2]|0)+20>>2]|0;c[U>>2]=c[e>>2];c[V>>2]=c[f>>2];je[ea&127](b,d,U,V,g,h,j);i=l;return};case 109:{c[r>>2]=c[f>>2];ea=(Xfa(e,r,h,ba,2)|0)-1|0;ca=c[h>>2]|0;if((ca&4|0)==0&(ea|0)<12){c[j+16>>2]=ea;break a}else{c[h>>2]=ca|4;break a}break};case 77:{c[q>>2]=c[f>>2];ca=Xfa(e,q,h,ba,2)|0;ea=c[h>>2]|0;if((ea&4|0)==0&(ca|0)<60){c[j+4>>2]=ca;break a}else{c[h>>2]=ea|4;break a}break};case 88:{ea=d+8|0;ca=ce[c[(c[ea>>2]|0)+24>>2]&255](ea)|0;ea=e|0;c[X>>2]=c[ea>>2];c[Y>>2]=c[f>>2];da=a[ca]|0;if((da&1)==0){ia=(da&255)>>>1;ja=ca+4|0;ka=ca+4|0}else{da=c[ca+8>>2]|0;ia=c[ca+4>>2]|0;ja=da;ka=da}Kfa(W,d,X,Y,g,h,j,ja,ka+(ia<<2)|0);c[ea>>2]=c[W>>2];break};case 121:{c[n>>2]=c[f>>2];ea=Xfa(e,n,h,ba,4)|0;if((c[h>>2]&4|0)!=0){break a}if((ea|0)<69){la=ea+2e3|0}else{la=(ea-69|0)>>>0<31>>>0?ea+1900|0:ea}c[j+20>>2]=la-1900;break};default:{c[h>>2]=c[h>>2]|4}}}while(0);c[b>>2]=c[e>>2];i=l;return}}while(0);l=Gd(4)|0;Ska(l);xc(l|0,9991800,176)}function Ufa(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;a=i;g=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[g>>2];g=b|0;b=d|0;d=f;a:while(1){h=c[g>>2]|0;do{if((h|0)==0){j=1}else{k=c[h+12>>2]|0;if((k|0)==(c[h+16>>2]|0)){l=ce[c[(c[h>>2]|0)+36>>2]&255](h)|0}else{l=c[k>>2]|0}if((l|0)==-1){c[g>>2]=0;j=1;break}else{j=(c[g>>2]|0)==0;break}}}while(0);h=c[b>>2]|0;do{if((h|0)==0){m=15}else{k=c[h+12>>2]|0;if((k|0)==(c[h+16>>2]|0)){n=ce[c[(c[h>>2]|0)+36>>2]&255](h)|0}else{n=c[k>>2]|0}if((n|0)==-1){c[b>>2]=0;m=15;break}else{if(j){o=h;break}else{p=h;break a}}}}while(0);if((m|0)==15){m=0;if(j){p=0;break}else{o=0}}h=c[g>>2]|0;k=c[h+12>>2]|0;if((k|0)==(c[h+16>>2]|0)){q=ce[c[(c[h>>2]|0)+36>>2]&255](h)|0}else{q=c[k>>2]|0}if(!(ee[c[(c[d>>2]|0)+12>>2]&127](f,8192,q)|0)){p=o;break}k=c[g>>2]|0;h=k+12|0;r=c[h>>2]|0;if((r|0)==(c[k+16>>2]|0)){ce[c[(c[k>>2]|0)+40>>2]&255](k)|0;continue}else{c[h>>2]=r+4;continue}}o=c[g>>2]|0;do{if((o|0)==0){s=1}else{q=c[o+12>>2]|0;if((q|0)==(c[o+16>>2]|0)){t=ce[c[(c[o>>2]|0)+36>>2]&255](o)|0}else{t=c[q>>2]|0}if((t|0)==-1){c[g>>2]=0;s=1;break}else{s=(c[g>>2]|0)==0;break}}}while(0);do{if((p|0)==0){m=37}else{g=c[p+12>>2]|0;if((g|0)==(c[p+16>>2]|0)){u=ce[c[(c[p>>2]|0)+36>>2]&255](p)|0}else{u=c[g>>2]|0}if((u|0)==-1){c[b>>2]=0;m=37;break}if(!s){break}i=a;return}}while(0);do{if((m|0)==37){if(s){break}i=a;return}}while(0);c[e>>2]=c[e>>2]|2;i=a;return}function Vfa(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0;j=i;i=i+8|0;k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=j|0;l=b+8|0;b=ce[c[(c[l>>2]|0)+8>>2]&255](l)|0;l=a[b]|0;if((l&1)==0){m=(l&255)>>>1}else{m=c[b+4>>2]|0}l=a[b+12|0]|0;if((l&1)==0){n=(l&255)>>>1}else{n=c[b+16>>2]|0}if((m|0)==(-n|0)){c[g>>2]=c[g>>2]|4;i=j;return}c[k>>2]=c[f>>2];f=wea(e,k,b,b+24|0,h,g,0)|0;g=f-b|0;do{if((f|0)==(b|0)){if((c[d>>2]|0)!=12){break}c[d>>2]=0;i=j;return}}while(0);if((g|0)!=12){i=j;return}g=c[d>>2]|0;if((g|0)>=12){i=j;return}c[d>>2]=g+12;i=j;return}function Wfa(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;a=i;g=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[g>>2];g=b|0;b=c[g>>2]|0;do{if((b|0)==0){h=1}else{j=c[b+12>>2]|0;if((j|0)==(c[b+16>>2]|0)){k=ce[c[(c[b>>2]|0)+36>>2]&255](b)|0}else{k=c[j>>2]|0}if((k|0)==-1){c[g>>2]=0;h=1;break}else{h=(c[g>>2]|0)==0;break}}}while(0);k=d|0;d=c[k>>2]|0;do{if((d|0)==0){l=14}else{b=c[d+12>>2]|0;if((b|0)==(c[d+16>>2]|0)){m=ce[c[(c[d>>2]|0)+36>>2]&255](d)|0}else{m=c[b>>2]|0}if((m|0)==-1){c[k>>2]=0;l=14;break}else{if(h){n=d;break}else{l=16;break}}}}while(0);if((l|0)==14){if(h){l=16}else{n=0}}if((l|0)==16){c[e>>2]=c[e>>2]|6;i=a;return}h=c[g>>2]|0;d=c[h+12>>2]|0;if((d|0)==(c[h+16>>2]|0)){o=ce[c[(c[h>>2]|0)+36>>2]&255](h)|0}else{o=c[d>>2]|0}if(!((ee[c[(c[f>>2]|0)+52>>2]&127](f,o,0)|0)<<24>>24==37)){c[e>>2]=c[e>>2]|4;i=a;return}o=c[g>>2]|0;f=o+12|0;d=c[f>>2]|0;if((d|0)==(c[o+16>>2]|0)){ce[c[(c[o>>2]|0)+40>>2]&255](o)|0}else{c[f>>2]=d+4}d=c[g>>2]|0;do{if((d|0)==0){p=1}else{f=c[d+12>>2]|0;if((f|0)==(c[d+16>>2]|0)){q=ce[c[(c[d>>2]|0)+36>>2]&255](d)|0}else{q=c[f>>2]|0}if((q|0)==-1){c[g>>2]=0;p=1;break}else{p=(c[g>>2]|0)==0;break}}}while(0);do{if((n|0)==0){l=38}else{g=c[n+12>>2]|0;if((g|0)==(c[n+16>>2]|0)){r=ce[c[(c[n>>2]|0)+36>>2]&255](n)|0}else{r=c[g>>2]|0}if((r|0)==-1){c[k>>2]=0;l=38;break}if(!p){break}i=a;return}}while(0);do{if((l|0)==38){if(p){break}i=a;return}}while(0);c[e>>2]=c[e>>2]|2;i=a;return}function Xfa(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;g=i;h=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[h>>2];h=a|0;a=c[h>>2]|0;do{if((a|0)==0){j=1}else{k=c[a+12>>2]|0;if((k|0)==(c[a+16>>2]|0)){l=ce[c[(c[a>>2]|0)+36>>2]&255](a)|0}else{l=c[k>>2]|0}if((l|0)==-1){c[h>>2]=0;j=1;break}else{j=(c[h>>2]|0)==0;break}}}while(0);l=b|0;b=c[l>>2]|0;do{if((b|0)==0){m=14}else{a=c[b+12>>2]|0;if((a|0)==(c[b+16>>2]|0)){n=ce[c[(c[b>>2]|0)+36>>2]&255](b)|0}else{n=c[a>>2]|0}if((n|0)==-1){c[l>>2]=0;m=14;break}else{if(j){o=b;break}else{m=16;break}}}}while(0);if((m|0)==14){if(j){m=16}else{o=0}}if((m|0)==16){c[d>>2]=c[d>>2]|6;p=0;i=g;return p|0}j=c[h>>2]|0;b=c[j+12>>2]|0;if((b|0)==(c[j+16>>2]|0)){q=ce[c[(c[j>>2]|0)+36>>2]&255](j)|0}else{q=c[b>>2]|0}b=e;if(!(ee[c[(c[b>>2]|0)+12>>2]&127](e,2048,q)|0)){c[d>>2]=c[d>>2]|4;p=0;i=g;return p|0}j=e;n=(ee[c[(c[j>>2]|0)+52>>2]&127](e,q,0)|0)<<24>>24;q=c[h>>2]|0;a=q+12|0;k=c[a>>2]|0;if((k|0)==(c[q+16>>2]|0)){ce[c[(c[q>>2]|0)+40>>2]&255](q)|0;r=n;s=f;t=o;u=o}else{c[a>>2]=k+4;r=n;s=f;t=o;u=o}while(1){v=r-48|0;o=s-1|0;f=c[h>>2]|0;do{if((f|0)==0){w=1}else{n=c[f+12>>2]|0;if((n|0)==(c[f+16>>2]|0)){x=ce[c[(c[f>>2]|0)+36>>2]&255](f)|0}else{x=c[n>>2]|0}if((x|0)==-1){c[h>>2]=0;w=1;break}else{w=(c[h>>2]|0)==0;break}}}while(0);do{if((t|0)==0){y=1;z=0;A=u}else{f=c[t+12>>2]|0;if((f|0)==(c[t+16>>2]|0)){B=ce[c[(c[t>>2]|0)+36>>2]&255](t)|0}else{B=c[f>>2]|0}if((B|0)==-1){c[l>>2]=0;y=1;z=0;A=0;break}else{y=(u|0)==0;z=u;A=u;break}}}while(0);C=c[h>>2]|0;if(!((w^y)&(o|0)>0)){break}f=c[C+12>>2]|0;if((f|0)==(c[C+16>>2]|0)){D=ce[c[(c[C>>2]|0)+36>>2]&255](C)|0}else{D=c[f>>2]|0}if(!(ee[c[(c[b>>2]|0)+12>>2]&127](e,2048,D)|0)){p=v;m=63;break}f=((ee[c[(c[j>>2]|0)+52>>2]&127](e,D,0)|0)<<24>>24)+(v*10|0)|0;n=c[h>>2]|0;k=n+12|0;a=c[k>>2]|0;if((a|0)==(c[n+16>>2]|0)){ce[c[(c[n>>2]|0)+40>>2]&255](n)|0;r=f;s=o;t=z;u=A;continue}else{c[k>>2]=a+4;r=f;s=o;t=z;u=A;continue}}if((m|0)==63){i=g;return p|0}do{if((C|0)==0){E=1}else{u=c[C+12>>2]|0;if((u|0)==(c[C+16>>2]|0)){F=ce[c[(c[C>>2]|0)+36>>2]&255](C)|0}else{F=c[u>>2]|0}if((F|0)==-1){c[h>>2]=0;E=1;break}else{E=(c[h>>2]|0)==0;break}}}while(0);do{if((A|0)==0){m=60}else{h=c[A+12>>2]|0;if((h|0)==(c[A+16>>2]|0)){G=ce[c[(c[A>>2]|0)+36>>2]&255](A)|0}else{G=c[h>>2]|0}if((G|0)==-1){c[l>>2]=0;m=60;break}if(E){p=v}else{break}i=g;return p|0}}while(0);do{if((m|0)==60){if(E){break}else{p=v}i=g;return p|0}}while(0);c[d>>2]=c[d>>2]|2;p=v;i=g;return p|0}function Yfa(b){b=b|0;var d=0,e=0,f=0,g=0;d=b+8|0;e=c[d>>2]|0;do{if((a[10027328]|0)==0){if((cc(10027328)|0)==0){break}c[2506334]=pb(2147483647,9963736,0)|0}}while(0);if((e|0)==(c[2506334]|0)){f=b|0;waa(f);g=b;tla(g);return}Wb(c[d>>2]|0);f=b|0;waa(f);g=b;tla(g);return}function Zfa(b){b=b|0;var d=0,e=0,f=0;d=b+8|0;e=c[d>>2]|0;do{if((a[10027328]|0)==0){if((cc(10027328)|0)==0){break}c[2506334]=pb(2147483647,9963736,0)|0}}while(0);if((e|0)==(c[2506334]|0)){f=b|0;waa(f);return}Wb(c[d>>2]|0);f=b|0;waa(f);return}function _fa(b,d,e,f,g,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;g=i;i=i+112|0;f=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[f>>2];f=g|0;l=g+8|0;m=l|0;n=f|0;a[n]=37;o=f+1|0;a[o]=j;p=f+2|0;a[p]=k;a[f+3|0]=0;if(!(k<<24>>24==0)){a[o]=k;a[p]=j}j=rd(m|0,100,n|0,h|0,c[d+8>>2]|0)|0;d=l+j|0;l=c[e>>2]|0;if((j|0)==0){q=l;r=b|0;c[r>>2]=q;i=g;return}else{s=m;t=l;u=l}while(1){l=a[s]|0;do{if((t|0)==0){v=0;w=u}else{m=t+24|0;j=c[m>>2]|0;if((j|0)==(c[t+28>>2]|0)){e=(me[c[(c[t>>2]|0)+52>>2]&127](t,l&255)|0)==-1;v=e?0:t;w=e?0:u;break}else{c[m>>2]=j+1;a[j]=l;v=t;w=u;break}}}while(0);l=s+1|0;if((l|0)==(d|0)){q=w;break}else{s=l;t=v;u=w}}r=b|0;c[r>>2]=q;i=g;return}function $fa(b){b=b|0;var d=0,e=0,f=0,g=0;d=b+8|0;e=c[d>>2]|0;do{if((a[10027328]|0)==0){if((cc(10027328)|0)==0){break}c[2506334]=pb(2147483647,9963736,0)|0}}while(0);if((e|0)==(c[2506334]|0)){f=b|0;waa(f);g=b;tla(g);return}Wb(c[d>>2]|0);f=b|0;waa(f);g=b;tla(g);return}function aga(b){b=b|0;var d=0,e=0,f=0;d=b+8|0;e=c[d>>2]|0;do{if((a[10027328]|0)==0){if((cc(10027328)|0)==0){break}c[2506334]=pb(2147483647,9963736,0)|0}}while(0);if((e|0)==(c[2506334]|0)){f=b|0;waa(f);return}Wb(c[d>>2]|0);f=b|0;waa(f);return}function bga(a,b,d,e,f,g,h,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;f=i;i=i+408|0;e=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[e>>2];e=f|0;k=f+400|0;l=e|0;c[k>>2]=e+400;cga(b+8|0,l,k,g,h,j);j=c[k>>2]|0;k=c[d>>2]|0;if((l|0)==(j|0)){m=k;n=a|0;c[n>>2]=m;i=f;return}else{o=l;p=k;q=k}while(1){k=c[o>>2]|0;if((p|0)==0){r=0;s=q}else{l=p+24|0;d=c[l>>2]|0;if((d|0)==(c[p+28>>2]|0)){t=me[c[(c[p>>2]|0)+52>>2]&127](p,k)|0}else{c[l>>2]=d+4;c[d>>2]=k;t=k}k=(t|0)==-1;r=k?0:p;s=k?0:q}k=o+4|0;if((k|0)==(j|0)){m=s;break}else{o=k;p=r;q=s}}n=a|0;c[n>>2]=m;i=f;return}function cga(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;j=i;i=i+120|0;k=j|0;l=j+112|0;m=i;i=i+4|0;i=i+7&-8;n=j+8|0;o=k|0;a[o]=37;p=k+1|0;a[p]=g;q=k+2|0;a[q]=h;a[k+3|0]=0;if(!(h<<24>>24==0)){a[p]=h;a[q]=g}g=b|0;rd(n|0,100,o|0,f|0,c[g>>2]|0)|0;c[l>>2]=0;c[l+4>>2]=0;c[m>>2]=n;n=(c[e>>2]|0)-d>>2;f=ld(c[g>>2]|0)|0;g=oka(d,m,n,l)|0;if((f|0)!=0){ld(f|0)|0}if((g|0)==-1){_ga(47752)}else{c[e>>2]=d+(g<<2);i=j;return}}function dga(a){a=a|0;waa(a|0);tla(a);return}function ega(a){a=a|0;waa(a|0);return}function fga(a){a=a|0;return 127}function gga(a){a=a|0;return 127}function hga(a,b){a=a|0;b=b|0;Qla(a|0,0,12)|0;return}function iga(a,b){a=a|0;b=b|0;Qla(a|0,0,12)|0;return}function jga(a,b){a=a|0;b=b|0;Qla(a|0,0,12)|0;return}function kga(a,b){a=a|0;b=b|0;cba(a,1,45);return}function lga(a){a=a|0;return 0}function mga(b,c){b=b|0;c=c|0;c=b;C=67109634;a[c]=C;C=C>>8;a[c+1|0]=C;C=C>>8;a[c+2|0]=C;C=C>>8;a[c+3|0]=C;return}function nga(b,c){b=b|0;c=c|0;c=b;C=67109634;a[c]=C;C=C>>8;a[c+1|0]=C;C=C>>8;a[c+2|0]=C;C=C>>8;a[c+3|0]=C;return}function oga(a){a=a|0;waa(a|0);tla(a);return}function pga(a){a=a|0;waa(a|0);return}function qga(a){a=a|0;return 127}function rga(a){a=a|0;return 127}function sga(a,b){a=a|0;b=b|0;Qla(a|0,0,12)|0;return}function tga(a,b){a=a|0;b=b|0;Qla(a|0,0,12)|0;return}function uga(a,b){a=a|0;b=b|0;Qla(a|0,0,12)|0;return}function vga(a,b){a=a|0;b=b|0;cba(a,1,45);return}function wga(a){a=a|0;return 0}function xga(b,c){b=b|0;c=c|0;c=b;C=67109634;a[c]=C;C=C>>8;a[c+1|0]=C;C=C>>8;a[c+2|0]=C;C=C>>8;a[c+3|0]=C;return}function yga(b,c){b=b|0;c=c|0;c=b;C=67109634;a[c]=C;C=C>>8;a[c+1|0]=C;C=C>>8;a[c+2|0]=C;C=C>>8;a[c+3|0]=C;return}function zga(a){a=a|0;waa(a|0);tla(a);return}function Aga(a){a=a|0;waa(a|0);return}function Bga(a){a=a|0;return 2147483647}function Cga(a){a=a|0;return 2147483647}function Dga(a,b){a=a|0;b=b|0;Qla(a|0,0,12)|0;return}function Ega(a,b){a=a|0;b=b|0;Qla(a|0,0,12)|0;return}function Fga(a,b){a=a|0;b=b|0;Qla(a|0,0,12)|0;return}function Gga(a,b){a=a|0;b=b|0;Jba(a,1,45);return}function Hga(a){a=a|0;return 0}function Iga(b,c){b=b|0;c=c|0;c=b;C=67109634;a[c]=C;C=C>>8;a[c+1|0]=C;C=C>>8;a[c+2|0]=C;C=C>>8;a[c+3|0]=C;return}function Jga(b,c){b=b|0;c=c|0;c=b;C=67109634;a[c]=C;C=C>>8;a[c+1|0]=C;C=C>>8;a[c+2|0]=C;C=C>>8;a[c+3|0]=C;return}function Kga(a){a=a|0;waa(a|0);tla(a);return}function Lga(a){a=a|0;waa(a|0);return}function Mga(a){a=a|0;return 2147483647}function Nga(a){a=a|0;return 2147483647}function Oga(a,b){a=a|0;b=b|0;Qla(a|0,0,12)|0;return}function Pga(a,b){a=a|0;b=b|0;Qla(a|0,0,12)|0;return}function Qga(a,b){a=a|0;b=b|0;Qla(a|0,0,12)|0;return}function Rga(a,b){a=a|0;b=b|0;Jba(a,1,45);return}function Sga(a){a=a|0;return 0}function Tga(b,c){b=b|0;c=c|0;c=b;C=67109634;a[c]=C;C=C>>8;a[c+1|0]=C;C=C>>8;a[c+2|0]=C;C=C>>8;a[c+3|0]=C;return}function Uga(b,c){b=b|0;c=c|0;c=b;C=67109634;a[c]=C;C=C>>8;a[c+1|0]=C;C=C>>8;a[c+2|0]=C;C=C>>8;a[c+3|0]=C;return}function Vga(a){a=a|0;waa(a|0);tla(a);return}function Wga(a){a=a|0;waa(a|0);return}function Xga(b,d,e,f,g,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;d=i;i=i+280|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d|0;m=d+16|0;n=d+120|0;o=d+128|0;p=d+136|0;q=d+144|0;r=d+152|0;s=d+160|0;t=d+176|0;u=n|0;c[u>>2]=m;v=n+4|0;c[v>>2]=210;w=m+100|0;cca(p,h);m=p|0;x=c[m>>2]|0;if(!((c[2506692]|0)==-1)){c[l>>2]=10026768;c[l+4>>2]=84;c[l+8>>2]=0;Taa(10026768,l,124)}l=(c[2506693]|0)-1|0;y=c[x+8>>2]|0;do{if((c[x+12>>2]|0)-y>>2>>>0>l>>>0){z=c[y+(l<<2)>>2]|0;if((z|0)==0){break}A=z;a[q]=0;B=f|0;c[r>>2]=c[B>>2];do{if(Zga(e,r,g,p,c[h+4>>2]|0,j,q,A,n,o,w)|0){C=s|0;qe[c[(c[z>>2]|0)+32>>2]&127](A,9985080,9985090,C)|0;D=t|0;E=c[o>>2]|0;F=c[u>>2]|0;G=E-F|0;do{if((G|0)>98){H=lla(G+2|0)|0;if((H|0)!=0){I=H;J=H;break}yla();I=0;J=0}else{I=D;J=0}}while(0);if((a[q]|0)==0){K=I}else{a[I]=45;K=I+1|0}if(F>>>0<E>>>0){G=s+10|0;H=s;L=K;M=F;while(1){N=C;while(1){if((N|0)==(G|0)){O=G;break}if((a[N]|0)==(a[M]|0)){O=N;break}else{N=N+1|0}}a[L]=a[9985080+(O-H)|0]|0;N=M+1|0;P=L+1|0;if(N>>>0<(c[o>>2]|0)>>>0){L=P;M=N}else{Q=P;break}}}else{Q=K}a[Q]=0;M=wb(D|0,9972592,(L=i,i=i+8|0,c[L>>2]=k,L)|0)|0;i=L;if((M|0)==1){if((J|0)==0){break}mla(J);break}M=Gd(8)|0;Eaa(M,9970104);xc(M|0,9991816,30)}}while(0);A=e|0;z=c[A>>2]|0;do{if((z|0)==0){R=0}else{if((c[z+12>>2]|0)!=(c[z+16>>2]|0)){R=z;break}if(!((ce[c[(c[z>>2]|0)+36>>2]&255](z)|0)==-1)){R=z;break}c[A>>2]=0;R=0}}while(0);A=(R|0)==0;z=c[B>>2]|0;do{if((z|0)==0){S=45}else{if((c[z+12>>2]|0)!=(c[z+16>>2]|0)){if(A){break}else{S=47;break}}if((ce[c[(c[z>>2]|0)+36>>2]&255](z)|0)==-1){c[B>>2]=0;S=45;break}else{if(A){break}else{S=47;break}}}}while(0);if((S|0)==45){if(A){S=47}}if((S|0)==47){c[j>>2]=c[j>>2]|2}c[b>>2]=R;yaa(c[m>>2]|0)|0;B=c[u>>2]|0;c[u>>2]=0;if((B|0)==0){i=d;return}$d[c[v>>2]&511](B);i=d;return}}while(0);d=Gd(4)|0;Ska(d);xc(d|0,9991800,176)}function Yga(a){a=a|0;return}function Zga(e,f,g,h,j,k,l,m,n,o,p){e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;var q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0;q=i;i=i+520|0;r=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[r>>2];r=q|0;s=q+400|0;t=q+408|0;u=q+416|0;v=q+424|0;w=q+440|0;x=q+456|0;y=q+472|0;z=q+488|0;A=q+504|0;B=q+512|0;C=r|0;D=v;Qla(D|0,0,12)|0;E=w;Qla(E|0,0,12)|0;F=x;Qla(F|0,0,12)|0;G=y;Qla(G|0,0,12)|0;H=z;Qla(H|0,0,12)|0;bha(g,h,s,t,u,v,w,x,y,A);h=n|0;c[o>>2]=c[h>>2];g=e|0;e=f|0;f=m+8|0;m=y+1|0;I=y+4|0;J=y+8|0;K=x+1|0;L=x+4|0;M=x+8|0;N=(j&512|0)!=0;j=w+1|0;O=w+8|0;P=w+4|0;Q=z;R=Q+1|0;S=z+8|0;T=z+4|0;U=s+3|0;V=v+4|0;W=n+4|0;n=p;p=210;X=C;Y=C;C=r+400|0;r=0;Z=0;a:while(1){_=c[g>>2]|0;do{if((_|0)==0){$=0}else{if((c[_+12>>2]|0)!=(c[_+16>>2]|0)){$=_;break}if((ce[c[(c[_>>2]|0)+36>>2]&255](_)|0)==-1){c[g>>2]=0;$=0;break}else{$=c[g>>2]|0;break}}}while(0);_=($|0)==0;aa=c[e>>2]|0;do{if((aa|0)==0){ba=15}else{if((c[aa+12>>2]|0)!=(c[aa+16>>2]|0)){if(_){ca=aa;break}else{da=p;ea=X;fa=Y;ga=Z;ba=310;break a}}if((ce[c[(c[aa>>2]|0)+36>>2]&255](aa)|0)==-1){c[e>>2]=0;ba=15;break}else{if(_){ca=aa;break}else{da=p;ea=X;fa=Y;ga=Z;ba=310;break a}}}}while(0);if((ba|0)==15){ba=0;if(_){da=p;ea=X;fa=Y;ga=Z;ba=310;break}else{ca=0}}b:do{switch(a[s+r|0]|0){case 1:{if((r|0)==3){da=p;ea=X;fa=Y;ga=Z;ba=310;break a}aa=c[g>>2]|0;ha=c[aa+12>>2]|0;if((ha|0)==(c[aa+16>>2]|0)){ia=(ce[c[(c[aa>>2]|0)+36>>2]&255](aa)|0)&255}else{ia=a[ha]|0}if(ia<<24>>24<0){ba=41;break a}if((b[(c[f>>2]|0)+(ia<<24>>24<<1)>>1]&8192)==0){ba=41;break a}ha=c[g>>2]|0;aa=ha+12|0;ja=c[aa>>2]|0;if((ja|0)==(c[ha+16>>2]|0)){ka=(ce[c[(c[ha>>2]|0)+40>>2]&255](ha)|0)&255}else{c[aa>>2]=ja+1;ka=a[ja]|0}yba(z,ka);ba=42;break};case 3:{ja=a[F]|0;aa=(ja&1)==0;if(aa){la=(ja&255)>>>1}else{la=c[L>>2]|0}ha=a[G]|0;ma=(ha&1)==0;if(ma){na=(ha&255)>>>1}else{na=c[I>>2]|0}if((la|0)==(-na|0)){oa=Z;pa=C;qa=Y;ra=X;sa=p;ta=n;break b}if(aa){ua=(ja&255)>>>1}else{ua=c[L>>2]|0}do{if((ua|0)!=0){if(ma){va=(ha&255)>>>1}else{va=c[I>>2]|0}if((va|0)==0){break}wa=c[g>>2]|0;xa=c[wa+12>>2]|0;ya=c[wa+16>>2]|0;if((xa|0)==(ya|0)){za=(ce[c[(c[wa>>2]|0)+36>>2]&255](wa)|0)&255;Aa=c[g>>2]|0;Ba=za;Ca=a[F]|0;Da=Aa;Ea=c[Aa+12>>2]|0;Fa=c[Aa+16>>2]|0}else{Ba=a[xa]|0;Ca=ja;Da=wa;Ea=xa;Fa=ya}ya=Da+12|0;xa=(Ea|0)==(Fa|0);if(Ba<<24>>24==(a[(Ca&1)==0?K:c[M>>2]|0]|0)){if(xa){ce[c[(c[Da>>2]|0)+40>>2]&255](Da)|0}else{c[ya>>2]=Ea+1}ya=a[F]|0;if((ya&1)==0){Ga=(ya&255)>>>1}else{Ga=c[L>>2]|0}oa=Ga>>>0>1>>>0?x:Z;pa=C;qa=Y;ra=X;sa=p;ta=n;break b}if(xa){Ha=(ce[c[(c[Da>>2]|0)+36>>2]&255](Da)|0)&255}else{Ha=a[Ea]|0}if(!(Ha<<24>>24==(a[(a[G]&1)==0?m:c[J>>2]|0]|0))){ba=136;break a}xa=c[g>>2]|0;ya=xa+12|0;wa=c[ya>>2]|0;if((wa|0)==(c[xa+16>>2]|0)){ce[c[(c[xa>>2]|0)+40>>2]&255](xa)|0}else{c[ya>>2]=wa+1}a[l]=1;wa=a[G]|0;if((wa&1)==0){Ia=(wa&255)>>>1}else{Ia=c[I>>2]|0}oa=Ia>>>0>1>>>0?y:Z;pa=C;qa=Y;ra=X;sa=p;ta=n;break b}}while(0);if(aa){Ja=(ja&255)>>>1}else{Ja=c[L>>2]|0}ma=c[g>>2]|0;wa=c[ma+12>>2]|0;ya=(wa|0)==(c[ma+16>>2]|0);if((Ja|0)==0){if(ya){xa=(ce[c[(c[ma>>2]|0)+36>>2]&255](ma)|0)&255;Ka=xa;La=a[G]|0}else{Ka=a[wa]|0;La=ha}if(!(Ka<<24>>24==(a[(La&1)==0?m:c[J>>2]|0]|0))){oa=Z;pa=C;qa=Y;ra=X;sa=p;ta=n;break b}xa=c[g>>2]|0;Aa=xa+12|0;za=c[Aa>>2]|0;if((za|0)==(c[xa+16>>2]|0)){ce[c[(c[xa>>2]|0)+40>>2]&255](xa)|0}else{c[Aa>>2]=za+1}a[l]=1;za=a[G]|0;if((za&1)==0){Ma=(za&255)>>>1}else{Ma=c[I>>2]|0}oa=Ma>>>0>1>>>0?y:Z;pa=C;qa=Y;ra=X;sa=p;ta=n;break b}if(ya){ya=(ce[c[(c[ma>>2]|0)+36>>2]&255](ma)|0)&255;Na=ya;Oa=a[F]|0}else{Na=a[wa]|0;Oa=ja}if(!(Na<<24>>24==(a[(Oa&1)==0?K:c[M>>2]|0]|0))){a[l]=1;oa=Z;pa=C;qa=Y;ra=X;sa=p;ta=n;break b}wa=c[g>>2]|0;ya=wa+12|0;ma=c[ya>>2]|0;if((ma|0)==(c[wa+16>>2]|0)){ce[c[(c[wa>>2]|0)+40>>2]&255](wa)|0}else{c[ya>>2]=ma+1}ma=a[F]|0;if((ma&1)==0){Pa=(ma&255)>>>1}else{Pa=c[L>>2]|0}oa=Pa>>>0>1>>>0?x:Z;pa=C;qa=Y;ra=X;sa=p;ta=n;break};case 0:{ba=42;break};case 2:{if(!((Z|0)!=0|r>>>0<2>>>0)){if((r|0)==2){Qa=(a[U]|0)!=0}else{Qa=0}if(!(N|Qa)){oa=0;pa=C;qa=Y;ra=X;sa=p;ta=n;break b}}ma=a[E]|0;ya=(ma&1)==0;wa=ya?j:c[O>>2]|0;c:do{if((r|0)==0){Ra=wa;Sa=ma;Ta=ca;Ua=ca}else{if(!((d[s+(r-1)|0]|0)>>>0<2>>>0)){Ra=wa;Sa=ma;Ta=ca;Ua=ca;break}za=wa+(ya?(ma&255)>>>1:c[P>>2]|0)|0;Aa=wa;while(1){if((Aa|0)==(za|0)){Va=za;break}xa=a[Aa]|0;if(xa<<24>>24<0){Va=Aa;break}if((b[(c[f>>2]|0)+(xa<<24>>24<<1)>>1]&8192)==0){Va=Aa;break}else{Aa=Aa+1|0}}Aa=Va-wa|0;za=a[H]|0;xa=(za&1)==0;if(xa){Wa=(za&255)>>>1}else{Wa=c[T>>2]|0}if(Aa>>>0>Wa>>>0){Ra=wa;Sa=ma;Ta=ca;Ua=ca;break}if(xa){xa=(za&255)>>>1;Xa=xa;Ya=R;Za=xa-Aa+(Q+1)|0}else{xa=c[S>>2]|0;za=c[T>>2]|0;Xa=za;Ya=xa;Za=xa+(za-Aa)|0}Aa=Ya+Xa|0;if((Za|0)==(Aa|0)){Ra=Va;Sa=ma;Ta=ca;Ua=ca;break}else{_a=Za;$a=wa}while(1){if((a[_a]|0)!=(a[$a]|0)){Ra=wa;Sa=ma;Ta=ca;Ua=ca;break c}za=_a+1|0;if((za|0)==(Aa|0)){Ra=Va;Sa=ma;Ta=ca;Ua=ca;break}else{_a=za;$a=$a+1|0}}}}while(0);d:while(1){if((Sa&1)==0){ab=(Sa&255)>>>1;bb=j}else{ab=c[P>>2]|0;bb=c[O>>2]|0}if((Ra|0)==(bb+ab|0)){break}ma=c[g>>2]|0;do{if((ma|0)==0){cb=0}else{if((c[ma+12>>2]|0)!=(c[ma+16>>2]|0)){cb=ma;break}if((ce[c[(c[ma>>2]|0)+36>>2]&255](ma)|0)==-1){c[g>>2]=0;cb=0;break}else{cb=c[g>>2]|0;break}}}while(0);ma=(cb|0)==0;do{if((Ta|0)==0){db=Ua;ba=173}else{if((c[Ta+12>>2]|0)!=(c[Ta+16>>2]|0)){if(ma){eb=Ta;fb=Ua;break}else{break d}}if((ce[c[(c[Ta>>2]|0)+36>>2]&255](Ta)|0)==-1){c[e>>2]=0;db=0;ba=173;break}else{if(ma^(Ua|0)==0){eb=Ua;fb=Ua;break}else{break d}}}}while(0);if((ba|0)==173){ba=0;if(ma){break}else{eb=0;fb=db}}wa=c[g>>2]|0;ya=c[wa+12>>2]|0;if((ya|0)==(c[wa+16>>2]|0)){gb=(ce[c[(c[wa>>2]|0)+36>>2]&255](wa)|0)&255}else{gb=a[ya]|0}if(!(gb<<24>>24==(a[Ra]|0))){break}ya=c[g>>2]|0;wa=ya+12|0;ja=c[wa>>2]|0;if((ja|0)==(c[ya+16>>2]|0)){ce[c[(c[ya>>2]|0)+40>>2]&255](ya)|0}else{c[wa>>2]=ja+1}Ra=Ra+1|0;Sa=a[E]|0;Ta=eb;Ua=fb}if(!N){oa=Z;pa=C;qa=Y;ra=X;sa=p;ta=n;break b}ja=a[E]|0;if((ja&1)==0){hb=(ja&255)>>>1;ib=j}else{hb=c[P>>2]|0;ib=c[O>>2]|0}if((Ra|0)==(ib+hb|0)){oa=Z;pa=C;qa=Y;ra=X;sa=p;ta=n}else{ba=189;break a}break};case 4:{ja=0;wa=C;ya=Y;ha=X;aa=p;Aa=n;e:while(1){za=c[g>>2]|0;do{if((za|0)==0){jb=0}else{if((c[za+12>>2]|0)!=(c[za+16>>2]|0)){jb=za;break}if((ce[c[(c[za>>2]|0)+36>>2]&255](za)|0)==-1){c[g>>2]=0;jb=0;break}else{jb=c[g>>2]|0;break}}}while(0);za=(jb|0)==0;ma=c[e>>2]|0;do{if((ma|0)==0){ba=202}else{if((c[ma+12>>2]|0)!=(c[ma+16>>2]|0)){if(za){break}else{break e}}if((ce[c[(c[ma>>2]|0)+36>>2]&255](ma)|0)==-1){c[e>>2]=0;ba=202;break}else{if(za){break}else{break e}}}}while(0);if((ba|0)==202){ba=0;if(za){break}}ma=c[g>>2]|0;xa=c[ma+12>>2]|0;if((xa|0)==(c[ma+16>>2]|0)){kb=(ce[c[(c[ma>>2]|0)+36>>2]&255](ma)|0)&255}else{kb=a[xa]|0}do{if(kb<<24>>24<0){ba=221}else{if((b[(c[f>>2]|0)+(kb<<24>>24<<1)>>1]&2048)==0){ba=221;break}xa=c[o>>2]|0;if((xa|0)==(Aa|0)){ma=(c[W>>2]|0)!=210;lb=c[h>>2]|0;mb=Aa-lb|0;nb=mb>>>0<2147483647>>>0?mb<<1:-1;ob=ola(ma?lb:0,nb)|0;if((ob|0)==0){yla()}do{if(ma){c[h>>2]=ob;pb=ob}else{lb=c[h>>2]|0;c[h>>2]=ob;if((lb|0)==0){pb=ob;break}$d[c[W>>2]&511](lb);pb=c[h>>2]|0}}while(0);c[W>>2]=100;ob=pb+mb|0;c[o>>2]=ob;qb=(c[h>>2]|0)+nb|0;rb=ob}else{qb=Aa;rb=xa}c[o>>2]=rb+1;a[rb]=kb;sb=ja+1|0;tb=wa;ub=ya;vb=ha;wb=aa;xb=qb}}while(0);if((ba|0)==221){ba=0;za=a[D]|0;if((za&1)==0){yb=(za&255)>>>1}else{yb=c[V>>2]|0}if((yb|0)==0|(ja|0)==0){break}if(!(kb<<24>>24==(a[u]|0))){break}if((ya|0)==(wa|0)){za=ya-ha|0;ob=za>>>0<2147483647>>>0?za<<1:-1;if((aa|0)==210){zb=0}else{zb=ha}ma=ola(zb,ob)|0;lb=ma;if((ma|0)==0){yla()}Ab=lb+(ob>>>2<<2)|0;Bb=lb+(za>>2<<2)|0;Cb=lb;Db=100}else{Ab=wa;Bb=ya;Cb=ha;Db=aa}c[Bb>>2]=ja;sb=0;tb=Ab;ub=Bb+4|0;vb=Cb;wb=Db;xb=Aa}lb=c[g>>2]|0;za=lb+12|0;ob=c[za>>2]|0;if((ob|0)==(c[lb+16>>2]|0)){ce[c[(c[lb>>2]|0)+40>>2]&255](lb)|0;ja=sb;wa=tb;ya=ub;ha=vb;aa=wb;Aa=xb;continue}else{c[za>>2]=ob+1;ja=sb;wa=tb;ya=ub;ha=vb;aa=wb;Aa=xb;continue}}if((ha|0)==(ya|0)|(ja|0)==0){Eb=wa;Fb=ya;Gb=ha;Hb=aa}else{if((ya|0)==(wa|0)){ob=ya-ha|0;za=ob>>>0<2147483647>>>0?ob<<1:-1;if((aa|0)==210){Ib=0}else{Ib=ha}lb=ola(Ib,za)|0;ma=lb;if((lb|0)==0){yla()}Jb=ma+(za>>>2<<2)|0;Kb=ma+(ob>>2<<2)|0;Lb=ma;Mb=100}else{Jb=wa;Kb=ya;Lb=ha;Mb=aa}c[Kb>>2]=ja;Eb=Jb;Fb=Kb+4|0;Gb=Lb;Hb=Mb}if((c[A>>2]|0)>0){ma=c[g>>2]|0;do{if((ma|0)==0){Nb=0}else{if((c[ma+12>>2]|0)!=(c[ma+16>>2]|0)){Nb=ma;break}if((ce[c[(c[ma>>2]|0)+36>>2]&255](ma)|0)==-1){c[g>>2]=0;Nb=0;break}else{Nb=c[g>>2]|0;break}}}while(0);ma=(Nb|0)==0;ja=c[e>>2]|0;do{if((ja|0)==0){ba=257}else{if((c[ja+12>>2]|0)!=(c[ja+16>>2]|0)){if(ma){Ob=ja;break}else{ba=264;break a}}if((ce[c[(c[ja>>2]|0)+36>>2]&255](ja)|0)==-1){c[e>>2]=0;ba=257;break}else{if(ma){Ob=ja;break}else{ba=264;break a}}}}while(0);if((ba|0)==257){ba=0;if(ma){ba=264;break a}else{Ob=0}}ja=c[g>>2]|0;aa=c[ja+12>>2]|0;if((aa|0)==(c[ja+16>>2]|0)){Pb=(ce[c[(c[ja>>2]|0)+36>>2]&255](ja)|0)&255}else{Pb=a[aa]|0}if(!(Pb<<24>>24==(a[t]|0))){ba=264;break a}aa=c[g>>2]|0;ja=aa+12|0;ha=c[ja>>2]|0;if((ha|0)==(c[aa+16>>2]|0)){ce[c[(c[aa>>2]|0)+40>>2]&255](aa)|0;Qb=Aa;Rb=Ob;Sb=Ob}else{c[ja>>2]=ha+1;Qb=Aa;Rb=Ob;Sb=Ob}while(1){ha=c[g>>2]|0;do{if((ha|0)==0){Tb=0}else{if((c[ha+12>>2]|0)!=(c[ha+16>>2]|0)){Tb=ha;break}if((ce[c[(c[ha>>2]|0)+36>>2]&255](ha)|0)==-1){c[g>>2]=0;Tb=0;break}else{Tb=c[g>>2]|0;break}}}while(0);ha=(Tb|0)==0;do{if((Rb|0)==0){Ub=Sb;ba=280}else{if((c[Rb+12>>2]|0)!=(c[Rb+16>>2]|0)){if(ha){Vb=Sb;Wb=Rb;break}else{ba=288;break a}}if((ce[c[(c[Rb>>2]|0)+36>>2]&255](Rb)|0)==-1){c[e>>2]=0;Ub=0;ba=280;break}else{if(ha^(Sb|0)==0){Vb=Sb;Wb=Sb;break}else{ba=288;break a}}}}while(0);if((ba|0)==280){ba=0;if(ha){ba=288;break a}else{Vb=Ub;Wb=0}}ja=c[g>>2]|0;aa=c[ja+12>>2]|0;if((aa|0)==(c[ja+16>>2]|0)){Xb=(ce[c[(c[ja>>2]|0)+36>>2]&255](ja)|0)&255}else{Xb=a[aa]|0}if(Xb<<24>>24<0){ba=288;break a}if((b[(c[f>>2]|0)+(Xb<<24>>24<<1)>>1]&2048)==0){ba=288;break a}aa=c[o>>2]|0;if((aa|0)==(Qb|0)){ja=(c[W>>2]|0)!=210;ya=c[h>>2]|0;wa=Qb-ya|0;ob=wa>>>0<2147483647>>>0?wa<<1:-1;za=ola(ja?ya:0,ob)|0;if((za|0)==0){yla()}do{if(ja){c[h>>2]=za;Yb=za}else{ya=c[h>>2]|0;c[h>>2]=za;if((ya|0)==0){Yb=za;break}$d[c[W>>2]&511](ya);Yb=c[h>>2]|0}}while(0);c[W>>2]=100;za=Yb+wa|0;c[o>>2]=za;Zb=(c[h>>2]|0)+ob|0;_b=za}else{Zb=Qb;_b=aa}za=c[g>>2]|0;ja=c[za+12>>2]|0;if((ja|0)==(c[za+16>>2]|0)){ha=(ce[c[(c[za>>2]|0)+36>>2]&255](za)|0)&255;$b=ha;ac=c[o>>2]|0}else{$b=a[ja]|0;ac=_b}c[o>>2]=ac+1;a[ac]=$b;ja=(c[A>>2]|0)-1|0;c[A>>2]=ja;ha=c[g>>2]|0;za=ha+12|0;ya=c[za>>2]|0;if((ya|0)==(c[ha+16>>2]|0)){ce[c[(c[ha>>2]|0)+40>>2]&255](ha)|0}else{c[za>>2]=ya+1}if((ja|0)>0){Qb=Zb;Rb=Wb;Sb=Vb}else{bc=Zb;break}}}else{bc=Aa}if((c[o>>2]|0)==(c[h>>2]|0)){ba=308;break a}else{oa=Z;pa=Eb;qa=Fb;ra=Gb;sa=Hb;ta=bc}break};default:{oa=Z;pa=C;qa=Y;ra=X;sa=p;ta=n}}}while(0);f:do{if((ba|0)==42){ba=0;if((r|0)==3){da=p;ea=X;fa=Y;ga=Z;ba=310;break a}else{cc=ca;dc=ca}while(1){_=c[g>>2]|0;do{if((_|0)==0){ec=0}else{if((c[_+12>>2]|0)!=(c[_+16>>2]|0)){ec=_;break}if((ce[c[(c[_>>2]|0)+36>>2]&255](_)|0)==-1){c[g>>2]=0;ec=0;break}else{ec=c[g>>2]|0;break}}}while(0);_=(ec|0)==0;do{if((cc|0)==0){fc=dc;ba=55}else{if((c[cc+12>>2]|0)!=(c[cc+16>>2]|0)){if(_){gc=cc;hc=dc;break}else{oa=Z;pa=C;qa=Y;ra=X;sa=p;ta=n;break f}}if((ce[c[(c[cc>>2]|0)+36>>2]&255](cc)|0)==-1){c[e>>2]=0;fc=0;ba=55;break}else{if(_^(dc|0)==0){gc=dc;hc=dc;break}else{oa=Z;pa=C;qa=Y;ra=X;sa=p;ta=n;break f}}}}while(0);if((ba|0)==55){ba=0;if(_){oa=Z;pa=C;qa=Y;ra=X;sa=p;ta=n;break f}else{gc=0;hc=fc}}aa=c[g>>2]|0;ob=c[aa+12>>2]|0;if((ob|0)==(c[aa+16>>2]|0)){ic=(ce[c[(c[aa>>2]|0)+36>>2]&255](aa)|0)&255}else{ic=a[ob]|0}if(ic<<24>>24<0){oa=Z;pa=C;qa=Y;ra=X;sa=p;ta=n;break f}if((b[(c[f>>2]|0)+(ic<<24>>24<<1)>>1]&8192)==0){oa=Z;pa=C;qa=Y;ra=X;sa=p;ta=n;break f}ob=c[g>>2]|0;aa=ob+12|0;wa=c[aa>>2]|0;if((wa|0)==(c[ob+16>>2]|0)){jc=(ce[c[(c[ob>>2]|0)+40>>2]&255](ob)|0)&255}else{c[aa>>2]=wa+1;jc=a[wa]|0}yba(z,jc);cc=gc;dc=hc}}}while(0);Aa=r+1|0;if(Aa>>>0<4>>>0){n=ta;p=sa;X=ra;Y=qa;C=pa;r=Aa;Z=oa}else{da=sa;ea=ra;fa=qa;ga=oa;ba=310;break}}g:do{if((ba|0)==41){c[k>>2]=c[k>>2]|4;kc=0;lc=X;mc=p}else if((ba|0)==136){c[k>>2]=c[k>>2]|4;kc=0;lc=X;mc=p}else if((ba|0)==189){c[k>>2]=c[k>>2]|4;kc=0;lc=X;mc=p}else if((ba|0)==264){c[k>>2]=c[k>>2]|4;kc=0;lc=Gb;mc=Hb}else if((ba|0)==288){c[k>>2]=c[k>>2]|4;kc=0;lc=Gb;mc=Hb}else if((ba|0)==308){c[k>>2]=c[k>>2]|4;kc=0;lc=Gb;mc=Hb}else if((ba|0)==310){h:do{if((ga|0)!=0){oa=ga;qa=ga+1|0;ra=ga+8|0;sa=ga+4|0;Z=1;i:while(1){r=a[oa]|0;if((r&1)==0){nc=(r&255)>>>1}else{nc=c[sa>>2]|0}if(!(Z>>>0<nc>>>0)){break h}r=c[g>>2]|0;do{if((r|0)==0){oc=0}else{if((c[r+12>>2]|0)!=(c[r+16>>2]|0)){oc=r;break}if((ce[c[(c[r>>2]|0)+36>>2]&255](r)|0)==-1){c[g>>2]=0;oc=0;break}else{oc=c[g>>2]|0;break}}}while(0);r=(oc|0)==0;_=c[e>>2]|0;do{if((_|0)==0){ba=328}else{if((c[_+12>>2]|0)!=(c[_+16>>2]|0)){if(r){break}else{break i}}if((ce[c[(c[_>>2]|0)+36>>2]&255](_)|0)==-1){c[e>>2]=0;ba=328;break}else{if(r){break}else{break i}}}}while(0);if((ba|0)==328){ba=0;if(r){break}}_=c[g>>2]|0;pa=c[_+12>>2]|0;if((pa|0)==(c[_+16>>2]|0)){pc=(ce[c[(c[_>>2]|0)+36>>2]&255](_)|0)&255}else{pc=a[pa]|0}if((a[oa]&1)==0){qc=qa}else{qc=c[ra>>2]|0}if(!(pc<<24>>24==(a[qc+Z|0]|0))){break}pa=Z+1|0;_=c[g>>2]|0;C=_+12|0;Y=c[C>>2]|0;if((Y|0)==(c[_+16>>2]|0)){ce[c[(c[_>>2]|0)+40>>2]&255](_)|0;Z=pa;continue}else{c[C>>2]=Y+1;Z=pa;continue}}c[k>>2]=c[k>>2]|4;kc=0;lc=ea;mc=da;break g}}while(0);if((ea|0)==(fa|0)){kc=1;lc=fa;mc=da;break}c[B>>2]=0;cha(v,ea,fa,B);if((c[B>>2]|0)==0){kc=1;lc=ea;mc=da;break}c[k>>2]=c[k>>2]|4;kc=0;lc=ea;mc=da}}while(0);gba(z);gba(y);gba(x);gba(w);gba(v);if((lc|0)==0){i=q;return kc|0}$d[mc&511](lc);i=q;return kc|0}function _ga(a){a=a|0;var b=0;b=Gd(8)|0;Eaa(b,a);xc(b|0,9991816,30)}function $ga(b,d,e,f,g,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;d=i;i=i+160|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d|0;m=d+16|0;n=d+120|0;o=d+128|0;p=d+136|0;q=d+144|0;r=d+152|0;s=n|0;c[s>>2]=m;t=n+4|0;c[t>>2]=210;u=m+100|0;cca(p,h);m=p|0;v=c[m>>2]|0;if(!((c[2506692]|0)==-1)){c[l>>2]=10026768;c[l+4>>2]=84;c[l+8>>2]=0;Taa(10026768,l,124)}l=(c[2506693]|0)-1|0;w=c[v+8>>2]|0;do{if((c[v+12>>2]|0)-w>>2>>>0>l>>>0){x=c[w+(l<<2)>>2]|0;if((x|0)==0){break}y=x;a[q]=0;z=f|0;A=c[z>>2]|0;c[r>>2]=A;if(Zga(e,r,g,p,c[h+4>>2]|0,j,q,y,n,o,u)|0){B=k;if((a[B]&1)==0){a[k+1|0]=0;a[B]=0}else{a[c[k+8>>2]|0]=0;c[k+4>>2]=0}B=x;if((a[q]|0)!=0){yba(k,me[c[(c[B>>2]|0)+28>>2]&127](y,45)|0)}x=me[c[(c[B>>2]|0)+28>>2]&127](y,48)|0;y=c[o>>2]|0;B=y-1|0;C=c[s>>2]|0;while(1){if(!(C>>>0<B>>>0)){break}if((a[C]|0)==x<<24>>24){C=C+1|0}else{break}}aha(k,C,y)|0}x=e|0;B=c[x>>2]|0;do{if((B|0)==0){D=0}else{if((c[B+12>>2]|0)!=(c[B+16>>2]|0)){D=B;break}if(!((ce[c[(c[B>>2]|0)+36>>2]&255](B)|0)==-1)){D=B;break}c[x>>2]=0;D=0}}while(0);x=(D|0)==0;do{if((A|0)==0){E=33}else{if((c[A+12>>2]|0)!=(c[A+16>>2]|0)){if(x){break}else{E=35;break}}if((ce[c[(c[A>>2]|0)+36>>2]&255](A)|0)==-1){c[z>>2]=0;E=33;break}else{if(x^(A|0)==0){break}else{E=35;break}}}}while(0);if((E|0)==33){if(x){E=35}}if((E|0)==35){c[j>>2]=c[j>>2]|2}c[b>>2]=D;yaa(c[m>>2]|0)|0;A=c[s>>2]|0;c[s>>2]=0;if((A|0)==0){i=d;return}$d[c[t>>2]&511](A);i=d;return}}while(0);d=Gd(4)|0;Ska(d);xc(d|0,9991800,176)}function aha(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;f=b;g=d;h=a[f]|0;if((h&1)==0){i=10;j=h;k=(h&255)>>>1}else{h=c[b>>2]|0;i=(h&-2)-1|0;j=h&255;k=c[b+4>>2]|0}h=e-g|0;if((e|0)==(d|0)){return b|0}if((i-k|0)>>>0<h>>>0){Bba(b,i,k+h-i|0,k,k,0,0);l=a[f]|0}else{l=j}if((l&1)==0){m=b+1|0}else{m=c[b+8>>2]|0}l=e+(k-g)|0;g=d;d=m+k|0;while(1){a[d]=a[g]|0;j=g+1|0;if((j|0)==(e|0)){break}else{g=j;d=d+1|0}}a[m+l|0]=0;l=k+h|0;if((a[f]&1)==0){a[f]=l<<1;return b|0}else{c[b+4>>2]=l;return b|0}return 0}function bha(b,d,e,f,g,h,j,k,l,m){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,D=0,E=0,F=0,G=0;n=i;i=i+176|0;o=n|0;p=n+16|0;q=n+32|0;r=n+40|0;s=n+56|0;t=n+72|0;u=n+88|0;v=n+104|0;w=n+112|0;x=n+128|0;y=n+144|0;z=n+160|0;if(b){b=c[d>>2]|0;if(!((c[2506810]|0)==-1)){c[p>>2]=10027240;c[p+4>>2]=84;c[p+8>>2]=0;Taa(10027240,p,124)}p=(c[2506811]|0)-1|0;A=c[b+8>>2]|0;if(!((c[b+12>>2]|0)-A>>2>>>0>p>>>0)){B=Gd(4)|0;D=B;Ska(D);xc(B|0,9991800,176)}b=c[A+(p<<2)>>2]|0;if((b|0)==0){B=Gd(4)|0;D=B;Ska(D);xc(B|0,9991800,176)}B=b;ae[c[(c[b>>2]|0)+44>>2]&255](q,B);D=e;C=c[q>>2]|0;a[D]=C;C=C>>8;a[D+1|0]=C;C=C>>8;a[D+2|0]=C;C=C>>8;a[D+3|0]=C;D=b;ae[c[(c[D>>2]|0)+32>>2]&255](r,B);q=l;if((a[q]&1)==0){a[l+1|0]=0;a[q]=0}else{a[c[l+8>>2]|0]=0;c[l+4>>2]=0}sba(l,0);p=r;c[q>>2]=c[p>>2];c[q+4>>2]=c[p+4>>2];c[q+8>>2]=c[p+8>>2];Qla(p|0,0,12)|0;gba(r);ae[c[(c[D>>2]|0)+28>>2]&255](s,B);r=k;if((a[r]&1)==0){a[k+1|0]=0;a[r]=0}else{a[c[k+8>>2]|0]=0;c[k+4>>2]=0}sba(k,0);p=s;c[r>>2]=c[p>>2];c[r+4>>2]=c[p+4>>2];c[r+8>>2]=c[p+8>>2];Qla(p|0,0,12)|0;gba(s);s=b;a[f]=ce[c[(c[s>>2]|0)+12>>2]&255](B)|0;a[g]=ce[c[(c[s>>2]|0)+16>>2]&255](B)|0;ae[c[(c[D>>2]|0)+20>>2]&255](t,B);s=h;if((a[s]&1)==0){a[h+1|0]=0;a[s]=0}else{a[c[h+8>>2]|0]=0;c[h+4>>2]=0}sba(h,0);p=t;c[s>>2]=c[p>>2];c[s+4>>2]=c[p+4>>2];c[s+8>>2]=c[p+8>>2];Qla(p|0,0,12)|0;gba(t);ae[c[(c[D>>2]|0)+24>>2]&255](u,B);D=j;if((a[D]&1)==0){a[j+1|0]=0;a[D]=0}else{a[c[j+8>>2]|0]=0;c[j+4>>2]=0}sba(j,0);t=u;c[D>>2]=c[t>>2];c[D+4>>2]=c[t+4>>2];c[D+8>>2]=c[t+8>>2];Qla(t|0,0,12)|0;gba(u);E=ce[c[(c[b>>2]|0)+36>>2]&255](B)|0;c[m>>2]=E;i=n;return}else{B=c[d>>2]|0;if(!((c[2506812]|0)==-1)){c[o>>2]=10027248;c[o+4>>2]=84;c[o+8>>2]=0;Taa(10027248,o,124)}o=(c[2506813]|0)-1|0;d=c[B+8>>2]|0;if(!((c[B+12>>2]|0)-d>>2>>>0>o>>>0)){F=Gd(4)|0;G=F;Ska(G);xc(F|0,9991800,176)}B=c[d+(o<<2)>>2]|0;if((B|0)==0){F=Gd(4)|0;G=F;Ska(G);xc(F|0,9991800,176)}F=B;ae[c[(c[B>>2]|0)+44>>2]&255](v,F);G=e;C=c[v>>2]|0;a[G]=C;C=C>>8;a[G+1|0]=C;C=C>>8;a[G+2|0]=C;C=C>>8;a[G+3|0]=C;G=B;ae[c[(c[G>>2]|0)+32>>2]&255](w,F);v=l;if((a[v]&1)==0){a[l+1|0]=0;a[v]=0}else{a[c[l+8>>2]|0]=0;c[l+4>>2]=0}sba(l,0);l=w;c[v>>2]=c[l>>2];c[v+4>>2]=c[l+4>>2];c[v+8>>2]=c[l+8>>2];Qla(l|0,0,12)|0;gba(w);ae[c[(c[G>>2]|0)+28>>2]&255](x,F);w=k;if((a[w]&1)==0){a[k+1|0]=0;a[w]=0}else{a[c[k+8>>2]|0]=0;c[k+4>>2]=0}sba(k,0);k=x;c[w>>2]=c[k>>2];c[w+4>>2]=c[k+4>>2];c[w+8>>2]=c[k+8>>2];Qla(k|0,0,12)|0;gba(x);x=B;a[f]=ce[c[(c[x>>2]|0)+12>>2]&255](F)|0;a[g]=ce[c[(c[x>>2]|0)+16>>2]&255](F)|0;ae[c[(c[G>>2]|0)+20>>2]&255](y,F);x=h;if((a[x]&1)==0){a[h+1|0]=0;a[x]=0}else{a[c[h+8>>2]|0]=0;c[h+4>>2]=0}sba(h,0);h=y;c[x>>2]=c[h>>2];c[x+4>>2]=c[h+4>>2];c[x+8>>2]=c[h+8>>2];Qla(h|0,0,12)|0;gba(y);ae[c[(c[G>>2]|0)+24>>2]&255](z,F);G=j;if((a[G]&1)==0){a[j+1|0]=0;a[G]=0}else{a[c[j+8>>2]|0]=0;c[j+4>>2]=0}sba(j,0);j=z;c[G>>2]=c[j>>2];c[G+4>>2]=c[j+4>>2];c[G+8>>2]=c[j+8>>2];Qla(j|0,0,12)|0;gba(z);E=ce[c[(c[B>>2]|0)+36>>2]&255](F)|0;c[m>>2]=E;i=n;return}}function cha(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;g=b;h=a[g]|0;if((h&1)==0){i=(h&255)>>>1}else{i=c[b+4>>2]|0}if((i|0)==0){return}do{if((d|0)==(e|0)){j=h}else{i=e-4|0;if(i>>>0>d>>>0){k=d;l=i}else{j=h;break}do{i=c[k>>2]|0;c[k>>2]=c[l>>2];c[l>>2]=i;k=k+4|0;l=l-4|0;}while(k>>>0<l>>>0);j=a[g]|0}}while(0);if((j&1)==0){m=(j&255)>>>1;n=b+1|0}else{m=c[b+4>>2]|0;n=c[b+8>>2]|0}b=e-4|0;e=a[n]|0;j=e<<24>>24<1|e<<24>>24==127;a:do{if(b>>>0>d>>>0){g=n+m|0;l=n;k=d;h=e;i=j;while(1){if(!i){if((h<<24>>24|0)!=(c[k>>2]|0)){break}}o=(g-l|0)>1?l+1|0:l;p=k+4|0;q=a[o]|0;r=q<<24>>24<1|q<<24>>24==127;if(p>>>0<b>>>0){l=o;k=p;h=q;i=r}else{s=q;t=r;break a}}c[f>>2]=4;return}else{s=e;t=j}}while(0);if(t){return}t=c[b>>2]|0;if(!(s<<24>>24>>>0<t>>>0|(t|0)==0)){return}c[f>>2]=4;return}function dha(a){a=a|0;waa(a|0);tla(a);return}function eha(a){a=a|0;waa(a|0);return}function fha(b,d,e,f,g,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0;d=i;i=i+600|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d|0;m=d+16|0;n=d+416|0;o=d+424|0;p=d+432|0;q=d+440|0;r=d+448|0;s=d+456|0;t=d+496|0;u=n|0;c[u>>2]=m;v=n+4|0;c[v>>2]=210;w=m+400|0;cca(p,h);m=p|0;x=c[m>>2]|0;if(!((c[2506690]|0)==-1)){c[l>>2]=10026760;c[l+4>>2]=84;c[l+8>>2]=0;Taa(10026760,l,124)}l=(c[2506691]|0)-1|0;y=c[x+8>>2]|0;do{if((c[x+12>>2]|0)-y>>2>>>0>l>>>0){z=c[y+(l<<2)>>2]|0;if((z|0)==0){break}A=z;a[q]=0;B=f|0;c[r>>2]=c[B>>2];do{if(gha(e,r,g,p,c[h+4>>2]|0,j,q,A,n,o,w)|0){C=s|0;qe[c[(c[z>>2]|0)+48>>2]&127](A,9985064,9985074,C)|0;D=t|0;E=c[o>>2]|0;F=c[u>>2]|0;G=E-F|0;do{if((G|0)>392){H=lla((G>>2)+2|0)|0;if((H|0)!=0){I=H;J=H;break}yla();I=0;J=0}else{I=D;J=0}}while(0);if((a[q]|0)==0){K=I}else{a[I]=45;K=I+1|0}if(F>>>0<E>>>0){G=s+40|0;H=s;L=K;M=F;while(1){N=C;while(1){if((N|0)==(G|0)){O=G;break}if((c[N>>2]|0)==(c[M>>2]|0)){O=N;break}else{N=N+4|0}}a[L]=a[9985064+(O-H>>2)|0]|0;N=M+4|0;P=L+1|0;if(N>>>0<(c[o>>2]|0)>>>0){L=P;M=N}else{Q=P;break}}}else{Q=K}a[Q]=0;M=wb(D|0,9972592,(L=i,i=i+8|0,c[L>>2]=k,L)|0)|0;i=L;if((M|0)==1){if((J|0)==0){break}mla(J);break}M=Gd(8)|0;Eaa(M,9970104);xc(M|0,9991816,30)}}while(0);A=e|0;z=c[A>>2]|0;do{if((z|0)==0){R=1}else{M=c[z+12>>2]|0;if((M|0)==(c[z+16>>2]|0)){S=ce[c[(c[z>>2]|0)+36>>2]&255](z)|0}else{S=c[M>>2]|0}if((S|0)==-1){c[A>>2]=0;R=1;break}else{R=(c[A>>2]|0)==0;break}}}while(0);z=c[B>>2]|0;do{if((z|0)==0){T=47}else{M=c[z+12>>2]|0;if((M|0)==(c[z+16>>2]|0)){U=ce[c[(c[z>>2]|0)+36>>2]&255](z)|0}else{U=c[M>>2]|0}if((U|0)==-1){c[B>>2]=0;T=47;break}else{if(R){break}else{T=49;break}}}}while(0);if((T|0)==47){if(R){T=49}}if((T|0)==49){c[j>>2]=c[j>>2]|2}c[b>>2]=c[A>>2];yaa(c[m>>2]|0)|0;B=c[u>>2]|0;c[u>>2]=0;if((B|0)==0){i=d;return}$d[c[v>>2]&511](B);i=d;return}}while(0);d=Gd(4)|0;Ska(d);xc(d|0,9991800,176)}function gha(b,e,f,g,h,j,k,l,m,n,o){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;var p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0;p=i;i=i+528|0;q=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[q>>2];q=p|0;r=p+8|0;s=p+408|0;t=p+416|0;u=p+424|0;v=p+432|0;w=p+448|0;x=p+464|0;y=p+480|0;z=p+496|0;A=p+512|0;B=p+520|0;c[q>>2]=o;o=r|0;C=v;Qla(C|0,0,12)|0;D=w;Qla(D|0,0,12)|0;E=x;Qla(E|0,0,12)|0;F=y;Qla(F|0,0,12)|0;G=z;Qla(G|0,0,12)|0;jha(f,g,s,t,u,v,w,x,y,A);g=m|0;c[n>>2]=c[g>>2];f=b|0;b=e|0;e=l;H=y+4|0;I=y+8|0;J=x+4|0;K=x+8|0;L=(h&512|0)!=0;h=w+4|0;M=w+8|0;N=z+4|0;O=z+8|0;P=s+3|0;Q=v+4|0;R=210;S=o;T=o;o=r+400|0;r=0;U=0;a:while(1){V=c[f>>2]|0;do{if((V|0)==0){W=1}else{X=c[V+12>>2]|0;if((X|0)==(c[V+16>>2]|0)){Y=ce[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{Y=c[X>>2]|0}if((Y|0)==-1){c[f>>2]=0;W=1;break}else{W=(c[f>>2]|0)==0;break}}}while(0);V=c[b>>2]|0;do{if((V|0)==0){Z=16}else{X=c[V+12>>2]|0;if((X|0)==(c[V+16>>2]|0)){_=ce[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{_=c[X>>2]|0}if((_|0)==-1){c[b>>2]=0;Z=16;break}else{if(W){$=V;break}else{aa=R;ba=S;ca=T;da=U;Z=302;break a}}}}while(0);if((Z|0)==16){Z=0;if(W){aa=R;ba=S;ca=T;da=U;Z=302;break}else{$=0}}b:do{switch(a[s+r|0]|0){case 1:{if((r|0)==3){aa=R;ba=S;ca=T;da=U;Z=302;break a}V=c[f>>2]|0;X=c[V+12>>2]|0;if((X|0)==(c[V+16>>2]|0)){ea=ce[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{ea=c[X>>2]|0}if(!(ee[c[(c[e>>2]|0)+12>>2]&127](l,8192,ea)|0)){Z=41;break a}X=c[f>>2]|0;V=X+12|0;fa=c[V>>2]|0;if((fa|0)==(c[X+16>>2]|0)){ga=ce[c[(c[X>>2]|0)+40>>2]&255](X)|0}else{c[V>>2]=fa+4;ga=c[fa>>2]|0}Oba(z,ga);Z=42;break};case 0:{Z=42;break};case 3:{fa=a[E]|0;V=(fa&1)==0;if(V){ha=(fa&255)>>>1}else{ha=c[J>>2]|0}X=a[F]|0;ia=(X&1)==0;if(ia){ja=(X&255)>>>1}else{ja=c[H>>2]|0}if((ha|0)==(-ja|0)){ka=U;la=o;ma=T;na=S;oa=R;break b}if(V){pa=(fa&255)>>>1}else{pa=c[J>>2]|0}do{if((pa|0)!=0){if(ia){qa=(X&255)>>>1}else{qa=c[H>>2]|0}if((qa|0)==0){break}ra=c[f>>2]|0;sa=c[ra+12>>2]|0;if((sa|0)==(c[ra+16>>2]|0)){ta=ce[c[(c[ra>>2]|0)+36>>2]&255](ra)|0;ua=ta;va=a[E]|0}else{ua=c[sa>>2]|0;va=fa}sa=c[f>>2]|0;ta=sa+12|0;ra=c[ta>>2]|0;wa=(ra|0)==(c[sa+16>>2]|0);if((ua|0)==(c[((va&1)==0?J:c[K>>2]|0)>>2]|0)){if(wa){ce[c[(c[sa>>2]|0)+40>>2]&255](sa)|0}else{c[ta>>2]=ra+4}ta=a[E]|0;if((ta&1)==0){xa=(ta&255)>>>1}else{xa=c[J>>2]|0}ka=xa>>>0>1>>>0?x:U;la=o;ma=T;na=S;oa=R;break b}if(wa){ya=ce[c[(c[sa>>2]|0)+36>>2]&255](sa)|0}else{ya=c[ra>>2]|0}if((ya|0)!=(c[((a[F]&1)==0?H:c[I>>2]|0)>>2]|0)){Z=134;break a}ra=c[f>>2]|0;sa=ra+12|0;wa=c[sa>>2]|0;if((wa|0)==(c[ra+16>>2]|0)){ce[c[(c[ra>>2]|0)+40>>2]&255](ra)|0}else{c[sa>>2]=wa+4}a[k]=1;wa=a[F]|0;if((wa&1)==0){za=(wa&255)>>>1}else{za=c[H>>2]|0}ka=za>>>0>1>>>0?y:U;la=o;ma=T;na=S;oa=R;break b}}while(0);if(V){Aa=(fa&255)>>>1}else{Aa=c[J>>2]|0}ia=c[f>>2]|0;wa=c[ia+12>>2]|0;sa=(wa|0)==(c[ia+16>>2]|0);if((Aa|0)==0){if(sa){ra=ce[c[(c[ia>>2]|0)+36>>2]&255](ia)|0;Ba=ra;Ca=a[F]|0}else{Ba=c[wa>>2]|0;Ca=X}if((Ba|0)!=(c[((Ca&1)==0?H:c[I>>2]|0)>>2]|0)){ka=U;la=o;ma=T;na=S;oa=R;break b}ra=c[f>>2]|0;ta=ra+12|0;Da=c[ta>>2]|0;if((Da|0)==(c[ra+16>>2]|0)){ce[c[(c[ra>>2]|0)+40>>2]&255](ra)|0}else{c[ta>>2]=Da+4}a[k]=1;Da=a[F]|0;if((Da&1)==0){Ea=(Da&255)>>>1}else{Ea=c[H>>2]|0}ka=Ea>>>0>1>>>0?y:U;la=o;ma=T;na=S;oa=R;break b}if(sa){sa=ce[c[(c[ia>>2]|0)+36>>2]&255](ia)|0;Fa=sa;Ga=a[E]|0}else{Fa=c[wa>>2]|0;Ga=fa}if((Fa|0)!=(c[((Ga&1)==0?J:c[K>>2]|0)>>2]|0)){a[k]=1;ka=U;la=o;ma=T;na=S;oa=R;break b}wa=c[f>>2]|0;sa=wa+12|0;ia=c[sa>>2]|0;if((ia|0)==(c[wa+16>>2]|0)){ce[c[(c[wa>>2]|0)+40>>2]&255](wa)|0}else{c[sa>>2]=ia+4}ia=a[E]|0;if((ia&1)==0){Ha=(ia&255)>>>1}else{Ha=c[J>>2]|0}ka=Ha>>>0>1>>>0?x:U;la=o;ma=T;na=S;oa=R;break};case 2:{if(!((U|0)!=0|r>>>0<2>>>0)){if((r|0)==2){Ia=(a[P]|0)!=0}else{Ia=0}if(!(L|Ia)){ka=0;la=o;ma=T;na=S;oa=R;break b}}ia=a[D]|0;sa=(ia&1)==0?h:c[M>>2]|0;c:do{if((r|0)==0){Ja=sa;Ka=ia;La=$;Ma=$}else{if((d[s+(r-1)|0]|0)>>>0<2>>>0){Na=sa;Oa=ia}else{Ja=sa;Ka=ia;La=$;Ma=$;break}while(1){if((Oa&1)==0){Pa=(Oa&255)>>>1;Qa=h}else{Pa=c[h>>2]|0;Qa=c[M>>2]|0}if((Na|0)==(Qa+(Pa<<2)|0)){Ra=Oa;break}if(!(ee[c[(c[e>>2]|0)+12>>2]&127](l,8192,c[Na>>2]|0)|0)){Z=148;break}Na=Na+4|0;Oa=a[D]|0}if((Z|0)==148){Z=0;Ra=a[D]|0}wa=(Ra&1)==0;Da=Na-(wa?h:c[M>>2]|0)>>2;ta=a[G]|0;ra=(ta&1)==0;if(ra){Sa=(ta&255)>>>1}else{Sa=c[N>>2]|0}d:do{if(!(Da>>>0>Sa>>>0)){if(ra){Ta=(ta&255)>>>1;Ua=N;Va=N+(((ta&255)>>>1)-Da<<2)|0}else{Wa=c[O>>2]|0;Xa=c[N>>2]|0;Ta=Xa;Ua=Wa;Va=Wa+(Xa-Da<<2)|0}Xa=Ua+(Ta<<2)|0;if((Va|0)==(Xa|0)){Ja=Na;Ka=Ra;La=$;Ma=$;break c}else{Ya=Va;Za=wa?h:c[M>>2]|0}while(1){if((c[Ya>>2]|0)!=(c[Za>>2]|0)){break d}Wa=Ya+4|0;if((Wa|0)==(Xa|0)){Ja=Na;Ka=Ra;La=$;Ma=$;break c}Ya=Wa;Za=Za+4|0}}}while(0);Ja=wa?h:c[M>>2]|0;Ka=Ra;La=$;Ma=$}}while(0);e:while(1){if((Ka&1)==0){_a=(Ka&255)>>>1;$a=h}else{_a=c[h>>2]|0;$a=c[M>>2]|0}if((Ja|0)==($a+(_a<<2)|0)){break}ia=c[f>>2]|0;do{if((ia|0)==0){ab=1}else{sa=c[ia+12>>2]|0;if((sa|0)==(c[ia+16>>2]|0)){bb=ce[c[(c[ia>>2]|0)+36>>2]&255](ia)|0}else{bb=c[sa>>2]|0}if((bb|0)==-1){c[f>>2]=0;ab=1;break}else{ab=(c[f>>2]|0)==0;break}}}while(0);do{if((La|0)==0){cb=Ma;Z=178}else{ia=c[La+12>>2]|0;if((ia|0)==(c[La+16>>2]|0)){db=ce[c[(c[La>>2]|0)+36>>2]&255](La)|0}else{db=c[ia>>2]|0}if((db|0)==-1){c[b>>2]=0;cb=0;Z=178;break}else{if(ab^(Ma|0)==0){eb=Ma;fb=Ma;break}else{break e}}}}while(0);if((Z|0)==178){Z=0;if(ab){break}else{eb=0;fb=cb}}ia=c[f>>2]|0;wa=c[ia+12>>2]|0;if((wa|0)==(c[ia+16>>2]|0)){gb=ce[c[(c[ia>>2]|0)+36>>2]&255](ia)|0}else{gb=c[wa>>2]|0}if((gb|0)!=(c[Ja>>2]|0)){break}wa=c[f>>2]|0;ia=wa+12|0;sa=c[ia>>2]|0;if((sa|0)==(c[wa+16>>2]|0)){ce[c[(c[wa>>2]|0)+40>>2]&255](wa)|0}else{c[ia>>2]=sa+4}Ja=Ja+4|0;Ka=a[D]|0;La=eb;Ma=fb}if(!L){ka=U;la=o;ma=T;na=S;oa=R;break b}sa=a[D]|0;if((sa&1)==0){hb=(sa&255)>>>1;ib=h}else{hb=c[h>>2]|0;ib=c[M>>2]|0}if((Ja|0)==(ib+(hb<<2)|0)){ka=U;la=o;ma=T;na=S;oa=R}else{Z=193;break a}break};case 4:{sa=0;ia=o;wa=T;fa=S;X=R;f:while(1){V=c[f>>2]|0;do{if((V|0)==0){jb=1}else{Da=c[V+12>>2]|0;if((Da|0)==(c[V+16>>2]|0)){kb=ce[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{kb=c[Da>>2]|0}if((kb|0)==-1){c[f>>2]=0;jb=1;break}else{jb=(c[f>>2]|0)==0;break}}}while(0);V=c[b>>2]|0;do{if((V|0)==0){Z=207}else{Da=c[V+12>>2]|0;if((Da|0)==(c[V+16>>2]|0)){lb=ce[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{lb=c[Da>>2]|0}if((lb|0)==-1){c[b>>2]=0;Z=207;break}else{if(jb){break}else{break f}}}}while(0);if((Z|0)==207){Z=0;if(jb){break}}V=c[f>>2]|0;Da=c[V+12>>2]|0;if((Da|0)==(c[V+16>>2]|0)){mb=ce[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{mb=c[Da>>2]|0}if(ee[c[(c[e>>2]|0)+12>>2]&127](l,2048,mb)|0){Da=c[n>>2]|0;if((Da|0)==(c[q>>2]|0)){kha(m,n,q);nb=c[n>>2]|0}else{nb=Da}c[n>>2]=nb+4;c[nb>>2]=mb;ob=sa+1|0;pb=ia;qb=wa;rb=fa;sb=X}else{Da=a[C]|0;if((Da&1)==0){tb=(Da&255)>>>1}else{tb=c[Q>>2]|0}if((tb|0)==0|(sa|0)==0){break}if((mb|0)!=(c[u>>2]|0)){break}if((wa|0)==(ia|0)){Da=(X|0)!=210;V=wa-fa|0;ta=V>>>0<2147483647>>>0?V<<1:-1;if(Da){ub=fa}else{ub=0}Da=ola(ub,ta)|0;ra=Da;if((Da|0)==0){yla()}vb=ra+(ta>>>2<<2)|0;wb=ra+(V>>2<<2)|0;xb=ra;yb=100}else{vb=ia;wb=wa;xb=fa;yb=X}c[wb>>2]=sa;ob=0;pb=vb;qb=wb+4|0;rb=xb;sb=yb}ra=c[f>>2]|0;V=ra+12|0;ta=c[V>>2]|0;if((ta|0)==(c[ra+16>>2]|0)){ce[c[(c[ra>>2]|0)+40>>2]&255](ra)|0;sa=ob;ia=pb;wa=qb;fa=rb;X=sb;continue}else{c[V>>2]=ta+4;sa=ob;ia=pb;wa=qb;fa=rb;X=sb;continue}}if((fa|0)==(wa|0)|(sa|0)==0){zb=ia;Ab=wa;Bb=fa;Cb=X}else{if((wa|0)==(ia|0)){ta=(X|0)!=210;V=wa-fa|0;ra=V>>>0<2147483647>>>0?V<<1:-1;if(ta){Db=fa}else{Db=0}ta=ola(Db,ra)|0;Da=ta;if((ta|0)==0){yla()}Eb=Da+(ra>>>2<<2)|0;Fb=Da+(V>>2<<2)|0;Gb=Da;Hb=100}else{Eb=ia;Fb=wa;Gb=fa;Hb=X}c[Fb>>2]=sa;zb=Eb;Ab=Fb+4|0;Bb=Gb;Cb=Hb}Da=c[A>>2]|0;if((Da|0)>0){V=c[f>>2]|0;do{if((V|0)==0){Ib=1}else{ra=c[V+12>>2]|0;if((ra|0)==(c[V+16>>2]|0)){Jb=ce[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{Jb=c[ra>>2]|0}if((Jb|0)==-1){c[f>>2]=0;Ib=1;break}else{Ib=(c[f>>2]|0)==0;break}}}while(0);V=c[b>>2]|0;do{if((V|0)==0){Z=259}else{sa=c[V+12>>2]|0;if((sa|0)==(c[V+16>>2]|0)){Kb=ce[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{Kb=c[sa>>2]|0}if((Kb|0)==-1){c[b>>2]=0;Z=259;break}else{if(Ib){Lb=V;break}else{Z=265;break a}}}}while(0);if((Z|0)==259){Z=0;if(Ib){Z=265;break a}else{Lb=0}}V=c[f>>2]|0;sa=c[V+12>>2]|0;if((sa|0)==(c[V+16>>2]|0)){Mb=ce[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{Mb=c[sa>>2]|0}if((Mb|0)!=(c[t>>2]|0)){Z=265;break a}sa=c[f>>2]|0;V=sa+12|0;X=c[V>>2]|0;if((X|0)==(c[sa+16>>2]|0)){ce[c[(c[sa>>2]|0)+40>>2]&255](sa)|0;Nb=Lb;Ob=Da;Pb=Lb}else{c[V>>2]=X+4;Nb=Lb;Ob=Da;Pb=Lb}while(1){X=c[f>>2]|0;do{if((X|0)==0){Qb=1}else{V=c[X+12>>2]|0;if((V|0)==(c[X+16>>2]|0)){Rb=ce[c[(c[X>>2]|0)+36>>2]&255](X)|0}else{Rb=c[V>>2]|0}if((Rb|0)==-1){c[f>>2]=0;Qb=1;break}else{Qb=(c[f>>2]|0)==0;break}}}while(0);do{if((Nb|0)==0){Sb=Pb;Z=282}else{X=c[Nb+12>>2]|0;if((X|0)==(c[Nb+16>>2]|0)){Tb=ce[c[(c[Nb>>2]|0)+36>>2]&255](Nb)|0}else{Tb=c[X>>2]|0}if((Tb|0)==-1){c[b>>2]=0;Sb=0;Z=282;break}else{if(Qb^(Pb|0)==0){Ub=Pb;Vb=Pb;break}else{Z=289;break a}}}}while(0);if((Z|0)==282){Z=0;if(Qb){Z=289;break a}else{Ub=Sb;Vb=0}}X=c[f>>2]|0;V=c[X+12>>2]|0;if((V|0)==(c[X+16>>2]|0)){Wb=ce[c[(c[X>>2]|0)+36>>2]&255](X)|0}else{Wb=c[V>>2]|0}if(!(ee[c[(c[e>>2]|0)+12>>2]&127](l,2048,Wb)|0)){Z=289;break a}if((c[n>>2]|0)==(c[q>>2]|0)){kha(m,n,q)}V=c[f>>2]|0;X=c[V+12>>2]|0;if((X|0)==(c[V+16>>2]|0)){Xb=ce[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{Xb=c[X>>2]|0}X=c[n>>2]|0;c[n>>2]=X+4;c[X>>2]=Xb;X=Ob-1|0;c[A>>2]=X;V=c[f>>2]|0;sa=V+12|0;fa=c[sa>>2]|0;if((fa|0)==(c[V+16>>2]|0)){ce[c[(c[V>>2]|0)+40>>2]&255](V)|0}else{c[sa>>2]=fa+4}if((X|0)>0){Nb=Vb;Ob=X;Pb=Ub}else{break}}}if((c[n>>2]|0)==(c[g>>2]|0)){Z=300;break a}else{ka=U;la=zb;ma=Ab;na=Bb;oa=Cb}break};default:{ka=U;la=o;ma=T;na=S;oa=R}}}while(0);g:do{if((Z|0)==42){Z=0;if((r|0)==3){aa=R;ba=S;ca=T;da=U;Z=302;break a}else{Yb=$;Zb=$}while(1){Da=c[f>>2]|0;do{if((Da|0)==0){_b=1}else{X=c[Da+12>>2]|0;if((X|0)==(c[Da+16>>2]|0)){$b=ce[c[(c[Da>>2]|0)+36>>2]&255](Da)|0}else{$b=c[X>>2]|0}if(($b|0)==-1){c[f>>2]=0;_b=1;break}else{_b=(c[f>>2]|0)==0;break}}}while(0);do{if((Yb|0)==0){ac=Zb;Z=56}else{Da=c[Yb+12>>2]|0;if((Da|0)==(c[Yb+16>>2]|0)){bc=ce[c[(c[Yb>>2]|0)+36>>2]&255](Yb)|0}else{bc=c[Da>>2]|0}if((bc|0)==-1){c[b>>2]=0;ac=0;Z=56;break}else{if(_b^(Zb|0)==0){cc=Zb;dc=Zb;break}else{ka=U;la=o;ma=T;na=S;oa=R;break g}}}}while(0);if((Z|0)==56){Z=0;if(_b){ka=U;la=o;ma=T;na=S;oa=R;break g}else{cc=0;dc=ac}}Da=c[f>>2]|0;X=c[Da+12>>2]|0;if((X|0)==(c[Da+16>>2]|0)){ec=ce[c[(c[Da>>2]|0)+36>>2]&255](Da)|0}else{ec=c[X>>2]|0}if(!(ee[c[(c[e>>2]|0)+12>>2]&127](l,8192,ec)|0)){ka=U;la=o;ma=T;na=S;oa=R;break g}X=c[f>>2]|0;Da=X+12|0;fa=c[Da>>2]|0;if((fa|0)==(c[X+16>>2]|0)){fc=ce[c[(c[X>>2]|0)+40>>2]&255](X)|0}else{c[Da>>2]=fa+4;fc=c[fa>>2]|0}Oba(z,fc);Yb=cc;Zb=dc}}}while(0);fa=r+1|0;if(fa>>>0<4>>>0){R=oa;S=na;T=ma;o=la;r=fa;U=ka}else{aa=oa;ba=na;ca=ma;da=ka;Z=302;break}}h:do{if((Z|0)==41){c[j>>2]=c[j>>2]|4;gc=0;hc=S;ic=R}else if((Z|0)==134){c[j>>2]=c[j>>2]|4;gc=0;hc=S;ic=R}else if((Z|0)==193){c[j>>2]=c[j>>2]|4;gc=0;hc=S;ic=R}else if((Z|0)==265){c[j>>2]=c[j>>2]|4;gc=0;hc=Bb;ic=Cb}else if((Z|0)==289){c[j>>2]=c[j>>2]|4;gc=0;hc=Bb;ic=Cb}else if((Z|0)==300){c[j>>2]=c[j>>2]|4;gc=0;hc=Bb;ic=Cb}else if((Z|0)==302){i:do{if((da|0)!=0){ka=da;ma=da+4|0;na=da+8|0;oa=1;j:while(1){U=a[ka]|0;if((U&1)==0){jc=(U&255)>>>1}else{jc=c[ma>>2]|0}if(!(oa>>>0<jc>>>0)){break i}U=c[f>>2]|0;do{if((U|0)==0){kc=1}else{r=c[U+12>>2]|0;if((r|0)==(c[U+16>>2]|0)){lc=ce[c[(c[U>>2]|0)+36>>2]&255](U)|0}else{lc=c[r>>2]|0}if((lc|0)==-1){c[f>>2]=0;kc=1;break}else{kc=(c[f>>2]|0)==0;break}}}while(0);U=c[b>>2]|0;do{if((U|0)==0){Z=321}else{r=c[U+12>>2]|0;if((r|0)==(c[U+16>>2]|0)){mc=ce[c[(c[U>>2]|0)+36>>2]&255](U)|0}else{mc=c[r>>2]|0}if((mc|0)==-1){c[b>>2]=0;Z=321;break}else{if(kc){break}else{break j}}}}while(0);if((Z|0)==321){Z=0;if(kc){break}}U=c[f>>2]|0;r=c[U+12>>2]|0;if((r|0)==(c[U+16>>2]|0)){nc=ce[c[(c[U>>2]|0)+36>>2]&255](U)|0}else{nc=c[r>>2]|0}if((a[ka]&1)==0){oc=ma}else{oc=c[na>>2]|0}if((nc|0)!=(c[oc+(oa<<2)>>2]|0)){break}r=oa+1|0;U=c[f>>2]|0;la=U+12|0;o=c[la>>2]|0;if((o|0)==(c[U+16>>2]|0)){ce[c[(c[U>>2]|0)+40>>2]&255](U)|0;oa=r;continue}else{c[la>>2]=o+4;oa=r;continue}}c[j>>2]=c[j>>2]|4;gc=0;hc=ba;ic=aa;break h}}while(0);if((ba|0)==(ca|0)){gc=1;hc=ca;ic=aa;break}c[B>>2]=0;cha(v,ba,ca,B);if((c[B>>2]|0)==0){gc=1;hc=ba;ic=aa;break}c[j>>2]=c[j>>2]|4;gc=0;hc=ba;ic=aa}}while(0);Kba(z);Kba(y);Kba(x);Kba(w);gba(v);if((hc|0)==0){i=p;return gc|0}$d[ic&511](hc);i=p;return gc|0}function hha(b,d,e,f,g,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;d=i;i=i+456|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d|0;m=d+16|0;n=d+416|0;o=d+424|0;p=d+432|0;q=d+440|0;r=d+448|0;s=n|0;c[s>>2]=m;t=n+4|0;c[t>>2]=210;u=m+400|0;cca(p,h);m=p|0;v=c[m>>2]|0;if(!((c[2506690]|0)==-1)){c[l>>2]=10026760;c[l+4>>2]=84;c[l+8>>2]=0;Taa(10026760,l,124)}l=(c[2506691]|0)-1|0;w=c[v+8>>2]|0;do{if((c[v+12>>2]|0)-w>>2>>>0>l>>>0){x=c[w+(l<<2)>>2]|0;if((x|0)==0){break}y=x;a[q]=0;z=f|0;A=c[z>>2]|0;c[r>>2]=A;if(gha(e,r,g,p,c[h+4>>2]|0,j,q,y,n,o,u)|0){B=k;if((a[B]&1)==0){c[k+4>>2]=0;a[B]=0}else{c[c[k+8>>2]>>2]=0;c[k+4>>2]=0}B=x;if((a[q]|0)!=0){Oba(k,me[c[(c[B>>2]|0)+44>>2]&127](y,45)|0)}x=me[c[(c[B>>2]|0)+44>>2]&127](y,48)|0;y=c[o>>2]|0;B=y-4|0;C=c[s>>2]|0;while(1){if(!(C>>>0<B>>>0)){break}if((c[C>>2]|0)==(x|0)){C=C+4|0}else{break}}iha(k,C,y)|0}x=e|0;B=c[x>>2]|0;do{if((B|0)==0){D=1}else{E=c[B+12>>2]|0;if((E|0)==(c[B+16>>2]|0)){F=ce[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{F=c[E>>2]|0}if((F|0)==-1){c[x>>2]=0;D=1;break}else{D=(c[x>>2]|0)==0;break}}}while(0);do{if((A|0)==0){G=35}else{B=c[A+12>>2]|0;if((B|0)==(c[A+16>>2]|0)){H=ce[c[(c[A>>2]|0)+36>>2]&255](A)|0}else{H=c[B>>2]|0}if((H|0)==-1){c[z>>2]=0;G=35;break}else{if(D){break}else{G=37;break}}}}while(0);if((G|0)==35){if(D){G=37}}if((G|0)==37){c[j>>2]=c[j>>2]|2}c[b>>2]=c[x>>2];yaa(c[m>>2]|0)|0;z=c[s>>2]|0;c[s>>2]=0;if((z|0)==0){i=d;return}$d[c[t>>2]&511](z);i=d;return}}while(0);d=Gd(4)|0;Ska(d);xc(d|0,9991800,176)}function iha(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;f=b;g=d;h=a[f]|0;if((h&1)==0){i=1;j=h;k=(h&255)>>>1}else{h=c[b>>2]|0;i=(h&-2)-1|0;j=h&255;k=c[b+4>>2]|0}h=e-g>>2;if((h|0)==0){return b|0}if((i-k|0)>>>0<h>>>0){Qba(b,i,k+h-i|0,k,k,0,0);l=a[f]|0}else{l=j}if((l&1)==0){m=b+4|0}else{m=c[b+8>>2]|0}l=m+(k<<2)|0;if((d|0)==(e|0)){n=l}else{j=k+((e-4+(-g|0)|0)>>>2)+1|0;g=d;d=l;while(1){c[d>>2]=c[g>>2];l=g+4|0;if((l|0)==(e|0)){break}else{g=l;d=d+4|0}}n=m+(j<<2)|0}c[n>>2]=0;n=k+h|0;if((a[f]&1)==0){a[f]=n<<1;return b|0}else{c[b+4>>2]=n;return b|0}return 0}function jha(b,d,e,f,g,h,j,k,l,m){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,D=0,E=0,F=0,G=0;n=i;i=i+176|0;o=n|0;p=n+16|0;q=n+32|0;r=n+40|0;s=n+56|0;t=n+72|0;u=n+88|0;v=n+104|0;w=n+112|0;x=n+128|0;y=n+144|0;z=n+160|0;if(b){b=c[d>>2]|0;if(!((c[2506806]|0)==-1)){c[p>>2]=10027224;c[p+4>>2]=84;c[p+8>>2]=0;Taa(10027224,p,124)}p=(c[2506807]|0)-1|0;A=c[b+8>>2]|0;if(!((c[b+12>>2]|0)-A>>2>>>0>p>>>0)){B=Gd(4)|0;D=B;Ska(D);xc(B|0,9991800,176)}b=c[A+(p<<2)>>2]|0;if((b|0)==0){B=Gd(4)|0;D=B;Ska(D);xc(B|0,9991800,176)}B=b;ae[c[(c[b>>2]|0)+44>>2]&255](q,B);D=e;C=c[q>>2]|0;a[D]=C;C=C>>8;a[D+1|0]=C;C=C>>8;a[D+2|0]=C;C=C>>8;a[D+3|0]=C;D=b;ae[c[(c[D>>2]|0)+32>>2]&255](r,B);q=l;if((a[q]&1)==0){c[l+4>>2]=0;a[q]=0}else{c[c[l+8>>2]>>2]=0;c[l+4>>2]=0}Nba(l,0);p=r;c[q>>2]=c[p>>2];c[q+4>>2]=c[p+4>>2];c[q+8>>2]=c[p+8>>2];Qla(p|0,0,12)|0;Kba(r);ae[c[(c[D>>2]|0)+28>>2]&255](s,B);r=k;if((a[r]&1)==0){c[k+4>>2]=0;a[r]=0}else{c[c[k+8>>2]>>2]=0;c[k+4>>2]=0}Nba(k,0);p=s;c[r>>2]=c[p>>2];c[r+4>>2]=c[p+4>>2];c[r+8>>2]=c[p+8>>2];Qla(p|0,0,12)|0;Kba(s);s=b;c[f>>2]=ce[c[(c[s>>2]|0)+12>>2]&255](B)|0;c[g>>2]=ce[c[(c[s>>2]|0)+16>>2]&255](B)|0;ae[c[(c[b>>2]|0)+20>>2]&255](t,B);b=h;if((a[b]&1)==0){a[h+1|0]=0;a[b]=0}else{a[c[h+8>>2]|0]=0;c[h+4>>2]=0}sba(h,0);p=t;c[b>>2]=c[p>>2];c[b+4>>2]=c[p+4>>2];c[b+8>>2]=c[p+8>>2];Qla(p|0,0,12)|0;gba(t);ae[c[(c[D>>2]|0)+24>>2]&255](u,B);D=j;if((a[D]&1)==0){c[j+4>>2]=0;a[D]=0}else{c[c[j+8>>2]>>2]=0;c[j+4>>2]=0}Nba(j,0);t=u;c[D>>2]=c[t>>2];c[D+4>>2]=c[t+4>>2];c[D+8>>2]=c[t+8>>2];Qla(t|0,0,12)|0;Kba(u);E=ce[c[(c[s>>2]|0)+36>>2]&255](B)|0;c[m>>2]=E;i=n;return}else{B=c[d>>2]|0;if(!((c[2506808]|0)==-1)){c[o>>2]=10027232;c[o+4>>2]=84;c[o+8>>2]=0;Taa(10027232,o,124)}o=(c[2506809]|0)-1|0;d=c[B+8>>2]|0;if(!((c[B+12>>2]|0)-d>>2>>>0>o>>>0)){F=Gd(4)|0;G=F;Ska(G);xc(F|0,9991800,176)}B=c[d+(o<<2)>>2]|0;if((B|0)==0){F=Gd(4)|0;G=F;Ska(G);xc(F|0,9991800,176)}F=B;ae[c[(c[B>>2]|0)+44>>2]&255](v,F);G=e;C=c[v>>2]|0;a[G]=C;C=C>>8;a[G+1|0]=C;C=C>>8;a[G+2|0]=C;C=C>>8;a[G+3|0]=C;G=B;ae[c[(c[G>>2]|0)+32>>2]&255](w,F);v=l;if((a[v]&1)==0){c[l+4>>2]=0;a[v]=0}else{c[c[l+8>>2]>>2]=0;c[l+4>>2]=0}Nba(l,0);l=w;c[v>>2]=c[l>>2];c[v+4>>2]=c[l+4>>2];c[v+8>>2]=c[l+8>>2];Qla(l|0,0,12)|0;Kba(w);ae[c[(c[G>>2]|0)+28>>2]&255](x,F);w=k;if((a[w]&1)==0){c[k+4>>2]=0;a[w]=0}else{c[c[k+8>>2]>>2]=0;c[k+4>>2]=0}Nba(k,0);k=x;c[w>>2]=c[k>>2];c[w+4>>2]=c[k+4>>2];c[w+8>>2]=c[k+8>>2];Qla(k|0,0,12)|0;Kba(x);x=B;c[f>>2]=ce[c[(c[x>>2]|0)+12>>2]&255](F)|0;c[g>>2]=ce[c[(c[x>>2]|0)+16>>2]&255](F)|0;ae[c[(c[B>>2]|0)+20>>2]&255](y,F);B=h;if((a[B]&1)==0){a[h+1|0]=0;a[B]=0}else{a[c[h+8>>2]|0]=0;c[h+4>>2]=0}sba(h,0);h=y;c[B>>2]=c[h>>2];c[B+4>>2]=c[h+4>>2];c[B+8>>2]=c[h+8>>2];Qla(h|0,0,12)|0;gba(y);ae[c[(c[G>>2]|0)+24>>2]&255](z,F);G=j;if((a[G]&1)==0){c[j+4>>2]=0;a[G]=0}else{c[c[j+8>>2]>>2]=0;c[j+4>>2]=0}Nba(j,0);j=z;c[G>>2]=c[j>>2];c[G+4>>2]=c[j+4>>2];c[G+8>>2]=c[j+8>>2];Qla(j|0,0,12)|0;Kba(z);E=ce[c[(c[x>>2]|0)+36>>2]&255](F)|0;c[m>>2]=E;i=n;return}}function kha(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=a+4|0;f=(c[e>>2]|0)!=210;g=a|0;a=c[g>>2]|0;h=a;i=(c[d>>2]|0)-h|0;j=i>>>0<2147483647>>>0?i<<1:-1;i=(c[b>>2]|0)-h>>2;if(f){k=a}else{k=0}a=ola(k,j)|0;k=a;if((a|0)==0){yla()}do{if(f){c[g>>2]=k;l=k}else{a=c[g>>2]|0;c[g>>2]=k;if((a|0)==0){l=k;break}$d[c[e>>2]&511](a);l=c[g>>2]|0}}while(0);c[e>>2]=100;c[b>>2]=l+(i<<2);c[d>>2]=(c[g>>2]|0)+(j>>>2<<2);return}function lha(a){a=a|0;waa(a|0);tla(a);return}function mha(a){a=a|0;waa(a|0);return}function nha(b,d,e,f,g,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=+k;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0;d=i;i=i+448|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=d|0;m=d+120|0;n=d+232|0;o=d+240|0;p=d+248|0;q=d+256|0;r=d+264|0;s=d+280|0;t=d+296|0;u=d+312|0;v=d+320|0;w=d+424|0;x=d+432|0;y=d+440|0;z=d+16|0;c[m>>2]=z;A=d+128|0;B=Cb(z|0,100,9968136,(z=i,i=i+8|0,h[z>>3]=k,z)|0)|0;i=z;do{if(B>>>0>99>>>0){do{if((a[10027328]|0)==0){if((cc(10027328)|0)==0){break}c[2506334]=pb(2147483647,9963736,0)|0}}while(0);C=ffa(m,c[2506334]|0,9968136,(z=i,i=i+8|0,h[z>>3]=k,z)|0)|0;i=z;D=c[m>>2]|0;if((D|0)==0){yla();E=c[m>>2]|0}else{E=D}D=lla(C)|0;if((D|0)!=0){F=D;G=C;H=D;I=E;break}yla();F=0;G=C;H=0;I=E}else{F=A;G=B;H=0;I=0}}while(0);cca(n,g);B=n|0;A=c[B>>2]|0;if(!((c[2506692]|0)==-1)){c[l>>2]=10026768;c[l+4>>2]=84;c[l+8>>2]=0;Taa(10026768,l,124)}l=(c[2506693]|0)-1|0;E=c[A+8>>2]|0;do{if((c[A+12>>2]|0)-E>>2>>>0>l>>>0){z=c[E+(l<<2)>>2]|0;if((z|0)==0){break}C=z;D=c[m>>2]|0;qe[c[(c[z>>2]|0)+32>>2]&127](C,D,D+G|0,F)|0;if((G|0)==0){J=0}else{J=(a[c[m>>2]|0]|0)==45}Qla(r|0,0,12)|0;D=s;Qla(D|0,0,12)|0;z=t;Qla(z|0,0,12)|0;oha(f,J,n,o,p,q,r,s,t,u);K=v|0;L=c[u>>2]|0;if((G|0)>(L|0)){M=a[z]|0;if((M&1)==0){N=(M&255)>>>1}else{N=c[t+4>>2]|0}M=a[D]|0;if((M&1)==0){O=(M&255)>>>1}else{O=c[s+4>>2]|0}P=N+(G-L<<1|1)+O|0}else{M=a[z]|0;if((M&1)==0){Q=(M&255)>>>1}else{Q=c[t+4>>2]|0}M=a[D]|0;if((M&1)==0){R=(M&255)>>>1}else{R=c[s+4>>2]|0}P=Q+2+R|0}M=P+L|0;do{if(M>>>0>100>>>0){D=lla(M)|0;if((D|0)!=0){S=D;T=D;break}yla();S=0;T=0}else{S=K;T=0}}while(0);pha(S,w,x,c[g+4>>2]|0,F,F+G|0,C,J,o,a[p]|0,a[q]|0,r,s,t,L);c[y>>2]=c[e>>2];F7(b,y,S,c[w>>2]|0,c[x>>2]|0,g,j);if((T|0)!=0){mla(T)}gba(t);gba(s);gba(r);yaa(c[B>>2]|0)|0;if((H|0)!=0){mla(H)}if((I|0)==0){i=d;return}mla(I);i=d;return}}while(0);d=Gd(4)|0;Ska(d);xc(d|0,9991800,176)}function oha(b,d,e,f,g,h,j,k,l,m){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;n=i;i=i+40|0;o=n|0;p=n+16|0;q=n+32|0;r=q;s=i;i=i+12|0;i=i+7&-8;t=i;i=i+4|0;i=i+7&-8;u=t;v=i;i=i+12|0;i=i+7&-8;w=i;i=i+12|0;i=i+7&-8;x=i;i=i+12|0;i=i+7&-8;y=i;i=i+4|0;i=i+7&-8;z=y;A=i;i=i+12|0;i=i+7&-8;B=i;i=i+4|0;i=i+7&-8;D=B;E=i;i=i+12|0;i=i+7&-8;F=i;i=i+12|0;i=i+7&-8;G=i;i=i+12|0;i=i+7&-8;H=c[e>>2]|0;if(b){if(!((c[2506810]|0)==-1)){c[p>>2]=10027240;c[p+4>>2]=84;c[p+8>>2]=0;Taa(10027240,p,124)}p=(c[2506811]|0)-1|0;b=c[H+8>>2]|0;if(!((c[H+12>>2]|0)-b>>2>>>0>p>>>0)){I=Gd(4)|0;J=I;Ska(J);xc(I|0,9991800,176)}e=c[b+(p<<2)>>2]|0;if((e|0)==0){I=Gd(4)|0;J=I;Ska(J);xc(I|0,9991800,176)}I=e;J=c[e>>2]|0;if(d){ae[c[J+44>>2]&255](r,I);r=f;C=c[q>>2]|0;a[r]=C;C=C>>8;a[r+1|0]=C;C=C>>8;a[r+2|0]=C;C=C>>8;a[r+3|0]=C;ae[c[(c[e>>2]|0)+32>>2]&255](s,I);r=l;if((a[r]&1)==0){a[l+1|0]=0;a[r]=0}else{a[c[l+8>>2]|0]=0;c[l+4>>2]=0}sba(l,0);q=s;c[r>>2]=c[q>>2];c[r+4>>2]=c[q+4>>2];c[r+8>>2]=c[q+8>>2];Qla(q|0,0,12)|0;gba(s)}else{ae[c[J+40>>2]&255](u,I);u=f;C=c[t>>2]|0;a[u]=C;C=C>>8;a[u+1|0]=C;C=C>>8;a[u+2|0]=C;C=C>>8;a[u+3|0]=C;ae[c[(c[e>>2]|0)+28>>2]&255](v,I);u=l;if((a[u]&1)==0){a[l+1|0]=0;a[u]=0}else{a[c[l+8>>2]|0]=0;c[l+4>>2]=0}sba(l,0);t=v;c[u>>2]=c[t>>2];c[u+4>>2]=c[t+4>>2];c[u+8>>2]=c[t+8>>2];Qla(t|0,0,12)|0;gba(v)}v=e;a[g]=ce[c[(c[v>>2]|0)+12>>2]&255](I)|0;a[h]=ce[c[(c[v>>2]|0)+16>>2]&255](I)|0;v=e;ae[c[(c[v>>2]|0)+20>>2]&255](w,I);t=j;if((a[t]&1)==0){a[j+1|0]=0;a[t]=0}else{a[c[j+8>>2]|0]=0;c[j+4>>2]=0}sba(j,0);u=w;c[t>>2]=c[u>>2];c[t+4>>2]=c[u+4>>2];c[t+8>>2]=c[u+8>>2];Qla(u|0,0,12)|0;gba(w);ae[c[(c[v>>2]|0)+24>>2]&255](x,I);v=k;if((a[v]&1)==0){a[k+1|0]=0;a[v]=0}else{a[c[k+8>>2]|0]=0;c[k+4>>2]=0}sba(k,0);w=x;c[v>>2]=c[w>>2];c[v+4>>2]=c[w+4>>2];c[v+8>>2]=c[w+8>>2];Qla(w|0,0,12)|0;gba(x);K=ce[c[(c[e>>2]|0)+36>>2]&255](I)|0;c[m>>2]=K;i=n;return}else{if(!((c[2506812]|0)==-1)){c[o>>2]=10027248;c[o+4>>2]=84;c[o+8>>2]=0;Taa(10027248,o,124)}o=(c[2506813]|0)-1|0;I=c[H+8>>2]|0;if(!((c[H+12>>2]|0)-I>>2>>>0>o>>>0)){L=Gd(4)|0;M=L;Ska(M);xc(L|0,9991800,176)}H=c[I+(o<<2)>>2]|0;if((H|0)==0){L=Gd(4)|0;M=L;Ska(M);xc(L|0,9991800,176)}L=H;M=c[H>>2]|0;if(d){ae[c[M+44>>2]&255](z,L);z=f;C=c[y>>2]|0;a[z]=C;C=C>>8;a[z+1|0]=C;C=C>>8;a[z+2|0]=C;C=C>>8;a[z+3|0]=C;ae[c[(c[H>>2]|0)+32>>2]&255](A,L);z=l;if((a[z]&1)==0){a[l+1|0]=0;a[z]=0}else{a[c[l+8>>2]|0]=0;c[l+4>>2]=0}sba(l,0);y=A;c[z>>2]=c[y>>2];c[z+4>>2]=c[y+4>>2];c[z+8>>2]=c[y+8>>2];Qla(y|0,0,12)|0;gba(A)}else{ae[c[M+40>>2]&255](D,L);D=f;C=c[B>>2]|0;a[D]=C;C=C>>8;a[D+1|0]=C;C=C>>8;a[D+2|0]=C;C=C>>8;a[D+3|0]=C;ae[c[(c[H>>2]|0)+28>>2]&255](E,L);D=l;if((a[D]&1)==0){a[l+1|0]=0;a[D]=0}else{a[c[l+8>>2]|0]=0;c[l+4>>2]=0}sba(l,0);l=E;c[D>>2]=c[l>>2];c[D+4>>2]=c[l+4>>2];c[D+8>>2]=c[l+8>>2];Qla(l|0,0,12)|0;gba(E)}E=H;a[g]=ce[c[(c[E>>2]|0)+12>>2]&255](L)|0;a[h]=ce[c[(c[E>>2]|0)+16>>2]&255](L)|0;E=H;ae[c[(c[E>>2]|0)+20>>2]&255](F,L);h=j;if((a[h]&1)==0){a[j+1|0]=0;a[h]=0}else{a[c[j+8>>2]|0]=0;c[j+4>>2]=0}sba(j,0);j=F;c[h>>2]=c[j>>2];c[h+4>>2]=c[j+4>>2];c[h+8>>2]=c[j+8>>2];Qla(j|0,0,12)|0;gba(F);ae[c[(c[E>>2]|0)+24>>2]&255](G,L);E=k;if((a[E]&1)==0){a[k+1|0]=0;a[E]=0}else{a[c[k+8>>2]|0]=0;c[k+4>>2]=0}sba(k,0);k=G;c[E>>2]=c[k>>2];c[E+4>>2]=c[k+4>>2];c[E+8>>2]=c[k+8>>2];Qla(k|0,0,12)|0;gba(G);K=ce[c[(c[H>>2]|0)+36>>2]&255](L)|0;c[m>>2]=K;i=n;return}}function pha(d,e,f,g,h,i,j,k,l,m,n,o,p,q,r){d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;var s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0;c[f>>2]=d;s=j;t=q;u=q+1|0;v=q+8|0;w=q+4|0;q=p;x=(g&512|0)==0;y=p+1|0;z=p+8|0;A=p+4|0;p=j+8|0;B=(r|0)>0;C=o;D=o+1|0;E=o+8|0;F=o+4|0;o=-r|0;G=0;H=h;while(1){a:do{switch(a[l+G|0]|0){case 4:{h=c[f>>2]|0;I=k?H+1|0:H;J=I;while(1){if(!(J>>>0<i>>>0)){break}K=a[J]|0;if(K<<24>>24<0){break}if((b[(c[p>>2]|0)+(K<<24>>24<<1)>>1]&2048)==0){break}else{J=J+1|0}}K=J;if(B){if(J>>>0>I>>>0){L=I+(-K|0)|0;K=L>>>0<o>>>0?o:L;L=K+r|0;M=J;N=r;O=h;while(1){P=M-1|0;Q=a[P]|0;c[f>>2]=O+1;a[O]=Q;Q=N-1|0;R=(Q|0)>0;if(!(P>>>0>I>>>0&R)){break}M=P;N=Q;O=c[f>>2]|0}O=J+K|0;if(R){S=L;T=O;U=32}else{V=0;W=L;X=O}}else{S=r;T=J;U=32}if((U|0)==32){U=0;V=me[c[(c[s>>2]|0)+28>>2]&127](j,48)|0;W=S;X=T}O=c[f>>2]|0;c[f>>2]=O+1;if((W|0)>0){N=W;M=O;while(1){a[M]=V;Q=N-1|0;P=c[f>>2]|0;c[f>>2]=P+1;if((Q|0)>0){N=Q;M=P}else{Y=P;break}}}else{Y=O}a[Y]=m;Z=X}else{Z=J}if((Z|0)==(I|0)){M=me[c[(c[s>>2]|0)+28>>2]&127](j,48)|0;N=c[f>>2]|0;c[f>>2]=N+1;a[N]=M}else{M=a[C]|0;N=(M&1)==0;if(N){_=(M&255)>>>1}else{_=c[F>>2]|0}if((_|0)==0){$=Z;aa=0;ba=0;ca=-1}else{if(N){da=D}else{da=c[E>>2]|0}$=Z;aa=0;ba=0;ca=a[da]|0}while(1){do{if((aa|0)==(ca|0)){N=c[f>>2]|0;c[f>>2]=N+1;a[N]=n;N=ba+1|0;M=a[C]|0;L=(M&1)==0;if(L){ea=(M&255)>>>1}else{ea=c[F>>2]|0}if(!(N>>>0<ea>>>0)){fa=ca;ga=N;ha=0;break}if(L){ia=D}else{ia=c[E>>2]|0}if((a[ia+N|0]|0)==127){fa=-1;ga=N;ha=0;break}if(L){ja=D}else{ja=c[E>>2]|0}fa=a[ja+N|0]|0;ga=N;ha=0}else{fa=ca;ga=ba;ha=aa}}while(0);N=$-1|0;L=a[N]|0;M=c[f>>2]|0;c[f>>2]=M+1;a[M]=L;if((N|0)==(I|0)){break}else{$=N;aa=ha+1|0;ba=ga;ca=fa}}}J=c[f>>2]|0;if((h|0)==(J|0)){ka=I;break a}O=J-1|0;if(O>>>0>h>>>0){la=h;ma=O}else{ka=I;break a}while(1){O=a[la]|0;a[la]=a[ma]|0;a[ma]=O;O=la+1|0;J=ma-1|0;if(O>>>0<J>>>0){la=O;ma=J}else{ka=I;break}}break};case 2:{I=a[q]|0;h=(I&1)==0;if(h){na=(I&255)>>>1}else{na=c[A>>2]|0}if((na|0)==0|x){ka=H;break a}if(h){oa=(I&255)>>>1;pa=y;qa=y}else{I=c[z>>2]|0;oa=c[A>>2]|0;pa=I;qa=I}I=pa+oa|0;h=c[f>>2]|0;if((qa|0)==(I|0)){ra=h}else{J=h;h=qa;while(1){a[J]=a[h]|0;O=h+1|0;N=J+1|0;if((O|0)==(I|0)){ra=N;break}else{J=N;h=O}}}c[f>>2]=ra;ka=H;break};case 3:{h=a[t]|0;J=(h&1)==0;if(J){sa=(h&255)>>>1}else{sa=c[w>>2]|0}if((sa|0)==0){ka=H;break a}if(J){ta=u}else{ta=c[v>>2]|0}J=a[ta]|0;h=c[f>>2]|0;c[f>>2]=h+1;a[h]=J;ka=H;break};case 1:{c[e>>2]=c[f>>2];J=me[c[(c[s>>2]|0)+28>>2]&127](j,32)|0;h=c[f>>2]|0;c[f>>2]=h+1;a[h]=J;ka=H;break};case 0:{c[e>>2]=c[f>>2];ka=H;break};default:{ka=H}}}while(0);J=G+1|0;if(J>>>0<4>>>0){G=J;H=ka}else{break}}ka=a[t]|0;t=(ka&1)==0;if(t){ua=(ka&255)>>>1}else{ua=c[w>>2]|0}if(ua>>>0>1>>>0){if(t){va=(ka&255)>>>1;wa=u;xa=u}else{u=c[v>>2]|0;va=c[w>>2]|0;wa=u;xa=u}u=xa+1|0;xa=wa+va|0;va=c[f>>2]|0;if((u|0)==(xa|0)){ya=va}else{wa=va;va=u;while(1){a[wa]=a[va]|0;u=va+1|0;w=wa+1|0;if((u|0)==(xa|0)){ya=w;break}else{wa=w;va=u}}}c[f>>2]=ya}ya=g&176;if((ya|0)==32){c[e>>2]=c[f>>2];return}else if((ya|0)==16){return}else{c[e>>2]=d;return}}function qha(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0;d=i;i=i+232|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+16|0;m=d+24|0;n=d+32|0;o=d+40|0;p=d+48|0;q=d+64|0;r=d+80|0;s=d+96|0;t=d+104|0;u=d+208|0;v=d+216|0;w=d+224|0;cca(l,g);x=l|0;y=c[x>>2]|0;if(!((c[2506692]|0)==-1)){c[k>>2]=10026768;c[k+4>>2]=84;c[k+8>>2]=0;Taa(10026768,k,124)}k=(c[2506693]|0)-1|0;z=c[y+8>>2]|0;do{if((c[y+12>>2]|0)-z>>2>>>0>k>>>0){A=c[z+(k<<2)>>2]|0;if((A|0)==0){break}B=A;C=j;D=a[C]|0;E=(D&1)==0;if(E){F=(D&255)>>>1}else{F=c[j+4>>2]|0}if((F|0)==0){G=0}else{if(E){H=j+1|0}else{H=c[j+8>>2]|0}E=a[H]|0;G=E<<24>>24==(me[c[(c[A>>2]|0)+28>>2]&127](B,45)|0)<<24>>24}Qla(p|0,0,12)|0;A=q;Qla(A|0,0,12)|0;E=r;Qla(E|0,0,12)|0;oha(f,G,l,m,n,o,p,q,r,s);D=t|0;I=a[C]|0;J=(I&1)==0;if(J){K=(I&255)>>>1}else{K=c[j+4>>2]|0}L=c[s>>2]|0;if((K|0)>(L|0)){if(J){M=(I&255)>>>1}else{M=c[j+4>>2]|0}J=a[E]|0;if((J&1)==0){N=(J&255)>>>1}else{N=c[r+4>>2]|0}J=a[A]|0;if((J&1)==0){O=(J&255)>>>1}else{O=c[q+4>>2]|0}P=N+(M-L<<1|1)+O|0}else{J=a[E]|0;if((J&1)==0){Q=(J&255)>>>1}else{Q=c[r+4>>2]|0}J=a[A]|0;if((J&1)==0){R=(J&255)>>>1}else{R=c[q+4>>2]|0}P=Q+2+R|0}J=P+L|0;do{if(J>>>0>100>>>0){A=lla(J)|0;if((A|0)!=0){S=A;T=A;U=I;break}yla();S=0;T=0;U=a[C]|0}else{S=D;T=0;U=I}}while(0);if((U&1)==0){V=(U&255)>>>1;W=j+1|0}else{V=c[j+4>>2]|0;W=c[j+8>>2]|0}pha(S,u,v,c[g+4>>2]|0,W,W+V|0,B,G,m,a[n]|0,a[o]|0,p,q,r,L);c[w>>2]=c[e>>2];F7(b,w,S,c[u>>2]|0,c[v>>2]|0,g,h);if((T|0)==0){gba(r);gba(q);gba(p);X=c[x>>2]|0;Y=X|0;Z=yaa(Y)|0;i=d;return}mla(T);gba(r);gba(q);gba(p);X=c[x>>2]|0;Y=X|0;Z=yaa(Y)|0;i=d;return}}while(0);d=Gd(4)|0;Ska(d);xc(d|0,9991800,176)}function rha(a){a=a|0;waa(a|0);tla(a);return}function sha(a){a=a|0;waa(a|0);return}function tha(b,d,e,f,g,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=+k;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0;d=i;i=i+1040|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=d|0;m=d+120|0;n=d+528|0;o=d+536|0;p=d+544|0;q=d+552|0;r=d+560|0;s=d+576|0;t=d+592|0;u=d+608|0;v=d+616|0;w=d+1016|0;x=d+1024|0;y=d+1032|0;z=d+16|0;c[m>>2]=z;A=d+128|0;B=Cb(z|0,100,9968136,(z=i,i=i+8|0,h[z>>3]=k,z)|0)|0;i=z;do{if(B>>>0>99>>>0){do{if((a[10027328]|0)==0){if((cc(10027328)|0)==0){break}c[2506334]=pb(2147483647,9963736,0)|0}}while(0);C=ffa(m,c[2506334]|0,9968136,(z=i,i=i+8|0,h[z>>3]=k,z)|0)|0;i=z;D=c[m>>2]|0;if((D|0)==0){yla();E=c[m>>2]|0}else{E=D}D=lla(C<<2)|0;F=D;if((D|0)!=0){G=F;H=C;I=F;J=E;break}yla();G=0;H=C;I=0;J=E}else{G=A;H=B;I=0;J=0}}while(0);cca(n,g);B=n|0;A=c[B>>2]|0;if(!((c[2506690]|0)==-1)){c[l>>2]=10026760;c[l+4>>2]=84;c[l+8>>2]=0;Taa(10026760,l,124)}l=(c[2506691]|0)-1|0;E=c[A+8>>2]|0;do{if((c[A+12>>2]|0)-E>>2>>>0>l>>>0){z=c[E+(l<<2)>>2]|0;if((z|0)==0){break}C=z;F=c[m>>2]|0;qe[c[(c[z>>2]|0)+48>>2]&127](C,F,F+H|0,G)|0;if((H|0)==0){K=0}else{K=(a[c[m>>2]|0]|0)==45}Qla(r|0,0,12)|0;F=s;Qla(F|0,0,12)|0;z=t;Qla(z|0,0,12)|0;uha(f,K,n,o,p,q,r,s,t,u);D=v|0;L=c[u>>2]|0;if((H|0)>(L|0)){M=a[z]|0;if((M&1)==0){N=(M&255)>>>1}else{N=c[t+4>>2]|0}M=a[F]|0;if((M&1)==0){O=(M&255)>>>1}else{O=c[s+4>>2]|0}P=N+(H-L<<1|1)+O|0}else{M=a[z]|0;if((M&1)==0){Q=(M&255)>>>1}else{Q=c[t+4>>2]|0}M=a[F]|0;if((M&1)==0){R=(M&255)>>>1}else{R=c[s+4>>2]|0}P=Q+2+R|0}M=P+L|0;do{if(M>>>0>100>>>0){F=lla(M<<2)|0;z=F;if((F|0)!=0){S=z;T=z;break}yla();S=0;T=0}else{S=D;T=0}}while(0);vha(S,w,x,c[g+4>>2]|0,G,G+(H<<2)|0,C,K,o,c[p>>2]|0,c[q>>2]|0,r,s,t,L);c[y>>2]=c[e>>2];ofa(b,y,S,c[w>>2]|0,c[x>>2]|0,g,j);if((T|0)!=0){mla(T)}Kba(t);Kba(s);gba(r);yaa(c[B>>2]|0)|0;if((I|0)!=0){mla(I)}if((J|0)==0){i=d;return}mla(J);i=d;return}}while(0);d=Gd(4)|0;Ska(d);xc(d|0,9991800,176)}function uha(b,d,e,f,g,h,j,k,l,m){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;n=i;i=i+40|0;o=n|0;p=n+16|0;q=n+32|0;r=q;s=i;i=i+12|0;i=i+7&-8;t=i;i=i+4|0;i=i+7&-8;u=t;v=i;i=i+12|0;i=i+7&-8;w=i;i=i+12|0;i=i+7&-8;x=i;i=i+12|0;i=i+7&-8;y=i;i=i+4|0;i=i+7&-8;z=y;A=i;i=i+12|0;i=i+7&-8;B=i;i=i+4|0;i=i+7&-8;D=B;E=i;i=i+12|0;i=i+7&-8;F=i;i=i+12|0;i=i+7&-8;G=i;i=i+12|0;i=i+7&-8;H=c[e>>2]|0;if(b){if(!((c[2506806]|0)==-1)){c[p>>2]=10027224;c[p+4>>2]=84;c[p+8>>2]=0;Taa(10027224,p,124)}p=(c[2506807]|0)-1|0;b=c[H+8>>2]|0;if(!((c[H+12>>2]|0)-b>>2>>>0>p>>>0)){I=Gd(4)|0;J=I;Ska(J);xc(I|0,9991800,176)}e=c[b+(p<<2)>>2]|0;if((e|0)==0){I=Gd(4)|0;J=I;Ska(J);xc(I|0,9991800,176)}I=e;J=c[e>>2]|0;if(d){ae[c[J+44>>2]&255](r,I);r=f;C=c[q>>2]|0;a[r]=C;C=C>>8;a[r+1|0]=C;C=C>>8;a[r+2|0]=C;C=C>>8;a[r+3|0]=C;ae[c[(c[e>>2]|0)+32>>2]&255](s,I);r=l;if((a[r]&1)==0){c[l+4>>2]=0;a[r]=0}else{c[c[l+8>>2]>>2]=0;c[l+4>>2]=0}Nba(l,0);q=s;c[r>>2]=c[q>>2];c[r+4>>2]=c[q+4>>2];c[r+8>>2]=c[q+8>>2];Qla(q|0,0,12)|0;Kba(s)}else{ae[c[J+40>>2]&255](u,I);u=f;C=c[t>>2]|0;a[u]=C;C=C>>8;a[u+1|0]=C;C=C>>8;a[u+2|0]=C;C=C>>8;a[u+3|0]=C;ae[c[(c[e>>2]|0)+28>>2]&255](v,I);u=l;if((a[u]&1)==0){c[l+4>>2]=0;a[u]=0}else{c[c[l+8>>2]>>2]=0;c[l+4>>2]=0}Nba(l,0);t=v;c[u>>2]=c[t>>2];c[u+4>>2]=c[t+4>>2];c[u+8>>2]=c[t+8>>2];Qla(t|0,0,12)|0;Kba(v)}v=e;c[g>>2]=ce[c[(c[v>>2]|0)+12>>2]&255](I)|0;c[h>>2]=ce[c[(c[v>>2]|0)+16>>2]&255](I)|0;ae[c[(c[e>>2]|0)+20>>2]&255](w,I);t=j;if((a[t]&1)==0){a[j+1|0]=0;a[t]=0}else{a[c[j+8>>2]|0]=0;c[j+4>>2]=0}sba(j,0);u=w;c[t>>2]=c[u>>2];c[t+4>>2]=c[u+4>>2];c[t+8>>2]=c[u+8>>2];Qla(u|0,0,12)|0;gba(w);ae[c[(c[e>>2]|0)+24>>2]&255](x,I);e=k;if((a[e]&1)==0){c[k+4>>2]=0;a[e]=0}else{c[c[k+8>>2]>>2]=0;c[k+4>>2]=0}Nba(k,0);w=x;c[e>>2]=c[w>>2];c[e+4>>2]=c[w+4>>2];c[e+8>>2]=c[w+8>>2];Qla(w|0,0,12)|0;Kba(x);K=ce[c[(c[v>>2]|0)+36>>2]&255](I)|0;c[m>>2]=K;i=n;return}else{if(!((c[2506808]|0)==-1)){c[o>>2]=10027232;c[o+4>>2]=84;c[o+8>>2]=0;Taa(10027232,o,124)}o=(c[2506809]|0)-1|0;I=c[H+8>>2]|0;if(!((c[H+12>>2]|0)-I>>2>>>0>o>>>0)){L=Gd(4)|0;M=L;Ska(M);xc(L|0,9991800,176)}H=c[I+(o<<2)>>2]|0;if((H|0)==0){L=Gd(4)|0;M=L;Ska(M);xc(L|0,9991800,176)}L=H;M=c[H>>2]|0;if(d){ae[c[M+44>>2]&255](z,L);z=f;C=c[y>>2]|0;a[z]=C;C=C>>8;a[z+1|0]=C;C=C>>8;a[z+2|0]=C;C=C>>8;a[z+3|0]=C;ae[c[(c[H>>2]|0)+32>>2]&255](A,L);z=l;if((a[z]&1)==0){c[l+4>>2]=0;a[z]=0}else{c[c[l+8>>2]>>2]=0;c[l+4>>2]=0}Nba(l,0);y=A;c[z>>2]=c[y>>2];c[z+4>>2]=c[y+4>>2];c[z+8>>2]=c[y+8>>2];Qla(y|0,0,12)|0;Kba(A)}else{ae[c[M+40>>2]&255](D,L);D=f;C=c[B>>2]|0;a[D]=C;C=C>>8;a[D+1|0]=C;C=C>>8;a[D+2|0]=C;C=C>>8;a[D+3|0]=C;ae[c[(c[H>>2]|0)+28>>2]&255](E,L);D=l;if((a[D]&1)==0){c[l+4>>2]=0;a[D]=0}else{c[c[l+8>>2]>>2]=0;c[l+4>>2]=0}Nba(l,0);l=E;c[D>>2]=c[l>>2];c[D+4>>2]=c[l+4>>2];c[D+8>>2]=c[l+8>>2];Qla(l|0,0,12)|0;Kba(E)}E=H;c[g>>2]=ce[c[(c[E>>2]|0)+12>>2]&255](L)|0;c[h>>2]=ce[c[(c[E>>2]|0)+16>>2]&255](L)|0;ae[c[(c[H>>2]|0)+20>>2]&255](F,L);h=j;if((a[h]&1)==0){a[j+1|0]=0;a[h]=0}else{a[c[j+8>>2]|0]=0;c[j+4>>2]=0}sba(j,0);j=F;c[h>>2]=c[j>>2];c[h+4>>2]=c[j+4>>2];c[h+8>>2]=c[j+8>>2];Qla(j|0,0,12)|0;gba(F);ae[c[(c[H>>2]|0)+24>>2]&255](G,L);H=k;if((a[H]&1)==0){c[k+4>>2]=0;a[H]=0}else{c[c[k+8>>2]>>2]=0;c[k+4>>2]=0}Nba(k,0);k=G;c[H>>2]=c[k>>2];c[H+4>>2]=c[k+4>>2];c[H+8>>2]=c[k+8>>2];Qla(k|0,0,12)|0;Kba(G);K=ce[c[(c[E>>2]|0)+36>>2]&255](L)|0;c[m>>2]=K;i=n;return}}



function vha(b,d,e,f,g,h,i,j,k,l,m,n,o,p,q){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;var r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0;c[e>>2]=b;r=i;s=p;t=p+4|0;u=p+8|0;p=o;v=(f&512|0)==0;w=o+4|0;x=o+8|0;o=i;y=(q|0)>0;z=n;A=n+1|0;B=n+8|0;C=n+4|0;n=0;D=g;while(1){a:do{switch(a[k+n|0]|0){case 2:{g=a[p]|0;E=(g&1)==0;if(E){F=(g&255)>>>1}else{F=c[w>>2]|0}if((F|0)==0|v){G=D;break a}if(E){H=(g&255)>>>1;I=w;J=w}else{g=c[x>>2]|0;H=c[w>>2]|0;I=g;J=g}g=I+(H<<2)|0;E=c[e>>2]|0;if((J|0)==(g|0)){K=E}else{L=(I+(H-1<<2)+(-J|0)|0)>>>2;M=E;N=J;while(1){c[M>>2]=c[N>>2];O=N+4|0;if((O|0)==(g|0)){break}M=M+4|0;N=O}K=E+(L+1<<2)|0}c[e>>2]=K;G=D;break};case 4:{N=c[e>>2]|0;M=j?D+4|0:D;g=M;while(1){if(!(g>>>0<h>>>0)){break}if(ee[c[(c[o>>2]|0)+12>>2]&127](i,2048,c[g>>2]|0)|0){g=g+4|0}else{break}}if(y){do{if(g>>>0>M>>>0){L=g;E=q;O=c[e>>2]|0;while(1){P=L-4|0;Q=O+4|0;c[O>>2]=c[P>>2];R=E-1|0;S=(R|0)>0;if(P>>>0>M>>>0&S){L=P;E=R;O=Q}else{break}}c[e>>2]=Q;if(S){T=R;U=P;V=34;break}O=c[e>>2]|0;c[e>>2]=O+4;W=O;X=P}else{T=q;U=g;V=34}}while(0);do{if((V|0)==34){V=0;O=me[c[(c[r>>2]|0)+44>>2]&127](i,48)|0;E=c[e>>2]|0;L=E+4|0;c[e>>2]=L;if((T|0)>0){Y=T;Z=E;_=L}else{W=E;X=U;break}while(1){c[Z>>2]=O;L=Y-1|0;if((L|0)>0){Y=L;Z=_;_=_+4|0}else{break}}c[e>>2]=E+(T+1<<2);W=E+(T<<2)|0;X=U}}while(0);c[W>>2]=l;$=X}else{$=g}if(($|0)==(M|0)){O=me[c[(c[r>>2]|0)+44>>2]&127](i,48)|0;L=c[e>>2]|0;aa=L+4|0;c[e>>2]=aa;c[L>>2]=O;ba=aa}else{aa=a[z]|0;O=(aa&1)==0;if(O){ca=(aa&255)>>>1}else{ca=c[C>>2]|0}if((ca|0)==0){da=$;ea=0;fa=0;ga=-1}else{if(O){ha=A}else{ha=c[B>>2]|0}da=$;ea=0;fa=0;ga=a[ha]|0}while(1){do{if((ea|0)==(ga|0)){O=c[e>>2]|0;c[e>>2]=O+4;c[O>>2]=m;O=fa+1|0;aa=a[z]|0;L=(aa&1)==0;if(L){ia=(aa&255)>>>1}else{ia=c[C>>2]|0}if(!(O>>>0<ia>>>0)){ja=ga;ka=O;la=0;break}if(L){ma=A}else{ma=c[B>>2]|0}if((a[ma+O|0]|0)==127){ja=-1;ka=O;la=0;break}if(L){na=A}else{na=c[B>>2]|0}ja=a[na+O|0]|0;ka=O;la=0}else{ja=ga;ka=fa;la=ea}}while(0);E=da-4|0;O=c[E>>2]|0;L=c[e>>2]|0;c[e>>2]=L+4;c[L>>2]=O;if((E|0)==(M|0)){break}else{da=E;ea=la+1|0;fa=ka;ga=ja}}ba=c[e>>2]|0}if((N|0)==(ba|0)){G=M;break a}g=ba-4|0;if(g>>>0>N>>>0){oa=N;pa=g}else{G=M;break a}while(1){g=c[oa>>2]|0;c[oa>>2]=c[pa>>2];c[pa>>2]=g;g=oa+4|0;E=pa-4|0;if(g>>>0<E>>>0){oa=g;pa=E}else{G=M;break}}break};case 0:{c[d>>2]=c[e>>2];G=D;break};case 3:{M=a[s]|0;N=(M&1)==0;if(N){qa=(M&255)>>>1}else{qa=c[t>>2]|0}if((qa|0)==0){G=D;break a}if(N){ra=t}else{ra=c[u>>2]|0}N=c[ra>>2]|0;M=c[e>>2]|0;c[e>>2]=M+4;c[M>>2]=N;G=D;break};case 1:{c[d>>2]=c[e>>2];N=me[c[(c[r>>2]|0)+44>>2]&127](i,32)|0;M=c[e>>2]|0;c[e>>2]=M+4;c[M>>2]=N;G=D;break};default:{G=D}}}while(0);N=n+1|0;if(N>>>0<4>>>0){n=N;D=G}else{break}}G=a[s]|0;s=(G&1)==0;if(s){sa=(G&255)>>>1}else{sa=c[t>>2]|0}if(sa>>>0>1>>>0){if(s){ta=(G&255)>>>1;ua=t;va=t}else{G=c[u>>2]|0;ta=c[t>>2]|0;ua=G;va=G}G=va+4|0;va=ua+(ta<<2)|0;t=c[e>>2]|0;if((G|0)==(va|0)){wa=t}else{u=(ua+(ta-1<<2)+(-G|0)|0)>>>2;ta=t;ua=G;while(1){c[ta>>2]=c[ua>>2];G=ua+4|0;if((G|0)==(va|0)){break}else{ta=ta+4|0;ua=G}}wa=t+(u+1<<2)|0}c[e>>2]=wa}wa=f&176;if((wa|0)==16){return}else if((wa|0)==32){c[d>>2]=c[e>>2];return}else{c[d>>2]=b;return}}function wha(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0;d=i;i=i+528|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+16|0;m=d+24|0;n=d+32|0;o=d+40|0;p=d+48|0;q=d+64|0;r=d+80|0;s=d+96|0;t=d+104|0;u=d+504|0;v=d+512|0;w=d+520|0;cca(l,g);x=l|0;y=c[x>>2]|0;if(!((c[2506690]|0)==-1)){c[k>>2]=10026760;c[k+4>>2]=84;c[k+8>>2]=0;Taa(10026760,k,124)}k=(c[2506691]|0)-1|0;z=c[y+8>>2]|0;do{if((c[y+12>>2]|0)-z>>2>>>0>k>>>0){A=c[z+(k<<2)>>2]|0;if((A|0)==0){break}B=A;C=j;D=a[C]|0;E=(D&1)==0;if(E){F=(D&255)>>>1}else{F=c[j+4>>2]|0}if((F|0)==0){G=0}else{if(E){H=j+4|0}else{H=c[j+8>>2]|0}E=c[H>>2]|0;G=(E|0)==(me[c[(c[A>>2]|0)+44>>2]&127](B,45)|0)}Qla(p|0,0,12)|0;A=q;Qla(A|0,0,12)|0;E=r;Qla(E|0,0,12)|0;uha(f,G,l,m,n,o,p,q,r,s);D=t|0;I=a[C]|0;J=(I&1)==0;if(J){K=(I&255)>>>1}else{K=c[j+4>>2]|0}L=c[s>>2]|0;if((K|0)>(L|0)){if(J){M=(I&255)>>>1}else{M=c[j+4>>2]|0}J=a[E]|0;if((J&1)==0){N=(J&255)>>>1}else{N=c[r+4>>2]|0}J=a[A]|0;if((J&1)==0){O=(J&255)>>>1}else{O=c[q+4>>2]|0}P=N+(M-L<<1|1)+O|0}else{J=a[E]|0;if((J&1)==0){Q=(J&255)>>>1}else{Q=c[r+4>>2]|0}J=a[A]|0;if((J&1)==0){R=(J&255)>>>1}else{R=c[q+4>>2]|0}P=Q+2+R|0}J=P+L|0;do{if(J>>>0>100>>>0){A=lla(J<<2)|0;E=A;if((A|0)!=0){S=E;T=E;U=I;break}yla();S=0;T=0;U=a[C]|0}else{S=D;T=0;U=I}}while(0);if((U&1)==0){V=(U&255)>>>1;W=j+4|0}else{V=c[j+4>>2]|0;W=c[j+8>>2]|0}vha(S,u,v,c[g+4>>2]|0,W,W+(V<<2)|0,B,G,m,c[n>>2]|0,c[o>>2]|0,p,q,r,L);c[w>>2]=c[e>>2];ofa(b,w,S,c[u>>2]|0,c[v>>2]|0,g,h);if((T|0)==0){Kba(r);Kba(q);gba(p);X=c[x>>2]|0;Y=X|0;Z=yaa(Y)|0;i=d;return}mla(T);Kba(r);Kba(q);gba(p);X=c[x>>2]|0;Y=X|0;Z=yaa(Y)|0;i=d;return}}while(0);d=Gd(4)|0;Ska(d);xc(d|0,9991800,176)}function xha(a){a=a|0;waa(a|0);tla(a);return}function yha(a){a=a|0;waa(a|0);return}function zha(b,d,e){b=b|0;d=d|0;e=e|0;var f=0;if((a[d]&1)==0){f=d+1|0}else{f=c[d+8>>2]|0}d=Ld(f|0,1)|0;return d>>>(((d|0)!=-1|0)>>>0)|0}function Aha(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;d=i;i=i+16|0;j=d|0;k=j;Qla(k|0,0,12)|0;l=a[h]|0;if((l&1)==0){m=(l&255)>>>1;n=h+1|0;o=h+1|0}else{l=c[h+8>>2]|0;m=c[h+4>>2]|0;n=l;o=l}l=o+m|0;do{if(n>>>0<l>>>0){m=n;do{yba(j,a[m]|0);m=m+1|0;}while(m>>>0<l>>>0);m=(e|0)==-1?-1:e<<1;if((a[k]&1)==0){p=m;q=10;break}r=c[j+8>>2]|0;s=m}else{p=(e|0)==-1?-1:e<<1;q=10}}while(0);if((q|0)==10){r=j+1|0;s=p}p=Xb(s|0,f|0,g|0,r|0)|0;Qla(b|0,0,12)|0;r=Nla(p|0)|0;g=p+r|0;if((r|0)>0){t=p}else{gba(j);i=d;return}do{yba(b,a[t]|0);t=t+1|0;}while(t>>>0<g>>>0);gba(j);i=d;return}function Bha(a,b){a=a|0;b=b|0;Jb(((b|0)==-1?-1:b<<1)|0)|0;return}function Cha(a){a=a|0;waa(a|0);tla(a);return}function Dha(a){a=a|0;waa(a|0);return}function Eha(b,d,e){b=b|0;d=d|0;e=e|0;var f=0;if((a[d]&1)==0){f=d+1|0}else{f=c[d+8>>2]|0}d=Ld(f|0,1)|0;return d>>>(((d|0)!=-1|0)>>>0)|0}function Fha(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;d=i;i=i+240|0;j=d|0;k=d+8|0;l=d+40|0;m=d+48|0;n=d+56|0;o=d+64|0;p=d+192|0;q=d+200|0;r=d+208|0;s=d+224|0;t=d+232|0;u=r;Qla(u|0,0,12)|0;c[s+4>>2]=0;c[s>>2]=9987176;v=a[h]|0;if((v&1)==0){w=(v&255)>>>1;x=h+4|0;y=h+4|0}else{v=c[h+8>>2]|0;w=c[h+4>>2]|0;x=v;y=v}v=y+(w<<2)|0;w=k|0;a:do{if(x>>>0<v>>>0){y=s|0;h=s;z=k+32|0;A=x;B=9987176;while(1){c[m>>2]=A;C=(oe[c[B+12>>2]&31](y,j,A,v,m,w,z,l)|0)==2;D=c[m>>2]|0;if(C|(D|0)==(A|0)){break}if(w>>>0<(c[l>>2]|0)>>>0){C=w;do{yba(r,a[C]|0);C=C+1|0;}while(C>>>0<(c[l>>2]|0)>>>0);E=c[m>>2]|0}else{E=D}if(!(E>>>0<v>>>0)){break a}A=E;B=c[h>>2]|0}_ga(47752)}}while(0);waa(s|0);if((a[u]&1)==0){F=r+1|0}else{F=c[r+8>>2]|0}u=Xb(((e|0)==-1?-1:e<<1)|0,f|0,g|0,F|0)|0;Qla(b|0,0,12)|0;c[t+4>>2]=0;c[t>>2]=9987120;F=Nla(u|0)|0;g=u+F|0;if((F|0)<=0){G=t|0;waa(G);gba(r);i=d;return}F=t|0;f=t;e=g;s=o|0;E=o+128|0;o=u;u=9987120;while(1){c[q>>2]=o;v=(oe[c[u+16>>2]&31](F,n,o,(e-o|0)>32?o+32|0:g,q,s,E,p)|0)==2;m=c[q>>2]|0;if(v|(m|0)==(o|0)){break}if(s>>>0<(c[p>>2]|0)>>>0){v=s;do{Oba(b,c[v>>2]|0);v=v+4|0;}while(v>>>0<(c[p>>2]|0)>>>0);H=c[q>>2]|0}else{H=m}if(!(H>>>0<g>>>0)){I=37;break}o=H;u=c[f>>2]|0}if((I|0)==37){G=t|0;waa(G);gba(r);i=d;return}_ga(47752)}function Gha(a,b){a=a|0;b=b|0;Jb(((b|0)==-1?-1:b<<1)|0)|0;return}function Hha(b){b=b|0;var d=0,e=0,f=0;c[b>>2]=9986592;d=b+8|0;e=c[d>>2]|0;do{if((a[10027328]|0)==0){if((cc(10027328)|0)==0){break}c[2506334]=pb(2147483647,9963736,0)|0}}while(0);if((e|0)==(c[2506334]|0)){f=b|0;waa(f);return}Wb(c[d>>2]|0);f=b|0;waa(f);return}function Iha(a){a=a|0;a=Gd(8)|0;zaa(a,9965848);c[a>>2]=9985504;xc(a|0,9991848,46)}function Jha(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;e=i;i=i+448|0;f=e|0;g=e+16|0;h=e+32|0;j=e+48|0;k=e+64|0;l=e+80|0;m=e+96|0;n=e+112|0;o=e+128|0;p=e+144|0;q=e+160|0;r=e+176|0;s=e+192|0;t=e+208|0;u=e+224|0;v=e+240|0;w=e+256|0;x=e+272|0;y=e+288|0;z=e+304|0;A=e+320|0;B=e+336|0;C=e+352|0;D=e+368|0;E=e+384|0;F=e+400|0;G=e+416|0;H=e+432|0;c[b+4>>2]=d-1;c[b>>2]=9986848;d=b+8|0;I=b+12|0;J=b+136|0;a[J]=1;K=b+24|0;c[I>>2]=K;c[d>>2]=K;c[b+16>>2]=J;J=28;L=K;do{if((L|0)==0){M=0}else{c[L>>2]=0;M=c[I>>2]|0}L=M+4|0;c[I>>2]=L;J=J-1|0;}while((J|0)!=0);_aa(b+144|0,9963736,1);J=c[d>>2]|0;d=c[I>>2]|0;if((d|0)!=(J|0)){c[I>>2]=d+(~((d-4+(-J|0)|0)>>>2)<<2)}c[2506367]=0;c[2506366]=9986552;if(!((c[2506612]|0)==-1)){c[G>>2]=10026448;c[G+4>>2]=84;c[G+8>>2]=0;Taa(10026448,G,124)}Kha(b,10025464,(c[2506613]|0)-1|0);c[2506365]=0;c[2506364]=9986512;if(!((c[2506610]|0)==-1)){c[F>>2]=10026440;c[F+4>>2]=84;c[F+8>>2]=0;Taa(10026440,F,124)}Kha(b,10025456,(c[2506611]|0)-1|0);c[2506417]=0;c[2506416]=9986960;c[2506418]=0;a[10025676]=0;c[2506418]=c[(gb()|0)>>2];if(!((c[2506692]|0)==-1)){c[E>>2]=10026768;c[E+4>>2]=84;c[E+8>>2]=0;Taa(10026768,E,124)}Kha(b,10025664,(c[2506693]|0)-1|0);c[2506415]=0;c[2506414]=9986880;if(!((c[2506690]|0)==-1)){c[D>>2]=10026760;c[D+4>>2]=84;c[D+8>>2]=0;Taa(10026760,D,124)}Kha(b,10025656,(c[2506691]|0)-1|0);c[2506369]=0;c[2506368]=9986648;if(!((c[2506616]|0)==-1)){c[C>>2]=10026464;c[C+4>>2]=84;c[C+8>>2]=0;Taa(10026464,C,124)}Kha(b,10025472,(c[2506617]|0)-1|0);c[2496263]=0;c[2496262]=9986592;do{if((a[10027328]|0)==0){if((cc(10027328)|0)==0){break}c[2506334]=pb(2147483647,9963736,0)|0}}while(0);c[2496264]=c[2506334];if(!((c[2506614]|0)==-1)){c[B>>2]=10026456;c[B+4>>2]=84;c[B+8>>2]=0;Taa(10026456,B,124)}Kha(b,9985048,(c[2506615]|0)-1|0);c[2506371]=0;c[2506370]=9986704;if(!((c[2506618]|0)==-1)){c[A>>2]=10026472;c[A+4>>2]=84;c[A+8>>2]=0;Taa(10026472,A,124)}Kha(b,10025480,(c[2506619]|0)-1|0);c[2506373]=0;c[2506372]=9986760;if(!((c[2506620]|0)==-1)){c[z>>2]=10026480;c[z+4>>2]=84;c[z+8>>2]=0;Taa(10026480,z,124)}Kha(b,10025488,(c[2506621]|0)-1|0);c[2506347]=0;c[2506346]=9986056;a[10025392]=46;a[10025393]=44;Qla(10025396,0,12)|0;if(!((c[2506596]|0)==-1)){c[y>>2]=10026384;c[y+4>>2]=84;c[y+8>>2]=0;Taa(10026384,y,124)}Kha(b,10025384,(c[2506597]|0)-1|0);c[2496255]=0;c[2496254]=9986008;c[2496256]=46;c[2496257]=44;Qla(9985032,0,12)|0;if(!((c[2506594]|0)==-1)){c[x>>2]=10026376;c[x+4>>2]=84;c[x+8>>2]=0;Taa(10026376,x,124)}Kha(b,9985016,(c[2506595]|0)-1|0);c[2506363]=0;c[2506362]=9986440;if(!((c[2506608]|0)==-1)){c[w>>2]=10026432;c[w+4>>2]=84;c[w+8>>2]=0;Taa(10026432,w,124)}Kha(b,10025448,(c[2506609]|0)-1|0);c[2506361]=0;c[2506360]=9986368;if(!((c[2506606]|0)==-1)){c[v>>2]=10026424;c[v+4>>2]=84;c[v+8>>2]=0;Taa(10026424,v,124)}Kha(b,10025440,(c[2506607]|0)-1|0);c[2506359]=0;c[2506358]=9986304;if(!((c[2506604]|0)==-1)){c[u>>2]=10026416;c[u+4>>2]=84;c[u+8>>2]=0;Taa(10026416,u,124)}Kha(b,10025432,(c[2506605]|0)-1|0);c[2506357]=0;c[2506356]=9986240;if(!((c[2506602]|0)==-1)){c[t>>2]=10026408;c[t+4>>2]=84;c[t+8>>2]=0;Taa(10026408,t,124)}Kha(b,10025424,(c[2506603]|0)-1|0);c[2506427]=0;c[2506426]=9988176;if(!((c[2506812]|0)==-1)){c[s>>2]=10027248;c[s+4>>2]=84;c[s+8>>2]=0;Taa(10027248,s,124)}Kha(b,10025704,(c[2506813]|0)-1|0);c[2506425]=0;c[2506424]=9988112;if(!((c[2506810]|0)==-1)){c[r>>2]=10027240;c[r+4>>2]=84;c[r+8>>2]=0;Taa(10027240,r,124)}Kha(b,10025696,(c[2506811]|0)-1|0);c[2506423]=0;c[2506422]=9988048;if(!((c[2506808]|0)==-1)){c[q>>2]=10027232;c[q+4>>2]=84;c[q+8>>2]=0;Taa(10027232,q,124)}Kha(b,10025688,(c[2506809]|0)-1|0);c[2506421]=0;c[2506420]=9987984;if(!((c[2506806]|0)==-1)){c[p>>2]=10027224;c[p+4>>2]=84;c[p+8>>2]=0;Taa(10027224,p,124)}Kha(b,10025680,(c[2506807]|0)-1|0);c[2506345]=0;c[2506344]=9985688;if(!((c[2506584]|0)==-1)){c[o>>2]=10026336;c[o+4>>2]=84;c[o+8>>2]=0;Taa(10026336,o,124)}Kha(b,10025376,(c[2506585]|0)-1|0);c[2506343]=0;c[2506342]=9985648;if(!((c[2506582]|0)==-1)){c[n>>2]=10026328;c[n+4>>2]=84;c[n+8>>2]=0;Taa(10026328,n,124)}Kha(b,10025368,(c[2506583]|0)-1|0);c[2506341]=0;c[2506340]=9985608;if(!((c[2506580]|0)==-1)){c[m>>2]=10026320;c[m+4>>2]=84;c[m+8>>2]=0;Taa(10026320,m,124)}Kha(b,10025360,(c[2506581]|0)-1|0);c[2506339]=0;c[2506338]=9985568;if(!((c[2506578]|0)==-1)){c[l>>2]=10026312;c[l+4>>2]=84;c[l+8>>2]=0;Taa(10026312,l,124)}Kha(b,10025352,(c[2506579]|0)-1|0);c[2496251]=0;c[2496250]=9985912;c[2496252]=9985960;if(!((c[2506592]|0)==-1)){c[k>>2]=10026368;c[k+4>>2]=84;c[k+8>>2]=0;Taa(10026368,k,124)}Kha(b,9985e3,(c[2506593]|0)-1|0);c[2496247]=0;c[2496246]=9985816;c[2496248]=9985864;if(!((c[2506590]|0)==-1)){c[j>>2]=10026360;c[j+4>>2]=84;c[j+8>>2]=0;Taa(10026360,j,124)}Kha(b,9984984,(c[2506591]|0)-1|0);c[2496243]=0;c[2496242]=9986816;do{if((a[10027328]|0)==0){if((cc(10027328)|0)==0){break}c[2506334]=pb(2147483647,9963736,0)|0}}while(0);c[2496244]=c[2506334];c[2496242]=9985784;if(!((c[2506588]|0)==-1)){c[h>>2]=10026352;c[h+4>>2]=84;c[h+8>>2]=0;Taa(10026352,h,124)}Kha(b,9984968,(c[2506589]|0)-1|0);c[2496239]=0;c[2496238]=9986816;do{if((a[10027328]|0)==0){if((cc(10027328)|0)==0){break}c[2506334]=pb(2147483647,9963736,0)|0}}while(0);c[2496240]=c[2506334];c[2496238]=9985752;if(!((c[2506586]|0)==-1)){c[g>>2]=10026344;c[g+4>>2]=84;c[g+8>>2]=0;Taa(10026344,g,124)}Kha(b,9984952,(c[2506587]|0)-1|0);c[2506355]=0;c[2506354]=9986144;if(!((c[2506600]|0)==-1)){c[f>>2]=10026400;c[f+4>>2]=84;c[f+8>>2]=0;Taa(10026400,f,124)}Kha(b,10025416,(c[2506601]|0)-1|0);c[2506353]=0;c[2506352]=9986104;if(!((c[2506598]|0)==-1)){c[H>>2]=10026392;c[H+4>>2]=84;c[H+8>>2]=0;Taa(10026392,H,124)}Kha(b,10025408,(c[2506599]|0)-1|0);i=e;return}function Kha(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;xaa(b|0);e=a+8|0;f=a+12|0;a=c[f>>2]|0;g=e|0;h=c[g>>2]|0;i=a-h>>2;do{if(i>>>0>d>>>0){j=h}else{k=d+1|0;if(i>>>0<k>>>0){Pja(e,k-i|0);j=c[g>>2]|0;break}if(!(i>>>0>k>>>0)){j=h;break}l=h+(k<<2)|0;if((a|0)==(l|0)){j=h;break}c[f>>2]=a+(~((a-4+(-l|0)|0)>>>2)<<2);j=h}}while(0);h=c[j+(d<<2)>>2]|0;if((h|0)==0){m=j;n=m+(d<<2)|0;c[n>>2]=b;return}yaa(h|0)|0;m=c[g>>2]|0;n=m+(d<<2)|0;c[n>>2]=b;return}function Lha(a){a=a|0;Mha(a);tla(a);return}function Mha(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;c[b>>2]=9986848;d=b+12|0;e=c[d>>2]|0;f=b+8|0;g=c[f>>2]|0;if((e|0)!=(g|0)){h=0;i=g;g=e;while(1){e=c[i+(h<<2)>>2]|0;if((e|0)==0){j=g;k=i}else{yaa(e|0)|0;j=c[d>>2]|0;k=c[f>>2]|0}e=h+1|0;if(e>>>0<j-k>>2>>>0){h=e;i=k;g=j}else{break}}}gba(b+144|0);j=c[f>>2]|0;if((j|0)==0){l=b|0;waa(l);return}f=c[d>>2]|0;if((f|0)!=(j|0)){c[d>>2]=f+(~((f-4+(-j|0)|0)>>>2)<<2)}if((b+24|0)==(j|0)){a[b+136|0]=0;l=b|0;waa(l);return}else{tla(j);l=b|0;waa(l);return}}function Nha(){var b=0,d=0;if((a[10027312]|0)!=0){b=c[2506326]|0;return b|0}if((cc(10027312)|0)==0){b=c[2506326]|0;return b|0}do{if((a[10027320]|0)==0){if((cc(10027320)|0)==0){break}Jha(10025496,1);c[2506330]=10025496;c[2506328]=10025320}}while(0);d=c[c[2506328]>>2]|0;c[2506332]=d;xaa(d|0);c[2506326]=10025328;b=c[2506326]|0;return b|0}function Oha(a){a=a|0;var b=0;b=c[(Nha()|0)>>2]|0;c[a>>2]=b;xaa(b|0);return}function Pha(a,b){a=a|0;b=b|0;var d=0;d=c[b>>2]|0;c[a>>2]=d;xaa(d|0);return}function Qha(a){a=a|0;yaa(c[a>>2]|0)|0;return}function Rha(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;i=i+16|0;e=d|0;f=c[a>>2]|0;a=b|0;if(!((c[a>>2]|0)==-1)){c[e>>2]=b;c[e+4>>2]=84;c[e+8>>2]=0;Taa(a,e,124)}e=(c[b+4>>2]|0)-1|0;b=c[f+8>>2]|0;if(!((c[f+12>>2]|0)-b>>2>>>0>e>>>0)){g=0;i=d;return g|0}g=(c[b+(e<<2)>>2]|0)!=0;i=d;return g|0}function Sha(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;d=i;i=i+16|0;e=d|0;f=c[a>>2]|0;a=b|0;if(!((c[a>>2]|0)==-1)){c[e>>2]=b;c[e+4>>2]=84;c[e+8>>2]=0;Taa(a,e,124)}e=(c[b+4>>2]|0)-1|0;b=c[f+8>>2]|0;if(!((c[f+12>>2]|0)-b>>2>>>0>e>>>0)){g=Gd(4)|0;h=g;Ska(h);xc(g|0,9991800,176);return 0}f=c[b+(e<<2)>>2]|0;if((f|0)==0){g=Gd(4)|0;h=g;Ska(h);xc(g|0,9991800,176);return 0}else{i=d;return f|0}return 0}function Tha(a){a=a|0;waa(a|0);tla(a);return}function Uha(a){a=a|0;if((a|0)==0){return}$d[c[(c[a>>2]|0)+4>>2]&511](a);return}function Vha(a){a=a|0;c[a+4>>2]=(I=c[2506622]|0,c[2506622]=I+1,I)+1;return}function Wha(a){a=a|0;waa(a|0);tla(a);return}function Xha(a,d,e){a=a|0;d=d|0;e=e|0;var f=0;if(!(e>>>0<128>>>0)){f=0;return f|0}f=(b[(c[(gb()|0)>>2]|0)+(e<<1)>>1]&d)<<16>>16!=0;return f|0}function Yha(a,d,e,f){a=a|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0;if((d|0)==(e|0)){g=d;return g|0}else{h=d;i=f}while(1){f=c[h>>2]|0;if(f>>>0<128>>>0){j=b[(c[(gb()|0)>>2]|0)+(f<<1)>>1]|0}else{j=0}b[i>>1]=j;f=h+4|0;if((f|0)==(e|0)){g=e;break}else{h=f;i=i+2|0}}return g|0}function Zha(a,d,e,f){a=a|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0;if((e|0)==(f|0)){g=e;return g|0}else{h=e}while(1){e=c[h>>2]|0;if(e>>>0<128>>>0){if(!((b[(c[(gb()|0)>>2]|0)+(e<<1)>>1]&d)<<16>>16==0)){g=h;i=7;break}}e=h+4|0;if((e|0)==(f|0)){g=f;i=7;break}else{h=e}}if((i|0)==7){return g|0}return 0}function _ha(a,d,e,f){a=a|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;a=e;while(1){if((a|0)==(f|0)){g=f;h=7;break}e=c[a>>2]|0;if(!(e>>>0<128>>>0)){g=a;h=7;break}if((b[(c[(gb()|0)>>2]|0)+(e<<1)>>1]&d)<<16>>16==0){g=a;h=7;break}else{a=a+4|0}}if((h|0)==7){return g|0}return 0}function $ha(a,b){a=a|0;b=b|0;var d=0;if(!(b>>>0<128>>>0)){d=b;return d|0}d=c[(c[(Md()|0)>>2]|0)+(b<<2)>>2]|0;return d|0}function aia(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;if((b|0)==(d|0)){e=b;return e|0}else{f=b}while(1){b=c[f>>2]|0;if(b>>>0<128>>>0){g=c[(c[(Md()|0)>>2]|0)+(b<<2)>>2]|0}else{g=b}c[f>>2]=g;b=f+4|0;if((b|0)==(d|0)){e=d;break}else{f=b}}return e|0}function bia(a,b){a=a|0;b=b|0;var d=0;if(!(b>>>0<128>>>0)){d=b;return d|0}d=c[(c[(Od()|0)>>2]|0)+(b<<2)>>2]|0;return d|0}function cia(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;if((b|0)==(d|0)){e=b;return e|0}else{f=b}while(1){b=c[f>>2]|0;if(b>>>0<128>>>0){g=c[(c[(Od()|0)>>2]|0)+(b<<2)>>2]|0}else{g=b}c[f>>2]=g;b=f+4|0;if((b|0)==(d|0)){e=d;break}else{f=b}}return e|0}function dia(a,b){a=a|0;b=b|0;return b<<24>>24|0}function eia(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0;if((d|0)==(e|0)){g=d;return g|0}else{h=d;i=f}while(1){c[i>>2]=a[h]|0;f=h+1|0;if((f|0)==(e|0)){g=e;break}else{h=f;i=i+4|0}}return g|0}function fia(a,b,c){a=a|0;b=b|0;c=c|0;return(b>>>0<128>>>0?b&255:c)|0}function gia(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0;if((d|0)==(e|0)){h=d;return h|0}b=((e-4+(-d|0)|0)>>>2)+1|0;i=d;j=g;while(1){g=c[i>>2]|0;a[j]=g>>>0<128>>>0?g&255:f;g=i+4|0;if((g|0)==(e|0)){break}else{i=g;j=j+1|0}}h=d+(b<<2)|0;return h|0}function hia(b){b=b|0;var d=0;c[b>>2]=9986960;d=c[b+8>>2]|0;do{if((d|0)!=0){if((a[b+12|0]|0)==0){break}ula(d)}}while(0);waa(b|0);tla(b);return}function iia(b){b=b|0;var d=0;c[b>>2]=9986960;d=c[b+8>>2]|0;do{if((d|0)!=0){if((a[b+12|0]|0)==0){break}ula(d)}}while(0);waa(b|0);return}function jia(a,b){a=a|0;b=b|0;var d=0;if(b<<24>>24<0){d=b;return d|0}d=c[(c[(Md()|0)>>2]|0)+((b&255)<<2)>>2]&255;return d|0}function kia(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;if((d|0)==(e|0)){f=d;return f|0}else{g=d}while(1){d=a[g]|0;if(d<<24>>24<0){h=d}else{h=c[(c[(Md()|0)>>2]|0)+(d<<24>>24<<2)>>2]&255}a[g]=h;d=g+1|0;if((d|0)==(e|0)){f=e;break}else{g=d}}return f|0}function lia(a,b){a=a|0;b=b|0;var d=0;if(b<<24>>24<0){d=b;return d|0}d=c[(c[(Od()|0)>>2]|0)+(b<<24>>24<<2)>>2]&255;return d|0}function mia(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;if((d|0)==(e|0)){f=d;return f|0}else{g=d}while(1){d=a[g]|0;if(d<<24>>24<0){h=d}else{h=c[(c[(Od()|0)>>2]|0)+(d<<24>>24<<2)>>2]&255}a[g]=h;d=g+1|0;if((d|0)==(e|0)){f=e;break}else{g=d}}return f|0}function nia(a,b){a=a|0;b=b|0;return b|0}function oia(b,c,d,e){b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0;if((c|0)==(d|0)){f=c;return f|0}else{g=c;h=e}while(1){a[h]=a[g]|0;e=g+1|0;if((e|0)==(d|0)){f=d;break}else{g=e;h=h+1|0}}return f|0}function pia(a,b,c){a=a|0;b=b|0;c=c|0;return(b<<24>>24<0?c:b)|0}function qia(b,c,d,e,f){b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0;if((c|0)==(d|0)){g=c;return g|0}else{h=c;i=f}while(1){f=a[h]|0;a[i]=f<<24>>24<0?e:f;f=h+1|0;if((f|0)==(d|0)){g=d;break}else{h=f;i=i+1|0}}return g|0}function ria(a){a=a|0;waa(a|0);tla(a);return}function sia(a,b,d,e,f,g,h,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;c[f>>2]=d;c[i>>2]=g;return 3}function tia(a,b,d,e,f,g,h,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;c[f>>2]=d;c[i>>2]=g;return 3}function uia(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;c[f>>2]=d;return 3}function via(a){a=a|0;return 1}function wia(a){a=a|0;return 1}function xia(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;b=d-c|0;return(b>>>0<e>>>0?b:e)|0}function yia(a){a=a|0;return 1}function zia(a){a=a|0;Hha(a);tla(a);return}function Aia(b,d,e,f,g,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;l=i;i=i+8|0;m=l|0;n=m;o=i;i=i+4|0;i=i+7&-8;p=e;while(1){if((p|0)==(f|0)){q=f;break}if((c[p>>2]|0)==0){q=p;break}else{p=p+4|0}}c[k>>2]=h;c[g>>2]=e;a:do{if((e|0)==(f|0)|(h|0)==(j|0)){r=e}else{p=d;s=j;t=b+8|0;u=o|0;v=h;w=e;x=q;while(1){y=c[p+4>>2]|0;c[m>>2]=c[p>>2];c[m+4>>2]=y;y=ld(c[t>>2]|0)|0;z=rka(v,g,x-w>>2,s-v|0,d)|0;if((y|0)!=0){ld(y|0)|0}if((z|0)==(-1|0)){A=15;break}else if((z|0)==0){B=1;A=50;break}y=(c[k>>2]|0)+z|0;c[k>>2]=y;if((y|0)==(j|0)){A=48;break}if((x|0)==(f|0)){C=f;D=y;E=c[g>>2]|0}else{y=ld(c[t>>2]|0)|0;z=qka(u,0,d)|0;if((y|0)!=0){ld(y|0)|0}if((z|0)==-1){B=2;A=50;break}y=c[k>>2]|0;if(z>>>0>(s-y|0)>>>0){B=1;A=50;break}b:do{if((z|0)!=0){F=z;G=u;H=y;while(1){I=a[G]|0;c[k>>2]=H+1;a[H]=I;I=F-1|0;if((I|0)==0){break b}F=I;G=G+1|0;H=c[k>>2]|0}}}while(0);y=(c[g>>2]|0)+4|0;c[g>>2]=y;z=y;while(1){if((z|0)==(f|0)){J=f;break}if((c[z>>2]|0)==0){J=z;break}else{z=z+4|0}}C=J;D=c[k>>2]|0;E=y}if((E|0)==(f|0)|(D|0)==(j|0)){r=E;break a}else{v=D;w=E;x=C}}if((A|0)==15){c[k>>2]=v;c:do{if((w|0)==(c[g>>2]|0)){K=w}else{x=w;u=v;while(1){s=c[x>>2]|0;p=ld(c[t>>2]|0)|0;z=qka(u,s,n)|0;if((p|0)!=0){ld(p|0)|0}if((z|0)==-1){K=x;break c}p=(c[k>>2]|0)+z|0;c[k>>2]=p;z=x+4|0;if((z|0)==(c[g>>2]|0)){K=z;break}else{x=z;u=p}}}}while(0);c[g>>2]=K;B=2;i=l;return B|0}else if((A|0)==48){r=c[g>>2]|0;break}else if((A|0)==50){i=l;return B|0}}}while(0);B=(r|0)!=(f|0)|0;i=l;return B|0}function Bia(b,d,e,f,g,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;l=i;i=i+8|0;m=l|0;n=m;o=e;while(1){if((o|0)==(f|0)){p=f;break}if((a[o]|0)==0){p=o;break}else{o=o+1|0}}c[k>>2]=h;c[g>>2]=e;a:do{if((e|0)==(f|0)|(h|0)==(j|0)){q=e}else{o=d;r=j;s=b+8|0;t=h;u=e;v=p;while(1){w=c[o+4>>2]|0;c[m>>2]=c[o>>2];c[m+4>>2]=w;x=v;w=ld(c[s>>2]|0)|0;y=nka(t,g,x-u|0,r-t>>2,d)|0;if((w|0)!=0){ld(w|0)|0}if((y|0)==(-1|0)){z=15;break}else if((y|0)==0){A=2;z=49;break}w=(c[k>>2]|0)+(y<<2)|0;c[k>>2]=w;if((w|0)==(j|0)){z=47;break}y=c[g>>2]|0;if((v|0)==(f|0)){B=f;C=w;D=y}else{E=ld(c[s>>2]|0)|0;F=mka(w,y,1,d)|0;if((E|0)!=0){ld(E|0)|0}if((F|0)!=0){A=2;z=49;break}c[k>>2]=(c[k>>2]|0)+4;F=(c[g>>2]|0)+1|0;c[g>>2]=F;E=F;while(1){if((E|0)==(f|0)){G=f;break}if((a[E]|0)==0){G=E;break}else{E=E+1|0}}B=G;C=c[k>>2]|0;D=F}if((D|0)==(f|0)|(C|0)==(j|0)){q=D;break a}else{t=C;u=D;v=B}}if((z|0)==15){c[k>>2]=t;b:do{if((u|0)==(c[g>>2]|0)){H=u}else{v=t;r=u;while(1){o=ld(c[s>>2]|0)|0;E=mka(v,r,x-r|0,n)|0;if((o|0)!=0){ld(o|0)|0}if((E|0)==(-1|0)){z=26;break}else if((E|0)==0){I=r+1|0}else if((E|0)==(-2|0)){z=27;break}else{I=r+E|0}E=(c[k>>2]|0)+4|0;c[k>>2]=E;if((I|0)==(c[g>>2]|0)){H=I;break b}else{v=E;r=I}}if((z|0)==26){c[g>>2]=r;A=2;i=l;return A|0}else if((z|0)==27){c[g>>2]=r;A=1;i=l;return A|0}}}while(0);c[g>>2]=H;A=(H|0)!=(f|0)|0;i=l;return A|0}else if((z|0)==47){q=c[g>>2]|0;break}else if((z|0)==49){i=l;return A|0}}}while(0);A=(q|0)!=(f|0)|0;i=l;return A|0}function Cia(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;i=i+8|0;c[g>>2]=e;e=h|0;j=ld(c[b+8>>2]|0)|0;b=qka(e,0,d)|0;if((j|0)!=0){ld(j|0)|0}if((b|0)==(-1|0)|(b|0)==0){k=2;i=h;return k|0}j=b-1|0;b=c[g>>2]|0;if(j>>>0>(f-b|0)>>>0){k=1;i=h;return k|0}if((j|0)==0){k=0;i=h;return k|0}else{l=j;m=e;n=b}while(1){b=a[m]|0;c[g>>2]=n+1;a[n]=b;b=l-1|0;if((b|0)==0){k=0;break}l=b;m=m+1|0;n=c[g>>2]|0}i=h;return k|0}function Dia(a){a=a|0;var b=0,d=0,e=0;b=a+8|0;a=ld(c[b>>2]|0)|0;d=pka(0,0,4)|0;if((a|0)!=0){ld(a|0)|0}if((d|0)!=0){e=-1;return e|0}d=c[b>>2]|0;if((d|0)==0){e=1;return e|0}b=ld(d|0)|0;if((b|0)==0){e=0;return e|0}ld(b|0)|0;e=0;return e|0}function Eia(a){a=a|0;return 0}function Fia(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;if((f|0)==0|(d|0)==(e|0)){g=0;return g|0}h=e;i=a+8|0;a=d;d=0;j=0;while(1){k=ld(c[i>>2]|0)|0;l=lka(a,h-a|0,b)|0;if((k|0)!=0){ld(k|0)|0}if((l|0)==0){m=1;n=a+1|0}else if((l|0)==(-1|0)|(l|0)==(-2|0)){g=d;o=15;break}else{m=l;n=a+l|0}l=m+d|0;k=j+1|0;if(k>>>0>=f>>>0|(n|0)==(e|0)){g=l;o=15;break}else{a=n;d=l;j=k}}if((o|0)==15){return g|0}return 0}function Gia(a){a=a|0;var b=0,d=0;b=c[a+8>>2]|0;do{if((b|0)==0){d=1}else{a=ld(b|0)|0;if((a|0)==0){d=4;break}ld(a|0)|0;d=4}}while(0);return d|0}function Hia(a){a=a|0;waa(a|0);tla(a);return}function Iia(a,b,d,e,f,g,h,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0;b=i;i=i+16|0;a=b|0;k=b+8|0;c[a>>2]=d;c[k>>2]=g;l=Jia(d,e,a,g,h,k,1114111,0)|0;c[f>>2]=d+((c[a>>2]|0)-d>>1<<1);c[j>>2]=g+((c[k>>2]|0)-g);i=b;return l|0}function Jia(d,f,g,h,i,j,k,l){d=d|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0;c[g>>2]=d;c[j>>2]=h;do{if((l&2|0)!=0){if((i-h|0)<3){m=1;return m|0}else{c[j>>2]=h+1;a[h]=-17;d=c[j>>2]|0;c[j>>2]=d+1;a[d]=-69;d=c[j>>2]|0;c[j>>2]=d+1;a[d]=-65;break}}}while(0);h=f;l=c[g>>2]|0;if(!(l>>>0<f>>>0)){m=0;return m|0}d=i;i=l;a:while(1){l=b[i>>1]|0;n=l&65535;if(n>>>0>k>>>0){m=2;o=26;break}do{if((l&65535)>>>0<128>>>0){p=c[j>>2]|0;if((d-p|0)<1){m=1;o=26;break a}c[j>>2]=p+1;a[p]=l}else{if((l&65535)>>>0<2048>>>0){p=c[j>>2]|0;if((d-p|0)<2){m=1;o=26;break a}c[j>>2]=p+1;a[p]=n>>>6|192;p=c[j>>2]|0;c[j>>2]=p+1;a[p]=n&63|128;break}if((l&65535)>>>0<55296>>>0){p=c[j>>2]|0;if((d-p|0)<3){m=1;o=26;break a}c[j>>2]=p+1;a[p]=n>>>12|224;p=c[j>>2]|0;c[j>>2]=p+1;a[p]=n>>>6&63|128;p=c[j>>2]|0;c[j>>2]=p+1;a[p]=n&63|128;break}if(!((l&65535)>>>0<56320>>>0)){if((l&65535)>>>0<57344>>>0){m=2;o=26;break a}p=c[j>>2]|0;if((d-p|0)<3){m=1;o=26;break a}c[j>>2]=p+1;a[p]=n>>>12|224;p=c[j>>2]|0;c[j>>2]=p+1;a[p]=n>>>6&63|128;p=c[j>>2]|0;c[j>>2]=p+1;a[p]=n&63|128;break}if((h-i|0)<4){m=1;o=26;break a}p=i+2|0;q=e[p>>1]|0;if((q&64512|0)!=56320){m=2;o=26;break a}if((d-(c[j>>2]|0)|0)<4){m=1;o=26;break a}r=n&960;if(((r<<10)+65536|n<<10&64512|q&1023)>>>0>k>>>0){m=2;o=26;break a}c[g>>2]=p;p=(r>>>6)+1|0;r=c[j>>2]|0;c[j>>2]=r+1;a[r]=p>>>2|240;r=c[j>>2]|0;c[j>>2]=r+1;a[r]=n>>>2&15|p<<4&48|128;p=c[j>>2]|0;c[j>>2]=p+1;a[p]=n<<4&48|q>>>6&15|128;p=c[j>>2]|0;c[j>>2]=p+1;a[p]=q&63|128}}while(0);n=(c[g>>2]|0)+2|0;c[g>>2]=n;if(n>>>0<f>>>0){i=n}else{m=0;o=26;break}}if((o|0)==26){return m|0}return 0}function Kia(a,b,d,e,f,g,h,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0;b=i;i=i+16|0;a=b|0;k=b+8|0;c[a>>2]=d;c[k>>2]=g;l=Lia(d,e,a,g,h,k,1114111,0)|0;c[f>>2]=d+((c[a>>2]|0)-d);c[j>>2]=g+((c[k>>2]|0)-g>>1<<1);i=b;return l|0}function Lia(e,f,g,h,i,j,k,l){e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;c[g>>2]=e;c[j>>2]=h;h=c[g>>2]|0;do{if((l&4|0)==0){m=h}else{if((f-h|0)<=2){m=h;break}if(!((a[h]|0)==-17)){m=h;break}if(!((a[h+1|0]|0)==-69)){m=h;break}if(!((a[h+2|0]|0)==-65)){m=h;break}e=h+3|0;c[g>>2]=e;m=e}}while(0);a:do{if(m>>>0<f>>>0){h=f;l=i;e=c[j>>2]|0;n=m;b:while(1){if(!(e>>>0<i>>>0)){o=n;break a}p=a[n]|0;q=p&255;if(q>>>0>k>>>0){r=2;s=41;break}do{if(p<<24>>24>-1){b[e>>1]=p&255;c[g>>2]=n+1}else{if((p&255)>>>0<194>>>0){r=2;s=41;break b}if((p&255)>>>0<224>>>0){if((h-n|0)<2){r=1;s=41;break b}t=d[n+1|0]|0;if((t&192|0)!=128){r=2;s=41;break b}u=t&63|q<<6&1984;if(u>>>0>k>>>0){r=2;s=41;break b}b[e>>1]=u;c[g>>2]=n+2;break}if((p&255)>>>0<240>>>0){if((h-n|0)<3){r=1;s=41;break b}u=a[n+1|0]|0;t=a[n+2|0]|0;if((q|0)==237){if(!((u&-32)<<24>>24==-128)){r=2;s=41;break b}}else if((q|0)==224){if(!((u&-32)<<24>>24==-96)){r=2;s=41;break b}}else{if(!((u&-64)<<24>>24==-128)){r=2;s=41;break b}}v=t&255;if((v&192|0)!=128){r=2;s=41;break b}t=(u&255)<<6&4032|q<<12|v&63;if((t&65535)>>>0>k>>>0){r=2;s=41;break b}b[e>>1]=t;c[g>>2]=n+3;break}if(!((p&255)>>>0<245>>>0)){r=2;s=41;break b}if((h-n|0)<4){r=1;s=41;break b}t=a[n+1|0]|0;v=a[n+2|0]|0;u=a[n+3|0]|0;if((q|0)==240){if(!((t+112&255)>>>0<48>>>0)){r=2;s=41;break b}}else if((q|0)==244){if(!((t&-16)<<24>>24==-128)){r=2;s=41;break b}}else{if(!((t&-64)<<24>>24==-128)){r=2;s=41;break b}}w=v&255;if((w&192|0)!=128){r=2;s=41;break b}v=u&255;if((v&192|0)!=128){r=2;s=41;break b}if((l-e|0)<4){r=1;s=41;break b}u=q&7;x=t&255;t=w<<6;y=v&63;if((x<<12&258048|u<<18|t&4032|y)>>>0>k>>>0){r=2;s=41;break b}b[e>>1]=x<<2&60|w>>>4&3|((x>>>4&3|u<<2)<<6)+16320|55296;u=e+2|0;c[j>>2]=u;b[u>>1]=y|t&960|56320;c[g>>2]=(c[g>>2]|0)+4}}while(0);q=(c[j>>2]|0)+2|0;c[j>>2]=q;p=c[g>>2]|0;if(p>>>0<f>>>0){e=q;n=p}else{o=p;break a}}if((s|0)==41){return r|0}}else{o=m}}while(0);r=o>>>0<f>>>0|0;return r|0}function Mia(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;c[f>>2]=d;return 3}function Nia(a){a=a|0;return 0}function Oia(a){a=a|0;return 0}function Pia(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return Qia(c,d,e,1114111,0)|0}function Qia(b,c,e,f,g){b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;do{if((g&4|0)==0){h=b}else{if((c-b|0)<=2){h=b;break}if(!((a[b]|0)==-17)){h=b;break}if(!((a[b+1|0]|0)==-69)){h=b;break}h=(a[b+2|0]|0)==-65?b+3|0:b}}while(0);a:do{if(h>>>0<c>>>0&(e|0)!=0){g=c;i=0;j=h;b:while(1){k=a[j]|0;l=k&255;if(l>>>0>f>>>0){m=j;break a}do{if(k<<24>>24>-1){n=j+1|0;o=i}else{if((k&255)>>>0<194>>>0){m=j;break a}if((k&255)>>>0<224>>>0){if((g-j|0)<2){m=j;break a}p=d[j+1|0]|0;if((p&192|0)!=128){m=j;break a}if((p&63|l<<6&1984)>>>0>f>>>0){m=j;break a}n=j+2|0;o=i;break}if((k&255)>>>0<240>>>0){q=j;if((g-q|0)<3){m=j;break a}p=a[j+1|0]|0;r=a[j+2|0]|0;if((l|0)==237){if(!((p&-32)<<24>>24==-128)){s=23;break b}}else if((l|0)==224){if(!((p&-32)<<24>>24==-96)){s=21;break b}}else{if(!((p&-64)<<24>>24==-128)){s=25;break b}}t=r&255;if((t&192|0)!=128){m=j;break a}if(((p&255)<<6&4032|l<<12&61440|t&63)>>>0>f>>>0){m=j;break a}n=j+3|0;o=i;break}if(!((k&255)>>>0<245>>>0)){m=j;break a}u=j;if((g-u|0)<4){m=j;break a}if((e-i|0)>>>0<2>>>0){m=j;break a}t=a[j+1|0]|0;p=a[j+2|0]|0;r=a[j+3|0]|0;if((l|0)==240){if(!((t+112&255)>>>0<48>>>0)){s=34;break b}}else if((l|0)==244){if(!((t&-16)<<24>>24==-128)){s=36;break b}}else{if(!((t&-64)<<24>>24==-128)){s=38;break b}}v=p&255;if((v&192|0)!=128){m=j;break a}p=r&255;if((p&192|0)!=128){m=j;break a}if(((t&255)<<12&258048|l<<18&1835008|v<<6&4032|p&63)>>>0>f>>>0){m=j;break a}n=j+4|0;o=i+1|0}}while(0);l=o+1|0;if(n>>>0<c>>>0&l>>>0<e>>>0){i=l;j=n}else{m=n;break a}}if((s|0)==21){w=q-b|0;return w|0}else if((s|0)==23){w=q-b|0;return w|0}else if((s|0)==25){w=q-b|0;return w|0}else if((s|0)==34){w=u-b|0;return w|0}else if((s|0)==36){w=u-b|0;return w|0}else if((s|0)==38){w=u-b|0;return w|0}}else{m=h}}while(0);w=m-b|0;return w|0}function Ria(a){a=a|0;return 4}function Sia(a){a=a|0;waa(a|0);tla(a);return}function Tia(a,b,d,e,f,g,h,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0;b=i;i=i+16|0;a=b|0;k=b+8|0;c[a>>2]=d;c[k>>2]=g;l=Uia(d,e,a,g,h,k,1114111,0)|0;c[f>>2]=d+((c[a>>2]|0)-d>>2<<2);c[j>>2]=g+((c[k>>2]|0)-g);i=b;return l|0}function Uia(b,d,e,f,g,h,i,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0;c[e>>2]=b;c[h>>2]=f;do{if((j&2|0)!=0){if((g-f|0)<3){k=1;return k|0}else{c[h>>2]=f+1;a[f]=-17;b=c[h>>2]|0;c[h>>2]=b+1;a[b]=-69;b=c[h>>2]|0;c[h>>2]=b+1;a[b]=-65;break}}}while(0);f=c[e>>2]|0;if(!(f>>>0<d>>>0)){k=0;return k|0}j=g;g=f;a:while(1){f=c[g>>2]|0;if((f&-2048|0)==55296|f>>>0>i>>>0){k=2;l=19;break}do{if(f>>>0<128>>>0){b=c[h>>2]|0;if((j-b|0)<1){k=1;l=19;break a}c[h>>2]=b+1;a[b]=f}else{if(f>>>0<2048>>>0){b=c[h>>2]|0;if((j-b|0)<2){k=1;l=19;break a}c[h>>2]=b+1;a[b]=f>>>6|192;b=c[h>>2]|0;c[h>>2]=b+1;a[b]=f&63|128;break}b=c[h>>2]|0;m=j-b|0;if(f>>>0<65536>>>0){if((m|0)<3){k=1;l=19;break a}c[h>>2]=b+1;a[b]=f>>>12|224;n=c[h>>2]|0;c[h>>2]=n+1;a[n]=f>>>6&63|128;n=c[h>>2]|0;c[h>>2]=n+1;a[n]=f&63|128;break}else{if((m|0)<4){k=1;l=19;break a}c[h>>2]=b+1;a[b]=f>>>18|240;b=c[h>>2]|0;c[h>>2]=b+1;a[b]=f>>>12&63|128;b=c[h>>2]|0;c[h>>2]=b+1;a[b]=f>>>6&63|128;b=c[h>>2]|0;c[h>>2]=b+1;a[b]=f&63|128;break}}}while(0);f=(c[e>>2]|0)+4|0;c[e>>2]=f;if(f>>>0<d>>>0){g=f}else{k=0;l=19;break}}if((l|0)==19){return k|0}return 0}function Via(a,b,d,e,f,g,h,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0;b=i;i=i+16|0;a=b|0;k=b+8|0;c[a>>2]=d;c[k>>2]=g;l=Wia(d,e,a,g,h,k,1114111,0)|0;c[f>>2]=d+((c[a>>2]|0)-d);c[j>>2]=g+((c[k>>2]|0)-g>>2<<2);i=b;return l|0}function Wia(b,e,f,g,h,i,j,k){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;c[f>>2]=b;c[i>>2]=g;g=c[f>>2]|0;do{if((k&4|0)==0){l=g}else{if((e-g|0)<=2){l=g;break}if(!((a[g]|0)==-17)){l=g;break}if(!((a[g+1|0]|0)==-69)){l=g;break}if(!((a[g+2|0]|0)==-65)){l=g;break}b=g+3|0;c[f>>2]=b;l=b}}while(0);a:do{if(l>>>0<e>>>0){g=e;k=c[i>>2]|0;b=l;b:while(1){if(!(k>>>0<h>>>0)){m=b;break a}n=a[b]|0;o=n&255;do{if(n<<24>>24>-1){if(o>>>0>j>>>0){p=2;q=40;break b}c[k>>2]=o;c[f>>2]=b+1}else{if((n&255)>>>0<194>>>0){p=2;q=40;break b}if((n&255)>>>0<224>>>0){if((g-b|0)<2){p=1;q=40;break b}r=d[b+1|0]|0;if((r&192|0)!=128){p=2;q=40;break b}s=r&63|o<<6&1984;if(s>>>0>j>>>0){p=2;q=40;break b}c[k>>2]=s;c[f>>2]=b+2;break}if((n&255)>>>0<240>>>0){if((g-b|0)<3){p=1;q=40;break b}s=a[b+1|0]|0;r=a[b+2|0]|0;if((o|0)==237){if(!((s&-32)<<24>>24==-128)){p=2;q=40;break b}}else if((o|0)==224){if(!((s&-32)<<24>>24==-96)){p=2;q=40;break b}}else{if(!((s&-64)<<24>>24==-128)){p=2;q=40;break b}}t=r&255;if((t&192|0)!=128){p=2;q=40;break b}r=(s&255)<<6&4032|o<<12&61440|t&63;if(r>>>0>j>>>0){p=2;q=40;break b}c[k>>2]=r;c[f>>2]=b+3;break}if(!((n&255)>>>0<245>>>0)){p=2;q=40;break b}if((g-b|0)<4){p=1;q=40;break b}r=a[b+1|0]|0;t=a[b+2|0]|0;s=a[b+3|0]|0;if((o|0)==244){if(!((r&-16)<<24>>24==-128)){p=2;q=40;break b}}else if((o|0)==240){if(!((r+112&255)>>>0<48>>>0)){p=2;q=40;break b}}else{if(!((r&-64)<<24>>24==-128)){p=2;q=40;break b}}u=t&255;if((u&192|0)!=128){p=2;q=40;break b}t=s&255;if((t&192|0)!=128){p=2;q=40;break b}s=(r&255)<<12&258048|o<<18&1835008|u<<6&4032|t&63;if(s>>>0>j>>>0){p=2;q=40;break b}c[k>>2]=s;c[f>>2]=b+4}}while(0);o=(c[i>>2]|0)+4|0;c[i>>2]=o;n=c[f>>2]|0;if(n>>>0<e>>>0){k=o;b=n}else{m=n;break a}}if((q|0)==40){return p|0}}else{m=l}}while(0);p=m>>>0<e>>>0|0;return p|0}function Xia(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;c[f>>2]=d;return 3}function Yia(a){a=a|0;return 0}function Zia(a){a=a|0;return 0}function _ia(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return $ia(c,d,e,1114111,0)|0}function $ia(b,c,e,f,g){b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;do{if((g&4|0)==0){h=b}else{if((c-b|0)<=2){h=b;break}if(!((a[b]|0)==-17)){h=b;break}if(!((a[b+1|0]|0)==-69)){h=b;break}h=(a[b+2|0]|0)==-65?b+3|0:b}}while(0);a:do{if(h>>>0<c>>>0&(e|0)!=0){g=c;i=1;j=h;b:while(1){k=a[j]|0;l=k&255;do{if(k<<24>>24>-1){if(l>>>0>f>>>0){m=j;break a}n=j+1|0}else{if((k&255)>>>0<194>>>0){m=j;break a}if((k&255)>>>0<224>>>0){if((g-j|0)<2){m=j;break a}o=d[j+1|0]|0;if((o&192|0)!=128){m=j;break a}if((o&63|l<<6&1984)>>>0>f>>>0){m=j;break a}n=j+2|0;break}if((k&255)>>>0<240>>>0){p=j;if((g-p|0)<3){m=j;break a}o=a[j+1|0]|0;q=a[j+2|0]|0;if((l|0)==224){if(!((o&-32)<<24>>24==-96)){r=21;break b}}else if((l|0)==237){if(!((o&-32)<<24>>24==-128)){r=23;break b}}else{if(!((o&-64)<<24>>24==-128)){r=25;break b}}s=q&255;if((s&192|0)!=128){m=j;break a}if(((o&255)<<6&4032|l<<12&61440|s&63)>>>0>f>>>0){m=j;break a}n=j+3|0;break}if(!((k&255)>>>0<245>>>0)){m=j;break a}t=j;if((g-t|0)<4){m=j;break a}s=a[j+1|0]|0;o=a[j+2|0]|0;q=a[j+3|0]|0;if((l|0)==240){if(!((s+112&255)>>>0<48>>>0)){r=33;break b}}else if((l|0)==244){if(!((s&-16)<<24>>24==-128)){r=35;break b}}else{if(!((s&-64)<<24>>24==-128)){r=37;break b}}u=o&255;if((u&192|0)!=128){m=j;break a}o=q&255;if((o&192|0)!=128){m=j;break a}if(((s&255)<<12&258048|l<<18&1835008|u<<6&4032|o&63)>>>0>f>>>0){m=j;break a}n=j+4|0}}while(0);if(!(n>>>0<c>>>0&i>>>0<e>>>0)){m=n;break a}i=i+1|0;j=n}if((r|0)==21){v=p-b|0;return v|0}else if((r|0)==23){v=p-b|0;return v|0}else if((r|0)==25){v=p-b|0;return v|0}else if((r|0)==33){v=t-b|0;return v|0}else if((r|0)==35){v=t-b|0;return v|0}else if((r|0)==37){v=t-b|0;return v|0}}else{m=h}}while(0);v=m-b|0;return v|0}function aja(a){a=a|0;return 4}function bja(a){a=a|0;waa(a|0);tla(a);return}function cja(a){a=a|0;waa(a|0);tla(a);return}function dja(a){a=a|0;c[a>>2]=9986056;gba(a+12|0);waa(a|0);tla(a);return}function eja(a){a=a|0;c[a>>2]=9986056;gba(a+12|0);waa(a|0);return}function fja(a){a=a|0;c[a>>2]=9986008;gba(a+16|0);waa(a|0);tla(a);return}function gja(a){a=a|0;c[a>>2]=9986008;gba(a+16|0);waa(a|0);return}function hja(b){b=b|0;return a[b+8|0]|0}function ija(a){a=a|0;return c[a+8>>2]|0}function jja(b){b=b|0;return a[b+9|0]|0}function kja(a){a=a|0;return c[a+12>>2]|0}function lja(a,b){a=a|0;b=b|0;Yaa(a,b+12|0);return}function mja(a,b){a=a|0;b=b|0;Yaa(a,b+16|0);return}function nja(a,b){a=a|0;b=b|0;_aa(a,9946856,4);return}function oja(a,b){a=a|0;b=b|0;Iba(a,9944648,Nka(9944648)|0);return}function pja(a,b){a=a|0;b=b|0;_aa(a,9942320,5);return}function qja(a,b){a=a|0;b=b|0;Iba(a,9941016,Nka(9941016)|0);return}function rja(b){b=b|0;var d=0;if((a[10027408]|0)!=0){d=c[2506452]|0;return d|0}if((cc(10027408)|0)==0){d=c[2506452]|0;return d|0}do{if((a[10027296]|0)==0){if((cc(10027296)|0)==0){break}Qla(10024848,0,168)|0;Gb(330,0,s|0)|0}}while(0);jba(10024848,9976552)|0;jba(10024860,9975928)|0;jba(10024872,9975568)|0;jba(10024884,9975272)|0;jba(10024896,9974992)|0;jba(10024908,9974760)|0;jba(10024920,9974496)|0;jba(10024932,9974280)|0;jba(10024944,9974096)|0;jba(10024956,9973656)|0;jba(10024968,9973392)|0;jba(10024980,9972792)|0;jba(10024992,9972600)|0;jba(10025004,9972392)|0;c[2506452]=10024848;d=c[2506452]|0;return d|0}function sja(b){b=b|0;var d=0;if((a[10027352]|0)!=0){d=c[2506430]|0;return d|0}if((cc(10027352)|0)==0){d=c[2506430]|0;return d|0}do{if((a[10027272]|0)==0){if((cc(10027272)|0)==0){break}Qla(10024104,0,168)|0;Gb(120,0,s|0)|0}}while(0);Lba(10024104,9981776)|0;Lba(10024116,9981352)|0;Lba(10024128,9981056)|0;Lba(10024140,9980872)|0;Lba(10024152,9980304)|0;Lba(10024164,9979904)|0;Lba(10024176,9979104)|0;Lba(10024188,9978912)|0;Lba(10024200,9978568)|0;Lba(10024212,9978248)|0;Lba(10024224,9978136)|0;Lba(10024236,9977888)|0;Lba(10024248,9977520)|0;Lba(10024260,9977112)|0;c[2506430]=10024104;d=c[2506430]|0;return d|0}function tja(b){b=b|0;var d=0;if((a[10027400]|0)!=0){d=c[2506450]|0;return d|0}if((cc(10027400)|0)==0){d=c[2506450]|0;return d|0}do{if((a[10027288]|0)==0){if((cc(10027288)|0)==0){break}Qla(10024560,0,288)|0;Gb(214,0,s|0)|0}}while(0);jba(10024560,26984)|0;jba(10024572,26784)|0;jba(10024584,26536)|0;jba(10024596,26336)|0;jba(10024608,26096)|0;jba(10024620,25688)|0;jba(10024632,25456)|0;jba(10024644,25136)|0;jba(10024656,24736)|0;jba(10024668,24416)|0;jba(10024680,23344)|0;jba(10024692,23096)|0;jba(10024704,22864)|0;jba(10024716,22536)|0;jba(10024728,22296)|0;jba(10024740,22048)|0;jba(10024752,26096)|0;jba(10024764,21776)|0;jba(10024776,21440)|0;jba(10024788,9984112)|0;jba(10024800,9983632)|0;jba(10024812,9983104)|0;jba(10024824,9982888)|0;jba(10024836,9982464)|0;c[2506450]=10024560;d=c[2506450]|0;return d|0}function uja(b){b=b|0;var d=0;if((a[10027344]|0)!=0){d=c[2506428]|0;return d|0}if((cc(10027344)|0)==0){d=c[2506428]|0;return d|0}do{if((a[10027264]|0)==0){if((cc(10027264)|0)==0){break}Qla(10023816,0,288)|0;Gb(160,0,s|0)|0}}while(0);Lba(10023816,37848)|0;Lba(10023828,37536)|0;Lba(10023840,37040)|0;Lba(10023852,36712)|0;Lba(10023864,30584)|0;Lba(10023876,35144)|0;Lba(10023888,34616)|0;Lba(10023900,34392)|0;Lba(10023912,34088)|0;Lba(10023924,33528)|0;Lba(10023936,33072)|0;Lba(10023948,32736)|0;Lba(10023960,32288)|0;Lba(10023972,31912)|0;Lba(10023984,31592)|0;Lba(10023996,30992)|0;Lba(10024008,30584)|0;Lba(10024020,30232)|0;Lba(10024032,29792)|0;Lba(10024044,29208)|0;Lba(10024056,28792)|0;Lba(10024068,28520)|0;Lba(10024080,28256)|0;Lba(10024092,27880)|0;c[2506428]=10023816;d=c[2506428]|0;return d|0}function vja(b){b=b|0;var d=0;if((a[10027416]|0)!=0){d=c[2506454]|0;return d|0}if((cc(10027416)|0)==0){d=c[2506454]|0;return d|0}do{if((a[10027304]|0)==0){if((cc(10027304)|0)==0){break}Qla(10025016,0,288)|0;Gb(158,0,s|0)|0}}while(0);jba(10025016,39096)|0;jba(10025028,38696)|0;c[2506454]=10025016;d=c[2506454]|0;return d|0}function wja(b){b=b|0;var d=0;if((a[10027360]|0)!=0){d=c[2506432]|0;return d|0}if((cc(10027360)|0)==0){d=c[2506432]|0;return d|0}do{if((a[10027280]|0)==0){if((cc(10027280)|0)==0){break}Qla(10024272,0,288)|0;Gb(304,0,s|0)|0}}while(0);Lba(10024272,40968)|0;Lba(10024284,39824)|0;c[2506432]=10024272;d=c[2506432]|0;return d|0}function xja(b){b=b|0;if((a[10027424]|0)!=0){return 10025824}if((cc(10027424)|0)==0){return 10025824}_aa(10025824,9937328,8);Gb(322,10025824,s|0)|0;return 10025824}function yja(b){b=b|0;if((a[10027368]|0)!=0){return 10025736}if((cc(10027368)|0)==0){return 10025736}Iba(10025736,8091128,Nka(8091128)|0);Gb(88,10025736,s|0)|0;return 10025736}function zja(b){b=b|0;if((a[10027448]|0)!=0){return 10025872}if((cc(10027448)|0)==0){return 10025872}_aa(10025872,56544,8);Gb(322,10025872,s|0)|0;return 10025872}function Aja(b){b=b|0;if((a[10027392]|0)!=0){return 10025784}if((cc(10027392)|0)==0){return 10025784}Iba(10025784,54736,Nka(54736)|0);Gb(88,10025784,s|0)|0;return 10025784}function Bja(b){b=b|0;if((a[10027440]|0)!=0){return 10025856}if((cc(10027440)|0)==0){return 10025856}_aa(10025856,52344,20);Gb(322,10025856,s|0)|0;return 10025856}function Cja(b){b=b|0;if((a[10027384]|0)!=0){return 10025768}if((cc(10027384)|0)==0){return 10025768}Iba(10025768,50280,Nka(50280)|0);Gb(88,10025768,s|0)|0;return 10025768}function Dja(b){b=b|0;if((a[10027432]|0)!=0){return 10025840}if((cc(10027432)|0)==0){return 10025840}_aa(10025840,49656,11);Gb(322,10025840,s|0)|0;return 10025840}function Eja(b){b=b|0;if((a[10027376]|0)!=0){return 10025752}if((cc(10027376)|0)==0){return 10025752}Iba(10025752,48664,Nka(48664)|0);Gb(88,10025752,s|0)|0;return 10025752}function Fja(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0.0,j=0,k=0,l=0.0;f=i;i=i+8|0;g=f|0;if((b|0)==(d|0)){c[e>>2]=4;h=0.0;i=f;return+h}j=cd()|0;k=c[j>>2]|0;c[j>>2]=0;do{if((a[10027328]|0)==0){if((cc(10027328)|0)==0){break}c[2506334]=pb(2147483647,9963736,0)|0}}while(0);l=+Jla(b,g,c[2506334]|0);b=c[j>>2]|0;if((b|0)==0){c[j>>2]=k}if((c[g>>2]|0)!=(d|0)){c[e>>2]=4;h=0.0;i=f;return+h}if((b|0)!=34){h=l;i=f;return+h}c[e>>2]=4;h=l;i=f;return+h}function Gja(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0.0,j=0,k=0,l=0.0;f=i;i=i+8|0;g=f|0;if((b|0)==(d|0)){c[e>>2]=4;h=0.0;i=f;return+h}j=cd()|0;k=c[j>>2]|0;c[j>>2]=0;do{if((a[10027328]|0)==0){if((cc(10027328)|0)==0){break}c[2506334]=pb(2147483647,9963736,0)|0}}while(0);l=+Jla(b,g,c[2506334]|0);b=c[j>>2]|0;if((b|0)==0){c[j>>2]=k}if((c[g>>2]|0)!=(d|0)){c[e>>2]=4;h=0.0;i=f;return+h}if((b|0)!=34){h=l;i=f;return+h}c[e>>2]=4;h=l;i=f;return+h}function Hja(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0.0,j=0,k=0,l=0.0;f=i;i=i+8|0;g=f|0;if((b|0)==(d|0)){c[e>>2]=4;h=0.0;i=f;return+h}j=cd()|0;k=c[j>>2]|0;c[j>>2]=0;do{if((a[10027328]|0)==0){if((cc(10027328)|0)==0){break}c[2506334]=pb(2147483647,9963736,0)|0}}while(0);l=+Jla(b,g,c[2506334]|0);b=c[j>>2]|0;if((b|0)==0){c[j>>2]=k}if((c[g>>2]|0)!=(d|0)){c[e>>2]=4;h=0.0;i=f;return+h}if((b|0)==34){c[e>>2]=4}h=l;i=f;return+h}function Ija(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;g=i;i=i+8|0;h=g|0;do{if((b|0)==(d|0)){c[e>>2]=4;j=0;k=0}else{if((a[b]|0)==45){c[e>>2]=4;j=0;k=0;break}l=cd()|0;m=c[l>>2]|0;c[l>>2]=0;do{if((a[10027328]|0)==0){if((cc(10027328)|0)==0){break}c[2506334]=pb(2147483647,9963736,0)|0}}while(0);n=Fc(b|0,h|0,f|0,c[2506334]|0)|0;o=c[l>>2]|0;if((o|0)==0){c[l>>2]=m}if((c[h>>2]|0)!=(d|0)){c[e>>2]=4;j=0;k=0;break}if((o|0)!=34){j=K;k=n;break}c[e>>2]=4;j=-1;k=-1}}while(0);i=g;return(K=j,k)|0}function Jja(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0;g=i;i=i+8|0;h=g|0;if((b|0)==(d|0)){c[e>>2]=4;j=0;i=g;return j|0}if((a[b]|0)==45){c[e>>2]=4;j=0;i=g;return j|0}k=cd()|0;l=c[k>>2]|0;c[k>>2]=0;do{if((a[10027328]|0)==0){if((cc(10027328)|0)==0){break}c[2506334]=pb(2147483647,9963736,0)|0}}while(0);m=Fc(b|0,h|0,f|0,c[2506334]|0)|0;f=K;b=c[k>>2]|0;if((b|0)==0){c[k>>2]=l}if((c[h>>2]|0)!=(d|0)){c[e>>2]=4;j=0;i=g;return j|0}d=0;if((b|0)==34|(f>>>0>d>>>0|f>>>0==d>>>0&m>>>0>-1>>>0)){c[e>>2]=4;j=-1;i=g;return j|0}else{j=m;i=g;return j|0}return 0}function Kja(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0;g=i;i=i+8|0;h=g|0;if((b|0)==(d|0)){c[e>>2]=4;j=0;i=g;return j|0}if((a[b]|0)==45){c[e>>2]=4;j=0;i=g;return j|0}k=cd()|0;l=c[k>>2]|0;c[k>>2]=0;do{if((a[10027328]|0)==0){if((cc(10027328)|0)==0){break}c[2506334]=pb(2147483647,9963736,0)|0}}while(0);m=Fc(b|0,h|0,f|0,c[2506334]|0)|0;f=K;b=c[k>>2]|0;if((b|0)==0){c[k>>2]=l}if((c[h>>2]|0)!=(d|0)){c[e>>2]=4;j=0;i=g;return j|0}d=0;if((b|0)==34|(f>>>0>d>>>0|f>>>0==d>>>0&m>>>0>-1>>>0)){c[e>>2]=4;j=-1;i=g;return j|0}else{j=m;i=g;return j|0}return 0}function Lja(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0;g=i;i=i+8|0;h=g|0;if((b|0)==(d|0)){c[e>>2]=4;j=0;i=g;return j|0}if((a[b]|0)==45){c[e>>2]=4;j=0;i=g;return j|0}k=cd()|0;l=c[k>>2]|0;c[k>>2]=0;do{if((a[10027328]|0)==0){if((cc(10027328)|0)==0){break}c[2506334]=pb(2147483647,9963736,0)|0}}while(0);m=Fc(b|0,h|0,f|0,c[2506334]|0)|0;f=K;b=c[k>>2]|0;if((b|0)==0){c[k>>2]=l}if((c[h>>2]|0)!=(d|0)){c[e>>2]=4;j=0;i=g;return j|0}d=0;if((b|0)==34|(f>>>0>d>>>0|f>>>0==d>>>0&m>>>0>65535>>>0)){c[e>>2]=4;j=-1;i=g;return j|0}else{j=m&65535;i=g;return j|0}return 0}function Mja(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0;g=i;i=i+8|0;h=g|0;if((b|0)==(d|0)){c[e>>2]=4;j=0;k=0;i=g;return(K=j,k)|0}l=cd()|0;m=c[l>>2]|0;c[l>>2]=0;do{if((a[10027328]|0)==0){if((cc(10027328)|0)==0){break}c[2506334]=pb(2147483647,9963736,0)|0}}while(0);n=Lc(b|0,h|0,f|0,c[2506334]|0)|0;f=K;b=c[l>>2]|0;if((b|0)==0){c[l>>2]=m}if((c[h>>2]|0)!=(d|0)){c[e>>2]=4;j=0;k=0;i=g;return(K=j,k)|0}if((b|0)==34){c[e>>2]=4;e=0;b=(f|0)>(e|0)|(f|0)==(e|0)&n>>>0>0>>>0;i=g;return(K=b?2147483647:-2147483648,b?-1:0)|0}else{j=f;k=n;i=g;return(K=j,k)|0}return 0}function Nja(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0;g=i;i=i+8|0;h=g|0;if((b|0)==(d|0)){c[e>>2]=4;j=0;i=g;return j|0}k=cd()|0;l=c[k>>2]|0;c[k>>2]=0;do{if((a[10027328]|0)==0){if((cc(10027328)|0)==0){break}c[2506334]=pb(2147483647,9963736,0)|0}}while(0);m=Lc(b|0,h|0,f|0,c[2506334]|0)|0;f=K;b=c[k>>2]|0;if((b|0)==0){c[k>>2]=l}if((c[h>>2]|0)!=(d|0)){c[e>>2]=4;j=0;i=g;return j|0}do{if((b|0)==34){c[e>>2]=4;d=0;if((f|0)>(d|0)|(f|0)==(d|0)&m>>>0>0>>>0){j=2147483647}else{break}i=g;return j|0}else{d=-1;if((f|0)<(d|0)|(f|0)==(d|0)&m>>>0<-2147483648>>>0){c[e>>2]=4;break}d=0;if((f|0)>(d|0)|(f|0)==(d|0)&m>>>0>2147483647>>>0){c[e>>2]=4;j=2147483647;i=g;return j|0}else{j=m;i=g;return j|0}}}while(0);j=-2147483648;i=g;return j|0}function Oja(a){a=a|0;var b=0,d=0,e=0,f=0;b=a+4|0;d=(c[a>>2]|0)+(c[b+4>>2]|0)|0;a=d;e=c[b>>2]|0;if((e&1|0)==0){f=e;$d[f&511](a);return}else{f=c[(c[d>>2]|0)+(e-1)>>2]|0;$d[f&511](a);return}}function Pja(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=b+8|0;f=b+4|0;g=c[f>>2]|0;h=c[e>>2]|0;i=g;if(!(h-i>>2>>>0<d>>>0)){j=d;k=g;do{if((k|0)==0){l=0}else{c[k>>2]=0;l=c[f>>2]|0}k=l+4|0;c[f>>2]=k;j=j-1|0;}while((j|0)!=0);return}j=b+16|0;k=b|0;l=c[k>>2]|0;g=i-l>>2;i=g+d|0;if(i>>>0>1073741823>>>0){Iha(0)}m=h-l|0;do{if(m>>2>>>0<536870911>>>0){l=m>>1;h=l>>>0<i>>>0?i:l;if((h|0)==0){n=0;o=0;break}l=b+128|0;if(!((a[l]|0)==0&h>>>0<29>>>0)){p=h;q=11;break}a[l]=1;n=j;o=h}else{p=1073741823;q=11}}while(0);if((q|0)==11){n=rla(p<<2)|0;o=p}p=d;d=n+(g<<2)|0;do{if((d|0)==0){r=0}else{c[d>>2]=0;r=d}d=r+4|0;p=p-1|0;}while((p|0)!=0);p=c[k>>2]|0;r=(c[f>>2]|0)-p|0;q=n+(g-(r>>2)<<2)|0;g=p;Pla(q|0,g|0,r)|0;c[k>>2]=q;c[f>>2]=d;c[e>>2]=n+(o<<2);if((p|0)==0){return}if((j|0)==(p|0)){a[b+128|0]=0;return}else{tla(g);return}}function Qja(a){a=a|0;Kba(10024548);Kba(10024536);Kba(10024524);Kba(10024512);Kba(10024500);Kba(10024488);Kba(10024476);Kba(10024464);Kba(10024452);Kba(10024440);Kba(10024428);Kba(10024416);Kba(10024404);Kba(10024392);Kba(10024380);Kba(10024368);Kba(10024356);Kba(10024344);Kba(10024332);Kba(10024320);Kba(10024308);Kba(10024296);Kba(10024284);Kba(10024272);return}function Rja(a){a=a|0;gba(10025292);gba(10025280);gba(10025268);gba(10025256);gba(10025244);gba(10025232);gba(10025220);gba(10025208);gba(10025196);gba(10025184);gba(10025172);gba(10025160);gba(10025148);gba(10025136);gba(10025124);gba(10025112);gba(10025100);gba(10025088);gba(10025076);gba(10025064);gba(10025052);gba(10025040);gba(10025028);gba(10025016);return}function Sja(a){a=a|0;Kba(10024092);Kba(10024080);Kba(10024068);Kba(10024056);Kba(10024044);Kba(10024032);Kba(10024020);Kba(10024008);Kba(10023996);Kba(10023984);Kba(10023972);Kba(10023960);Kba(10023948);Kba(10023936);Kba(10023924);Kba(10023912);Kba(10023900);Kba(10023888);Kba(10023876);Kba(10023864);Kba(10023852);Kba(10023840);Kba(10023828);Kba(10023816);return}function Tja(a){a=a|0;gba(10024836);gba(10024824);gba(10024812);gba(10024800);gba(10024788);gba(10024776);gba(10024764);gba(10024752);gba(10024740);gba(10024728);gba(10024716);gba(10024704);gba(10024692);gba(10024680);gba(10024668);gba(10024656);gba(10024644);gba(10024632);gba(10024620);gba(10024608);gba(10024596);gba(10024584);gba(10024572);gba(10024560);return}function Uja(a){a=a|0;Kba(10024260);Kba(10024248);Kba(10024236);Kba(10024224);Kba(10024212);Kba(10024200);Kba(10024188);Kba(10024176);Kba(10024164);Kba(10024152);Kba(10024140);Kba(10024128);Kba(10024116);Kba(10024104);return}function Vja(a){a=a|0;gba(10025004);gba(10024992);gba(10024980);gba(10024968);gba(10024956);gba(10024944);gba(10024932);gba(10024920);gba(10024908);gba(10024896);gba(10024884);gba(10024872);gba(10024860);gba(10024848);return}function Wja(a){a=a|0;var b=0;if((aka(a)|0)!=0){b=1;return b|0}b=(Xja(a)|0)!=0|0;return b|0}function Xja(a){a=a|0;var b=0;if(a>>>0<131072>>>0){b=(d[4864+((d[4864+(a>>>8)|0]|0)<<5|a>>>3&31)|0]|0)>>>((a&7)>>>0)&1;return b|0}else{b=a>>>0<196606>>>0|0;return b|0}return 0}function Yja(a){a=a|0;return qc(a|0)|0}function Zja(a){a=a|0;var b=0;if(a>>>0<32>>>0|(a-127|0)>>>0<33>>>0|(a-8232|0)>>>0<2>>>0){b=1;return b|0}b=(a-65529|0)>>>0<3>>>0|0;return b|0}function _ja(a,b){a=a|0;b=b|0;var c=0;switch(b|0){case 1:{c=Wja(a)|0;break};case 2:{c=Xja(a)|0;break};case 3:{c=Yja(a)|0;break};case 4:{c=Zja(a)|0;break};case 5:{c=aka(a)|0;break};case 6:{c=bka(a)|0;break};case 7:{c=cka(a)|0;break};case 8:{c=dka(a)|0;break};case 9:{c=eka(a)|0;break};case 10:{c=fka(a)|0;break};case 11:{c=gka(a)|0;break};case 12:{c=hka(a)|0;break};default:{c=0}}return c|0}function $ja(b){b=b|0;var c=0,d=0,e=0;c=a[b]|0;a:do{switch(c<<24>>24){case 97:{if((Lla(b,368)|0)==0){d=1;break a}if((Lla(b,374)|0)==0){d=2}else{e=16}break};case 98:{if((Lla(b,380)|0)==0){d=3}else{e=16}break};case 99:{if((Lla(b,386)|0)==0){d=4}else{e=16}break};case 100:{if((Lla(b,392)|0)==0){d=5}else{e=16}break};case 103:{if((Lla(b,398)|0)==0){d=6}else{e=16}break};case 108:{if((Lla(b,404)|0)==0){d=7}else{e=16}break};case 112:{if((Lla(b,410)|0)==0){d=8;break a}if((Lla(b,416)|0)==0){d=9;break a}if((c<<24>>24|0)==115){e=13}else if((c<<24>>24|0)==117){e=14}else if((c<<24>>24|0)==120){e=15}else{e=16}break};case 115:{e=13;break};case 117:{e=14;break};case 120:{e=15;break};default:{e=16}}}while(0);if((e|0)==13){if((Lla(b,422)|0)==0){d=10}else{e=16}}else if((e|0)==14){if((Lla(b,428)|0)==0){d=11}else{e=16}}else if((e|0)==15){if((Lla(b,434)|0)==0){d=12}else{e=16}}if((e|0)==16){d=0}return d|0}function aka(a){a=a|0;return(a-48|0)>>>0<10>>>0|0}function bka(a){a=a|0;var b=0;if((fka(a)|0)!=0){b=0;return b|0}b=(dka(a)|0)!=0|0;return b|0}function cka(a){a=a|0;var b=0;if((ika(a)|0)!=(a|0)){b=1;return b|0}b=(a|0)==223|0;return b|0}function dka(a){a=a|0;var b=0;if(a>>>0<255>>>0){b=(a+1&127)>>>0>32>>>0|0;return b|0}if(a>>>0<8232>>>0|(a-8234|0)>>>0<47062>>>0|(a-57344|0)>>>0<8185>>>0){b=1;return b|0}else{return((a-65532|0)>>>0>1048579>>>0|(a&65534|0)==65534)&1^1|0}return 0}function eka(a){a=a|0;var b=0;if(!(a>>>0<131072>>>0)){b=0;return b|0}b=(d[1696+((d[1696+(a>>>8)|0]|0)<<5|a>>>3&31)|0]|0)>>>((a&7)>>>0)&1;return b|0}function fka(a){a=a|0;return(Mka(15664,a)|0)!=0|0}function gka(a){a=a|0;return(kka(a)|0)!=(a|0)|0}function hka(a){a=a|0;var b=0;if((a-48|0)>>>0<10>>>0){b=1;return b|0}b=((a|32)-97|0)>>>0<6>>>0|0;return b|0}function ika(a){a=a|0;return jka(a,0)|0}function jka(c,f){c=c|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;g=(f<<1)-1|0;h=f-1|0;if((Xja(c)|0)==0|(c-1536|0)>>>0<2560>>>0|(c-11776|0)>>>0<30784>>>0|(c-43008|0)>>>0<22272>>>0){i=c;return i|0}do{if((f|0)==0){if(!((c-11520|0)>>>0<38>>>0)){j=0;break}i=c-7264|0;return i|0}else{if(!((c-4256|0)>>>0<46>>>0)){j=0;break}do{if((c|0)>4293){if((c|0)==4301|(c|0)==4295){break}else{i=c}return i|0}}while(0);i=c+7264|0;return i|0}}while(0);while(1){if((j|0)==61){break}k=a[18298+(j<<2)|0]|0;l=k<<24>>24;m=c-(e[18296+(j<<2)>>1]|0)|0;if((m-(l&h)|0)>>>0<(d[18299+(j<<2)|0]|0)>>>0){n=12;break}else{j=j+1|0}}if((n|0)==12){if(k<<24>>24==1){i=f+c-(m&1)|0;return i|0}else{i=(ga(l,g)|0)+c|0;return i|0}}g=1-f|0;l=0;while(1){m=b[8096+(l<<2)+(g<<1)>>1]|0;if(m<<16>>16==0){break}if((m&65535|0)==(c|0)){n=17;break}else{l=l+1|0}}if((n|0)==17){i=e[8096+(l<<2)+(f<<1)>>1]|0;return i|0}if(!((c-66600+(f*40|0)|0)>>>0<40>>>0)){i=c;return i|0}i=c-40+(f*80|0)|0;return i|0}function kka(a){a=a|0;return jka(a,1)|0}function lka(a,b,c){a=a|0;b=b|0;c=c|0;return mka(0,a,b,(c|0)!=0?c:10009296)|0}function mka(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;g=i;i=i+8|0;h=g|0;c[h>>2]=b;j=((f|0)==0?10009288:f)|0;f=c[j>>2]|0;a:do{if((d|0)==0){if((f|0)==0){k=0}else{break}i=g;return k|0}else{if((b|0)==0){l=h;c[h>>2]=l;m=l}else{m=b}if((e|0)==0){k=-2;i=g;return k|0}do{if((f|0)==0){l=a[d]|0;n=l&255;if(l<<24>>24>-1){c[m>>2]=n;k=l<<24>>24!=0|0;i=g;return k|0}else{l=n-194|0;if(l>>>0>50>>>0){break a}o=d+1|0;p=c[9984744+(l<<2)>>2]|0;q=e-1|0;break}}else{o=d;p=f;q=e}}while(0);b:do{if((q|0)==0){r=p}else{l=a[o]|0;n=(l&255)>>>3;if((n-16|n+(p>>26))>>>0>7>>>0){break a}else{s=o;t=p;u=q;v=l}while(1){s=s+1|0;t=(v&255)-128|t<<6;u=u-1|0;if((t|0)>=0){break}if((u|0)==0){r=t;break b}v=a[s]|0;if(((v&255)-128|0)>>>0>63>>>0){break a}}c[j>>2]=0;c[m>>2]=t;k=e-u|0;i=g;return k|0}}while(0);c[j>>2]=r;k=-2;i=g;return k|0}}while(0);c[j>>2]=0;c[(cd()|0)>>2]=84;k=-1;i=g;return k|0}function nka(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;g=i;i=i+1032|0;h=g|0;j=g+1024|0;k=c[b>>2]|0;c[j>>2]=k;l=(a|0)!=0;m=l?e:256;e=l?a:h|0;a:do{if((k|0)==0|(m|0)==0){n=0;o=d;p=m;q=e;r=k}else{a=h|0;s=m;t=d;u=0;v=e;w=k;while(1){x=t>>>2;y=x>>>0>=s>>>0;if(!(y|t>>>0>131>>>0)){n=u;o=t;p=s;q=v;r=w;break a}z=y?s:x;A=t-z|0;x=oka(v,j,z,f)|0;if((x|0)==-1){break}if((v|0)==(a|0)){B=a;C=s}else{B=v+(x<<2)|0;C=s-x|0}z=x+u|0;x=c[j>>2]|0;if((x|0)==0|(C|0)==0){n=z;o=A;p=C;q=B;r=x;break a}else{s=C;t=A;u=z;v=B;w=x}}n=-1;o=A;p=0;q=v;r=c[j>>2]|0}}while(0);b:do{if((r|0)==0){D=n}else{if((p|0)==0|(o|0)==0){D=n;break}else{E=p;F=o;G=n;H=q;I=r}while(1){J=mka(H,I,F,f)|0;if((J+2|0)>>>0<3>>>0){break}A=(c[j>>2]|0)+J|0;c[j>>2]=A;B=E-1|0;C=G+1|0;if((B|0)==0|(F|0)==(J|0)){D=C;break b}else{E=B;F=F-J|0;G=C;H=H+4|0;I=A}}if((J|0)==(-1|0)){D=-1;break}else if((J|0)==0){c[j>>2]=0;D=G;break}else{c[f>>2]=0;D=G;break}}}while(0);if(!l){i=g;return D|0}c[b>>2]=c[j>>2];i=g;return D|0}function oka(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0;h=c[e>>2]|0;do{if((g|0)==0){i=5}else{j=g|0;k=c[j>>2]|0;if((k|0)==0){i=5;break}if((b|0)==0){l=k;m=h;n=f;i=16;break}c[j>>2]=0;o=k;p=h;q=b;r=f;i=36}}while(0);if((i|0)==5){if((b|0)==0){s=h;t=f;i=7}else{u=h;v=b;w=f;i=6}}a:while(1){if((i|0)==6){i=0;if((w|0)==0){x=f;i=53;break}else{y=w;z=v;A=u}while(1){h=a[A]|0;do{if(((h&255)-1|0)>>>0<127>>>0){if((A&3|0)==0&y>>>0>3>>>0){B=y;C=z;D=A}else{E=A;F=z;G=y;H=h;break}while(1){I=c[D>>2]|0;if(((I-16843009|I)&-2139062144|0)!=0){i=30;break}c[C>>2]=I&255;c[C+4>>2]=d[D+1|0]|0;c[C+8>>2]=d[D+2|0]|0;J=D+4|0;K=C+16|0;c[C+12>>2]=d[D+3|0]|0;L=B-4|0;if(L>>>0>3>>>0){B=L;C=K;D=J}else{i=31;break}}if((i|0)==30){i=0;E=D;F=C;G=B;H=I&255;break}else if((i|0)==31){i=0;E=J;F=K;G=L;H=a[J]|0;break}}else{E=A;F=z;G=y;H=h}}while(0);M=H&255;if(!((M-1|0)>>>0<127>>>0)){break}c[F>>2]=M;h=G-1|0;if((h|0)==0){x=f;i=53;break a}else{y=h;z=F+4|0;A=E+1|0}}h=M-194|0;if(h>>>0>50>>>0){N=G;O=F;P=E;i=47;break}o=c[9984744+(h<<2)>>2]|0;p=E+1|0;q=F;r=G;i=36;continue}else if((i|0)==7){i=0;h=a[s]|0;do{if(((h&255)-1|0)>>>0<127>>>0){if((s&3|0)!=0){Q=s;R=t;S=h;break}g=c[s>>2]|0;if(((g-16843009|g)&-2139062144|0)==0){T=t;U=s}else{Q=s;R=t;S=g&255;break}do{U=U+4|0;T=T-4|0;V=c[U>>2]|0;}while(((V-16843009|V)&-2139062144|0)==0);Q=U;R=T;S=V&255}else{Q=s;R=t;S=h}}while(0);h=S&255;if((h-1|0)>>>0<127>>>0){s=Q+1|0;t=R-1|0;i=7;continue}g=h-194|0;if(g>>>0>50>>>0){N=R;O=b;P=Q;i=47;break}l=c[9984744+(g<<2)>>2]|0;m=Q+1|0;n=R;i=16;continue}else if((i|0)==16){i=0;g=(d[m]|0)>>>3;if((g-16|g+(l>>26))>>>0>7>>>0){i=17;break}g=m+1|0;do{if((l&33554432|0)==0){W=g}else{if(((d[g]|0)-128|0)>>>0>63>>>0){i=20;break a}h=m+2|0;if((l&524288|0)==0){W=h;break}if(((d[h]|0)-128|0)>>>0>63>>>0){i=23;break a}W=m+3|0}}while(0);s=W;t=n-1|0;i=7;continue}else if((i|0)==36){i=0;g=d[p]|0;h=g>>>3;if((h-16|h+(o>>26))>>>0>7>>>0){i=37;break}h=p+1|0;X=g-128|o<<6;do{if((X|0)<0){g=(d[h]|0)-128|0;if(g>>>0>63>>>0){i=40;break a}k=p+2|0;Y=g|X<<6;if((Y|0)>=0){Z=Y;_=k;break}g=(d[k]|0)-128|0;if(g>>>0>63>>>0){i=43;break a}Z=g|Y<<6;_=p+3|0}else{Z=X;_=h}}while(0);c[q>>2]=Z;u=_;v=q+4|0;w=r-1|0;i=6;continue}}if((i|0)==17){$=l;aa=m-1|0;ba=b;ca=n;i=46}else if((i|0)==20){$=l;aa=m-1|0;ba=b;ca=n;i=46}else if((i|0)==23){$=l;aa=m-1|0;ba=b;ca=n;i=46}else if((i|0)==37){$=o;aa=p-1|0;ba=q;ca=r;i=46}else if((i|0)==40){$=X;aa=p-1|0;ba=q;ca=r;i=46}else if((i|0)==43){$=Y;aa=p-1|0;ba=q;ca=r;i=46}else if((i|0)==53){return x|0}if((i|0)==46){if(($|0)==0){N=ca;O=ba;P=aa;i=47}else{da=ba;ea=aa}}do{if((i|0)==47){if((a[P]|0)!=0){da=O;ea=P;break}if((O|0)!=0){c[O>>2]=0;c[e>>2]=0}x=f-N|0;return x|0}}while(0);c[(cd()|0)>>2]=84;if((da|0)==0){x=-1;return x|0}c[e>>2]=ea;x=-1;return x|0}function pka(b,e,f){b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0;g=i;i=i+8|0;h=g|0;c[h>>2]=b;if((e|0)==0){j=0;i=g;return j|0}do{if((f|0)!=0){if((b|0)==0){k=h;c[h>>2]=k;l=k}else{l=b}k=a[e]|0;m=k&255;if(k<<24>>24>-1){c[l>>2]=m;j=k<<24>>24!=0|0;i=g;return j|0}k=m-194|0;if(k>>>0>50>>>0){break}m=e+1|0;n=c[9984744+(k<<2)>>2]|0;if(f>>>0<4>>>0){if((n&-2147483648>>>(((f*6|0)-6|0)>>>0)|0)!=0){break}}k=d[m]|0;m=k>>>3;if((m-16|m+(n>>26))>>>0>7>>>0){break}m=k-128|n<<6;if((m|0)>=0){c[l>>2]=m;j=2;i=g;return j|0}n=(d[e+2|0]|0)-128|0;if(n>>>0>63>>>0){break}k=n|m<<6;if((k|0)>=0){c[l>>2]=k;j=3;i=g;return j|0}m=(d[e+3|0]|0)-128|0;if(m>>>0>63>>>0){break}c[l>>2]=m|k<<6;j=4;i=g;return j|0}}while(0);c[(cd()|0)>>2]=84;j=-1;i=g;return j|0}function qka(b,d,e){b=b|0;d=d|0;e=e|0;var f=0;if((b|0)==0){f=1;return f|0}if(d>>>0<128>>>0){a[b]=d;f=1;return f|0}if(d>>>0<2048>>>0){a[b]=d>>>6|192;a[b+1|0]=d&63|128;f=2;return f|0}if(d>>>0<55296>>>0|(d-57344|0)>>>0<8192>>>0){a[b]=d>>>12|224;a[b+1|0]=d>>>6&63|128;a[b+2|0]=d&63|128;f=3;return f|0}if((d-65536|0)>>>0<1048576>>>0){a[b]=d>>>18|240;a[b+1|0]=d>>>12&63|128;a[b+2|0]=d>>>6&63|128;a[b+3|0]=d&63|128;f=4;return f|0}else{c[(cd()|0)>>2]=84;f=-1;return f|0}return 0}function rka(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;f=i;i=i+264|0;g=f|0;h=f+256|0;j=c[b>>2]|0;c[h>>2]=j;k=(a|0)!=0;l=k?e:256;e=k?a:g|0;a:do{if((j|0)==0|(l|0)==0){m=0;n=d;o=l;p=e;q=j}else{a=g|0;r=l;s=d;t=0;u=e;v=j;while(1){w=s>>>0>=r>>>0;if(!(w|s>>>0>32>>>0)){m=t;n=s;o=r;p=u;q=v;break a}x=w?r:s;y=s-x|0;w=ska(u,h,x,0)|0;if((w|0)==-1){break}if((u|0)==(a|0)){z=a;A=r}else{z=u+w|0;A=r-w|0}x=w+t|0;w=c[h>>2]|0;if((w|0)==0|(A|0)==0){m=x;n=y;o=A;p=z;q=w;break a}else{r=A;s=y;t=x;u=z;v=w}}m=-1;n=y;o=0;p=u;q=c[h>>2]|0}}while(0);b:do{if((q|0)==0){B=m}else{if((o|0)==0|(n|0)==0){B=m;break}else{C=o;D=n;E=m;F=p;G=q}while(1){H=qka(F,c[G>>2]|0,0)|0;if((H+1|0)>>>0<2>>>0){break}y=(c[h>>2]|0)+4|0;c[h>>2]=y;z=D-1|0;A=E+1|0;if((C|0)==(H|0)|(z|0)==0){B=A;break b}else{C=C-H|0;D=z;E=A;F=F+H|0;G=y}}if((H|0)!=0){B=-1;break}c[h>>2]=0;B=E}}while(0);if(!k){i=f;return B|0}c[b>>2]=c[h>>2];i=f;return B|0}function ska(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;f=i;i=i+8|0;g=f|0;if((b|0)==0){h=c[d>>2]|0;j=g|0;k=c[h>>2]|0;if((k|0)==0){l=0;i=f;return l|0}else{m=0;n=h;o=k}while(1){if(o>>>0>127>>>0){k=qka(j,o,0)|0;if((k|0)==-1){l=-1;p=26;break}else{q=k}}else{q=1}k=q+m|0;h=n+4|0;r=c[h>>2]|0;if((r|0)==0){l=k;p=26;break}else{m=k;n=h;o=r}}if((p|0)==26){i=f;return l|0}}a:do{if(e>>>0>3>>>0){o=e;n=b;m=c[d>>2]|0;while(1){q=c[m>>2]|0;if((q|0)==0){s=o;t=n;break a}if(q>>>0>127>>>0){j=qka(n,q,0)|0;if((j|0)==-1){l=-1;break}u=n+j|0;v=o-j|0;w=m}else{a[n]=q;u=n+1|0;v=o-1|0;w=c[d>>2]|0}q=w+4|0;c[d>>2]=q;if(v>>>0>3>>>0){o=v;n=u;m=q}else{s=v;t=u;break a}}i=f;return l|0}else{s=e;t=b}}while(0);b:do{if((s|0)==0){x=0}else{b=g|0;u=s;v=t;w=c[d>>2]|0;while(1){m=c[w>>2]|0;if((m|0)==0){p=24;break}if(m>>>0>127>>>0){n=qka(b,m,0)|0;if((n|0)==-1){l=-1;p=26;break}if(n>>>0>u>>>0){p=20;break}qka(v,c[w>>2]|0,0)|0;y=v+n|0;z=u-n|0;A=w}else{a[v]=m;y=v+1|0;z=u-1|0;A=c[d>>2]|0}m=A+4|0;c[d>>2]=m;if((z|0)==0){x=0;break b}else{u=z;v=y;w=m}}if((p|0)==20){l=e-u|0;i=f;return l|0}else if((p|0)==24){a[v]=0;x=u;break}else if((p|0)==26){i=f;return l|0}}}while(0);c[d>>2]=0;l=e-x|0;i=f;return l|0}function tka(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0;e=i;i=i+104|0;f=e|0;g=e+8|0;h=e+16|0;j=e+24|0;k=e+32|0;l=e+40|0;m=e+48|0;n=e+56|0;o=lla(20)|0;p=o;if((o|0)==0){q=12;i=e;return q|0}r=lla(2048)|0;c[o+16>>2]=r;if((r|0)==0){mla(o);q=12;i=e;return q|0}c[o>>2]=512;c[o+4>>2]=10240;c[o+8>>2]=128;c[o+12>>2]=0;s=Jka(0,0)|0;if((s|0)==0){mla(r);mla(o);q=12;i=e;return q|0}Qla(n|0,0,44)|0;c[n>>2]=s;c[n+4>>2]=p;c[n+12>>2]=b;c[n+36>>2]=d;b=n+28|0;c[b>>2]=-1;r=uka(n)|0;a:do{if((r|0)==0){t=n+20|0;u=c[t>>2]|0;v=u-1|0;c[a>>2]=v;w=c[n+8>>2]|0;x=c[b>>2]|0;if((x|0)>-1){if((c[n+32>>2]|0)!=0){y=2;z=0;A=0;B=0;break}}if((x|0)>(v|0)){y=6;z=0;A=0;B=0;break}v=nla(1,68)|0;C=v;if((v|0)==0){y=12;z=C;A=0;B=0;break}D=x>>>31;c[v+60>>2]=D^1;c[v+64>>2]=c[n+32>>2];c[v+28>>2]=u;if((D|0)==1){if((d&8|0)==0){E=13}else{F=0}}else{E=13}if((E|0)==13){D=vka(0,p,w,C)|0;if((D|0)!=0){y=D;z=C;A=0;B=0;break}D=c[v+40>>2]|0;if((D|0)>0){u=(D<<2)+4|0;x=lla(u)|0;G=x;if((x|0)==0){y=12;z=C;A=0;B=0;break}c[v+32>>2]=G;Qla(x|0,-1|0,u|0)|0;H=G}else{H=0}G=nla(D<<1|1,4)|0;c[v+36>>2]=G;if((G|0)==0){y=12;z=C;A=0;B=0;break}G=nla(c[t>>2]|0,12)|0;if((G|0)==0){y=12;z=C;A=0;B=0;break}c[v+16>>2]=G;G=vka(s,p,w,C)|0;if((G|0)==0){F=H}else{y=G;z=C;A=0;B=0;break}}G=n+24|0;t=o+12|0;D=c[t>>2]|0;c[h>>2]=0;c[j>>2]=0;u=Bka(p,w)|0;b:do{if((u|0)==0){x=Bka(p,0)|0;if((x|0)!=0){I=x;break}x=o+16|0;J=c[t>>2]|0;c:do{if((J|0)>(D|0)){K=0;L=0;M=0;N=J;d:while(1){O=N-1|0;c[t>>2]=O;P=c[x>>2]|0;Q=c[P+(O<<2)>>2]|0;O=N-2|0;c[t>>2]=O;R=c[P+(O<<2)>>2]|0;do{if((Q|0)==1){O=R+4|0;S=c[O>>2]|0;T=N-3|0;c[t>>2]=T;U=c[P+(T<<2)>>2]|0;c[h>>2]=U;T=S+4|0;V=c[T>>2]|0;do{if((V|0)>1){c[k>>2]=0;W=S;E=51}else{if((c[S+8>>2]|0)<=1){X=U;break}c[k>>2]=0;Y=S;if((V|0)>0){W=Y;E=51}else{Z=V;_=0;$=U;aa=Y;E=60}}}while(0);e:do{if((E|0)==51){E=0;Y=V;ba=0;ca=1;da=U;while(1){ea=Cka(s,p,c[W>>2]|0,(ca|0)<(Y|0)?1:2,h,F,l,j)|0;if((ea|0)!=0){I=ea;break b}ea=c[l>>2]|0;if((ba|0)==0){fa=ea}else{ga=Lka(s,0,0,1,32)|0;if((ga|0)==0){I=12;break b}ha=Lka(s,0,0,1,8)|0;ia=ga+4|0;c[ia>>2]=ha;if((ha|0)==0){I=12;break b}c[ga>>2]=1;c[ga+8>>2]=-1;c[ga+12>>2]=-1;c[ha>>2]=ba;c[(c[ia>>2]|0)+4>>2]=ea;c[ga+16>>2]=(c[ea+16>>2]|0)+(c[ba+16>>2]|0);fa=ga}if((fa|0)==0){I=12;break b}ga=c[T>>2]|0;if((ca|0)>=(ga|0)){Z=ga;_=fa;$=da;aa=W;E=60;break e}Y=ga;ba=fa;ca=ca+1|0;da=c[h>>2]|0}}}while(0);if((E|0)==60){E=0;T=S+8|0;V=c[T>>2]|0;do{if((V|0)==-1){da=c[h>>2]|0;ca=Cka(s,p,c[aa>>2]|0,0,h,0,k,j)|0;if((ca|0)!=0){I=ca;break b}ca=c[k>>2]|0;ba=Lka(s,0,0,1,32)|0;Y=ba;if((ba|0)==0){E=65;break d}ga=Lka(s,0,0,1,16)|0;c[ba+4>>2]=ga;if((ga|0)==0){E=65;break d}c[ba>>2]=2;c[ba+8>>2]=-1;c[ba+12>>2]=-1;c[ga>>2]=ca;c[ga+4>>2]=0;c[ga+8>>2]=-1;ea=ga+12|0;c[ea>>2]=c[ea>>2]&-2;c[ba+16>>2]=c[ca+16>>2];c[k>>2]=Y;ja=da;ka=Y}else{if((Z|0)<(V|0)){la=0;ma=Z}else{ja=$;ka=0;break}while(1){Y=c[h>>2]|0;da=Cka(s,p,c[aa>>2]|0,0,h,0,m,j)|0;if((da|0)!=0){I=da;break b}da=c[m>>2]|0;if((la|0)==0){na=da}else{ca=Lka(s,0,0,1,32)|0;if((ca|0)==0){E=72;break d}ba=Lka(s,0,0,1,8)|0;ea=ca+4|0;c[ea>>2]=ba;if((ba|0)==0){E=72;break d}c[ca>>2]=1;c[ca+8>>2]=-1;c[ca+12>>2]=-1;c[ba>>2]=da;c[(c[ea>>2]|0)+4>>2]=la;c[ca+16>>2]=(c[la+16>>2]|0)+(c[da+16>>2]|0);na=ca}c[k>>2]=na;if((na|0)==0){I=12;break b}ca=Lka(s,0,0,1,32)|0;if((ca|0)==0){I=12;break b}da=Lka(s,0,0,1,20)|0;c[ca+4>>2]=da;if((da|0)==0){I=12;break b}c[ca>>2]=0;c[ca+8>>2]=-1;c[ca+12>>2]=-1;c[da>>2]=-1;c[da+4>>2]=-1;c[da+8>>2]=-1;da=Lka(s,0,0,1,32)|0;ea=da;if((da|0)==0){E=78;break d}ba=Lka(s,0,0,1,8)|0;ga=da+4|0;c[ga>>2]=ba;if((ba|0)==0){E=78;break d}c[da>>2]=3;c[da+8>>2]=-1;c[da+12>>2]=-1;c[ba>>2]=ca;c[(c[ga>>2]|0)+4>>2]=na;c[da+16>>2]=(c[na+16>>2]|0)+(c[ca+16>>2]|0);c[k>>2]=ea;ca=ma+1|0;if((ca|0)<(c[T>>2]|0)){la=ea;ma=ca}else{ja=Y;ka=ea;break}}}}while(0);c[h>>2]=ja;do{if((_|0)==0){oa=ka;E=85}else{if((ka|0)==0){pa=_;break}T=Lka(s,0,0,1,32)|0;if((T|0)==0){I=12;break b}V=Lka(s,0,0,1,8)|0;S=T+4|0;c[S>>2]=V;if((V|0)==0){I=12;break b}c[T>>2]=1;c[T+8>>2]=-1;c[T+12>>2]=-1;c[V>>2]=_;c[(c[S>>2]|0)+4>>2]=ka;c[T+16>>2]=(c[ka+16>>2]|0)+(c[_+16>>2]|0);oa=T;E=85}}while(0);if((E|0)==85){E=0;if((oa|0)==0){I=12;break b}else{pa=oa}}c[O>>2]=c[pa+4>>2];c[R>>2]=c[pa>>2];X=ja}T=M-1|0;S=X-U+L|0;if((T|0)!=0){qa=T;ra=S;sa=X;break}c[h>>2]=S;qa=0;ra=S;sa=S}else if((Q|0)==0){S=c[R>>2]|0;if((S|0)==1){T=c[R+4>>2]|0;V=Bka(p,c[T+4>>2]|0)|0;if((V|0)!=0){ta=V;ua=L;break c}V=Bka(p,0)|0;if((V|0)!=0){ta=V;ua=L;break c}V=Bka(p,c[T>>2]|0)|0;if((V|0)!=0){ta=V;ua=L;break c}va=Bka(p,0)|0}else if((S|0)==2){V=c[R+4>>2]|0;T=Bka(p,K)|0;if((T|0)!=0){ta=T;ua=L;break c}T=Bka(p,R)|0;if((T|0)!=0){ta=T;ua=L;break c}T=Bka(p,1)|0;if((T|0)!=0){ta=T;ua=L;break c}T=Bka(p,c[V>>2]|0)|0;if((T|0)!=0){ta=T;ua=L;break c}T=Bka(p,0)|0;if((T|0)!=0){ta=T;ua=L;break c}if((c[V+4>>2]|0)>1){E=45}else{if((c[V+8>>2]|0)>1){E=45}else{wa=K}}if((E|0)==45){E=0;c[h>>2]=0;wa=0}qa=M+1|0;ra=L;sa=wa;break}else if((S|0)==0){V=c[R+4>>2]|0;T=c[V>>2]|0;if(!((T|0)>-1|(T|0)==-4)){qa=M;ra=L;sa=K;break}T=V+8|0;V=(c[T>>2]|0)+K|0;c[T>>2]=V;if((V|0)<=(c[j>>2]|0)){qa=M;ra=L;sa=K;break}c[j>>2]=V;qa=M;ra=L;sa=K;break}else if((S|0)==3){S=c[R+4>>2]|0;V=Bka(p,c[S+4>>2]|0)|0;if((V|0)!=0){ta=V;ua=L;break c}V=Bka(p,0)|0;if((V|0)!=0){ta=V;ua=L;break c}V=Bka(p,c[S>>2]|0)|0;if((V|0)!=0){ta=V;ua=L;break c}va=Bka(p,0)|0}else{qa=M;ra=L;sa=K;break}if((va|0)==0){qa=M;ra=L;sa=K}else{ta=va;ua=L;break c}}else{qa=M;ra=L;sa=K}}while(0);R=c[t>>2]|0;if((R|0)>(D|0)){K=sa;L=ra;M=qa;N=R}else{ta=0;ua=ra;break c}}if((E|0)==65){c[k>>2]=0;I=12;break b}else if((E|0)==72){c[k>>2]=0;I=12;break b}else if((E|0)==78){c[k>>2]=0;I=12;break b}}else{ta=0;ua=0}}while(0);x=(c[G>>2]|0)+ua|0;c[G>>2]=x;J=c[j>>2]|0;if((J|0)<=(x|0)){I=ta;break}c[G>>2]=J;I=ta}else{I=u}}while(0);if((I|0)!=0){y=I;z=C;A=0;B=0;break}u=c[G>>2]|0;c[G>>2]=u+1;D=Lka(s,0,0,1,32)|0;if((D|0)==0){y=12;z=C;A=0;B=0;break}J=Lka(s,0,0,1,20)|0;c[D+4>>2]=J;if((J|0)==0){y=12;z=C;A=0;B=0;break}c[D>>2]=0;c[D+8>>2]=-1;c[D+12>>2]=-1;c[J>>2]=0;c[J+4>>2]=0;c[J+8>>2]=u;u=Lka(s,0,0,1,32)|0;J=u;if((u|0)==0){y=12;z=C;A=0;B=0;break}x=Lka(s,0,0,1,8)|0;N=u+4|0;c[N>>2]=x;if((x|0)==0){y=12;z=C;A=0;B=0;break}c[u>>2]=1;c[u+8>>2]=-1;c[u+12>>2]=-1;c[x>>2]=w;c[(c[N>>2]|0)+4>>2]=D;c[u+16>>2]=(c[D+16>>2]|0)+(c[w+16>>2]|0);D=c[t>>2]|0;N=Bka(p,u)|0;if((N|0)!=0){y=N;z=C;A=0;B=0;break}N=Bka(p,0)|0;if((N|0)!=0){y=N;z=C;A=0;B=0;break}N=c[t>>2]|0;f:do{if((N|0)>(D|0)){x=o+16|0;M=N;g:while(1){L=M-1|0;c[t>>2]=L;K=c[x>>2]|0;R=c[K+(L<<2)>>2]|0;L=M-2|0;c[t>>2]=L;xa=c[K+(L<<2)>>2]|0;do{if((R|0)==0){L=c[xa>>2]|0;if((L|0)==0){K=c[xa+4>>2]|0;Q=K;P=c[Q>>2]|0;if((P|0)==-4){c[xa+8>>2]=0;V=K+8|0;S=c[V>>2]|0;T=Lka(s,0,0,1,64)|0;if((T|0)==0){E=105;break g}c[T>>2]=S;c[T+4>>2]=0;c[T+8>>2]=1114111;c[T+20>>2]=0;c[T+24>>2]=0;Qla(T+28|0,-1|0,16)|0;c[xa+24>>2]=T;T=c[V>>2]|0;V=c[K+4>>2]|0;S=Lka(s,0,0,1,64)|0;if((S|0)==0){E=107;break g}c[S>>2]=T;c[S+4>>2]=0;c[S+8>>2]=1114111;c[S+20>>2]=0;c[S+24>>2]=0;c[S+28>>2]=V;c[S+32>>2]=-1;c[S+36>>2]=-1;c[S+40>>2]=-1;c[xa+28>>2]=S;break}S=xa+8|0;if((P|0)<0){c[S>>2]=1;V=Lka(s,0,0,1,32)|0;if((V|0)==0){E=111;break g}c[V>>2]=-1;c[V+4>>2]=-1;c[V+8>>2]=-1;c[xa+24>>2]=V;V=Lka(s,0,0,1,32)|0;if((V|0)==0){E=113;break g}c[V>>2]=-1;c[V+4>>2]=-1;c[V+8>>2]=-1;c[xa+28>>2]=V;break}else{c[S>>2]=0;S=K+8|0;V=c[S>>2]|0;T=K+4|0;ea=c[T>>2]|0;Y=Lka(s,0,0,1,64)|0;if((Y|0)==0){E=116;break g}c[Y>>2]=V;c[Y+4>>2]=P;c[Y+8>>2]=ea;c[Y+20>>2]=0;c[Y+24>>2]=0;Qla(Y+28|0,-1|0,16)|0;c[xa+24>>2]=Y;Y=c[S>>2]|0;S=c[Q>>2]|0;Q=c[T>>2]|0;T=c[K+12>>2]|0;ea=c[K+16>>2]|0;K=Lka(s,0,0,1,64)|0;if((K|0)==0){E=118;break g}c[K>>2]=Y;c[K+4>>2]=S;c[K+8>>2]=Q;c[K+20>>2]=T;c[K+24>>2]=ea;Qla(K+28|0,-1|0,16)|0;c[xa+28>>2]=K;break}}else if((L|0)==3){K=Bka(p,xa)|0;if((K|0)!=0){y=K;z=C;A=0;B=0;break a}K=Bka(p,1)|0;if((K|0)!=0){y=K;z=C;A=0;B=0;break a}K=xa+4|0;ea=Bka(p,c[(c[K>>2]|0)+4>>2]|0)|0;if((ea|0)!=0){y=ea;z=C;A=0;B=0;break a}ea=Bka(p,0)|0;if((ea|0)!=0){y=ea;z=C;A=0;B=0;break a}ea=Bka(p,c[c[K>>2]>>2]|0)|0;if((ea|0)!=0){y=ea;z=C;A=0;B=0;break a}ea=Bka(p,0)|0;if((ea|0)==0){break}else{y=ea;z=C;A=0;B=0;break a}}else if((L|0)==1){ea=Bka(p,xa)|0;if((ea|0)!=0){y=ea;z=C;A=0;B=0;break a}ea=Bka(p,2)|0;if((ea|0)!=0){y=ea;z=C;A=0;B=0;break a}ea=xa+4|0;K=Bka(p,c[(c[ea>>2]|0)+4>>2]|0)|0;if((K|0)!=0){y=K;z=C;A=0;B=0;break a}K=Bka(p,0)|0;if((K|0)!=0){y=K;z=C;A=0;B=0;break a}K=Bka(p,c[c[ea>>2]>>2]|0)|0;if((K|0)!=0){y=K;z=C;A=0;B=0;break a}K=Bka(p,0)|0;if((K|0)==0){break}else{y=K;z=C;A=0;B=0;break a}}else if((L|0)==2){L=Bka(p,xa)|0;if((L|0)!=0){y=L;z=C;A=0;B=0;break a}L=Bka(p,3)|0;if((L|0)!=0){y=L;z=C;A=0;B=0;break a}L=Bka(p,c[c[xa+4>>2]>>2]|0)|0;if((L|0)!=0){y=L;z=C;A=0;B=0;break a}L=Bka(p,0)|0;if((L|0)==0){break}else{y=L;z=C;A=0;B=0;break a}}else{break}}else if((R|0)==1){L=c[xa+4>>2]|0;K=L;ea=c[K>>2]|0;T=L+4|0;L=c[T>>2]|0;if((c[ea+8>>2]|0)==0){ya=(c[L+8>>2]|0)!=0|0}else{ya=1}c[xa+8>>2]=ya;Q=zka(s,c[ea+24>>2]|0,c[L+24>>2]|0,0,0)|0;c[xa+24>>2]=Q;if((Q|0)==0){y=12;z=C;A=0;B=0;break a}Q=zka(s,c[(c[K>>2]|0)+28>>2]|0,c[(c[T>>2]|0)+28>>2]|0,0,0)|0;c[xa+28>>2]=Q;if((Q|0)==0){y=12;z=C;A=0;B=0;break a}}else if((R|0)==3){Q=c[xa+4>>2]|0;T=Q;K=c[T>>2]|0;do{if((c[Q+4>>2]|0)==0){E=142}else{if((c[K+8>>2]|0)!=0){E=142;break}c[xa+8>>2]=0}}while(0);if((E|0)==142){E=0;c[xa+8>>2]=1}c[xa+24>>2]=c[K+24>>2];c[xa+28>>2]=c[(c[T>>2]|0)+28>>2]}else if((R|0)==2){Q=c[xa+4>>2]|0;L=Q;ea=c[L>>2]|0;S=ea+8|0;if((c[S>>2]|0)==0){za=0}else{za=(c[(c[Q+4>>2]|0)+8>>2]|0)!=0|0}c[xa+8>>2]=za;if((c[S>>2]|0)==0){c[xa+24>>2]=c[ea+24>>2];Aa=Q+4|0}else{S=Aka(p,ea,0,0,f)|0;if((S|0)!=0){y=S;z=C;A=0;B=0;break a}Ba=lla((c[f>>2]<<2)+4|0)|0;S=Ba;if((Ba|0)==0){y=12;z=C;A=0;B=0;break a}c[S>>2]=-1;c[g>>2]=0;Ca=Aka(p,c[L>>2]|0,S,g,0)|0;if((Ca|0)!=0){E=151;break g}ea=Q+4|0;Q=xa+24|0;c[Q>>2]=zka(s,c[(c[ea>>2]|0)+24>>2]|0,c[(c[L>>2]|0)+24>>2]|0,S,c[g>>2]|0)|0;mla(Ba);if((c[Q>>2]|0)==0){y=12;z=C;A=0;B=0;break a}else{Aa=ea}}ea=c[Aa>>2]|0;if((c[ea+8>>2]|0)==0){c[xa+28>>2]=c[ea+28>>2];break}Q=Aka(p,ea,0,0,f)|0;if((Q|0)!=0){y=Q;z=C;A=0;B=0;break a}Da=lla((c[f>>2]<<2)+4|0)|0;Q=Da;if((Da|0)==0){y=12;z=C;A=0;B=0;break a}c[Q>>2]=-1;c[g>>2]=0;Ea=Aka(p,c[Aa>>2]|0,Q,g,0)|0;if((Ea|0)!=0){E=158;break g}ea=xa+28|0;c[ea>>2]=zka(s,c[(c[L>>2]|0)+28>>2]|0,c[(c[Aa>>2]|0)+28>>2]|0,Q,c[g>>2]|0)|0;mla(Da);if((c[ea>>2]|0)==0){y=12;z=C;A=0;B=0;break a}}}while(0);M=c[t>>2]|0;if((M|0)<=(D|0)){break f}}if((E|0)==105){c[xa+24>>2]=0;y=12;z=C;A=0;B=0;break a}else if((E|0)==107){c[xa+28>>2]=0;y=12;z=C;A=0;B=0;break a}else if((E|0)==111){c[xa+24>>2]=0;y=12;z=C;A=0;B=0;break a}else if((E|0)==113){c[xa+28>>2]=0;y=12;z=C;A=0;B=0;break a}else if((E|0)==116){c[xa+24>>2]=0;y=12;z=C;A=0;B=0;break a}else if((E|0)==118){c[xa+28>>2]=0;y=12;z=C;A=0;B=0;break a}else if((E|0)==151){mla(Ba);y=Ca;z=C;A=0;B=0;break a}else if((E|0)==158){mla(Da);y=Ea;z=C;A=0;B=0;break a}}}while(0);D=c[G>>2]|0;t=D<<2;N=lla(t)|0;w=N;if((N|0)==0){y=12;z=C;A=w;B=0;break}M=lla(t)|0;t=M;if((M|0)==0){y=12;z=C;A=w;B=t;break}if((D|0)>0){Qla(N|0,0,((D|0)>1?D<<2:4)|0)|0}wka(J,0,w,0)|0;D=c[G>>2]|0;if((D|0)>0){x=0;R=0;while(1){c[t+(x<<2)>>2]=R;ea=w+(x<<2)|0;Q=R+1+(c[ea>>2]|0)|0;c[ea>>2]=0;ea=x+1|0;if((ea|0)<(D|0)){x=ea;R=Q}else{Fa=Q;break}}}else{Fa=0}R=nla(Fa+1|0,32)|0;x=R;if((R|0)==0){y=12;z=C;A=w;B=t;break}c[v>>2]=x;R=v+4|0;c[R>>2]=Fa;D=wka(J,x,w,t)|0;if((D|0)!=0){y=D;z=C;A=w;B=t;break}c[v+20>>2]=0;D=u+24|0;Q=c[D>>2]|0;if((c[Q>>2]|0)>-1){ea=1;L=Q;while(1){Q=L+32|0;S=ea+1|0;if((c[Q>>2]|0)>-1){ea=S;L=Q}else{Ga=S;break}}}else{Ga=1}L=nla(Ga,32)|0;ea=L;if((L|0)==0){y=12;z=C;A=w;B=t;break}c[v+8>>2]=ea;L=c[D>>2]|0;J=c[L>>2]|0;if((J|0)>-1){S=0;Q=L;L=J;while(1){c[ea+(S<<5)+8>>2]=x+(c[t+(L<<2)>>2]<<5);c[ea+(S<<5)+12>>2]=L;J=ea+(S<<5)+16|0;c[J>>2]=0;Y=Q+12|0;P=c[Y>>2]|0;if((P|0)!=0){V=0;while(1){Ha=V+1|0;if((c[P+(V<<2)>>2]|0)>-1){V=Ha}else{break}}V=Ha<<2;P=lla(V)|0;c[J>>2]=P;if((P|0)==0){y=12;z=C;A=w;B=t;break a}Pla(P|0,c[Y>>2]|0,V)|0}c[ea+(S<<5)+20>>2]=c[Q+16>>2];V=S+1|0;P=Q+32|0;ca=c[P>>2]|0;if((ca|0)>-1){S=V;Q=P;L=ca}else{Ia=V;break}}}else{Ia=0}c[ea+(Ia<<5)+8>>2]=0;c[R>>2]=Fa;c[v+12>>2]=x+(c[t+(c[c[u+28>>2]>>2]<<2)>>2]<<5);c[v+52>>2]=c[G>>2];c[v+56>>2]=d;Kka(s);mla(c[o+16>>2]|0);mla(o);mla(N);mla(M);c[a+4>>2]=v;q=0;i=e;return q|0}else{y=r;z=0;A=0;B=0}}while(0);Kka(s);mla(c[o+16>>2]|0);mla(o);if((A|0)!=0){mla(A)}if((B|0)!=0){mla(B)}c[a+4>>2]=z;xka(a);q=y;i=e;return q|0}function uka(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0;d=i;i=i+424|0;e=d|0;f=d+8|0;g=d+72|0;h=d+328|0;j=d+336|0;k=d+384|0;l=d+392|0;m=c[b+4>>2]|0;n=m+12|0;o=c[n>>2]|0;if((c[b+40>>2]|0)==0){p=b+20|0;Bka(m,c[p>>2]|0)|0;Bka(m,2)|0;c[p>>2]=(c[p>>2]|0)+1}p=Bka(m,0)|0;q=b+12|0;r=b+16|0;c[r>>2]=c[q>>2];s=c[n>>2]|0;t=(p|0)==0;a:do{if((s|0)>(o|0)&t){u=m+16|0;v=b+36|0;w=b|0;x=b+24|0;y=b+20|0;z=g;A=f|0;B=b+28|0;C=l|0;D=k|0;E=k+1|0;F=j;G=b;H=j+12|0;I=j+40|0;J=j+24|0;K=j+8|0;L=0;M=0;N=s;b:while(1){O=N-1|0;c[n>>2]=O;P=c[u>>2]|0;c:do{switch(c[P+(O<<2)>>2]|0){case 5:{Q=c[q>>2]|0;R=a[Q]|0;if(R<<24>>24==0){S=0;T=M;U=L;break c}V=c[v>>2]&1;W=(V|0)!=0;if(W&R<<24>>24==124){S=0;T=M;U=L;break c}do{if(!(W&R<<24>>24==41&(M|0)>0)){if((V|0)==0&R<<24>>24==92){if((a[Q+1|0]|0)==41){break}}X=Bka(m,5)|0;if((X|0)!=0){Y=X;Z=M;_=6;break b}X=Bka(m,L)|0;if((X|0)!=0){Y=X;Z=M;_=6;break b}X=Bka(m,6)|0;if((X|0)!=0){Y=X;Z=M;_=6;break b}S=Bka(m,4)|0;T=M;U=L;break c}}while(0);R=(V|M|0)==0?8:0;W=M-1|0;if((V|0)!=0){S=R;T=W;U=L;break c}c[q>>2]=Q+2;S=R;T=W;U=L;break};case 7:{W=c[q>>2]|0;R=a[W]|0;if((R|0)==41){c[q>>2]=W+1;S=0;T=M;U=L;break c}else if((R|0)!=124){S=0;T=M;U=L;break c}R=Bka(m,7)|0;if((R|0)!=0){Y=R;Z=M;_=6;break b}R=Bka(m,L)|0;if((R|0)!=0){Y=R;Z=M;_=6;break b}R=Bka(m,8)|0;if((R|0)!=0){Y=R;Z=M;_=6;break b}R=Bka(m,3)|0;if((R|0)!=0){Y=R;Z=M;_=6;break b}c[q>>2]=(c[q>>2]|0)+1;S=0;T=M;U=L;break};case 3:{R=Bka(m,5)|0;if((R|0)!=0){Y=R;Z=M;_=6;break b}S=Bka(m,4)|0;T=M;U=L;break};case 6:{R=N-2|0;c[n>>2]=R;W=c[P+(R<<2)>>2]|0;R=c[w>>2]|0;X=Lka(R,0,0,1,32)|0;if((X|0)==0){$=12;_=293;break b}aa=Lka(R,0,0,1,8)|0;R=X+4|0;c[R>>2]=aa;if((aa|0)==0){$=12;_=293;break b}c[X>>2]=1;c[X+8>>2]=-1;c[X+12>>2]=-1;c[aa>>2]=W;c[(c[R>>2]|0)+4>>2]=L;c[X+16>>2]=(c[L+16>>2]|0)+(c[W+16>>2]|0);S=0;T=M;U=X;break};case 0:{if((c[v>>2]&1|0)!=0){X=Bka(m,7)|0;if((X|0)!=0){Y=X;Z=M;_=6;break b}}S=Bka(m,3)|0;T=M;U=L;break};case 4:{X=Bka(m,9)|0;if((X|0)!=0){Y=X;Z=M;_=6;break b}S=Bka(m,1)|0;T=M;U=L;break};case 8:{X=N-2|0;c[n>>2]=X;W=c[P+(X<<2)>>2]|0;X=c[w>>2]|0;R=Lka(X,0,0,1,32)|0;if((R|0)==0){$=12;_=293;break b}aa=Lka(X,0,0,1,8)|0;X=R+4|0;c[X>>2]=aa;if((aa|0)==0){$=12;_=293;break b}c[R>>2]=3;c[R+8>>2]=-1;c[R+12>>2]=-1;c[aa>>2]=W;c[(c[X>>2]|0)+4>>2]=L;c[R+16>>2]=(c[L+16>>2]|0)+(c[W+16>>2]|0);S=0;T=M;U=R;break};case 9:{R=c[q>>2]|0;W=a[R]|0;switch(W<<24>>24|0){case 43:case 63:{if((c[v>>2]&1|0)==0){S=0;T=M;U=L;break c}else{_=41}break};case 42:{_=41;break};case 92:{X=c[v>>2]|0;if((X&1|0)!=0){S=0;T=M;U=L;break c}aa=R+1|0;if((a[aa]|0)!=123){S=0;T=M;U=L;break c}c[q>>2]=aa;ba=aa;ca=X;break};case 123:{X=c[v>>2]|0;if((X&1|0)==0){S=0;T=M;U=L;break c}else{ba=R;ca=X}break};default:{S=0;T=M;U=L;break c}}if((_|0)==41){_=0;c[q>>2]=R+1;R=c[w>>2]|0;X=Lka(R,0,0,1,32)|0;if((X|0)==0){$=12;_=293;break b}aa=Lka(R,0,0,1,16)|0;c[X+4>>2]=aa;if((aa|0)==0){$=12;_=293;break b}c[X>>2]=2;c[X+8>>2]=-1;c[X+12>>2]=-1;c[aa>>2]=L;c[aa+4>>2]=W<<24>>24==43;c[aa+8>>2]=W<<24>>24==63?1:-1;W=aa+12|0;c[W>>2]=c[W>>2]&-2;c[X+16>>2]=c[L+16>>2];S=Bka(m,9)|0;T=M;U=X;break c}X=ba+1|0;c[q>>2]=X;W=a[X]|0;if((W-48&255)>>>0<10>>>0){aa=W<<24>>24;if((aa-48|0)>>>0<10>>>0){da=-1;ea=X;fa=aa}else{$=10;_=293;break b}while(1){aa=((da|0)<0?-48:(da*10|0)-48|0)+fa|0;R=ea+1|0;ga=a[R]|0;ha=ga<<24>>24;if((ha-48|0)>>>0<10>>>0){da=aa;ea=R;fa=ha}else{ia=aa;ja=R;ka=ga;break}}}else{ia=-1;ja=X;ka=W}do{if(ka<<24>>24==44){Q=ja+1|0;V=a[Q]|0;ga=V<<24>>24;if((ga-48|0)>>>0<10>>>0){la=-1;ma=Q;na=ga}else{oa=Q;pa=-1;qa=V;break}while(1){V=((la|0)<0?-48:(la*10|0)-48|0)+na|0;Q=ma+1|0;ga=a[Q]|0;R=ga<<24>>24;if((R-48|0)>>>0<10>>>0){la=V;ma=Q;na=R}else{ra=V;sa=Q;ta=ga;_=54;break}}}else{ra=ia;sa=ja;ta=ka;_=54}}while(0);do{if((_|0)==54){_=0;if(!((ra|0)>-1)){oa=sa;pa=ra;qa=ta;break}if((ia|0)>(ra|0)|(ra|0)>255){$=10;_=293;break b}else{oa=sa;pa=ra;qa=ta}}}while(0);if(qa<<24>>24==0){$=9;_=293;break b}if((oa|0)==(X|0)){$=10;_=293;break b}if((ca&1|0)==0){if(!(qa<<24>>24==92)){$=10;_=293;break b}if((a[oa+1|0]|0)!=125){$=10;_=293;break b}ua=oa+2|0}else{if(!(qa<<24>>24==125)){$=10;_=293;break b}ua=oa+1|0}if((pa|ia|0)==0){W=c[w>>2]|0;ga=Lka(W,0,0,1,32)|0;if((ga|0)==0){$=12;_=293;break b}Q=Lka(W,0,0,1,20)|0;c[ga+4>>2]=Q;if((Q|0)==0){$=12;_=293;break b}c[ga>>2]=0;c[ga+8>>2]=-1;c[ga+12>>2]=-1;c[Q>>2]=-1;c[Q+4>>2]=-1;c[Q+8>>2]=-1;va=ga}else{ga=(pa&ia|0)<0;Q=c[w>>2]|0;W=Lka(Q,0,0,1,32)|0;if((W|0)==0){$=12;_=293;break b}V=Lka(Q,0,0,1,16)|0;c[W+4>>2]=V;if((V|0)==0){$=12;_=293;break b}c[W>>2]=2;c[W+8>>2]=-1;c[W+12>>2]=-1;c[V>>2]=L;c[V+4>>2]=ga?1:ia;c[V+8>>2]=ga?1:pa;ga=V+12|0;c[ga>>2]=c[ga>>2]&-2;c[W+16>>2]=c[L+16>>2];va=W}c[q>>2]=ua;S=Bka(m,9)|0;T=M;U=va;break};case 1:{W=c[q>>2]|0;d:do{switch(a[W]|0){case 40:{if((c[v>>2]&1|0)!=0){wa=W;_=74}break};case 91:{ga=W+1|0;c[q>>2]=ga;V=lla(128)|0;if((V|0)==0){$=12;_=293;break b}if((a[ga]|0)==94){Q=W+2|0;c[q>>2]=Q;xa=1;ya=Q}else{xa=0;ya=ga}ga=(xa|0)==0;Q=ya;R=32;aa=0;ha=0;za=V;e:while(1){V=a[Q]|0;if((V<<24>>24|0)==93){if(Q>>>0>(c[q>>2]|0)>>>0){_=85;break}}else if((V<<24>>24|0)==0){Aa=Q;Ba=7;Ca=za;_=140;break}V=pka(e,Q,-1)|0;if((V|0)<0){c[e>>2]=-1;Da=1}else{Da=V}V=Q+Da|0;do{if((a[V]|0)==45){Ea=Da+1|0;Fa=Q+Ea|0;if((a[Fa]|0)==93){_=94;break}Ga=c[e>>2]|0;Ha=pka(e,Fa,-1)|0;if((Ha|0)<0){c[e>>2]=-1;Ia=1;Ja=-1}else{Ia=Ha;Ja=c[e>>2]|0}Ka=Q+(Ia+Ea)|0;La=Ja;Ma=Ga;Na=Ga>>>0>Ja>>>0?11:0;Oa=0}else{_=94}}while(0);f:do{if((_|0)==94){_=0;Ga=a[Q]|0;do{if((Ga<<24>>24|0)==91){Ea=a[Q+1|0]|0;if((Ea<<24>>24|0)==46|(Ea<<24>>24|0)==61){Aa=Q;Ba=3;Ca=za;_=140;break e}else if((Ea<<24>>24|0)!=58){Pa=0;break}Ea=Q+2|0;Ha=Ea;while(1){Fa=a[Ha]|0;Qa=Fa<<24>>24==0;if(Fa<<24>>24!=58&(Qa^1)){Ha=Ha+1|0}else{break}}if(Qa){Aa=Q;Ba=4;Ca=za;_=140;break e}Fa=Ha-Q-2|0;Ra=(Fa|0)>63?63:Fa;Ola(A|0,Ea|0,Ra|0)|0;a[f+Ra|0]=0;Ra=$ja(A)|0;Ka=Ha+2|0;La=1114111;Ma=0;Na=(Ra|0)==0?4:0;Oa=Ra;break f}else if((Ga<<24>>24|0)==45){if((a[Q+1|0]|0)==93){Pa=0;break}Pa=(c[q>>2]|0)==(Q|0)?0:11}else{Pa=0}}while(0);Ga=c[e>>2]|0;Ka=V;La=Ga;Ma=Ga;Na=Pa;Oa=0}}while(0);if((Na|0)!=0){Aa=Ka;Ba=Na;Ca=za;_=140;break}V=(Oa|0)!=0;do{if(ga|V^1){Ga=c[w>>2]|0;if((aa|0)<(R|0)){Sa=R;Ta=za}else{if((R|0)>1024){Aa=Ka;Ba=12;Ca=za;_=140;break e}Ra=ola(za,R<<3)|0;if((Ra|0)==0){Aa=Ka;Ba=12;Ca=za;_=140;break e}else{Sa=R<<1;Ta=Ra}}Ra=Lka(Ga,0,0,1,32)|0;if((Ra|0)==0){_=112;break e}Fa=Lka(Ga,0,0,1,20)|0;Ga=Ra+4|0;c[Ga>>2]=Fa;if((Fa|0)==0){_=112;break e}c[Ra>>2]=0;c[Ra+8>>2]=-1;c[Ra+12>>2]=-1;c[Fa>>2]=Ma;c[Fa+4>>2]=La;c[Fa+8>>2]=-1;c[Ta+(aa<<2)>>2]=Ra;c[(c[Ga>>2]|0)+12>>2]=Oa;Ua=0;Wa=Sa;Xa=aa+1|0;Ya=ha;Za=Ta}else{if((ha|0)>63){Ua=12;Wa=R;Xa=aa;Ya=ha;Za=za;break}c[g+(ha<<2)>>2]=Oa;Ua=0;Wa=R;Xa=aa;Ya=ha+1|0;Za=za}}while(0);Ga=(Ua|0)==0;if(Ga&(((c[v>>2]&2|0)==0|V)^1)){_a=Ma;$a=Wa;ab=Xa;bb=Za}else{if(Ga){Q=Ka;R=Wa;aa=Xa;ha=Ya;za=Za;continue}else{Aa=Ka;Ba=Ua;Ca=Za;_=140;break}}while(1){Ga=_a;while(1){if(Ga>>>0>La>>>0){Q=Ka;R=$a;aa=ab;ha=Ya;za=bb;continue e}if((cka(Ga)|0)!=0){_=118;break}cb=Ga+1|0;if((gka(Ga)|0)==0){Ga=cb}else{_=129;break}}if((_|0)==118){_=0;Ra=ika(Ga)|0;Fa=Ga+1|0;g:do{if((cka(Fa)|0)==0){db=Ra;eb=Fa}else{fb=Ra;gb=Fa;while(1){if((ika(gb)|0)!=(fb+1|0)|gb>>>0>La>>>0){db=fb;eb=gb;break g}hb=ika(gb)|0;ib=gb+1|0;if((cka(ib)|0)==0){db=hb;eb=ib;break}else{fb=hb;gb=ib}}}}while(0);Fa=c[w>>2]|0;if((ab|0)<($a|0)){jb=$a;kb=bb}else{if(($a|0)>1024){Aa=Ka;Ba=12;Ca=bb;_=140;break e}gb=ola(bb,$a<<3)|0;if((gb|0)==0){Aa=Ka;Ba=12;Ca=bb;_=140;break e}else{jb=$a<<1;kb=gb}}gb=Lka(Fa,0,0,1,32)|0;fb=gb;do{if((gb|0)==0){lb=0}else{Ha=Lka(Fa,0,0,1,20)|0;c[gb+4>>2]=Ha;if((Ha|0)==0){lb=0;break}c[gb>>2]=0;c[gb+8>>2]=-1;c[gb+12>>2]=-1;c[Ha>>2]=Ra;c[Ha+4>>2]=db;c[Ha+8>>2]=-1;lb=fb}}while(0);c[kb+(ab<<2)>>2]=lb;mb=eb;nb=jb;ob=lb;pb=kb}else if((_|0)==129){_=0;fb=kka(Ga)|0;h:do{if((gka(cb)|0)==0){qb=cb;rb=fb}else{Ra=cb;gb=fb;while(1){if((kka(Ra)|0)!=(gb+1|0)|Ra>>>0>La>>>0){qb=Ra;rb=gb;break h}Fa=Ra+1|0;Ha=kka(Ra)|0;if((gka(Fa)|0)==0){qb=Fa;rb=Ha;break}else{Ra=Fa;gb=Ha}}}}while(0);Ga=c[w>>2]|0;if((ab|0)<($a|0)){sb=$a;tb=bb}else{if(($a|0)>1024){Aa=Ka;Ba=12;Ca=bb;_=140;break e}gb=ola(bb,$a<<3)|0;if((gb|0)==0){Aa=Ka;Ba=12;Ca=bb;_=140;break e}else{sb=$a<<1;tb=gb}}gb=Lka(Ga,0,0,1,32)|0;Ra=gb;do{if((gb|0)==0){ub=0}else{Ha=Lka(Ga,0,0,1,20)|0;c[gb+4>>2]=Ha;if((Ha|0)==0){ub=0;break}c[gb>>2]=0;c[gb+8>>2]=-1;c[gb+12>>2]=-1;c[Ha>>2]=fb;c[Ha+4>>2]=rb;c[Ha+8>>2]=-1;ub=Ra}}while(0);c[tb+(ab<<2)>>2]=ub;mb=qb;nb=sb;ob=ub;pb=tb}if((ob|0)==0){_=141;break e}else{_a=mb;$a=nb;ab=ab+1|0;bb=pb}}}i:do{if((_|0)==85){_=0;c[q>>2]=Q+1;R=(xa|0)!=0;if(R){Mc(za|0,aa|0,4,44)}j:do{if((aa|0)>0){ga=(ha|0)>0;V=ha<<2;Ra=V+4|0;if(R){vb=0;wb=0;xb=0;yb=0}else{fb=0;gb=0;while(1){Ga=za+(fb<<2)|0;Ha=c[(c[Ga>>2]|0)+4>>2]|0;do{if((Ha|0)==0){zb=gb;Ab=0}else{c[Ha+8>>2]=c[x>>2];if(ga){Fa=Lka(c[w>>2]|0,0,0,0,Ra)|0;Ea=Ha+16|0;c[Ea>>2]=Fa;if((Fa|0)==0){Bb=gb;Cb=12;Db=za;break i}Pla(Fa|0,z|0,V)|0;c[(c[Ea>>2]|0)+(ha<<2)>>2]=0}else{c[Ha+16>>2]=0}if((gb|0)==0){zb=c[Ga>>2]|0;Ab=0;break}Ea=c[w>>2]|0;Fa=c[Ga>>2]|0;ib=Lka(Ea,0,0,1,32)|0;hb=ib;do{if((ib|0)==0){Eb=0}else{Fb=Lka(Ea,0,0,1,8)|0;Gb=ib+4|0;c[Gb>>2]=Fb;if((Fb|0)==0){Eb=0;break}c[ib>>2]=3;c[ib+8>>2]=-1;c[ib+12>>2]=-1;c[Fb>>2]=gb;c[(c[Gb>>2]|0)+4>>2]=Fa;c[ib+16>>2]=(c[Fa+16>>2]|0)+(c[gb+16>>2]|0);Eb=hb}}while(0);zb=Eb;Ab=(Eb|0)==0?12:0}}while(0);Ga=fb+1|0;if((Ga|0)<(aa|0)&(Ab|0)==0){fb=Ga;gb=zb}else{Hb=Ab;Ib=0;Jb=zb;break j}}}while(1){gb=za+(vb<<2)|0;fb=c[(c[gb>>2]|0)+4>>2]|0;Ga=fb;Ha=c[Ga>>2]|0;hb=fb+4|0;Fa=c[hb>>2]|0;do{if((Ha|0)<(wb|0)){ib=Fa+1|0;Kb=yb;Lb=0;Mb=(ib|0)<(wb|0)?wb:ib;Nb=xb}else{ib=Ha-1|0;if((ib|0)<(xb|0)){Ea=Fa+1|0;Kb=yb;Lb=0;Mb=Ea;Nb=Ea;break}c[Ga>>2]=xb;c[hb>>2]=ib;ib=Fa+1|0;if((fb|0)==0){Kb=yb;Lb=0;Mb=ib;Nb=ib;break}c[fb+8>>2]=c[x>>2];if(ga){Ea=Lka(c[w>>2]|0,0,0,0,Ra)|0;Gb=fb+16|0;c[Gb>>2]=Ea;if((Ea|0)==0){Bb=yb;Cb=12;Db=za;break i}Pla(Ea|0,z|0,V)|0;c[(c[Gb>>2]|0)+(ha<<2)>>2]=0}else{c[fb+16>>2]=0}if((yb|0)==0){Kb=c[gb>>2]|0;Lb=0;Mb=ib;Nb=ib;break}Gb=c[w>>2]|0;Ea=c[gb>>2]|0;Fb=Lka(Gb,0,0,1,32)|0;Ob=Fb;do{if((Fb|0)==0){Pb=0}else{Qb=Lka(Gb,0,0,1,8)|0;Rb=Fb+4|0;c[Rb>>2]=Qb;if((Qb|0)==0){Pb=0;break}c[Fb>>2]=3;c[Fb+8>>2]=-1;c[Fb+12>>2]=-1;c[Qb>>2]=yb;c[(c[Rb>>2]|0)+4>>2]=Ea;c[Fb+16>>2]=(c[Ea+16>>2]|0)+(c[yb+16>>2]|0);Pb=Ob}}while(0);Kb=Pb;Lb=(Pb|0)==0?12:0;Mb=ib;Nb=ib}}while(0);gb=vb+1|0;if((gb|0)<(aa|0)&(Lb|0)==0){vb=gb;wb=Mb;xb=Nb;yb=Kb}else{Hb=Lb;Ib=Nb;Jb=Kb;break}}}else{Hb=0;Ib=0;Jb=0}}while(0);if((Hb|0)!=0|R^1){Bb=Jb;Cb=Hb;Db=za;break}V=c[w>>2]|0;Ra=c[x>>2]|0;ga=Lka(V,0,0,1,32)|0;gb=ga;if((ga|0)==0){Bb=Jb;Cb=12;Db=za;break}fb=Lka(V,0,0,1,20)|0;c[ga+4>>2]=fb;if((fb|0)==0){Bb=Jb;Cb=12;Db=za;break}c[ga>>2]=0;c[ga+8>>2]=-1;c[ga+12>>2]=-1;c[fb>>2]=Ib;c[fb+4>>2]=1114111;c[fb+8>>2]=Ra;if((ha|0)>0){Ra=ha<<2;V=Lka(c[w>>2]|0,0,0,0,Ra+4|0)|0;Fa=fb+16|0;c[Fa>>2]=V;if((V|0)==0){Bb=Jb;Cb=12;Db=za;break}Pla(V|0,z|0,Ra)|0;c[(c[Fa>>2]|0)+(ha<<2)>>2]=0}else{c[fb+16>>2]=0}if((Jb|0)==0){Bb=gb;Cb=0;Db=za;break}fb=c[w>>2]|0;Fa=Lka(fb,0,0,1,32)|0;Ra=Fa;do{if((Fa|0)==0){Sb=0}else{V=Lka(fb,0,0,1,8)|0;hb=Fa+4|0;c[hb>>2]=V;if((V|0)==0){Sb=0;break}c[Fa>>2]=3;c[Fa+8>>2]=-1;c[Fa+12>>2]=-1;c[V>>2]=Jb;c[(c[hb>>2]|0)+4>>2]=gb;c[Fa+16>>2]=(c[ga+16>>2]|0)+(c[Jb+16>>2]|0);Sb=Ra}}while(0);Bb=Sb;Cb=(Sb|0)==0?12:0;Db=za}else if((_|0)==112){_=0;c[Ta+(aa<<2)>>2]=0;Aa=Ka;Ba=12;Ca=Ta;_=140}else if((_|0)==141){_=0;c[q>>2]=Ka;Bb=0;Cb=12;Db=pb}}while(0);if((_|0)==140){_=0;c[q>>2]=Aa;Bb=0;Cb=Ba;Db=Ca}mla(Db);c[x>>2]=(c[x>>2]|0)+1;if((Cb|0)==0){S=0;T=M;U=Bb;break c}else{$=Cb;_=293;break b}break};case 92:{aa=W+1|0;za=a[aa]|0;do{if((c[v>>2]&1|0)==0){if(za<<24>>24==40){c[q>>2]=aa;wa=aa;_=74;break d}else{ha=a[W+1|0]|0;if(ha<<24>>24==41){_=264;break d}else{Tb=ha;break}}}else{Tb=za}}while(0);za=W+1|0;aa=Tb<<24>>24==0;if(aa){$=5;_=293;break b}else{Ub=0}while(1){if((Ub|0)==12){break}if((a[1528+(Ub<<3)|0]|0)==Tb<<24>>24){_=193;break}else{Ub=Ub+1|0}}if((_|0)==193){_=0;ha=c[1532+(Ub<<3)>>2]|0;Pla(F|0,G|0,40)|0;c[H>>2]=ha;c[I>>2]=1;ha=uka(j)|0;if((ha|0)!=0){$=ha;_=293;break b}c[q>>2]=(c[q>>2]|0)+2;c[x>>2]=c[J>>2];S=0;T=M;U=c[K>>2]|0;break c}if(aa){$=5;_=293;break b}c[q>>2]=za;ha=a[za]|0;k:do{switch(ha|0){case 98:{Q=c[w>>2]|0;Ra=Lka(Q,0,0,1,32)|0;ga=Ra;do{if((Ra|0)==0){Vb=0}else{Fa=Lka(Q,0,0,1,20)|0;c[Ra+4>>2]=Fa;if((Fa|0)==0){Vb=0;break}c[Ra>>2]=0;c[Ra+8>>2]=-1;c[Ra+12>>2]=-1;c[Fa>>2]=-2;c[Fa+4>>2]=64;c[Fa+8>>2]=-1;Vb=ga}}while(0);c[q>>2]=(c[q>>2]|0)+1;Wb=Vb;break};case 66:{ga=c[w>>2]|0;Ra=Lka(ga,0,0,1,32)|0;Q=Ra;do{if((Ra|0)==0){Xb=0}else{Fa=Lka(ga,0,0,1,20)|0;c[Ra+4>>2]=Fa;if((Fa|0)==0){Xb=0;break}c[Ra>>2]=0;c[Ra+8>>2]=-1;c[Ra+12>>2]=-1;c[Fa>>2]=-2;c[Fa+4>>2]=128;c[Fa+8>>2]=-1;Xb=Q}}while(0);c[q>>2]=(c[q>>2]|0)+1;Wb=Xb;break};case 60:{Q=c[w>>2]|0;Ra=Lka(Q,0,0,1,32)|0;ga=Ra;do{if((Ra|0)==0){Yb=0}else{Fa=Lka(Q,0,0,1,20)|0;c[Ra+4>>2]=Fa;if((Fa|0)==0){Yb=0;break}c[Ra>>2]=0;c[Ra+8>>2]=-1;c[Ra+12>>2]=-1;c[Fa>>2]=-2;c[Fa+4>>2]=16;c[Fa+8>>2]=-1;Yb=ga}}while(0);c[q>>2]=(c[q>>2]|0)+1;Wb=Yb;break};case 62:{ga=c[w>>2]|0;Ra=Lka(ga,0,0,1,32)|0;Q=Ra;do{if((Ra|0)==0){Zb=0}else{Fa=Lka(ga,0,0,1,20)|0;c[Ra+4>>2]=Fa;if((Fa|0)==0){Zb=0;break}c[Ra>>2]=0;c[Ra+8>>2]=-1;c[Ra+12>>2]=-1;c[Fa>>2]=-2;c[Fa+4>>2]=32;c[Fa+8>>2]=-1;Zb=Q}}while(0);c[q>>2]=(c[q>>2]|0)+1;Wb=Zb;break};case 120:{Q=W+2|0;c[q>>2]=Q;Ra=a[Q]|0;if(Ra<<24>>24==123){Q=W+3|0;c[q>>2]=Q;ga=0;Fa=Q;while(1){Q=a[Fa]|0;if((Q<<24>>24|0)==125|(Q<<24>>24|0)==0){_b=Fa;$b=ga;break}if((hka(Q<<24>>24)|0)==0){$=9;_=293;break b}Q=c[q>>2]|0;a[l+ga|0]=a[Q]|0;gb=ga+1|0;fb=Q+1|0;c[q>>2]=fb;if(gb>>>0>31>>>0){_b=fb;$b=gb;break}else{ga=gb;Fa=fb}}c[q>>2]=_b+1;a[l+$b|0]=0;Fa=Va(C|0,0,16)|0;ga=c[w>>2]|0;fb=c[x>>2]|0;gb=Lka(ga,0,0,1,32)|0;Q=gb;do{if((gb|0)==0){ac=0}else{R=Lka(ga,0,0,1,20)|0;c[gb+4>>2]=R;if((R|0)==0){ac=0;break}c[gb>>2]=0;c[gb+8>>2]=-1;c[gb+12>>2]=-1;c[R>>2]=Fa;c[R+4>>2]=Fa;c[R+8>>2]=fb;ac=Q}}while(0);c[x>>2]=(c[x>>2]|0)+1;Wb=ac;break k}else{Qla(D|0,0,3)|0;Q=(hka(Ra<<24>>24)|0)==0;fb=c[q>>2]|0;if(Q){bc=fb}else{a[D]=a[fb]|0;Q=fb+1|0;c[q>>2]=Q;bc=Q}if((hka(a[bc]|0)|0)!=0){Q=c[q>>2]|0;a[E]=a[Q]|0;c[q>>2]=Q+1}Q=Va(D|0,0,16)|0;fb=c[w>>2]|0;Fa=c[x>>2]|0;gb=Lka(fb,0,0,1,32)|0;ga=gb;do{if((gb|0)==0){cc=0}else{R=Lka(fb,0,0,1,20)|0;c[gb+4>>2]=R;if((R|0)==0){cc=0;break}c[gb>>2]=0;c[gb+8>>2]=-1;c[gb+12>>2]=-1;c[R>>2]=Q;c[R+4>>2]=Q;c[R+8>>2]=Fa;cc=ga}}while(0);c[x>>2]=(c[x>>2]|0)+1;Wb=cc;break k}break};default:{if((aka(ha)|0)!=0){ga=(a[c[q>>2]|0]|0)-48|0;Fa=c[w>>2]|0;Q=c[x>>2]|0;gb=Lka(Fa,0,0,1,32)|0;if((gb|0)==0){$=12;_=293;break b}fb=Lka(Fa,0,0,1,20)|0;c[gb+4>>2]=fb;if((fb|0)==0){$=12;_=293;break b}c[gb>>2]=0;c[gb+8>>2]=-1;c[gb+12>>2]=-1;c[fb>>2]=-4;c[fb+4>>2]=ga;c[fb+8>>2]=Q;c[x>>2]=(c[x>>2]|0)+1;Q=c[B>>2]|0;c[B>>2]=(ga|0)<(Q|0)?Q:ga;c[q>>2]=(c[q>>2]|0)+1;S=0;T=M;U=gb;break c}gb=c[w>>2]|0;ga=a[c[q>>2]|0]|0;Q=c[x>>2]|0;fb=Lka(gb,0,0,1,32)|0;Fa=fb;do{if((fb|0)==0){dc=0}else{Ra=Lka(gb,0,0,1,20)|0;c[fb+4>>2]=Ra;if((Ra|0)==0){dc=0;break}c[fb>>2]=0;c[fb+8>>2]=-1;c[fb+12>>2]=-1;c[Ra>>2]=ga;c[Ra+4>>2]=ga;c[Ra+8>>2]=Q;dc=Fa}}while(0);c[x>>2]=(c[x>>2]|0)+1;c[q>>2]=(c[q>>2]|0)+1;Wb=dc}}}while(0);if((Wb|0)==0){$=12;_=293;break b}else{S=0;T=M;U=Wb;break c}break};case 46:{ha=(c[v>>2]&4|0)==0;za=c[w>>2]|0;aa=c[x>>2]|0;Fa=Lka(za,0,0,1,32)|0;Q=Fa;ga=(Fa|0)==0;if(ha){if(ga){$=12;_=293;break b}ha=Lka(za,0,0,1,20)|0;c[Fa+4>>2]=ha;if((ha|0)==0){$=12;_=293;break b}c[Fa>>2]=0;c[Fa+8>>2]=-1;c[Fa+12>>2]=-1;c[ha>>2]=0;c[ha+4>>2]=1114111;c[ha+8>>2]=aa;ec=(c[x>>2]|0)+1|0;fc=Q}else{if(ga){$=12;_=293;break b}ga=Lka(za,0,0,1,20)|0;c[Fa+4>>2]=ga;if((ga|0)==0){$=12;_=293;break b}c[Fa>>2]=0;c[Fa+8>>2]=-1;c[Fa+12>>2]=-1;c[ga>>2]=0;c[ga+4>>2]=9;c[ga+8>>2]=aa;aa=c[w>>2]|0;ga=(c[x>>2]|0)+1|0;za=Lka(aa,0,0,1,32)|0;if((za|0)==0){$=12;_=293;break b}ha=Lka(aa,0,0,1,20)|0;c[za+4>>2]=ha;if((ha|0)==0){$=12;_=293;break b}c[za>>2]=0;c[za+8>>2]=-1;c[za+12>>2]=-1;c[ha>>2]=11;c[ha+4>>2]=1114111;c[ha+8>>2]=ga;ga=c[w>>2]|0;ha=Lka(ga,0,0,1,32)|0;if((ha|0)==0){$=12;_=293;break b}aa=Lka(ga,0,0,1,8)|0;ga=ha+4|0;c[ga>>2]=aa;if((aa|0)==0){$=12;_=293;break b}c[ha>>2]=3;c[ha+8>>2]=-1;c[ha+12>>2]=-1;c[aa>>2]=Q;c[(c[ga>>2]|0)+4>>2]=za;c[ha+16>>2]=(c[za+16>>2]|0)+(c[Fa+16>>2]|0);ec=(c[x>>2]|0)+2|0;fc=ha}c[x>>2]=ec;c[q>>2]=(c[q>>2]|0)+1;S=0;T=M;U=fc;break c;break};case 94:{if((c[v>>2]&1|0)==0){if((W|0)!=(c[r>>2]|0)){break d}ha=Bka(m,5)|0;if((ha|0)!=0){Y=ha;Z=M;_=6;break b}}ha=c[w>>2]|0;Fa=Lka(ha,0,0,1,32)|0;if((Fa|0)==0){$=12;_=293;break b}za=Lka(ha,0,0,1,20)|0;c[Fa+4>>2]=za;if((za|0)==0){$=12;_=293;break b}c[Fa>>2]=0;c[Fa+8>>2]=-1;c[Fa+12>>2]=-1;c[za>>2]=-2;c[za+4>>2]=1;c[za+8>>2]=-1;c[q>>2]=(c[q>>2]|0)+1;S=0;T=M;U=Fa;break c;break};case 36:{if((c[v>>2]&1|0)==0){if((a[W+1|0]|0)!=0){break d}}Fa=c[w>>2]|0;za=Lka(Fa,0,0,1,32)|0;if((za|0)==0){$=12;_=293;break b}ha=Lka(Fa,0,0,1,20)|0;c[za+4>>2]=ha;if((ha|0)==0){$=12;_=293;break b}c[za>>2]=0;c[za+8>>2]=-1;c[za+12>>2]=-1;c[ha>>2]=-2;c[ha+4>>2]=2;c[ha+8>>2]=-1;c[q>>2]=(c[q>>2]|0)+1;S=0;T=M;U=za;break c;break};case 41:{if((M|0)!=0){_=263}break};case 42:case 124:case 123:case 43:case 63:{_=263;break};case 0:{_=264;break};default:{}}}while(0);if((_|0)==74){_=0;X=M+1|0;c[q>>2]=wa+1;za=Bka(m,c[y>>2]|0)|0;if((za|0)!=0){Y=za;Z=X;_=6;break b}za=Bka(m,2)|0;if((za|0)!=0){Y=za;Z=X;_=6;break b}za=Bka(m,0)|0;if((za|0)!=0){Y=za;Z=X;_=6;break b}c[y>>2]=(c[y>>2]|0)+1;S=0;T=X;U=L;break c}else if((_|0)==263){_=0;if((c[v>>2]&1|0)!=0){_=264}}if((_|0)==264){_=0;X=c[w>>2]|0;za=Lka(X,0,0,1,32)|0;if((za|0)==0){$=12;_=293;break b}ha=Lka(X,0,0,1,20)|0;c[za+4>>2]=ha;if((ha|0)==0){$=12;_=293;break b}c[za>>2]=0;c[za+8>>2]=-1;c[za+12>>2]=-1;c[ha>>2]=-1;c[ha+4>>2]=-1;c[ha+8>>2]=-1;S=0;T=M;U=za;break c}za=pka(h,W,-1)|0;if((za|0)<0){c[h>>2]=-1;gc=1}else{gc=za}do{if((c[v>>2]&2|0)==0){_=279}else{if((gka(c[h>>2]|0)|0)==0){if((cka(c[h>>2]|0)|0)==0){_=279;break}}za=c[w>>2]|0;ha=ika(c[h>>2]|0)|0;X=ika(c[h>>2]|0)|0;Fa=c[x>>2]|0;ga=Lka(za,0,0,1,32)|0;if((ga|0)==0){$=12;_=293;break b}Q=Lka(za,0,0,1,20)|0;c[ga+4>>2]=Q;if((Q|0)==0){$=12;_=293;break b}c[ga>>2]=0;c[ga+8>>2]=-1;c[ga+12>>2]=-1;c[Q>>2]=ha;c[Q+4>>2]=X;c[Q+8>>2]=Fa;Fa=c[w>>2]|0;Q=kka(c[h>>2]|0)|0;X=kka(c[h>>2]|0)|0;ha=c[x>>2]|0;za=Lka(Fa,0,0,1,32)|0;if((za|0)==0){$=12;_=293;break b}aa=Lka(Fa,0,0,1,20)|0;c[za+4>>2]=aa;if((aa|0)==0){$=12;_=293;break b}c[za>>2]=0;c[za+8>>2]=-1;c[za+12>>2]=-1;c[aa>>2]=Q;c[aa+4>>2]=X;c[aa+8>>2]=ha;ha=c[w>>2]|0;aa=Lka(ha,0,0,1,32)|0;if((aa|0)==0){$=12;_=293;break b}X=Lka(ha,0,0,1,8)|0;ha=aa+4|0;c[ha>>2]=X;if((X|0)==0){$=12;_=293;break b}c[aa>>2]=3;c[aa+8>>2]=-1;c[aa+12>>2]=-1;c[X>>2]=ga;c[(c[ha>>2]|0)+4>>2]=za;c[aa+16>>2]=(c[za+16>>2]|0)+(c[ga+16>>2]|0);hc=aa}}while(0);if((_|0)==279){_=0;W=c[w>>2]|0;aa=c[h>>2]|0;ga=c[x>>2]|0;za=Lka(W,0,0,1,32)|0;if((za|0)==0){$=12;_=293;break b}ha=Lka(W,0,0,1,20)|0;c[za+4>>2]=ha;if((ha|0)==0){$=12;_=293;break b}c[za>>2]=0;c[za+8>>2]=-1;c[za+12>>2]=-1;c[ha>>2]=aa;c[ha+4>>2]=aa;c[ha+8>>2]=ga;hc=za}c[x>>2]=(c[x>>2]|0)+1;c[q>>2]=(c[q>>2]|0)+gc;S=0;T=M;U=hc;break};case 2:{za=N-2|0;c[n>>2]=za;ga=c[P+(za<<2)>>2]|0;if((c[L+12>>2]|0)>-1){za=c[w>>2]|0;ha=Lka(za,0,0,1,32)|0;if((ha|0)==0){$=12;_=293;break b}aa=Lka(za,0,0,1,20)|0;c[ha+4>>2]=aa;if((aa|0)==0){$=12;_=293;break b}c[ha>>2]=0;c[ha+8>>2]=-1;c[ha+12>>2]=-1;c[aa>>2]=-1;c[aa+4>>2]=-1;c[aa+8>>2]=-1;aa=c[w>>2]|0;za=Lka(aa,0,0,1,32)|0;if((za|0)==0){$=12;_=293;break b}W=Lka(aa,0,0,1,8)|0;aa=za+4|0;c[aa>>2]=W;if((W|0)==0){$=12;_=293;break b}c[za>>2]=1;c[za+8>>2]=-1;c[za+12>>2]=-1;c[W>>2]=ha;c[(c[aa>>2]|0)+4>>2]=L;aa=L+16|0;W=za+16|0;c[W>>2]=(c[aa>>2]|0)+(c[ha+16>>2]|0);c[W>>2]=c[aa>>2];ic=za}else{ic=L}c[ic+12>>2]=ga;ga=ic+16|0;c[ga>>2]=(c[ga>>2]|0)+1;S=0;T=M;U=ic;break};case 10:{ga=N-2|0;c[n>>2]=ga;c[v>>2]=c[P+(ga<<2)>>2];S=0;T=M;U=L;break};default:{S=0;T=M;U=L}}}while(0);P=c[n>>2]|0;O=(S|0)==0;if((P|0)>(o|0)&O){L=U;M=T;N=P}else{jc=U;kc=T;lc=S;mc=O;break a}}if((_|0)==6){jc=L;kc=Z;lc=Y;mc=(Y|0)==0;break}else if((_|0)==293){i=d;return $|0}}else{jc=0;kc=0;lc=p;mc=t}}while(0);t=(kc|0)>0;if(t|mc^1){$=t?8:lc;i=d;return $|0}c[b+8>>2]=jc;$=0;i=d;return $|0}function vka(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0;f=b+12|0;g=c[f>>2]|0;h=(a|0)==0|(e|0)==0;if(!h){c[e+48>>2]=0;c[c[e+36>>2]>>2]=-1}i=c[e+28>>2]|0;j=lla((i<<3)+8|0)|0;k=j;if((j|0)==0){l=12;return l|0}c[k>>2]=-1;m=lla((i<<2)+4|0)|0;n=m;if((m|0)==0){mla(j);l=12;return l|0}c[n>>2]=-1;o=0;while(1){if(o>>>0>i>>>0){break}else{o=o+1|0}}Bka(b,d)|0;d=Bka(b,0)|0;o=c[f>>2]|0;a:do{if((o|0)>(g|0)&(d|0)==0){i=b+16|0;p=e+32|0;q=e+16|0;r=e+36|0;s=0;t=-1;u=1;v=0;w=0;x=0;y=k;z=o;while(1){A=z-1|0;c[f>>2]=A;B=c[i>>2]|0;b:do{switch(c[B+(A<<2)>>2]|0){case 1:{C=z-2|0;c[f>>2]=C;D=c[B+(C<<2)>>2]|0;if(h){C=c[(c[c[D+4>>2]>>2]|0)+20>>2]|0;E=z-3|0;c[f>>2]=E;c[D+20>>2]=(c[B+(E<<2)>>2]|0)+C;F=0;G=y;H=x;I=w;J=v;K=u;L=-1;M=s;break b}else{C=z-3|0;c[f>>2]=C;E=c[B+(C<<2)>>2]|0;C=z-4|0;c[f>>2]=C;D=(E|0)==0;F=0;G=y;H=x;I=w;J=v;K=u;L=D?t:c[B+(C<<2)>>2]|0;M=D&1;break b}break};case 4:{D=z-2|0;c[f>>2]=D;C=c[B+(D<<2)>>2]|0;D=z-3|0;c[f>>2]=D;F=0;G=y;H=x;I=w;J=(C|0)>-1?C:v;K=c[B+(D<<2)>>2]|0;L=t;M=s;break};case 5:{D=z-2|0;c[f>>2]=D;C=c[B+(D<<2)>>2]|0;if(!h){F=0;G=y;H=x;I=w;J=v;K=u;L=t;M=s;break b}D=c[C+4>>2]|0;c[C+20>>2]=(c[(c[D+4>>2]|0)+20>>2]|0)+(c[(c[D>>2]|0)+20>>2]|0);F=0;G=y;H=x;I=w;J=v;K=u;L=t;M=s;break};case 2:{D=y;while(1){if((c[D>>2]|0)>-1){D=D+4|0}else{F=0;G=D;H=x;I=w;J=v;K=u;L=t;M=s;break}}break};case 3:{D=c[B+(z-2<<2)>>2]|0;C=c[B+(z-3<<2)>>2]|0;E=c[B+(z-4<<2)>>2]|0;N=z-5|0;c[f>>2]=N;if(h){O=c[E+4>>2]|0;P=E+16|0;c[E+20>>2]=(c[(c[O>>2]|0)+20>>2]|0)+(c[B+(N<<2)>>2]|0)+(c[(c[O+4>>2]|0)+20>>2]|0)+((c[P>>2]|0)>0?2:0);Q=c[f>>2]|0;R=P}else{Q=N;R=E+16|0}E=c[B+(Q-1<<2)>>2]|0;N=Q-2|0;c[f>>2]=N;P=c[B+(N<<2)>>2]|0;N=Q-3|0;c[f>>2]=N;O=c[B+(N<<2)>>2]|0;if((c[R>>2]|0)<=0){F=0;G=E;H=x;I=w;J=v;K=u;L=t;M=1;break b}if(h){S=0}else{Eka(a,D,P)|0;c[(c[p>>2]|0)+(P<<2)>>2]=1;P=Eka(a,C,O)|0;c[(c[p>>2]|0)+(O<<2)>>2]=1;S=P}F=S;G=E;H=x+2|0;I=w;J=v;K=u;L=t;M=1;break};case 6:{E=z-2|0;c[f>>2]=E;P=c[B+(E<<2)>>2]|0;E=0;do{T=y+(E<<2)|0;E=E+1|0}while((c[T>>2]|0)>-1);c[T>>2]=P<<1|1;c[y+(E<<2)>>2]=-1;O=0;while(1){if((c[n+(O<<2)>>2]|0)>-1){O=O+1|0}else{break}}c[n+(O-1<<2)>>2]=-1;F=0;G=y;H=x;I=w;J=v;K=u;L=t;M=s;break};case 0:{E=z-2|0;c[f>>2]=E;P=c[B+(E<<2)>>2]|0;E=P;C=P+12|0;D=c[C>>2]|0;if((D|0)>-1){N=0;do{U=y+(N<<2)|0;N=N+1|0}while((c[U>>2]|0)>-1);c[U>>2]=D<<1;c[y+(N<<2)>>2]=-1;do{if(!h){O=0;while(1){if((c[n+(O<<2)>>2]|0)>-1){O=O+1|0}else{break}}c[(c[q>>2]|0)+(D*12|0)+8>>2]=0;if((O|0)<=0){break}V=lla((O<<2)+4|0)|0;W=V;if((V|0)==0){X=t;Y=v;Z=w;_=x;$=y;aa=12;break a}c[(c[q>>2]|0)+(D*12|0)+8>>2]=W;V=c[n>>2]|0;if((V|0)>-1){ba=0;ca=V;V=W;while(1){c[V>>2]=ca;da=ba+1|0;ea=c[n+(da<<2)>>2]|0;fa=W+(da<<2)|0;if((ea|0)>-1){ba=da;ca=ea;V=fa}else{ga=fa;break}}}else{ga=W}c[ga>>2]=-1}}while(0);D=Bka(b,c[C>>2]|0)|0;if((D|0)!=0){X=t;Y=v;Z=w;_=x;$=y;aa=D;break a}D=Bka(b,6)|0;if((D|0)!=0){X=t;Y=v;Z=w;_=x;$=y;aa=D;break a}}D=c[P>>2]|0;do{if((D|0)==1){N=c[P+4>>2]|0;V=c[N>>2]|0;ca=c[N+4>>2]|0;N=Bka(b,P)|0;if((N|0)!=0){ha=N;ia=x;ja=w;ka=v;la=u;ma=t;na=s;break}N=Bka(b,5)|0;if((N|0)!=0){ha=N;ia=x;ja=w;ka=v;la=u;ma=t;na=s;break}N=Bka(b,ca)|0;if((N|0)!=0){ha=N;ia=x;ja=w;ka=v;la=u;ma=t;na=s;break}N=Bka(b,0)|0;if((N|0)!=0){ha=N;ia=x;ja=w;ka=v;la=u;ma=t;na=s;break}N=V+20|0;ba=Bka(b,(c[N>>2]|0)+u|0)|0;if((ba|0)!=0){ha=ba;ia=x;ja=w;ka=v;la=u;ma=t;na=s;break}if((c[N>>2]|0)>0){N=(c[ca+20>>2]|0)>0;oa=(N&1)+u|0;pa=N?u:-1}else{oa=u;pa=-1}N=Bka(b,pa)|0;if((N|0)!=0){ha=N;ia=x;ja=w;ka=v;la=oa;ma=t;na=s;break}N=Bka(b,4)|0;if((N|0)!=0){ha=N;ia=x;ja=w;ka=v;la=oa;ma=t;na=s;break}N=Bka(b,V)|0;if((N|0)!=0){ha=N;ia=x;ja=w;ka=v;la=oa;ma=t;na=s;break}ha=Bka(b,0)|0;ia=x;ja=w;ka=v;la=oa;ma=t;na=s}else if((D|0)==2){N=c[P+4>>2]|0;if(h){if((c[y>>2]|0)>-1){qa=1}else{qa=c[N+12>>2]&1}V=Bka(b,qa)|0;if((V|0)!=0){ha=V;ia=x;ja=w;ka=v;la=u;ma=t;na=s;break}}else{V=Bka(b,v)|0;if((V|0)!=0){ha=V;ia=x;ja=w;ka=v;la=u;ma=t;na=s;break}V=Bka(b,c[N+12>>2]&1)|0;if((V|0)!=0){ha=V;ia=x;ja=w;ka=v;la=u;ma=t;na=s;break}}V=Bka(b,P)|0;if((V|0)!=0){ha=V;ia=x;ja=w;ka=v;la=u;ma=t;na=s;break}V=Bka(b,1)|0;if((V|0)!=0){ha=V;ia=x;ja=w;ka=v;la=u;ma=t;na=s;break}V=Bka(b,c[N>>2]|0)|0;if((V|0)!=0){ha=V;ia=x;ja=w;ka=v;la=u;ma=t;na=s;break}V=Bka(b,0)|0;if((V|0)!=0){ha=V;ia=x;ja=w;ka=v;la=u;ma=t;na=s;break}if(!((c[y>>2]|0)>-1)){if((c[N+12>>2]&1|0)==0){ha=0;ia=x;ja=w;ka=v;la=u;ma=t;na=0;break}}if(h){ra=0;sa=w;ta=t}else{V=Dka(a,E,v)|0;c[(c[p>>2]|0)+(v<<2)>>2]=(c[N+12>>2]&1|0)==0?s:1;if((t|0)>-1){N=c[r>>2]|0;ca=0;while(1){ua=N+(ca<<2)|0;va=ca+1|0;if((c[ua>>2]|0)>-1){ca=va}else{break}}c[ua>>2]=v;c[N+(va<<2)>>2]=t;c[N+(ca+2<<2)>>2]=-1;wa=w+1|0;xa=-1}else{wa=w;xa=t}W=c[y>>2]|0;if((W|0)>-1){ba=c[q>>2]|0;O=0;fa=W;do{W=(fa|0)/2|0;if((fa&1|0)==0){c[ba+(W*12|0)>>2]=v}else{c[ba+(W*12|0)+4>>2]=v}O=O+1|0;fa=c[y+(O<<2)>>2]|0;}while((fa|0)>-1)}c[y>>2]=-1;ra=V;sa=wa;ta=xa}c[y>>2]=-1;ha=ra;ia=x+1|0;ja=sa;ka=u;la=u+1|0;ma=ta;na=0}else if((D|0)==3){fa=c[P+4>>2]|0;O=c[fa>>2]|0;ba=c[fa+4>>2]|0;fa=(c[y>>2]|0)>-1;ca=u+1|0;N=Bka(b,fa?ca:u)|0;if((N|0)!=0){ha=N;ia=x;ja=w;ka=v;la=u;ma=t;na=s;break}N=Bka(b,fa?u:v)|0;if((N|0)!=0){ha=N;ia=x;ja=w;ka=v;la=u;ma=t;na=s;break}N=Bka(b,y)|0;if((N|0)!=0){ha=N;ia=x;ja=w;ka=v;la=u;ma=t;na=s;break}N=Bka(b,(c[y>>2]|0)>>>31^1)|0;if((N|0)!=0){ha=N;ia=x;ja=w;ka=v;la=u;ma=t;na=s;break}N=Bka(b,P)|0;if((N|0)!=0){ha=N;ia=x;ja=w;ka=v;la=u;ma=t;na=s;break}N=ba;ba=Bka(b,N)|0;if((ba|0)!=0){ha=ba;ia=x;ja=w;ka=v;la=u;ma=t;na=s;break}ba=O;O=Bka(b,ba)|0;if((O|0)!=0){ha=O;ia=x;ja=w;ka=v;la=u;ma=t;na=s;break}O=Bka(b,3)|0;if((O|0)!=0){ha=O;ia=x;ja=w;ka=v;la=u;ma=t;na=s;break}O=Bka(b,N)|0;if((O|0)!=0){ha=O;ia=x;ja=w;ka=v;la=u;ma=t;na=s;break}O=Bka(b,0)|0;if((O|0)!=0){ha=O;ia=x;ja=w;ka=v;la=u;ma=t;na=s;break}O=Bka(b,2)|0;if((O|0)!=0){ha=O;ia=x;ja=w;ka=v;la=u;ma=t;na=s;break}O=Bka(b,ba)|0;if((O|0)!=0){ha=O;ia=x;ja=w;ka=v;la=u;ma=t;na=s;break}O=Bka(b,0)|0;if((O|0)!=0){ha=O;ia=x;ja=w;ka=v;la=u;ma=t;na=s;break}if((c[y>>2]|0)>-1){if(h){ya=0;za=w;Aa=t}else{O=Dka(a,E,v)|0;c[(c[p>>2]|0)+(v<<2)>>2]=s;if((t|0)>-1){ba=c[r>>2]|0;N=0;while(1){Ba=ba+(N<<2)|0;Ca=N+1|0;if((c[Ba>>2]|0)>-1){N=Ca}else{break}}c[Ba>>2]=v;c[ba+(Ca<<2)>>2]=t;c[ba+(N+2<<2)>>2]=-1;Da=w+1|0;Ea=-1}else{Da=w;Ea=t}V=c[y>>2]|0;if((V|0)>-1){fa=c[q>>2]|0;W=0;ea=V;do{V=(ea|0)/2|0;if((ea&1|0)==0){c[fa+(V*12|0)>>2]=v}else{c[fa+(V*12|0)+4>>2]=v}W=W+1|0;ea=c[y+(W<<2)>>2]|0;}while((ea|0)>-1)}c[y>>2]=-1;ya=O;za=Da;Aa=Ea}c[y>>2]=-1;Fa=ya;Ga=x+1|0;Ha=za;Ia=u;Ja=ca;Ka=Aa}else{Fa=0;Ga=x;Ha=w;Ia=v;Ja=u;Ka=t}if((c[P+16>>2]|0)<=0){ha=Fa;ia=Ga;ja=Ha;ka=Ia;la=Ja;ma=Ka;na=s;break}ha=Fa;ia=Ga;ja=Ha;ka=Ja+1|0;la=Ja+2|0;ma=Ka;na=s}else if((D|0)==0){ea=c[c[P+4>>2]>>2]|0;if(!((ea|0)>-1|(ea|0)==-4)){ha=0;ia=x;ja=w;ka=v;la=u;ma=t;na=s;break}if(!((c[y>>2]|0)>-1)){ha=0;ia=x;ja=w;ka=v;la=u;ma=t;na=s;break}if(h){c[P+20>>2]=1;La=0;Ma=w;Na=t}else{ea=Dka(a,E,v)|0;c[(c[p>>2]|0)+(v<<2)>>2]=s;if((t|0)>-1){W=c[r>>2]|0;fa=0;while(1){Oa=W+(fa<<2)|0;Pa=fa+1|0;if((c[Oa>>2]|0)>-1){fa=Pa}else{break}}c[Oa>>2]=v;c[W+(Pa<<2)>>2]=t;c[W+(fa+2<<2)>>2]=-1;Qa=w+1|0;Ra=-1}else{Qa=w;Ra=t}ca=c[y>>2]|0;if((ca|0)>-1){O=c[q>>2]|0;N=0;ba=ca;do{ca=(ba|0)/2|0;if((ba&1|0)==0){c[O+(ca*12|0)>>2]=v}else{c[O+(ca*12|0)+4>>2]=v}N=N+1|0;ba=c[y+(N<<2)>>2]|0;}while((ba|0)>-1)}c[y>>2]=-1;La=ea;Ma=Qa;Na=Ra}c[y>>2]=-1;ha=La;ia=x+1|0;ja=Ma;ka=u;la=u+1|0;ma=Na;na=s}else{ha=0;ia=x;ja=w;ka=v;la=u;ma=t;na=s}}while(0);E=c[C>>2]|0;if((E|0)>-1){Sa=0}else{F=ha;G=y;H=ia;I=ja;J=ka;K=la;L=ma;M=na;break b}do{Ta=n+(Sa<<2)|0;Sa=Sa+1|0}while((c[Ta>>2]|0)>-1);c[Ta>>2]=E;c[n+(Sa<<2)>>2]=-1;F=ha;G=y;H=ia;I=ja;J=ka;K=la;L=ma;M=na;break};default:{F=0;G=y;H=x;I=w;J=v;K=u;L=t;M=s}}}while(0);B=c[f>>2]|0;if((B|0)>(g|0)&(F|0)==0){s=M;t=L;u=K;v=J;w=I;x=H;y=G;z=B}else{X=L;Y=J;Z=I;_=H;$=G;aa=F;break a}}}else{X=-1;Y=0;Z=0;_=0;$=k;aa=d}}while(0);do{if(h){Ua=Z}else{d=c[$>>2]|0;if((d|0)>-1){k=c[e+16>>2]|0;F=0;G=d;do{d=(G|0)/2|0;if((G&1|0)==0){c[k+(d*12|0)>>2]=Y}else{c[k+(d*12|0)+4>>2]=Y}F=F+1|0;G=c[$+(F<<2)>>2]|0;}while((G|0)>-1)}c[$>>2]=-1;if(!((X|0)>-1)){Ua=Z;break}G=c[e+36>>2]|0;F=0;while(1){Va=G+(F<<2)|0;Wa=F+1|0;if((c[Va>>2]|0)>-1){F=Wa}else{break}}c[Va>>2]=Y;c[G+(Wa<<2)>>2]=X;c[G+(F+2<<2)>>2]=-1;Ua=Z+1|0}}while(0);c[e+48>>2]=_;c[e+40>>2]=_;c[e+44>>2]=Ua;mla(j);mla(m);l=aa;return l|0}function wka(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0;f=a;a:while(1){a=c[f>>2]|0;do{if((a|0)==1){g=c[f+4>>2]|0;h=g;i=g+4|0;g=yka(c[(c[h>>2]|0)+28>>2]|0,c[(c[i>>2]|0)+24>>2]|0,b,d,e)|0;if((g|0)!=0){j=g;k=10;break a}g=wka(c[h>>2]|0,b,d,e)|0;if((g|0)==0){l=i}else{j=g;k=10;break a}}else if((a|0)==3){g=c[f+4>>2]|0;i=wka(c[g>>2]|0,b,d,e)|0;if((i|0)!=0){j=i;k=10;break a}l=g+4|0}else if((a|0)==2){g=c[f+4>>2]|0;i=g;if(!((c[g+8>>2]|0)==-1)){l=i;break}g=c[i>>2]|0;h=yka(c[g+28>>2]|0,c[g+24>>2]|0,b,d,e)|0;if((h|0)==0){l=i}else{j=h;k=10;break a}}else{j=0;k=10;break a}}while(0);f=c[l>>2]|0}if((k|0)==10){return j|0}return 0}function xka(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;b=c[a+4>>2]|0;if((b|0)==0){return}a=b+4|0;d=b;e=c[d>>2]|0;if((c[a>>2]|0)==0){f=e}else{g=0;h=e;while(1){do{if((c[h+(g<<5)+8>>2]|0)==0){i=h}else{e=c[h+(g<<5)+16>>2]|0;if((e|0)==0){j=h}else{mla(e);j=c[d>>2]|0}e=c[j+(g<<5)+28>>2]|0;if((e|0)==0){i=j;break}mla(e);i=c[d>>2]|0}}while(0);e=g+1|0;if(e>>>0<(c[a>>2]|0)>>>0){g=e;h=i}else{f=i;break}}}if((f|0)!=0){mla(f)}f=b+8|0;i=c[f>>2]|0;if((i|0)!=0){if((c[i+8>>2]|0)==0){k=i}else{h=i;while(1){i=c[h+16>>2]|0;if((i|0)!=0){mla(i)}if((c[h+40>>2]|0)==0){break}else{h=h+32|0}}k=c[f>>2]|0}mla(k)}k=b+16|0;f=c[k>>2]|0;if((f|0)!=0){h=b+28|0;i=c[h>>2]|0;if((i|0)==0){l=f}else{g=0;a=f;f=i;while(1){i=c[a+(g*12|0)+8>>2]|0;if((i|0)==0){m=f;n=a}else{mla(i);m=c[h>>2]|0;n=c[k>>2]|0}i=g+1|0;if(i>>>0<m>>>0){g=i;a=n;f=m}else{l=n;break}}}mla(l)}l=c[b+32>>2]|0;if((l|0)!=0){mla(l)}l=c[b+20>>2]|0;if((l|0)!=0){mla(l)}l=c[b+36>>2]|0;if((l|0)!=0){mla(l)}mla(b);return}function yka(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0;g=a|0;a=c[g>>2]|0;h=(a|0)>-1;if((d|0)==0){if(!h){i=0;return i|0}j=b|0;k=g;l=a;while(1){a:do{if((c[j>>2]|0)>-1){a=b;m=l;while(1){n=e+(m<<2)|0;c[n>>2]=(c[n>>2]|0)+1;n=a+32|0;if(!((c[n>>2]|0)>-1)){break a}a=n;m=c[k>>2]|0}}}while(0);m=k+32|0;a=c[m>>2]|0;if((a|0)>-1){k=m;l=a}else{i=0;break}}return i|0}if(h){o=g}else{i=0;return i|0}b:while(1){g=o+4|0;h=o+8|0;l=o+16|0;k=o+20|0;e=o+24|0;j=o+28|0;a=o+12|0;m=-1;n=b;c:while(1){p=n;while(1){q=p|0;r=c[q>>2]|0;if(!((r|0)>-1)){break c}s=p+32|0;if((r|0)==(m|0)){p=s}else{break}}t=d+(c[f+(c[o>>2]<<2)>>2]<<5)|0;while(1){u=t+8|0;if((c[u>>2]|0)==0){break}else{t=t+32|0}}c[t+40>>2]=0;c[t>>2]=c[g>>2];c[t+4>>2]=c[h>>2];v=c[q>>2]|0;c[u>>2]=d+(c[f+(v<<2)>>2]<<5);c[t+12>>2]=v;v=c[k>>2]|0;w=c[e>>2]|0;x=c[p+16>>2]|c[l>>2]|((v|0)!=0?4:0)|((w|0)!=0?8:0);y=t+20|0;c[y>>2]=x;z=c[j>>2]|0;A=t+24|0;if((z|0)>-1){c[A>>2]=z;c[y>>2]=x|256}else{c[A>>2]=v}if((w|0)==0){c[t+28>>2]=0}else{v=0;while(1){B=v+1|0;if((c[w+(v<<2)>>2]|0)==0){break}else{v=B}}v=lla(B<<2)|0;w=v;c[t+28>>2]=w;if((v|0)==0){i=12;C=45;break b}v=c[e>>2]|0;A=c[v>>2]|0;if((A|0)==0){D=w}else{x=0;y=A;A=w;while(1){c[A>>2]=y;z=x+1|0;E=c[v+(z<<2)>>2]|0;F=w+(z<<2)|0;if((E|0)==0){D=F;break}else{x=z;y=E;A=F}}}c[D>>2]=0}A=c[a>>2]|0;if((A|0)==0){G=0}else{y=0;while(1){if((c[A+(y<<2)>>2]|0)>-1){y=y+1|0}else{G=y;break}}}y=p+12|0;A=c[y>>2]|0;if((A|0)==0){H=0}else{x=0;while(1){if((c[A+(x<<2)>>2]|0)>-1){x=x+1|0}else{H=x;break}}}x=t+16|0;A=c[x>>2]|0;if((A|0)!=0){mla(A)}c[x>>2]=0;A=H+G|0;if((A|0)<=0){m=r;n=s;continue}p=lla((A<<2)+4|0)|0;A=p;c[x>>2]=A;if((p|0)==0){i=12;C=45;break b}p=c[a>>2]|0;do{if((p|0)==0){I=0}else{x=c[p>>2]|0;if((x|0)>-1){J=0;K=x}else{I=0;break}while(1){c[A+(J<<2)>>2]=K;x=J+1|0;w=c[p+(x<<2)>>2]|0;if((w|0)>-1){J=x;K=w}else{I=x;break}}}}while(0);p=c[y>>2]|0;do{if((p|0)==0){L=I}else{t=c[p>>2]|0;if((t|0)>-1){M=0;N=I;O=t}else{L=I;break}while(1){t=0;while(1){if((t|0)>=(I|0)){C=37;break}if((c[A+(t<<2)>>2]|0)==(c[p+(M<<2)>>2]|0)){P=N;break}else{t=t+1|0}}if((C|0)==37){C=0;c[A+(N<<2)>>2]=O;P=N+1|0}t=M+1|0;x=c[p+(t<<2)>>2]|0;if((x|0)>-1){M=t;N=P;O=x}else{L=P;break}}}}while(0);c[A+(L<<2)>>2]=-1;m=r;n=s}n=o+32|0;if((c[n>>2]|0)>-1){o=n}else{i=0;C=45;break}}if((C|0)==45){return i|0}return 0}function zka(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;g=(e|0)==0;if(g){h=0}else{i=0;while(1){if((c[e+(i<<2)>>2]|0)>-1){i=i+1|0}else{h=i;break}}}i=0;while(1){if((c[b+(i<<5)>>2]|0)>-1){i=i+1|0}else{j=0;break}}while(1){if((c[d+(j<<5)>>2]|0)>-1){j=j+1|0}else{break}}k=Lka(a,0,0,1,(j+i<<5)+32|0)|0;i=k;if((k|0)==0){l=0;return l|0}k=c[b>>2]|0;a:do{if((k|0)>-1){j=(h|0)>0;m=0;n=k;while(1){c[i+(m<<5)>>2]=n;c[i+(m<<5)+4>>2]=c[b+(m<<5)+4>>2];c[i+(m<<5)+8>>2]=c[b+(m<<5)+8>>2];c[i+(m<<5)+16>>2]=c[b+(m<<5)+16>>2]|f;c[i+(m<<5)+20>>2]=c[b+(m<<5)+20>>2];c[i+(m<<5)+24>>2]=c[b+(m<<5)+24>>2];c[i+(m<<5)+28>>2]=c[b+(m<<5)+28>>2];o=b+(m<<5)+12|0;p=c[o>>2]|0;q=(p|0)==0;if(q&g){c[i+(m<<5)+12>>2]=0}else{b:do{if(q){r=0}else{s=0;while(1){if(!((c[p+(s<<2)>>2]|0)>-1)){r=s;break b}s=s+1|0}}}while(0);p=Lka(a,0,0,0,(r+h<<2)+4|0)|0;q=p;if((p|0)==0){l=0;break}if((r|0)>0){p=c[o>>2]|0;s=0;while(1){c[q+(s<<2)>>2]=c[p+(s<<2)>>2];t=s+1|0;if((t|0)<(r|0)){s=t}else{u=r;break}}}else{u=0}if(j){s=0;while(1){c[q+(s+u<<2)>>2]=c[e+(s<<2)>>2];p=s+1|0;if((p|0)<(h|0)){s=p}else{v=h;break}}}else{v=0}c[q+(v+u<<2)>>2]=-1;c[i+(m<<5)+12>>2]=q}s=m+1|0;p=c[b+(s<<5)>>2]|0;if((p|0)>-1){m=s;n=p}else{w=s;break a}}return l|0}else{w=0}}while(0);b=c[d>>2]|0;u=i+(w<<5)|0;c:do{if((b|0)>-1){v=0;h=b;e=w;r=u;while(1){c[r>>2]=h;c[i+(e<<5)+4>>2]=c[d+(v<<5)+4>>2];c[i+(e<<5)+8>>2]=c[d+(v<<5)+8>>2];c[i+(e<<5)+16>>2]=c[d+(v<<5)+16>>2];c[i+(e<<5)+20>>2]=c[d+(v<<5)+20>>2];c[i+(e<<5)+24>>2]=c[d+(v<<5)+24>>2];c[i+(e<<5)+28>>2]=c[d+(v<<5)+28>>2];g=d+(v<<5)+12|0;f=c[g>>2]|0;if((f|0)==0){c[i+(e<<5)+12>>2]=0}else{k=0;while(1){if((c[f+(k<<2)>>2]|0)>-1){k=k+1|0}else{break}}f=Lka(a,0,0,0,(k<<2)+4|0)|0;q=f;if((f|0)==0){l=0;break}if((k|0)>0){f=c[g>>2]|0;n=0;while(1){c[q+(n<<2)>>2]=c[f+(n<<2)>>2];m=n+1|0;if((m|0)<(k|0)){n=m}else{x=k;break}}}else{x=0}c[q+(x<<2)>>2]=-1;c[i+(e<<5)+12>>2]=q}k=v+1|0;n=c[d+(k<<5)>>2]|0;f=k+w|0;g=i+(f<<5)|0;if((n|0)>-1){v=k;h=n;e=f;r=g}else{y=g;break c}}return l|0}else{y=u}}while(0);c[y>>2]=-1;l=i;return l|0}function Aka(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;g=a+12|0;h=c[g>>2]|0;i=(f|0)!=0;if(i){c[f>>2]=0}j=Bka(a,b)|0;if((j|0)!=0){k=j;return k|0}j=a+16|0;b=(d|0)==0;l=(e|0)==0;a:while(1){m=c[g>>2]|0;if((m|0)<=(h|0)){k=0;n=28;break}o=m-1|0;c[g>>2]=o;m=c[(c[j>>2]|0)+(o<<2)>>2]|0;o=c[m>>2]|0;do{if((o|0)==0){p=c[m+4>>2]|0;q=c[p>>2]|0;if((q|0)==(-2|0)){if(l){continue a}c[e>>2]=c[e>>2]|c[p+4>>2];continue a}else if((q|0)!=(-3|0)){continue a}q=c[p+4>>2]|0;if(!((q|0)>-1)){continue a}do{if(!b){p=0;while(1){r=d+(p<<2)|0;s=c[r>>2]|0;if(!((s|0)>-1)){n=14;break}t=p+1|0;if((s|0)==(q|0)){n=13;break}else{p=t}}if((n|0)==13){n=0;if((q|0)<0){u=t}else{break}}else if((n|0)==14){n=0;u=p+1|0}c[r>>2]=q;c[d+(u<<2)>>2]=-1}}while(0);if(!i){continue a}c[f>>2]=(c[f>>2]|0)+1;continue a}else if((o|0)==3){q=c[m+4>>2]|0;s=c[q>>2]|0;if((c[s+8>>2]|0)!=0){v=Bka(a,s)|0;break}s=c[q+4>>2]|0;if((c[s+8>>2]|0)==0){continue a}v=Bka(a,s)|0}else if((o|0)==1){s=c[m+4>>2]|0;q=Bka(a,c[s>>2]|0)|0;if((q|0)!=0){k=q;n=28;break a}v=Bka(a,c[s+4>>2]|0)|0}else if((o|0)==2){s=c[c[m+4>>2]>>2]|0;if((c[s+8>>2]|0)==0){continue a}v=Bka(a,s)|0}else{continue a}}while(0);if((v|0)!=0){k=v;n=28;break}}if((n|0)==28){return k|0}return 0}function Bka(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;d=a+12|0;e=c[d>>2]|0;f=a|0;g=c[f>>2]|0;if((e|0)<(g|0)){c[(c[a+16>>2]|0)+(e<<2)>>2]=b;c[d>>2]=(c[d>>2]|0)+1;h=0;return h|0}d=c[a+4>>2]|0;if((g|0)>=(d|0)){h=12;return h|0}e=(c[a+8>>2]|0)+g|0;g=(e|0)>(d|0)?d:e;e=a+16|0;d=ola(c[e>>2]|0,g<<2)|0;if((d|0)==0){h=12;return h|0}else{c[f>>2]=g;c[e>>2]=d;Bka(a,b)|0;return 0}return 0}function Cka(a,b,d,e,f,g,h,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;j=b+12|0;k=c[j>>2]|0;Bka(b,d)|0;d=Bka(b,0)|0;a:do{if((d|0)==0){l=b+16|0;m=(e&1|0)==0;n=(e&2|0)==0;o=h;p=1;q=0;b:while(1){r=c[j>>2]|0;if((r|0)<=(k|0)){s=q;t=0;break a}u=r-1|0;c[j>>2]=u;v=c[l>>2]|0;w=c[v+(u<<2)>>2]|0;if((w|0)==1){u=r-2|0;c[j>>2]=u;o=c[v+(u<<2)>>2]|0;p=p;q=q;continue}else if((w|0)!=0){o=o;p=p;q=q;continue}w=r-2|0;c[j>>2]=w;r=c[v+(w<<2)>>2]|0;w=c[r>>2]|0;do{if((w|0)==2){v=c[r+4>>2]|0;u=v;x=Bka(b,c[u>>2]|0)|0;if((x|0)!=0){s=q;t=x;break a}x=Bka(b,0)|0;if((x|0)!=0){s=q;t=x;break a}x=c[u>>2]|0;u=c[v+4>>2]|0;y=c[v+8>>2]|0;z=c[v+12>>2]&1;v=Lka(a,0,0,1,32)|0;if((v|0)==0){A=40;break b}B=Lka(a,0,0,1,16)|0;C=v+4|0;c[C>>2]=B;if((B|0)==0){A=40;break b}c[v>>2]=2;c[v+8>>2]=-1;c[v+12>>2]=-1;c[B>>2]=x;c[B+4>>2]=u;c[B+8>>2]=y;y=B+12|0;c[y>>2]=c[y>>2]&-2|z;c[v+16>>2]=c[x+16>>2];c[o>>2]=v;o=c[C>>2]|0;p=p;q=q;continue b}else if((w|0)==3){C=c[r+4>>2]|0;v=C;x=c[v>>2]|0;z=C+4|0;C=c[z>>2]|0;y=Lka(a,0,0,1,32)|0;if((y|0)==0){A=20;break b}B=Lka(a,0,0,1,8)|0;u=y+4|0;c[u>>2]=B;if((B|0)==0){A=20;break b}c[y>>2]=3;c[y+8>>2]=-1;c[y+12>>2]=-1;c[B>>2]=x;c[(c[u>>2]|0)+4>>2]=C;c[y+16>>2]=(c[C+16>>2]|0)+(c[x+16>>2]|0);c[o>>2]=y;y=c[u>>2]|0;u=Bka(b,c[z>>2]|0)|0;if((u|0)!=0){s=q;t=u;break a}u=Bka(b,0)|0;if((u|0)!=0){s=q;t=u;break a}u=Bka(b,y+4|0)|0;if((u|0)!=0){s=q;t=u;break a}u=Bka(b,1)|0;if((u|0)!=0){s=q;t=u;break a}u=Bka(b,c[v>>2]|0)|0;if((u|0)!=0){s=q;t=u;break a}D=Bka(b,0)|0;E=q;F=p;G=y}else if((w|0)==1){y=c[r+4>>2]|0;u=y;v=c[u>>2]|0;z=y+4|0;y=c[z>>2]|0;x=Lka(a,0,0,1,32)|0;if((x|0)==0){A=29;break b}C=Lka(a,0,0,1,8)|0;B=x+4|0;c[B>>2]=C;if((C|0)==0){A=29;break b}c[x>>2]=1;c[x+8>>2]=-1;c[x+12>>2]=-1;c[C>>2]=v;c[(c[B>>2]|0)+4>>2]=y;c[x+16>>2]=(c[y+16>>2]|0)+(c[v+16>>2]|0);c[o>>2]=x;x=c[B>>2]|0;B=x;c[B>>2]=0;v=x+4|0;c[v>>2]=0;x=Bka(b,c[z>>2]|0)|0;if((x|0)!=0){s=q;t=x;break a}x=Bka(b,0)|0;if((x|0)!=0){s=q;t=x;break a}x=Bka(b,v)|0;if((x|0)!=0){s=q;t=x;break a}x=Bka(b,1)|0;if((x|0)!=0){s=q;t=x;break a}x=Bka(b,c[u>>2]|0)|0;if((x|0)!=0){s=q;t=x;break a}D=Bka(b,0)|0;E=q;F=p;G=B}else if((w|0)==0){B=c[r+4>>2]|0;x=c[B+8>>2]|0;u=c[B>>2]|0;v=c[B+4>>2]|0;do{if((u|0)>-1|(u|0)==-4){H=q+1|0;I=p;J=v;K=u;L=(c[f>>2]|0)+x|0}else{if(!((u|0)==-3)){H=q;I=p;J=v;K=u;L=x;break}if(!m){H=q;I=p;J=-1;K=-1;L=-1;break}if(n|(p|0)==0){H=q;I=p;J=v;K=-3;L=x;break}c[g+(v<<2)>>2]=1;H=q;I=0;J=v;K=-3;L=x}}while(0);x=Lka(a,0,0,1,32)|0;v=x;do{if((x|0)==0){M=0}else{u=Lka(a,0,0,1,20)|0;c[x+4>>2]=u;if((u|0)==0){M=0;break}c[x>>2]=0;c[x+8>>2]=-1;c[x+12>>2]=-1;c[u>>2]=K;c[u+4>>2]=J;c[u+8>>2]=L;M=v}}while(0);c[o>>2]=M;v=(M|0)==0?12:0;if((L|0)<=(c[i>>2]|0)){D=v;E=H;F=I;G=o;break}c[i>>2]=L;D=v;E=H;F=I;G=o}else{o=o;p=p;q=q;continue b}}while(0);if((D|0)==0){o=G;p=F;q=E}else{s=E;t=D;break a}}if((A|0)==20){c[o>>2]=0;s=q;t=12;break}else if((A|0)==29){c[o>>2]=0;s=q;t=12;break}else if((A|0)==40){c[o>>2]=0;s=q;t=12;break}}else{s=0;t=d}}while(0);c[f>>2]=(c[f>>2]|0)+s;return t|0}function Dka(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=Lka(a,0,0,0,8)|0;if((e|0)==0){f=12;return f|0}g=Lka(a,0,0,1,32)|0;h=g;do{if((g|0)!=0){i=Lka(a,0,0,1,20)|0;c[g+4>>2]=i;if((i|0)==0){break}c[g>>2]=0;c[g+8>>2]=-1;c[g+12>>2]=-1;c[i>>2]=-3;c[i+4>>2]=d;c[i+8>>2]=-1;c[e>>2]=h;i=Lka(a,0,0,0,32)|0;j=e+4|0;c[j>>2]=i;if((i|0)==0){f=12;return f|0}k=b+4|0;c[i+4>>2]=c[k>>2];i=b|0;c[c[j>>2]>>2]=c[i>>2];l=c[j>>2]|0;c[l+8>>2]=-1;c[l+12>>2]=-1;c[l+24>>2]=0;c[(c[j>>2]|0)+28>>2]=0;c[(c[j>>2]|0)+20>>2]=0;c[k>>2]=e;c[i>>2]=1;f=0;return f|0}}while(0);c[e>>2]=0;f=12;return f|0}function Eka(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=Lka(a,0,0,0,8)|0;if((e|0)==0){f=12;return f|0}g=Lka(a,0,0,1,32)|0;h=g;do{if((g|0)!=0){i=Lka(a,0,0,1,20)|0;c[g+4>>2]=i;if((i|0)==0){break}c[g>>2]=0;c[g+8>>2]=-1;c[g+12>>2]=-1;c[i>>2]=-3;c[i+4>>2]=d;c[i+8>>2]=-1;c[e+4>>2]=h;i=Lka(a,0,0,0,32)|0;j=e;c[j>>2]=i;if((i|0)==0){f=12;return f|0}k=b+4|0;c[i+4>>2]=c[k>>2];i=b|0;c[c[j>>2]>>2]=c[i>>2];l=c[j>>2]|0;c[l+8>>2]=-1;c[l+12>>2]=-1;c[l+24>>2]=0;c[(c[j>>2]|0)+28>>2]=0;c[(c[j>>2]|0)+20>>2]=0;c[k>>2]=e;c[i>>2]=1;f=0;return f|0}}while(0);c[e+4>>2]=0;f=12;return f|0}function Fka(a,b){a=a|0;b=b|0;var d=0,e=0;d=c[c[(c[a>>2]|0)+4>>2]>>2]|0;a=c[c[(c[b>>2]|0)+4>>2]>>2]|0;if((d|0)<(a|0)){e=-1;return e|0}e=(d|0)>(a|0)|0;return e|0}function Gka(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;d=i;a:do{if((b|0)==0){g=13864}else{h=b;j=13864;while(1){if((a[j]|0)==0){g=j;break a}k=h-1|0;l=j+((Nla(j|0)|0)+1)|0;if((k|0)==0){g=l;break}else{h=k;j=l}}}}while(0);b=Cb(e|0,f|0,36088,(f=i,i=i+8|0,c[f>>2]=(a[g]|0)==0?g+1|0:g,f)|0)|0;i=f;i=d;return b+1|0}



function VO(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;b=i;d=a;a=c[d+364>>2]|0;while(1){if((a|0)==0){break}e=(c[a+24>>2]|0)+1|0;f=(c[a+36>>2]|0)+e|0;if((c[a+4>>2]|0)==(f|0)){g=4;break}h=e+(c[a+8>>2]|0)|0;if((h|0)>((c[a+40>>2]|0)-(c[a+36>>2]|0)|0)){j=me[c[d+16>>2]&127](c[a+36>>2]|0,h)|0;if((j|0)==0){g=7;break}if((c[a+12>>2]|0)==(c[a+36>>2]|0)){c[a+12>>2]=j}if((c[a+16>>2]|0)!=0){c[a+16>>2]=j+((c[a+16>>2]|0)-(c[a+36>>2]|0))}c[a+36>>2]=j;c[a+40>>2]=j+h;f=j+e|0}Pla(f|0,c[a+4>>2]|0,c[a+8>>2]|0)|0;c[a+4>>2]=f;a=c[a>>2]|0}if((g|0)!=4)if((g|0)==7){k=0;l=k;i=b;return l|0}k=1;l=k;i=b;return l|0}function WO(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;e=i;f=b;b=d;d=c[f+356>>2]|0;g=c[b>>2]|0;a:while(1){if((a[g]|0)==0){h=26;break}if((a[g]|0)==58){j=c[b>>2]|0;while(1){if((j|0)==(g|0)){break}do{if((c[d+92>>2]|0)==(c[d+88>>2]|0)){if((iO(d+80|0)|0)<<24>>24!=0){h=9;break}if(!0){h=10;break a}}else{h=9}}while(0);if((h|0)==9){h=0;k=a[j]|0;l=d+92|0;m=c[l>>2]|0;c[l>>2]=m+1;a[m]=k;if(!1){h=10;break a}}j=j+1|0}do{if((c[d+92>>2]|0)==(c[d+88>>2]|0)){if((iO(d+80|0)|0)<<24>>24!=0){h=16;break}if(!0){h=17;break a}}else{h=16}}while(0);if((h|0)==16){h=0;j=d+92|0;k=c[j>>2]|0;c[j>>2]=k+1;a[k]=0;if(!1){h=17;break}}k=lO(f,d+60|0,c[d+96>>2]|0,8)|0;if((k|0)==0){h=19;break}if((c[k>>2]|0)==(c[d+96>>2]|0)){c[d+96>>2]=c[d+92>>2]}else{c[d+92>>2]=c[d+96>>2]}c[b+4>>2]=k}g=g+1|0}if((h|0)==10){n=0;o=n;i=e;return o|0}else if((h|0)==17){n=0;o=n;i=e;return o|0}else if((h|0)==19){n=0;o=n;i=e;return o|0}else if((h|0)==26){n=1;o=n;i=e;return o|0}return 0}function XO(b,e,f,g,h,j){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;k=i;i=i+16|0;l=k|0;m=k+8|0;n=b;b=e;e=f;f=g;g=h;h=j;j=c[n+356>>2]|0;a:while(1){b:do{switch(qe[c[b+16>>2]&127](b,f,g,l)|0){case 9:{o=(ee[c[b+48>>2]&127](b,f+(c[b+68>>2]|0)|0,(c[l>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0)&255;if(o<<24>>24!=0){do{if((c[h+12>>2]|0)==(c[h+8>>2]|0)){if((iO(h)|0)<<24>>24!=0){p=51;break}if(!0){p=52;break a}}else{p=51}}while(0);if((p|0)==51){p=0;q=h+12|0;r=c[q>>2]|0;c[q>>2]=r+1;a[r]=o;if(!1){p=52;break a}}break b}r=uO(n+440|0,b,f+(c[b+68>>2]|0)|0,(c[l>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;if((r|0)==0){p=55;break a}q=lO(n,j|0,r,0)|0;c[n+452>>2]=c[n+456>>2];if((h|0)==(j+80|0)){if((c[n+272>>2]|0)!=0){if((d[j+130|0]|0)!=0){s=((c[n+300>>2]|0)!=0^1)&1}else{s=((a[j+129|0]|0)!=0^1)&1}t=(s|0)!=0}else{t=0}u=t&1}else{if((a[j+129|0]|0)!=0){v=(d[j+130|0]|0)!=0}else{v=1}u=v&1}do{if(u<<24>>24!=0){if((q|0)==0){p=68;break a}if((a[q+34|0]|0)==0){p=70;break a}}else{if((q|0)!=0){break}else{break b}}}while(0);if((a[q+32|0]|0)!=0){p=77;break a}if((c[q+28>>2]|0)!=0){p=81;break a}if((c[q+4>>2]|0)==0){p=85;break a}o=(c[q+4>>2]|0)+(c[q+8>>2]|0)|0;a[q+32|0]=1;w=XO(n,c[n+228>>2]|0,e,c[q+4>>2]|0,o,h)|0;a[q+32|0]=0;if((w|0)!=0){p=89;break a}break};case 10:{o=me[c[b+44>>2]&127](b,f)|0;if((o|0)<0){p=11;break a}do{if(!(e<<24>>24!=0)){if((o|0)!=32){break}if(((c[h+12>>2]|0)-(c[h+16>>2]|0)|0)!=0){if((a[(c[h+12>>2]|0)-1|0]|0)!=32){break}}break b}}while(0);o=cP(o,m|0)|0;if((o|0)==0){p=20;break a}q=0;while(1){if((q|0)>=(o|0)){break}do{if((c[h+12>>2]|0)==(c[h+8>>2]|0)){if((iO(h)|0)<<24>>24!=0){p=28;break}if(!0){p=29;break a}}else{p=28}}while(0);if((p|0)==28){p=0;r=a[m+q|0]|0;x=h+12|0;y=c[x>>2]|0;c[x>>2]=y+1;a[y]=r;if(!1){p=29;break a}}q=q+1|0}break};case 0:{p=4;break a;break};case 6:{if((AO(h,b,f,c[l>>2]|0)|0)==0){p=34;break a}break};case-4:{p=3;break a;break};case-1:{p=7;break a;break};case-3:{c[l>>2]=f+(c[b+68>>2]|0);p=37;break};case 39:case 7:{p=37;break};default:{p=92;break a}}}while(0);c:do{if((p|0)==37){p=0;do{if(!(e<<24>>24!=0)){if(((c[h+12>>2]|0)-(c[h+16>>2]|0)|0)!=0){if((a[(c[h+12>>2]|0)-1|0]|0)!=32){break}}break c}}while(0);do{if((c[h+12>>2]|0)==(c[h+8>>2]|0)){if((iO(h)|0)<<24>>24!=0){p=44;break}if(!0){p=45;break a}}else{p=44}}while(0);if((p|0)==44){p=0;q=h+12|0;o=c[q>>2]|0;c[q>>2]=o+1;a[o]=32;if(!1){p=45;break a}}}}while(0);f=c[l>>2]|0}if((p|0)==3){z=0;A=z;i=k;return A|0}else if((p|0)==4){if((b|0)==(c[n+144>>2]|0)){c[n+288>>2]=c[l>>2]}z=4;A=z;i=k;return A|0}else if((p|0)==7){if((b|0)==(c[n+144>>2]|0)){c[n+288>>2]=f}z=4;A=z;i=k;return A|0}else if((p|0)==11){if((b|0)==(c[n+144>>2]|0)){c[n+288>>2]=f}z=14;A=z;i=k;return A|0}else if((p|0)==20){if((b|0)==(c[n+144>>2]|0)){c[n+288>>2]=f}z=14;A=z;i=k;return A|0}else if((p|0)==29){z=1;A=z;i=k;return A|0}else if((p|0)==34){z=1;A=z;i=k;return A|0}else if((p|0)==45){z=1;A=z;i=k;return A|0}else if((p|0)==52){z=1;A=z;i=k;return A|0}else if((p|0)==55){z=1;A=z;i=k;return A|0}else if((p|0)==68){z=11;A=z;i=k;return A|0}else if((p|0)==70){z=24;A=z;i=k;return A|0}else if((p|0)==77){if((b|0)==(c[n+144>>2]|0)){c[n+288>>2]=f}z=12;A=z;i=k;return A|0}else if((p|0)==81){if((b|0)==(c[n+144>>2]|0)){c[n+288>>2]=f}z=15;A=z;i=k;return A|0}else if((p|0)==85){if((b|0)==(c[n+144>>2]|0)){c[n+288>>2]=f}z=16;A=z;i=k;return A|0}else if((p|0)==89){z=w;A=z;i=k;return A|0}else if((p|0)==92){if((b|0)==(c[n+144>>2]|0)){c[n+288>>2]=f}z=23;A=z;i=k;return A|0}return 0}function YO(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0;e=i;i=i+1040|0;f=e|0;g=b;b=d;if((c[g+124>>2]|0)!=0){d=0;while(1){if((d|0)>=256){break}c[f+(d<<2)>>2]=-1;d=d+1|0}c[f+1028>>2]=0;c[f+1024>>2]=0;c[f+1032>>2]=0;do{if((ee[c[g+124>>2]&127](c[g+248>>2]|0,b,f)|0)!=0){d=c[g+12>>2]|0;h=dP()|0;c[g+240>>2]=ce[d&255](h)|0;if((c[g+240>>2]|0)!=0){h=qe[((a[g+236|0]&255|0)!=0?34:70)&127](c[g+240>>2]|0,f|0,c[f+1028>>2]|0,c[f+1024>>2]|0)|0;if((h|0)==0){break}c[g+244>>2]=c[f+1024>>2];c[g+252>>2]=c[f+1032>>2];c[g+144>>2]=h;j=0;k=j;i=e;return k|0}else{if((c[f+1032>>2]|0)!=0){$d[c[f+1032>>2]&511](c[f+1024>>2]|0)}j=1;k=j;i=e;return k|0}}}while(0);if((c[f+1032>>2]|0)!=0){$d[c[f+1032>>2]&511](c[f+1024>>2]|0)}}j=18;k=j;i=e;return k|0}function ZO(){var a=0,b=0;a=i;Rc(((Wd(0)|0)>>>0)%4294967295|0|0);b=Vla()|0;i=a;return b|0}function _O(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;f=i;g=a;a=qO(g)|0;if((a|0)!=0){h=a;j=h;i=f;return j|0}else{c[g+280>>2]=74;h=rO(g,b,d,e)|0;j=h;i=f;return j|0}return 0}function $O(b){b=b|0;var d=0,e=0,f=0,g=0;d=i;e=b;b=ce[c[e>>2]&255](188)|0;if((b|0)==0){f=b;g=f;i=d;return g|0}else{aP(b+80|0,e);aP(b+104|0,e);bP(b|0,e);bP(b+20|0,e);bP(b+40|0,e);bP(b+60|0,e);a[b+131|0]=0;bP(b+132|0,e);c[b+152>>2]=0;c[b+156>>2]=0;a[b+160|0]=0;c[b+184>>2]=0;c[b+164>>2]=0;c[b+180>>2]=0;c[b+172>>2]=0;c[b+176>>2]=0;c[b+168>>2]=0;a[b+128|0]=1;a[b+129|0]=0;a[b+130|0]=0;f=b;g=f;i=d;return g|0}return 0}function aP(a,b){a=a|0;b=b|0;var d=0;d=a;c[d>>2]=0;c[d+4>>2]=0;c[d+16>>2]=0;c[d+12>>2]=0;c[d+8>>2]=0;c[d+20>>2]=b;i=i;return}function bP(b,d){b=b|0;d=d|0;var e=0;e=b;a[e+4|0]=0;c[e+8>>2]=0;c[e+12>>2]=0;c[e>>2]=0;c[e+16>>2]=d;i=i;return}function cP(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0;d=i;e=b;b=c;if((e|0)<0){f=0;g=f;i=d;return g|0}if((e|0)<128){a[b|0]=e;f=1;g=f;i=d;return g|0}if((e|0)<2048){a[b|0]=e>>6|192;a[b+1|0]=e&63|128;f=2;g=f;i=d;return g|0}if((e|0)<65536){a[b|0]=e>>12|224;a[b+1|0]=e>>6&63|128;a[b+2|0]=e&63|128;f=3;g=f;i=d;return g|0}if((e|0)<1114112){a[b|0]=e>>18|240;a[b+1|0]=e>>12&63|128;a[b+2|0]=e>>6&63|128;a[b+3|0]=e&63|128;f=4;g=f;i=d;return g|0}else{f=0;g=f;i=d;return g|0}return 0}function dP(){return 1912}function eP(e,f,g,h){e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0;j=i;k=e;e=f;f=g;g=h;h=k;l=0;while(1){if((l|0)>=368){break}a[k+l|0]=a[15296+l|0]|0;l=l+1|0}l=0;a:while(1){if((l|0)>=128){break}do{if((d[15372+l|0]|0|0)!=28){if((d[15372+l|0]|0|0)==0){break}if((c[e+(l<<2)>>2]|0)!=(l|0)){m=10;break a}}}while(0);l=l+1|0}if((m|0)==10){n=0;o=n;i=j;return o|0}l=0;b:while(1){if((l|0)>=256){m=46;break}k=c[e+(l<<2)>>2]|0;if((k|0)==-1){a[h+76+l|0]=1;b[h+376+(l<<1)>>1]=-1;a[h+888+(l<<2)|0]=1;a[h+888+(l<<2)+1|0]=0}else{if((k|0)<0){if((k|0)<-4){m=19;break}a[h+76+l|0]=5-(k+2);a[h+888+(l<<2)|0]=0;b[h+376+(l<<1)>>1]=0}else{if((k|0)<128){do{if((d[15372+k|0]|0|0)!=28){if((d[15372+k|0]|0|0)==0){break}if((k|0)!=(l|0)){m=25;break b}}}while(0);a[h+76+l|0]=a[15372+k|0]|0;a[h+888+(l<<2)|0]=1;a[h+888+(l<<2)+1|0]=k;if((k|0)==0){p=65535}else{p=k}b[h+376+(l<<1)>>1]=p}else{if((fP(k)|0)<0){a[h+76+l|0]=0;b[h+376+(l<<1)>>1]=-1;a[h+888+(l<<2)|0]=1;a[h+888+(l<<2)+1|0]=0}else{if((k|0)>65535){m=33;break}if((c[12328+(((d[8712+(k>>8)|0]|0)<<3)+((k&255)>>5)<<2)>>2]&1<<(k&31)|0)!=0){a[h+76+l|0]=22}else{if((c[12328+(((d[13608+(k>>8)|0]|0)<<3)+((k&255)>>5)<<2)>>2]&1<<(k&31)|0)!=0){a[h+76+l|0]=26}else{a[h+76+l|0]=28}}a[h+888+(l<<2)|0]=cP(k,h+888+(l<<2)+1|0)|0;b[h+376+(l<<1)>>1]=k}}}}l=l+1|0}if((m|0)==19){n=0;o=n;i=j;return o|0}else if((m|0)==25){n=0;o=n;i=j;return o|0}else if((m|0)==33){n=0;o=n;i=j;return o|0}else if((m|0)==46){c[h+372>>2]=g;c[h+368>>2]=f;if((f|0)!=0){c[h+332>>2]=8;c[h+336>>2]=8;c[h+340>>2]=8;c[h+344>>2]=30;c[h+348>>2]=30;c[h+352>>2]=30;c[h+356>>2]=54;c[h+360>>2]=54;c[h+364>>2]=54}c[h+60>>2]=12;c[h+64>>2]=14;n=h|0;o=n;i=j;return o|0}return 0}function fP(a){a=a|0;var b=0,c=0,e=0,f=0;b=i;c=a;a:do{switch(c>>8|0){case 255:{do{if((c|0)!=65534){if((c|0)==65535){break}e=10;break a}}while(0);f=-1;break};case 216:case 217:case 218:case 219:case 220:case 221:case 222:case 223:{f=-1;break};case 0:{if((d[15372+c|0]|0|0)==0){f=-1;break a}else{e=10;break a}break};default:{e=10}}}while(0);if((e|0)==10){f=c}i=b;return f|0}function gP(a,b){a=a|0;b=b|0;var e=0,f=0,g=0,h=0;e=i;f=a;a=me[c[f+368>>2]&127](c[f+372>>2]|0,b)|0;if((a&-65536|0)!=0){g=0;h=g;i=e;return h|0}else{g=c[12328+(((d[13608+(a>>8)|0]|0)<<3)+((a&255)>>5)<<2)>>2]&1<<(a&31);h=g;i=e;return h|0}return 0}function hP(a,b){a=a|0;b=b|0;var e=0,f=0,g=0,h=0;e=i;f=a;a=me[c[f+368>>2]&127](c[f+372>>2]|0,b)|0;if((a&-65536|0)!=0){g=0;h=g;i=e;return h|0}else{g=c[12328+(((d[8712+(a>>8)|0]|0)<<3)+((a&255)>>5)<<2)>>2]&1<<(a&31);h=g;i=e;return h|0}return 0}function iP(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;e=a;a=me[c[e+368>>2]&127](c[e+372>>2]|0,b)|0;if((a&-65536|0)!=0){f=1;g=f&1;i=d;return g|0}f=(fP(a)|0)<0;g=f&1;i=d;return g|0}function jP(b,e,f,g,h){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;j=i;i=i+8|0;k=j|0;l=b;b=e;e=f;f=g;g=h;h=l;while(1){if((c[b>>2]|0)==(e|0)){m=3;break}n=h+888+(d[c[b>>2]|0]<<2)|0;o=n;n=o+1|0;p=a[o]|0;if((p|0)==0){p=cP(me[c[h+368>>2]&127](c[h+372>>2]|0,c[b>>2]|0)|0,k|0)|0;if((p|0)>(g-(c[f>>2]|0)|0)){m=6;break}n=k|0;o=b;c[o>>2]=(c[o>>2]|0)+((d[l+76+(d[c[b>>2]|0]|0)|0]|0)-3)}else{if((p|0)>(g-(c[f>>2]|0)|0)){m=9;break}o=b;c[o>>2]=(c[o>>2]|0)+1}do{o=n;n=o+1|0;q=a[o]|0;o=f;r=c[o>>2]|0;c[o>>2]=r+1;a[r]=q;q=p-1|0;p=q;}while((q|0)!=0)}if((m|0)==3){i=j;return}else if((m|0)==6){i=j;return}else if((m|0)==9){i=j;return}}function kP(a,e,f,g,h){a=a|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0;j=i;k=a;a=e;e=f;f=g;g=h;h=k;while(1){if((c[a>>2]|0)!=(e|0)){l=(c[f>>2]|0)!=(g|0)}else{l=0}if(!l){break}m=b[h+376+((d[c[a>>2]|0]|0)<<1)>>1]|0;if((m&65535|0)==0){m=(me[c[h+368>>2]&127](c[h+372>>2]|0,c[a>>2]|0)|0)&65535;n=a;c[n>>2]=(c[n>>2]|0)+((d[k+76+(d[c[a>>2]|0]|0)|0]|0)-3)}else{n=a;c[n>>2]=(c[n>>2]|0)+1}n=f;o=c[n>>2]|0;c[n>>2]=o+2;b[o>>1]=m}i=j;return}function lP(){return 16120}function mP(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;f=i;g=b;b=d;d=nP(e)|0;if((d|0)==-1){h=0;j=h;i=f;return j|0}else{a[g+73|0]=d;c[g>>2]=38;c[g+4>>2]=80;c[g+52>>2]=8;c[g+76>>2]=b;c[b>>2]=g;h=1;j=h;i=f;return j|0}return 0}function nP(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;d=a;do{if((d|0)==0){e=6}else{a=0;while(1){if((a|0)>=6){f=9;break}if((BP(d,c[16584+(a<<2)>>2]|0)|0)!=0){f=6;break}a=a+1|0}if((f|0)==6){e=a;break}else if((f|0)==9){e=-1;break}}}while(0);i=b;return e|0}function oP(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=zR(16728,a,0,b,c,d)|0;i=e;return f|0}function pP(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=zR(16728,a,1,b,c,d)|0;i=e;return f|0}function qP(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;a=i;YQ(816,b,c,d);i=a;return}function rP(a,b,c,d,e,f,g,h,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0;l=i;m=sP(18,a,b,c,d,e,f,g,h,j,k)|0;i=l;return m|0}function sP(a,b,d,e,f,g,h,j,k,l,m){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;n=i;i=i+32|0;o=n|0;p=n+8|0;q=n+16|0;r=n+24|0;s=a;a=b;b=d;c[o>>2]=e;e=f;f=g;g=h;h=j;j=k;k=l;l=m;c[p>>2]=0;c[q>>2]=0;c[r>>2]=0;c[o>>2]=(c[o>>2]|0)+((c[b+68>>2]|0)*5|0);e=e+(-(c[b+68>>2]<<1)|0)|0;do{if((AR(b,c[o>>2]|0,e,q,r,p,o)|0)!=0){if((c[q>>2]|0)==0){break}do{if((qe[c[b+28>>2]&127](b,c[q>>2]|0,c[r>>2]|0,9998936)|0)!=0){if((g|0)!=0){c[g>>2]=c[p>>2]}if((h|0)!=0){c[h>>2]=c[o>>2]}if((AR(b,c[o>>2]|0,e,q,r,p,o)|0)==0){c[f>>2]=c[o>>2];t=0;u=t;i=n;return u|0}if((c[q>>2]|0)!=0){break}if((a|0)!=0){c[f>>2]=c[o>>2];t=0;u=t;i=n;return u|0}else{t=1;u=t;i=n;return u|0}}else{if((a|0)!=0){break}c[f>>2]=c[q>>2];t=0;u=t;i=n;return u|0}}while(0);do{if((qe[c[b+28>>2]&127](b,c[q>>2]|0,c[r>>2]|0,9998968)|0)!=0){m=BR(b,c[p>>2]|0,e)|0;if(97<=(m|0)){if((m|0)>122){v=22}}else{v=22}do{if((v|0)==22){if(65<=(m|0)){if((m|0)<=90){break}}c[f>>2]=c[p>>2];t=0;u=t;i=n;return u|0}}while(0);if((j|0)!=0){c[j>>2]=c[p>>2]}if((k|0)!=0){c[k>>2]=ee[s&127](b,c[p>>2]|0,(c[o>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0}if((AR(b,c[o>>2]|0,e,q,r,p,o)|0)==0){c[f>>2]=c[o>>2];t=0;u=t;i=n;return u|0}if((c[q>>2]|0)!=0){break}t=1;u=t;i=n;return u|0}}while(0);do{if((qe[c[b+28>>2]&127](b,c[q>>2]|0,c[r>>2]|0,9998944)|0)!=0){if((a|0)!=0){break}if((qe[c[b+28>>2]&127](b,c[p>>2]|0,(c[o>>2]|0)+(-(c[b+68>>2]|0)|0)|0,9998928)|0)!=0){if((l|0)!=0){c[l>>2]=1}}else{if((qe[c[b+28>>2]&127](b,c[p>>2]|0,(c[o>>2]|0)+(-(c[b+68>>2]|0)|0)|0,9998960)|0)==0){c[f>>2]=c[p>>2];t=0;u=t;i=n;return u|0}if((l|0)!=0){c[l>>2]=0}}while(1){if((CR(BR(b,c[o>>2]|0,e)|0)|0)==0){break}c[o>>2]=(c[o>>2]|0)+(c[b+68>>2]|0)}if((c[o>>2]|0)!=(e|0)){c[f>>2]=c[o>>2];t=0;u=t;i=n;return u|0}else{t=1;u=t;i=n;return u|0}}}while(0);c[f>>2]=c[q>>2];t=0;u=t;i=n;return u|0}}while(0);c[f>>2]=c[o>>2];t=0;u=t;i=n;return u|0}function tP(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;f=i;i=i+144|0;g=f|0;h=f+8|0;j=f+136|0;k=b;c[g>>2]=d;d=e;c[j>>2]=h;_d[c[k+60>>2]&31](k,g,d,j,(c[j>>2]|0)+128-1|0);if((c[g>>2]|0)!=(d|0)){l=0;m=l;i=f;return m|0}a[c[j>>2]|0]=0;do{if((BP(h|0,9999024)|0)!=0){if((c[k+68>>2]|0)!=2){break}l=k;m=l;i=f;return m|0}}while(0);k=nP(h|0)|0;if((k|0)==-1){l=0;m=l;i=f;return m|0}else{l=c[16728+(k<<2)>>2]|0;m=l;i=f;return m|0}return 0}function uP(){return 15752}function vP(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;f=i;g=b;b=d;d=nP(e)|0;if((d|0)==-1){h=0;j=h;i=f;return j|0}else{a[g+73|0]=d;c[g>>2]=32;c[g+4>>2]=92;c[g+52>>2]=8;c[g+76>>2]=b;c[b>>2]=g;h=1;j=h;i=f;return j|0}return 0}function wP(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=zR(16696,a,0,b,c,d)|0;i=e;return f|0}function xP(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=zR(16696,a,1,b,c,d)|0;i=e;return f|0}function yP(a,b,c,d,e,f,g,h,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0;l=i;m=sP(52,a,b,c,d,e,f,g,h,j,k)|0;i=l;return m|0}function zP(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;f=i;i=i+144|0;g=f|0;h=f+8|0;j=f+136|0;k=b;c[g>>2]=d;d=e;c[j>>2]=h;_d[c[k+60>>2]&31](k,g,d,j,(c[j>>2]|0)+128-1|0);if((c[g>>2]|0)!=(d|0)){l=0;m=l;i=f;return m|0}a[c[j>>2]|0]=0;do{if((BP(h|0,9999024)|0)!=0){if((c[k+68>>2]|0)!=2){break}l=k;m=l;i=f;return m|0}}while(0);k=nP(h|0)|0;if((k|0)==-1){l=0;m=l;i=f;return m|0}else{l=c[16696+(k<<2)>>2]|0;m=l;i=f;return m|0}return 0}function AP(b,c,d,e){b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0;f=i;g=eP(b,c,d,e)|0;if((g|0)==0){h=g;i=f;return h|0}a[g+134|0]=23;h=g;i=f;return h|0}function BP(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0;d=i;e=b;b=c;do{c=e;e=c+1|0;f=a[c]|0;c=b;b=c+1|0;g=a[c]|0;do{if(97<=(f<<24>>24|0)){if((f<<24>>24|0)>122){break}f=(f<<24>>24)-32&255}}while(0);do{if(97<=(g<<24>>24|0)){if((g<<24>>24|0)>122){break}g=(g<<24>>24)-32&255}}while(0);if((f<<24>>24|0)!=(g<<24>>24|0)){h=9;break}}while(f<<24>>24!=0);if((h|0)==9){j=0;k=j;i=d;return k|0}j=1;k=j;i=d;return k|0}function CP(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-4}else{g=e-b|0;do{if((g&1|0)!=0){g=g&-2;if((g|0)==0){k=-1;break a}else{e=b+g|0;break}}}while(0);if((a[b+1|0]|0)==0){l=d[j+76+(d[b]|0)|0]|0}else{l=TP(a[b+1|0]|0,a[b|0]|0)|0}b:do{switch(l|0){case 21:case 10:{m=26;break};case 29:{if((c[12328+((d[8712+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)!=0){b=b+2|0;n=18;m=86;break b}if((c[12328+((d[13608+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)!=0){b=b+2|0;n=19;m=86;break b}else{m=85;break b}break};case 31:{c[f>>2]=b+2;k=23;break a;break};case 32:{b=b+2|0;if((b|0)==(e|0)){k=-24;break a}if((a[b+1|0]|0)==0){o=d[j+76+(d[b]|0)|0]|0}else{o=TP(a[b+1|0]|0,a[b|0]|0)|0}switch(o|0){case 33:{c[f>>2]=b+2;k=36;break a;break};case 15:{c[f>>2]=b+2;k=35;break a;break};case 9:case 10:case 21:case 11:case 35:case 36:case 32:{c[f>>2]=b;k=24;break a;break};case 34:{c[f>>2]=b+2;k=37;break a;break};default:{c[f>>2]=b;k=0;break a}}break};case 13:{k=dQ(13,j,b+2|0,e,f)|0;break a;break};case 36:{c[f>>2]=b+2;k=21;break a;break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 20:{c[f>>2]=b+2;k=25;break a;break};case 30:{k=VP(j,b+2|0,e,f)|0;break a;break};case 35:{c[f>>2]=b+2;k=38;break a;break};case 12:{k=dQ(12,j,b+2|0,e,f)|0;break a;break};case 22:case 24:{n=18;b=b+2|0;m=86;break};case 25:case 26:case 27:case 23:{n=19;b=b+2|0;m=86;break};case 11:{c[f>>2]=b+2;k=17;break a;break};case 19:{k=fQ(j,b+2|0,e,f)|0;break a;break};case 4:{b=b+2|0;if((b|0)==(e|0)){k=-26;break a}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=93){break}if((b+2|0)==(e|0)){k=-1;break a}do{if((a[b+3|0]|0)==0){if((a[b+2|0]|0)!=62){break}c[f>>2]=b+4;k=34;break a}}while(0)}}while(0);c[f>>2]=b;k=26;break a;break};case 2:{b=b+2|0;if((b|0)==(e|0)){k=-1;break a}if((a[b+1|0]|0)==0){p=d[j+76+(d[b]|0)|0]|0}else{p=TP(a[b+1|0]|0,a[b|0]|0)|0}switch(p|0){case 22:case 24:case 29:case 5:case 6:case 7:{c[f>>2]=b-2;k=29;break a;break};case 15:{k=$P(j,b+2|0,e,f)|0;break a;break};case 16:{k=eQ(j,b+2|0,e,f)|0;break a;break};default:{c[f>>2]=b;k=0;break a}}break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 9:{if((b+2|0)==(e|0)){c[f>>2]=e;k=-15;break a}else{m=26;break b}break};default:{m=85}}}while(0);if((m|0)==26){while(1){b=b+2|0;if((b|0)==(e|0)){m=28;break}if((a[b+1|0]|0)==0){q=d[j+76+(d[b]|0)|0]|0}else{q=TP(a[b+1|0]|0,a[b|0]|0)|0}if(!((q|0)==21|(q|0)==10))if((q|0)==9){if((b+2|0)==(e|0)){m=36;break}}else{break}}if((m|0)==28){c[f>>2]=b;k=15;break}c[f>>2]=b;k=15;break}else if((m|0)==85){c[f>>2]=b;k=0;break}else if((m|0)==86){c:while(1){if((b|0)==(e|0)){m=141;break}if((a[b+1|0]|0)==0){r=d[j+76+(d[b]|0)|0]|0}else{r=TP(a[b+1|0]|0,a[b|0]|0)|0}switch(r|0){case 34:{m=130;break c;break};case 33:{m=133;break c;break};case 6:{m=99;break c;break};case 29:{if((c[12328+((d[13608+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)==0){m=93;break c}m=95;break};case 15:{m=136;break c;break};case 7:{m=102;break c;break};case 22:case 24:case 25:case 26:case 27:{m=95;break};case 5:{m=96;break c;break};case 11:case 32:case 35:case 36:case 20:case 30:case 21:case 9:case 10:{m=105;break c;break};case 23:{b=b+2|0;g=n;if((g|0)==41){n=19}else if((g|0)==18){if((b|0)==(e|0)){m=108;break c}n=41;if((a[b+1|0]|0)==0){s=d[j+76+(d[b]|0)|0]|0}else{s=TP(a[b+1|0]|0,a[b|0]|0)|0}switch(s|0){case 6:{m=120;break c;break};case 22:case 24:case 25:case 26:case 27:{m=116;break};case 5:{m=117;break c;break};case 7:{m=123;break c;break};case 29:{if((c[12328+((d[13608+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)==0){m=114;break c}m=116;break};default:{n=19}}if((m|0)==116){m=0;b=b+2|0}}break};default:{m=139;break c}}if((m|0)==95){m=0;b=b+2|0}}if((m|0)==93){c[f>>2]=b;k=0;break}else if((m|0)==96){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==99){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==102){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==105){c[f>>2]=b;k=n;break}else if((m|0)==108){k=-1;break}else if((m|0)==114){c[f>>2]=b;k=0;break}else if((m|0)==117){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==120){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==123){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==130){if((n|0)==19){c[f>>2]=b;k=0;break}else{c[f>>2]=b+2;k=32;break}}else if((m|0)==133){if((n|0)==19){c[f>>2]=b;k=0;break}else{c[f>>2]=b+2;k=31;break}}else if((m|0)==136){if((n|0)==19){c[f>>2]=b;k=0;break}else{c[f>>2]=b+2;k=30;break}}else if((m|0)==139){c[f>>2]=b;k=0;break}else if((m|0)==141){k=-n|0;break}}}}while(0);i=h;return k|0}function DP(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-4;l=k;i=h;return l|0}g=e-b|0;do{if((g&1|0)!=0){g=g&-2;if((g|0)!=0){e=b+g|0;break}k=-1;l=k;i=h;return l|0}}while(0);if((a[b+1|0]|0)==0){m=d[j+76+(d[b]|0)|0]|0}else{m=TP(a[b+1|0]|0,a[b|0]|0)|0}a:do{switch(m|0){case 0:case 1:case 8:{c[f>>2]=b;k=0;l=k;i=h;return l|0};case 3:{k=UP(j,b+2|0,e,f)|0;l=k;i=h;return l|0};case 9:{b=b+2|0;if((b|0)==(e|0)){k=-3;l=k;i=h;return l|0}if((a[b+1|0]|0)==0){n=d[j+76+(d[b]|0)|0]|0}else{n=TP(a[b+1|0]|0,a[b|0]|0)|0}if((n|0)==10){b=b+2|0}c[f>>2]=b;k=7;l=k;i=h;return l|0};case 10:{c[f>>2]=b+2;k=7;l=k;i=h;return l|0};case 4:{b=b+2|0;if((b|0)==(e|0)){k=-5;l=k;i=h;return l|0}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=93){break}b=b+2|0;if((b|0)==(e|0)){k=-5;l=k;i=h;return l|0}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=62){break}c[f>>2]=b;k=0;l=k;i=h;return l|0}}while(0);b=b-2|0;break a}}while(0);break};case 7:{if((e-b|0)>=4){b=b+4|0;break a}k=-2;l=k;i=h;return l|0};case 6:{if((e-b|0)>=3){b=b+3|0;break a}k=-2;l=k;i=h;return l|0};case 5:{if((e-b|0)>=2){b=b+2|0;break a}k=-2;l=k;i=h;return l|0};case 2:{k=YP(j,b+2|0,e,f)|0;l=k;i=h;return l|0};default:{b=b+2|0}}}while(0);b:while(1){if((b|0)==(e|0)){o=73;break}if((a[b+1|0]|0)==0){p=d[j+76+(d[b]|0)|0]|0}else{p=TP(a[b+1|0]|0,a[b|0]|0)|0}c:do{switch(p|0){case 3:case 2:case 0:case 1:case 8:case 9:case 10:{break b;break};case 6:{if((e-b|0)<3){o=54;break b}b=b+3|0;break};case 4:{if((b+2|0)==(e|0)){o=69;break b}do{if((a[b+3|0]|0)==0){if((a[b+2|0]|0)!=93){break}if((b+4|0)==(e|0)){o=68;break b}if((a[b+5|0]|0)==0){if((a[b+4|0]|0)==62){o=67;break b}}b=b+2|0;break c}}while(0);b=b+2|0;break};case 7:{if((e-b|0)<4){o=57;break b}b=b+4|0;break};case 5:{if((e-b|0)<2){o=51;break b}b=b+2|0;break};default:{b=b+2|0}}}while(0)}if((o|0)==51){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==54){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==57){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==67){c[f>>2]=b+4;k=0;l=k;i=h;return l|0}else if((o|0)==68){o=69}else if((o|0)==73){c[f>>2]=b;k=6;l=k;i=h;return l|0}c[f>>2]=b;k=6;l=k;i=h;return l|0}function EP(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-4;l=k;i=h;return l|0}g=e-b|0;do{if((g&1|0)!=0){g=g&-2;if((g|0)!=0){e=b+g|0;break}k=-1;l=k;i=h;return l|0}}while(0);if((a[b+1|0]|0)==0){m=d[j+76+(d[b]|0)|0]|0}else{m=TP(a[b+1|0]|0,a[b|0]|0)|0}a:do{switch(m|0){case 6:{if((e-b|0)>=3){b=b+3|0;break a}k=-2;l=k;i=h;return l|0};case 7:{if((e-b|0)>=4){b=b+4|0;break a}k=-2;l=k;i=h;return l|0};case 0:case 1:case 8:{c[f>>2]=b;k=0;l=k;i=h;return l|0};case 9:{b=b+2|0;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}if((a[b+1|0]|0)==0){n=d[j+76+(d[b]|0)|0]|0}else{n=TP(a[b+1|0]|0,a[b|0]|0)|0}if((n|0)==10){b=b+2|0}c[f>>2]=b;k=7;l=k;i=h;return l|0};case 4:{b=b+2|0;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=93){break}b=b+2|0;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=62){break}c[f>>2]=b+2;k=40;l=k;i=h;return l|0}}while(0);b=b-2|0;break a}}while(0);break};case 10:{c[f>>2]=b+2;k=7;l=k;i=h;return l|0};case 5:{if((e-b|0)>=2){b=b+2|0;break a}k=-2;l=k;i=h;return l|0};default:{b=b+2|0}}}while(0);b:while(1){if((b|0)==(e|0)){o=60;break}if((a[b+1|0]|0)==0){p=d[j+76+(d[b]|0)|0]|0}else{p=TP(a[b+1|0]|0,a[b|0]|0)|0}switch(p|0){case 5:{if((e-b|0)<2){o=49;break b}b=b+2|0;break};case 6:{if((e-b|0)<3){o=52;break b}b=b+3|0;break};case 0:case 1:case 8:case 9:case 10:case 4:{o=57;break b;break};case 7:{if((e-b|0)<4){o=55;break b}b=b+4|0;break};default:{b=b+2|0}}}if((o|0)==49){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==52){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==55){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==57){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==60){c[f>>2]=b;k=6;l=k;i=h;return l|0}return 0}function FP(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0;h=i;j=b;b=e;e=f;f=g;g=0;k=e-b|0;if((k&1|0)!=0){k=k&-2;e=b+k|0}a:while(1){if((b|0)==(e|0)){l=45;break}if((a[b+1|0]|0)==0){m=d[j+76+(d[b]|0)|0]|0}else{m=TP(a[b+1|0]|0,a[b|0]|0)|0}switch(m|0){case 6:{if((e-b|0)<3){l=13;break a}b=b+3|0;break};case 7:{if((e-b|0)<4){l=16;break a}b=b+4|0;break};case 0:case 1:case 8:{l=18;break a;break};case 2:{k=b+2|0;b=k;if((k|0)==(e|0)){l=20;break a}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=33){break}k=b+2|0;b=k;if((k|0)==(e|0)){l=24;break a}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=91){break}g=g+1|0;b=b+2|0}}while(0)}}while(0);break};case 4:{k=b+2|0;b=k;if((k|0)==(e|0)){l=31;break a}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=93){break}k=b+2|0;b=k;if((k|0)==(e|0)){l=35;break a}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=62){break}b=b+2|0;if((g|0)==0){l=39;break a}g=g-1|0}}while(0)}}while(0);break};case 5:{if((e-b|0)<2){l=10;break a}b=b+2|0;break};default:{b=b+2|0}}}if((l|0)==10){n=-2;o=n;i=h;return o|0}else if((l|0)==13){n=-2;o=n;i=h;return o|0}else if((l|0)==16){n=-2;o=n;i=h;return o|0}else if((l|0)==18){c[f>>2]=b;n=0;o=n;i=h;return o|0}else if((l|0)==20){n=-1;o=n;i=h;return o|0}else if((l|0)==24){n=-1;o=n;i=h;return o|0}else if((l|0)==31){n=-1;o=n;i=h;return o|0}else if((l|0)==35){n=-1;o=n;i=h;return o|0}else if((l|0)==39){c[f>>2]=b;n=42;o=n;i=h;return o|0}else if((l|0)==45){n=-1;o=n;i=h;return o|0}return 0}function GP(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;do{if((b|0)==(e|0)){k=-4}else{g=b;a:while(1){if((b|0)==(e|0)){l=34;break}if((a[b+1|0]|0)==0){m=d[j+76+(d[b]|0)|0]|0}else{m=TP(a[b+1|0]|0,a[b|0]|0)|0}switch(m|0){case 6:{b=b+3|0;break};case 9:{l=19;break a;break};case 3:{l=12;break a;break};case 2:{l=15;break a;break};case 10:{l=16;break a;break};case 7:{b=b+4|0;break};case 21:{l=29;break a;break};case 5:{b=b+2|0;break};default:{b=b+2|0}}}if((l|0)==12){if((b|0)==(g|0)){k=UP(j,b+2|0,e,f)|0;break}else{c[f>>2]=b;k=6;break}}else if((l|0)==15){c[f>>2]=b;k=0;break}else if((l|0)==16){if((b|0)==(g|0)){c[f>>2]=b+2;k=7;break}else{c[f>>2]=b;k=6;break}}else if((l|0)==19){if((b|0)!=(g|0)){c[f>>2]=b;k=6;break}b=b+2|0;if((b|0)==(e|0)){k=-3;break}if((a[b+1|0]|0)==0){n=d[j+76+(d[b]|0)|0]|0}else{n=TP(a[b+1|0]|0,a[b|0]|0)|0}if((n|0)==10){b=b+2|0}c[f>>2]=b;k=7;break}else if((l|0)==29){if((b|0)==(g|0)){c[f>>2]=b+2;k=39;break}else{c[f>>2]=b;k=6;break}}else if((l|0)==34){c[f>>2]=b;k=6;break}}}while(0);i=h;return k|0}function HP(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-4;l=k;i=h;return l|0}g=b;a:while(1){if((b|0)==(e|0)){m=36;break}if((a[b+1|0]|0)==0){n=d[j+76+(d[b]|0)|0]|0}else{n=TP(a[b+1|0]|0,a[b|0]|0)|0}switch(n|0){case 10:{m=21;break a;break};case 6:{b=b+3|0;break};case 9:{m=24;break a;break};case 5:{b=b+2|0;break};case 3:{m=12;break a;break};case 30:{m=15;break a;break};case 7:{b=b+4|0;break};default:{b=b+2|0}}}if((m|0)==12){if((b|0)==(g|0)){k=UP(j,b+2|0,e,f)|0;l=k;i=h;return l|0}else{c[f>>2]=b;k=6;l=k;i=h;return l|0}}else if((m|0)==15){if((b|0)!=(g|0)){c[f>>2]=b;k=6;l=k;i=h;return l|0}n=VP(j,b+2|0,e,f)|0;if((n|0)==22){o=0}else{o=n}k=o;l=k;i=h;return l|0}else if((m|0)==21){if((b|0)==(g|0)){c[f>>2]=b+2;k=7;l=k;i=h;return l|0}else{c[f>>2]=b;k=6;l=k;i=h;return l|0}}else if((m|0)==24){if((b|0)!=(g|0)){c[f>>2]=b;k=6;l=k;i=h;return l|0}b=b+2|0;if((b|0)==(e|0)){k=-3;l=k;i=h;return l|0}if((a[b+1|0]|0)==0){p=d[j+76+(d[b]|0)|0]|0}else{p=TP(a[b+1|0]|0,a[b|0]|0)|0}if((p|0)==10){b=b+2|0}c[f>>2]=b;k=7;l=k;i=h;return l|0}else if((m|0)==36){c[f>>2]=b;k=6;l=k;i=h;return l|0}return 0}function IP(b,c,e){b=b|0;c=c|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;f=i;g=b;b=c;c=e;a:while(1){if((a[b+1|0]|0)==0){h=d[g+76+(d[b]|0)|0]|0}else{h=TP(a[b+1|0]|0,a[b|0]|0)|0}switch(h|0){case 29:case 22:case 23:case 24:case 25:case 26:case 27:{e=c;c=e+1|0;j=b;b=j+1|0;if((a[e]|0)!=(a[j]|0)){k=18;break a}j=c;c=j+1|0;e=b;b=e+1|0;if((a[j]|0)!=(a[e]|0)){k=20;break a}break};case 7:{e=b;b=e+1|0;j=c;c=j+1|0;if((a[e]|0)!=(a[j]|0)){k=7;break a}k=9;break};case 6:{k=9;break};case 5:{k=12;break};default:{k=22;break a}}if((k|0)==9){k=0;j=b;b=j+1|0;e=c;c=e+1|0;if((a[j]|0)!=(a[e]|0)){k=10;break}k=12}if((k|0)==12){k=0;e=b;b=e+1|0;j=c;c=j+1|0;if((a[e]|0)!=(a[j]|0)){k=13;break}j=b;b=j+1|0;e=c;c=e+1|0;if((a[j]|0)!=(a[e]|0)){k=15;break}}}if((k|0)==7){l=0;m=l;i=f;return m|0}else if((k|0)==10){l=0;m=l;i=f;return m|0}else if((k|0)==13){l=0;m=l;i=f;return m|0}else if((k|0)==15){l=0;m=l;i=f;return m|0}else if((k|0)==18){l=0;m=l;i=f;return m|0}else if((k|0)==20){l=0;m=l;i=f;return m|0}else if((k|0)==22){if((a[c+1|0]|0)==0){n=d[g+76+(d[c]|0)|0]|0}else{n=TP(a[c+1|0]|0,a[c|0]|0)|0}switch(n|0){case 5:case 6:case 7:case 29:case 22:case 23:case 24:case 25:case 26:case 27:{l=0;m=l;i=f;return m|0};default:{l=1;m=l;i=f;return m|0}}}return 0}function JP(b,c,d,e){b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;b=i;f=c;c=d;d=e;while(1){if((a[d]|0)==0){g=10;break}if((f|0)==(c|0)){g=4;break}if((a[f+1|0]|0)!=0){g=7;break}if((a[f|0]|0)!=(a[d]|0)){g=7;break}f=f+2|0;d=d+1|0}if((g|0)==4){h=0;j=h;i=b;return j|0}else if((g|0)==7){h=0;j=h;i=b;return j|0}else if((g|0)==10){h=(f|0)==(c|0)|0;j=h;i=b;return j|0}return 0}function KP(b,c){b=b|0;c=c|0;var e=0,f=0,g=0;e=i;f=b;b=c;c=b;a:while(1){if((a[b+1|0]|0)==0){g=d[f+76+(d[b]|0)|0]|0}else{g=TP(a[b+1|0]|0,a[b|0]|0)|0}switch(g|0){case 7:{b=b+4|0;break};case 5:{b=b+2|0;break};case 29:case 22:case 23:case 24:case 25:case 26:case 27:{b=b+2|0;break};case 6:{b=b+3|0;break};default:{break a}}}i=e;return b-c|0}function LP(b,c){b=b|0;c=c|0;var e=0,f=0,g=0;e=i;f=b;b=c;while(1){if((a[b+1|0]|0)==0){g=d[f+76+(d[b]|0)|0]|0}else{g=TP(a[b+1|0]|0,a[b|0]|0)|0}if(!((g|0)==10|(g|0)==9|(g|0)==21)){break}b=b+2|0}i=e;return b|0}function MP(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;g=1;k=0;l=0;b=b+2|0;a:while(1){if((a[b+1|0]|0)==0){m=d[j+76+(d[b]|0)|0]|0}else{m=TP(a[b+1|0]|0,a[b|0]|0)|0}switch(m|0){case 13:{if((g|0)!=2){if((k|0)<(e|0)){c[f+(k<<4)+4>>2]=b+2}g=2;l=13}else{if((l|0)==13){g=0;if((k|0)<(e|0)){c[f+(k<<4)+8>>2]=b}k=k+1|0}}break};case 7:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}b=b+2|0;break};case 12:{if((g|0)!=2){if((k|0)<(e|0)){c[f+(k<<4)+4>>2]=b+2}g=2;l=12}else{if((l|0)==12){g=0;if((k|0)<(e|0)){c[f+(k<<4)+8>>2]=b}k=k+1|0}}break};case 21:{if((g|0)==1){g=0}else{b:do{if((g|0)==2){if((k|0)>=(e|0)){break}if((a[f+(k<<4)+12|0]|0)==0){break}do{if((b|0)!=(c[f+(k<<4)+4>>2]|0)){if((a[b+1|0]|0)==0){n=a[b|0]|0}else{n=-1}if((n|0)!=32){break}if((a[b+3|0]|0)==0){o=a[b+2|0]|0}else{o=-1}if((o|0)==32){break}if((a[b+3|0]|0)==0){p=d[j+76+(d[b+2|0]|0)|0]|0}else{p=TP(a[b+3|0]|0,a[b+2|0]|0)|0}if((p|0)!=(l|0)){break b}}}while(0);a[f+(k<<4)+12|0]=0}}while(0)}break};case 29:case 22:case 24:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}break};case 3:{if((k|0)<(e|0)){a[f+(k<<4)+12|0]=0}break};case 9:case 10:{if((g|0)==1){g=0}else{do{if((g|0)==2){if((k|0)>=(e|0)){break}a[f+(k<<4)+12|0]=0}}while(0)}break};case 11:case 17:{if((g|0)!=2){break a}break};case 5:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}b=b|0;break};case 6:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}b=b+1|0;break};default:{}}b=b+2|0}i=h;return k|0}function NP(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;b=i;d=c;c=0;d=d+4|0;do{if((a[d+1|0]|0)==0){if((a[d|0]|0)!=120){e=19;break}d=d+2|0;while(1){if((a[d+1|0]|0)==0){f=(a[d|0]|0)==59}else{f=0}if(!(f^1)){e=18;break}if((a[d+1|0]|0)==0){g=a[d|0]|0}else{g=-1}h=g;switch(h|0){case 65:case 66:case 67:case 68:case 69:case 70:{c=c<<4;c=c+(h-65+10)|0;break};case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:{c=c<<4;c=c|h-48;break};case 97:case 98:case 99:case 100:case 101:case 102:{c=c<<4;c=c+(h-97+10)|0;break};default:{}}if((c|0)>=1114112){break}d=d+2|0}if((e|0)==18){break}j=-1;k=j;i=b;return k|0}else{e=19}}while(0);do{if((e|0)==19){while(1){if((a[d+1|0]|0)==0){l=(a[d|0]|0)==59}else{l=0}if(!(l^1)){e=30;break}if((a[d+1|0]|0)==0){m=a[d|0]|0}else{m=-1}c=c*10|0;c=c+(m-48)|0;if((c|0)>=1114112){break}d=d+2|0}if((e|0)==30){break}j=-1;k=j;i=b;return k|0}}while(0);j=fP(c)|0;k=j;i=b;return k|0}function OP(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0;b=i;e=c;c=(d-e|0)/2|0;if((c|0)==3){do{if((a[e+1|0]|0)==0){if((a[e|0]|0)!=97){break}e=e+2|0;do{if((a[e+1|0]|0)==0){if((a[e|0]|0)!=109){break}e=e+2|0;do{if((a[e+1|0]|0)==0){if((a[e|0]|0)!=112){break}f=38;g=f;i=b;return g|0}}while(0)}}while(0)}}while(0)}else if((c|0)==4){if((a[e+1|0]|0)==0){h=a[e|0]|0}else{h=-1}if((h|0)==113){e=e+2|0;do{if((a[e+1|0]|0)==0){if((a[e|0]|0)!=117){break}e=e+2|0;do{if((a[e+1|0]|0)==0){if((a[e|0]|0)!=111){break}e=e+2|0;do{if((a[e+1|0]|0)==0){if((a[e|0]|0)!=116){break}f=34;g=f;i=b;return g|0}}while(0)}}while(0)}}while(0)}else if((h|0)==97){e=e+2|0;do{if((a[e+1|0]|0)==0){if((a[e|0]|0)!=112){break}e=e+2|0;do{if((a[e+1|0]|0)==0){if((a[e|0]|0)!=111){break}e=e+2|0;do{if((a[e+1|0]|0)==0){if((a[e|0]|0)!=115){break}f=39;g=f;i=b;return g|0}}while(0)}}while(0)}}while(0)}}else if((c|0)==2){do{if((a[e+3|0]|0)==0){if((a[e+2|0]|0)!=116){break}if((a[e+1|0]|0)==0){j=a[e|0]|0}else{j=-1}if((j|0)==108){f=60;g=f;i=b;return g|0}else if((j|0)==103){f=62;g=f;i=b;return g|0}else{break}}}while(0)}f=0;g=f;i=b;return g|0}function PP(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;h=i;j=b;b=e;e=f;f=g;while(1){if(!(b>>>0<e>>>0)){break}if((a[b+1|0]|0)==0){k=d[j+76+(d[b]|0)|0]|0}else{k=TP(a[b+1|0]|0,a[b|0]|0)|0}switch(k|0){case 5:{b=b+2|0;break};case 7:{b=b+4|0;break};case 6:{b=b+3|0;break};case 9:{g=f|0;c[g>>2]=(c[g>>2]|0)+1;b=b+2|0;do{if((b|0)!=(e|0)){if((a[b+1|0]|0)==0){l=d[j+76+(d[b]|0)|0]|0}else{l=TP(a[b+1|0]|0,a[b|0]|0)|0}if((l|0)!=10){break}b=b+2|0}}while(0);c[f+4>>2]=-1;break};case 10:{c[f+4>>2]=-1;g=f|0;c[g>>2]=(c[g>>2]|0)+1;b=b+2|0;break};default:{b=b+2|0}}g=f+4|0;c[g>>2]=(c[g>>2]|0)+1}i=h;return}function QP(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;b=b+2|0;e=e-2|0;a:while(1){if((b|0)==(e|0)){k=27;break}if((a[b+1|0]|0)==0){l=d[j+76+(d[b]|0)|0]|0}else{l=TP(a[b+1|0]|0,a[b|0]|0)|0}b:do{switch(l|0){case 26:case 22:{if((a[b+1|0]|0)==0){m=a[b|0]|0}else{m=-1}if((m&-128|0)!=0){k=18;break b}else{break b}break};case 21:{if((a[b+1|0]|0)==0){if((a[b|0]|0)==9){k=10;break a}}break};case 25:case 24:case 27:case 13:case 31:case 32:case 34:case 35:case 17:case 14:case 15:case 9:case 10:case 18:case 16:case 33:case 30:case 19:case 23:{break};default:{k=18}}}while(0);if((k|0)==18){k=0;if((a[b+1|0]|0)==0){n=a[b|0]|0}else{n=-1}if(!((n|0)==36|(n|0)==64)){k=23;break}}b=b+2|0}if((k|0)==10){c[f>>2]=b;o=0;p=o;i=h;return p|0}else if((k|0)==23){c[f>>2]=b;o=0;p=o;i=h;return p|0}else if((k|0)==27){o=1;p=o;i=h;return p|0}return 0}function RP(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;b=i;h=d;d=e;e=f;f=g;g=c[h>>2]|0;a:while(1){if((g|0)==(d|0)){j=20;break}k=a[g|0]|0;l=a[g+1|0]|0;b:do{switch(l&255|0){case 216:case 217:case 218:case 219:{if((f-(c[e>>2]|0)|0)<4){j=16;break a}m=((l&3)<<2|(k&255)>>6&3)+1|0;n=e;o=c[n>>2]|0;c[n>>2]=o+1;a[o]=m>>2|240;o=e;n=c[o>>2]|0;c[o>>2]=n+1;a[n]=(k&255)>>2&15|(m&3)<<4|128;g=g+2|0;m=a[g|0]|0;n=((k&3)<<4|(a[g+1|0]&3)<<2|(m&255)>>6|128)&255;o=e;p=c[o>>2]|0;c[o>>2]=p+1;a[p]=n;n=e;p=c[n>>2]|0;c[n>>2]=p+1;a[p]=m&63|128;break};case 0:{if((k&255|0)>=128){j=9;break b}if((c[e>>2]|0)==(f|0)){j=6;break a}m=e;p=c[m>>2]|0;c[m>>2]=p+1;a[p]=k;break};case 1:case 2:case 3:case 4:case 5:case 6:case 7:{j=9;break};default:{if((f-(c[e>>2]|0)|0)<3){j=13;break a}p=e;m=c[p>>2]|0;c[p>>2]=m+1;a[m]=(l&255)>>4|224;m=e;p=c[m>>2]|0;c[m>>2]=p+1;a[p]=(l&15)<<2|(k&255)>>6|128;p=e;m=c[p>>2]|0;c[p>>2]=m+1;a[m]=k&63|128}}}while(0);if((j|0)==9){j=0;if((f-(c[e>>2]|0)|0)<2){j=10;break}m=e;p=c[m>>2]|0;c[m>>2]=p+1;a[p]=(k&255)>>6|(l&255)<<2|192;p=e;m=c[p>>2]|0;c[p>>2]=m+1;a[m]=k&63|128}g=g+2|0}if((j|0)==6){c[h>>2]=g;i=b;return}else if((j|0)==10){c[h>>2]=g;i=b;return}else if((j|0)==13){c[h>>2]=g;i=b;return}else if((j|0)==16){c[h>>2]=g;i=b;return}else if((j|0)==20){c[h>>2]=g;i=b;return}}function SP(e,f,g,h,j){e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0;e=i;k=f;f=g;g=h;h=j;do{if((f-(c[k>>2]|0)|0)>(((h-(c[g>>2]|0)|0)/2|0)<<1|0)){if((a[f-2+1|0]&248|0)!=216){break}f=f-2|0}}while(0);while(1){if((c[k>>2]|0)!=(f|0)){l=(c[g>>2]|0)!=(h|0)}else{l=0}if(!l){break}j=((d[(c[k>>2]|0)+1|0]|0)<<8|(d[c[k>>2]|0]|0))&65535;m=g;n=c[m>>2]|0;c[m>>2]=n+2;b[n>>1]=j;j=k;c[j>>2]=(c[j>>2]|0)+2}i=e;return}function TP(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;a:do{switch(a&255|0){case 220:case 221:case 222:case 223:{c=8;break};case 216:case 217:case 218:case 219:{c=7;break};case 255:{d=b&255;if((d|0)==255|(d|0)==254){c=0;break a}else{e=7;break a}break};default:{e=7}}}while(0);if((e|0)==7){c=29}i=i;return c|0}function UP(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b+1|0]|0)==0){l=d[j+76+(d[b]|0)|0]|0}else{l=TP(a[b+1|0]|0,a[b|0]|0)|0}b:do{switch(l|0){case 19:{k=WP(j,b+2|0,e,f)|0;break a;break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 22:case 24:{break};case 29:{if((c[12328+((d[8712+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){m=44;break}if((a[b+1|0]|0)==0){n=d[j+76+(d[b]|0)|0]|0}else{n=TP(a[b+1|0]|0,a[b|0]|0)|0}switch(n|0){case 5:{m=32;break c;break};case 7:{m=38;break c;break};case 18:{m=41;break c;break};case 29:{if((c[12328+((d[13608+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)==0){m=29;break c}break};case 22:case 24:case 25:case 26:case 27:{break};case 6:{m=35;break c;break};default:{m=42;break c}}b=b+2|0}if((m|0)==29){c[f>>2]=b;k=0;break}else if((m|0)==32){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==35){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==38){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==41){c[f>>2]=b+2;k=9;break}else if((m|0)==42){c[f>>2]=b;k=0;break}else if((m|0)==44){k=-1;break}}}while(0);i=h;return k|0}function VP(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b+1|0]|0)==0){l=d[j+76+(d[b]|0)|0]|0}else{l=TP(a[b+1|0]|0,a[b|0]|0)|0}b:do{switch(l|0){case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 21:case 10:case 9:case 30:{c[f>>2]=b;k=22;break a;break};case 29:{if((c[12328+((d[8712+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 22:case 24:{break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){m=44;break}if((a[b+1|0]|0)==0){n=d[j+76+(d[b]|0)|0]|0}else{n=TP(a[b+1|0]|0,a[b|0]|0)|0}switch(n|0){case 7:{m=38;break c;break};case 22:case 24:case 25:case 26:case 27:{break};case 29:{if((c[12328+((d[13608+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)==0){m=29;break c}break};case 18:{m=41;break c;break};case 6:{m=35;break c;break};case 5:{m=32;break c;break};default:{m=42;break c}}b=b+2|0}if((m|0)==29){c[f>>2]=b;k=0;break}else if((m|0)==32){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==35){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==38){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==41){c[f>>2]=b+2;k=28;break}else if((m|0)==42){c[f>>2]=b;k=0;break}else if((m|0)==44){k=-1;break}}}while(0);i=h;return k|0}function WP(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0;h=i;j=b;b=e;e=f;f=g;do{if((b|0)!=(e|0)){do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=120){break}k=XP(j,b+2|0,e,f)|0;l=k;i=h;return l|0}}while(0);if((a[b+1|0]|0)==0){m=d[j+76+(d[b]|0)|0]|0}else{m=TP(a[b+1|0]|0,a[b|0]|0)|0}if((m|0)!=25){c[f>>2]=b;k=0;l=k;i=h;return l|0}b=b+2|0;while(1){if((b|0)==(e|0)){n=22;break}if((a[b+1|0]|0)==0){o=d[j+76+(d[b]|0)|0]|0}else{o=TP(a[b+1|0]|0,a[b|0]|0)|0}if((o|0)==18){n=18;break}else if((o|0)!=25){n=19;break}b=b+2|0}if((n|0)==18){c[f>>2]=b+2;k=10;l=k;i=h;return l|0}else if((n|0)==19){c[f>>2]=b;k=0;l=k;i=h;return l|0}else if((n|0)==22){break}}}while(0);k=-1;l=k;i=h;return l|0}function XP(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0;h=i;j=b;b=e;e=f;f=g;do{if((b|0)!=(e|0)){if((a[b+1|0]|0)==0){k=d[j+76+(d[b]|0)|0]|0}else{k=TP(a[b+1|0]|0,a[b|0]|0)|0}if(!((k|0)==25|(k|0)==24)){c[f>>2]=b;l=0;m=l;i=h;return m|0}b=b+2|0;while(1){if((b|0)==(e|0)){n=19;break}if((a[b+1|0]|0)==0){o=d[j+76+(d[b]|0)|0]|0}else{o=TP(a[b+1|0]|0,a[b|0]|0)|0}if((o|0)==18){n=15;break}else if(!((o|0)==25|(o|0)==24)){n=16;break}b=b+2|0}if((n|0)==15){c[f>>2]=b+2;l=10;m=l;i=h;return m|0}else if((n|0)==16){c[f>>2]=b;l=0;m=l;i=h;return m|0}else if((n|0)==19){break}}}while(0);l=-1;m=l;i=h;return m|0}function YP(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b+1|0]|0)==0){l=d[j+76+(d[b]|0)|0]|0}else{l=TP(a[b+1|0]|0,a[b|0]|0)|0}b:do{switch(l|0){case 15:{k=$P(j,b+2|0,e,f)|0;break a;break};case 16:{g=b+2|0;b=g;if((g|0)==(e|0)){k=-1;break a}if((a[b+1|0]|0)==0){m=d[j+76+(d[b]|0)|0]|0}else{m=TP(a[b+1|0]|0,a[b|0]|0)|0}if((m|0)==20){k=_P(j,b+2|0,e,f)|0;break a}else if((m|0)==27){k=ZP(j,b+2|0,e,f)|0;break a}else{c[f>>2]=b;k=0;break a}break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 22:case 24:{break};case 17:{k=aQ(j,b+2|0,e,f)|0;break a;break};case 29:{if((c[12328+((d[8712+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;g=0;c:while(1){if((b|0)==(e|0)){n=110;break}if((a[b+1|0]|0)==0){o=d[j+76+(d[b]|0)|0]|0}else{o=TP(a[b+1|0]|0,a[b|0]|0)|0}switch(o|0){case 6:{n=45;break c;break};case 7:{n=48;break c;break};case 23:{if((g|0)!=0){n=52;break c}g=1;b=b+2|0;if((b|0)==(e|0)){n=54;break c}if((a[b+1|0]|0)==0){p=d[j+76+(d[b]|0)|0]|0}else{p=TP(a[b+1|0]|0,a[b|0]|0)|0}switch(p|0){case 6:{n=66;break c;break};case 7:{n=69;break c;break};case 22:case 24:{break};case 5:{n=63;break c;break};case 29:{if((c[12328+((d[8712+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)==0){n=60;break c}break};default:{n=72;break c}}b=b+2|0;break};case 22:case 24:case 25:case 26:case 27:{n=41;break};case 5:{n=42;break c;break};case 11:{n=99;break c;break};case 17:{n=101;break c;break};case 29:{if((c[12328+((d[13608+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)==0){n=39;break c}n=41;break};case 21:case 9:case 10:{n=74;break c;break};default:{n=108;break c}}if((n|0)==41){n=0;b=b+2|0}}d:do{if((n|0)==39){c[f>>2]=b;k=0;break a}else if((n|0)==42){if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==45){if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==48){if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==52){c[f>>2]=b;k=0;break a}else if((n|0)==54){k=-1;break a}else if((n|0)==60){c[f>>2]=b;k=0;break a}else if((n|0)==63){if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==66){if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==69){if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==72){c[f>>2]=b;k=0;break a}else if((n|0)==74){b=b+2|0;e:while(1){if((b|0)==(e|0)){n=98;break}if((a[b+1|0]|0)==0){q=d[j+76+(d[b]|0)|0]|0}else{q=TP(a[b+1|0]|0,a[b|0]|0)|0}switch(q|0){case 22:case 24:{break e;break};case 5:{n=84;break e;break};case 11:{n=93;break e;break};case 6:{n=87;break e;break};case 29:{n=80;break e;break};case 17:{n=94;break e;break};case 21:case 9:case 10:{break};case 7:{n=90;break e;break};default:{n=96;break e}}b=b+2|0}do{if((n|0)==80){if((c[12328+((d[8712+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)!=0){break}else{c[f>>2]=b;k=0;break a}}else if((n|0)==84){if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==87){if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==90){if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==93){n=100;break d}else if((n|0)==94){break d}else if((n|0)==96){c[f>>2]=b;k=0;break a}else if((n|0)==98){k=-1;break a}}while(0);b=b+2|0;k=bQ(j,b,e,f)|0;break a}else if((n|0)==99){n=100}else if((n|0)!=101)if((n|0)==108){c[f>>2]=b;k=0;break a}else if((n|0)==110){k=-1;break a}}while(0);if((n|0)==100){c[f>>2]=b+2;k=2;break}b=b+2|0;if((b|0)==(e|0)){k=-1;break}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=62){break}c[f>>2]=b+2;k=4;break a}}while(0);c[f>>2]=b;k=0}}while(0);i=h;return k|0}function ZP(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)!=(e|0)){do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=45){break}b=b+2|0;b:while(1){if((b|0)==(e|0)){k=34;break}if((a[b+1|0]|0)==0){l=d[j+76+(d[b]|0)|0]|0}else{l=TP(a[b+1|0]|0,a[b|0]|0)|0}switch(l|0){case 7:{if((e-b|0)<4){k=18;break b}b=b+4|0;break};case 0:case 1:case 8:{k=20;break b;break};case 27:{g=b+2|0;b=g;if((g|0)==(e|0)){k=22;break b}if((a[b+1|0]|0)==0){if((a[b|0]|0)==45){k=25;break b}}break};case 5:{if((e-b|0)<2){k=12;break b}b=b+2|0;break};case 6:{if((e-b|0)<3){k=15;break b}b=b+3|0;break};default:{b=b+2|0}}}if((k|0)==12){m=-2;n=m;i=h;return n|0}else if((k|0)==15){m=-2;n=m;i=h;return n|0}else if((k|0)==18){m=-2;n=m;i=h;return n|0}else if((k|0)==20){c[f>>2]=b;m=0;n=m;i=h;return n|0}else if((k|0)==22){m=-1;n=m;i=h;return n|0}else if((k|0)==25){g=b+2|0;b=g;if((g|0)==(e|0)){m=-1;n=m;i=h;return n|0}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=62){break}c[f>>2]=b+2;m=13;n=m;i=h;return n|0}}while(0);c[f>>2]=b;m=0;n=m;i=h;return n|0}else if((k|0)==34){break a}}}while(0);c[f>>2]=b;m=0;n=m;i=h;return n|0}}while(0);m=-1;n=m;i=h;return n|0}function _P(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;b=i;g=d;d=f;if((e-g|0)<12){h=-1;j=h;i=b;return j|0}e=0;while(1){if((e|0)>=6){k=10;break}if((a[g+1|0]|0)!=0){k=7;break}if((a[g|0]|0)!=(a[14184+e|0]|0)){k=7;break}e=e+1|0;g=g+2|0}if((k|0)==7){c[d>>2]=g;h=0;j=h;i=b;return j|0}else if((k|0)==10){c[d>>2]=g;h=8;j=h;i=b;return j|0}return 0}function $P(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;i=i+8|0;j=h|0;k=b;b=e;e=f;f=g;g=b;a:do{if((b|0)==(e|0)){l=-1}else{if((a[b+1|0]|0)==0){m=d[k+76+(d[b]|0)|0]|0}else{m=TP(a[b+1|0]|0,a[b|0]|0)|0}b:do{switch(m|0){case 6:{if((e-b|0)<3){l=-2;break a}else{c[f>>2]=b;l=0;break a}break};case 7:{if((e-b|0)<4){l=-2;break a}else{c[f>>2]=b;l=0;break a}break};case 22:case 24:{break};case 29:{if((c[12328+((d[8712+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)!=0){break b}else{c[f>>2]=b;l=0;break a}break};case 5:{if((e-b|0)<2){l=-2;break a}else{c[f>>2]=b;l=0;break a}break};default:{c[f>>2]=b;l=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){n=77;break}if((a[b+1|0]|0)==0){o=d[k+76+(d[b]|0)|0]|0}else{o=TP(a[b+1|0]|0,a[b|0]|0)|0}switch(o|0){case 21:case 9:case 10:{n=40;break c;break};case 6:{n=34;break c;break};case 29:{if((c[12328+((d[13608+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)==0){n=28;break c}break};case 15:{n=67;break c;break};case 7:{n=37;break c;break};case 22:case 24:case 25:case 26:case 27:{break};case 5:{n=31;break c;break};default:{break c}}b=b+2|0}if((n|0)==28){c[f>>2]=b;l=0;break}else if((n|0)==31){if((e-b|0)<2){l=-2;break}else{c[f>>2]=b;l=0;break}}else if((n|0)==34){if((e-b|0)<3){l=-2;break}else{c[f>>2]=b;l=0;break}}else if((n|0)==37){if((e-b|0)<4){l=-2;break}else{c[f>>2]=b;l=0;break}}else if((n|0)==40){if((cQ(k,g,b,j)|0)==0){c[f>>2]=b;l=0;break}b=b+2|0;d:while(1){if((b|0)==(e|0)){n=66;break}if((a[b+1|0]|0)==0){p=d[k+76+(d[b]|0)|0]|0}else{p=TP(a[b+1|0]|0,a[b|0]|0)|0}switch(p|0){case 6:{if((e-b|0)<3){n=52;break d}b=b+3|0;break};case 7:{if((e-b|0)<4){n=55;break d}b=b+4|0;break};case 5:{if((e-b|0)<2){n=49;break d}b=b+2|0;break};case 0:case 1:case 8:{n=57;break d;break};case 15:{b=b+2|0;if((b|0)==(e|0)){n=59;break d}if((a[b+1|0]|0)==0){if((a[b|0]|0)==62){n=62;break d}}break};default:{b=b+2|0}}}if((n|0)==49){l=-2;break}else if((n|0)==52){l=-2;break}else if((n|0)==55){l=-2;break}else if((n|0)==57){c[f>>2]=b;l=0;break}else if((n|0)==59){l=-1;break}else if((n|0)==62){c[f>>2]=b+2;l=c[j>>2]|0;break}else if((n|0)==66){l=-1;break}}else if((n|0)==67){if((cQ(k,g,b,j)|0)==0){c[f>>2]=b;l=0;break}b=b+2|0;if((b|0)==(e|0)){l=-1;break}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=62){break}c[f>>2]=b+2;l=c[j>>2]|0;break a}}while(0)}else if((n|0)==77){l=-1;break}c[f>>2]=b;l=0}}while(0);i=h;return l|0}function aQ(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b+1|0]|0)==0){l=d[j+76+(d[b]|0)|0]|0}else{l=TP(a[b+1|0]|0,a[b|0]|0)|0}b:do{switch(l|0){case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 29:{if((c[12328+((d[8712+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 22:case 24:{break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){m=56;break}if((a[b+1|0]|0)==0){n=d[j+76+(d[b]|0)|0]|0}else{n=TP(a[b+1|0]|0,a[b|0]|0)|0}switch(n|0){case 23:{b=b+2|0;break};case 11:{m=53;break c;break};case 22:case 24:case 25:case 26:case 27:{m=30;break};case 29:{if((c[12328+((d[13608+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)==0){m=28;break c}m=30;break};case 7:{m=37;break c;break};case 6:{m=34;break c;break};case 5:{m=31;break c;break};case 21:case 9:case 10:{m=40;break c;break};default:{m=54;break c}}if((m|0)==30){m=0;b=b+2|0}}if((m|0)==28){c[f>>2]=b;k=0;break}else if((m|0)==31){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==34){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==37){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==40){b=b+2|0;while(1){if((b|0)==(e|0)){m=51;break}if((a[b+1|0]|0)==0){o=d[j+76+(d[b]|0)|0]|0}else{o=TP(a[b+1|0]|0,a[b|0]|0)|0}if((o|0)==11){m=47;break}else if(!((o|0)==21|(o|0)==9|(o|0)==10)){m=48;break}b=b+2|0}if((m|0)==47){c[f>>2]=b+2;k=5;break}else if((m|0)==48){c[f>>2]=b;k=0;break}else if((m|0)==51){k=-1;break}}else if((m|0)==53){c[f>>2]=b+2;k=5;break}else if((m|0)==54){c[f>>2]=b;k=0;break}else if((m|0)==56){k=-1;break}}}while(0);i=h;return k|0}function bQ(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;h=i;i=i+8|0;j=h|0;k=b;c[j>>2]=e;e=f;f=g;g=0;a:while(1){if((c[j>>2]|0)==(e|0)){l=141;break}if((a[(c[j>>2]|0)+1|0]|0)==0){m=d[k+76+(d[c[j>>2]|0]|0)|0]|0}else{m=TP(a[(c[j>>2]|0)+1|0]|0,a[c[j>>2]|0]|0)|0}switch(m|0){case 29:{if((c[12328+((d[13608+(d[(c[j>>2]|0)+1|0]|0)|0]<<3)+(d[c[j>>2]|0]>>5)<<2)>>2]&1<<(a[c[j>>2]|0]&31)|0)==0){l=8;break a}l=10;break};case 21:case 9:case 10:{while(1){c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=45;break a}if((a[(c[j>>2]|0)+1|0]|0)==0){n=d[k+76+(d[c[j>>2]|0]|0)|0]|0}else{n=TP(a[(c[j>>2]|0)+1|0]|0,a[c[j>>2]|0]|0)|0}b=n;if((b|0)==14){break}o=b;if(!((o|0)==21|(o|0)==10|(o|0)==9)){l=53;break a}}l=56;break};case 14:{l=56;break};case 6:{l=14;break a;break};case 7:{l=17;break a;break};case 23:{if((g|0)!=0){l=21;break a}g=1;c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=23;break a}if((a[(c[j>>2]|0)+1|0]|0)==0){p=d[k+76+(d[c[j>>2]|0]|0)|0]|0}else{p=TP(a[(c[j>>2]|0)+1|0]|0,a[c[j>>2]|0]|0)|0}switch(p|0){case 7:{l=38;break a;break};case 22:case 24:{break};case 5:{l=32;break a;break};case 29:{if((c[12328+((d[8712+(d[(c[j>>2]|0)+1|0]|0)|0]<<3)+(d[c[j>>2]|0]>>5)<<2)>>2]&1<<(a[c[j>>2]|0]&31)|0)==0){l=29;break a}break};case 6:{l=35;break a;break};default:{l=41;break a}}c[j>>2]=(c[j>>2]|0)+2;break};case 22:case 24:case 25:case 26:case 27:{l=10;break};case 5:{l=11;break a;break};default:{l=139;break a}}if((l|0)==10){l=0;c[j>>2]=(c[j>>2]|0)+2}else if((l|0)==56){l=0;g=0;while(1){c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=58;break a}if((a[(c[j>>2]|0)+1|0]|0)==0){q=d[k+76+(d[c[j>>2]|0]|0)|0]|0}else{q=TP(a[(c[j>>2]|0)+1|0]|0,a[c[j>>2]|0]|0)|0}r=q;if((r|0)==12){break}if((r|0)==13){break}o=r;if(!((o|0)==21|(o|0)==10|(o|0)==9)){l=67;break a}}c[j>>2]=(c[j>>2]|0)+2;while(1){if((c[j>>2]|0)==(e|0)){l=71;break a}if((a[(c[j>>2]|0)+1|0]|0)==0){s=d[k+76+(d[c[j>>2]|0]|0)|0]|0}else{s=TP(a[(c[j>>2]|0)+1|0]|0,a[c[j>>2]|0]|0)|0}o=s;if((o|0)==(r|0)){break}switch(o|0){case 0:case 1:case 8:{l=87;break a;break};case 3:{t=UP(k,(c[j>>2]|0)+2|0,e,j)|0;if((t|0)<=0){l=89;break a}break};case 6:{if((e-(c[j>>2]|0)|0)<3){l=82;break a}c[j>>2]=(c[j>>2]|0)+3;break};case 5:{if((e-(c[j>>2]|0)|0)<2){l=79;break a}c[j>>2]=(c[j>>2]|0)+2;break};case 7:{if((e-(c[j>>2]|0)|0)<4){l=85;break a}c[j>>2]=(c[j>>2]|0)+4;break};case 2:{l=93;break a;break};default:{c[j>>2]=(c[j>>2]|0)+2}}}c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=97;break}if((a[(c[j>>2]|0)+1|0]|0)==0){u=d[k+76+(d[c[j>>2]|0]|0)|0]|0}else{u=TP(a[(c[j>>2]|0)+1|0]|0,a[c[j>>2]|0]|0)|0}switch(u|0){case 11:{l=104;break a;break};case 21:case 9:case 10:{break};case 17:{l=103;break a;break};default:{l=105;break a}}b:while(1){c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=108;break a}if((a[(c[j>>2]|0)+1|0]|0)==0){v=d[k+76+(d[c[j>>2]|0]|0)|0]|0}else{v=TP(a[(c[j>>2]|0)+1|0]|0,a[c[j>>2]|0]|0)|0}switch(v|0){case 29:{l=113;break b;break};case 21:case 9:case 10:{break};case 11:{l=127;break a;break};case 17:{l=129;break a;break};case 6:{l=120;break a;break};case 7:{l=123;break a;break};case 22:case 24:{break b;break};case 5:{l=117;break a;break};default:{l=136;break a}}}if((l|0)==113){l=0;if((c[12328+((d[8712+(d[(c[j>>2]|0)+1|0]|0)|0]<<3)+(d[c[j>>2]|0]>>5)<<2)>>2]&1<<(a[c[j>>2]|0]&31)|0)==0){l=114;break}}c[j>>2]=(c[j>>2]|0)+2}}if((l|0)==8){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==11){if((e-(c[j>>2]|0)|0)<2){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==14){if((e-(c[j>>2]|0)|0)<3){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==17){if((e-(c[j>>2]|0)|0)<4){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==21){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==23){w=-1;x=w;i=h;return x|0}else if((l|0)==29){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==32){if((e-(c[j>>2]|0)|0)<2){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==35){if((e-(c[j>>2]|0)|0)<3){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==38){if((e-(c[j>>2]|0)|0)<4){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==41){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==45){w=-1;x=w;i=h;return x|0}else if((l|0)==53){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==58){w=-1;x=w;i=h;return x|0}else if((l|0)==67){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==71){w=-1;x=w;i=h;return x|0}else if((l|0)==79){w=-2;x=w;i=h;return x|0}else if((l|0)==82){w=-2;x=w;i=h;return x|0}else if((l|0)==85){w=-2;x=w;i=h;return x|0}else if((l|0)==87){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==89){if((t|0)==0){c[f>>2]=c[j>>2]}w=t;x=w;i=h;return x|0}else if((l|0)==93){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==97){w=-1;x=w;i=h;return x|0}else if((l|0)!=103)if((l|0)==104){l=128}else if((l|0)==105){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==108){w=-1;x=w;i=h;return x|0}else if((l|0)==114){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==117){if((e-(c[j>>2]|0)|0)<2){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==120){if((e-(c[j>>2]|0)|0)<3){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==123){if((e-(c[j>>2]|0)|0)<4){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==127){l=128}else if((l|0)!=129)if((l|0)==136){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==139){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==141){w=-1;x=w;i=h;return x|0}if((l|0)==128){c[f>>2]=(c[j>>2]|0)+2;w=1;x=w;i=h;return x|0}c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){w=-1;x=w;i=h;return x|0}do{if((a[(c[j>>2]|0)+1|0]|0)==0){if((a[c[j>>2]|0]|0)!=62){break}c[f>>2]=(c[j>>2]|0)+2;w=3;x=w;i=h;return x|0}}while(0);c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}function cQ(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;b=i;g=d;d=f;f=0;c[d>>2]=11;do{if((e-g|0)!=6){h=1}else{if((a[g+1|0]|0)==0){j=a[g|0]|0}else{j=-1}if((j|0)==88){f=1}else if((j|0)!=120){h=1;break}g=g+2|0;if((a[g+1|0]|0)==0){k=a[g|0]|0}else{k=-1}if((k|0)==77){f=1}else if((k|0)!=109){h=1;break}g=g+2|0;if((a[g+1|0]|0)==0){l=a[g|0]|0}else{l=-1}if((l|0)!=108)if((l|0)==76){f=1}else{h=1;break}if((f|0)!=0){h=0;break}else{c[d>>2]=12;h=1;break}}}while(0);i=b;return h|0}function dQ(b,e,f,g,h){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0;j=i;k=b;b=e;e=f;f=g;g=h;a:while(1){if((e|0)==(f|0)){l=29;break}if((a[e+1|0]|0)==0){m=d[b+76+(d[e]|0)|0]|0}else{m=TP(a[e+1|0]|0,a[e|0]|0)|0}h=m;switch(h|0){case 7:{if((f-e|0)<4){l=14;break a}e=e+4|0;break};case 12:case 13:{e=e+2|0;if((h|0)==(k|0)){l=19;break a}break};case 6:{if((f-e|0)<3){l=11;break a}e=e+3|0;break};case 0:case 1:case 8:{l=16;break a;break};case 5:{if((f-e|0)<2){l=8;break a}e=e+2|0;break};default:{e=e+2|0}}}if((l|0)==8){n=-2;o=n;i=j;return o|0}else if((l|0)==11){n=-2;o=n;i=j;return o|0}else if((l|0)==14){n=-2;o=n;i=j;return o|0}else if((l|0)==16){c[g>>2]=e;n=0;o=n;i=j;return o|0}else if((l|0)==19){if((e|0)==(f|0)){n=-27;o=n;i=j;return o|0}c[g>>2]=e;if((a[e+1|0]|0)==0){p=d[b+76+(d[e]|0)|0]|0}else{p=TP(a[e+1|0]|0,a[e|0]|0)|0}switch(p|0){case 21:case 9:case 10:case 11:case 30:case 20:{n=27;o=n;i=j;return o|0};default:{n=0;o=n;i=j;return o|0}}}else if((l|0)==29){n=-1;o=n;i=j;return o|0}return 0}function eQ(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}if((a[b+1|0]|0)==0){m=d[j+76+(d[b]|0)|0]|0}else{m=TP(a[b+1|0]|0,a[b|0]|0)|0}if((m|0)==27){k=ZP(j,b+2|0,e,f)|0;l=k;i=h;return l|0}else if((m|0)==20){c[f>>2]=b+2;k=33;l=k;i=h;return l|0}else if((m|0)==22|(m|0)==24){b=b+2|0;a:while(1){if((b|0)==(e|0)){n=29;break}if((a[b+1|0]|0)==0){o=d[j+76+(d[b]|0)|0]|0}else{o=TP(a[b+1|0]|0,a[b|0]|0)|0}switch(o|0){case 30:{n=17;break a;break};case 21:case 9:case 10:{break a;break};case 22:case 24:{break};default:{n=27;break a}}b=b+2|0}do{if((n|0)==17){if((b+2|0)==(e|0)){k=-1;l=k;i=h;return l|0}if((a[b+3|0]|0)==0){p=d[j+76+(d[b+2|0]|0)|0]|0}else{p=TP(a[b+3|0]|0,a[b+2|0]|0)|0}if(!((p|0)==21|(p|0)==9|(p|0)==10|(p|0)==30)){break}c[f>>2]=b;k=0;l=k;i=h;return l|0}else if((n|0)==27){c[f>>2]=b;k=0;l=k;i=h;return l|0}else if((n|0)==29){k=-1;l=k;i=h;return l|0}}while(0);c[f>>2]=b;k=16;l=k;i=h;return l|0}else{c[f>>2]=b;k=0;l=k;i=h;return l|0}return 0}function fQ(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b+1|0]|0)==0){l=d[j+76+(d[b]|0)|0]|0}else{l=TP(a[b+1|0]|0,a[b|0]|0)|0}b:do{switch(l|0){case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 29:{if((c[12328+((d[8712+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};case 22:case 24:{break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){m=43;break}if((a[b+1|0]|0)==0){n=d[j+76+(d[b]|0)|0]|0}else{n=TP(a[b+1|0]|0,a[b|0]|0)|0}switch(n|0){case 7:{m=37;break c;break};case 22:case 24:case 25:case 26:case 27:{break};case 29:{if((c[12328+((d[13608+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)==0){m=28;break c}break};case 9:case 10:case 21:case 32:case 11:case 30:case 36:{m=40;break c;break};case 6:{m=34;break c;break};case 5:{m=31;break c;break};default:{m=41;break c}}b=b+2|0}if((m|0)==28){c[f>>2]=b;k=0;break}else if((m|0)==31){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==34){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==37){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==40){c[f>>2]=b;k=20;break}else if((m|0)==41){c[f>>2]=b;k=0;break}else if((m|0)==43){k=-20;break}}}while(0);i=h;return k|0}function gQ(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-4}else{g=e-b|0;do{if((g&1|0)!=0){g=g&-2;if((g|0)==0){k=-1;break a}else{e=b+g|0;break}}}while(0);if((a[b|0]|0)==0){l=d[j+76+(d[b+1|0]|0)|0]|0}else{l=TP(a[b|0]|0,a[b+1|0]|0)|0}b:do{switch(l|0){case 20:{c[f>>2]=b+2;k=25;break a;break};case 36:{c[f>>2]=b+2;k=21;break a;break};case 11:{c[f>>2]=b+2;k=17;break a;break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 9:{if((b+2|0)==(e|0)){c[f>>2]=e;k=-15;break a}else{m=26;break b}break};case 31:{c[f>>2]=b+2;k=23;break a;break};case 4:{b=b+2|0;if((b|0)==(e|0)){k=-26;break a}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=93){break}if((b+2|0)==(e|0)){k=-1;break a}do{if((a[b+2|0]|0)==0){if((a[b+3|0]|0)!=62){break}c[f>>2]=b+4;k=34;break a}}while(0)}}while(0);c[f>>2]=b;k=26;break a;break};case 19:{k=KQ(j,b+2|0,e,f)|0;break a;break};case 21:case 10:{m=26;break};case 22:case 24:{n=18;b=b+2|0;m=86;break};case 25:case 26:case 27:case 23:{n=19;b=b+2|0;m=86;break};case 30:{k=yQ(j,b+2|0,e,f)|0;break a;break};case 35:{c[f>>2]=b+2;k=38;break a;break};case 29:{if((c[12328+((d[8712+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)!=0){b=b+2|0;n=18;m=86;break b}if((c[12328+((d[13608+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)!=0){b=b+2|0;n=19;m=86;break b}else{m=85;break b}break};case 13:{k=IQ(13,j,b+2|0,e,f)|0;break a;break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 2:{b=b+2|0;if((b|0)==(e|0)){k=-1;break a}if((a[b|0]|0)==0){o=d[j+76+(d[b+1|0]|0)|0]|0}else{o=TP(a[b|0]|0,a[b+1|0]|0)|0}switch(o|0){case 16:{k=JQ(j,b+2|0,e,f)|0;break a;break};case 15:{k=EQ(j,b+2|0,e,f)|0;break a;break};case 22:case 24:case 29:case 5:case 6:case 7:{c[f>>2]=b-2;k=29;break a;break};default:{c[f>>2]=b;k=0;break a}}break};case 32:{b=b+2|0;if((b|0)==(e|0)){k=-24;break a}if((a[b|0]|0)==0){p=d[j+76+(d[b+1|0]|0)|0]|0}else{p=TP(a[b|0]|0,a[b+1|0]|0)|0}switch(p|0){case 15:{c[f>>2]=b+2;k=35;break a;break};case 33:{c[f>>2]=b+2;k=36;break a;break};case 9:case 10:case 21:case 11:case 35:case 36:case 32:{c[f>>2]=b;k=24;break a;break};case 34:{c[f>>2]=b+2;k=37;break a;break};default:{c[f>>2]=b;k=0;break a}}break};case 12:{k=IQ(12,j,b+2|0,e,f)|0;break a;break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};default:{m=85}}}while(0);if((m|0)==26){while(1){b=b+2|0;if((b|0)==(e|0)){m=28;break}if((a[b|0]|0)==0){q=d[j+76+(d[b+1|0]|0)|0]|0}else{q=TP(a[b|0]|0,a[b+1|0]|0)|0}if((q|0)==9){if((b+2|0)==(e|0)){m=36;break}}else if(!((q|0)==21|(q|0)==10)){break}}if((m|0)==28){c[f>>2]=b;k=15;break}c[f>>2]=b;k=15;break}else if((m|0)==85){c[f>>2]=b;k=0;break}else if((m|0)==86){c:while(1){if((b|0)==(e|0)){m=141;break}if((a[b|0]|0)==0){r=d[j+76+(d[b+1|0]|0)|0]|0}else{r=TP(a[b|0]|0,a[b+1|0]|0)|0}switch(r|0){case 34:{m=130;break c;break};case 33:{m=133;break c;break};case 29:{if((c[12328+((d[13608+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)==0){m=93;break c}m=95;break};case 23:{b=b+2|0;g=n;if((g|0)==41){n=19}else if((g|0)==18){if((b|0)==(e|0)){m=108;break c}n=41;if((a[b|0]|0)==0){s=d[j+76+(d[b+1|0]|0)|0]|0}else{s=TP(a[b|0]|0,a[b+1|0]|0)|0}switch(s|0){case 22:case 24:case 25:case 26:case 27:{m=116;break};case 5:{m=117;break c;break};case 29:{if((c[12328+((d[13608+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)==0){m=114;break c}m=116;break};case 6:{m=120;break c;break};case 7:{m=123;break c;break};default:{n=19}}if((m|0)==116){m=0;b=b+2|0}}break};case 11:case 32:case 35:case 36:case 20:case 30:case 21:case 9:case 10:{m=105;break c;break};case 15:{m=136;break c;break};case 7:{m=102;break c;break};case 6:{m=99;break c;break};case 22:case 24:case 25:case 26:case 27:{m=95;break};case 5:{m=96;break c;break};default:{m=139;break c}}if((m|0)==95){m=0;b=b+2|0}}if((m|0)==93){c[f>>2]=b;k=0;break}else if((m|0)==96){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==99){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==102){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==105){c[f>>2]=b;k=n;break}else if((m|0)==108){k=-1;break}else if((m|0)==114){c[f>>2]=b;k=0;break}else if((m|0)==117){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==120){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==123){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==130){if((n|0)==19){c[f>>2]=b;k=0;break}else{c[f>>2]=b+2;k=32;break}}else if((m|0)==133){if((n|0)==19){c[f>>2]=b;k=0;break}else{c[f>>2]=b+2;k=31;break}}else if((m|0)==136){if((n|0)==19){c[f>>2]=b;k=0;break}else{c[f>>2]=b+2;k=30;break}}else if((m|0)==139){c[f>>2]=b;k=0;break}else if((m|0)==141){k=-n|0;break}}}}while(0);i=h;return k|0}function hQ(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-4;l=k;i=h;return l|0}g=e-b|0;do{if((g&1|0)!=0){g=g&-2;if((g|0)!=0){e=b+g|0;break}k=-1;l=k;i=h;return l|0}}while(0);if((a[b|0]|0)==0){m=d[j+76+(d[b+1|0]|0)|0]|0}else{m=TP(a[b|0]|0,a[b+1|0]|0)|0}a:do{switch(m|0){case 7:{if((e-b|0)>=4){b=b+4|0;break a}k=-2;l=k;i=h;return l|0};case 10:{c[f>>2]=b+2;k=7;l=k;i=h;return l|0};case 4:{b=b+2|0;if((b|0)==(e|0)){k=-5;l=k;i=h;return l|0}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=93){break}b=b+2|0;if((b|0)==(e|0)){k=-5;l=k;i=h;return l|0}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=62){break}c[f>>2]=b;k=0;l=k;i=h;return l|0}}while(0);b=b-2|0;break a}}while(0);break};case 5:{if((e-b|0)>=2){b=b+2|0;break a}k=-2;l=k;i=h;return l|0};case 6:{if((e-b|0)>=3){b=b+3|0;break a}k=-2;l=k;i=h;return l|0};case 3:{k=xQ(j,b+2|0,e,f)|0;l=k;i=h;return l|0};case 0:case 1:case 8:{c[f>>2]=b;k=0;l=k;i=h;return l|0};case 9:{b=b+2|0;if((b|0)==(e|0)){k=-3;l=k;i=h;return l|0}if((a[b|0]|0)==0){n=d[j+76+(d[b+1|0]|0)|0]|0}else{n=TP(a[b|0]|0,a[b+1|0]|0)|0}if((n|0)==10){b=b+2|0}c[f>>2]=b;k=7;l=k;i=h;return l|0};case 2:{k=BQ(j,b+2|0,e,f)|0;l=k;i=h;return l|0};default:{b=b+2|0}}}while(0);b:while(1){if((b|0)==(e|0)){o=73;break}if((a[b|0]|0)==0){p=d[j+76+(d[b+1|0]|0)|0]|0}else{p=TP(a[b|0]|0,a[b+1|0]|0)|0}c:do{switch(p|0){case 7:{if((e-b|0)<4){o=57;break b}b=b+4|0;break};case 6:{if((e-b|0)<3){o=54;break b}b=b+3|0;break};case 5:{if((e-b|0)<2){o=51;break b}b=b+2|0;break};case 4:{if((b+2|0)==(e|0)){o=69;break b}do{if((a[b+2|0]|0)==0){if((a[b+3|0]|0)!=93){break}if((b+4|0)==(e|0)){o=68;break b}if((a[b+4|0]|0)==0){if((a[b+5|0]|0)==62){o=67;break b}}b=b+2|0;break c}}while(0);b=b+2|0;break};case 3:case 2:case 0:case 1:case 8:case 9:case 10:{break b;break};default:{b=b+2|0}}}while(0)}if((o|0)==51){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==54){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==57){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==67){c[f>>2]=b+4;k=0;l=k;i=h;return l|0}else if((o|0)==68){o=69}else if((o|0)==73){c[f>>2]=b;k=6;l=k;i=h;return l|0}c[f>>2]=b;k=6;l=k;i=h;return l|0}function iQ(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-4;l=k;i=h;return l|0}g=e-b|0;do{if((g&1|0)!=0){g=g&-2;if((g|0)!=0){e=b+g|0;break}k=-1;l=k;i=h;return l|0}}while(0);if((a[b|0]|0)==0){m=d[j+76+(d[b+1|0]|0)|0]|0}else{m=TP(a[b|0]|0,a[b+1|0]|0)|0}a:do{switch(m|0){case 7:{if((e-b|0)>=4){b=b+4|0;break a}k=-2;l=k;i=h;return l|0};case 9:{b=b+2|0;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}if((a[b|0]|0)==0){n=d[j+76+(d[b+1|0]|0)|0]|0}else{n=TP(a[b|0]|0,a[b+1|0]|0)|0}if((n|0)==10){b=b+2|0}c[f>>2]=b;k=7;l=k;i=h;return l|0};case 10:{c[f>>2]=b+2;k=7;l=k;i=h;return l|0};case 0:case 1:case 8:{c[f>>2]=b;k=0;l=k;i=h;return l|0};case 5:{if((e-b|0)>=2){b=b+2|0;break a}k=-2;l=k;i=h;return l|0};case 6:{if((e-b|0)>=3){b=b+3|0;break a}k=-2;l=k;i=h;return l|0};case 4:{b=b+2|0;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=93){break}b=b+2|0;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=62){break}c[f>>2]=b+2;k=40;l=k;i=h;return l|0}}while(0);b=b-2|0;break a}}while(0);break};default:{b=b+2|0}}}while(0);b:while(1){if((b|0)==(e|0)){o=60;break}if((a[b|0]|0)==0){p=d[j+76+(d[b+1|0]|0)|0]|0}else{p=TP(a[b|0]|0,a[b+1|0]|0)|0}switch(p|0){case 5:{if((e-b|0)<2){o=49;break b}b=b+2|0;break};case 0:case 1:case 8:case 9:case 10:case 4:{o=57;break b;break};case 7:{if((e-b|0)<4){o=55;break b}b=b+4|0;break};case 6:{if((e-b|0)<3){o=52;break b}b=b+3|0;break};default:{b=b+2|0}}}if((o|0)==49){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==52){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==55){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==57){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==60){c[f>>2]=b;k=6;l=k;i=h;return l|0}return 0}function jQ(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0;h=i;j=b;b=e;e=f;f=g;g=0;k=e-b|0;if((k&1|0)!=0){k=k&-2;e=b+k|0}a:while(1){if((b|0)==(e|0)){l=45;break}if((a[b|0]|0)==0){m=d[j+76+(d[b+1|0]|0)|0]|0}else{m=TP(a[b|0]|0,a[b+1|0]|0)|0}switch(m|0){case 2:{k=b+2|0;b=k;if((k|0)==(e|0)){l=20;break a}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=33){break}k=b+2|0;b=k;if((k|0)==(e|0)){l=24;break a}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=91){break}g=g+1|0;b=b+2|0}}while(0)}}while(0);break};case 0:case 1:case 8:{l=18;break a;break};case 7:{if((e-b|0)<4){l=16;break a}b=b+4|0;break};case 4:{k=b+2|0;b=k;if((k|0)==(e|0)){l=31;break a}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=93){break}k=b+2|0;b=k;if((k|0)==(e|0)){l=35;break a}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=62){break}b=b+2|0;if((g|0)==0){l=39;break a}g=g-1|0}}while(0)}}while(0);break};case 6:{if((e-b|0)<3){l=13;break a}b=b+3|0;break};case 5:{if((e-b|0)<2){l=10;break a}b=b+2|0;break};default:{b=b+2|0}}}if((l|0)==10){n=-2;o=n;i=h;return o|0}else if((l|0)==13){n=-2;o=n;i=h;return o|0}else if((l|0)==16){n=-2;o=n;i=h;return o|0}else if((l|0)==18){c[f>>2]=b;n=0;o=n;i=h;return o|0}else if((l|0)==20){n=-1;o=n;i=h;return o|0}else if((l|0)==24){n=-1;o=n;i=h;return o|0}else if((l|0)==31){n=-1;o=n;i=h;return o|0}else if((l|0)==35){n=-1;o=n;i=h;return o|0}else if((l|0)==39){c[f>>2]=b;n=42;o=n;i=h;return o|0}else if((l|0)==45){n=-1;o=n;i=h;return o|0}return 0}function kQ(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;do{if((b|0)==(e|0)){k=-4}else{g=b;a:while(1){if((b|0)==(e|0)){l=34;break}if((a[b|0]|0)==0){m=d[j+76+(d[b+1|0]|0)|0]|0}else{m=TP(a[b|0]|0,a[b+1|0]|0)|0}switch(m|0){case 6:{b=b+3|0;break};case 5:{b=b+2|0;break};case 7:{b=b+4|0;break};case 3:{l=12;break a;break};case 21:{l=29;break a;break};case 10:{l=16;break a;break};case 9:{l=19;break a;break};case 2:{l=15;break a;break};default:{b=b+2|0}}}if((l|0)==12){if((b|0)==(g|0)){k=xQ(j,b+2|0,e,f)|0;break}else{c[f>>2]=b;k=6;break}}else if((l|0)==15){c[f>>2]=b;k=0;break}else if((l|0)==16){if((b|0)==(g|0)){c[f>>2]=b+2;k=7;break}else{c[f>>2]=b;k=6;break}}else if((l|0)==19){if((b|0)!=(g|0)){c[f>>2]=b;k=6;break}b=b+2|0;if((b|0)==(e|0)){k=-3;break}if((a[b|0]|0)==0){n=d[j+76+(d[b+1|0]|0)|0]|0}else{n=TP(a[b|0]|0,a[b+1|0]|0)|0}if((n|0)==10){b=b+2|0}c[f>>2]=b;k=7;break}else if((l|0)==29){if((b|0)==(g|0)){c[f>>2]=b+2;k=39;break}else{c[f>>2]=b;k=6;break}}else if((l|0)==34){c[f>>2]=b;k=6;break}}}while(0);i=h;return k|0}function lQ(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-4;l=k;i=h;return l|0}g=b;a:while(1){if((b|0)==(e|0)){m=36;break}if((a[b|0]|0)==0){n=d[j+76+(d[b+1|0]|0)|0]|0}else{n=TP(a[b|0]|0,a[b+1|0]|0)|0}switch(n|0){case 7:{b=b+4|0;break};case 5:{b=b+2|0;break};case 9:{m=24;break a;break};case 10:{m=21;break a;break};case 30:{m=15;break a;break};case 6:{b=b+3|0;break};case 3:{m=12;break a;break};default:{b=b+2|0}}}if((m|0)==12){if((b|0)==(g|0)){k=xQ(j,b+2|0,e,f)|0;l=k;i=h;return l|0}else{c[f>>2]=b;k=6;l=k;i=h;return l|0}}else if((m|0)==15){if((b|0)!=(g|0)){c[f>>2]=b;k=6;l=k;i=h;return l|0}n=yQ(j,b+2|0,e,f)|0;if((n|0)==22){o=0}else{o=n}k=o;l=k;i=h;return l|0}else if((m|0)==21){if((b|0)==(g|0)){c[f>>2]=b+2;k=7;l=k;i=h;return l|0}else{c[f>>2]=b;k=6;l=k;i=h;return l|0}}else if((m|0)==24){if((b|0)!=(g|0)){c[f>>2]=b;k=6;l=k;i=h;return l|0}b=b+2|0;if((b|0)==(e|0)){k=-3;l=k;i=h;return l|0}if((a[b|0]|0)==0){p=d[j+76+(d[b+1|0]|0)|0]|0}else{p=TP(a[b|0]|0,a[b+1|0]|0)|0}if((p|0)==10){b=b+2|0}c[f>>2]=b;k=7;l=k;i=h;return l|0}else if((m|0)==36){c[f>>2]=b;k=6;l=k;i=h;return l|0}return 0}function mQ(b,c,e){b=b|0;c=c|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;f=i;g=b;b=c;c=e;a:while(1){if((a[b|0]|0)==0){h=d[g+76+(d[b+1|0]|0)|0]|0}else{h=TP(a[b|0]|0,a[b+1|0]|0)|0}switch(h|0){case 5:{j=12;break};case 6:{j=9;break};case 29:case 22:case 23:case 24:case 25:case 26:case 27:{e=c;c=e+1|0;k=b;b=k+1|0;if((a[e]|0)!=(a[k]|0)){j=18;break a}k=c;c=k+1|0;e=b;b=e+1|0;if((a[k]|0)!=(a[e]|0)){j=20;break a}break};case 7:{e=b;b=e+1|0;k=c;c=k+1|0;if((a[e]|0)!=(a[k]|0)){j=7;break a}j=9;break};default:{j=22;break a}}if((j|0)==9){j=0;k=b;b=k+1|0;e=c;c=e+1|0;if((a[k]|0)!=(a[e]|0)){j=10;break}j=12}if((j|0)==12){j=0;e=b;b=e+1|0;k=c;c=k+1|0;if((a[e]|0)!=(a[k]|0)){j=13;break}k=b;b=k+1|0;e=c;c=e+1|0;if((a[k]|0)!=(a[e]|0)){j=15;break}}}if((j|0)==7){l=0;m=l;i=f;return m|0}else if((j|0)==10){l=0;m=l;i=f;return m|0}else if((j|0)==13){l=0;m=l;i=f;return m|0}else if((j|0)==15){l=0;m=l;i=f;return m|0}else if((j|0)==18){l=0;m=l;i=f;return m|0}else if((j|0)==20){l=0;m=l;i=f;return m|0}else if((j|0)==22){if((a[c|0]|0)==0){n=d[g+76+(d[c+1|0]|0)|0]|0}else{n=TP(a[c|0]|0,a[c+1|0]|0)|0}switch(n|0){case 5:case 6:case 7:case 29:case 22:case 23:case 24:case 25:case 26:case 27:{l=0;m=l;i=f;return m|0};default:{l=1;m=l;i=f;return m|0}}}return 0}function nQ(b,c,d,e){b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;b=i;f=c;c=d;d=e;while(1){if((a[d]|0)==0){g=10;break}if((f|0)==(c|0)){g=4;break}if((a[f|0]|0)!=0){g=7;break}if((a[f+1|0]|0)!=(a[d]|0)){g=7;break}f=f+2|0;d=d+1|0}if((g|0)==4){h=0;j=h;i=b;return j|0}else if((g|0)==7){h=0;j=h;i=b;return j|0}else if((g|0)==10){h=(f|0)==(c|0)|0;j=h;i=b;return j|0}return 0}function oQ(b,c){b=b|0;c=c|0;var e=0,f=0,g=0;e=i;f=b;b=c;c=b;a:while(1){if((a[b|0]|0)==0){g=d[f+76+(d[b+1|0]|0)|0]|0}else{g=TP(a[b|0]|0,a[b+1|0]|0)|0}switch(g|0){case 29:case 22:case 23:case 24:case 25:case 26:case 27:{b=b+2|0;break};case 5:{b=b+2|0;break};case 7:{b=b+4|0;break};case 6:{b=b+3|0;break};default:{break a}}}i=e;return b-c|0}function pQ(b,c){b=b|0;c=c|0;var e=0,f=0,g=0;e=i;f=b;b=c;while(1){if((a[b|0]|0)==0){g=d[f+76+(d[b+1|0]|0)|0]|0}else{g=TP(a[b|0]|0,a[b+1|0]|0)|0}if(!((g|0)==10|(g|0)==9|(g|0)==21)){break}b=b+2|0}i=e;return b|0}function qQ(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;g=1;k=0;l=0;b=b+2|0;a:while(1){if((a[b|0]|0)==0){m=d[j+76+(d[b+1|0]|0)|0]|0}else{m=TP(a[b|0]|0,a[b+1|0]|0)|0}switch(m|0){case 21:{if((g|0)==1){g=0}else{b:do{if((g|0)==2){if((k|0)>=(e|0)){break}if((a[f+(k<<4)+12|0]|0)==0){break}do{if((b|0)!=(c[f+(k<<4)+4>>2]|0)){if((a[b|0]|0)==0){n=a[b+1|0]|0}else{n=-1}if((n|0)!=32){break}if((a[b+2|0]|0)==0){o=a[b+3|0]|0}else{o=-1}if((o|0)==32){break}if((a[b+2|0]|0)==0){p=d[j+76+(d[b+3|0]|0)|0]|0}else{p=TP(a[b+2|0]|0,a[b+3|0]|0)|0}if((p|0)!=(l|0)){break b}}}while(0);a[f+(k<<4)+12|0]=0}}while(0)}break};case 9:case 10:{if((g|0)==1){g=0}else{do{if((g|0)==2){if((k|0)>=(e|0)){break}a[f+(k<<4)+12|0]=0}}while(0)}break};case 13:{if((g|0)!=2){if((k|0)<(e|0)){c[f+(k<<4)+4>>2]=b+2}g=2;l=13}else{if((l|0)==13){g=0;if((k|0)<(e|0)){c[f+(k<<4)+8>>2]=b}k=k+1|0}}break};case 29:case 22:case 24:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}break};case 12:{if((g|0)!=2){if((k|0)<(e|0)){c[f+(k<<4)+4>>2]=b+2}g=2;l=12}else{if((l|0)==12){g=0;if((k|0)<(e|0)){c[f+(k<<4)+8>>2]=b}k=k+1|0}}break};case 11:case 17:{if((g|0)!=2){break a}break};case 7:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}b=b+2|0;break};case 3:{if((k|0)<(e|0)){a[f+(k<<4)+12|0]=0}break};case 6:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}b=b+1|0;break};case 5:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}b=b|0;break};default:{}}b=b+2|0}i=h;return k|0}function rQ(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;b=i;d=c;c=0;d=d+4|0;do{if((a[d|0]|0)==0){if((a[d+1|0]|0)!=120){e=19;break}d=d+2|0;while(1){if((a[d|0]|0)==0){f=(a[d+1|0]|0)==59}else{f=0}if(!(f^1)){e=18;break}if((a[d|0]|0)==0){g=a[d+1|0]|0}else{g=-1}h=g;switch(h|0){case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:{c=c<<4;c=c|h-48;break};case 97:case 98:case 99:case 100:case 101:case 102:{c=c<<4;c=c+(h-97+10)|0;break};case 65:case 66:case 67:case 68:case 69:case 70:{c=c<<4;c=c+(h-65+10)|0;break};default:{}}if((c|0)>=1114112){break}d=d+2|0}if((e|0)==18){break}j=-1;k=j;i=b;return k|0}else{e=19}}while(0);do{if((e|0)==19){while(1){if((a[d|0]|0)==0){l=(a[d+1|0]|0)==59}else{l=0}if(!(l^1)){e=30;break}if((a[d|0]|0)==0){m=a[d+1|0]|0}else{m=-1}c=c*10|0;c=c+(m-48)|0;if((c|0)>=1114112){break}d=d+2|0}if((e|0)==30){break}j=-1;k=j;i=b;return k|0}}while(0);j=fP(c)|0;k=j;i=b;return k|0}function sQ(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0;b=i;e=c;c=(d-e|0)/2|0;if((c|0)==4){if((a[e|0]|0)==0){f=a[e+1|0]|0}else{f=-1}if((f|0)==97){e=e+2|0;do{if((a[e|0]|0)==0){if((a[e+1|0]|0)!=112){break}e=e+2|0;do{if((a[e|0]|0)==0){if((a[e+1|0]|0)!=111){break}e=e+2|0;do{if((a[e|0]|0)==0){if((a[e+1|0]|0)!=115){break}g=39;h=g;i=b;return h|0}}while(0)}}while(0)}}while(0)}else if((f|0)==113){e=e+2|0;do{if((a[e|0]|0)==0){if((a[e+1|0]|0)!=117){break}e=e+2|0;do{if((a[e|0]|0)==0){if((a[e+1|0]|0)!=111){break}e=e+2|0;do{if((a[e|0]|0)==0){if((a[e+1|0]|0)!=116){break}g=34;h=g;i=b;return h|0}}while(0)}}while(0)}}while(0)}}else if((c|0)==2){do{if((a[e+2|0]|0)==0){if((a[e+3|0]|0)!=116){break}if((a[e|0]|0)==0){j=a[e+1|0]|0}else{j=-1}if((j|0)==108){g=60;h=g;i=b;return h|0}else if((j|0)==103){g=62;h=g;i=b;return h|0}else{break}}}while(0)}else if((c|0)==3){do{if((a[e|0]|0)==0){if((a[e+1|0]|0)!=97){break}e=e+2|0;do{if((a[e|0]|0)==0){if((a[e+1|0]|0)!=109){break}e=e+2|0;do{if((a[e|0]|0)==0){if((a[e+1|0]|0)!=112){break}g=38;h=g;i=b;return h|0}}while(0)}}while(0)}}while(0)}g=0;h=g;i=b;return h|0}function tQ(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;h=i;j=b;b=e;e=f;f=g;while(1){if(!(b>>>0<e>>>0)){break}if((a[b|0]|0)==0){k=d[j+76+(d[b+1|0]|0)|0]|0}else{k=TP(a[b|0]|0,a[b+1|0]|0)|0}switch(k|0){case 5:{b=b+2|0;break};case 6:{b=b+3|0;break};case 9:{g=f|0;c[g>>2]=(c[g>>2]|0)+1;b=b+2|0;do{if((b|0)!=(e|0)){if((a[b|0]|0)==0){l=d[j+76+(d[b+1|0]|0)|0]|0}else{l=TP(a[b|0]|0,a[b+1|0]|0)|0}if((l|0)!=10){break}b=b+2|0}}while(0);c[f+4>>2]=-1;break};case 10:{c[f+4>>2]=-1;g=f|0;c[g>>2]=(c[g>>2]|0)+1;b=b+2|0;break};case 7:{b=b+4|0;break};default:{b=b+2|0}}g=f+4|0;c[g>>2]=(c[g>>2]|0)+1}i=h;return}function uQ(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;b=b+2|0;e=e-2|0;a:while(1){if((b|0)==(e|0)){k=27;break}if((a[b|0]|0)==0){l=d[j+76+(d[b+1|0]|0)|0]|0}else{l=TP(a[b|0]|0,a[b+1|0]|0)|0}b:do{switch(l|0){case 21:{if((a[b|0]|0)==0){if((a[b+1|0]|0)==9){k=10;break a}}break};case 25:case 24:case 27:case 13:case 31:case 32:case 34:case 35:case 17:case 14:case 15:case 9:case 10:case 18:case 16:case 33:case 30:case 19:case 23:{break};case 26:case 22:{if((a[b|0]|0)==0){m=a[b+1|0]|0}else{m=-1}if((m&-128|0)!=0){k=18;break b}else{break b}break};default:{k=18}}}while(0);if((k|0)==18){k=0;if((a[b|0]|0)==0){n=a[b+1|0]|0}else{n=-1}if(!((n|0)==36|(n|0)==64)){k=23;break}}b=b+2|0}if((k|0)==10){c[f>>2]=b;o=0;p=o;i=h;return p|0}else if((k|0)==23){c[f>>2]=b;o=0;p=o;i=h;return p|0}else if((k|0)==27){o=1;p=o;i=h;return p|0}return 0}function vQ(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;b=i;h=d;d=e;e=f;f=g;g=c[h>>2]|0;a:while(1){if((g|0)==(d|0)){j=20;break}k=a[g+1|0]|0;l=a[g|0]|0;b:do{switch(l&255|0){case 216:case 217:case 218:case 219:{if((f-(c[e>>2]|0)|0)<4){j=16;break a}m=((l&3)<<2|(k&255)>>6&3)+1|0;n=e;o=c[n>>2]|0;c[n>>2]=o+1;a[o]=m>>2|240;o=e;n=c[o>>2]|0;c[o>>2]=n+1;a[n]=(k&255)>>2&15|(m&3)<<4|128;g=g+2|0;m=a[g+1|0]|0;n=((k&3)<<4|(a[g|0]&3)<<2|(m&255)>>6|128)&255;o=e;p=c[o>>2]|0;c[o>>2]=p+1;a[p]=n;n=e;p=c[n>>2]|0;c[n>>2]=p+1;a[p]=m&63|128;break};case 1:case 2:case 3:case 4:case 5:case 6:case 7:{j=9;break};case 0:{if((k&255|0)>=128){j=9;break b}if((c[e>>2]|0)==(f|0)){j=6;break a}m=e;p=c[m>>2]|0;c[m>>2]=p+1;a[p]=k;break};default:{if((f-(c[e>>2]|0)|0)<3){j=13;break a}p=e;m=c[p>>2]|0;c[p>>2]=m+1;a[m]=(l&255)>>4|224;m=e;p=c[m>>2]|0;c[m>>2]=p+1;a[p]=(l&15)<<2|(k&255)>>6|128;p=e;m=c[p>>2]|0;c[p>>2]=m+1;a[m]=k&63|128}}}while(0);if((j|0)==9){j=0;if((f-(c[e>>2]|0)|0)<2){j=10;break}m=e;p=c[m>>2]|0;c[m>>2]=p+1;a[p]=(k&255)>>6|(l&255)<<2|192;p=e;m=c[p>>2]|0;c[p>>2]=m+1;a[m]=k&63|128}g=g+2|0}if((j|0)==6){c[h>>2]=g;i=b;return}else if((j|0)==10){c[h>>2]=g;i=b;return}else if((j|0)==13){c[h>>2]=g;i=b;return}else if((j|0)==16){c[h>>2]=g;i=b;return}else if((j|0)==20){c[h>>2]=g;i=b;return}}function wQ(e,f,g,h,j){e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0;e=i;k=f;f=g;g=h;h=j;do{if((f-(c[k>>2]|0)|0)>(((h-(c[g>>2]|0)|0)/2|0)<<1|0)){if((a[f-2|0]&248|0)!=216){break}f=f-2|0}}while(0);while(1){if((c[k>>2]|0)!=(f|0)){l=(c[g>>2]|0)!=(h|0)}else{l=0}if(!l){break}j=((d[c[k>>2]|0]|0)<<8|(d[(c[k>>2]|0)+1|0]|0))&65535;m=g;n=c[m>>2]|0;c[m>>2]=n+2;b[n>>1]=j;j=k;c[j>>2]=(c[j>>2]|0)+2}i=e;return}function xQ(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b|0]|0)==0){l=d[j+76+(d[b+1|0]|0)|0]|0}else{l=TP(a[b|0]|0,a[b+1|0]|0)|0}b:do{switch(l|0){case 29:{if((c[12328+((d[8712+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};case 19:{k=zQ(j,b+2|0,e,f)|0;break a;break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 22:case 24:{break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){m=44;break}if((a[b|0]|0)==0){n=d[j+76+(d[b+1|0]|0)|0]|0}else{n=TP(a[b|0]|0,a[b+1|0]|0)|0}switch(n|0){case 22:case 24:case 25:case 26:case 27:{break};case 5:{m=32;break c;break};case 6:{m=35;break c;break};case 29:{if((c[12328+((d[13608+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)==0){m=29;break c}break};case 7:{m=38;break c;break};case 18:{m=41;break c;break};default:{m=42;break c}}b=b+2|0}if((m|0)==29){c[f>>2]=b;k=0;break}else if((m|0)==32){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==35){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==38){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==41){c[f>>2]=b+2;k=9;break}else if((m|0)==42){c[f>>2]=b;k=0;break}else if((m|0)==44){k=-1;break}}}while(0);i=h;return k|0}function yQ(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b|0]|0)==0){l=d[j+76+(d[b+1|0]|0)|0]|0}else{l=TP(a[b|0]|0,a[b+1|0]|0)|0}b:do{switch(l|0){case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 21:case 10:case 9:case 30:{c[f>>2]=b;k=22;break a;break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 22:case 24:{break};case 29:{if((c[12328+((d[8712+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){m=44;break}if((a[b|0]|0)==0){n=d[j+76+(d[b+1|0]|0)|0]|0}else{n=TP(a[b|0]|0,a[b+1|0]|0)|0}switch(n|0){case 5:{m=32;break c;break};case 29:{if((c[12328+((d[13608+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)==0){m=29;break c}break};case 22:case 24:case 25:case 26:case 27:{break};case 6:{m=35;break c;break};case 18:{m=41;break c;break};case 7:{m=38;break c;break};default:{m=42;break c}}b=b+2|0}if((m|0)==29){c[f>>2]=b;k=0;break}else if((m|0)==32){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==35){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==38){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==41){c[f>>2]=b+2;k=28;break}else if((m|0)==42){c[f>>2]=b;k=0;break}else if((m|0)==44){k=-1;break}}}while(0);i=h;return k|0}function zQ(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0;h=i;j=b;b=e;e=f;f=g;do{if((b|0)!=(e|0)){do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=120){break}k=AQ(j,b+2|0,e,f)|0;l=k;i=h;return l|0}}while(0);if((a[b|0]|0)==0){m=d[j+76+(d[b+1|0]|0)|0]|0}else{m=TP(a[b|0]|0,a[b+1|0]|0)|0}if((m|0)!=25){c[f>>2]=b;k=0;l=k;i=h;return l|0}b=b+2|0;while(1){if((b|0)==(e|0)){n=22;break}if((a[b|0]|0)==0){o=d[j+76+(d[b+1|0]|0)|0]|0}else{o=TP(a[b|0]|0,a[b+1|0]|0)|0}if((o|0)==18){n=18;break}else if((o|0)!=25){n=19;break}b=b+2|0}if((n|0)==18){c[f>>2]=b+2;k=10;l=k;i=h;return l|0}else if((n|0)==19){c[f>>2]=b;k=0;l=k;i=h;return l|0}else if((n|0)==22){break}}}while(0);k=-1;l=k;i=h;return l|0}function AQ(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0;h=i;j=b;b=e;e=f;f=g;do{if((b|0)!=(e|0)){if((a[b|0]|0)==0){k=d[j+76+(d[b+1|0]|0)|0]|0}else{k=TP(a[b|0]|0,a[b+1|0]|0)|0}if(!((k|0)==25|(k|0)==24)){c[f>>2]=b;l=0;m=l;i=h;return m|0}b=b+2|0;while(1){if((b|0)==(e|0)){n=19;break}if((a[b|0]|0)==0){o=d[j+76+(d[b+1|0]|0)|0]|0}else{o=TP(a[b|0]|0,a[b+1|0]|0)|0}if((o|0)==18){n=15;break}else if(!((o|0)==25|(o|0)==24)){n=16;break}b=b+2|0}if((n|0)==15){c[f>>2]=b+2;l=10;m=l;i=h;return m|0}else if((n|0)==16){c[f>>2]=b;l=0;m=l;i=h;return m|0}else if((n|0)==19){break}}}while(0);l=-1;m=l;i=h;return m|0}function BQ(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b|0]|0)==0){l=d[j+76+(d[b+1|0]|0)|0]|0}else{l=TP(a[b|0]|0,a[b+1|0]|0)|0}b:do{switch(l|0){case 16:{g=b+2|0;b=g;if((g|0)==(e|0)){k=-1;break a}if((a[b|0]|0)==0){m=d[j+76+(d[b+1|0]|0)|0]|0}else{m=TP(a[b|0]|0,a[b+1|0]|0)|0}if((m|0)==20){k=DQ(j,b+2|0,e,f)|0;break a}else if((m|0)==27){k=CQ(j,b+2|0,e,f)|0;break a}else{c[f>>2]=b;k=0;break a}break};case 15:{k=EQ(j,b+2|0,e,f)|0;break a;break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 22:case 24:{break};case 17:{k=FQ(j,b+2|0,e,f)|0;break a;break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 29:{if((c[12328+((d[8712+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;g=0;c:while(1){if((b|0)==(e|0)){n=110;break}if((a[b|0]|0)==0){o=d[j+76+(d[b+1|0]|0)|0]|0}else{o=TP(a[b|0]|0,a[b+1|0]|0)|0}switch(o|0){case 6:{n=45;break c;break};case 11:{n=99;break c;break};case 22:case 24:case 25:case 26:case 27:{n=41;break};case 17:{n=101;break c;break};case 23:{if((g|0)!=0){n=52;break c}g=1;b=b+2|0;if((b|0)==(e|0)){n=54;break c}if((a[b|0]|0)==0){p=d[j+76+(d[b+1|0]|0)|0]|0}else{p=TP(a[b|0]|0,a[b+1|0]|0)|0}switch(p|0){case 5:{n=63;break c;break};case 7:{n=69;break c;break};case 6:{n=66;break c;break};case 29:{if((c[12328+((d[8712+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)==0){n=60;break c}break};case 22:case 24:{break};default:{n=72;break c}}b=b+2|0;break};case 29:{if((c[12328+((d[13608+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)==0){n=39;break c}n=41;break};case 21:case 9:case 10:{n=74;break c;break};case 7:{n=48;break c;break};case 5:{n=42;break c;break};default:{n=108;break c}}if((n|0)==41){n=0;b=b+2|0}}d:do{if((n|0)==39){c[f>>2]=b;k=0;break a}else if((n|0)==42){if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==45){if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==48){if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==52){c[f>>2]=b;k=0;break a}else if((n|0)==54){k=-1;break a}else if((n|0)==60){c[f>>2]=b;k=0;break a}else if((n|0)==63){if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==66){if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==69){if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==72){c[f>>2]=b;k=0;break a}else if((n|0)==74){b=b+2|0;e:while(1){if((b|0)==(e|0)){n=98;break}if((a[b|0]|0)==0){q=d[j+76+(d[b+1|0]|0)|0]|0}else{q=TP(a[b|0]|0,a[b+1|0]|0)|0}switch(q|0){case 29:{n=80;break e;break};case 11:{n=93;break e;break};case 17:{n=94;break e;break};case 21:case 9:case 10:{break};case 22:case 24:{break e;break};case 5:{n=84;break e;break};case 7:{n=90;break e;break};case 6:{n=87;break e;break};default:{n=96;break e}}b=b+2|0}do{if((n|0)==80){if((c[12328+((d[8712+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)!=0){break}else{c[f>>2]=b;k=0;break a}}else if((n|0)==84){if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==87){if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==90){if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==93){n=100;break d}else if((n|0)==94){break d}else if((n|0)==96){c[f>>2]=b;k=0;break a}else if((n|0)==98){k=-1;break a}}while(0);b=b+2|0;k=GQ(j,b,e,f)|0;break a}else if((n|0)==99){n=100}else if((n|0)!=101)if((n|0)==108){c[f>>2]=b;k=0;break a}else if((n|0)==110){k=-1;break a}}while(0);if((n|0)==100){c[f>>2]=b+2;k=2;break}b=b+2|0;if((b|0)==(e|0)){k=-1;break}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=62){break}c[f>>2]=b+2;k=4;break a}}while(0);c[f>>2]=b;k=0}}while(0);i=h;return k|0}function CQ(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)!=(e|0)){do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=45){break}b=b+2|0;b:while(1){if((b|0)==(e|0)){k=34;break}if((a[b|0]|0)==0){l=d[j+76+(d[b+1|0]|0)|0]|0}else{l=TP(a[b|0]|0,a[b+1|0]|0)|0}switch(l|0){case 6:{if((e-b|0)<3){k=15;break b}b=b+3|0;break};case 7:{if((e-b|0)<4){k=18;break b}b=b+4|0;break};case 5:{if((e-b|0)<2){k=12;break b}b=b+2|0;break};case 27:{g=b+2|0;b=g;if((g|0)==(e|0)){k=22;break b}if((a[b|0]|0)==0){if((a[b+1|0]|0)==45){k=25;break b}}break};case 0:case 1:case 8:{k=20;break b;break};default:{b=b+2|0}}}if((k|0)==12){m=-2;n=m;i=h;return n|0}else if((k|0)==15){m=-2;n=m;i=h;return n|0}else if((k|0)==18){m=-2;n=m;i=h;return n|0}else if((k|0)==20){c[f>>2]=b;m=0;n=m;i=h;return n|0}else if((k|0)==22){m=-1;n=m;i=h;return n|0}else if((k|0)==25){g=b+2|0;b=g;if((g|0)==(e|0)){m=-1;n=m;i=h;return n|0}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=62){break}c[f>>2]=b+2;m=13;n=m;i=h;return n|0}}while(0);c[f>>2]=b;m=0;n=m;i=h;return n|0}else if((k|0)==34){break a}}}while(0);c[f>>2]=b;m=0;n=m;i=h;return n|0}}while(0);m=-1;n=m;i=h;return n|0}function DQ(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;b=i;g=d;d=f;if((e-g|0)<12){h=-1;j=h;i=b;return j|0}e=0;while(1){if((e|0)>=6){k=10;break}if((a[g|0]|0)!=0){k=7;break}if((a[g+1|0]|0)!=(a[19784+e|0]|0)){k=7;break}e=e+1|0;g=g+2|0}if((k|0)==7){c[d>>2]=g;h=0;j=h;i=b;return j|0}else if((k|0)==10){c[d>>2]=g;h=8;j=h;i=b;return j|0}return 0}function EQ(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;i=i+8|0;j=h|0;k=b;b=e;e=f;f=g;g=b;a:do{if((b|0)==(e|0)){l=-1}else{if((a[b|0]|0)==0){m=d[k+76+(d[b+1|0]|0)|0]|0}else{m=TP(a[b|0]|0,a[b+1|0]|0)|0}b:do{switch(m|0){case 7:{if((e-b|0)<4){l=-2;break a}else{c[f>>2]=b;l=0;break a}break};case 5:{if((e-b|0)<2){l=-2;break a}else{c[f>>2]=b;l=0;break a}break};case 29:{if((c[12328+((d[8712+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)!=0){break b}else{c[f>>2]=b;l=0;break a}break};case 22:case 24:{break};case 6:{if((e-b|0)<3){l=-2;break a}else{c[f>>2]=b;l=0;break a}break};default:{c[f>>2]=b;l=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){n=77;break}if((a[b|0]|0)==0){o=d[k+76+(d[b+1|0]|0)|0]|0}else{o=TP(a[b|0]|0,a[b+1|0]|0)|0}switch(o|0){case 5:{n=31;break c;break};case 29:{if((c[12328+((d[13608+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)==0){n=28;break c}break};case 15:{n=67;break c;break};case 21:case 9:case 10:{n=40;break c;break};case 7:{n=37;break c;break};case 6:{n=34;break c;break};case 22:case 24:case 25:case 26:case 27:{break};default:{break c}}b=b+2|0}if((n|0)==28){c[f>>2]=b;l=0;break}else if((n|0)==31){if((e-b|0)<2){l=-2;break}else{c[f>>2]=b;l=0;break}}else if((n|0)==34){if((e-b|0)<3){l=-2;break}else{c[f>>2]=b;l=0;break}}else if((n|0)==37){if((e-b|0)<4){l=-2;break}else{c[f>>2]=b;l=0;break}}else if((n|0)==40){if((HQ(k,g,b,j)|0)==0){c[f>>2]=b;l=0;break}b=b+2|0;d:while(1){if((b|0)==(e|0)){n=66;break}if((a[b|0]|0)==0){p=d[k+76+(d[b+1|0]|0)|0]|0}else{p=TP(a[b|0]|0,a[b+1|0]|0)|0}switch(p|0){case 5:{if((e-b|0)<2){n=49;break d}b=b+2|0;break};case 0:case 1:case 8:{n=57;break d;break};case 15:{b=b+2|0;if((b|0)==(e|0)){n=59;break d}if((a[b|0]|0)==0){if((a[b+1|0]|0)==62){n=62;break d}}break};case 7:{if((e-b|0)<4){n=55;break d}b=b+4|0;break};case 6:{if((e-b|0)<3){n=52;break d}b=b+3|0;break};default:{b=b+2|0}}}if((n|0)==49){l=-2;break}else if((n|0)==52){l=-2;break}else if((n|0)==55){l=-2;break}else if((n|0)==57){c[f>>2]=b;l=0;break}else if((n|0)==59){l=-1;break}else if((n|0)==62){c[f>>2]=b+2;l=c[j>>2]|0;break}else if((n|0)==66){l=-1;break}}else if((n|0)==67){if((HQ(k,g,b,j)|0)==0){c[f>>2]=b;l=0;break}b=b+2|0;if((b|0)==(e|0)){l=-1;break}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=62){break}c[f>>2]=b+2;l=c[j>>2]|0;break a}}while(0)}else if((n|0)==77){l=-1;break}c[f>>2]=b;l=0}}while(0);i=h;return l|0}function FQ(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b|0]|0)==0){l=d[j+76+(d[b+1|0]|0)|0]|0}else{l=TP(a[b|0]|0,a[b+1|0]|0)|0}b:do{switch(l|0){case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 22:case 24:{break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 29:{if((c[12328+((d[8712+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){m=56;break}if((a[b|0]|0)==0){n=d[j+76+(d[b+1|0]|0)|0]|0}else{n=TP(a[b|0]|0,a[b+1|0]|0)|0}switch(n|0){case 11:{m=53;break c;break};case 23:{b=b+2|0;break};case 29:{if((c[12328+((d[13608+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)==0){m=28;break c}m=30;break};case 22:case 24:case 25:case 26:case 27:{m=30;break};case 5:{m=31;break c;break};case 6:{m=34;break c;break};case 21:case 9:case 10:{m=40;break c;break};case 7:{m=37;break c;break};default:{m=54;break c}}if((m|0)==30){m=0;b=b+2|0}}if((m|0)==28){c[f>>2]=b;k=0;break}else if((m|0)==31){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==34){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==37){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==40){b=b+2|0;while(1){if((b|0)==(e|0)){m=51;break}if((a[b|0]|0)==0){o=d[j+76+(d[b+1|0]|0)|0]|0}else{o=TP(a[b|0]|0,a[b+1|0]|0)|0}if((o|0)==11){m=47;break}else if(!((o|0)==21|(o|0)==9|(o|0)==10)){m=48;break}b=b+2|0}if((m|0)==47){c[f>>2]=b+2;k=5;break}else if((m|0)==48){c[f>>2]=b;k=0;break}else if((m|0)==51){k=-1;break}}else if((m|0)==53){c[f>>2]=b+2;k=5;break}else if((m|0)==54){c[f>>2]=b;k=0;break}else if((m|0)==56){k=-1;break}}}while(0);i=h;return k|0}function GQ(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;h=i;i=i+8|0;j=h|0;k=b;c[j>>2]=e;e=f;f=g;g=0;a:while(1){if((c[j>>2]|0)==(e|0)){l=141;break}if((a[c[j>>2]|0]|0)==0){m=d[k+76+(d[(c[j>>2]|0)+1|0]|0)|0]|0}else{m=TP(a[c[j>>2]|0]|0,a[(c[j>>2]|0)+1|0]|0)|0}switch(m|0){case 6:{l=14;break a;break};case 23:{if((g|0)!=0){l=21;break a}g=1;c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=23;break a}if((a[c[j>>2]|0]|0)==0){n=d[k+76+(d[(c[j>>2]|0)+1|0]|0)|0]|0}else{n=TP(a[c[j>>2]|0]|0,a[(c[j>>2]|0)+1|0]|0)|0}switch(n|0){case 6:{l=35;break a;break};case 29:{if((c[12328+((d[8712+(d[c[j>>2]|0]|0)|0]<<3)+(d[(c[j>>2]|0)+1|0]>>5)<<2)>>2]&1<<(a[(c[j>>2]|0)+1|0]&31)|0)==0){l=29;break a}break};case 5:{l=32;break a;break};case 7:{l=38;break a;break};case 22:case 24:{break};default:{l=41;break a}}c[j>>2]=(c[j>>2]|0)+2;break};case 5:{l=11;break a;break};case 14:{l=56;break};case 21:case 9:case 10:{while(1){c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=45;break a}if((a[c[j>>2]|0]|0)==0){o=d[k+76+(d[(c[j>>2]|0)+1|0]|0)|0]|0}else{o=TP(a[c[j>>2]|0]|0,a[(c[j>>2]|0)+1|0]|0)|0}b=o;if((b|0)==14){break}p=b;if(!((p|0)==21|(p|0)==10|(p|0)==9)){l=53;break a}}l=56;break};case 7:{l=17;break a;break};case 22:case 24:case 25:case 26:case 27:{l=10;break};case 29:{if((c[12328+((d[13608+(d[c[j>>2]|0]|0)|0]<<3)+(d[(c[j>>2]|0)+1|0]>>5)<<2)>>2]&1<<(a[(c[j>>2]|0)+1|0]&31)|0)==0){l=8;break a}l=10;break};default:{l=139;break a}}if((l|0)==10){l=0;c[j>>2]=(c[j>>2]|0)+2}else if((l|0)==56){l=0;g=0;while(1){c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=58;break a}if((a[c[j>>2]|0]|0)==0){q=d[k+76+(d[(c[j>>2]|0)+1|0]|0)|0]|0}else{q=TP(a[c[j>>2]|0]|0,a[(c[j>>2]|0)+1|0]|0)|0}r=q;if((r|0)==12){break}if((r|0)==13){break}p=r;if(!((p|0)==21|(p|0)==10|(p|0)==9)){l=67;break a}}c[j>>2]=(c[j>>2]|0)+2;while(1){if((c[j>>2]|0)==(e|0)){l=71;break a}if((a[c[j>>2]|0]|0)==0){s=d[k+76+(d[(c[j>>2]|0)+1|0]|0)|0]|0}else{s=TP(a[c[j>>2]|0]|0,a[(c[j>>2]|0)+1|0]|0)|0}p=s;if((p|0)==(r|0)){break}switch(p|0){case 2:{l=93;break a;break};case 0:case 1:case 8:{l=87;break a;break};case 3:{t=xQ(k,(c[j>>2]|0)+2|0,e,j)|0;if((t|0)<=0){l=89;break a}break};case 6:{if((e-(c[j>>2]|0)|0)<3){l=82;break a}c[j>>2]=(c[j>>2]|0)+3;break};case 7:{if((e-(c[j>>2]|0)|0)<4){l=85;break a}c[j>>2]=(c[j>>2]|0)+4;break};case 5:{if((e-(c[j>>2]|0)|0)<2){l=79;break a}c[j>>2]=(c[j>>2]|0)+2;break};default:{c[j>>2]=(c[j>>2]|0)+2}}}c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=97;break}if((a[c[j>>2]|0]|0)==0){u=d[k+76+(d[(c[j>>2]|0)+1|0]|0)|0]|0}else{u=TP(a[c[j>>2]|0]|0,a[(c[j>>2]|0)+1|0]|0)|0}switch(u|0){case 17:{l=103;break a;break};case 21:case 9:case 10:{break};case 11:{l=104;break a;break};default:{l=105;break a}}b:while(1){c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=108;break a}if((a[c[j>>2]|0]|0)==0){v=d[k+76+(d[(c[j>>2]|0)+1|0]|0)|0]|0}else{v=TP(a[c[j>>2]|0]|0,a[(c[j>>2]|0)+1|0]|0)|0}switch(v|0){case 6:{l=120;break a;break};case 7:{l=123;break a;break};case 21:case 9:case 10:{break};case 29:{l=113;break b;break};case 22:case 24:{break b;break};case 11:{l=127;break a;break};case 17:{l=129;break a;break};case 5:{l=117;break a;break};default:{l=136;break a}}}if((l|0)==113){l=0;if((c[12328+((d[8712+(d[c[j>>2]|0]|0)|0]<<3)+(d[(c[j>>2]|0)+1|0]>>5)<<2)>>2]&1<<(a[(c[j>>2]|0)+1|0]&31)|0)==0){l=114;break}}c[j>>2]=(c[j>>2]|0)+2}}if((l|0)==8){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==11){if((e-(c[j>>2]|0)|0)<2){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==14){if((e-(c[j>>2]|0)|0)<3){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==17){if((e-(c[j>>2]|0)|0)<4){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==21){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==23){w=-1;x=w;i=h;return x|0}else if((l|0)==29){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==32){if((e-(c[j>>2]|0)|0)<2){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==35){if((e-(c[j>>2]|0)|0)<3){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==38){if((e-(c[j>>2]|0)|0)<4){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==41){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==45){w=-1;x=w;i=h;return x|0}else if((l|0)==53){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==58){w=-1;x=w;i=h;return x|0}else if((l|0)==67){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==71){w=-1;x=w;i=h;return x|0}else if((l|0)==79){w=-2;x=w;i=h;return x|0}else if((l|0)==82){w=-2;x=w;i=h;return x|0}else if((l|0)==85){w=-2;x=w;i=h;return x|0}else if((l|0)==87){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==89){if((t|0)==0){c[f>>2]=c[j>>2]}w=t;x=w;i=h;return x|0}else if((l|0)==93){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==97){w=-1;x=w;i=h;return x|0}else if((l|0)!=103)if((l|0)==104){l=128}else if((l|0)==105){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==108){w=-1;x=w;i=h;return x|0}else if((l|0)==114){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==117){if((e-(c[j>>2]|0)|0)<2){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==120){if((e-(c[j>>2]|0)|0)<3){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==123){if((e-(c[j>>2]|0)|0)<4){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==127){l=128}else if((l|0)!=129)if((l|0)==136){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==139){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==141){w=-1;x=w;i=h;return x|0}if((l|0)==128){c[f>>2]=(c[j>>2]|0)+2;w=1;x=w;i=h;return x|0}c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){w=-1;x=w;i=h;return x|0}do{if((a[c[j>>2]|0]|0)==0){if((a[(c[j>>2]|0)+1|0]|0)!=62){break}c[f>>2]=(c[j>>2]|0)+2;w=3;x=w;i=h;return x|0}}while(0);c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}function HQ(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;b=i;g=d;d=f;f=0;c[d>>2]=11;do{if((e-g|0)!=6){h=1}else{if((a[g|0]|0)==0){j=a[g+1|0]|0}else{j=-1}if((j|0)!=120)if((j|0)==88){f=1}else{h=1;break}g=g+2|0;if((a[g|0]|0)==0){k=a[g+1|0]|0}else{k=-1}if((k|0)!=109)if((k|0)==77){f=1}else{h=1;break}g=g+2|0;if((a[g|0]|0)==0){l=a[g+1|0]|0}else{l=-1}if((l|0)==76){f=1}else if((l|0)!=108){h=1;break}if((f|0)!=0){h=0;break}else{c[d>>2]=12;h=1;break}}}while(0);i=b;return h|0}function IQ(b,e,f,g,h){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0;j=i;k=b;b=e;e=f;f=g;g=h;a:while(1){if((e|0)==(f|0)){l=29;break}if((a[e|0]|0)==0){m=d[b+76+(d[e+1|0]|0)|0]|0}else{m=TP(a[e|0]|0,a[e+1|0]|0)|0}h=m;switch(h|0){case 0:case 1:case 8:{l=16;break a;break};case 12:case 13:{e=e+2|0;if((h|0)==(k|0)){l=19;break a}break};case 5:{if((f-e|0)<2){l=8;break a}e=e+2|0;break};case 6:{if((f-e|0)<3){l=11;break a}e=e+3|0;break};case 7:{if((f-e|0)<4){l=14;break a}e=e+4|0;break};default:{e=e+2|0}}}if((l|0)==8){n=-2;o=n;i=j;return o|0}else if((l|0)==11){n=-2;o=n;i=j;return o|0}else if((l|0)==14){n=-2;o=n;i=j;return o|0}else if((l|0)==16){c[g>>2]=e;n=0;o=n;i=j;return o|0}else if((l|0)==19){if((e|0)==(f|0)){n=-27;o=n;i=j;return o|0}c[g>>2]=e;if((a[e|0]|0)==0){p=d[b+76+(d[e+1|0]|0)|0]|0}else{p=TP(a[e|0]|0,a[e+1|0]|0)|0}switch(p|0){case 21:case 9:case 10:case 11:case 30:case 20:{n=27;o=n;i=j;return o|0};default:{n=0;o=n;i=j;return o|0}}}else if((l|0)==29){n=-1;o=n;i=j;return o|0}return 0}function JQ(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}if((a[b|0]|0)==0){m=d[j+76+(d[b+1|0]|0)|0]|0}else{m=TP(a[b|0]|0,a[b+1|0]|0)|0}if((m|0)==22|(m|0)==24){b=b+2|0;a:while(1){if((b|0)==(e|0)){n=29;break}if((a[b|0]|0)==0){o=d[j+76+(d[b+1|0]|0)|0]|0}else{o=TP(a[b|0]|0,a[b+1|0]|0)|0}switch(o|0){case 22:case 24:{break};case 30:{n=17;break a;break};case 21:case 9:case 10:{break a;break};default:{n=27;break a}}b=b+2|0}do{if((n|0)==17){if((b+2|0)==(e|0)){k=-1;l=k;i=h;return l|0}if((a[b+2|0]|0)==0){p=d[j+76+(d[b+3|0]|0)|0]|0}else{p=TP(a[b+2|0]|0,a[b+3|0]|0)|0}if(!((p|0)==21|(p|0)==9|(p|0)==10|(p|0)==30)){break}c[f>>2]=b;k=0;l=k;i=h;return l|0}else if((n|0)==27){c[f>>2]=b;k=0;l=k;i=h;return l|0}else if((n|0)==29){k=-1;l=k;i=h;return l|0}}while(0);c[f>>2]=b;k=16;l=k;i=h;return l|0}else if((m|0)==27){k=CQ(j,b+2|0,e,f)|0;l=k;i=h;return l|0}else if((m|0)==20){c[f>>2]=b+2;k=33;l=k;i=h;return l|0}else{c[f>>2]=b;k=0;l=k;i=h;return l|0}return 0}function KQ(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b|0]|0)==0){l=d[j+76+(d[b+1|0]|0)|0]|0}else{l=TP(a[b|0]|0,a[b+1|0]|0)|0}b:do{switch(l|0){case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 29:{if((c[12328+((d[8712+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 22:case 24:{break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){m=43;break}if((a[b|0]|0)==0){n=d[j+76+(d[b+1|0]|0)|0]|0}else{n=TP(a[b|0]|0,a[b+1|0]|0)|0}switch(n|0){case 9:case 10:case 21:case 32:case 11:case 30:case 36:{m=40;break c;break};case 6:{m=34;break c;break};case 5:{m=31;break c;break};case 22:case 24:case 25:case 26:case 27:{break};case 29:{if((c[12328+((d[13608+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)==0){m=28;break c}break};case 7:{m=37;break c;break};default:{m=41;break c}}b=b+2|0}if((m|0)==28){c[f>>2]=b;k=0;break}else if((m|0)==31){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==34){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==37){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==40){c[f>>2]=b;k=20;break}else if((m|0)==41){c[f>>2]=b;k=0;break}else if((m|0)==43){k=-20;break}}}while(0);i=h;return k|0}function LQ(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-4}else{b:do{switch(d[j+76+(d[b]|0)|0]|0){case 9:{if((b+1|0)==(e|0)){c[f>>2]=e;k=-15;break a}else{l=16;break b}break};case 6:{if((e-b|0)<3){k=-2;break a}if((me[c[j+348>>2]&127](j,b)|0)!=0){b=b+3|0;m=18;l=76;break b}if((me[c[j+336>>2]&127](j,b)|0)!=0){b=b+3|0;m=19;l=76;break b}else{c[f>>2]=b;k=0;break a}break};case 19:{k=vR(j,b+1|0,e,f)|0;break a;break};case 4:{b=b+1|0;if((b|0)==(e|0)){k=-26;break a}do{if((a[b]|0)==93){if((b+1|0)==(e|0)){k=-1;break a}if((a[b+1|0]|0)==62){c[f>>2]=b+2;k=34;break a}else{break}}}while(0);c[f>>2]=b;k=26;break a;break};case 36:{c[f>>2]=b+1;k=21;break a;break};case 7:{if((e-b|0)<4){k=-2;break a}if((me[c[j+352>>2]&127](j,b)|0)!=0){b=b+4|0;m=18;l=76;break b}if((me[c[j+340>>2]&127](j,b)|0)!=0){b=b+4|0;m=19;l=76;break b}else{c[f>>2]=b;k=0;break a}break};case 31:{c[f>>2]=b+1;k=23;break a;break};case 32:{b=b+1|0;if((b|0)==(e|0)){k=-24;break a}switch(d[j+76+(d[b]|0)|0]|0){case 9:case 10:case 21:case 11:case 35:case 36:case 32:{c[f>>2]=b;k=24;break a;break};case 15:{c[f>>2]=b+1;k=35;break a;break};case 33:{c[f>>2]=b+1;k=36;break a;break};case 34:{c[f>>2]=b+1;k=37;break a;break};default:{c[f>>2]=b;k=0;break a}}break};case 11:{c[f>>2]=b+1;k=17;break a;break};case 22:case 24:{m=18;b=b+1|0;l=76;break};case 25:case 26:case 27:case 23:{m=19;b=b+1|0;l=76;break};case 29:{l=75;break};case 30:{k=jR(j,b+1|0,e,f)|0;break a;break};case 12:{k=tR(12,j,b+1|0,e,f)|0;break a;break};case 21:case 10:{l=16;break};case 35:{c[f>>2]=b+1;k=38;break a;break};case 13:{k=tR(13,j,b+1|0,e,f)|0;break a;break};case 5:{if((e-b|0)<2){k=-2;break a}if((me[c[j+344>>2]&127](j,b)|0)!=0){b=b+2|0;m=18;l=76;break b}if((me[c[j+332>>2]&127](j,b)|0)!=0){b=b+2|0;m=19;l=76;break b}else{c[f>>2]=b;k=0;break a}break};case 2:{b=b+1|0;if((b|0)==(e|0)){k=-1;break a}switch(d[j+76+(d[b]|0)|0]|0){case 22:case 24:case 29:case 5:case 6:case 7:{c[f>>2]=b-1;k=29;break a;break};case 15:{k=pR(j,b+1|0,e,f)|0;break a;break};case 16:{k=uR(j,b+1|0,e,f)|0;break a;break};default:{c[f>>2]=b;k=0;break a}}break};case 20:{c[f>>2]=b+1;k=25;break a;break};default:{l=75}}}while(0);if((l|0)==16){while(1){b=b+1|0;if((b|0)==(e|0)){l=18;break}g=d[j+76+(d[b]|0)|0]|0;if((g|0)==9){if((b+1|0)==(e|0)){l=23;break}}else if(!((g|0)==21|(g|0)==10)){break}}if((l|0)==18){c[f>>2]=b;k=15;break}c[f>>2]=b;k=15;break}else if((l|0)==75){c[f>>2]=b;k=0;break}else if((l|0)==76){c:while(1){if((b|0)==(e|0)){l=133;break}switch(d[j+76+(d[b]|0)|0]|0){case 34:{l=122;break c;break};case 11:case 32:case 35:case 36:case 20:case 30:case 21:case 9:case 10:{l=96;break c;break};case 23:{b=b+1|0;g=m;if((g|0)==18){if((b|0)==(e|0)){l=99;break c}m=41;switch(d[j+76+(d[b]|0)|0]|0){case 6:{if((e-b|0)<3){l=109;break c}if((me[c[j+336>>2]&127](j,b)|0)==0){l=111;break c}b=b+3|0;break};case 29:{l=101;break c;break};case 7:{if((e-b|0)<4){l=114;break c}if((me[c[j+340>>2]&127](j,b)|0)==0){l=116;break c}b=b+4|0;break};case 22:case 24:case 25:case 26:case 27:{b=b+1|0;break};case 5:{if((e-b|0)<2){l=104;break c}if((me[c[j+332>>2]&127](j,b)|0)==0){l=106;break c}b=b+2|0;break};default:{m=19}}}else if((g|0)==41){m=19}break};case 33:{l=125;break c;break};case 15:{l=128;break c;break};case 22:case 24:case 25:case 26:case 27:{b=b+1|0;break};case 5:{if((e-b|0)<2){l=82;break c}if((me[c[j+332>>2]&127](j,b)|0)==0){l=84;break c}b=b+2|0;break};case 7:{if((e-b|0)<4){l=92;break c}if((me[c[j+340>>2]&127](j,b)|0)==0){l=94;break c}b=b+4|0;break};case 6:{if((e-b|0)<3){l=87;break c}if((me[c[j+336>>2]&127](j,b)|0)==0){l=89;break c}b=b+3|0;break};case 29:{l=79;break c;break};default:{l=131;break c}}}if((l|0)==79){c[f>>2]=b;k=0;break}else if((l|0)==82){k=-2;break}else if((l|0)==84){c[f>>2]=b;k=0;break}else if((l|0)==87){k=-2;break}else if((l|0)==89){c[f>>2]=b;k=0;break}else if((l|0)==92){k=-2;break}else if((l|0)==94){c[f>>2]=b;k=0;break}else if((l|0)==96){c[f>>2]=b;k=m;break}else if((l|0)==99){k=-1;break}else if((l|0)==101){c[f>>2]=b;k=0;break}else if((l|0)==104){k=-2;break}else if((l|0)==106){c[f>>2]=b;k=0;break}else if((l|0)==109){k=-2;break}else if((l|0)==111){c[f>>2]=b;k=0;break}else if((l|0)==114){k=-2;break}else if((l|0)==116){c[f>>2]=b;k=0;break}else if((l|0)==122){if((m|0)==19){c[f>>2]=b;k=0;break}else{c[f>>2]=b+1;k=32;break}}else if((l|0)==125){if((m|0)==19){c[f>>2]=b;k=0;break}else{c[f>>2]=b+1;k=31;break}}else if((l|0)==128){if((m|0)==19){c[f>>2]=b;k=0;break}else{c[f>>2]=b+1;k=30;break}}else if((l|0)==131){c[f>>2]=b;k=0;break}else if((l|0)==133){k=-m|0;break}}}}while(0);i=h;return k|0}function MQ(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-4;l=k;i=h;return l|0}a:do{switch(d[j+76+(d[b]|0)|0]|0){case 2:{k=mR(j,b+1|0,e,f)|0;l=k;i=h;return l|0};case 6:{if((e-b|0)<3){k=-2;l=k;i=h;return l|0}if((me[c[j+360>>2]&127](j,b)|0)==0){b=b+3|0;break a}c[f>>2]=b;k=0;l=k;i=h;return l|0};case 7:{if((e-b|0)<4){k=-2;l=k;i=h;return l|0}if((me[c[j+364>>2]&127](j,b)|0)==0){b=b+4|0;break a}c[f>>2]=b;k=0;l=k;i=h;return l|0};case 0:case 1:case 8:{c[f>>2]=b;k=0;l=k;i=h;return l|0};case 4:{b=b+1|0;if((b|0)==(e|0)){k=-5;l=k;i=h;return l|0}if((a[b]|0)!=93){break a}b=b+1|0;if((b|0)==(e|0)){k=-5;l=k;i=h;return l|0}if((a[b]|0)!=62){b=b-1|0;break a}c[f>>2]=b;k=0;l=k;i=h;return l|0};case 3:{k=iR(j,b+1|0,e,f)|0;l=k;i=h;return l|0};case 5:{if((e-b|0)<2){k=-2;l=k;i=h;return l|0}if((me[c[j+356>>2]&127](j,b)|0)==0){b=b+2|0;break a}c[f>>2]=b;k=0;l=k;i=h;return l|0};case 10:{c[f>>2]=b+1;k=7;l=k;i=h;return l|0};case 9:{b=b+1|0;if((b|0)==(e|0)){k=-3;l=k;i=h;return l|0}if((d[j+76+(d[b]|0)|0]|0)==10){b=b+1|0}c[f>>2]=b;k=7;l=k;i=h;return l|0};default:{b=b+1|0}}}while(0);b:while(1){if((b|0)==(e|0)){m=65;break}c:do{switch(d[j+76+(d[b]|0)|0]|0){case 5:{if((e-b|0)<2){m=43;break b}if((me[c[j+356>>2]&127](j,b)|0)!=0){m=43;break b}b=b+2|0;break};case 4:{if((b+1|0)==(e|0)){m=61;break b}if((a[b+1|0]|0)!=93){b=b+1|0;break c}if((b+2|0)==(e|0)){m=60;break b}if((a[b+2|0]|0)==62){m=59;break b}b=b+1|0;break};case 7:{if((e-b|0)<4){m=51;break b}if((me[c[j+364>>2]&127](j,b)|0)!=0){m=51;break b}b=b+4|0;break};case 6:{if((e-b|0)<3){m=47;break b}if((me[c[j+360>>2]&127](j,b)|0)!=0){m=47;break b}b=b+3|0;break};case 3:case 2:case 0:case 1:case 8:case 9:case 10:{break b;break};default:{b=b+1|0}}}while(0)}if((m|0)==43){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((m|0)==47){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((m|0)==51){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((m|0)==59){c[f>>2]=b+2;k=0;l=k;i=h;return l|0}else if((m|0)==60){m=61}else if((m|0)==65){c[f>>2]=b;k=6;l=k;i=h;return l|0}c[f>>2]=b;k=6;l=k;i=h;return l|0}function NQ(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-4;l=k;i=h;return l|0}a:do{switch(d[j+76+(d[b]|0)|0]|0){case 6:{if((e-b|0)<3){k=-2;l=k;i=h;return l|0}if((me[c[j+360>>2]&127](j,b)|0)==0){b=b+3|0;break a}c[f>>2]=b;k=0;l=k;i=h;return l|0};case 10:{c[f>>2]=b+1;k=7;l=k;i=h;return l|0};case 7:{if((e-b|0)<4){k=-2;l=k;i=h;return l|0}if((me[c[j+364>>2]&127](j,b)|0)==0){b=b+4|0;break a}c[f>>2]=b;k=0;l=k;i=h;return l|0};case 0:case 1:case 8:{c[f>>2]=b;k=0;l=k;i=h;return l|0};case 9:{b=b+1|0;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}if((d[j+76+(d[b]|0)|0]|0)==10){b=b+1|0}c[f>>2]=b;k=7;l=k;i=h;return l|0};case 5:{if((e-b|0)<2){k=-2;l=k;i=h;return l|0}if((me[c[j+356>>2]&127](j,b)|0)==0){b=b+2|0;break a}c[f>>2]=b;k=0;l=k;i=h;return l|0};case 4:{b=b+1|0;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}if((a[b]|0)!=93){break a}b=b+1|0;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}if((a[b]|0)!=62){b=b-1|0;break a}c[f>>2]=b+1;k=40;l=k;i=h;return l|0};default:{b=b+1|0}}}while(0);b:while(1){if((b|0)==(e|0)){m=54;break}switch(d[j+76+(d[b]|0)|0]|0){case 7:{if((e-b|0)<4){m=49;break b}if((me[c[j+364>>2]&127](j,b)|0)!=0){m=49;break b}b=b+4|0;break};case 6:{if((e-b|0)<3){m=45;break b}if((me[c[j+360>>2]&127](j,b)|0)!=0){m=45;break b}b=b+3|0;break};case 5:{if((e-b|0)<2){m=41;break b}if((me[c[j+356>>2]&127](j,b)|0)!=0){m=41;break b}b=b+2|0;break};case 0:case 1:case 8:case 9:case 10:case 4:{m=51;break b;break};default:{b=b+1|0}}}if((m|0)==41){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((m|0)==45){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((m|0)==49){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((m|0)==51){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((m|0)==54){c[f>>2]=b;k=6;l=k;i=h;return l|0}return 0}



function Km(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+856>>3]=+h[b+3440>>3];return}function Lm(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+848>>3]=+h[b+3440>>3];return}function Mm(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+840>>3]=+h[b+3440>>3];return}function Nm(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+528>>3]=+h[b+192>>3];return}function Om(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+592>>3]=+h[b+528>>3];return}function Pm(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+520>>3]=+h[b+152>>3];return}function Qm(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+584>>3]=+h[b+520>>3];return}function Rm(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+448>>3]=+h[b+184>>3];return}function Sm(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+512>>3]=+h[b+448>>3];return}function Tm(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+440>>3]=+h[b+144>>3];return}function Um(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+504>>3]=+h[b+440>>3];return}function Vm(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+368>>3]=+h[b+176>>3];return}function Wm(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+432>>3]=+h[b+368>>3];return}function Xm(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+360>>3]=+h[b+136>>3];return}function Ym(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+424>>3]=+h[b+360>>3];return}function Zm(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+288>>3]=+h[b+168>>3];return}function _m(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+352>>3]=+h[b+288>>3];return}function $m(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+280>>3]=+h[b+128>>3];return}function an(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+344>>3]=+h[b+280>>3];return}function bn(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+208>>3]=+h[b+160>>3];return}function cn(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+272>>3]=+h[b+208>>3];return}function dn(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+200>>3]=+h[b+120>>3];return}function en(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+264>>3]=+h[b+200>>3];return}function fn(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+112>>3]=+h[b+3432>>3];return}function gn(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+552>>3]=+h[b+112>>3];return}function hn(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+568>>3]=+h[b+552>>3];return}function jn(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+104>>3]=+h[b+3432>>3];return}function kn(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+472>>3]=+h[b+104>>3];return}function ln(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+488>>3]=+h[b+472>>3];return}function mn(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+96>>3]=+h[b+3432>>3];return}function nn(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+392>>3]=+h[b+96>>3];return}function on(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+408>>3]=+h[b+392>>3];return}function pn(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+88>>3]=+h[b+3432>>3];return}function qn(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+312>>3]=+h[b+88>>3];return}function rn(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+328>>3]=+h[b+312>>3];return}function sn(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+80>>3]=+h[b+3432>>3];return}function tn(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+232>>3]=+h[b+80>>3];return}function un(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+248>>3]=+h[b+232>>3];return}function vn(a){a=a|0;var b=0,d=0,e=0,f=0.0;b=i;i=i+32|0;d=b|0;e=b+16|0;hj(d,c[a+536>>2]|0,5);lU(d|0,e);f=+_T(e,4);h[(c[a+416>>2]|0)+72>>3]=f;i=b;return}function wn(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+544>>3]=+h[b+72>>3];return}function xn(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+576>>3]=+h[b+544>>3];return}function yn(a){a=a|0;var b=0,d=0,e=0,f=0.0;b=i;i=i+32|0;d=b|0;e=b+16|0;hj(d,c[a+536>>2]|0,5);lU(d|0,e);f=+_T(e,3);h[(c[a+416>>2]|0)+64>>3]=f;i=b;return}function zn(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+464>>3]=+h[b+64>>3];return}function An(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+496>>3]=+h[b+464>>3];return}function Bn(a){a=a|0;var b=0,d=0,e=0,f=0.0;b=i;i=i+32|0;d=b|0;e=b+16|0;hj(d,c[a+536>>2]|0,5);lU(d|0,e);f=+_T(e,2);h[(c[a+416>>2]|0)+56>>3]=f;i=b;return}function Cn(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+384>>3]=+h[b+56>>3];return}function Dn(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+416>>3]=+h[b+384>>3];return}function En(a){a=a|0;var b=0,d=0,e=0,f=0.0;b=i;i=i+32|0;d=b|0;e=b+16|0;hj(d,c[a+536>>2]|0,5);lU(d|0,e);f=+_T(e,1);h[(c[a+416>>2]|0)+48>>3]=f;i=b;return}function Fn(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+304>>3]=+h[b+48>>3];return}function Gn(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+336>>3]=+h[b+304>>3];return}function Hn(a){a=a|0;var b=0,d=0,e=0,f=0.0;b=i;i=i+32|0;d=b|0;e=b+16|0;hj(d,c[a+536>>2]|0,5);lU(d|0,e);f=+_T(e,0);h[(c[a+416>>2]|0)+40>>3]=f;i=b;return}function In(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+224>>3]=+h[b+40>>3];return}function Jn(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+256>>3]=+h[b+224>>3];return}function Kn(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+32>>3]=+h[b+3424>>3]*1.414213562373095;return}function Ln(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+536>>3]=+h[b+32>>3];return}function Mn(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+560>>3]=+h[b+536>>3];return}function Nn(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+24>>3]=+h[b+3424>>3]*1.414213562373095;return}function On(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+456>>3]=+h[b+24>>3];return}function Pn(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+480>>3]=+h[b+456>>3];return}function Qn(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+16>>3]=+h[b+3424>>3]*1.414213562373095;return}function Rn(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+376>>3]=+h[b+16>>3];return}function Sn(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+400>>3]=+h[b+376>>3];return}function Tn(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+8>>3]=+h[b+3424>>3]*1.414213562373095;return}function Un(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+296>>3]=+h[b+8>>3];return}function Vn(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+320>>3]=+h[b+296>>3];return}function Wn(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b>>3]=+h[b+3424>>3]*1.414213562373095;return}function Xn(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+216>>3]=+h[b>>3];return}function Yn(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+240>>3]=+h[b+216>>3];return}function Zn(b){b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0.0,k=0,l=0,m=0.0,n=0.0,o=0,p=0,q=0;do{if((a[b+314|0]|0)==0){d=a[c[b+356>>2]|0]|0}else{e=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(e){f=a[c[b+356>>2]|0]|0;g=nW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+2432>>3],a[c[b+360>>2]|0]|0)|0;a[c[b+352>>2]|0]=g;d=f;break}else{f=nW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+2432>>3],a[c[b+360>>2]|0]|0)|0;a[c[b+352>>2]|0]=f;d=f;break}}else{if(e){e=a[c[b+356>>2]|0]|0;f=pW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+2432>>3])|0;a[c[b+352>>2]|0]=f;d=e;break}else{e=pW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+2432>>3])|0;a[c[b+352>>2]|0]=e;d=e;break}}}}while(0);e=c[b+416>>2]|0;if(d<<24>>24==0){d=c[c[b+4>>2]>>2]|0;i=+Z(+h[e+2416>>3]+ +h[e+2408>>3]*(+h[d>>3]- +h[e+2432>>3])*6.283185307179586);j=i*+h[e+2400>>3];k=d;l=e+2424|0;m=+h[l>>3];n=j+m;o=k+8|0;p=c[o>>2]|0;q=p+936|0;h[q>>3]=n;return}else{j=0.0;k=c[c[b+4>>2]>>2]|0;l=e+2424|0;m=+h[l>>3];n=j+m;o=k+8|0;p=c[o>>2]|0;q=p+936|0;h[q>>3]=n;return}}function _n(b){b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0.0,k=0,l=0,m=0.0,n=0.0,o=0,p=0,q=0;do{if((a[b+314|0]|0)==0){d=a[(c[b+356>>2]|0)+1|0]|0}else{e=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(e){f=a[(c[b+356>>2]|0)+1|0]|0;g=nW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+2352>>3],a[(c[b+360>>2]|0)+1|0]|0)|0;a[(c[b+352>>2]|0)+1|0]=g;d=f;break}else{f=nW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+2352>>3],a[(c[b+360>>2]|0)+1|0]|0)|0;a[(c[b+352>>2]|0)+1|0]=f;d=f;break}}else{if(e){e=a[(c[b+356>>2]|0)+1|0]|0;f=pW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+2352>>3])|0;a[(c[b+352>>2]|0)+1|0]=f;d=e;break}else{e=pW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+2352>>3])|0;a[(c[b+352>>2]|0)+1|0]=e;d=e;break}}}}while(0);e=c[b+416>>2]|0;if(d<<24>>24==0){d=c[c[b+4>>2]>>2]|0;i=+Z(+h[e+2336>>3]+ +h[e+2328>>3]*(+h[d>>3]- +h[e+2352>>3])*6.283185307179586);j=i*+h[e+2320>>3];k=d;l=e+2344|0;m=+h[l>>3];n=j+m;o=k+8|0;p=c[o>>2]|0;q=p+928|0;h[q>>3]=n;return}else{j=0.0;k=c[c[b+4>>2]>>2]|0;l=e+2344|0;m=+h[l>>3];n=j+m;o=k+8|0;p=c[o>>2]|0;q=p+928|0;h[q>>3]=n;return}}function $n(b){b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0.0,k=0,l=0,m=0.0,n=0.0,o=0,p=0,q=0;do{if((a[b+314|0]|0)==0){d=a[(c[b+356>>2]|0)+2|0]|0}else{e=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(e){f=a[(c[b+356>>2]|0)+2|0]|0;g=nW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+2272>>3],a[(c[b+360>>2]|0)+2|0]|0)|0;a[(c[b+352>>2]|0)+2|0]=g;d=f;break}else{f=nW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+2272>>3],a[(c[b+360>>2]|0)+2|0]|0)|0;a[(c[b+352>>2]|0)+2|0]=f;d=f;break}}else{if(e){e=a[(c[b+356>>2]|0)+2|0]|0;f=pW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+2272>>3])|0;a[(c[b+352>>2]|0)+2|0]=f;d=e;break}else{e=pW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+2272>>3])|0;a[(c[b+352>>2]|0)+2|0]=e;d=e;break}}}}while(0);e=c[b+416>>2]|0;if(d<<24>>24==0){d=c[c[b+4>>2]>>2]|0;i=+Z(+h[e+2256>>3]+ +h[e+2248>>3]*(+h[d>>3]- +h[e+2272>>3])*6.283185307179586);j=i*+h[e+2240>>3];k=d;l=e+2264|0;m=+h[l>>3];n=j+m;o=k+8|0;p=c[o>>2]|0;q=p+920|0;h[q>>3]=n;return}else{j=0.0;k=c[c[b+4>>2]>>2]|0;l=e+2264|0;m=+h[l>>3];n=j+m;o=k+8|0;p=c[o>>2]|0;q=p+920|0;h[q>>3]=n;return}}function ao(b){b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0.0,k=0,l=0,m=0.0,n=0.0,o=0,p=0,q=0;do{if((a[b+314|0]|0)==0){d=a[(c[b+356>>2]|0)+3|0]|0}else{e=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(e){f=a[(c[b+356>>2]|0)+3|0]|0;g=nW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+592>>3],a[(c[b+360>>2]|0)+3|0]|0)|0;a[(c[b+352>>2]|0)+3|0]=g;d=f;break}else{f=nW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+592>>3],a[(c[b+360>>2]|0)+3|0]|0)|0;a[(c[b+352>>2]|0)+3|0]=f;d=f;break}}else{if(e){e=a[(c[b+356>>2]|0)+3|0]|0;f=pW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+592>>3])|0;a[(c[b+352>>2]|0)+3|0]=f;d=e;break}else{e=pW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+592>>3])|0;a[(c[b+352>>2]|0)+3|0]=e;d=e;break}}}}while(0);e=c[b+416>>2]|0;if(d<<24>>24==0){d=c[c[b+4>>2]>>2]|0;i=+Z(+h[e+576>>3]+ +h[e+568>>3]*(+h[d>>3]- +h[e+592>>3])*6.283185307179586);j=i*+h[e+560>>3];k=d;l=e+584|0;m=+h[l>>3];n=j+m;o=k+8|0;p=c[o>>2]|0;q=p+2120|0;h[q>>3]=n;return}else{j=0.0;k=c[c[b+4>>2]>>2]|0;l=e+584|0;m=+h[l>>3];n=j+m;o=k+8|0;p=c[o>>2]|0;q=p+2120|0;h[q>>3]=n;return}}function bo(b){b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0.0,k=0,l=0,m=0.0,n=0.0,o=0,p=0,q=0;do{if((a[b+314|0]|0)==0){d=a[(c[b+356>>2]|0)+4|0]|0}else{e=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(e){f=a[(c[b+356>>2]|0)+4|0]|0;g=nW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+512>>3],a[(c[b+360>>2]|0)+4|0]|0)|0;a[(c[b+352>>2]|0)+4|0]=g;d=f;break}else{f=nW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+512>>3],a[(c[b+360>>2]|0)+4|0]|0)|0;a[(c[b+352>>2]|0)+4|0]=f;d=f;break}}else{if(e){e=a[(c[b+356>>2]|0)+4|0]|0;f=pW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+512>>3])|0;a[(c[b+352>>2]|0)+4|0]=f;d=e;break}else{e=pW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+512>>3])|0;a[(c[b+352>>2]|0)+4|0]=e;d=e;break}}}}while(0);e=c[b+416>>2]|0;if(d<<24>>24==0){d=c[c[b+4>>2]>>2]|0;i=+Z(+h[e+496>>3]+ +h[e+488>>3]*(+h[d>>3]- +h[e+512>>3])*6.283185307179586);j=i*+h[e+480>>3];k=d;l=e+504|0;m=+h[l>>3];n=j+m;o=k+8|0;p=c[o>>2]|0;q=p+2112|0;h[q>>3]=n;return}else{j=0.0;k=c[c[b+4>>2]>>2]|0;l=e+504|0;m=+h[l>>3];n=j+m;o=k+8|0;p=c[o>>2]|0;q=p+2112|0;h[q>>3]=n;return}}function co(b){b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0.0,k=0,l=0,m=0.0,n=0.0,o=0,p=0,q=0;do{if((a[b+314|0]|0)==0){d=a[(c[b+356>>2]|0)+5|0]|0}else{e=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(e){f=a[(c[b+356>>2]|0)+5|0]|0;g=nW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+432>>3],a[(c[b+360>>2]|0)+5|0]|0)|0;a[(c[b+352>>2]|0)+5|0]=g;d=f;break}else{f=nW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+432>>3],a[(c[b+360>>2]|0)+5|0]|0)|0;a[(c[b+352>>2]|0)+5|0]=f;d=f;break}}else{if(e){e=a[(c[b+356>>2]|0)+5|0]|0;f=pW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+432>>3])|0;a[(c[b+352>>2]|0)+5|0]=f;d=e;break}else{e=pW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+432>>3])|0;a[(c[b+352>>2]|0)+5|0]=e;d=e;break}}}}while(0);e=c[b+416>>2]|0;if(d<<24>>24==0){d=c[c[b+4>>2]>>2]|0;i=+Z(+h[e+416>>3]+ +h[e+408>>3]*(+h[d>>3]- +h[e+432>>3])*6.283185307179586);j=i*+h[e+400>>3];k=d;l=e+424|0;m=+h[l>>3];n=j+m;o=k+8|0;p=c[o>>2]|0;q=p+2104|0;h[q>>3]=n;return}else{j=0.0;k=c[c[b+4>>2]>>2]|0;l=e+424|0;m=+h[l>>3];n=j+m;o=k+8|0;p=c[o>>2]|0;q=p+2104|0;h[q>>3]=n;return}}function eo(b){b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0.0,k=0,l=0,m=0.0,n=0.0,o=0,p=0,q=0;do{if((a[b+314|0]|0)==0){d=a[(c[b+356>>2]|0)+6|0]|0}else{e=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(e){f=a[(c[b+356>>2]|0)+6|0]|0;g=nW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+352>>3],a[(c[b+360>>2]|0)+6|0]|0)|0;a[(c[b+352>>2]|0)+6|0]=g;d=f;break}else{f=nW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+352>>3],a[(c[b+360>>2]|0)+6|0]|0)|0;a[(c[b+352>>2]|0)+6|0]=f;d=f;break}}else{if(e){e=a[(c[b+356>>2]|0)+6|0]|0;f=pW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+352>>3])|0;a[(c[b+352>>2]|0)+6|0]=f;d=e;break}else{e=pW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+352>>3])|0;a[(c[b+352>>2]|0)+6|0]=e;d=e;break}}}}while(0);e=c[b+416>>2]|0;if(d<<24>>24==0){d=c[c[b+4>>2]>>2]|0;i=+Z(+h[e+336>>3]+ +h[e+328>>3]*(+h[d>>3]- +h[e+352>>3])*6.283185307179586);j=i*+h[e+320>>3];k=d;l=e+344|0;m=+h[l>>3];n=j+m;o=k+8|0;p=c[o>>2]|0;q=p+2096|0;h[q>>3]=n;return}else{j=0.0;k=c[c[b+4>>2]>>2]|0;l=e+344|0;m=+h[l>>3];n=j+m;o=k+8|0;p=c[o>>2]|0;q=p+2096|0;h[q>>3]=n;return}}function fo(b){b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0.0,k=0,l=0,m=0.0,n=0.0,o=0,p=0,q=0;do{if((a[b+314|0]|0)==0){d=a[(c[b+356>>2]|0)+7|0]|0}else{e=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(e){f=a[(c[b+356>>2]|0)+7|0]|0;g=nW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+272>>3],a[(c[b+360>>2]|0)+7|0]|0)|0;a[(c[b+352>>2]|0)+7|0]=g;d=f;break}else{f=nW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+272>>3],a[(c[b+360>>2]|0)+7|0]|0)|0;a[(c[b+352>>2]|0)+7|0]=f;d=f;break}}else{if(e){e=a[(c[b+356>>2]|0)+7|0]|0;f=pW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+272>>3])|0;a[(c[b+352>>2]|0)+7|0]=f;d=e;break}else{e=pW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+272>>3])|0;a[(c[b+352>>2]|0)+7|0]=e;d=e;break}}}}while(0);e=c[b+416>>2]|0;if(d<<24>>24==0){d=c[c[b+4>>2]>>2]|0;i=+Z(+h[e+256>>3]+ +h[e+248>>3]*(+h[d>>3]- +h[e+272>>3])*6.283185307179586);j=i*+h[e+240>>3];k=d;l=e+264|0;m=+h[l>>3];n=j+m;o=k+8|0;p=c[o>>2]|0;q=p+2088|0;h[q>>3]=n;return}else{j=0.0;k=c[c[b+4>>2]>>2]|0;l=e+264|0;m=+h[l>>3];n=j+m;o=k+8|0;p=c[o>>2]|0;q=p+2088|0;h[q>>3]=n;return}}function go(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;do{if((a[b+314|0]|0)==0){d=a[(c[b+356>>2]|0)+8|0]|0}else{e=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(e){f=a[(c[b+356>>2]|0)+8|0]|0;g=oW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+2600>>3],a[(c[b+360>>2]|0)+8|0]|0)|0;a[(c[b+352>>2]|0)+8|0]=g;d=f;break}else{f=oW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+2600>>3],a[(c[b+360>>2]|0)+8|0]|0)|0;a[(c[b+352>>2]|0)+8|0]=f;d=f;break}}else{if(e){e=a[(c[b+356>>2]|0)+8|0]|0;f=rW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+2600>>3])|0;a[(c[b+352>>2]|0)+8|0]=f;d=e;break}else{e=rW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+2600>>3])|0;a[(c[b+352>>2]|0)+8|0]=e;d=e;break}}}}while(0);e=a[(c[b+424>>2]|0)+25|0]|0;if(d<<24>>24==0){i=e;j=b+4|0;k=c[j>>2]|0;l=c[k>>2]|0;m=l+16|0;n=c[m>>2]|0;o=n+2|0;a[o]=i;return}i=e<<24>>24==0|0;j=b+4|0;k=c[j>>2]|0;l=c[k>>2]|0;m=l+16|0;n=c[m>>2]|0;o=n+2|0;a[o]=i;return}function ho(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;do{if((a[b+314|0]|0)==0){d=a[(c[b+356>>2]|0)+9|0]|0}else{e=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(e){f=a[(c[b+356>>2]|0)+9|0]|0;g=oW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+2592>>3],a[(c[b+360>>2]|0)+9|0]|0)|0;a[(c[b+352>>2]|0)+9|0]=g;d=f;break}else{f=oW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+2592>>3],a[(c[b+360>>2]|0)+9|0]|0)|0;a[(c[b+352>>2]|0)+9|0]=f;d=f;break}}else{if(e){e=a[(c[b+356>>2]|0)+9|0]|0;f=rW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+2592>>3])|0;a[(c[b+352>>2]|0)+9|0]=f;d=e;break}else{e=rW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+2592>>3])|0;a[(c[b+352>>2]|0)+9|0]=e;d=e;break}}}}while(0);e=a[(c[b+424>>2]|0)+24|0]|0;if(d<<24>>24==0){i=e;j=b+4|0;k=c[j>>2]|0;l=c[k>>2]|0;m=l+16|0;n=c[m>>2]|0;o=n+1|0;a[o]=i;return}i=e<<24>>24==0|0;j=b+4|0;k=c[j>>2]|0;l=c[k>>2]|0;m=l+16|0;n=c[m>>2]|0;o=n+1|0;a[o]=i;return}function io(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0;do{if((a[b+314|0]|0)==0){d=a[(c[b+356>>2]|0)+10|0]|0}else{e=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(e){f=a[(c[b+356>>2]|0)+10|0]|0;g=oW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+2584>>3],a[(c[b+360>>2]|0)+10|0]|0)|0;a[(c[b+352>>2]|0)+10|0]=g;d=f;break}else{f=oW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+2584>>3],a[(c[b+360>>2]|0)+10|0]|0)|0;a[(c[b+352>>2]|0)+10|0]=f;d=f;break}}else{if(e){e=a[(c[b+356>>2]|0)+10|0]|0;f=rW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+2584>>3])|0;a[(c[b+352>>2]|0)+10|0]=f;d=e;break}else{e=rW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+2584>>3])|0;a[(c[b+352>>2]|0)+10|0]=e;d=e;break}}}}while(0);e=a[(c[b+424>>2]|0)+23|0]|0;if(d<<24>>24==0){i=e;j=b+4|0;k=c[j>>2]|0;l=c[k>>2]|0;m=l+16|0;n=c[m>>2]|0;a[n]=i;return}i=e<<24>>24==0|0;j=b+4|0;k=c[j>>2]|0;l=c[k>>2]|0;m=l+16|0;n=c[m>>2]|0;a[n]=i;return}function jo(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;do{if((a[b+314|0]|0)==0){d=a[(c[b+356>>2]|0)+11|0]|0}else{e=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(e){f=a[(c[b+356>>2]|0)+11|0]|0;g=oW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+872>>3],a[(c[b+360>>2]|0)+11|0]|0)|0;a[(c[b+352>>2]|0)+11|0]=g;d=f;break}else{f=oW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+872>>3],a[(c[b+360>>2]|0)+11|0]|0)|0;a[(c[b+352>>2]|0)+11|0]=f;d=f;break}}else{if(e){e=a[(c[b+356>>2]|0)+11|0]|0;f=rW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+872>>3])|0;a[(c[b+352>>2]|0)+11|0]=f;d=e;break}else{e=rW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+872>>3])|0;a[(c[b+352>>2]|0)+11|0]=e;d=e;break}}}}while(0);e=a[(c[b+424>>2]|0)+9|0]|0;if(d<<24>>24==0){i=e;j=b+4|0;k=c[j>>2]|0;l=c[k>>2]|0;m=l+16|0;n=c[m>>2]|0;o=n+7|0;a[o]=i;return}i=e<<24>>24==0|0;j=b+4|0;k=c[j>>2]|0;l=c[k>>2]|0;m=l+16|0;n=c[m>>2]|0;o=n+7|0;a[o]=i;return}function ko(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;do{if((a[b+314|0]|0)==0){d=a[(c[b+356>>2]|0)+12|0]|0}else{e=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(e){f=a[(c[b+356>>2]|0)+12|0]|0;g=oW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+864>>3],a[(c[b+360>>2]|0)+12|0]|0)|0;a[(c[b+352>>2]|0)+12|0]=g;d=f;break}else{f=oW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+864>>3],a[(c[b+360>>2]|0)+12|0]|0)|0;a[(c[b+352>>2]|0)+12|0]=f;d=f;break}}else{if(e){e=a[(c[b+356>>2]|0)+12|0]|0;f=rW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+864>>3])|0;a[(c[b+352>>2]|0)+12|0]=f;d=e;break}else{e=rW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+864>>3])|0;a[(c[b+352>>2]|0)+12|0]=e;d=e;break}}}}while(0);e=a[(c[b+424>>2]|0)+8|0]|0;if(d<<24>>24==0){i=e;j=b+4|0;k=c[j>>2]|0;l=c[k>>2]|0;m=l+16|0;n=c[m>>2]|0;o=n+6|0;a[o]=i;return}i=e<<24>>24==0|0;j=b+4|0;k=c[j>>2]|0;l=c[k>>2]|0;m=l+16|0;n=c[m>>2]|0;o=n+6|0;a[o]=i;return}function lo(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;do{if((a[b+314|0]|0)==0){d=a[(c[b+356>>2]|0)+13|0]|0}else{e=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(e){f=a[(c[b+356>>2]|0)+13|0]|0;g=oW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+856>>3],a[(c[b+360>>2]|0)+13|0]|0)|0;a[(c[b+352>>2]|0)+13|0]=g;d=f;break}else{f=oW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+856>>3],a[(c[b+360>>2]|0)+13|0]|0)|0;a[(c[b+352>>2]|0)+13|0]=f;d=f;break}}else{if(e){e=a[(c[b+356>>2]|0)+13|0]|0;f=rW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+856>>3])|0;a[(c[b+352>>2]|0)+13|0]=f;d=e;break}else{e=rW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+856>>3])|0;a[(c[b+352>>2]|0)+13|0]=e;d=e;break}}}}while(0);e=a[(c[b+424>>2]|0)+7|0]|0;if(d<<24>>24==0){i=e;j=b+4|0;k=c[j>>2]|0;l=c[k>>2]|0;m=l+16|0;n=c[m>>2]|0;o=n+5|0;a[o]=i;return}i=e<<24>>24==0|0;j=b+4|0;k=c[j>>2]|0;l=c[k>>2]|0;m=l+16|0;n=c[m>>2]|0;o=n+5|0;a[o]=i;return}function mo(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;do{if((a[b+314|0]|0)==0){d=a[(c[b+356>>2]|0)+14|0]|0}else{e=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(e){f=a[(c[b+356>>2]|0)+14|0]|0;g=oW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+848>>3],a[(c[b+360>>2]|0)+14|0]|0)|0;a[(c[b+352>>2]|0)+14|0]=g;d=f;break}else{f=oW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+848>>3],a[(c[b+360>>2]|0)+14|0]|0)|0;a[(c[b+352>>2]|0)+14|0]=f;d=f;break}}else{if(e){e=a[(c[b+356>>2]|0)+14|0]|0;f=rW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+848>>3])|0;a[(c[b+352>>2]|0)+14|0]=f;d=e;break}else{e=rW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+848>>3])|0;a[(c[b+352>>2]|0)+14|0]=e;d=e;break}}}}while(0);e=a[(c[b+424>>2]|0)+6|0]|0;if(d<<24>>24==0){i=e;j=b+4|0;k=c[j>>2]|0;l=c[k>>2]|0;m=l+16|0;n=c[m>>2]|0;o=n+4|0;a[o]=i;return}i=e<<24>>24==0|0;j=b+4|0;k=c[j>>2]|0;l=c[k>>2]|0;m=l+16|0;n=c[m>>2]|0;o=n+4|0;a[o]=i;return}function no(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;do{if((a[b+314|0]|0)==0){d=a[(c[b+356>>2]|0)+15|0]|0}else{e=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(e){f=a[(c[b+356>>2]|0)+15|0]|0;g=oW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+840>>3],a[(c[b+360>>2]|0)+15|0]|0)|0;a[(c[b+352>>2]|0)+15|0]=g;d=f;break}else{f=oW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+840>>3],a[(c[b+360>>2]|0)+15|0]|0)|0;a[(c[b+352>>2]|0)+15|0]=f;d=f;break}}else{if(e){e=a[(c[b+356>>2]|0)+15|0]|0;f=rW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+840>>3])|0;a[(c[b+352>>2]|0)+15|0]=f;d=e;break}else{e=rW(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+840>>3])|0;a[(c[b+352>>2]|0)+15|0]=e;d=e;break}}}}while(0);e=a[(c[b+424>>2]|0)+5|0]|0;if(d<<24>>24==0){i=e;j=b+4|0;k=c[j>>2]|0;l=c[k>>2]|0;m=l+16|0;n=c[m>>2]|0;o=n+3|0;a[o]=i;return}i=e<<24>>24==0|0;j=b+4|0;k=c[j>>2]|0;l=c[k>>2]|0;m=l+16|0;n=c[m>>2]|0;o=n+3|0;a[o]=i;return}function oo(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+112>>3]=0.0;return}function po(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+184>>3]=+h[b+112>>3];return}function qo(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0,j=0,k=0.0,l=0.0,m=0.0,n=0,o=0,p=0.0,q=0.0,r=0,s=0,t=0,u=0,v=0,w=0.0;d=b+4|0;e=(rW(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+112>>3],0.0)|0)<<24>>24==0;f=b+416|0;g=+h[(c[f>>2]|0)+4160>>3];i=g!=0.0;j=c[c[d>>2]>>2]|0;k=+h[(c[j+8>>2]|0)+112>>3];if(e){do{if(i){l=k/g}else{if(k==0.0){l=k;break}l=k/+bT(c[b+536>>2]|0,g,9957944,9994632,+h[j>>3],(a[b+319|0]|0)!=0|0)}}while(0);m=-0.0-l*l;n=c[f>>2]|0;o=n+4152|0;p=+h[o>>3];q=m*p;r=c[d>>2]|0;s=c[r>>2]|0;t=s+8|0;u=c[t>>2]|0;v=u+2968|0;h[v>>3]=q;return}else{do{if(i){w=k/g}else{if(k==0.0){w=k;break}w=k/+bT(c[b+536>>2]|0,g,9957944,9994632,+h[j>>3],(a[b+319|0]|0)!=0|0)}}while(0);m=w*w;n=c[f>>2]|0;o=n+4152|0;p=+h[o>>3];q=m*p;r=c[d>>2]|0;s=c[r>>2]|0;t=s+8|0;u=c[t>>2]|0;v=u+2968|0;h[v>>3]=q;return}}function ro(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3304>>3]=+(c[(c[a+420>>2]|0)+204>>2]|0)*+h[b+112>>3];return}function so(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3192>>3]=0.0;return}function to(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+64>>3]=+h[b+3192>>3]+ +h[(c[a+416>>2]|0)+3576>>3];return}function uo(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3016>>3]=+(c[(c[a+420>>2]|0)+204>>2]|0)*(+h[b+64>>3]- +h[(c[a+416>>2]|0)+3576>>3]);return}function vo(a){a=a|0;var b=0,d=0.0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=-0.0- +Z(+h[b+3016>>3]);h[b+3264>>3]=+h[b+3304>>3]*d;return}function wo(a){a=a|0;var b=0,d=0.0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=+Y(+h[b+3016>>3]);h[b+3272>>3]=d*+h[b+3304>>3];return}function xo(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3008>>3]=+Y(+h[b+3016>>3]);return}function yo(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3e3>>3]=+Z(+h[b+3016>>3]);return}function zo(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3144>>3]=+h[b+64>>3]- +h[(c[a+416>>2]|0)+3576>>3];return}function Ao(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3152>>3]=+h[b+64>>3]- +h[(c[a+416>>2]|0)+3576>>3];return}function Bo(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+56>>3]=0.0;return}function Co(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+152>>3]=+h[b+56>>3];return}function Do(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0,j=0,k=0.0,l=0.0,m=0.0,n=0,o=0,p=0.0,q=0.0,r=0,s=0,t=0,u=0,v=0,w=0.0;d=b+4|0;e=(rW(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+56>>3],0.0)|0)<<24>>24==0;f=b+416|0;g=+h[(c[f>>2]|0)+5112>>3];i=g!=0.0;j=c[c[d>>2]>>2]|0;k=+h[(c[j+8>>2]|0)+56>>3];if(e){do{if(i){l=k/g}else{if(k==0.0){l=k;break}l=k/+bT(c[b+536>>2]|0,g,9955808,9994624,+h[j>>3],(a[b+319|0]|0)!=0|0)}}while(0);m=-0.0-l*l;n=c[f>>2]|0;o=n+5104|0;p=+h[o>>3];q=m*p;r=c[d>>2]|0;s=c[r>>2]|0;t=s+8|0;u=c[t>>2]|0;v=u+2656|0;h[v>>3]=q;return}else{do{if(i){w=k/g}else{if(k==0.0){w=k;break}w=k/+bT(c[b+536>>2]|0,g,9955808,9994624,+h[j>>3],(a[b+319|0]|0)!=0|0)}}while(0);m=w*w;n=c[f>>2]|0;o=n+5104|0;p=+h[o>>3];q=m*p;r=c[d>>2]|0;s=c[r>>2]|0;t=s+8|0;u=c[t>>2]|0;v=u+2656|0;h[v>>3]=q;return}}function Eo(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3312>>3]=+(c[(c[a+420>>2]|0)+488>>2]|0)*+h[b+56>>3];return}function Fo(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2904>>3]=0.0;return}function Go(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+32>>3]=+h[b+2904>>3]+ +h[(c[a+416>>2]|0)+4528>>3];return}function Ho(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2704>>3]=+(c[(c[a+420>>2]|0)+488>>2]|0)*(+h[b+32>>3]- +h[(c[a+416>>2]|0)+4528>>3]);return}function Io(a){a=a|0;var b=0,d=0.0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=-0.0- +Z(+h[b+2704>>3]);h[b+3288>>3]=+h[b+3312>>3]*d;return}function Jo(a){a=a|0;var b=0,d=0.0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=+Y(+h[b+2704>>3]);h[b+3296>>3]=d*+h[b+3312>>3];return}function Ko(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2696>>3]=+Y(+h[b+2704>>3]);return}function Lo(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2688>>3]=+Z(+h[b+2704>>3]);return}function Mo(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2856>>3]=+h[b+32>>3]- +h[(c[a+416>>2]|0)+4528>>3];return}function No(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2864>>3]=+h[b+32>>3]- +h[(c[a+416>>2]|0)+4528>>3];return}function Oo(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+1376>>3]=0.0;return}function Po(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+24>>3]=-0.0- +h[b+1376>>3];return}function Qo(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+968>>3]=+h[(c[a+416>>2]|0)+2024>>3]*+h[b+24>>3];return}function Ro(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+960>>3]=+h[b+968>>3]*+h[b+24>>3];return}function So(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1208>>3]=+h[b+24>>3]*.515036214800484;return}function To(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1200>>3]=+h[b+24>>3]*.3741957135154556;return}function Uo(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+1368>>3]=0.0;return}function Vo(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+984>>3]=+h[b+1368>>3]*(-0.0- +h[(c[a+416>>2]|0)+1992>>3]);return}function Wo(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+976>>3]=+h[b+1368>>3]*(-0.0- +h[b+984>>3]);return}function Xo(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1232>>3]=+h[b+1368>>3]*.3741957135154557;return}function Yo(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1240>>3]=+h[b+1368>>3]*-.5150362148004839;return}function Zo(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+1360>>3]=0.0;return}function _o(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1e3>>3]=+h[b+1360>>3]*(-0.0- +h[(c[a+416>>2]|0)+1960>>3]);return}function $o(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+992>>3]=+h[b+1360>>3]*(-0.0- +h[b+1e3>>3]);return}function ap(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1280>>3]=+h[b+1360>>3]*.1967263286166932;return}function bp(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1272>>3]=+h[b+1360>>3]*.6054613829125256;return}function cp(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1248>>3]=-0.0- +h[b+1232>>3]- +h[b+1272>>3];return}function dp(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1216>>3]=+h[b+1248>>3]- +h[b+1200>>3];return}function ep(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+1352>>3]=0.0;return}function fp(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1016>>3]=+h[b+1352>>3]*(-0.0- +h[(c[a+416>>2]|0)+1928>>3]);return}function gp(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1008>>3]=+h[b+1352>>3]*(-0.0- +h[b+1016>>3]);return}function hp(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1304>>3]=+h[b+1352>>3]*.6366197723675814;return}function ip(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1288>>3]=-0.0- +h[b+1280>>3]- +h[b+1304>>3];return}function jp(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1256>>3]=+h[b+1288>>3]- +h[b+1240>>3];return}function kp(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1224>>3]=+h[b+1256>>3]- +h[b+1208>>3];return}function lp(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+16>>3]=+h[b+1352>>3]-(-0.0- +h[b+1368>>3]- +h[b+1360>>3])- +h[b+24>>3];return}function mp(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2992>>3]=+h[b+1360>>3]+(+h[b+1352>>3]-(+h[b+16>>3]+ +h[b+24>>3]- +h[b+1368>>3]));return}function np(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+952>>3]=+h[(c[a+416>>2]|0)+2056>>3]*+h[b+16>>3];return}function op(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+944>>3]=+h[b+952>>3]*+h[b+16>>3];return}function pp(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3096>>3]=+h[b+1008>>3]+(+h[b+992>>3]+(+h[b+976>>3]+(+h[b+960>>3]+ +h[b+944>>3])));return}function qp(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3176>>3]=+h[b+1008>>3]+(+h[b+992>>3]-(-0.0- +h[b+960>>3]- +h[b+944>>3]- +h[b+976>>3]));return}function rp(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1384>>3]=-0.0- +h[b+16>>3];return}function sp(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1192>>3]=+h[b+16>>3]*-.1967263286166931;return}function tp(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3032>>3]=+h[b+1224>>3]- +h[b+1192>>3];return}function up(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1184>>3]=+h[b+16>>3]*.6054613829125257;return}function vp(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3024>>3]=+h[b+1216>>3]- +h[b+1184>>3];return}function wp(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+1816>>3]=0.0;return}function xp(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1448>>3]=+h[(c[a+416>>2]|0)+1320>>3]*+h[b+1816>>3];return}function yp(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1440>>3]=+h[b+1448>>3]*+h[b+1816>>3];return}function zp(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1656>>3]=+h[b+1816>>3]*.1967263286166932;return}function Ap(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1648>>3]=+h[b+1816>>3]*.6054613829125256;return}function Bp(b){b=b|0;var d=0;d=c[c[b+4>>2]>>2]|0;b=c[d+8>>2]|0;h[b+2e3>>3]=+h[b+1816>>3]/((a[(c[d+16>>2]|0)+4|0]|0)!=0?1.0:6000000000000001.0e-21);return}function Cp(b){b=b|0;var d=0;d=c[c[b+4>>2]>>2]|0;b=c[d+8>>2]|0;h[b+2016>>3]=+h[b+2e3>>3]*((a[(c[d+16>>2]|0)+4|0]|0)!=0?1666666666666667.0e-20:1.0);return}function Dp(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2008>>3]=+h[b+2016>>3]*+h[b+1816>>3];return}function Ep(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1912>>3]=+h[b+2096>>3]- +h[b+2016>>3];return}function Fp(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2056>>3]=+h[b+2096>>3]- +h[b+1912>>3];return}function Gp(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1496>>3]=+h[b+1912>>3]- +h[b+1448>>3];return}function Hp(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1520>>3]=+h[b+1912>>3]- +h[b+1496>>3];return}function Ip(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+1808>>3]=0.0;return}function Jp(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1464>>3]=+h[(c[a+416>>2]|0)+1288>>3]*+h[b+1808>>3];return}function Kp(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1456>>3]=+h[b+1464>>3]*+h[b+1808>>3];return}function Lp(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1696>>3]=+h[b+1808>>3]*.6366197723675814;return}function Mp(b){b=b|0;var d=0;d=c[c[b+4>>2]>>2]|0;b=c[d+8>>2]|0;h[b+2024>>3]=+h[b+1808>>3]/((a[(c[d+16>>2]|0)+3|0]|0)!=0?1.0:6000000000000001.0e-21);return}function Np(b){b=b|0;var d=0;d=c[c[b+4>>2]>>2]|0;b=c[d+8>>2]|0;h[b+2040>>3]=+h[b+2024>>3]*((a[(c[d+16>>2]|0)+3|0]|0)!=0?1666666666666667.0e-20:1.0);return}function Op(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2032>>3]=+h[b+2040>>3]*+h[b+1808>>3];return}function Pp(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1920>>3]=+h[b+2088>>3]- +h[b+2040>>3];return}function Qp(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2048>>3]=+h[b+2088>>3]- +h[b+1920>>3];return}function Rp(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1504>>3]=+h[b+1920>>3]- +h[b+1464>>3];return}function Sp(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1512>>3]=+h[b+1920>>3]- +h[b+1504>>3];return}function Tp(a){a=a|0;var b=0,d=0;DW(a,0)|0;b=c[(c[a+476>>2]|0)+28>>2]|0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[d+1784>>3]=+h[b>>3];h[d+1600>>3]=+h[b+8>>3];h[d+1432>>3]=+h[b+16>>3];h[d+1400>>3]=+h[b+24>>3];h[d+1560>>3]=+h[b+32>>3];h[d+1552>>3]=+h[b+40>>3];h[d+1760>>3]=+h[b+48>>3];h[d+1472>>3]=+h[b+56>>3];h[d+1888>>3]=+h[b+64>>3];h[d+1944>>3]=+h[b+72>>3];h[d+1928>>3]=+h[b+80>>3];h[d+1840>>3]=+h[b+88>>3];h[d+1416>>3]=+h[b+96>>3];h[d+1680>>3]=+h[b+104>>3];h[d+1712>>3]=+h[b+112>>3];h[d+3064>>3]=+h[b+120>>3];h[d+3040>>3]=+h[b+128>>3];h[d+1264>>3]=+h[b+136>>3];h[d+80>>3]=+h[b+144>>3];h[d+1296>>3]=+h[b+152>>3];h[d+3048>>3]=+h[b+160>>3];h[d+3056>>3]=+h[b+168>>3];h[d+1672>>3]=+h[b+176>>3];h[d+1624>>3]=+h[b+184>>3];h[d+1576>>3]=+h[b+192>>3];h[d+2128>>3]=+h[b+200>>3];h[d+1664>>3]=+h[b+208>>3];h[d+3224>>3]=+h[b+216>>3];h[d+1568>>3]=+h[b+224>>3];h[d+1776>>3]=+h[b+232>>3];h[d+1616>>3]=+h[b+240>>3];h[d+1792>>3]=+h[b+248>>3];h[d+1704>>3]=+h[b+256>>3];h[d+1592>>3]=+h[b+264>>3];h[d+1768>>3]=+h[b+272>>3];h[d+1480>>3]=+h[b+280>>3];h[d+1896>>3]=+h[b+288>>3];h[d+1968>>3]=+h[b+296>>3];h[d+1952>>3]=+h[b+304>>3];h[d+1832>>3]=+h[b+312>>3];h[d+1584>>3]=+h[b+320>>3];h[d+1632>>3]=+h[b+328>>3];h[d+1608>>3]=+h[b+336>>3];h[d+1824>>3]=+h[b+344>>3];h[d+1976>>3]=+h[b+352>>3];h[d+1992>>3]=+h[b+360>>3];h[d+1904>>3]=+h[b+368>>3];h[d+1488>>3]=+h[b+376>>3];h[d+1800>>3]=+h[b+384>>3];return}function Up(b){b=b|0;var d=0.0,e=0,f=0,g=0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=+h[(c[b+416>>2]|0)+4016>>3];e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[g+1800>>3];if(d!=0.0){j=i/d;k=g;l=k+224|0;h[l>>3]=j;return}if(i==0.0){j=i;k=g;l=k+224|0;h[l>>3]=j;return}m=i/+bT(c[b+536>>2]|0,d,9949576,9994616,+h[f>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[e>>2]>>2]|0)+8>>2]|0;l=k+224|0;h[l>>3]=j;return}function Vp(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1528>>3]=+h[b+1904>>3]- +h[b+1488>>3];return}function Wp(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2064>>3]=+h[b+2104>>3]- +h[b+1904>>3];return}function Xp(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1984>>3]=+h[b+1992>>3]*+h[b+1824>>3];return}function Yp(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1424>>3]=+h[b+1432>>3]*+h[b+1824>>3];return}function Zp(a){a=a|0;var b=0,d=0.0,e=0.0,f=0.0,g=0.0,i=0.0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=+h[b+1808>>3];e=+h[b+1816>>3];f=+h[b+1824>>3];g=+h[b+1832>>3];i=+h[b+1840>>3];h[b+3136>>3]=+W((d*d+(e*e+(f*f+(g*g+i*i))))*.2);return}function _p(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3240>>3]=-0.0- +h[b+1840>>3]-(+h[b+1808>>3]+ +h[b+1816>>3]+ +h[b+1824>>3]+ +h[b+1832>>3]);return}function $p(a){a=a|0;var b=0,d=0.0,e=0.0,f=0.0,g=0.0,i=0.0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=+h[b+1808>>3];e=+h[b+1816>>3];f=+h[b+1824>>3];g=+h[b+1832>>3];i=+h[b+1840>>3];h[b+3232>>3]=+W((d*d+(e*e+(f*f+(g*g+i*i))))*.2);return}function aq(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2648>>3]=+h[b+3232>>3]*1.666666666666667;return}function bq(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1392>>3]=+h[b+1400>>3]*+h[b+1840>>3];return}function cq(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1936>>3]=+h[b+1944>>3]*+h[b+1840>>3];return}function dq(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2080>>3]=+h[b+2120>>3]- +h[b+1888>>3];return}function eq(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1544>>3]=+h[b+1888>>3]- +h[b+1472>>3];return}function fq(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1408>>3]=+h[b+1416>>3]*+h[b+1832>>3];return}function gq(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3104>>3]=+h[b+1456>>3]+(+h[b+1440>>3]+(+h[b+1424>>3]+(+h[b+1408>>3]+ +h[b+1392>>3])));return}function hq(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3088>>3]=+h[b+3104>>3]+ +h[b+3096>>3];return}function iq(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3184>>3]=+h[b+1456>>3]+(+h[b+1440>>3]-(-0.0- +h[b+1408>>3]- +h[b+1392>>3]- +h[b+1424>>3]));return}function jq(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3168>>3]=+h[b+3184>>3]+ +h[b+3176>>3];return}function kq(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3160>>3]=+(c[(c[a+420>>2]|0)+204>>2]|0)*(+h[b+72>>3]*+h[b+3064>>3]- +h[b+80>>3]*+h[b+3056>>3])*-1.570796326794897;return}function lq(a){a=a|0;var b=0,d=0;DW(a,1)|0;b=c[(c[a+476>>2]|0)+92>>2]|0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[d+3200>>3]=+h[b>>3];h[d+2976>>3]=+h[b+8>>3];return}function mq(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3112>>3]=+h[(c[a+416>>2]|0)+3568>>3]*+h[b+2976>>3]*+h[b+112>>3];return}function nq(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+232>>3]=+h[b+2976>>3];return}function oq(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3120>>3]=+h[b+112>>3]*+h[b+3200>>3];return}function pq(b){b=b|0;var d=0.0,e=0,f=0,g=0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=+h[(c[b+416>>2]|0)+4040>>3];e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[g+3064>>3]*-1.570796326794897;if(d!=0.0){j=i/d;k=g;l=k+96|0;h[l>>3]=j;return}if(i==0.0){j=i;k=g;l=k+96|0;h[l>>3]=j;return}m=i/+bT(c[b+536>>2]|0,d,9947464,9994608,+h[f>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[e>>2]>>2]|0)+8>>2]|0;l=k+96|0;h[l>>3]=j;return}function qq(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1688>>3]=+h[b+80>>3]- +h[b+96>>3];return}function rq(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3080>>3]=-0.0- +h[b+96>>3]- +h[b+1688>>3];return}function sq(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3216>>3]=-0.0- +h[b+3080>>3]- +h[b+80>>3];return}function tq(b){b=b|0;var d=0.0,e=0,f=0,g=0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=+h[(c[b+416>>2]|0)+4048>>3];e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[g+3056>>3]*-1.570796326794897;if(d!=0.0){j=i/d;k=g;l=k+88|0;h[l>>3]=j;return}if(i==0.0){j=i;k=g;l=k+88|0;h[l>>3]=j;return}m=i/+bT(c[b+536>>2]|0,d,9945200,9994600,+h[f>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[e>>2]>>2]|0)+8>>2]|0;l=k+88|0;h[l>>3]=j;return}function uq(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1640>>3]=+h[b+72>>3]- +h[b+88>>3];return}function vq(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3072>>3]=-0.0- +h[b+88>>3]- +h[b+1640>>3];return}function wq(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3208>>3]=-0.0- +h[b+3072>>3]- +h[b+72>>3];return}function xq(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1960>>3]=+h[b+1968>>3]*+h[b+1832>>3];return}function yq(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2072>>3]=+h[b+2112>>3]- +h[b+1896>>3];return}function zq(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1536>>3]=+h[b+1896>>3]- +h[b+1480>>3];return}function Aq(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1752>>3]=+h[b+1760>>3]- +h[b+3224>>3];return}function Bq(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1744>>3]=+h[b+1768>>3]- +h[b+3224>>3];return}function Cq(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1728>>3]=+h[b+1784>>3]- +h[b+3224>>3];return}function Dq(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1880>>3]=+h[b+1888>>3]- +h[b+3224>>3];return}function Eq(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1872>>3]=+h[b+1896>>3]- +h[b+3224>>3];return}function Fq(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1864>>3]=+h[b+1904>>3]- +h[b+3224>>3];return}function Gq(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1856>>3]=+h[b+1912>>3]- +h[b+3224>>3];return}function Hq(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1848>>3]=+h[b+1920>>3]- +h[b+3224>>3];return}function Iq(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+3128>>3]=+h[b+1848>>3]*+h[b+1808>>3]+(+h[b+1856>>3]*+h[b+1816>>3]+(+h[b+1864>>3]*+h[b+1824>>3]+(+h[b+1872>>3]*+h[b+1832>>3]+ +h[b+1880>>3]*+h[b+1840>>3])));return}function Jq(a){a=a|0;var b=0,d=0;DW(a,2)|0;b=c[(c[a+476>>2]|0)+156>>2]|0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[d+3336>>3]=+h[b>>3];h[d+3352>>3]=+h[b+8>>3];h[d+2200>>3]=+h[b+16>>3];h[d+2368>>3]=+h[b+24>>3];h[d+1136>>3]=+h[b+32>>3];h[d+1056>>3]=+h[b+40>>3];h[d+1024>>3]=+h[b+48>>3];h[d+1032>>3]=+h[b+56>>3];h[d+2248>>3]=+h[b+64>>3];h[d+2256>>3]=+h[b+72>>3];h[d+144>>3]=+h[b+80>>3];h[d+1112>>3]=+h[b+88>>3];h[d+1336>>3]=+h[b+96>>3];h[d+1328>>3]=+h[b+104>>3];h[d+2224>>3]=+h[b+112>>3];h[d+1344>>3]=+h[b+120>>3];h[d+1104>>3]=+h[b+128>>3];h[d+1128>>3]=+h[b+136>>3];h[d+2144>>3]=+h[b+144>>3];h[d+2208>>3]=+h[b+152>>3];h[d+2216>>3]=+h[b+160>>3];h[d+2384>>3]=+h[b+168>>3];h[d+2272>>3]=+h[b+176>>3];h[d+136>>3]=+h[b+184>>3];h[d+2264>>3]=+h[b+192>>3];h[d+2168>>3]=+h[b+200>>3];h[d+2152>>3]=+h[b+208>>3];h[d+2232>>3]=+h[b+216>>3];h[d+3344>>3]=+h[b+224>>3];h[d+3360>>3]=+h[b+232>>3];h[d+2176>>3]=+h[b+240>>3];h[d+2160>>3]=+h[b+248>>3];h[d+2240>>3]=+h[b+256>>3];h[d+2392>>3]=+h[b+264>>3];h[d+1120>>3]=+h[b+272>>3];h[d+1040>>3]=+h[b+280>>3];h[d+2984>>3]=+h[b+288>>3];h[d+1048>>3]=+h[b+296>>3];h[d+1320>>3]=+h[b+304>>3];h[d+1312>>3]=+h[b+312>>3];h[d+192>>3]=+h[b+320>>3];h[d+200>>3]=+h[b+328>>3];h[d+216>>3]=+h[b+336>>3];h[d+3248>>3]=+h[b+344>>3];h[d+3256>>3]=+h[b+352>>3];h[d+208>>3]=+h[b+360>>3];return}function Kq(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1152>>3]=+h[b+1320>>3]- +h[b+1048>>3];return}function Lq(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1072>>3]=+h[b+1048>>3]- +h[b+2984>>3];return}function Mq(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1064>>3]=+h[b+1056>>3]- +h[b+2984>>3];return}function Nq(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1144>>3]=+h[b+1312>>3]- +h[b+1056>>3];return}function Oq(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1096>>3]=+h[b+1024>>3]- +h[b+2984>>3];return}function Pq(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1088>>3]=+h[b+1032>>3]- +h[b+2984>>3];return}function Qq(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1080>>3]=+h[b+1040>>3]- +h[b+2984>>3];return}function Rq(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1176>>3]=+h[b+1344>>3]- +h[b+1024>>3];return}function Sq(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1168>>3]=+h[b+1336>>3]- +h[b+1032>>3];return}function Tq(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1160>>3]=+h[b+1328>>3]- +h[b+1040>>3];return}function Uq(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1736>>3]=+h[b+1776>>3]- +h[b+3224>>3];return}function Vq(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1720>>3]=+h[b+1792>>3]- +h[b+3224>>3];return}function Wq(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+104>>3]=+h[b+1832>>3]*.2-(+h[b+1816>>3]*-.2- +h[b+1808>>3]*.2- +h[b+1824>>3]*.2- +h[b+1840>>3]*.2);return}function Xq(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+480>>3]=0.0;return}function Yq(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+264>>3]=+h[b+480>>3]*(-0.0- +h[(c[a+416>>2]|0)+3368>>3]);return}function Zq(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+256>>3]=+h[b+480>>3]*(-0.0- +h[b+264>>3]);return}function _q(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+408>>3]=+h[b+480>>3]*.5513288954217921;return}function $q(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+416>>3]=+h[b+480>>3]*-.3183098861837905;return}function ar(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+472>>3]=0.0;return}function br(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+280>>3]=+h[b+472>>3]*(-0.0- +h[(c[a+416>>2]|0)+3336>>3]);return}function cr(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+272>>3]=+h[b+472>>3]*(-0.0- +h[b+280>>3]);return}function dr(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+440>>3]=+h[b+472>>3]*.6366197723675814;return}function er(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+424>>3]=-0.0- +h[b+416>>3]- +h[b+440>>3];return}function fr(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+488>>3]=-0.0- +h[b+480>>3]- +h[b+472>>3];return}function gr(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2680>>3]=+h[b+480>>3]+(+h[b+488>>3]+ +h[b+472>>3]);return}function hr(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+248>>3]=+h[b+488>>3]*(-0.0- +h[(c[a+416>>2]|0)+3400>>3]);return}function ir(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+240>>3]=+h[b+488>>3]*(-0.0- +h[b+248>>3]);return}function jr(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2808>>3]=+h[b+272>>3]+(+h[b+256>>3]+ +h[b+240>>3]);return}function kr(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2888>>3]=+h[b+272>>3]+(+h[b+240>>3]+ +h[b+256>>3]);return}function lr(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+384>>3]=+h[b+488>>3]*-.5513288954217919;return}function mr(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2712>>3]=-0.0- +h[b+384>>3]- +h[b+408>>3];return}function nr(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+392>>3]=+h[b+488>>3]*-.318309886183791;return}function or(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2720>>3]=+h[b+424>>3]- +h[b+392>>3];return}function pr(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+8>>3]=0.0;return}function qr(b){b=b|0;var d=0,e=0,f=0.0,g=0,i=0.0,j=0.0,k=0,l=0.0,m=0.0,n=0,o=0,p=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;do{if((a[(c[e+16>>2]|0)+1|0]|0)==0){f=+h[(c[b+416>>2]|0)+2552>>3];g=c[e+8>>2]|0;i=+h[g+8>>3];if(f!=0.0){j=+h[(c[b+416>>2]|0)+2552>>3];k=g;l=i;break}if(i==0.0){m=i;n=g;o=n+848|0;h[o>>3]=m;return}p=i/+bT(c[b+536>>2]|0,f,9942984,9994592,+h[e>>3],(a[b+319|0]|0)!=0|0);m=p;n=c[(c[c[d>>2]>>2]|0)+8>>2]|0;o=n+848|0;h[o>>3]=m;return}else{g=c[e+8>>2]|0;j=1.0;k=g;l=+h[g+8>>3]}}while(0);m=l/j;n=k;o=n+848|0;h[o>>3]=m;return}function rr(b){b=b|0;var d=0,e=0,f=0.0,g=0.0,i=0.0,j=0;d=c[c[b+4>>2]>>2]|0;e=c[d+8>>2]|0;f=+h[e+848>>3];if((a[(c[d+16>>2]|0)+1|0]|0)==0){g=1.0;i=f*g;j=e+864|0;h[j>>3]=i;return}g=+h[(c[b+416>>2]|0)+2544>>3];i=f*g;j=e+864|0;h[j>>3]=i;return}function sr(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+776>>3]=+h[b+928>>3]- +h[b+864>>3];return}function tr(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+904>>3]=+h[b+928>>3]- +h[b+776>>3];return}function ur(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+856>>3]=+h[b+864>>3]*+h[b+8>>3];return}function vr(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+520>>3]=+h[(c[a+416>>2]|0)+2984>>3]*+h[b+8>>3];return}function wr(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+552>>3]=+h[b+776>>3]- +h[b+520>>3];return}function xr(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+576>>3]=+h[b+776>>3]- +h[b+552>>3];return}function yr(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+512>>3]=+h[b+520>>3]*+h[b+8>>3];return}function zr(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+632>>3]=+h[b+8>>3]*-.3183098861837905;return}function Ar(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+624>>3]=+h[b+8>>3]*.5513288954217921;return}function Br(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+736>>3]=0.0;return}function Cr(b){b=b|0;var d=0,e=0,f=0.0,g=0,i=0.0,j=0.0,k=0,l=0.0,m=0.0,n=0,o=0,p=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;do{if((a[c[e+16>>2]|0]|0)==0){f=+h[(c[b+416>>2]|0)+2528>>3];g=c[e+8>>2]|0;i=+h[g+736>>3];if(f!=0.0){j=+h[(c[b+416>>2]|0)+2528>>3];k=g;l=i;break}if(i==0.0){m=i;n=g;o=n+872|0;h[o>>3]=m;return}p=i/+bT(c[b+536>>2]|0,f,9941048,9994584,+h[e>>3],(a[b+319|0]|0)!=0|0);m=p;n=c[(c[c[d>>2]>>2]|0)+8>>2]|0;o=n+872|0;h[o>>3]=m;return}else{g=c[e+8>>2]|0;j=1.0;k=g;l=+h[g+736>>3]}}while(0);m=l/j;n=k;o=n+872|0;h[o>>3]=m;return}function Dr(b){b=b|0;var d=0,e=0,f=0.0,g=0.0,i=0.0,j=0;d=c[c[b+4>>2]>>2]|0;e=c[d+8>>2]|0;f=+h[e+872>>3];if((a[c[d+16>>2]|0]|0)==0){g=1.0;i=f*g;j=e+888|0;h[j>>3]=i;return}g=+h[(c[b+416>>2]|0)+2520>>3];i=f*g;j=e+888|0;h[j>>3]=i;return}function Er(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+784>>3]=+h[b+920>>3]- +h[b+888>>3];return}function Fr(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+896>>3]=+h[b+920>>3]- +h[b+784>>3];return}function Gr(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+880>>3]=+h[b+888>>3]*+h[b+736>>3];return}function Hr(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+536>>3]=+h[(c[a+416>>2]|0)+2952>>3]*+h[b+736>>3];return}function Ir(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+560>>3]=+h[b+784>>3]- +h[b+536>>3];return}function Jr(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+568>>3]=+h[b+784>>3]- +h[b+560>>3];return}function Kr(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+528>>3]=+h[b+536>>3]*+h[b+736>>3];return}function Lr(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+656>>3]=+h[b+736>>3]*.6366197723675814;return}function Mr(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b>>3]=-0.0- +h[b+736>>3]- +h[b+8>>3];return}function Nr(a){a=a|0;var b=0,d=0.0,e=0.0,f=0.0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=+h[b+736>>3];e=+h[b+8>>3];f=+h[b>>3];h[b+2848>>3]=+W(d*d/3.0+(e*e/3.0+f*f/3.0));return}function Or(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2944>>3]=(+h[b+8>>3]-(-0.0- +h[b>>3]- +h[b+736>>3]))/3.0;return}function Pr(a){a=a|0;var b=0,d=0;b=c[a+416>>2]|0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[d+808>>3]=+h[b+2608>>3]*+h[d+736>>3]+(+h[b+2616>>3]*+h[d+8>>3]+ +h[b+2624>>3]*+h[d>>3]);return}function Qr(a){a=a|0;var b=0,d=0;b=c[a+416>>2]|0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[d+816>>3]=+h[b+2632>>3]*+h[d+736>>3]+(+h[b+2640>>3]*+h[d+8>>3]+ +h[b+2648>>3]*+h[d>>3]);return}function Rr(a){a=a|0;var b=0,d=0.0,e=0.0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=+h[b+808>>3];e=+h[b+816>>3];h[b+792>>3]=+W(d*d+e*e);return}function Sr(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2952>>3]=+h[(c[a+416>>2]|0)+4416>>3]*+h[b+792>>3];return}function Tr(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2640>>3]=+h[b+2952>>3]- +h[b+2648>>3];return}function Ur(a){a=a|0;var b=0,d=0,e=0.0,f=0;b=a+4|0;a=(qW(+h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+792>>3],1.0e-60)|0)<<24>>24==0;d=c[(c[c[b>>2]>>2]|0)+8>>2]|0;if(!a){e=0.0;f=d+800|0;h[f>>3]=e;return}e=+ca(+(+h[d+816>>3]),+(+h[d+808>>3]));f=d+800|0;h[f>>3]=e;return}function Vr(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2960>>3]=-0.0- +h[b>>3]-(+h[b+736>>3]+ +h[b+8>>3]);return}function Wr(b){b=b|0;var d=0,e=0,f=0.0,g=0,i=0.0,j=0.0,k=0,l=0.0,m=0.0,n=0,o=0,p=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;do{if((a[(c[e+16>>2]|0)+2|0]|0)==0){f=+h[(c[b+416>>2]|0)+2576>>3];g=c[e+8>>2]|0;i=+h[g>>3];if(f!=0.0){j=+h[(c[b+416>>2]|0)+2576>>3];k=g;l=i;break}if(i==0.0){m=i;n=g;o=n+824|0;h[o>>3]=m;return}p=i/+bT(c[b+536>>2]|0,f,9939232,9994576,+h[e>>3],(a[b+319|0]|0)!=0|0);m=p;n=c[(c[c[d>>2]>>2]|0)+8>>2]|0;o=n+824|0;h[o>>3]=m;return}else{g=c[e+8>>2]|0;j=1.0;k=g;l=+h[g>>3]}}while(0);m=l/j;n=k;o=n+824|0;h[o>>3]=m;return}function Xr(b){b=b|0;var d=0,e=0,f=0.0,g=0.0,i=0.0,j=0;d=c[c[b+4>>2]>>2]|0;e=c[d+8>>2]|0;f=+h[e+824>>3];if((a[(c[d+16>>2]|0)+2|0]|0)==0){g=1.0;i=f*g;j=e+840|0;h[j>>3]=i;return}g=+h[(c[b+416>>2]|0)+2568>>3];i=f*g;j=e+840|0;h[j>>3]=i;return}function Yr(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+768>>3]=+h[b+936>>3]- +h[b+840>>3];return}function Zr(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+912>>3]=+h[b+936>>3]- +h[b+768>>3];return}function _r(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+832>>3]=+h[b+840>>3]*+h[b>>3];return}function $r(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+504>>3]=+h[(c[a+416>>2]|0)+3016>>3]*+h[b>>3];return}function as(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+544>>3]=+h[b+768>>3]- +h[b+504>>3];return}function bs(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+584>>3]=+h[b+768>>3]- +h[b+544>>3];return}function cs(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+496>>3]=+h[b+504>>3]*+h[b>>3];return}function ds(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2816>>3]=+h[b+528>>3]+(+h[b+512>>3]+ +h[b+496>>3]);return}function es(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2800>>3]=+h[b+2816>>3]+ +h[b+2808>>3];return}function fs(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2896>>3]=+h[b+528>>3]+(+h[b+496>>3]+ +h[b+512>>3]);return}function gs(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2880>>3]=+h[b+2896>>3]+ +h[b+2888>>3];return}function hs(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+600>>3]=+h[b>>3]*-.318309886183791;return}function is(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+672>>3]=+h[b+632>>3]+ +h[b+600>>3];return}function js(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2752>>3]=-0.0- +h[b+656>>3]- +h[b+672>>3];return}function ks(b){b=b|0;var d=0.0,e=0,f=0,g=0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=+h[(c[b+416>>2]|0)+4992>>3];e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[g+2752>>3]*-1.570796326794897;if(d!=0.0){j=i/d;k=g;l=k+2768|0;h[l>>3]=j;return}if(i==0.0){j=i;k=g;l=k+2768|0;h[l>>3]=j;return}m=i/+bT(c[b+536>>2]|0,d,9937376,9994568,+h[f>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[e>>2]>>2]|0)+8>>2]|0;l=k+2768|0;h[l>>3]=j;return}function ls(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+592>>3]=+h[b>>3]*-.5513288954217919;return}function ms(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2744>>3]=-0.0- +h[b+624>>3]- +h[b+592>>3];return}function ns(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2728>>3]=+h[b+2688>>3]*(-0.0- +h[b+2752>>3])+ +h[b+2744>>3]*+h[b+2696>>3];return}function os(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+400>>3]=(+h[b+2712>>3]+ +h[b+2728>>3])*.00966074531286277;return}function ps(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2736>>3]=+h[b+2752>>3]*+h[b+2696>>3]- +h[b+2688>>3]*(-0.0- +h[b+2744>>3]);return}function qs(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+432>>3]=(+h[b+2720>>3]+ +h[b+2736>>3])*.00966074531286277;return}function rs(a){a=a|0;var b=0,d=0;DW(a,3)|0;b=c[(c[a+476>>2]|0)+220>>2]|0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[d+48>>3]=+h[b>>3];h[d+40>>3]=+h[b+8>>3];return}function ss(a){a=a|0;var b=0,d=0;DW(a,4)|0;b=c[(c[a+476>>2]|0)+284>>2]|0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[d+2184>>3]=+h[b>>3];h[d+2280>>3]=+h[b+8>>3];h[d+2416>>3]=+h[b+16>>3];h[d+2312>>3]=+h[b+24>>3];h[d+120>>3]=+h[b+32>>3];h[d+2304>>3]=+h[b+40>>3];h[d+2288>>3]=+h[b+48>>3];h[d+704>>3]=+h[b+56>>3];h[d+712>>3]=+h[b+64>>3];h[d+608>>3]=+h[b+72>>3];h[d+664>>3]=+h[b+80>>3];h[d+2136>>3]=+h[b+88>>3];h[d+640>>3]=+h[b+96>>3];h[d+2936>>3]=+h[b+104>>3];h[d+720>>3]=+h[b+112>>3];h[d+728>>3]=+h[b+120>>3];h[d+3280>>3]=+h[b+128>>3];h[d+128>>3]=+h[b+136>>3];h[d+2296>>3]=+h[b+144>>3];h[d+296>>3]=+h[b+152>>3];h[d+2336>>3]=+h[b+160>>3];h[d+2328>>3]=+h[b+168>>3];h[d+2352>>3]=+h[b+176>>3];h[d+336>>3]=+h[b+184>>3];h[d+3408>>3]=+h[b+192>>3];h[d+2360>>3]=+h[b+200>>3];h[d+2408>>3]=+h[b+208>>3];h[d+2400>>3]=+h[b+216>>3];h[d+344>>3]=+h[b+224>>3];h[d+456>>3]=+h[b+232>>3];h[d+448>>3]=+h[b+240>>3];h[d+464>>3]=+h[b+248>>3];h[d+288>>3]=+h[b+256>>3];h[d+2672>>3]=+h[b+264>>3];h[d+304>>3]=+h[b+272>>3];h[d+352>>3]=+h[b+280>>3];h[d+2376>>3]=+h[b+288>>3];h[d+2320>>3]=+h[b+296>>3];h[d+2192>>3]=+h[b+304>>3];h[d+3400>>3]=+h[b+312>>3];h[d+3384>>3]=+h[b+320>>3];h[d+3376>>3]=+h[b+328>>3];h[d+3328>>3]=+h[b+336>>3];h[d+160>>3]=+h[b+344>>3];h[d+168>>3]=+h[b+352>>3];h[d+3320>>3]=+h[b+360>>3];h[d+3368>>3]=+h[b+368>>3];h[d+3392>>3]=+h[b+376>>3];h[d+2344>>3]=+h[b+384>>3];return}function ts(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+696>>3]=+h[b+704>>3]- +h[b+2936>>3];return}function us(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+688>>3]=+h[b+712>>3]- +h[b+2936>>3];return}function vs(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+680>>3]=+h[b+720>>3]- +h[b+2936>>3];return}function ws(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+760>>3]=+h[b+768>>3]- +h[b+2936>>3];return}function xs(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+752>>3]=+h[b+776>>3]- +h[b+2936>>3];return}function ys(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+744>>3]=+h[b+784>>3]- +h[b+2936>>3];return}function zs(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2840>>3]=+h[b+744>>3]*+h[b+736>>3]+(+h[b+752>>3]*+h[b+8>>3]+ +h[b+760>>3]*+h[b>>3]);return}function As(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+312>>3]=+h[b+304>>3]- +h[b+2672>>3];return}function Bs(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+320>>3]=+h[b+296>>3]- +h[b+2672>>3];return}function Cs(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+328>>3]=+h[b+288>>3]- +h[b+2672>>3];return}function Ds(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+376>>3]=+h[b+464>>3]- +h[b+288>>3];return}function Es(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+360>>3]=+h[b+448>>3]- +h[b+304>>3];return}function Fs(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+368>>3]=+h[b+456>>3]- +h[b+296>>3];return}function Gs(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2872>>3]=+(c[(c[a+420>>2]|0)+488>>2]|0)*(+h[b+40>>3]*+h[b+2752>>3]- +h[b+48>>3]*+h[b+2744>>3])*-1.570796326794897;return}function Hs(a){a=a|0;var b=0,d=0;DW(a,5)|0;b=c[(c[a+476>>2]|0)+348>>2]|0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[d+2912>>3]=+h[b>>3];h[d+2664>>3]=+h[b+8>>3];return}function Is(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2824>>3]=+h[(c[a+416>>2]|0)+4520>>3]*+h[b+2664>>3]*+h[b+56>>3];return}function Js(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+176>>3]=+h[b+2664>>3];return}function Ks(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2832>>3]=+h[b+56>>3]*+h[b+2912>>3];return}function Ls(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+648>>3]=+h[b+48>>3]- +h[b+2768>>3];return}function Ms(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2792>>3]=-0.0- +h[b+2768>>3]- +h[b+648>>3];return}function Ns(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2928>>3]=-0.0- +h[b+2792>>3]- +h[b+48>>3];return}function Os(b){b=b|0;var d=0.0,e=0,f=0,g=0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=+h[(c[b+416>>2]|0)+5e3>>3];e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[g+2744>>3]*-1.570796326794897;if(d!=0.0){j=i/d;k=g;l=k+2760|0;h[l>>3]=j;return}if(i==0.0){j=i;k=g;l=k+2760|0;h[l>>3]=j;return}m=i/+bT(c[b+536>>2]|0,d,8091176,9994560,+h[f>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[e>>2]>>2]|0)+8>>2]|0;l=k+2760|0;h[l>>3]=j;return}function Ps(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+616>>3]=+h[b+40>>3]- +h[b+2760>>3];return}function Qs(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2784>>3]=-0.0- +h[b+2760>>3]- +h[b+616>>3];return}function Rs(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2920>>3]=-0.0- +h[b+2784>>3]- +h[b+40>>3];return}function Ss(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2776>>3]=(+h[b+8>>3]-(-0.0- +h[b>>3]- +h[b+736>>3]))/3.0;return}function Ts(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4488>>3]=+h[b+4216>>3];return}function Us(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+5048>>3]=+h[b+4488>>3];return}function Vs(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3232>>3]=+h[b+5048>>3];return}function Ws(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3328>>3]=+h[b+3232>>3];return}function Xs(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3240>>3]=+h[b+5048>>3];return}function Ys(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3360>>3]=+h[b+3240>>3];return}function Zs(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3248>>3]=+h[b+5048>>3];return}function _s(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3392>>3]=+h[b+3248>>3];return}function $s(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3280>>3]=+h[b+5048>>3];return}function at(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3344>>3]=+h[b+3280>>3];return}function bt(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3288>>3]=+h[b+5048>>3];return}function ct(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3376>>3]=+h[b+3288>>3];return}function dt(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3296>>3]=+h[b+5048>>3];return}function et(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3408>>3]=+h[b+3296>>3];return}function ft(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+5064>>3]=+h[b+4488>>3];return}function gt(a){a=a|0;var b=0,d=0,e=0.0;b=i;i=i+16|0;d=b|0;hj(d,c[a+536>>2]|0,3);e=+_T(d|0,2);h[(c[a+416>>2]|0)+3080>>3]=e;i=b;return}function ht(a){a=a|0;var b=0,d=0,e=0.0;b=i;i=i+16|0;d=b|0;hj(d,c[a+536>>2]|0,3);e=+_T(d|0,1);h[(c[a+416>>2]|0)+3072>>3]=e;i=b;return}function it(a){a=a|0;var b=0,d=0,e=0.0;b=i;i=i+16|0;d=b|0;hj(d,c[a+536>>2]|0,3);e=+_T(d|0,0);h[(c[a+416>>2]|0)+3064>>3]=e;i=b;return}function jt(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+5080>>3]=+h[b+4472>>3];return}function kt(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3040>>3]=+h[b+5080>>3];return}function lt(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3048>>3]=+h[b+5080>>3];return}function mt(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3056>>3]=+h[b+5080>>3];return}function nt(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4496>>3]=+h[b+4224>>3];return}function ot(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+5056>>3]=+h[b+4496>>3];return}function pt(b){b=b|0;var d=0,e=0,f=0.0,g=0.0,i=0,j=0.0,k=0,l=0.0;d=b+416|0;e=c[d>>2]|0;f=+h[e+4176>>3]*6.283185307179586;if(f!=0.0){g=f;i=e;j=2.898223593858831/g;k=i+4392|0;h[k>>3]=j;return}l=+bT(c[b+536>>2]|0,f,9964264,9994552,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);g=l;i=c[d>>2]|0;j=2.898223593858831/g;k=i+4392|0;h[k>>3]=j;return}function qt(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4680>>3]=+h[b+4392>>3];return}function rt(b){b=b|0;var d=0,e=0,f=0.0,g=0.0,i=0.0,j=0,k=0.0;d=b+416|0;e=c[d>>2]|0;f=+h[e+4472>>3];g=f*f*3.0;f=+h[e+4680>>3];do{if(g!=0.0){i=f/g;j=e}else{if(f==0.0){i=f;j=e;break}k=f/+bT(c[b+536>>2]|0,g,56568,9994544,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);i=k;j=c[d>>2]|0}}while(0);h[j+4880>>3]=i*2.0;return}function st(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+5008>>3]=+h[b+4880>>3];return}function tt(b){b=b|0;var d=0,e=0,f=0.0,g=0.0,i=0.0,j=0,k=0.0;d=b+416|0;e=c[d>>2]|0;f=+h[e+4472>>3];g=f*f*3.0;f=+h[e+4680>>3];do{if(g!=0.0){i=f/g;j=e}else{if(f==0.0){i=f;j=e;break}k=f/+bT(c[b+536>>2]|0,g,56568,9994536,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);i=k;j=c[d>>2]|0}}while(0);h[j+4888>>3]=i*2.0;return}function ut(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+5016>>3]=+h[b+4888>>3];return}function vt(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3728>>3]=+h[b+4392>>3]*1.666666666666667;return}function wt(b){b=b|0;var d=0,e=0,f=0.0,g=0.0,i=0.0,j=0,k=0.0;d=b+416|0;e=c[d>>2]|0;f=+h[e+3520>>3];g=f*f;f=+h[e+3728>>3];do{if(g!=0.0){i=f/g;j=e}else{if(f==0.0){i=f;j=e;break}k=f/+bT(c[b+536>>2]|0,g,54792,9994528,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);i=k;j=c[d>>2]|0}}while(0);h[j+3928>>3]=i*.4;return}function xt(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4056>>3]=+h[b+3928>>3];return}function yt(b){b=b|0;var d=0,e=0,f=0.0,g=0.0,i=0.0,j=0,k=0.0;d=b+416|0;e=c[d>>2]|0;f=+h[e+3520>>3];g=f*f;f=+h[e+3728>>3];do{if(g!=0.0){i=f/g;j=e}else{if(f==0.0){i=f;j=e;break}k=f/+bT(c[b+536>>2]|0,g,54792,9994520,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);i=k;j=c[d>>2]|0}}while(0);h[j+3936>>3]=i*.4;return}function zt(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4064>>3]=+h[b+3936>>3];return}function At(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4456>>3]=+h[b+4192>>3];return}function Bt(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4904>>3]=+h[b+4456>>3];return}function Ct(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2896>>3]=+h[b+4904>>3];return}function Dt(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2960>>3]=+h[b+2896>>3];return}function Et(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2904>>3]=+h[b+4904>>3];return}function Ft(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2992>>3]=+h[b+2904>>3];return}function Gt(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2912>>3]=+h[b+4904>>3];return}function Ht(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3024>>3]=+h[b+2912>>3];return}function It(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4920>>3]=+h[b+4440>>3];return}function Jt(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2848>>3]=+h[b+4920>>3];return}function Kt(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2944>>3]=+h[b+2848>>3];return}function Lt(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2856>>3]=+h[b+4920>>3];return}function Mt(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2976>>3]=+h[b+2856>>3];return}function Nt(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2864>>3]=+h[b+4920>>3];return}function Ot(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3008>>3]=+h[b+2864>>3];return}function Pt(a){a=a|0;var b=0,d=0,e=0.0;b=i;i=i+16|0;d=b|0;hj(d,c[a+536>>2]|0,3);e=+_T(d|0,2);h[(c[a+416>>2]|0)+2744>>3]=e;i=b;return}function Qt(a){a=a|0;var b=0,d=0,e=0.0;b=i;i=i+16|0;d=b|0;hj(d,c[a+536>>2]|0,3);e=+_T(d|0,1);h[(c[a+416>>2]|0)+2736>>3]=e;i=b;return}function Rt(a){a=a|0;var b=0,d=0,e=0.0;b=i;i=i+16|0;d=b|0;hj(d,c[a+536>>2]|0,3);e=+_T(d|0,0);h[(c[a+416>>2]|0)+2728>>3]=e;i=b;return}function St(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4464>>3]=+h[b+4200>>3];return}function Tt(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4912>>3]=+h[b+4464>>3];return}function Ut(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4664>>3]=+h[b+4376>>3];return}function Vt(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4848>>3]=+h[b+4664>>3];return}function Wt(b){b=b|0;var d=0,e=0.0,f=0,g=0,i=0.0,j=0.0,k=0,l=0.0;d=c[(c[b+420>>2]|0)+280>>2]|0;e=+(d|0);f=b+416|0;g=c[f>>2]|0;i=+h[g+4176>>3];do{if((d|0)==0){if(i==0.0){j=i;k=g;break}l=i/+bT(c[b+536>>2]|0,e,52376,9994512,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);j=l;k=c[f>>2]|0}else{j=i/e;k=g}}while(0);h[k+4368>>3]=j*6.283185307179586;return}function Xt(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4656>>3]=+h[b+4368>>3];return}function Yt(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4840>>3]=+h[b+4656>>3];return}function Zt(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3704>>3]=+h[b+4368>>3];return}function _t(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3888>>3]=+h[b+3704>>3];return}function $t(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4648>>3]=+h[b+4360>>3];return}function au(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4832>>3]=+h[b+4648>>3];return}function bu(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4640>>3]=+h[b+4352>>3];return}function cu(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4824>>3]=+h[b+4640>>3];return}function du(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4552>>3]=+h[b+4264>>3];return}function eu(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4784>>3]=+h[b+4552>>3];return}function fu(b){b=b|0;var d=0,e=0.0,f=0,g=0,i=0.0,j=0.0,k=0,l=0.0;d=c[(c[b+420>>2]|0)+280>>2]|0;e=+(d|0);f=b+416|0;g=c[f>>2]|0;i=+h[g+4176>>3];do{if((d|0)==0){if(i==0.0){j=i;k=g;break}l=i/+bT(c[b+536>>2]|0,e,52376,9994504,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);j=l;k=c[f>>2]|0}else{j=i/e;k=g}}while(0);h[k+4256>>3]=j*6.283185307179586;return}function gu(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4544>>3]=+h[b+4256>>3];return}function hu(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4776>>3]=+h[b+4544>>3];return}function iu(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3592>>3]=+h[b+4256>>3];return}function ju(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3824>>3]=+h[b+3592>>3];return}function ku(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4536>>3]=+h[b+4248>>3];return}function lu(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4768>>3]=+h[b+4536>>3];return}function mu(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4232>>3]=+h[b+4168>>3];return}function nu(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4512>>3]=+h[b+4232>>3];return}function ou(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4760>>3]=+h[b+4512>>3];return}function pu(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3560>>3]=+h[b+4232>>3];return}function qu(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3808>>3]=+h[b+3560>>3];return}function ru(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4320>>3]=+h[b+4176>>3]*6.283185307179586;return}function su(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4608>>3]=+h[b+4320>>3];return}function tu(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3656>>3]=+h[b+4320>>3];return}function uu(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4600>>3]=+h[b+4312>>3];return}function vu(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4592>>3]=+h[b+4304>>3];return}function wu(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4432>>3]=+h[b+4176>>3];return}function xu(a){a=a|0;var b=0;b=c[a+420>>2]|0;c[b+372>>2]=c[b+356>>2];return}function yu(a){a=a|0;var b=0;b=c[a+420>>2]|0;c[b+320>>2]=c[b+308>>2];return}function zu(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3536>>3]=+h[b+4216>>3];return}function Au(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4096>>3]=+h[b+3536>>3];return}function Bu(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1760>>3]=+h[b+4096>>3];return}function Cu(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1920>>3]=+h[b+1760>>3];return}function Du(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1768>>3]=+h[b+4096>>3];return}function Eu(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1952>>3]=+h[b+1768>>3];return}function Fu(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1776>>3]=+h[b+4096>>3];return}function Gu(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1984>>3]=+h[b+1776>>3];return}function Hu(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1784>>3]=+h[b+4096>>3];return}function Iu(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2016>>3]=+h[b+1784>>3];return}function Ju(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1792>>3]=+h[b+4096>>3];return}function Ku(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2048>>3]=+h[b+1792>>3];return}function Lu(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1840>>3]=+h[b+4096>>3];return}function Mu(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1936>>3]=+h[b+1840>>3];return}function Nu(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1848>>3]=+h[b+4096>>3];return}function Ou(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1968>>3]=+h[b+1848>>3];return}function Pu(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1856>>3]=+h[b+4096>>3];return}function Qu(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2e3>>3]=+h[b+1856>>3];return}function Ru(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1864>>3]=+h[b+4096>>3];return}function Su(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2032>>3]=+h[b+1864>>3];return}function Tu(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1872>>3]=+h[b+4096>>3];return}function Uu(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+2064>>3]=+h[b+1872>>3];return}function Vu(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4112>>3]=+h[b+3536>>3];return}function Wu(a){a=a|0;var b=0,d=0,e=0.0;b=i;i=i+16|0;d=b|0;hj(d,c[a+536>>2]|0,5);e=+_T(d|0,4);h[(c[a+416>>2]|0)+1512>>3]=e;i=b;return}function Xu(a){a=a|0;var b=0,d=0,e=0.0;b=i;i=i+16|0;d=b|0;hj(d,c[a+536>>2]|0,5);e=+_T(d|0,3);h[(c[a+416>>2]|0)+1504>>3]=e;i=b;return}function Yu(a){a=a|0;var b=0,d=0,e=0.0;b=i;i=i+16|0;d=b|0;hj(d,c[a+536>>2]|0,5);e=+_T(d|0,2);h[(c[a+416>>2]|0)+1496>>3]=e;i=b;return}function Zu(a){a=a|0;var b=0,d=0,e=0.0;b=i;i=i+16|0;d=b|0;hj(d,c[a+536>>2]|0,5);e=+_T(d|0,1);h[(c[a+416>>2]|0)+1488>>3]=e;i=b;return}function _u(a){a=a|0;var b=0,d=0,e=0.0;b=i;i=i+16|0;d=b|0;hj(d,c[a+536>>2]|0,5);e=+_T(d|0,0);h[(c[a+416>>2]|0)+1480>>3]=e;i=b;return}function $u(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4128>>3]=+h[b+3520>>3];return}function av(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1440>>3]=+h[b+4128>>3];return}function bv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1448>>3]=+h[b+4128>>3];return}function cv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1456>>3]=+h[b+4128>>3];return}function dv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1464>>3]=+h[b+4128>>3];return}function ev(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1472>>3]=+h[b+4128>>3];return}function fv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3544>>3]=+h[b+4224>>3];return}function gv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4104>>3]=+h[b+3544>>3];return}function hv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3504>>3]=+h[b+4192>>3];return}function iv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3952>>3]=+h[b+3504>>3];return}function jv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1200>>3]=+h[b+3952>>3];return}function kv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1296>>3]=+h[b+1200>>3];return}function lv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1208>>3]=+h[b+3952>>3];return}function mv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1328>>3]=+h[b+1208>>3];return}function nv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1216>>3]=+h[b+3952>>3];return}function ov(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1360>>3]=+h[b+1216>>3];return}function pv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1224>>3]=+h[b+3952>>3];return}function qv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1392>>3]=+h[b+1224>>3];return}function rv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1232>>3]=+h[b+3952>>3];return}function sv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1424>>3]=+h[b+1232>>3];return}function tv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3968>>3]=+h[b+3488>>3];return}function uv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1120>>3]=+h[b+3968>>3];return}function vv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1280>>3]=+h[b+1120>>3];return}function wv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1128>>3]=+h[b+3968>>3];return}function xv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1312>>3]=+h[b+1128>>3];return}function yv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1136>>3]=+h[b+3968>>3];return}function zv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1344>>3]=+h[b+1136>>3];return}function Av(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1144>>3]=+h[b+3968>>3];return}function Bv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1376>>3]=+h[b+1144>>3];return}function Cv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1152>>3]=+h[b+3968>>3];return}function Dv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1408>>3]=+h[b+1152>>3];return}function Ev(a){a=a|0;var b=0,d=0,e=0.0;b=i;i=i+16|0;d=b|0;hj(d,c[a+536>>2]|0,5);e=+_T(d|0,4);h[(c[a+416>>2]|0)+952>>3]=e;i=b;return}function Fv(a){a=a|0;var b=0,d=0,e=0.0;b=i;i=i+16|0;d=b|0;hj(d,c[a+536>>2]|0,5);e=+_T(d|0,3);h[(c[a+416>>2]|0)+944>>3]=e;i=b;return}function Gv(a){a=a|0;var b=0,d=0,e=0.0;b=i;i=i+16|0;d=b|0;hj(d,c[a+536>>2]|0,5);e=+_T(d|0,2);h[(c[a+416>>2]|0)+936>>3]=e;i=b;return}function Hv(a){a=a|0;var b=0,d=0,e=0.0;b=i;i=i+16|0;d=b|0;hj(d,c[a+536>>2]|0,5);e=+_T(d|0,1);h[(c[a+416>>2]|0)+928>>3]=e;i=b;return}function Iv(a){a=a|0;var b=0,d=0,e=0.0;b=i;i=i+16|0;d=b|0;hj(d,c[a+536>>2]|0,5);e=+_T(d|0,0);h[(c[a+416>>2]|0)+920>>3]=e;i=b;return}function Jv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3512>>3]=+h[b+4200>>3];return}function Kv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3960>>3]=+h[b+3512>>3];return}function Lv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3712>>3]=+h[b+4376>>3];return}function Mv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3896>>3]=+h[b+3712>>3];return}function Nv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3696>>3]=+h[b+4360>>3];return}function Ov(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3880>>3]=+h[b+3696>>3];return}function Pv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3688>>3]=+h[b+4352>>3];return}function Qv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3872>>3]=+h[b+3688>>3];return}function Rv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3600>>3]=+h[b+4264>>3];return}function Sv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3832>>3]=+h[b+3600>>3];return}function Tv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3584>>3]=+h[b+4248>>3];return}function Uv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3816>>3]=+h[b+3584>>3];return}function Vv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3648>>3]=+h[b+4312>>3];return}function Wv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3640>>3]=+h[b+4304>>3];return}function Xv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3480>>3]=+h[b+4176>>3];return}function Yv(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4016>>3]=0.0;return}function Zv(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4008>>3]=0.0;return}function _v(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4e3>>3]=0.0;return}function $v(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3992>>3]=0.0;return}function aw(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3984>>3]=0.0;return}function bw(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3976>>3]=0.0;return}function cw(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3968>>3]=0.0;return}function dw(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3960>>3]=0.0;return}function ew(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3952>>3]=0.0;return}function fw(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3944>>3]=0.0;return}function gw(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2632>>3]=0.0;return}function hw(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2624>>3]=0.0;return}function iw(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2616>>3]=0.0;return}function jw(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3936>>3]=0.0;return}function kw(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3928>>3]=0.0;return}function lw(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3920>>3]=0.0;return}function mw(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3912>>3]=0.0;return}function nw(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3904>>3]=0.0;return}function ow(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3896>>3]=0.0;return}function pw(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3888>>3]=0.0;return}function qw(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3880>>3]=0.0;return}function rw(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3872>>3]=0.0;return}function sw(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3864>>3]=0.0;return}function tw(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3856>>3]=0.0;return}function uw(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3848>>3]=0.0;return}function vw(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3840>>3]=0.0;return}function ww(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2608>>3]=0.0;return}function xw(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2600>>3]=0.0;return}function yw(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2592>>3]=0.0;return}function zw(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2584>>3]=0.0;return}function Aw(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2576>>3]=0.0;return}function Bw(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3832>>3]=0.0;return}function Cw(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3824>>3]=0.0;return}function Dw(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3816>>3]=0.0;return}function Ew(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3808>>3]=0.0;return}function Fw(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3800>>3]=0.0;return}function Gw(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3792>>3]=0.0;return}function Hw(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3784>>3]=0.0;return}function Iw(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2568>>3]=0.0;return}function Jw(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2560>>3]=0.0;return}function Kw(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3776>>3]=0.0;return}function Lw(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3768>>3]=0.0;return}function Mw(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3760>>3]=0.0;return}function Nw(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2552>>3]=0.0;return}function Ow(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2544>>3]=0.0;return}function Pw(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2536>>3]=0.0;return}function Qw(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3752>>3]=0.0;return}function Rw(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2528>>3]=0.0;return}function Sw(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2520>>3]=0.0;return}function Tw(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3744>>3]=0.0;return}function Uw(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3736>>3]=0.0;return}function Vw(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3728>>3]=0.0;return}function Ww(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2512>>3]=0.0;return}function Xw(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2504>>3]=0.0;return}function Yw(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2496>>3]=0.0;return}function Zw(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2488>>3]=0.0;return}function _w(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2480>>3]=0.0;return}function $w(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3720>>3]=0.0;return}function ax(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3712>>3]=0.0;return}function bx(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3704>>3]=0.0;return}function cx(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3696>>3]=0.0;return}function dx(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3688>>3]=0.0;return}function ex(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2440>>3]=0.0;return}function fx(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2448>>3]=0.0;return}function gx(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2456>>3]=0.0;return}function hx(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2464>>3]=0.0;return}function ix(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2472>>3]=0.0;return}function jx(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3680>>3]=0.0;return}function kx(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3672>>3]=0.0;return}function lx(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3664>>3]=0.0;return}function mx(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3656>>3]=0.0;return}function nx(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3648>>3]=0.0;return}function ox(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3640>>3]=0.0;return}function px(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2432>>3]=-0.0;return}function qx(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3632>>3]=0.0;return}function rx(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3624>>3]=0.0;return}function sx(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3616>>3]=0.0;return}function tx(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3608>>3]=0.0;return}function ux(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3600>>3]=0.0;return}function vx(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3592>>3]=0.0;return}function wx(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2424>>3]=-0.0;return}function xx(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3584>>3]=0.0;return}function yx(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3576>>3]=0.0;return}function zx(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3568>>3]=0.0;return}function Ax(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3560>>3]=0.0;return}function Bx(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3552>>3]=0.0;return}function Cx(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3544>>3]=0.0;return}function Dx(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3536>>3]=0.0;return}function Ex(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3528>>3]=0.0;return}function Fx(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3520>>3]=293.15;return}function Gx(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3512>>3]=293.15;return}function Hx(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3504>>3]=293.15;return}function Ix(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3496>>3]=293.15;return}function Jx(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3488>>3]=293.15;return}function Kx(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3480>>3]=293.15;return}function Lx(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3472>>3]=293.15;return}function Mx(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3464>>3]=293.15;return}function Nx(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3456>>3]=293.15;return}function Ox(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3448>>3]=293.15;return}function Px(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3440>>3]=293.15;return}function Qx(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3432>>3]=293.15;return}function Rx(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3424>>3]=0.0;return}function Sx(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3416>>3]=0.0;return}function Tx(b){b=b|0;var c=0;c=b+314|0;a[c]=1;Xj(b);Yj(b);Zj(b);_j(b);$j(b);ak(b);bk(b);ck(b);dk(b);ek(b);fk(b);gk(b);hk(b);ik(b);jk(b);kk(b);lk(b);mk(b);nk(b);ok(b);pk(b);qk(b);rk(b);sk(b);tk(b);uk(b);vk(b);wk(b);xk(b);yk(b);zk(b);Ak(b);Bk(b);Ck(b);Dk(b);Ek(b);Fk(b);Gk(b);Hk(b);Ik(b);Jk(b);Kk(b);Lk(b);Mk(b);Nk(b);Ok(b);Pk(b);Qk(b);Rk(b);Sk(b);Tk(b);Uk(b);Vk(b);Wk(b);Xk(b);Yk(b);Zk(b);_k(b);$k(b);al(b);bl(b);cl(b);dl(b);el(b);fl(b);gl(b);hl(b);il(b);jl(b);kl(b);ll(b);ml(b);nl(b);ol(b);pl(b);ql(b);rl(b);sl(b);tl(b);ul(b);vl(b);wl(b);xl(b);yl(b);zl(b);Al(b);Bl(b);Cl(b);Dl(b);El(b);Fl(b);Gl(b);Hl(b);Il(b);Jl(b);Kl(b);Ll(b);Ml(b);Nl(b);Ol(b);Pl(b);Ql(b);Rl(b);Sl(b);Tl(b);Ul(b);Vl(b);Wl(b);Xl(b);Yl(b);Zl(b);_l(b);$l(b);am(b);bm(b);cm(b);dm(b);em(b);fm(b);gm(b);hm(b);im(b);jm(b);km(b);lm(b);mm(b);nm(b);om(b);pm(b);qm(b);rm(b);sm(b);tm(b);um(b);vm(b);wm(b);xm(b);ym(b);zm(b);Am(b);Bm(b);Cm(b);Dm(b);Em(b);Fm(b);Gm(b);Hm(b);Im(b);Jm(b);Km(b);Lm(b);Mm(b);Nm(b);Om(b);Pm(b);Qm(b);Rm(b);Sm(b);Tm(b);Um(b);Vm(b);Wm(b);Xm(b);Ym(b);Zm(b);_m(b);$m(b);an(b);bn(b);cn(b);dn(b);en(b);fn(b);gn(b);hn(b);jn(b);kn(b);ln(b);mn(b);nn(b);on(b);pn(b);qn(b);rn(b);sn(b);tn(b);un(b);vn(b);wn(b);xn(b);yn(b);zn(b);An(b);Bn(b);Cn(b);Dn(b);En(b);Fn(b);Gn(b);Hn(b);In(b);Jn(b);Kn(b);Ln(b);Mn(b);Nn(b);On(b);Pn(b);Qn(b);Rn(b);Sn(b);Tn(b);Un(b);Vn(b);Wn(b);Xn(b);Yn(b);Zn(b);_n(b);$n(b);ao(b);bo(b);co(b);eo(b);fo(b);go(b);ho(b);io(b);jo(b);ko(b);lo(b);mo(b);no(b);oo(b);po(b);qo(b);ro(b);so(b);to(b);uo(b);vo(b);wo(b);xo(b);yo(b);zo(b);Ao(b);Bo(b);Co(b);Do(b);Eo(b);Fo(b);Go(b);Ho(b);Io(b);Jo(b);Ko(b);Lo(b);Mo(b);No(b);Oo(b);Po(b);Qo(b);Ro(b);So(b);To(b);Uo(b);Vo(b);Wo(b);Xo(b);Yo(b);Zo(b);_o(b);$o(b);ap(b);bp(b);cp(b);dp(b);ep(b);fp(b);gp(b);hp(b);ip(b);jp(b);kp(b);lp(b);mp(b);np(b);op(b);pp(b);qp(b);rp(b);sp(b);tp(b);up(b);vp(b);wp(b);xp(b);yp(b);zp(b);Ap(b);Bp(b);Cp(b);Dp(b);Ep(b);Fp(b);Gp(b);Hp(b);Ip(b);Jp(b);Kp(b);Lp(b);Mp(b);Np(b);Op(b);Pp(b);Qp(b);Rp(b);Sp(b);Tp(b);Up(b);Vp(b);Wp(b);Xp(b);Yp(b);Zp(b);_p(b);$p(b);aq(b);bq(b);cq(b);dq(b);eq(b);fq(b);gq(b);hq(b);iq(b);jq(b);kq(b);lq(b);mq(b);nq(b);oq(b);pq(b);qq(b);rq(b);sq(b);tq(b);uq(b);vq(b);wq(b);xq(b);yq(b);zq(b);Aq(b);Bq(b);Cq(b);Dq(b);Eq(b);Fq(b);Gq(b);Hq(b);Iq(b);Jq(b);Kq(b);Lq(b);Mq(b);Nq(b);Oq(b);Pq(b);Qq(b);Rq(b);Sq(b);Tq(b);Uq(b);Vq(b);Wq(b);Xq(b);Yq(b);Zq(b);_q(b);$q(b);ar(b);br(b);cr(b);dr(b);er(b);fr(b);gr(b);hr(b);ir(b);jr(b);kr(b);lr(b);mr(b);nr(b);or(b);pr(b);qr(b);rr(b);sr(b);tr(b);ur(b);vr(b);wr(b);xr(b);yr(b);zr(b);Ar(b);Br(b);Cr(b);Dr(b);Er(b);Fr(b);Gr(b);Hr(b);Ir(b);Jr(b);Kr(b);Lr(b);Mr(b);Nr(b);Or(b);Pr(b);Qr(b);Rr(b);Sr(b);Tr(b);Ur(b);Vr(b);Wr(b);Xr(b);Yr(b);Zr(b);_r(b);$r(b);as(b);bs(b);cs(b);ds(b);es(b);fs(b);gs(b);hs(b);is(b);js(b);ks(b);ls(b);ms(b);ns(b);os(b);ps(b);qs(b);rs(b);ss(b);ts(b);us(b);vs(b);ws(b);xs(b);ys(b);zs(b);As(b);Bs(b);Cs(b);Ds(b);Es(b);Fs(b);Gs(b);Hs(b);Is(b);Js(b);Ks(b);Ls(b);Ms(b);Ns(b);Os(b);Ps(b);Qs(b);Rs(b);Ss(b);Ts(b);Us(b);Vs(b);Ws(b);Xs(b);Ys(b);Zs(b);_s(b);$s(b);at(b);bt(b);ct(b);dt(b);et(b);ft(b);gt(b);ht(b);it(b);jt(b);kt(b);lt(b);mt(b);nt(b);ot(b);pt(b);qt(b);rt(b);st(b);tt(b);ut(b);vt(b);wt(b);xt(b);yt(b);zt(b);At(b);Bt(b);Ct(b);Dt(b);Et(b);Ft(b);Gt(b);Ht(b);It(b);Jt(b);Kt(b);Lt(b);Mt(b);Nt(b);Ot(b);Pt(b);Qt(b);Rt(b);St(b);Tt(b);Ut(b);Vt(b);Wt(b);Xt(b);Yt(b);Zt(b);_t(b);$t(b);au(b);bu(b);cu(b);du(b);eu(b);fu(b);gu(b);hu(b);iu(b);ju(b);ku(b);lu(b);mu(b);nu(b);ou(b);pu(b);qu(b);ru(b);su(b);tu(b);uu(b);vu(b);wu(b);xu(b);yu(b);zu(b);Au(b);Bu(b);Cu(b);Du(b);Eu(b);Fu(b);Gu(b);Hu(b);Iu(b);Ju(b);Ku(b);Lu(b);Mu(b);Nu(b);Ou(b);Pu(b);Qu(b);Ru(b);Su(b);Tu(b);Uu(b);Vu(b);Wu(b);Xu(b);Yu(b);Zu(b);_u(b);$u(b);av(b);bv(b);cv(b);dv(b);ev(b);fv(b);gv(b);hv(b);iv(b);jv(b);kv(b);lv(b);mv(b);nv(b);ov(b);pv(b);qv(b);rv(b);sv(b);tv(b);uv(b);vv(b);wv(b);xv(b);yv(b);zv(b);Av(b);Bv(b);Cv(b);Dv(b);Ev(b);Fv(b);Gv(b);Hv(b);Iv(b);Jv(b);Kv(b);Lv(b);Mv(b);Nv(b);Ov(b);Pv(b);Qv(b);Rv(b);Sv(b);Tv(b);Uv(b);Vv(b);Wv(b);Xv(b);Yv(b);Zv(b);_v(b);$v(b);aw(b);bw(b);cw(b);dw(b);ew(b);fw(b);gw(b);hw(b);iw(b);jw(b);kw(b);lw(b);mw(b);nw(b);ow(b);pw(b);qw(b);rw(b);sw(b);tw(b);uw(b);vw(b);ww(b);xw(b);yw(b);zw(b);Aw(b);Bw(b);Cw(b);Dw(b);Ew(b);Fw(b);Gw(b);Hw(b);Iw(b);Jw(b);Kw(b);Lw(b);Mw(b);Nw(b);Ow(b);Pw(b);Qw(b);Rw(b);Sw(b);Tw(b);Uw(b);Vw(b);Ww(b);Xw(b);Yw(b);Zw(b);_w(b);$w(b);ax(b);bx(b);cx(b);dx(b);ex(b);fx(b);gx(b);hx(b);ix(b);jx(b);kx(b);lx(b);mx(b);nx(b);ox(b);px(b);qx(b);rx(b);sx(b);tx(b);ux(b);vx(b);wx(b);xx(b);yx(b);zx(b);Ax(b);Bx(b);Cx(b);Dx(b);Ex(b);Fx(b);Gx(b);Hx(b);Ix(b);Jx(b);Kx(b);Lx(b);Mx(b);Nx(b);Ox(b);Px(b);Qx(b);Rx(b);Sx(b);a[c]=0;return 0}function Ux(a){a=a|0;return}function Vx(a){a=a|0;return 0}function Wx(a){a=a|0;var b=0;a=i;XS(9,1,9967784,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;if((c[2500025]|0)!=0){$d[c[3540]&511](9)}XS(9,1,9978208,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;if((c[2500025]|0)!=0){$d[c[3540]&511](9)}XS(9,1,9954640,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;if((c[2500025]|0)!=0){$d[c[3540]&511](9)}XS(9,1,8090048,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;if((c[2500025]|0)==0){i=a;return 0}$d[c[3540]&511](9);i=a;return 0}function Xx(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3416>>3]=0.0;return}function Yx(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3424>>3]=0.0;return}function Zx(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3432>>3]=293.15;return}function _x(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3440>>3]=293.15;return}function $x(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3448>>3]=293.15;return}function ay(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3456>>3]=293.15;return}function by(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3464>>3]=293.15;return}function cy(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3472>>3]=293.15;return}function dy(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3480>>3]=293.15;return}function ey(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3488>>3]=293.15;return}function fy(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3496>>3]=293.15;return}function gy(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3504>>3]=293.15;return}function hy(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3512>>3]=293.15;return}function iy(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3520>>3]=293.15;return}function jy(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3528>>3]=0.0;return}function ky(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3536>>3]=0.0;return}function ly(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3544>>3]=0.0;return}function my(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3552>>3]=0.0;return}function ny(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3560>>3]=0.0;return}function oy(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3568>>3]=0.0;return}function py(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3576>>3]=0.0;return}function qy(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3584>>3]=0.0;return}function ry(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2424>>3]=-0.0;return}function sy(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3592>>3]=0.0;return}function ty(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3600>>3]=0.0;return}function uy(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3608>>3]=0.0;return}function vy(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3616>>3]=0.0;return}function wy(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3624>>3]=0.0;return}function xy(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3632>>3]=0.0;return}function yy(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2432>>3]=-0.0;return}function zy(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3640>>3]=0.0;return}function Ay(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3648>>3]=0.0;return}function By(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3656>>3]=0.0;return}function Cy(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3664>>3]=0.0;return}function Dy(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3672>>3]=0.0;return}function Ey(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3680>>3]=0.0;return}function Fy(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2472>>3]=0.0;return}function Gy(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2464>>3]=0.0;return}function Hy(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2456>>3]=0.0;return}function Iy(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2448>>3]=0.0;return}function Jy(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2440>>3]=0.0;return}function Ky(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3688>>3]=0.0;return}function Ly(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3696>>3]=0.0;return}function My(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3704>>3]=0.0;return}function Ny(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3712>>3]=0.0;return}function Oy(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3720>>3]=0.0;return}function Py(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2480>>3]=0.0;return}function Qy(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2488>>3]=0.0;return}function Ry(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2496>>3]=0.0;return}function Sy(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2504>>3]=0.0;return}function Ty(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2512>>3]=0.0;return}function Uy(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3728>>3]=0.0;return}function Vy(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3736>>3]=0.0;return}function Wy(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3744>>3]=0.0;return}function Xy(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2520>>3]=0.0;return}function Yy(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2528>>3]=0.0;return}function Zy(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3752>>3]=0.0;return}function _y(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2536>>3]=0.0;return}function $y(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2544>>3]=0.0;return}function az(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2552>>3]=0.0;return}function bz(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3760>>3]=0.0;return}function cz(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3768>>3]=0.0;return}function dz(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3776>>3]=0.0;return}function ez(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2560>>3]=0.0;return}function fz(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2568>>3]=0.0;return}function gz(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3784>>3]=0.0;return}function hz(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3792>>3]=0.0;return}function iz(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3800>>3]=0.0;return}function jz(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3808>>3]=0.0;return}function kz(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3816>>3]=0.0;return}function lz(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3824>>3]=0.0;return}function mz(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3832>>3]=0.0;return}function nz(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2576>>3]=0.0;return}function oz(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2584>>3]=0.0;return}function pz(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2592>>3]=0.0;return}function qz(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2600>>3]=0.0;return}function rz(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2608>>3]=0.0;return}function sz(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3840>>3]=0.0;return}function tz(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3848>>3]=0.0;return}function uz(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3856>>3]=0.0;return}function vz(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3864>>3]=0.0;return}function wz(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3872>>3]=0.0;return}function xz(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3880>>3]=0.0;return}function yz(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3888>>3]=0.0;return}function zz(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3896>>3]=0.0;return}function Az(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3904>>3]=0.0;return}function Bz(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3912>>3]=0.0;return}function Cz(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3920>>3]=0.0;return}function Dz(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3928>>3]=0.0;return}function Ez(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3936>>3]=0.0;return}function Fz(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2616>>3]=0.0;return}function Gz(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2624>>3]=0.0;return}function Hz(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2632>>3]=0.0;return}function Iz(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3944>>3]=0.0;return}function Jz(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3952>>3]=0.0;return}function Kz(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3960>>3]=0.0;return}function Lz(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3968>>3]=0.0;return}function Mz(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3976>>3]=0.0;return}function Nz(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3984>>3]=0.0;return}function Oz(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3992>>3]=0.0;return}function Pz(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4e3>>3]=0.0;return}function Qz(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4008>>3]=0.0;return}function Rz(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+4016>>3]=0.0;return}function Sz(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b>>3]=+h[b+3424>>3]*1.414213562373095;return}function Tz(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+8>>3]=+h[b+3424>>3]*1.414213562373095;return}function Uz(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+16>>3]=+h[b+3424>>3]*1.414213562373095;return}function Vz(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+24>>3]=+h[b+3424>>3]*1.414213562373095;return}function Wz(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+32>>3]=+h[b+3424>>3]*1.414213562373095;return}function Xz(a){a=a|0;var b=0,d=0,e=0,f=0.0;b=i;i=i+32|0;d=b|0;e=b+16|0;hj(d,c[a+536>>2]|0,5);lU(d|0,e);f=+_T(e,0);h[(c[a+416>>2]|0)+40>>3]=f;i=b;return}function Yz(a){a=a|0;var b=0,d=0,e=0,f=0.0;b=i;i=i+32|0;d=b|0;e=b+16|0;hj(d,c[a+536>>2]|0,5);lU(d|0,e);f=+_T(e,1);h[(c[a+416>>2]|0)+48>>3]=f;i=b;return}function Zz(a){a=a|0;var b=0,d=0,e=0,f=0.0;b=i;i=i+32|0;d=b|0;e=b+16|0;hj(d,c[a+536>>2]|0,5);lU(d|0,e);f=+_T(e,2);h[(c[a+416>>2]|0)+56>>3]=f;i=b;return}function _z(a){a=a|0;var b=0,d=0,e=0,f=0.0;b=i;i=i+32|0;d=b|0;e=b+16|0;hj(d,c[a+536>>2]|0,5);lU(d|0,e);f=+_T(e,3);h[(c[a+416>>2]|0)+64>>3]=f;i=b;return}function $z(a){a=a|0;var b=0,d=0,e=0,f=0.0;b=i;i=i+32|0;d=b|0;e=b+16|0;hj(d,c[a+536>>2]|0,5);lU(d|0,e);f=+_T(e,4);h[(c[a+416>>2]|0)+72>>3]=f;i=b;return}function aA(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+80>>3]=+h[b+3432>>3];return}function bA(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+88>>3]=+h[b+3432>>3];return}function cA(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+96>>3]=+h[b+3432>>3];return}function dA(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+104>>3]=+h[b+3432>>3];return}function eA(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+112>>3]=+h[b+3432>>3];return}function fA(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+200>>3]=+h[b+120>>3];return}function gA(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+208>>3]=+h[b+160>>3];return}function hA(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+216>>3]=+h[b>>3];return}function iA(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+224>>3]=+h[b+40>>3];return}function jA(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+232>>3]=+h[b+80>>3];return}function kA(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+240>>3]=+h[b+216>>3];return}function lA(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+248>>3]=+h[b+232>>3];return}function mA(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+256>>3]=+h[b+224>>3];return}function nA(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+264>>3]=+h[b+200>>3];return}function oA(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+272>>3]=+h[b+208>>3];return}function pA(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+280>>3]=+h[b+128>>3];return}function qA(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+288>>3]=+h[b+168>>3];return}function rA(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+296>>3]=+h[b+8>>3];return}function sA(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+304>>3]=+h[b+48>>3];return}function tA(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+312>>3]=+h[b+88>>3];return}function uA(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+320>>3]=+h[b+296>>3];return}function vA(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+328>>3]=+h[b+312>>3];return}function wA(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+336>>3]=+h[b+304>>3];return}function xA(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+344>>3]=+h[b+280>>3];return}function yA(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+352>>3]=+h[b+288>>3];return}function zA(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+360>>3]=+h[b+136>>3];return}function AA(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+368>>3]=+h[b+176>>3];return}function BA(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+376>>3]=+h[b+16>>3];return}function CA(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+384>>3]=+h[b+56>>3];return}function DA(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+392>>3]=+h[b+96>>3];return}function EA(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+400>>3]=+h[b+376>>3];return}function FA(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+408>>3]=+h[b+392>>3];return}function GA(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+416>>3]=+h[b+384>>3];return}function HA(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+424>>3]=+h[b+360>>3];return}function IA(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+432>>3]=+h[b+368>>3];return}function JA(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+440>>3]=+h[b+144>>3];return}function KA(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+448>>3]=+h[b+184>>3];return}function LA(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+456>>3]=+h[b+24>>3];return}function MA(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+464>>3]=+h[b+64>>3];return}function NA(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+472>>3]=+h[b+104>>3];return}function OA(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+480>>3]=+h[b+456>>3];return}function PA(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+488>>3]=+h[b+472>>3];return}function QA(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+496>>3]=+h[b+464>>3];return}function RA(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+504>>3]=+h[b+440>>3];return}function SA(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+512>>3]=+h[b+448>>3];return}function TA(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+520>>3]=+h[b+152>>3];return}function UA(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+528>>3]=+h[b+192>>3];return}function VA(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+536>>3]=+h[b+32>>3];return}function WA(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+544>>3]=+h[b+72>>3];return}function XA(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+552>>3]=+h[b+112>>3];return}function YA(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+560>>3]=+h[b+536>>3];return}function ZA(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+568>>3]=+h[b+552>>3];return}function _A(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+576>>3]=+h[b+544>>3];return}function $A(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+584>>3]=+h[b+520>>3];return}function aB(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+592>>3]=+h[b+528>>3];return}function bB(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+840>>3]=+h[b+3440>>3];return}function cB(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+848>>3]=+h[b+3440>>3];return}function dB(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+856>>3]=+h[b+3440>>3];return}function eB(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+864>>3]=+h[b+3440>>3];return}function fB(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+872>>3]=+h[b+3440>>3];return}function gB(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3472>>3]=+h[b+4168>>3];return}function hB(a){a=a|0;var b=0;b=c[a+420>>2]|0;c[b+100>>2]=c[b+280>>2];return}function iB(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3480>>3]=+h[b+4176>>3];return}function jB(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3496>>3]=+h[b+4184>>3]*1.666666666666667;return}function kB(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3504>>3]=+h[b+4192>>3];return}function lB(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3512>>3]=+h[b+4200>>3];return}function mB(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3528>>3]=+h[b+4208>>3]*1.666666666666667;return}function nB(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3536>>3]=+h[b+4216>>3];return}function oB(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3544>>3]=+h[b+4224>>3];return}function pB(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3568>>3]=+h[b+3472>>3];return}function qB(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3584>>3]=+h[b+4248>>3];return}function rB(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3600>>3]=+h[b+4264>>3];return}function sB(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3640>>3]=+h[b+4304>>3];return}function tB(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3648>>3]=+h[b+4312>>3];return}function uB(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3688>>3]=+h[b+4352>>3];return}function vB(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3696>>3]=+h[b+4360>>3];return}function wB(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3712>>3]=+h[b+4376>>3];return}function xB(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3816>>3]=+h[b+3584>>3];return}function yB(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3832>>3]=+h[b+3600>>3];return}function zB(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3872>>3]=+h[b+3688>>3];return}function AB(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3880>>3]=+h[b+3696>>3];return}function BB(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3896>>3]=+h[b+3712>>3];return}function CB(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3944>>3]=+h[b+3496>>3];return}function DB(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3952>>3]=+h[b+3504>>3];return}function EB(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3960>>3]=+h[b+3512>>3];return}function FB(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3968>>3]=+h[b+3488>>3];return}function GB(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+3992>>3]=+h[b+3520>>3];return}function HB(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+880>>3]=+h[b+3992>>3];return}function IB(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+888>>3]=+h[b+3992>>3];return}function JB(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+896>>3]=+h[b+3992>>3];return}function KB(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+904>>3]=+h[b+3992>>3];return}function LB(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+912>>3]=+h[b+3992>>3];return}function MB(a){a=a|0;var b=0,d=0,e=0.0;b=i;i=i+16|0;d=b|0;hj(d,c[a+536>>2]|0,5);e=+_T(d|0,0);h[(c[a+416>>2]|0)+920>>3]=e;i=b;return}function NB(a){a=a|0;var b=0,d=0,e=0.0;b=i;i=i+16|0;d=b|0;hj(d,c[a+536>>2]|0,5);e=+_T(d|0,1);h[(c[a+416>>2]|0)+928>>3]=e;i=b;return}function OB(a){a=a|0;var b=0,d=0,e=0.0;b=i;i=i+16|0;d=b|0;hj(d,c[a+536>>2]|0,5);e=+_T(d|0,2);h[(c[a+416>>2]|0)+936>>3]=e;i=b;return}function PB(a){a=a|0;var b=0,d=0,e=0.0;b=i;i=i+16|0;d=b|0;hj(d,c[a+536>>2]|0,5);e=+_T(d|0,3);h[(c[a+416>>2]|0)+944>>3]=e;i=b;return}function QB(a){a=a|0;var b=0,d=0,e=0.0;b=i;i=i+16|0;d=b|0;hj(d,c[a+536>>2]|0,5);e=+_T(d|0,4);h[(c[a+416>>2]|0)+952>>3]=e;i=b;return}function RB(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1120>>3]=+h[b+3968>>3];return}function SB(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1128>>3]=+h[b+3968>>3];return}function TB(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1136>>3]=+h[b+3968>>3];return}function UB(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1144>>3]=+h[b+3968>>3];return}function VB(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1152>>3]=+h[b+3968>>3];return}function WB(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1160>>3]=+h[b+3944>>3];return}function XB(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1168>>3]=+h[b+3944>>3];return}function YB(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1176>>3]=+h[b+3944>>3];return}function ZB(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1184>>3]=+h[b+3944>>3];return}function _B(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1192>>3]=+h[b+3944>>3];return}function $B(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1200>>3]=+h[b+3952>>3];return}function aC(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1208>>3]=+h[b+3952>>3];return}function bC(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1216>>3]=+h[b+3952>>3];return}function cC(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1224>>3]=+h[b+3952>>3];return}function dC(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1232>>3]=+h[b+3952>>3];return}function eC(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1280>>3]=+h[b+1120>>3];return}function fC(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1288>>3]=+h[b+1160>>3];return}function gC(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1296>>3]=+h[b+1200>>3];return}function hC(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1312>>3]=+h[b+1128>>3];return}function iC(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1320>>3]=+h[b+1168>>3];return}function jC(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1328>>3]=+h[b+1208>>3];return}function kC(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1344>>3]=+h[b+1136>>3];return}function lC(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1352>>3]=+h[b+1176>>3];return}function mC(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1360>>3]=+h[b+1216>>3];return}function nC(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1376>>3]=+h[b+1144>>3];return}function oC(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1384>>3]=+h[b+1184>>3];return}function pC(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1392>>3]=+h[b+1224>>3];return}function qC(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1408>>3]=+h[b+1152>>3];return}function rC(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1416>>3]=+h[b+1192>>3];return}function sC(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1424>>3]=+h[b+1232>>3];return}function tC(a){a=a|0;var b=0;b=c[a+420>>2]|0;c[b+204>>2]=c[b+100>>2];return}function uC(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4088>>3]=+h[b+3528>>3];return}function vC(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4096>>3]=+h[b+3536>>3];return}function wC(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4104>>3]=+h[b+3544>>3];return}function xC(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4112>>3]=+h[b+3536>>3];return}function yC(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+4128>>3]=+h[b+3520>>3];return}function zC(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1440>>3]=+h[b+4128>>3];return}function AC(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1448>>3]=+h[b+4128>>3];return}function BC(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1456>>3]=+h[b+4128>>3];return}function CC(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1464>>3]=+h[b+4128>>3];return}function DC(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+1472>>3]=+h[b+4128>>3];return}function EC(a){a=a|0;var b=0,d=0,e=0.0;b=i;i=i+16|0;d=b|0;hj(d,c[a+536>>2]|0,5);e=+_T(d|0,0);h[(c[a+416>>2]|0)+1480>>3]=e;i=b;return}function FC(a){a=a|0;var b=0,d=0,e=0.0;b=i;i=i+16|0;d=b|0;hj(d,c[a+536>>2]|0,5);e=+_T(d|0,1);h[(c[a+416>>2]|0)+1488>>3]=e;i=b;return}function GC(a){a=a|0;var b=0,d=0,e=0.0;b=i;i=i+16|0;d=b|0;hj(d,c[a+536>>2]|0,5);e=+_T(d|0,2);h[(c[a+416>>2]|0)+1496>>3]=e;i=b;return}



function cN(a,b){a=a|0;b=b|0;var d=0;d=a+44|0;c[b+((c[d>>2]|0)-8<<2)>>2]=2;c[b+((c[d>>2]|0)-7<<2)>>2]=3;c[b+((c[d>>2]|0)-6<<2)>>2]=9;c[b+((c[d>>2]|0)-5<<2)>>2]=10;c[b+((c[d>>2]|0)-4<<2)>>2]=11;c[b+((c[d>>2]|0)-3<<2)>>2]=12;c[b+((c[d>>2]|0)-2<<2)>>2]=13;c[b+((c[d>>2]|0)-1<<2)>>2]=14;return}function dN(a,b){a=a|0;b=b|0;var d=0;d=a+40|0;c[b+((c[d>>2]|0)-7<<2)>>2]=2;c[b+((c[d>>2]|0)-6<<2)>>2]=3;c[b+((c[d>>2]|0)-5<<2)>>2]=9;c[b+((c[d>>2]|0)-4<<2)>>2]=10;c[b+((c[d>>2]|0)-3<<2)>>2]=11;c[b+((c[d>>2]|0)-2<<2)>>2]=12;c[b+((c[d>>2]|0)-1<<2)>>2]=14;return}function eN(a,b){a=a|0;b=b|0;var d=0;d=a+36|0;c[b+((c[d>>2]|0)-7<<2)>>2]=2;c[b+((c[d>>2]|0)-6<<2)>>2]=3;c[b+((c[d>>2]|0)-5<<2)>>2]=9;c[b+((c[d>>2]|0)-4<<2)>>2]=10;c[b+((c[d>>2]|0)-3<<2)>>2]=11;c[b+((c[d>>2]|0)-2<<2)>>2]=12;c[b+((c[d>>2]|0)-1<<2)>>2]=14;return}function fN(a,b){a=a|0;b=b|0;var d=0;d=a+12|0;c[b+((c[d>>2]|0)-6<<2)>>2]=2;c[b+((c[d>>2]|0)-5<<2)>>2]=3;c[b+((c[d>>2]|0)-4<<2)>>2]=9;c[b+((c[d>>2]|0)-3<<2)>>2]=10;c[b+((c[d>>2]|0)-2<<2)>>2]=11;c[b+((c[d>>2]|0)-1<<2)>>2]=12;return}function gN(a,b){a=a|0;b=b|0;var d=0;d=a+8|0;c[b+((c[d>>2]|0)-6<<2)>>2]=2;c[b+((c[d>>2]|0)-5<<2)>>2]=3;c[b+((c[d>>2]|0)-4<<2)>>2]=9;c[b+((c[d>>2]|0)-3<<2)>>2]=10;c[b+((c[d>>2]|0)-2<<2)>>2]=11;c[b+((c[d>>2]|0)-1<<2)>>2]=12;return}function hN(a,b){a=a|0;b=b|0;var d=0;d=a+32|0;c[b+((c[d>>2]|0)-6<<2)>>2]=2;c[b+((c[d>>2]|0)-5<<2)>>2]=3;c[b+((c[d>>2]|0)-4<<2)>>2]=9;c[b+((c[d>>2]|0)-3<<2)>>2]=10;c[b+((c[d>>2]|0)-2<<2)>>2]=11;c[b+((c[d>>2]|0)-1<<2)>>2]=12;return}function iN(a,b){a=a|0;b=b|0;var d=0;d=a+28|0;c[b+((c[d>>2]|0)-6<<2)>>2]=4;c[b+((c[d>>2]|0)-5<<2)>>2]=5;c[b+((c[d>>2]|0)-4<<2)>>2]=6;c[b+((c[d>>2]|0)-3<<2)>>2]=0;c[b+((c[d>>2]|0)-2<<2)>>2]=1;c[b+((c[d>>2]|0)-1<<2)>>2]=7;return}function jN(a,b){a=a|0;b=b|0;var d=0;d=a+4|0;c[b+((c[d>>2]|0)-5<<2)>>2]=5;c[b+((c[d>>2]|0)-4<<2)>>2]=6;c[b+((c[d>>2]|0)-3<<2)>>2]=0;c[b+((c[d>>2]|0)-2<<2)>>2]=1;c[b+((c[d>>2]|0)-1<<2)>>2]=7;return}function kN(a,b){a=a|0;b=b|0;c[b+((c[a>>2]|0)-5<<2)>>2]=5;c[b+((c[a>>2]|0)-4<<2)>>2]=6;c[b+((c[a>>2]|0)-3<<2)>>2]=0;c[b+((c[a>>2]|0)-2<<2)>>2]=1;c[b+((c[a>>2]|0)-1<<2)>>2]=7;return}function lN(a,b){a=a|0;b=b|0;var d=0;d=a+24|0;c[b+((c[d>>2]|0)-5<<2)>>2]=5;c[b+((c[d>>2]|0)-4<<2)>>2]=6;c[b+((c[d>>2]|0)-3<<2)>>2]=0;c[b+((c[d>>2]|0)-2<<2)>>2]=1;c[b+((c[d>>2]|0)-1<<2)>>2]=7;return}function mN(a,b){a=a|0;b=b|0;var d=0;d=a+20|0;c[b+((c[d>>2]|0)-5<<2)>>2]=5;c[b+((c[d>>2]|0)-4<<2)>>2]=6;c[b+((c[d>>2]|0)-3<<2)>>2]=0;c[b+((c[d>>2]|0)-2<<2)>>2]=1;c[b+((c[d>>2]|0)-1<<2)>>2]=7;return}function nN(a,b){a=a|0;b=b|0;var d=0;d=a+16|0;c[b+((c[d>>2]|0)-4<<2)>>2]=5;c[b+((c[d>>2]|0)-3<<2)>>2]=6;c[b+((c[d>>2]|0)-2<<2)>>2]=0;c[b+((c[d>>2]|0)-1<<2)>>2]=1;return}function oN(a){a=a|0;return 1}function pN(a){a=a|0;return 1}function qN(a){a=a|0;return 1}function rN(a){a=a|0;return 0}function sN(a){a=a|0;return 0}function tN(a){a=a|0;return 0}function uN(a){a=a|0;return 0}function vN(a){a=a|0;return 0}function wN(a,b){a=a|0;b=b|0;return-1|0}function xN(a,b){a=a|0;b=b|0;return-1|0}function yN(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;return-1|0}function zN(){return 50704}function AN(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0.0,i=0.0,j=0,k=0,l=0.0,m=0,n=0.0,o=0,p=0.0,q=0,r=0.0,s=0.0,t=0.0,u=0;e=c[a>>2]|0;if((e|0)<1){f=0;return f|0}a=c[d>>2]|0;if((a|0)<1){f=0;return f|0}if((e|0)==1){f=1;return f|0}g=+h[b>>3];d=g<0.0;if((a|0)==1){if(d){i=-0.0-g}else{i=g}if((e|0)<2){f=1;return f|0}else{j=1;k=2;l=i}while(1){i=+h[b+(k-1<<3)>>3];m=i<0.0;if(m){n=-0.0-i}else{n=i}o=n<=l;if(o|m^1){p=o?l:i;q=o?j:k}else{p=-0.0-i;q=k}o=k+1|0;if((o|0)>(e|0)){f=q;break}else{j=q;k=o;l=p}}return f|0}if(d){r=-0.0-g}else{r=g}if((e|0)<2){f=1;return f|0}d=1;k=2;q=a+1|0;g=r;while(1){r=+h[b+(q-1<<3)>>3];j=r<0.0;if(j){s=-0.0-r}else{s=r}o=s<=g;if(o|j^1){t=o?g:r;u=o?d:k}else{t=-0.0-r;u=k}o=k+1|0;if((o|0)>(e|0)){f=u;break}else{d=u;k=o;q=a+q|0;g=t}}return f|0}function BN(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,i=0,j=0,k=0,l=0,m=0;f=c[a>>2]|0;if((f|0)<1){return 0}g=c[e>>2]|0;if((g|0)<1){return 0}if((g|0)!=1){e=ga(g,f)|0;if((e|0)>0){i=1}else{return 0}do{j=d+(i-1<<3)|0;h[j>>3]=+h[b>>3]*+h[j>>3];i=i+g|0;}while((i|0)<=(e|0));return 0}e=(f|0)%5|0;do{if((e|0)==0){k=f}else{if((e|0)<1){l=f}else{i=1;do{g=d+(i-1<<3)|0;h[g>>3]=+h[b>>3]*+h[g>>3];i=i+1|0;}while((i|0)<=(e|0));l=c[a>>2]|0}if((l|0)>=5){k=l;break}return 0}}while(0);l=e+1|0;if((l|0)>(k|0)){return 0}else{m=l}do{l=d+(m-1<<3)|0;h[l>>3]=+h[b>>3]*+h[l>>3];l=d+(m<<3)|0;h[l>>3]=+h[b>>3]*+h[l>>3];l=d+(m+1<<3)|0;h[l>>3]=+h[b>>3]*+h[l>>3];l=d+(m+2<<3)|0;h[l>>3]=+h[b>>3]*+h[l>>3];l=d+(m+3<<3)|0;h[l>>3]=+h[b>>3]*+h[l>>3];m=m+5|0;}while((m|0)<=(k|0));return 0}function CN(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0.0,s=0,t=0,u=0,v=0,w=0,x=0;g=c[a>>2]|0;if((g|0)<1){return 0}i=c[d>>2]|0;do{if((i|0)==1){j=c[f>>2]|0;if((j|0)!=1){k=1;l=j;break}j=(g|0)%3|0;do{if((j|0)==0){m=g}else{if((j|0)<1){n=g}else{o=1;do{p=o-1|0;q=b+(p<<3)|0;r=+h[q>>3];s=e+(p<<3)|0;h[q>>3]=+h[s>>3];h[s>>3]=r;o=o+1|0;}while((o|0)<=(j|0));n=c[a>>2]|0}if((n|0)>=3){m=n;break}return 0}}while(0);o=j+1|0;if((o|0)>(m|0)){return 0}else{t=o}do{o=t-1|0;s=b+(o<<3)|0;r=+h[s>>3];q=e+(o<<3)|0;h[s>>3]=+h[q>>3];h[q>>3]=r;q=b+(t<<3)|0;r=+h[q>>3];s=e+(t<<3)|0;h[q>>3]=+h[s>>3];h[s>>3]=r;s=t+1|0;q=b+(s<<3)|0;r=+h[q>>3];o=e+(s<<3)|0;h[q>>3]=+h[o>>3];h[o>>3]=r;t=t+3|0;}while((t|0)<=(m|0));return 0}else{if((i|0)<0){u=(ga(1-g|0,i)|0)+1|0}else{u=1}k=u;l=c[f>>2]|0}}while(0);if((l|0)<0){v=1;w=k;x=(ga(1-g|0,l)|0)+1|0}else{v=1;w=k;x=1}while(1){k=b+(w-1<<3)|0;r=+h[k>>3];l=e+(x-1<<3)|0;h[k>>3]=+h[l>>3];h[l>>3]=r;l=v+1|0;if((l|0)>(g|0)){break}else{v=l;w=(c[d>>2]|0)+w|0;x=(c[f>>2]|0)+x|0}}return 0}function DN(a,b,d,e,f,g,j,k,l){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0.0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;m=i;i=i+8|0;n=m|0;o=c[l>>2]|0;l=~o;c[n>>2]=0;p=c[a>>2]|0;do{if((p|0)<0){c[n>>2]=1}else{q=c[b>>2]|0;if((q|0)<0){c[n>>2]=2;break}r=c[f>>2]|0;if((r|0)==0){c[n>>2]=5;break}s=c[j>>2]|0;if((s|0)==0){c[n>>2]=7;break}if((o|0)<(((p|0)>1?p:1)|0)){c[n>>2]=9;break}if((p|0)==0|(q|0)==0){i=m;return 0}if(+h[d>>3]==0.0){i=m;return 0}if((s|0)>0){t=1}else{t=1-(ga(s,q-1|0)|0)|0}if((r|0)==1){if((q|0)<1){i=m;return 0}else{u=1;v=t;w=s}while(1){x=+h[g+(v-1<<3)>>3];do{if(x!=0.0){y=x*+h[d>>3];z=c[a>>2]|0;if((z|0)<1){A=w;break}B=(ga(u,o)|0)+l|0;C=1;do{D=k+(B+C<<3)|0;h[D>>3]=+h[D>>3]+y*+h[e+(C-1<<3)>>3];C=C+1|0;}while((C|0)<=(z|0));A=c[j>>2]|0}else{A=w}}while(0);z=u+1|0;if((z|0)>(q|0)){break}else{u=z;v=A+v|0;w=A}}i=m;return 0}if((r|0)>0){E=1}else{E=1-(ga(p-1|0,r)|0)|0}if((q|0)<1){i=m;return 0}else{F=1;G=t;H=s}while(1){x=+h[g+(G-1<<3)>>3];do{if(x!=0.0){y=x*+h[d>>3];z=c[a>>2]|0;if((z|0)<1){I=H;break}C=(ga(F,o)|0)+l|0;B=1;D=E;while(1){J=k+(C+B<<3)|0;h[J>>3]=+h[J>>3]+y*+h[e+(D-1<<3)>>3];J=B+1|0;if((J|0)>(z|0)){break}else{B=J;D=(c[f>>2]|0)+D|0}}I=c[j>>2]|0}else{I=H}}while(0);D=F+1|0;if((D|0)>(q|0)){break}else{F=D;G=I+G|0;H=I}}i=m;return 0}}while(0);Jc(9968256,n|0)|0;i=m;return 0}function EN(a,b,d,e,f,g,j,k,l,m,n,o,p){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;var q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0.0,S=0,T=0.0,U=0.0,V=0,W=0.0,X=0,Y=0,Z=0,_=0,$=0,aa=0.0,ba=0.0,ca=0,da=0;q=i;i=i+8|0;r=q|0;s=c[k>>2]|0;t=~s;u=c[m>>2]|0;v=~u;w=c[p>>2]|0;x=~w;y=nV(a,9965528,0,0)|0;z=nV(b,9965528,0,0)|0;A=(y|0)!=0;y=c[(A?d:f)>>2]|0;B=(z|0)!=0;z=c[(B?f:e)>>2]|0;c[r>>2]=0;do{if(A){C=5}else{if((nV(a,9978032,0,0)|0)!=0){C=5;break}if((nV(a,9954464,0,0)|0)!=0){C=5;break}c[r>>2]=1}}while(0);a:do{if((C|0)==5){do{if(!B){if((nV(b,9978032,0,0)|0)!=0){break}if((nV(b,9954464,0,0)|0)!=0){break}c[r>>2]=2;break a}}while(0);a=c[d>>2]|0;if((a|0)<0){c[r>>2]=3;break}D=c[e>>2]|0;if((D|0)<0){c[r>>2]=4;break}E=c[f>>2]|0;if((E|0)<0){c[r>>2]=5;break}if((c[k>>2]|0)<(((y|0)>1?y:1)|0)){c[r>>2]=8;break}if((c[m>>2]|0)<(((z|0)>1?z:1)|0)){c[r>>2]=10;break}if((c[p>>2]|0)<(((a|0)>1?a:1)|0)){c[r>>2]=13;break}if((c[r>>2]|0)!=0){break}if((a|0)==0|(D|0)==0){i=q;return 0}F=+h[g>>3]==0.0;do{if(F|(E|0)==0){if(+h[n>>3]==1.0){i=q;return 0}if(!F){break}G=(D|0)<1;if(+h[n>>3]==0.0){if(G){i=q;return 0}else{H=2;I=0;J=a}while(1){if((J|0)>=1){Qla(o+((ga(w,I)|0)<<3)|0,0,J<<3|0)|0}if((H|0)>(D|0)){break}H=H+1|0;I=I+1|0;J=c[d>>2]|0}i=q;return 0}if(G){i=q;return 0}else{K=1;L=a}while(1){if((L|0)>=1){M=(ga(K,w)|0)+x|0;N=1;do{O=o+(M+N<<3)|0;h[O>>3]=+h[n>>3]*+h[O>>3];N=N+1|0;}while((N|0)<=(L|0))}N=K+1|0;if((N|0)>(D|0)){break}K=N;L=c[d>>2]|0}i=q;return 0}}while(0);F=(D|0)<1;if(B){if(!A){if(F){i=q;return 0}else{P=1;Q=a}while(1){if((Q|0)>=1){E=(ga(P,w)|0)+x|0;G=(ga(P,u)|0)+v|0;N=1;do{M=c[f>>2]|0;if((M|0)<1){R=0.0}else{O=(ga(N,s)|0)+t|0;S=1;T=0.0;while(1){U=T+ +h[j+(O+S<<3)>>3]*+h[l+(G+S<<3)>>3];V=S+1|0;if((V|0)>(M|0)){R=U;break}else{S=V;T=U}}}T=+h[n>>3];U=R*+h[g>>3];S=o+(E+N<<3)|0;if(T==0.0){W=U}else{W=U+T*+h[S>>3]}h[S>>3]=W;N=N+1|0;}while((N|0)<=(Q|0))}N=P+1|0;if((N|0)>(D|0)){break}P=N;Q=c[d>>2]|0}i=q;return 0}if(F){i=q;return 0}else{X=1;Y=0}while(1){N=o+((ga(w,Y)|0)<<3)|0;T=+h[n>>3];b:do{if(T==0.0){E=c[d>>2]|0;if((E|0)<1){break}Qla(N|0,0,E<<3|0)|0}else{if(!(T!=1.0)){break}E=c[d>>2]|0;if((E|0)<1){break}G=(ga(X,w)|0)+x|0;S=1;U=T;while(1){M=o+(G+S<<3)|0;h[M>>3]=U*+h[M>>3];M=S+1|0;if((M|0)>(E|0)){break b}S=M;U=+h[n>>3]}}}while(0);N=c[f>>2]|0;if((N|0)>=1){S=(ga(X,u)|0)+v|0;E=(ga(X,w)|0)+x|0;G=1;do{T=+h[l+(S+G<<3)>>3];do{if(T!=0.0){U=T*+h[g>>3];M=c[d>>2]|0;if((M|0)<1){break}O=(ga(G,s)|0)+t|0;V=1;do{Z=o+(E+V<<3)|0;h[Z>>3]=+h[Z>>3]+U*+h[j+(O+V<<3)>>3];V=V+1|0;}while((V|0)<=(M|0))}}while(0);G=G+1|0;}while((G|0)<=(N|0))}N=X+1|0;if((N|0)>(D|0)){break}X=N;Y=Y+1|0}i=q;return 0}else{if(!A){if(F){i=q;return 0}else{_=1;$=a}while(1){if(($|0)>=1){N=(ga(_,w)|0)+x|0;G=_+v|0;E=1;do{S=c[f>>2]|0;if((S|0)<1){aa=0.0}else{M=(ga(E,s)|0)+t|0;V=1;T=0.0;while(1){U=T+ +h[j+(M+V<<3)>>3]*+h[l+(G+(ga(V,u)|0)<<3)>>3];O=V+1|0;if((O|0)>(S|0)){aa=U;break}else{V=O;T=U}}}T=+h[n>>3];U=aa*+h[g>>3];V=o+(N+E<<3)|0;if(T==0.0){ba=U}else{ba=U+T*+h[V>>3]}h[V>>3]=ba;E=E+1|0;}while((E|0)<=($|0))}E=_+1|0;if((E|0)>(D|0)){break}_=E;$=c[d>>2]|0}i=q;return 0}if(F){i=q;return 0}else{ca=1;da=0}while(1){a=o+((ga(w,da)|0)<<3)|0;T=+h[n>>3];c:do{if(T==0.0){E=c[d>>2]|0;if((E|0)<1){break}Qla(a|0,0,E<<3|0)|0}else{if(!(T!=1.0)){break}E=c[d>>2]|0;if((E|0)<1){break}N=(ga(ca,w)|0)+x|0;G=1;U=T;while(1){V=o+(N+G<<3)|0;h[V>>3]=U*+h[V>>3];V=G+1|0;if((V|0)>(E|0)){break c}G=V;U=+h[n>>3]}}}while(0);a=c[f>>2]|0;if((a|0)>=1){G=ca+v|0;E=(ga(ca,w)|0)+x|0;N=1;do{T=+h[l+(G+(ga(N,u)|0)<<3)>>3];do{if(T!=0.0){U=T*+h[g>>3];V=c[d>>2]|0;if((V|0)<1){break}S=(ga(N,s)|0)+t|0;M=1;do{O=o+(E+M<<3)|0;h[O>>3]=+h[O>>3]+U*+h[j+(S+M<<3)>>3];M=M+1|0;}while((M|0)<=(V|0))}}while(0);N=N+1|0;}while((N|0)<=(a|0))}a=ca+1|0;if((a|0)>(D|0)){break}ca=a;da=da+1|0}i=q;return 0}}}while(0);Jc(8089920,r|0)|0;i=q;return 0}function FN(a,b,d,e,f,g,j,k,l,m,n){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0.0,M=0,N=0.0,O=0,P=0,Q=0.0,R=0,S=0.0,T=0.0,U=0,V=0.0,W=0,X=0.0,Y=0,Z=0,_=0;o=i;i=i+8|0;p=o|0;q=c[l>>2]|0;r=~q;s=c[n>>2]|0;t=~s;u=(nV(a,9959560,0,0)|0)!=0;v=c[(u?f:g)>>2]|0;w=nV(e,9977032,0,0)|0;x=nV(b,9953760,0,0)|0;c[p>>2]=0;do{if(u){y=4}else{if((nV(a,8089224,0,0)|0)!=0){y=4;break}c[p>>2]=1}}while(0);a:do{if((y|0)==4){do{if((x|0)==0){if((nV(b,9959560,0,0)|0)!=0){break}c[p>>2]=2;break a}}while(0);do{if((nV(d,9977032,0,0)|0)==0){if((nV(d,45200,0,0)|0)!=0){break}if((nV(d,39864,0,0)|0)!=0){break}c[p>>2]=3;break a}}while(0);do{if((nV(e,9953760,0,0)|0)==0){if((nV(e,9977032,0,0)|0)!=0){break}c[p>>2]=4;break a}}while(0);a=c[f>>2]|0;if((a|0)<0){c[p>>2]=5;break}z=c[g>>2]|0;if((z|0)<0){c[p>>2]=6;break}if((c[l>>2]|0)<(((v|0)>1?v:1)|0)){c[p>>2]=9;break}if((c[n>>2]|0)<(((a|0)>1?a:1)|0)){c[p>>2]=11;break}if((c[p>>2]|0)!=0){break}if((a|0)==0|(z|0)==0){i=o;return 0}if(+h[j>>3]==0.0){if((z|0)<1){i=o;return 0}else{A=2;B=0;C=a}while(1){if((C|0)>=1){Qla(m+((ga(s,B)|0)<<3)|0,0,C<<3|0)|0}if((A|0)>(z|0)){break}A=A+1|0;B=B+1|0;C=c[f>>2]|0}i=o;return 0}z=(nV(d,9977032,0,0)|0)!=0;a=(x|0)!=0;D=c[g>>2]|0;if(u){E=(D|0)<1;if(!z){if(a){if(E){i=o;return 0}F=(w|0)==0;G=1;do{H=c[f>>2]|0;if((H|0)>=1){I=(ga(G,s)|0)+t|0;J=1;do{K=m+(I+J<<3)|0;L=+h[j>>3]*+h[K>>3];M=J-1|0;if((M|0)<1){N=L}else{O=(ga(J,q)|0)+r|0;P=1;Q=L;while(1){L=Q- +h[k+(O+P<<3)>>3]*+h[m+(I+P<<3)>>3];R=P+1|0;if((R|0)>(M|0)){N=L;break}else{P=R;Q=L}}}if(F){S=N}else{S=N/+h[k+(J+r+(ga(J,q)|0)<<3)>>3]}h[K>>3]=S;J=J+1|0;}while((J|0)<=(H|0))}G=G+1|0;}while((G|0)<=(D|0));i=o;return 0}if(E){i=o;return 0}G=(w|0)==0;F=1;do{H=c[f>>2]|0;b:do{if((H|0)>0){J=(ga(F,s)|0)+t|0;I=H;P=H;while(1){M=m+(J+I<<3)|0;Q=+h[j>>3]*+h[M>>3];O=I+1|0;if((O|0)>(P|0)){T=Q}else{R=(ga(I,q)|0)+r|0;L=Q;U=O;while(1){Q=L- +h[k+(R+U<<3)>>3]*+h[m+(J+U<<3)>>3];O=U+1|0;if((O|0)>(P|0)){T=Q;break}else{L=Q;U=O}}}if(G){V=T}else{V=T/+h[k+(I+r+(ga(I,q)|0)<<3)>>3]}h[M>>3]=V;U=I-1|0;if((U|0)<=0){break b}I=U;P=c[f>>2]|0}}}while(0);F=F+1|0;}while((F|0)<=(D|0));i=o;return 0}if(a){if(E){i=o;return 0}F=(w|0)==0;G=1;do{L=+h[j>>3];c:do{if(L!=1.0){H=c[f>>2]|0;if((H|0)<1){break}P=(ga(G,s)|0)+t|0;I=1;Q=L;while(1){J=m+(P+I<<3)|0;h[J>>3]=Q*+h[J>>3];J=I+1|0;if((J|0)>(H|0)){y=43;break c}I=J;Q=+h[j>>3]}}else{y=43}}while(0);d:do{if((y|0)==43){y=0;I=c[f>>2]|0;if((I|0)<=0){break}H=(ga(G,s)|0)+t|0;if(F){P=I;while(1){J=m+(H+P<<3)|0;L=+h[J>>3];K=P-1|0;e:do{if(L!=0.0){if((K|0)<1){break d}U=(ga(P,q)|0)+r|0;R=1;Q=L;while(1){O=m+(H+R<<3)|0;h[O>>3]=+h[O>>3]-Q*+h[k+(U+R<<3)>>3];O=R+1|0;if((O|0)>(K|0)){break e}R=O;Q=+h[J>>3]}}}while(0);if((K|0)>0){P=K}else{break d}}}else{W=I}while(1){P=m+(H+W<<3)|0;L=+h[P>>3];f:do{if(L!=0.0){Q=L/+h[k+(W+r+(ga(W,q)|0)<<3)>>3];h[P>>3]=Q;J=W-1|0;if((J|0)<1){break d}M=(ga(W,q)|0)+r|0;R=1;X=Q;while(1){U=m+(H+R<<3)|0;h[U>>3]=+h[U>>3]-X*+h[k+(M+R<<3)>>3];U=R+1|0;if((U|0)>(J|0)){Y=J;break f}R=U;X=+h[P>>3]}}else{Y=W-1|0}}while(0);if((Y|0)>0){W=Y}else{break}}}}while(0);G=G+1|0;}while((G|0)<=(D|0));i=o;return 0}if(E){i=o;return 0}G=(w|0)==0;F=1;do{L=+h[j>>3];g:do{if(L!=1.0){H=c[f>>2]|0;if((H|0)<1){break}I=(ga(F,s)|0)+t|0;P=1;X=L;while(1){K=m+(I+P<<3)|0;h[K>>3]=X*+h[K>>3];K=P+1|0;if((K|0)>(H|0)){y=64;break g}P=K;X=+h[j>>3]}}else{y=64}}while(0);do{if((y|0)==64){y=0;P=c[f>>2]|0;if((P|0)<1){break}H=(ga(F,s)|0)+t|0;if(G){I=1;while(1){K=m+(H+I<<3)|0;L=+h[K>>3];h:do{if(L!=0.0){R=c[f>>2]|0;J=I+1|0;if((J|0)>(R|0)){Z=J;break}M=(ga(I,q)|0)+r|0;U=J;X=L;while(1){O=m+(H+U<<3)|0;h[O>>3]=+h[O>>3]-X*+h[k+(M+U<<3)>>3];O=U+1|0;if((O|0)>(R|0)){Z=J;break h}U=O;X=+h[K>>3]}}else{Z=I+1|0}}while(0);if((Z|0)>(P|0)){break}else{I=Z}}}else{I=1;while(1){K=m+(H+I<<3)|0;L=+h[K>>3];i:do{if(L!=0.0){X=L/+h[k+(I+r+(ga(I,q)|0)<<3)>>3];h[K>>3]=X;U=c[f>>2]|0;J=I+1|0;if((J|0)>(U|0)){_=J;break}R=(ga(I,q)|0)+r|0;M=J;Q=X;while(1){O=m+(H+M<<3)|0;h[O>>3]=+h[O>>3]-Q*+h[k+(R+M<<3)>>3];O=M+1|0;if((O|0)>(U|0)){_=J;break i}M=O;Q=+h[K>>3]}}else{_=I+1|0}}while(0);if((_|0)>(P|0)){break}else{I=_}}}}}while(0);F=F+1|0;}while((F|0)<=(D|0));i=o;return 0}if(!z){if(a){if((D|0)<=0){i=o;return 0}F=(w|0)==0;G=D;while(1){do{if(!F){L=1.0/+h[k+(G+r+(ga(G,q)|0)<<3)>>3];E=c[f>>2]|0;if((E|0)<1){break}I=(ga(G,s)|0)+t|0;P=1;do{H=m+(I+P<<3)|0;h[H>>3]=L*+h[H>>3];P=P+1|0;}while((P|0)<=(E|0))}}while(0);E=G-1|0;if((E|0)>=1){P=(ga(G,q)|0)+r|0;I=(ga(G,s)|0)+t|0;H=1;do{L=+h[k+(P+H<<3)>>3];do{if(L!=0.0){K=c[f>>2]|0;if((K|0)<1){break}M=(ga(H,s)|0)+t|0;J=1;do{U=m+(M+J<<3)|0;h[U>>3]=+h[U>>3]-L*+h[m+(I+J<<3)>>3];J=J+1|0;}while((J|0)<=(K|0))}}while(0);H=H+1|0;}while((H|0)<=(E|0))}L=+h[j>>3];j:do{if(L!=1.0){H=c[f>>2]|0;if((H|0)<1){break}I=(ga(G,s)|0)+t|0;P=1;Q=L;while(1){K=m+(I+P<<3)|0;h[K>>3]=Q*+h[K>>3];K=P+1|0;if((K|0)>(H|0)){break j}P=K;Q=+h[j>>3]}}}while(0);if((E|0)>0){G=E}else{break}}i=o;return 0}else{if((D|0)<1){i=o;return 0}G=(w|0)==0;F=1;while(1){do{if(!G){L=1.0/+h[k+(F+r+(ga(F,q)|0)<<3)>>3];z=c[f>>2]|0;if((z|0)<1){break}P=(ga(F,s)|0)+t|0;H=1;do{I=m+(P+H<<3)|0;h[I>>3]=L*+h[I>>3];H=H+1|0;}while((H|0)<=(z|0))}}while(0);E=c[g>>2]|0;z=F+1|0;if((z|0)<=(E|0)){H=(ga(F,q)|0)+r|0;P=(ga(F,s)|0)+t|0;I=z;do{L=+h[k+(H+I<<3)>>3];do{if(L!=0.0){K=c[f>>2]|0;if((K|0)<1){break}J=(ga(I,s)|0)+t|0;M=1;do{U=m+(J+M<<3)|0;h[U>>3]=+h[U>>3]-L*+h[m+(P+M<<3)>>3];M=M+1|0;}while((M|0)<=(K|0))}}while(0);I=I+1|0;}while((I|0)<=(E|0))}L=+h[j>>3];k:do{if(L!=1.0){E=c[f>>2]|0;if((E|0)<1){break}I=(ga(F,s)|0)+t|0;P=1;Q=L;while(1){H=m+(I+P<<3)|0;h[H>>3]=Q*+h[H>>3];H=P+1|0;if((H|0)>(E|0)){break k}P=H;Q=+h[j>>3]}}}while(0);if((z|0)>(D|0)){break}else{F=z}}i=o;return 0}}if(a){if((D|0)<1){i=o;return 0}F=(w|0)==0;G=1;do{L=+h[j>>3];l:do{if(L!=1.0){P=c[f>>2]|0;if((P|0)<1){break}E=(ga(G,s)|0)+t|0;I=1;Q=L;while(1){H=m+(E+I<<3)|0;h[H>>3]=Q*+h[H>>3];H=I+1|0;if((H|0)>(P|0)){break l}I=H;Q=+h[j>>3]}}}while(0);z=G-1|0;if((z|0)>=1){I=(ga(G,q)|0)+r|0;P=(ga(G,s)|0)+t|0;E=1;do{H=k+(I+E<<3)|0;L=+h[H>>3];m:do{if(L!=0.0){K=c[f>>2]|0;if((K|0)<1){break}M=(ga(E,s)|0)+t|0;J=1;Q=L;while(1){U=m+(P+J<<3)|0;h[U>>3]=+h[U>>3]-Q*+h[m+(M+J<<3)>>3];U=J+1|0;if((U|0)>(K|0)){break m}J=U;Q=+h[H>>3]}}}while(0);E=E+1|0;}while((E|0)<=(z|0))}do{if(!F){L=1.0/+h[k+(G+r+(ga(G,q)|0)<<3)>>3];z=c[f>>2]|0;if((z|0)<1){break}E=(ga(G,s)|0)+t|0;P=1;do{I=m+(E+P<<3)|0;h[I>>3]=L*+h[I>>3];P=P+1|0;}while((P|0)<=(z|0))}}while(0);G=G+1|0;}while((G|0)<=(D|0));i=o;return 0}else{if((D|0)<=0){i=o;return 0}G=(w|0)==0;F=D;do{L=+h[j>>3];n:do{if(L!=1.0){a=c[f>>2]|0;if((a|0)<1){break}z=(ga(F,s)|0)+t|0;P=1;Q=L;while(1){E=m+(z+P<<3)|0;h[E>>3]=Q*+h[E>>3];E=P+1|0;if((E|0)>(a|0)){break n}P=E;Q=+h[j>>3]}}}while(0);P=c[g>>2]|0;a=F+1|0;if((a|0)<=(P|0)){z=(ga(F,q)|0)+r|0;E=(ga(F,s)|0)+t|0;I=a;do{a=k+(z+I<<3)|0;L=+h[a>>3];o:do{if(L!=0.0){H=c[f>>2]|0;if((H|0)<1){break}J=(ga(I,s)|0)+t|0;K=1;Q=L;while(1){M=m+(E+K<<3)|0;h[M>>3]=+h[M>>3]-Q*+h[m+(J+K<<3)>>3];M=K+1|0;if((M|0)>(H|0)){break o}K=M;Q=+h[a>>3]}}}while(0);I=I+1|0;}while((I|0)<=(P|0))}do{if(!G){L=1.0/+h[k+(F+r+(ga(F,q)|0)<<3)>>3];P=c[f>>2]|0;if((P|0)<1){break}I=(ga(F,s)|0)+t|0;E=1;do{z=m+(I+E<<3)|0;h[z>>3]=L*+h[z>>3];E=E+1|0;}while((E|0)<=(P|0))}}while(0);F=F-1|0;}while((F|0)>0);i=o;return 0}}}while(0);Jc(35192,p|0)|0;i=o;return 0}function GN(a,b,d,e,f,g,h,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0;k=i;i=i+8|0;l=k|0;c[j>>2]=0;m=c[a>>2]|0;do{if((m|0)<0){c[j>>2]=-1;n=-1}else{if((c[b>>2]|0)<0){c[j>>2]=-2;n=-2;break}o=(m|0)>1?m:1;if((c[e>>2]|0)<(o|0)){c[j>>2]=-4;n=-4;break}if((c[h>>2]|0)<(o|0)){c[j>>2]=-7;n=-7;break}IN(a,a,d,e,f,j)|0;if((c[j>>2]|0)!=0){i=k;return 0}JN(9973040,a,b,d,e,f,g,h,j)|0;i=k;return 0}}while(0);c[l>>2]=-n;Jc(8089528,l|0)|0;i=k;return 0}function HN(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0.0,F=0,G=0,H=0.0,I=0;j=i;i=i+32|0;k=j|0;l=j+8|0;m=j+16|0;n=j+24|0;o=c[e>>2]|0;p=~o;c[g>>2]=0;q=c[a>>2]|0;do{if((q|0)<0){c[g>>2]=-1;r=-1}else{s=c[b>>2]|0;if((s|0)<0){c[g>>2]=-2;r=-2;break}if((c[e>>2]|0)<(((q|0)>1?q:1)|0)){c[g>>2]=-4;r=-4;break}if((q|0)==0|(s|0)==0){i=j;return 0}t=+_U(9972784,0);s=c[a>>2]|0;u=c[b>>2]|0;v=(s|0)>(u|0)?u:s;c[k>>2]=v;if((v|0)<1){i=j;return 0}else{w=1;x=s}while(1){c[l>>2]=1-w+x;s=w-1|0;v=ga(w,o)|0;u=w+p|0;y=u+v|0;z=d+(y<<3)|0;A=s+(AN(l,z,19256)|0)|0;c[f+(s<<2)>>2]=A;B=v+p|0;a:do{if(+h[d+(B+A<<3)>>3]!=0.0){if((A|0)!=(w|0)){CN(b,d+(s<<3)|0,e,d+(A-1<<3)|0,e)|0}C=c[a>>2]|0;if((w|0)>=(C|0)){break}D=+h[z>>3];h[n>>3]=D;if(D<0.0){E=-0.0-D}else{E=D}F=C-w|0;c[l>>2]=F;if(!(E<t)){h[n>>3]=1.0/D;BN(l,n,d+(w-o+v<<3)|0,19256)|0;break}if((F|0)<1){break}else{G=1;H=D}while(1){C=d+(y+G<<3)|0;h[C>>3]=+h[C>>3]/H;C=G+1|0;if((C|0)>(F|0)){break a}G=C;H=+h[z>>3]}}else{if((c[g>>2]|0)!=0){break}c[g>>2]=w}}while(0);z=c[a>>2]|0;y=c[b>>2]|0;if((w|0)<(((z|0)>(y|0)?y:z)|0)){c[l>>2]=z-w;c[m>>2]=y-w;y=w+1|0;z=ga(y,o)|0;DN(l,m,18584,d+(B+y<<3)|0,19256,d+(u+z<<3)|0,e,d+(y+p+z<<3)|0,e)|0;I=y}else{I=w+1|0}if((I|0)>(c[k>>2]|0)){break}w=I;x=c[a>>2]|0}i=j;return 0}}while(0);c[k>>2]=-r;Jc(56008,k|0)|0;i=j;return 0}function IN(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;h=i;i=i+48|0;j=h|0;k=h+8|0;l=h+16|0;m=h+24|0;n=h+32|0;o=h+40|0;p=c[e>>2]|0;q=~p;c[g>>2]=0;r=c[a>>2]|0;do{if((r|0)<0){c[g>>2]=-1;s=-1}else{t=c[b>>2]|0;if((t|0)<0){c[g>>2]=-2;s=-2;break}if((c[e>>2]|0)<(((r|0)>1?r:1)|0)){c[g>>2]=-4;s=-4;break}if((r|0)==0|(t|0)==0){i=h;return 0}t=LN(19248,56e3,9972776,a,b,18576,18576)|0;do{if((t|0)>=2){u=c[a>>2]|0;v=c[b>>2]|0;w=(u|0)>(v|0)?v:u;if((t|0)>=(w|0)){break}c[j>>2]=w;c[m>>2]=1;if((w|0)>0){x=1;y=u;z=v}else{i=h;return 0}while(1){v=((y|0)>(z|0)?z:y)-x+1|0;c[n>>2]=(v|0)<=(t|0)?v:t;c[k>>2]=y+1-x;HN(k,n,d+(x+q+(ga(x,p)|0)<<3)|0,e,f+(x-1<<2)|0,o)|0;do{if((c[g>>2]|0)==0){v=c[o>>2]|0;if((v|0)<=0){break}c[g>>2]=v-1+(c[m>>2]|0)}}while(0);v=c[a>>2]|0;c[l>>2]=v;u=c[m>>2]|0;w=u-1|0;A=w+(c[n>>2]|0)|0;B=(v|0)<=(A|0)?v:A;c[k>>2]=B;if((u|0)<=(B|0)){v=u;do{u=f+(v-1<<2)|0;c[u>>2]=(c[u>>2]|0)+w;v=v+1|0;}while((v|0)<=(B|0))}c[k>>2]=w;c[l>>2]=A;KN(k,d,e,m,l,f,19248)|0;B=c[m>>2]|0;v=c[n>>2]|0;u=v+B|0;C=c[b>>2]|0;do{if((u|0)>(C|0)){D=B}else{c[k>>2]=1-B-v+C;c[l>>2]=u-1;KN(k,d+((ga(u,p)|0)-p<<3)|0,e,m,l,f,19248)|0;E=c[m>>2]|0;F=c[n>>2]|0;c[k>>2]=(c[b>>2]|0)+1-E-F;G=E+q|0;FN(9951104,54328,44432,39232,n,k,18632,d+(G+(ga(E,p)|0)<<3)|0,e,d+(G+(ga(F+E|0,p)|0)<<3)|0,e)|0;E=c[m>>2]|0;F=c[n>>2]|0;G=F+E|0;H=c[a>>2]|0;if((G|0)>(H|0)){D=E;break}c[k>>2]=1-E-F+H;c[l>>2]=(c[b>>2]|0)+1-E-F;F=ga(G,p)|0;EN(44432,44432,k,l,n,18616,d+((ga(E,p)|0)+q+G<<3)|0,e,d+(E+q+F<<3)|0,e,18632,d+(G+q+F<<3)|0,e)|0;D=c[m>>2]|0}}while(0);u=D+t|0;c[m>>2]=u;if((u|0)>(c[j>>2]|0)){break}x=u;y=c[a>>2]|0;z=c[b>>2]|0}i=h;return 0}}while(0);HN(a,b,d,e,f,g)|0;i=h;return 0}}while(0);c[j>>2]=-s;Jc(56e3,j|0)|0;i=h;return 0}function JN(a,b,d,e,f,g,h,j,k){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0;l=i;i=i+8|0;m=l|0;c[k>>2]=0;n=(nV(a,55688,0,0)|0)!=0;do{if(n){o=5}else{if((nV(a,9972768,0,0)|0)!=0){o=5;break}if((nV(a,9951096,0,0)|0)!=0){o=5;break}c[k>>2]=-1;p=-1}}while(0);do{if((o|0)==5){a=c[b>>2]|0;if((a|0)<0){c[k>>2]=-2;p=-2;break}q=c[d>>2]|0;if((q|0)<0){c[k>>2]=-3;p=-3;break}r=(a|0)>1?a:1;if((c[f>>2]|0)<(r|0)){c[k>>2]=-5;p=-5;break}if((c[j>>2]|0)<(r|0)){c[k>>2]=-8;p=-8;break}r=c[k>>2]|0;if((r|0)!=0){p=r;break}if((a|0)==0|(q|0)==0){i=l;return 0}if(n){KN(d,h,j,19240,b,g,19240)|0;FN(44424,39224,34640,30520,b,d,18648,e,f,h,j)|0;FN(44424,26712,34640,23048,b,d,18648,e,f,h,j)|0;i=l;return 0}else{FN(44424,26712,9982712,23048,b,d,18648,e,f,h,j)|0;FN(44424,39224,9982712,30520,b,d,18648,e,f,h,j)|0;KN(d,h,j,19240,b,g,18568)|0;i=l;return 0}}}while(0);c[m>>2]=-p;Jc(54320,m|0)|0;i=l;return 0}function KN(a,b,d,e,f,g,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0,F=0,G=0,H=0,I=0;j=c[d>>2]|0;d=~j;k=c[i>>2]|0;do{if((k|0)>0){l=c[e>>2]|0;m=1;n=l;o=f;p=l}else{if((k|0)<0){l=c[f>>2]|0;m=-1;n=(ga(1-l|0,k)|0)+1|0;o=e;p=l;break}else{return 0}}}while(0);e=c[o>>2]|0;o=c[a>>2]|0;f=((o|0)/32|0)<<5;if((f|0)<1){q=o;r=k}else{o=(m|0)<0;l=o?(p|0)>=(e|0):(p|0)<=(e|0);s=1;t=k;while(1){if(l){k=s+31|0;if(o){u=p;v=n;w=t;while(1){x=c[g+(v-1<<2)>>2]|0;if((x|0)==(u|0)){y=w}else{z=u+d|0;A=x+d|0;x=s;do{B=ga(x,j)|0;C=b+(z+B<<3)|0;D=+h[C>>3];E=b+(A+B<<3)|0;h[C>>3]=+h[E>>3];h[E>>3]=D;x=x+1|0;}while((x|0)<=(k|0));y=c[i>>2]|0}x=u+m|0;if((x|0)<(e|0)){F=y;break}else{u=x;v=y+v|0;w=y}}}else{w=p;v=n;u=t;while(1){x=c[g+(v-1<<2)>>2]|0;if((x|0)==(w|0)){G=u}else{A=w+d|0;z=x+d|0;x=s;do{E=ga(x,j)|0;C=b+(A+E<<3)|0;D=+h[C>>3];B=b+(z+E<<3)|0;h[C>>3]=+h[B>>3];h[B>>3]=D;x=x+1|0;}while((x|0)<=(k|0));G=c[i>>2]|0}x=w+m|0;if((x|0)>(e|0)){F=G;break}else{w=x;v=G+v|0;u=G}}}}else{F=t}u=s+32|0;if((u|0)>(f|0)){break}else{s=u;t=F}}q=c[a>>2]|0;r=F}if((f|0)==(q|0)){return 0}q=f|1;f=(m|0)<0;if(!(f?(p|0)>=(e|0):(p|0)<=(e|0))){return 0}if(f){f=p;F=n;t=r;while(1){s=c[g+(F-1<<2)>>2]|0;do{if((s|0)==(f|0)){H=t}else{G=c[a>>2]|0;if((q|0)>(G|0)){H=t;break}y=f+d|0;o=s+d|0;l=q;do{u=ga(l,j)|0;v=b+(y+u<<3)|0;D=+h[v>>3];w=b+(o+u<<3)|0;h[v>>3]=+h[w>>3];h[w>>3]=D;l=l+1|0;}while((l|0)<=(G|0));H=c[i>>2]|0}}while(0);s=f+m|0;if((s|0)<(e|0)){break}else{f=s;F=H+F|0;t=H}}return 0}else{H=p;p=n;n=r;while(1){r=c[g+(p-1<<2)>>2]|0;do{if((r|0)==(H|0)){I=n}else{t=c[a>>2]|0;if((q|0)>(t|0)){I=n;break}F=H+d|0;f=r+d|0;s=q;do{G=ga(s,j)|0;l=b+(F+G<<3)|0;D=+h[l>>3];o=b+(f+G<<3)|0;h[l>>3]=+h[o>>3];h[o>>3]=D;s=s+1|0;}while((s|0)<=(t|0));I=c[i>>2]|0}}while(0);r=H+m|0;if((r|0)>(e|0)){break}else{H=r;p=I+p|0;n=I}}return 0}return 0}function LN(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;k=i;i=i+32|0;l=k|0;m=k+8|0;n=k+16|0;o=k+24|0;p=Nla(d|0)|0;a:do{switch(c[b>>2]|0){case 1:case 2:case 3:{q=o|0;W8(q,d,1,p);r=a[q]|0;do{if((r-97&255)>>>0<26>>>0){s=r-32&255;a[q]=s;t=o+1|0;u=a[t]|0;if((u-97&255)>>>0<26>>>0){a[t]=u-32}u=o+2|0;t=a[u]|0;if((t-97&255)>>>0<26>>>0){a[u]=t-32}t=o+3|0;u=a[t]|0;if((u-97&255)>>>0<26>>>0){a[t]=u-32}u=o+4|0;t=a[u]|0;if((t-97&255)>>>0<26>>>0){a[u]=t-32}t=o+5|0;u=a[t]|0;if(!((u-97&255)>>>0<26>>>0)){v=s;break}a[t]=u-32;v=s}else{v=r}}while(0);r=v<<24>>24==83;q=v<<24>>24==68;s=r|q;if(!((v<<24>>24|0)==90|(v<<24>>24|0)==83|(v<<24>>24|0)==68|(v<<24>>24|0)==67)){w=1;break a}u=l|0;W8(u,o+1|0,1,2);t=m|0;W8(t,o+3|0,1,3);x=n|0;W8(x,m+1|0,1,2);y=c[b>>2]|0;if((y|0)==2){if((V8(u,9976384,1,2)|0)==0){if((V8(t,9955376,1,3)|0)==0){w=2;break a}if((V8(t,8090664,1,3)|0)==0){w=2;break a}if((V8(t,46184,1,3)|0)==0){w=2;break a}if((V8(t,40696,1,3)|0)==0){w=2;break a}if((V8(t,36080,1,3)|0)==0){w=2;break a}if((V8(t,31536,1,3)|0)==0){w=2;break a}V8(t,27584,1,3)|0;w=2;break a}if((V8(u,9983776,1,2)|0)==0){z=(V8(t,9979144,1,3)|0)==0;if(z|(r|q)^1){w=z?8:2;break a}V8(t,9979832,1,3)|0;w=2;break a}do{if((v<<24>>24|0)==90|(v<<24>>24|0)==67){if((V8(u,9973352,1,2)|0)==0){V8(t,9979832,1,3)|0;w=2;break a}else{if((v<<24>>24|0)==83|(v<<24>>24|0)==68){A=94;break}else if((v<<24>>24|0)==90|(v<<24>>24|0)==67){break}else{w=2;break a}}}else if((v<<24>>24|0)==83|(v<<24>>24|0)==68){A=94}else{w=2;break a}}while(0);do{if((A|0)==94){if((V8(u,9970808,1,2)|0)!=0){if((v<<24>>24|0)==90|(v<<24>>24|0)==67){break}else{w=2;break a}}z=a[t]|0;if((z<<24>>24|0)==71){if((V8(x,9968672,1,2)|0)==0){w=2;break a}if((V8(x,9966488,1,2)|0)==0){w=2;break a}if((V8(x,9964336,1,2)|0)==0){w=2;break a}if((V8(x,9962152,1,2)|0)==0){w=2;break a}if((V8(x,9960048,1,2)|0)==0){w=2;break a}if((V8(x,9958024,1,2)|0)==0){w=2;break a}V8(x,9955896,1,2)|0;w=2;break a}else if((z<<24>>24|0)==77){if((V8(x,9968672,1,2)|0)==0){w=2;break a}if((V8(x,9966488,1,2)|0)==0){w=2;break a}if((V8(x,9964336,1,2)|0)==0){w=2;break a}if((V8(x,9962152,1,2)|0)==0){w=2;break a}if((V8(x,9960048,1,2)|0)==0){w=2;break a}if((V8(x,9958024,1,2)|0)==0){w=2;break a}V8(x,9955896,1,2)|0;w=2;break a}else{w=2;break a}}}while(0);if((V8(u,9953312,1,2)|0)!=0){w=2;break a}z=a[t]|0;if((z<<24>>24|0)==77){if((V8(x,9968672,1,2)|0)==0){w=2;break a}if((V8(x,9966488,1,2)|0)==0){w=2;break a}if((V8(x,9964336,1,2)|0)==0){w=2;break a}if((V8(x,9962152,1,2)|0)==0){w=2;break a}if((V8(x,9960048,1,2)|0)==0){w=2;break a}if((V8(x,9958024,1,2)|0)==0){w=2;break a}V8(x,9955896,1,2)|0;w=2;break a}else if((z<<24>>24|0)==71){if((V8(x,9968672,1,2)|0)==0){w=2;break a}if((V8(x,9966488,1,2)|0)==0){w=2;break a}if((V8(x,9964336,1,2)|0)==0){w=2;break a}if((V8(x,9962152,1,2)|0)==0){w=2;break a}if((V8(x,9960048,1,2)|0)==0){w=2;break a}if((V8(x,9958024,1,2)|0)==0){w=2;break a}V8(x,9955896,1,2)|0;w=2;break a}else{w=2;break a}}else if((y|0)==3){if((V8(u,9976384,1,2)|0)==0){if((V8(t,9955376,1,3)|0)==0){w=128;break a}if((V8(t,8090664,1,3)|0)==0){w=128;break a}if((V8(t,46184,1,3)|0)==0){w=128;break a}if((V8(t,40696,1,3)|0)==0){w=128;break a}if((V8(t,36080,1,3)|0)==0){w=128;break a}z=(V8(t,31536,1,3)|0)==0;w=z?128:0;break a}if((V8(u,9983776,1,2)|0)==0){if(!((v<<24>>24|0)==83|(v<<24>>24|0)==68)){w=0;break a}z=(V8(t,9979832,1,3)|0)==0;w=z?32:0;break a}do{if((v<<24>>24|0)==90|(v<<24>>24|0)==67){if((V8(u,9973352,1,2)|0)==0){z=(V8(t,9979832,1,3)|0)==0;w=z?32:0;break a}else{if((v<<24>>24|0)==83|(v<<24>>24|0)==68){A=141;break}else if((v<<24>>24|0)==90|(v<<24>>24|0)==67){break}else{w=0;break a}}}else if((v<<24>>24|0)==83|(v<<24>>24|0)==68){A=141}else{w=0;break a}}while(0);do{if((A|0)==141){if((V8(u,9970808,1,2)|0)!=0){if((v<<24>>24|0)==90|(v<<24>>24|0)==67){break}else{w=0;break a}}if((a[t]|0)!=71){w=0;break a}do{if((V8(x,9968672,1,2)|0)!=0){if((V8(x,9966488,1,2)|0)==0){break}if((V8(x,9964336,1,2)|0)==0){break}if((V8(x,9962152,1,2)|0)==0){break}if((V8(x,9960048,1,2)|0)==0){break}if((V8(x,9958024,1,2)|0)==0){break}if((V8(x,9955896,1,2)|0)!=0){w=0;break a}}}while(0);w=128;break a}}while(0);if((V8(u,9953312,1,2)|0)!=0){w=0;break a}if((a[t]|0)!=71){w=0;break a}do{if((V8(x,9968672,1,2)|0)!=0){if((V8(x,9966488,1,2)|0)==0){break}if((V8(x,9964336,1,2)|0)==0){break}if((V8(x,9962152,1,2)|0)==0){break}if((V8(x,9960048,1,2)|0)==0){break}if((V8(x,9958024,1,2)|0)==0){break}if((V8(x,9955896,1,2)|0)!=0){w=0;break a}}}while(0);w=128;break a}else{if((V8(u,9976384,1,2)|0)==0){if((V8(t,9979144,1,3)|0)==0){w=64;break a}if((V8(t,9955376,1,3)|0)==0){w=32;break a}if((V8(t,8090664,1,3)|0)==0){w=32;break a}if((V8(t,46184,1,3)|0)==0){w=32;break a}if((V8(t,40696,1,3)|0)==0){w=32;break a}if((V8(t,36080,1,3)|0)==0){w=32;break a}if((V8(t,31536,1,3)|0)==0){w=32;break a}y=(V8(t,27584,1,3)|0)==0;w=y?64:1;break a}if((V8(u,24296,1,2)|0)==0){y=(V8(t,9979144,1,3)|0)==0;w=y?64:1;break a}if((V8(u,9983776,1,2)|0)==0){y=(V8(t,9979144,1,3)|0)==0;if(y|s^1){w=y?64:1;break a}y=(V8(t,9979832,1,3)|0)==0;if(y){w=y?32:1;break a}y=(V8(t,9976488,1,3)|0)==0;w=y?64:1;break a}do{if((v<<24>>24|0)==90|(v<<24>>24|0)==67){if((V8(u,9973352,1,2)|0)!=0){if((v<<24>>24|0)==90|(v<<24>>24|0)==67){A=48;break}else if((v<<24>>24|0)==83|(v<<24>>24|0)==68){A=29;break}else{break}}if((V8(t,9979144,1,3)|0)==0){w=64;break a}if((V8(t,9979832,1,3)|0)==0){w=32;break a}y=(V8(t,9976488,1,3)|0)==0;w=y?64:1;break a}else if((v<<24>>24|0)==83|(v<<24>>24|0)==68){A=29}}while(0);do{if((A|0)==29){if((V8(u,9970808,1,2)|0)!=0){if((v<<24>>24|0)==90|(v<<24>>24|0)==67){A=48;break}else{break}}s=a[t]|0;if((s<<24>>24|0)==77){do{if((V8(x,9968672,1,2)|0)!=0){if((V8(x,9966488,1,2)|0)==0){break}if((V8(x,9964336,1,2)|0)==0){break}if((V8(x,9962152,1,2)|0)==0){break}if((V8(x,9960048,1,2)|0)==0){break}if((V8(x,9958024,1,2)|0)==0){break}if((V8(x,9955896,1,2)|0)!=0){w=1;break a}}}while(0);w=32;break a}else if((s<<24>>24|0)==71){do{if((V8(x,9968672,1,2)|0)!=0){if((V8(x,9966488,1,2)|0)==0){break}if((V8(x,9964336,1,2)|0)==0){break}if((V8(x,9962152,1,2)|0)==0){break}if((V8(x,9960048,1,2)|0)==0){break}if((V8(x,9958024,1,2)|0)==0){break}if((V8(x,9955896,1,2)|0)!=0){w=1;break a}}}while(0);w=32;break a}else{w=1;break a}}}while(0);do{if((A|0)==48){if((V8(u,9953312,1,2)|0)!=0){break}s=a[t]|0;if((s<<24>>24|0)==71){do{if((V8(x,9968672,1,2)|0)!=0){if((V8(x,9966488,1,2)|0)==0){break}if((V8(x,9964336,1,2)|0)==0){break}if((V8(x,9962152,1,2)|0)==0){break}if((V8(x,9960048,1,2)|0)==0){break}if((V8(x,9958024,1,2)|0)==0){break}if((V8(x,9955896,1,2)|0)!=0){w=1;break a}}}while(0);w=32;break a}else if((s<<24>>24|0)==77){do{if((V8(x,9968672,1,2)|0)!=0){if((V8(x,9966488,1,2)|0)==0){break}if((V8(x,9964336,1,2)|0)==0){break}if((V8(x,9962152,1,2)|0)==0){break}if((V8(x,9960048,1,2)|0)==0){break}if((V8(x,9958024,1,2)|0)==0){break}if((V8(x,9955896,1,2)|0)!=0){w=1;break a}}}while(0);w=32;break a}else{w=1;break a}}}while(0);if((V8(u,9951480,1,2)|0)==0){if((V8(t,9979144,1,3)|0)!=0){w=1;break a}w=(c[j>>2]|0)<65?1:32;break a}if((V8(u,9949616,1,2)|0)==0){if((V8(t,9979144,1,3)|0)!=0){w=1;break a}w=(c[g>>2]|0)<65?1:32;break a}if((V8(u,9958024,1,2)|0)==0){x=(V8(t,27584,1,3)|0)==0;w=x?64:1;break a}if((V8(u,9947576,1,2)|0)==0){x=(V8(t,9945312,1,3)|0)==0;w=x?64:1;break a}if(!((v<<24>>24|0)==83|(v<<24>>24|0)==68)){w=1;break a}if((V8(u,9943104,1,2)|0)!=0){w=1;break a}V8(t,9941232,1,3)|0;i=k;return 1}break};case 4:{w=6;break};case 5:{w=2;break};case 6:{x=c[f>>2]|0;s=c[g>>2]|0;w=~~(+(((x|0)>(s|0)?s:x)|0)*1.600000023841858);break};case 7:{w=1;break};case 8:{w=50;break};case 9:{w=25;break};case 10:{w=MN(19280,18640,18624)|0;break};case 11:{w=MN(10022744,18640,18624)|0;break};case 12:case 13:case 14:case 15:case 16:{w=NN(b,d,e,f,g,h,j)|0;break};default:{w=-1}}}while(0);i=k;return w|0}function MN(a,b,d){a=a|0;b=b|0;d=d|0;var e=0.0,f=0.0,h=0,i=0.0,j=0.0,k=0.0,l=0.0,m=0.0;e=+g[d>>2];f=+g[b>>2];if(!(e/f>e)){h=0;return h|0}i=(-0.0-e)/f;if(!(i<f)){h=0;return h|0}j=e/(e+i);if(j!=f){h=0;return h|0}i=e/j;if(!(i<f)){h=0;return h|0}k=f+j;if(k!=f){h=0;return h|0}l=e/k;if(!(l>e)){h=0;return h|0}k=i*l;if(!(k<f)){h=0;return h|0}i=l*l;if(!(i>e)){h=0;return h|0}if((c[a>>2]|0)==0){h=1;return h|0}e=i+k;l=i/i;m=f*i;f=j*k;a=!(e!=e)&!(Xd=0.0,Xd!=Xd);e=i/k;b=a|!(e!=e)&!(Xd=0.0,Xd!=Xd);a=b|!(l!=l)&!(Xd=0.0,Xd!=Xd);b=a|!(m!=m)&!(Xd=0.0,Xd!=Xd);if(b|!(f!=f)&!(Xd=0.0,Xd!=Xd)){h=0;return h|0}m=f*0.0;h=(m!=m|(Xd=0.0,Xd!=Xd))&1;return h|0}function NN(a,b,d,e,f,h,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0;j=i;i=i+8|0;e=j|0;d=c[a>>2]|0;if((d|0)==15|(d|0)==13|(d|0)==16){b=(c[h>>2]|0)-(c[f>>2]|0)+1|0;if((b|0)>149){g[e>>2]=+ea(+(b|0))/.6931471805599453;f=(b|0)/(U8(e)|0)|0;k=(f|0)>10?f:10;l=c[a>>2]|0}else{k=(b|0)>59?10:(b|0)>29?4:2;l=d}a=(b|0)>5999?256:(b|0)>2999?128:(b|0)>589?64:k;k=a-((a|0)%2|0)|0;m=(k|0)>2?k:2;n=b;o=l}else{m=0;n=0;o=d}a:do{switch(o|0){case 15:{p=m;break};case 13:{if((n|0)<501){p=m;break a}p=(m*3|0|0)/2|0;break};case 16:{d=(m|0)>13;i=j;return(d?2:d&1)|0};case 14:{p=14;break};case 12:{p=75;break};default:{p=-1}}}while(0);i=j;return p|0}function ON(a){a=a|0;var b=0,c=0;b=i;c=PN(a,0,0)|0;i=b;return c|0}function PN(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=i;e=QN(a,b,c,0)|0;i=d;return e|0}function QN(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;g=i;h=b;b=d;d=e;e=f;if((b|0)!=0){j=ce[c[b>>2]&255](500)|0;if((j|0)!=0){f=j+12|0;c[f>>2]=c[b>>2];c[f+4>>2]=c[b+4>>2];c[f+8>>2]=c[b+8>>2]}}else{j=lla(500)|0;if((j|0)!=0){b=j+12|0;c[b>>2]=48;c[b+4>>2]=102;c[b+8>>2]=100}}if((j|0)==0){k=j;l=k;i=g;return l|0}c[j+8>>2]=0;c[j+32>>2]=0;c[j+380>>2]=16;c[j+392>>2]=ce[c[j+12>>2]&255](c[j+380>>2]<<4)|0;if((c[j+392>>2]|0)==0){$d[c[j+20>>2]&511](j);k=0;l=k;i=g;return l|0}c[j+44>>2]=ce[c[j+12>>2]&255](1024)|0;if((c[j+44>>2]|0)==0){$d[c[j+20>>2]&511](c[j+392>>2]|0);$d[c[j+20>>2]&511](j);k=0;l=k;i=g;return l|0}c[j+48>>2]=(c[j+44>>2]|0)+1024;do{if((e|0)!=0){c[j+356>>2]=e}else{c[j+356>>2]=$O(j+12|0)|0;if((c[j+356>>2]|0)!=0){break}$d[c[j+20>>2]&511](c[j+44>>2]|0);$d[c[j+20>>2]&511](c[j+392>>2]|0);$d[c[j+20>>2]&511](j);k=0;l=k;i=g;return l|0}}while(0);c[j+376>>2]=0;c[j+368>>2]=0;c[j+304>>2]=0;c[j+468>>2]=0;c[j+464>>2]=0;c[j+124>>2]=0;c[j+248>>2]=0;a[j+472|0]=33;a[j+236|0]=0;a[j+237|0]=0;c[j+396>>2]=0;c[j+400>>2]=0;a[j+404|0]=0;aP(j+416|0,j+12|0);aP(j+440|0,j+12|0);SN(j,h);do{if((h|0)!=0){if((c[j+232>>2]|0)!=0){break}VN(j);k=0;l=k;i=g;return l|0}}while(0);if((d|0)!=0){a[j+236|0]=1;c[j+228>>2]=uP()|0;a[j+472|0]=a[d]|0}else{c[j+228>>2]=lP()|0}k=j;l=k;i=g;return l|0}function RN(a){a=a|0;var b=0,d=0,e=0;b=i;d=a;if((c[d+4>>2]|0)!=0){a=c[d>>2]|0;while(1){if((a|0)==0){break}e=c[a>>2]|0;c[a>>2]=c[d+4>>2];c[d+4>>2]=a;a=e}}else{c[d+4>>2]=c[d>>2]}c[d>>2]=0;c[d+16>>2]=0;c[d+12>>2]=0;c[d+8>>2]=0;i=b;return}function SN(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=i;f=b;b=d;c[f+280>>2]=82;DR(f+256|0);if((b|0)!=0){g=TN(f+416|0,b)|0}else{g=0}c[f+232>>2]=g;c[f+360>>2]=0;mP(f+148|0,f+144|0,0)|0;c[f>>2]=0;c[f+4>>2]=0;c[f+52>>2]=0;c[f+56>>2]=0;c[f+60>>2]=0;c[f+64>>2]=0;c[f+68>>2]=0;c[f+72>>2]=0;c[f+76>>2]=0;c[f+80>>2]=0;c[f+84>>2]=0;c[f+88>>2]=0;c[f+92>>2]=0;c[f+96>>2]=0;c[f+100>>2]=0;c[f+104>>2]=0;c[f+108>>2]=0;c[f+112>>2]=0;c[f+116>>2]=f;c[f+120>>2]=0;c[f+128>>2]=0;c[f+132>>2]=0;c[f+136>>2]=0;c[f+140>>2]=0;c[f+24>>2]=c[f+8>>2];c[f+28>>2]=c[f+8>>2];c[f+36>>2]=0;c[f+40>>2]=0;c[f+344>>2]=0;c[f+348>>2]=0;c[f+316>>2]=0;c[f+320>>2]=0;c[f+324>>2]=0;c[f+328>>2]=0;c[f+332>>2]=0;c[f+336>>2]=0;c[f+340>>2]=0;a[f+352|0]=0;a[f+353|0]=0;Qla(f+408|0,0,8)|0;c[f+284>>2]=0;c[f+288>>2]=0;c[f+292>>2]=0;c[f+296>>2]=0;c[f+300>>2]=0;a[f+308|0]=1;c[f+312>>2]=0;c[f+364>>2]=0;c[f+372>>2]=0;c[f+384>>2]=0;c[f+240>>2]=0;c[f+252>>2]=0;c[f+244>>2]=0;c[f+476>>2]=0;c[f+480>>2]=0;a[f+488|0]=0;a[f+489|0]=0;c[f+492>>2]=0;c[f+496>>2]=0;i=e;return}function TN(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0;e=i;f=b;b=d;a:while(1){do{if((c[f+12>>2]|0)==(c[f+8>>2]|0)){if((iO(f)|0)<<24>>24!=0){g=5;break}if(!0){g=6;break a}}else{g=5}}while(0);if((g|0)==5){g=0;d=a[b]|0;h=f+12|0;j=c[h>>2]|0;c[h>>2]=j+1;a[j]=d;if(!1){g=6;break}}d=b;b=d+1|0;if((a[d]|0)==0){g=9;break}}if((g|0)==6){k=0;l=k;i=e;return l|0}else if((g|0)==9){b=c[f+16>>2]|0;c[f+16>>2]=c[f+12>>2];k=b;l=k;i=e;return l|0}return 0}function UN(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;e=i;f=b;b=d;d=c[f+356>>2]|0;g=b;a:while(1){if((a[b]|0)==0){h=59;break}do{if((a[g]|0)==12){h=5}else{if((a[g]|0)==0){h=5;break}if((a[g]|0)==61){if(((c[f+428>>2]|0)-(c[f+432>>2]|0)|0)==0){j=d+152|0}else{do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((iO(f+416|0)|0)<<24>>24!=0){h=21;break}if(!0){h=22;break a}}else{h=21}}while(0);if((h|0)==21){h=0;k=f+428|0;l=c[k>>2]|0;c[k>>2]=l+1;a[l]=0;if(!1){h=22;break a}}j=lO(f,d+60|0,c[f+432>>2]|0,8)|0;if((j|0)==0){h=24;break a}if((c[j>>2]|0)==(c[f+432>>2]|0)){c[j>>2]=TN(d+80|0,c[j>>2]|0)|0;if((c[j>>2]|0)==0){h=27;break a}}c[f+428>>2]=c[f+432>>2]}b=g+1|0;while(1){if((a[b]|0)!=12){m=(a[b]|0)!=0}else{m=0}if(!m){break}do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((iO(f+416|0)|0)<<24>>24!=0){h=37;break}if(!0){h=38;break a}}else{h=37}}while(0);if((h|0)==37){h=0;l=a[b]|0;k=f+428|0;n=c[k>>2]|0;c[k>>2]=n+1;a[n]=l;if(!1){h=38;break a}}b=b+1|0}do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((iO(f+416|0)|0)<<24>>24!=0){h=44;break}if(!0){h=45;break a}}else{h=44}}while(0);if((h|0)==44){h=0;l=f+428|0;n=c[l>>2]|0;c[l>>2]=n+1;a[n]=0;if(!1){h=45;break a}}if((pO(f,j,0,c[f+432>>2]|0,f+372|0)|0)!=0){h=47;break a}c[f+428>>2]=c[f+432>>2];if((a[b]|0)!=0){b=b+1|0}g=b}else{do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((iO(f+416|0)|0)<<24>>24!=0){h=54;break}if(!0){h=55;break a}}else{h=54}}while(0);if((h|0)==54){h=0;n=a[g]|0;l=f+428|0;k=c[l>>2]|0;c[l>>2]=k+1;a[k]=n;if(!1){h=55;break a}}g=g+1|0}}}while(0);if((h|0)==5){h=0;do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((iO(f+416|0)|0)<<24>>24!=0){h=8;break}if(!0){h=9;break a}}else{h=8}}while(0);if((h|0)==8){h=0;n=f+428|0;k=c[n>>2]|0;c[n>>2]=k+1;a[k]=0;if(!1){h=9;break}}k=lO(f,d|0,c[f+432>>2]|0,0)|0;if((k|0)!=0){a[k+32|0]=1}if((a[g]|0)!=0){g=g+1|0}b=g;c[f+428>>2]=c[f+432>>2]}}if((h|0)==9){o=0;p=o;i=e;return p|0}else if((h|0)==22){o=0;p=o;i=e;return p|0}else if((h|0)==24){o=0;p=o;i=e;return p|0}else if((h|0)==27){o=0;p=o;i=e;return p|0}else if((h|0)==38){o=0;p=o;i=e;return p|0}else if((h|0)==45){o=0;p=o;i=e;return p|0}else if((h|0)==47){o=0;p=o;i=e;return p|0}else if((h|0)==55){o=0;p=o;i=e;return p|0}else if((h|0)==59){o=1;p=o;i=e;return p|0}return 0}function VN(b){b=b|0;var d=0,e=0,f=0;d=i;e=b;if((e|0)==0){i=d;return}b=c[e+364>>2]|0;while(1){if((b|0)==0){if((c[e+368>>2]|0)==0){break}b=c[e+368>>2]|0;c[e+368>>2]=0}f=b;b=c[b>>2]|0;$d[c[e+20>>2]&511](c[f+36>>2]|0);WN(c[f+44>>2]|0,e);$d[c[e+20>>2]&511](f)}b=c[e+300>>2]|0;while(1){if((b|0)==0){if((c[e+304>>2]|0)==0){break}b=c[e+304>>2]|0;c[e+304>>2]=0}f=b;b=c[b+8>>2]|0;$d[c[e+20>>2]&511](f)}WN(c[e+376>>2]|0,e);WN(c[e+372>>2]|0,e);XN(e+416|0);XN(e+440|0);do{if((a[e+488|0]|0)==0){if((c[e+356>>2]|0)==0){break}YN(c[e+356>>2]|0,((c[e+476>>2]|0)!=0^1)&1,e+12|0)}}while(0);$d[c[e+20>>2]&511](c[e+392>>2]|0);$d[c[e+20>>2]&511](c[e+464>>2]|0);$d[c[e+20>>2]&511](c[e+8>>2]|0);$d[c[e+20>>2]&511](c[e+44>>2]|0);$d[c[e+20>>2]&511](c[e+396>>2]|0);$d[c[e+20>>2]&511](c[e+240>>2]|0);if((c[e+252>>2]|0)!=0){$d[c[e+252>>2]&511](c[e+244>>2]|0)}$d[c[e+20>>2]&511](e);i=d;return}function WN(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=a;a=b;while(1){b=e;if((b|0)==0){break}e=c[b+4>>2]|0;$d[c[a+20>>2]&511](c[b+16>>2]|0);$d[c[a+20>>2]&511](b)}i=d;return}function XN(a){a=a|0;var b=0,d=0,e=0;b=i;d=a;a=c[d>>2]|0;while(1){if((a|0)==0){break}e=c[a>>2]|0;$d[c[(c[d+20>>2]|0)+8>>2]&511](a);a=e}a=c[d+4>>2]|0;while(1){if((a|0)==0){break}e=c[a>>2]|0;$d[c[(c[d+20>>2]|0)+8>>2]&511](a);a=e}i=b;return}function YN(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;e=i;i=i+8|0;f=e|0;g=a;a=b;b=d;jO(f,g+20|0);while(1){d=kO(f)|0;if((d|0)==0){break}if((c[d+16>>2]|0)!=0){$d[c[b+8>>2]&511](c[d+20>>2]|0)}}oO(g|0);oO(g+132|0);oO(g+20|0);oO(g+40|0);oO(g+60|0);XN(g+80|0);XN(g+104|0);if(!(a<<24>>24!=0)){h=b;j=h+8|0;k=c[j>>2]|0;l=g;m=l;$d[k&511](m);i=e;return}$d[c[b+8>>2]&511](c[g+184>>2]|0);$d[c[b+8>>2]&511](c[g+164>>2]|0);h=b;j=h+8|0;k=c[j>>2]|0;l=g;m=l;$d[k&511](m);i=e;return}function ZN(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=a;a=b;if((c[e+4>>2]|0)==(c[e>>2]|0)){b=a;c[e>>2]=b;c[e+4>>2]=b;i=d;return}else{c[e>>2]=a;i=d;return}}function _N(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;e=a;c[e+52>>2]=b;c[e+56>>2]=d;i=i;return}function $N(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=b;b=d;d=e;e=f;f=c[h+480>>2]|0;if((f|0)==2){c[h+284>>2]=36;j=0;k=j;i=g;return k|0}else if((f|0)==3){c[h+284>>2]=33;j=0;k=j;i=g;return k|0}else if((f|0)==0){do{if((c[h+476>>2]|0)==0){if((aO(h)|0)<<24>>24!=0){break}c[h+284>>2]=1;j=0;k=j;i=g;return k|0}}while(0)}c[h+480>>2]=1;if((d|0)!=0){f=cO(h,d)|0;if((f|0)==0){j=0;k=j;i=g;return k|0}else{Pla(f|0,b|0,d)|0;j=dO(h,d,e)|0;k=j;i=g;return k|0}}a[h+484|0]=e;if((e|0)==0){j=1;k=j;i=g;return k|0}c[h+296>>2]=c[h+24>>2];c[h+40>>2]=c[h+28>>2];c[h+284>>2]=qe[c[h+280>>2]&127](h,c[h+24>>2]|0,c[h+40>>2]|0,h+24|0)|0;if((c[h+284>>2]|0)!=0){c[h+292>>2]=c[h+288>>2];c[h+280>>2]=64;j=0;k=j;i=g;return k|0}e=c[h+480>>2]|0;if((e|0)==0|(e|0)==1){c[h+480>>2]=2}else if((e|0)==3){ue[c[(c[h+144>>2]|0)+52>>2]&63](c[h+144>>2]|0,c[h+296>>2]|0,c[h+24>>2]|0,h+408|0);c[h+296>>2]=c[h+24>>2];j=2;k=j;i=g;return k|0}j=1;k=j;i=g;return k|0}function aO(b){b=b|0;var d=0,e=0,f=0,g=0;d=i;e=b;if((c[e+496>>2]|0)==0){c[e+496>>2]=ZO()|0}if((a[e+236|0]|0)!=0){f=UN(e,16520)|0;g=f;i=d;return g|0}else{f=1;g=f;i=d;return g|0}return 0}function bO(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;i=i;return c[a+284>>2]|0}function cO(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;d=i;e=a;a=b;b=c[e+480>>2]|0;if((b|0)==3){c[e+284>>2]=33;f=0;g=f;i=d;return g|0}else if((b|0)==2){c[e+284>>2]=36;f=0;g=f;i=d;return g|0}else{if((a|0)>((c[e+32>>2]|0)-(c[e+28>>2]|0)|0)){b=a+((c[e+28>>2]|0)-(c[e+24>>2]|0))|0;a=(c[e+24>>2]|0)-(c[e+8>>2]|0)|0;if((a|0)>1024){a=1024}b=b+a|0;if((b|0)<=((c[e+32>>2]|0)-(c[e+8>>2]|0)|0)){if((a|0)<((c[e+24>>2]|0)-(c[e+8>>2]|0)|0)){h=(c[e+24>>2]|0)-(c[e+8>>2]|0)-a|0;Tla(c[e+8>>2]|0,(c[e+8>>2]|0)+h|0,(c[e+28>>2]|0)-(c[e+24>>2]|0)+a|0)|0;a=e+28|0;c[a>>2]=(c[a>>2]|0)+(-h|0);a=e+24|0;c[a>>2]=(c[a>>2]|0)+(-h|0)}}else{h=(c[e+32>>2]|0)-(c[e+24>>2]|0)|0;if((h|0)==0){h=1024}do{h=h<<1;}while((h|0)<(b|0));b=ce[c[e+12>>2]&255](h)|0;if((b|0)==0){c[e+284>>2]=1;f=0;g=f;i=d;return g|0}c[e+32>>2]=b+h;if((c[e+24>>2]|0)!=0){h=(c[e+24>>2]|0)-(c[e+8>>2]|0)|0;if((h|0)>1024){h=1024}Pla(b|0,(c[e+24>>2]|0)+(-h|0)|0,(c[e+28>>2]|0)-(c[e+24>>2]|0)+h|0)|0;$d[c[e+20>>2]&511](c[e+8>>2]|0);c[e+8>>2]=b;c[e+28>>2]=(c[e+8>>2]|0)+((c[e+28>>2]|0)-(c[e+24>>2]|0))+h;c[e+24>>2]=(c[e+8>>2]|0)+h}else{c[e+28>>2]=b+((c[e+28>>2]|0)-(c[e+24>>2]|0));h=b;c[e+8>>2]=h;c[e+24>>2]=h}}c[e+292>>2]=0;c[e+288>>2]=0;c[e+296>>2]=0}f=c[e+28>>2]|0;g=f;i=d;return g|0}return 0}function dO(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;f=i;g=b;b=d;d=e;e=1;h=c[g+480>>2]|0;if((h|0)==3){c[g+284>>2]=33;j=0;k=j;i=f;return k|0}else if((h|0)==0){do{if((c[g+476>>2]|0)==0){if((aO(g)|0)<<24>>24!=0){break}c[g+284>>2]=1;j=0;k=j;i=f;return k|0}}while(0)}else if((h|0)==2){c[g+284>>2]=36;j=0;k=j;i=f;return k|0}c[g+480>>2]=1;h=c[g+24>>2]|0;c[g+296>>2]=h;l=g+28|0;c[l>>2]=(c[l>>2]|0)+b;c[g+40>>2]=c[g+28>>2];l=g+36|0;c[l>>2]=(c[l>>2]|0)+b;a[g+484|0]=d;c[g+284>>2]=qe[c[g+280>>2]&127](g,h,c[g+40>>2]|0,g+24|0)|0;if((c[g+284>>2]|0)!=0){c[g+292>>2]=c[g+288>>2];c[g+280>>2]=64;j=0;k=j;i=f;return k|0}h=c[g+480>>2]|0;do{if((h|0)==3){e=2}else if((h|0)==0|(h|0)==1){if((d|0)==0){m=16;break}c[g+480>>2]=2;j=e;k=j;i=f;return k|0}else{m=16}}while(0);ue[c[(c[g+144>>2]|0)+52>>2]&63](c[g+144>>2]|0,c[g+296>>2]|0,c[g+24>>2]|0,g+408|0);c[g+296>>2]=c[g+24>>2];j=e;k=j;i=f;return k|0}function eO(a){a=a|0;i=i;return c[a+284>>2]|0}function fO(a){a=a|0;var b=0,d=0;b=i;d=a;do{if((c[d+288>>2]|0)!=0){if(!((c[d+288>>2]|0)>>>0>=(c[d+296>>2]|0)>>>0)){break}ue[c[(c[d+144>>2]|0)+52>>2]&63](c[d+144>>2]|0,c[d+296>>2]|0,c[d+288>>2]|0,d+408|0);c[d+296>>2]=c[d+288>>2]}}while(0);i=b;return(c[d+408>>2]|0)+1|0}function gO(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0;g=i;i=i+16|0;h=g|0;j=g+8|0;k=b;b=d;c[h>>2]=e;e=f;if((a[b+72|0]|0)!=0){re[c[k+80>>2]&15](c[k+4>>2]|0,c[h>>2]|0,e-(c[h>>2]|0)|0);i=g;return}if((b|0)==(c[k+144>>2]|0)){l=k+288|0;m=k+292|0}else{l=c[k+300>>2]|0;m=(c[k+300>>2]|0)+4|0}do{c[j>>2]=c[k+44>>2];_d[c[b+60>>2]&31](b,h,e,j,c[k+48>>2]|0);c[m>>2]=c[h>>2];re[c[k+80>>2]&15](c[k+4>>2]|0,c[k+44>>2]|0,(c[j>>2]|0)-(c[k+44>>2]|0)|0);c[l>>2]=c[h>>2];}while((c[h>>2]|0)!=(e|0));i=g;return}function hO(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;d=a;do{if(d>>>0>0>>>0){if(!(d>>>0<41>>>0)){break}e=c[9993600+(d<<2)>>2]|0;f=e;i=b;return f|0}}while(0);e=0;f=e;i=b;return f|0}function iO(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;d=a;do{if((c[d+4>>2]|0)!=0){if((c[d+16>>2]|0)==0){c[d>>2]=c[d+4>>2];c[d+4>>2]=c[c[d+4>>2]>>2];c[c[d>>2]>>2]=0;c[d+16>>2]=(c[d>>2]|0)+8;c[d+8>>2]=(c[d+16>>2]|0)+(c[(c[d>>2]|0)+4>>2]|0);c[d+12>>2]=c[d+16>>2];e=1;f=e;i=b;return f|0}if(((c[d+8>>2]|0)-(c[d+16>>2]|0)|0)>=(c[(c[d+4>>2]|0)+4>>2]|0)){break}a=c[c[d+4>>2]>>2]|0;c[c[d+4>>2]>>2]=c[d>>2];c[d>>2]=c[d+4>>2];c[d+4>>2]=a;Pla((c[d>>2]|0)+8|0,c[d+16>>2]|0,(c[d+8>>2]|0)-(c[d+16>>2]|0)|0)|0;c[d+12>>2]=(c[d>>2]|0)+8+((c[d+12>>2]|0)-(c[d+16>>2]|0));c[d+16>>2]=(c[d>>2]|0)+8;c[d+8>>2]=(c[d+16>>2]|0)+(c[(c[d>>2]|0)+4>>2]|0);e=1;f=e;i=b;return f|0}}while(0);do{if((c[d>>2]|0)!=0){if((c[d+16>>2]|0)!=((c[d>>2]|0)+8|0)){g=12;break}a=(c[d+8>>2]|0)-(c[d+16>>2]|0)<<1;h=me[c[(c[d+20>>2]|0)+4>>2]&127](c[d>>2]|0,a+8|0)|0;if((h|0)!=0){c[d>>2]=h;c[(c[d>>2]|0)+4>>2]=a;c[d+12>>2]=(c[d>>2]|0)+8+((c[d+12>>2]|0)-(c[d+16>>2]|0));c[d+16>>2]=(c[d>>2]|0)+8;c[d+8>>2]=(c[d+16>>2]|0)+a;break}e=0;f=e;i=b;return f|0}else{g=12}}while(0);if((g|0)==12){g=(c[d+8>>2]|0)-(c[d+16>>2]|0)|0;if((g|0)<1024){g=1024}else{g=g<<1}a=ce[c[c[d+20>>2]>>2]&255](g+8|0)|0;if((a|0)==0){e=0;f=e;i=b;return f|0}c[a+4>>2]=g;c[a>>2]=c[d>>2];c[d>>2]=a;if((c[d+12>>2]|0)!=(c[d+16>>2]|0)){Pla(a+8|0,c[d+16>>2]|0,(c[d+12>>2]|0)-(c[d+16>>2]|0)|0)|0}c[d+12>>2]=a+8+((c[d+12>>2]|0)-(c[d+16>>2]|0));c[d+16>>2]=a+8;c[d+8>>2]=a+8+g}e=1;f=e;i=b;return f|0}function jO(a,b){a=a|0;b=b|0;var d=0;d=a;a=b;c[d>>2]=c[a>>2];c[d+4>>2]=(c[d>>2]|0)+(c[a+8>>2]<<2);i=i;return}function kO(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0;b=i;d=a;while(1){if((c[d>>2]|0)==(c[d+4>>2]|0)){e=6;break}a=d|0;f=c[a>>2]|0;c[a>>2]=f+4;g=c[f>>2]|0;if((g|0)!=0){e=4;break}}if((e|0)==4){h=g;j=h;i=b;return j|0}else if((e|0)==6){h=0;j=h;i=b;return j|0}return 0}function lO(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;h=i;j=b;b=e;e=f;f=g;do{if((c[b+8>>2]|0)==0){if((f|0)==0){k=0;l=k;i=h;return l|0}a[b+4|0]=6;c[b+8>>2]=64;g=c[b+8>>2]<<2;c[b>>2]=ce[c[c[b+16>>2]>>2]&255](g)|0;if((c[b>>2]|0)!=0){Qla(c[b>>2]|0,0,g|0)|0;g=mO(j,e)|0;m=g&(c[b+8>>2]|0)-1;break}c[b+8>>2]=0;k=0;l=k;i=h;return l|0}else{g=mO(j,e)|0;n=(c[b+8>>2]|0)-1|0;o=0;m=g&n;while(1){if((c[(c[b>>2]|0)+(m<<2)>>2]|0)==0){break}if((nO(e,c[c[(c[b>>2]|0)+(m<<2)>>2]>>2]|0)|0)<<24>>24!=0){p=10;break}if(!(o<<24>>24!=0)){o=((g&~n)>>>(((d[b+4|0]|0)-1|0)>>>0)&n>>>2|1)&255}if(m>>>0<(o&255)>>>0){q=m+((c[b+8>>2]|0)-(o&255))|0;m=q;r=q}else{q=m-(o&255)|0;m=q;r=q}}if((p|0)==10){k=c[(c[b>>2]|0)+(m<<2)>>2]|0;l=k;i=h;return l|0}if((f|0)==0){k=0;l=k;i=h;return l|0}if(((c[b+12>>2]|0)>>>(((d[b+4|0]|0)-1|0)>>>0)|0)!=0){n=(d[b+4|0]|0)+1&255;q=1<<(n&255);s=q-1|0;t=q<<2;u=ce[c[c[b+16>>2]>>2]&255](t)|0;if((u|0)==0){k=0;l=k;i=h;return l|0}Qla(u|0,0,t|0)|0;m=0;while(1){if(!(m>>>0<(c[b+8>>2]|0)>>>0)){break}if((c[(c[b>>2]|0)+(m<<2)>>2]|0)!=0){t=mO(j,c[c[(c[b>>2]|0)+(m<<2)>>2]>>2]|0)|0;v=t&s;o=0;while(1){if((c[u+(v<<2)>>2]|0)==0){break}if(!(o<<24>>24!=0)){o=((t&~s)>>>(((n&255)-1|0)>>>0)&s>>>2|1)&255}if(v>>>0<(o&255)>>>0){w=v+(q-(o&255))|0;v=w;x=w}else{w=v-(o&255)|0;v=w;x=w}}c[u+(v<<2)>>2]=c[(c[b>>2]|0)+(m<<2)>>2]}m=m+1|0}$d[c[(c[b+16>>2]|0)+8>>2]&511](c[b>>2]|0);c[b>>2]=u;a[b+4|0]=n;c[b+8>>2]=q;m=g&s;o=0;while(1){if((c[(c[b>>2]|0)+(m<<2)>>2]|0)==0){break}if(!(o<<24>>24!=0)){o=((g&~s)>>>(((n&255)-1|0)>>>0)&s>>>2|1)&255}if(m>>>0<(o&255)>>>0){t=m+(q-(o&255))|0;m=t;y=t}else{t=m-(o&255)|0;m=t;y=t}}}}}while(0);y=ce[c[c[b+16>>2]>>2]&255](f)|0;c[(c[b>>2]|0)+(m<<2)>>2]=y;if((c[(c[b>>2]|0)+(m<<2)>>2]|0)!=0){Qla(c[(c[b>>2]|0)+(m<<2)>>2]|0,0,f|0)|0;c[c[(c[b>>2]|0)+(m<<2)>>2]>>2]=e;e=b+12|0;c[e>>2]=(c[e>>2]|0)+1;k=c[(c[b>>2]|0)+(m<<2)>>2]|0;l=k;i=h;return l|0}else{k=0;l=k;i=h;return l|0}return 0}function mO(b,e){b=b|0;e=e|0;var f=0,g=0;f=i;g=e;e=c[b+496>>2]|0;while(1){if((a[g]|0)==0){break}b=g;g=b+1|0;e=(e*1000003|0)^d[b]}i=f;return e|0}function nO(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0;d=i;e=b;b=c;while(1){if((a[e]|0)!=(a[b]|0)){f=7;break}if((a[e]|0)==0){f=4;break}e=e+1|0;b=b+1|0}if((f|0)==4){g=1;h=g;i=d;return h|0}else if((f|0)==7){g=0;h=g;i=d;return h|0}return 0}function oO(a){a=a|0;var b=0,d=0;b=i;d=a;a=0;while(1){if(!(a>>>0<(c[d+8>>2]|0)>>>0)){break}$d[c[(c[d+16>>2]|0)+8>>2]&511](c[(c[d>>2]|0)+(a<<2)>>2]|0);a=a+1|0}$d[c[(c[d+16>>2]|0)+8>>2]&511](c[d>>2]|0);i=b;return}function pO(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;h=i;j=b;b=d;d=e;e=f;f=g;g=0;k=1;l=1;do{if((a[e]|0)==0){if((c[b>>2]|0)==0){break}m=28;n=m;i=h;return n|0}}while(0);do{if((c[b>>2]|0)!=0){if((a[c[b>>2]|0]|0)!=120){break}if((a[(c[b>>2]|0)+1|0]|0)!=109){break}if((a[(c[b>>2]|0)+2|0]|0)!=108){break}do{if((a[(c[b>>2]|0)+3|0]|0)==110){if((a[(c[b>>2]|0)+4|0]|0)!=115){break}if((a[(c[b>>2]|0)+5|0]|0)!=0){break}m=39;n=m;i=h;return n|0}}while(0);if((a[(c[b>>2]|0)+3|0]|0)==0){g=1}}}while(0);o=0;while(1){if((a[e+o|0]|0)==0){break}do{if((k&255|0)!=0){if((o|0)<=36){if((a[e+o|0]|0)==(a[21328+o|0]|0)){break}}k=0}}while(0);do{if(!(g<<24>>24!=0)){if((l&255|0)==0){break}if((o|0)<=29){if((a[e+o|0]|0)==(a[21296+o|0]|0)){break}}l=0}}while(0);o=o+1|0}if((k&255|0)!=0){p=(o|0)==36}else{p=0}k=p&1;if((l&255|0)!=0){q=(o|0)==29}else{q=0}l=q&1;if((g&255|0)!=(k&255|0)){m=(g&255|0)!=0?38:40;n=m;i=h;return n|0}if(l<<24>>24!=0){m=40;n=m;i=h;return n|0}if((a[j+472|0]|0)!=0){o=o+1|0}do{if((c[j+376>>2]|0)!=0){r=c[j+376>>2]|0;do{if((o|0)>(c[r+24>>2]|0)){l=me[c[j+16>>2]&127](c[r+16>>2]|0,o+24|0)|0;if((l|0)!=0){c[r+16>>2]=l;c[r+24>>2]=o+24;break}m=1;n=m;i=h;return n|0}}while(0);c[j+376>>2]=c[r+4>>2]}else{r=ce[c[j+12>>2]&255](28)|0;if((r|0)==0){m=1;n=m;i=h;return n|0}c[r+16>>2]=ce[c[j+12>>2]&255](o+24|0)|0;if((c[r+16>>2]|0)!=0){c[r+24>>2]=o+24;break}$d[c[j+20>>2]&511](r);m=1;n=m;i=h;return n|0}}while(0);c[r+20>>2]=o;Pla(c[r+16>>2]|0,e|0,o)|0;if((a[j+472|0]|0)!=0){a[(c[r+16>>2]|0)+(o-1)|0]=a[j+472|0]|0}c[r>>2]=b;c[r+12>>2]=d;c[r+8>>2]=c[b+4>>2];do{if((a[e]|0)==0){if((b|0)!=((c[j+356>>2]|0)+152|0)){s=54;break}c[b+4>>2]=0}else{s=54}}while(0);if((s|0)==54){c[b+4>>2]=r}c[r+4>>2]=c[f>>2];c[f>>2]=r;do{if((d|0)!=0){if((c[j+100>>2]|0)==0){break}if((c[b+4>>2]|0)!=0){t=e}else{t=0}re[c[j+100>>2]&15](c[j+4>>2]|0,c[b>>2]|0,t)}}while(0);m=0;n=m;i=h;return n|0}function qO(b){b=b|0;var d=0,e=0,f=0,g=0;d=i;e=b;if((ee[((a[e+236|0]&255|0)!=0?48:2)&127](e+148|0,e+144|0,c[e+232>>2]|0)|0)!=0){f=0;g=f;i=d;return g|0}else{f=YO(e,c[e+232>>2]|0)|0;g=f;i=d;return g|0}return 0}function rO(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;i=i+8|0;h=g|0;j=b;b=d;d=e;c[h>>2]=b;e=qe[c[c[j+144>>2]>>2]&127](c[j+144>>2]|0,b,d,h)|0;k=sO(j,c[j+144>>2]|0,b,d,e,c[h>>2]|0,f,((a[j+484|0]|0)!=0^1)&1)|0;i=g;return k|0}function sO(b,e,f,g,h,j,k,l){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;m=i;i=i+8|0;n=m|0;o=b;b=e;e=f;f=g;g=h;c[n>>2]=j;j=k;k=l;l=c[o+356>>2]|0;if((b|0)==(c[o+144>>2]|0)){p=o+288|0;q=o+292|0}else{p=c[o+300>>2]|0;q=(c[o+300>>2]|0)+4|0}a:while(1){h=1;c[p>>2]=e;c[q>>2]=c[n>>2];if((g|0)<=0){if((k&255|0)!=0){if((g|0)!=0){r=8;break}}switch(g|0){case 0:{r=10;break a;break};case-1:{r=11;break a;break};case-2:{r=12;break a;break};case-15:{g=-g|0;break};case-4:{r=14;break a;break};default:{g=-g|0;c[n>>2]=f}}}s=de[c[o+256>>2]&127](o+256|0,g,e,c[n>>2]|0,b)|0;b:do{switch(s|0){case 1:{t=tO(o,0,e,c[n>>2]|0)|0;if((t|0)!=0){r=27;break a}b=c[o+144>>2]|0;h=0;break};case 4:{if((c[o+84>>2]|0)!=0){c[o+320>>2]=uO(o+416|0,b,e,c[n>>2]|0)|0;if((c[o+320>>2]|0)==0){r=31;break a}c[o+432>>2]=c[o+428>>2];c[o+328>>2]=0;h=0}c[o+324>>2]=0;break};case 7:{if((c[o+84>>2]|0)!=0){_d[c[o+84>>2]&31](c[o+4>>2]|0,c[o+320>>2]|0,c[o+324>>2]|0,c[o+328>>2]|0,1);c[o+320>>2]=0;RN(o+416|0);h=0}break};case 57:{u=tO(o,1,e,c[n>>2]|0)|0;if((u|0)!=0){r=38;break a}b=c[o+144>>2]|0;h=0;break};case 6:{a[o+489|0]=0;c[o+316>>2]=lO(o,l+132|0,16864,36)|0;if((c[o+316>>2]|0)==0){r=41;break a}a[l+129|0]=1;if((c[o+84>>2]|0)==0){r=49;break b}if((qe[c[b+56>>2]&127](b,e,c[n>>2]|0,p)|0)==0){r=44;break a}v=uO(o+416|0,b,e+(c[b+68>>2]|0)|0,(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;if((v|0)==0){r=46;break a}vO(v);c[o+432>>2]=c[o+428>>2];c[o+328>>2]=v;h=0;r=52;break};case 14:{r=49;break};case 8:{if((c[o+320>>2]|0)!=0){_d[c[o+84>>2]&31](c[o+4>>2]|0,c[o+320>>2]|0,c[o+324>>2]|0,c[o+328>>2]|0,0);RN(o+416|0);h=0}if((c[o+324>>2]|0)!=0){r=64}else{if((d[o+489|0]|0)!=0){r=64}}if((r|0)==64){r=0;v=a[l+129|0]|0;a[l+129|0]=1;do{if((c[o+492>>2]|0)!=0){if((c[o+112>>2]|0)==0){break}w=lO(o,l+132|0,16864,36)|0;if((w|0)==0){r=67;break a}if((a[o+489|0]|0)!=0){c[w+20>>2]=c[o+360>>2]}a[l+131|0]=0;if((de[c[o+112>>2]&127](c[o+116>>2]|0,0,c[w+20>>2]|0,c[w+16>>2]|0,c[w+24>>2]|0)|0)==0){r=71;break a}if((a[l+131|0]|0)!=0){do{if((a[l+130|0]|0)==0){if((c[o+108>>2]|0)==0){break}if((ce[c[o+108>>2]&255](c[o+4>>2]|0)|0)==0){r=76;break a}}}while(0)}else{if((c[o+324>>2]|0)==0){a[l+129|0]=v}}}}while(0);a[o+489|0]=0}if((c[o+88>>2]|0)!=0){$d[c[o+88>>2]&511](c[o+4>>2]|0);h=0}break};case 2:{r=86;break a;break};case 34:{c[o+344>>2]=xO(o,b,e,c[n>>2]|0)|0;if((c[o+344>>2]|0)==0){r=104;break a}r=117;break};case 22:{c[o+348>>2]=yO(o,b,e,c[n>>2]|0)|0;if((c[o+348>>2]|0)==0){r=107;break a}a[o+352|0]=0;c[o+332>>2]=0;a[o+353|0]=0;r=117;break};case 23:{a[o+352|0]=1;c[o+332>>2]=16960;r=117;break};case 24:{a[o+353|0]=1;c[o+332>>2]=16928;r=117;break};case 25:{c[o+332>>2]=16920;r=117;break};case 26:{c[o+332>>2]=16912;r=117;break};case 27:{c[o+332>>2]=16936;r=117;break};case 28:{c[o+332>>2]=16944;r=117;break};case 29:{c[o+332>>2]=16904;r=117;break};case 30:{c[o+332>>2]=16888;r=117;break};case 31:case 32:{do{if((d[l+128|0]|0)!=0){if((c[o+132>>2]|0)==0){break}if((c[o+332>>2]|0)!=0){x=16880}else{x=(s|0)==32?16848:16872}if((zO(o+416|0,x)|0)==0){r=127;break a}if((AO(o+416|0,b,e,c[n>>2]|0)|0)==0){r=129;break a}c[o+332>>2]=c[o+432>>2];h=0}}while(0);break};case 35:case 36:{if((a[l+128|0]|0)!=0){if((BO(c[o+344>>2]|0,c[o+348>>2]|0,a[o+352|0]|0,a[o+353|0]|0,0,o)|0)==0){r=134;break a}do{if((c[o+132>>2]|0)!=0){if((c[o+332>>2]|0)==0){break}do{if((a[c[o+332>>2]|0]|0)==40){r=140}else{if((a[c[o+332>>2]|0]|0)!=78){break}if((a[(c[o+332>>2]|0)+1|0]|0)==79){r=140}}}while(0);if((r|0)==140){r=0;do{if((c[o+428>>2]|0)==(c[o+424>>2]|0)){if((iO(o+416|0)|0)<<24>>24!=0){r=143;break}if(!0){r=148;break a}}else{r=143}}while(0);if((r|0)==143){r=0;v=o+428|0;w=c[v>>2]|0;c[v>>2]=w+1;a[w]=41;if(!1){r=148;break a}}do{if((c[o+428>>2]|0)==(c[o+424>>2]|0)){if((iO(o+416|0)|0)<<24>>24!=0){r=147;break}if(!0){r=148;break a}}else{r=147}}while(0);if((r|0)==147){r=0;w=o+428|0;v=c[w>>2]|0;c[w>>2]=v+1;a[v]=0;if(!1){r=148;break a}}c[o+332>>2]=c[o+432>>2];c[o+432>>2]=c[o+428>>2]}c[q>>2]=e;he[c[o+132>>2]&63](c[o+4>>2]|0,c[c[o+344>>2]>>2]|0,c[c[o+348>>2]>>2]|0,c[o+332>>2]|0,0,(s|0)==36|0);RN(o+416|0);h=0}}while(0)}break};case 37:case 38:{if((a[l+128|0]|0)!=0){y=CO(o,b,a[o+352|0]|0,e+(c[b+68>>2]|0)|0,(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0,l+80|0)|0;if((y|0)!=0){r=155;break a}v=c[l+96>>2]|0;c[l+96>>2]=c[l+92>>2];if((BO(c[o+344>>2]|0,c[o+348>>2]|0,a[o+352|0]|0,0,v,o)|0)==0){r=157;break a}do{if((c[o+132>>2]|0)!=0){if((c[o+332>>2]|0)==0){break}do{if((a[c[o+332>>2]|0]|0)==40){r=163}else{if((a[c[o+332>>2]|0]|0)!=78){break}if((a[(c[o+332>>2]|0)+1|0]|0)==79){r=163}}}while(0);if((r|0)==163){r=0;do{if((c[o+428>>2]|0)==(c[o+424>>2]|0)){if((iO(o+416|0)|0)<<24>>24!=0){r=166;break}if(!0){r=171;break a}}else{r=166}}while(0);if((r|0)==166){r=0;w=o+428|0;z=c[w>>2]|0;c[w>>2]=z+1;a[z]=41;if(!1){r=171;break a}}do{if((c[o+428>>2]|0)==(c[o+424>>2]|0)){if((iO(o+416|0)|0)<<24>>24!=0){r=170;break}if(!0){r=171;break a}}else{r=170}}while(0);if((r|0)==170){r=0;z=o+428|0;w=c[z>>2]|0;c[z>>2]=w+1;a[w]=0;if(!1){r=171;break a}}c[o+332>>2]=c[o+432>>2];c[o+432>>2]=c[o+428>>2]}c[q>>2]=e;he[c[o+132>>2]&63](c[o+4>>2]|0,c[c[o+344>>2]>>2]|0,c[c[o+348>>2]>>2]|0,c[o+332>>2]|0,v,(s|0)==38|0);RN(o+416|0);h=0}}while(0)}break};case 12:{if((a[l+128|0]|0)!=0){A=DO(o,b,e+(c[b+68>>2]|0)|0,(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;if((c[o+316>>2]|0)!=0){c[(c[o+316>>2]|0)+4>>2]=c[l+120>>2];c[(c[o+316>>2]|0)+8>>2]=(c[l+116>>2]|0)-(c[l+120>>2]|0);c[l+120>>2]=c[l+116>>2];if((c[o+136>>2]|0)!=0){c[q>>2]=e;le[c[o+136>>2]&7](c[o+4>>2]|0,c[c[o+316>>2]>>2]|0,d[(c[o+316>>2]|0)+33|0]|0,c[(c[o+316>>2]|0)+4>>2]|0,c[(c[o+316>>2]|0)+8>>2]|0,c[o+360>>2]|0,0,0,0);h=0}}else{c[l+116>>2]=c[l+120>>2]}if((A|0)!=0){r=183;break a}}break};case 5:{a[o+489|0]=0;a[l+129|0]=1;if((c[o+84>>2]|0)!=0){c[o+324>>2]=uO(o+416|0,b,e+(c[b+68>>2]|0)|0,(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;if((c[o+324>>2]|0)==0){r=188;break a}c[o+432>>2]=c[o+428>>2];h=0}else{c[o+324>>2]=16864}do{if((a[l+130|0]|0)==0){if((c[o+492>>2]|0)!=0){break}if((c[o+108>>2]|0)==0){break}if((ce[c[o+108>>2]&255](c[o+4>>2]|0)|0)==0){r=195;break a}}}while(0);if((c[o+316>>2]|0)==0){c[o+316>>2]=lO(o,l+132|0,16864,36)|0;if((c[o+316>>2]|0)==0){r=198;break a}c[(c[o+316>>2]|0)+24>>2]=0}r=201;break};case 13:{r=201;break};case 15:{do{if((d[l+128|0]|0)!=0){if((c[o+316>>2]|0)==0){break}if((c[o+136>>2]|0)==0){break}c[q>>2]=e;le[c[o+136>>2]&7](c[o+4>>2]|0,c[c[o+316>>2]>>2]|0,d[(c[o+316>>2]|0)+33|0]|0,0,0,c[(c[o+316>>2]|0)+20>>2]|0,c[(c[o+316>>2]|0)+16>>2]|0,c[(c[o+316>>2]|0)+24>>2]|0,0);h=0}}while(0);break};case 16:{do{if((d[l+128|0]|0)!=0){if((c[o+316>>2]|0)==0){break}v=uO(l+80|0,b,e,c[n>>2]|0)|0;c[(c[o+316>>2]|0)+28>>2]=v;if((c[(c[o+316>>2]|0)+28>>2]|0)==0){r=217;break a}c[l+96>>2]=c[l+92>>2];if((c[o+92>>2]|0)!=0){c[q>>2]=e;he[c[o+92>>2]&63](c[o+4>>2]|0,c[c[o+316>>2]>>2]|0,c[(c[o+316>>2]|0)+20>>2]|0,c[(c[o+316>>2]|0)+16>>2]|0,c[(c[o+316>>2]|0)+24>>2]|0,c[(c[o+316>>2]|0)+28>>2]|0);h=0}else{if((c[o+136>>2]|0)!=0){c[q>>2]=e;le[c[o+136>>2]&7](c[o+4>>2]|0,c[c[o+316>>2]>>2]|0,0,0,0,c[(c[o+316>>2]|0)+20>>2]|0,c[(c[o+316>>2]|0)+16>>2]|0,c[(c[o+316>>2]|0)+24>>2]|0,c[(c[o+316>>2]|0)+28>>2]|0);h=0}}}}while(0);break};case 9:{if((ee[c[b+48>>2]&127](b,e,c[n>>2]|0)|0)!=0){c[o+316>>2]=0;break b}if((a[l+128|0]|0)!=0){v=uO(l+80|0,b,e,c[n>>2]|0)|0;if((v|0)==0){r=229;break a}c[o+316>>2]=lO(o,l|0,v,36)|0;if((c[o+316>>2]|0)==0){r=231;break a}if((c[c[o+316>>2]>>2]|0)!=(v|0)){c[l+92>>2]=c[l+96>>2];c[o+316>>2]=0}else{c[l+96>>2]=c[l+92>>2];c[(c[o+316>>2]|0)+24>>2]=0;a[(c[o+316>>2]|0)+33|0]=0;if((c[o+476>>2]|0)!=0){B=1}else{B=(c[o+300>>2]|0)!=0}a[(c[o+316>>2]|0)+34|0]=(B^1)&1;if((c[o+136>>2]|0)!=0){h=0}}}else{c[l+92>>2]=c[l+96>>2];c[o+316>>2]=0}break};case 10:{if((a[l+128|0]|0)!=0){v=uO(l+80|0,b,e,c[n>>2]|0)|0;if((v|0)==0){r=244;break a}c[o+316>>2]=lO(o,l+132|0,v,36)|0;if((c[o+316>>2]|0)==0){r=246;break a}if((c[c[o+316>>2]>>2]|0)!=(v|0)){c[l+92>>2]=c[l+96>>2];c[o+316>>2]=0}else{c[l+96>>2]=c[l+92>>2];c[(c[o+316>>2]|0)+24>>2]=0;a[(c[o+316>>2]|0)+33|0]=1;if((c[o+476>>2]|0)!=0){C=1}else{C=(c[o+300>>2]|0)!=0}a[(c[o+316>>2]|0)+34|0]=(C^1)&1;if((c[o+136>>2]|0)!=0){h=0}}}else{c[l+92>>2]=c[l+96>>2];c[o+316>>2]=0}break};case 18:{c[o+340>>2]=0;c[o+336>>2]=0;if((c[o+96>>2]|0)!=0){c[o+336>>2]=uO(o+416|0,b,e,c[n>>2]|0)|0;if((c[o+336>>2]|0)==0){r=259;break a}c[o+432>>2]=c[o+428>>2];h=0}break};case 21:{if((qe[c[b+56>>2]&127](b,e,c[n>>2]|0,p)|0)==0){r=263;break a}if((c[o+336>>2]|0)!=0){v=uO(o+416|0,b,e+(c[b+68>>2]|0)|0,(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;if((v|0)==0){r=266;break a}vO(v);c[o+340>>2]=v;c[o+432>>2]=c[o+428>>2];h=0}break};case 19:{do{if((c[o+336>>2]|0)!=0){if((c[o+96>>2]|0)==0){break}v=uO(o+416|0,b,e+(c[b+68>>2]|0)|0,(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;if((v|0)==0){r=272;break a}c[q>>2]=e;_d[c[o+96>>2]&31](c[o+4>>2]|0,c[o+336>>2]|0,c[o+360>>2]|0,v,c[o+340>>2]|0);h=0}}while(0);RN(o+416|0);break};case 20:{do{if((c[o+340>>2]|0)!=0){if((c[o+96>>2]|0)==0){break}c[q>>2]=e;_d[c[o+96>>2]&31](c[o+4>>2]|0,c[o+336>>2]|0,c[o+360>>2]|0,0,c[o+340>>2]|0);h=0}}while(0);RN(o+416|0);break};case-1:{r=279;break a;break};case 58:{if((c[o+80>>2]|0)!=0){gO(o,b,e,c[n>>2]|0)}h=0;D=EO(o,b,n,f,j,k)|0;if((D|0)!=0){r=286;break a}if((c[n>>2]|0)==0){r=288;break a}break};case 44:{if((c[o+260>>2]|0)>>>0>=(c[o+468>>2]|0)>>>0){if((c[o+468>>2]|0)!=0){v=c[o+16>>2]|0;w=c[o+464>>2]|0;z=o+468|0;E=c[z>>2]<<1;c[z>>2]=E;z=me[v&127](w,E)|0;if((z|0)==0){r=294;break a}c[o+464>>2]=z;if((c[l+184>>2]|0)!=0){z=me[c[o+16>>2]&127](c[l+184>>2]|0,c[o+468>>2]<<2)|0;if((z|0)==0){r=297;break a}c[l+184>>2]=z}}else{z=c[o+12>>2]|0;c[o+468>>2]=32;c[o+464>>2]=ce[z&255](32)|0;if((c[o+464>>2]|0)==0){r=301;break a}}}a[(c[o+464>>2]|0)+(c[o+260>>2]|0)|0]=0;if((a[l+160|0]|0)!=0){z=GO(o)|0;if((z|0)<0){r=306;break a}c[(c[l+184>>2]|0)+(c[l+180>>2]<<2)>>2]=z;E=l+180|0;c[E>>2]=(c[E>>2]|0)+1;c[(c[l+164>>2]|0)+(z*28|0)>>2]=6;if((c[o+128>>2]|0)!=0){h=0}}break};case 50:{if((a[(c[o+464>>2]|0)+(c[o+260>>2]|0)|0]|0)==124){r=312;break a}a[(c[o+464>>2]|0)+(c[o+260>>2]|0)|0]=44;do{if((d[l+160|0]|0)!=0){if((c[o+128>>2]|0)==0){break}h=0}}while(0);break};case 49:{if((a[(c[o+464>>2]|0)+(c[o+260>>2]|0)|0]|0)==44){r=318;break a}do{if((d[l+160|0]|0)!=0){if((a[(c[o+464>>2]|0)+(c[o+260>>2]|0)|0]|0)!=0){break}if((c[(c[l+164>>2]|0)+((c[(c[l+184>>2]|0)+((c[l+180>>2]|0)-1<<2)>>2]|0)*28|0)>>2]|0)==3){break}c[(c[l+164>>2]|0)+((c[(c[l+184>>2]|0)+((c[l+180>>2]|0)-1<<2)>>2]|0)*28|0)>>2]=5;if((c[o+128>>2]|0)!=0){h=0}}}while(0);a[(c[o+464>>2]|0)+(c[o+260>>2]|0)|0]=124;break};case 60:case 59:{a[l+129|0]=1;if((c[o+492>>2]|0)!=0){z=uO(l+80|0,b,e+(c[b+68>>2]|0)|0,(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;if((z|0)==0){r=329;break a}F=lO(o,l+132|0,z,0)|0;c[l+92>>2]=c[l+96>>2];do{if((c[o+272>>2]|0)!=0){if((d[l+130|0]|0)!=0){if((c[o+300>>2]|0)!=0){r=340;break}}else{if((a[l+129|0]|0)!=0){r=340;break}}if((F|0)==0){r=335;break a}if((a[F+34|0]|0)==0){r=337;break a}}else{r=340}}while(0);do{if((r|0)==340){r=0;if((F|0)!=0){break}a[l+128|0]=a[l+130|0]|0;do{if((s|0)==60){if((c[o+120>>2]|0)==0){break}re[c[o+120>>2]&15](c[o+4>>2]|0,z,1);h=0}}while(0);break b}}while(0);if((a[F+32|0]|0)!=0){r=347;break a}if((c[F+4>>2]|0)!=0){G=HO(o,F,((s|0)==60?1:0)&255)|0;if((G|0)!=0){r=350;break a}h=0;break b}if((c[o+112>>2]|0)==0){a[l+128|0]=a[l+130|0]|0;break b}a[l+131|0]=0;a[F+32|0]=1;if((de[c[o+112>>2]&127](c[o+116>>2]|0,0,c[F+20>>2]|0,c[F+16>>2]|0,c[F+24>>2]|0)|0)==0){r=354;break a}a[F+32|0]=0;h=0;if((a[l+131|0]|0)==0){a[l+128|0]=a[l+130|0]|0;break b}}else{a[l+128|0]=a[l+130|0]|0}do{if((a[l+130|0]|0)==0){if((c[o+108>>2]|0)==0){break}if((ce[c[o+108>>2]&255](c[o+4>>2]|0)|0)==0){r=363;break a}}}while(0);break};case 40:{if((c[o+128>>2]|0)!=0){c[o+344>>2]=xO(o,b,e,c[n>>2]|0)|0;if((c[o+344>>2]|0)==0){r=367;break a}c[l+180>>2]=0;c[l+176>>2]=0;a[l+160|0]=1;h=0}break};case 41:case 42:{if((a[l+160|0]|0)!=0){if((c[o+128>>2]|0)!=0){z=ce[c[o+12>>2]&255](20)|0;if((z|0)==0){r=373;break a}c[z+4>>2]=0;c[z+8>>2]=0;c[z+12>>2]=0;c[z+16>>2]=0;c[z>>2]=(s|0)==41?2:1;c[q>>2]=e;re[c[o+128>>2]&15](c[o+4>>2]|0,c[c[o+344>>2]>>2]|0,z);h=0}a[l+160|0]=0}break};case 43:{if((a[l+160|0]|0)!=0){c[(c[l+164>>2]|0)+((c[(c[l+184>>2]|0)+((c[l+180>>2]|0)-1<<2)>>2]|0)*28|0)>>2]=3;if((c[o+128>>2]|0)!=0){h=0}}break};case 51:{H=0;r=386;break};case 53:{H=1;r=386;break};case 52:{H=2;r=386;break};case 54:{H=3;r=386;break};case 45:{H=0;r=405;break};case 47:{H=1;r=405;break};case 46:{H=2;r=405;break};case 48:{H=3;r=405;break};case 55:{if((JO(o,b,e,c[n>>2]|0)|0)==0){r=417;break a}h=0;break};case 56:{if((KO(o,b,e,c[n>>2]|0)|0)==0){r=420;break a}h=0;break};case 0:{if((g|0)==14){h=0}break};case 3:{if((c[o+84>>2]|0)!=0){h=0}break};case 11:{do{if((d[l+128|0]|0)!=0){if((c[o+136>>2]|0)==0){break}h=0}}while(0);break};case 17:{if((c[o+96>>2]|0)!=0){h=0}break};case 33:{do{if((d[l+128|0]|0)!=0){if((c[o+132>>2]|0)==0){break}h=0}}while(0);break};case 39:{if((c[o+128>>2]|0)!=0){h=0}break};default:{}}}while(0);if((r|0)==49){r=0;if((qe[c[b+56>>2]&127](b,e,c[n>>2]|0,p)|0)==0){r=50;break}r=52}else if((r|0)==117){r=0;do{if((d[l+128|0]|0)!=0){if((c[o+132>>2]|0)==0){break}h=0}}while(0)}else if((r|0)==201){r=0;do{if((d[l+128|0]|0)!=0){if((c[o+316>>2]|0)==0){break}s=uO(l+80|0,b,e+(c[b+68>>2]|0)|0,(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;c[(c[o+316>>2]|0)+16>>2]=s;if((c[(c[o+316>>2]|0)+16>>2]|0)==0){r=204;break a}c[(c[o+316>>2]|0)+20>>2]=c[o+360>>2];c[l+96>>2]=c[l+92>>2];if((c[o+136>>2]|0)!=0){h=0}}}while(0)}else if((r|0)==386){r=0;if((a[l+160|0]|0)!=0){if((H|0)==0){I=c[n>>2]|0}else{I=(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0}s=GO(o)|0;if((s|0)<0){r=391;break}c[(c[l+164>>2]|0)+(s*28|0)>>2]=4;c[(c[l+164>>2]|0)+(s*28|0)+4>>2]=H;z=xO(o,b,e,I)|0;if((z|0)==0){r=393;break}E=c[z>>2]|0;c[(c[l+164>>2]|0)+(s*28|0)+8>>2]=E;s=0;do{z=s;s=z+1|0;}while((a[E+z|0]|0)!=0);E=l+168|0;c[E>>2]=(c[E>>2]|0)+s;if((c[o+128>>2]|0)!=0){h=0}}}else if((r|0)==405){r=0;if((a[l+160|0]|0)!=0){if((c[o+128>>2]|0)!=0){h=0}E=l+180|0;c[E>>2]=(c[E>>2]|0)-1;c[(c[l+164>>2]|0)+((c[(c[l+184>>2]|0)+(c[l+180>>2]<<2)>>2]|0)*28|0)+4>>2]=H;if((c[l+180>>2]|0)==0){if(!(h<<24>>24!=0)){E=IO(o)|0;if((E|0)==0){r=411;break}c[q>>2]=e;re[c[o+128>>2]&15](c[o+4>>2]|0,c[c[o+344>>2]>>2]|0,E)}a[l+160|0]=0;c[l+168>>2]=0}}}if((r|0)==52){r=0;do{if((d[l+128|0]|0)!=0){if((c[o+316>>2]|0)==0){break}E=uO(l+80|0,b,e+(c[b+68>>2]|0)|0,(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;if((E|0)==0){r=55;break a}vO(E);c[(c[o+316>>2]|0)+24>>2]=E;c[l+96>>2]=c[l+92>>2];if((c[o+136>>2]|0)!=0){h=0}}}while(0)}do{if((h&255|0)!=0){if((c[o+80>>2]|0)==0){break}gO(o,b,e,c[n>>2]|0)}}while(0);h=c[o+480>>2]|0;if((h|0)==3){r=446;break}else if((h|0)==2){r=447;break}e=c[n>>2]|0;g=qe[c[b>>2]&127](b,e,f,n)|0}if((r|0)==8){c[j>>2]=e;J=0;K=J;i=m;return K|0}else if((r|0)==10){c[p>>2]=c[n>>2];J=4;K=J;i=m;return K|0}else if((r|0)==11){J=5;K=J;i=m;return K|0}else if((r|0)==12){J=6;K=J;i=m;return K|0}else if((r|0)==14){do{if((b|0)!=(c[o+144>>2]|0)){if((a[(c[o+300>>2]|0)+20|0]|0)!=0){break}c[j>>2]=e;J=0;K=J;i=m;return K|0}}while(0);do{if((d[o+488|0]|0)==0){if((b|0)!=(c[o+144>>2]|0)){break}J=3;K=J;i=m;return K|0}}while(0);if((de[c[o+256>>2]&127](o+256|0,-4,f,f,b)|0)==-1){J=29;K=J;i=m;return K|0}else{c[j>>2]=e;J=0;K=J;i=m;return K|0}}else if((r|0)==27){J=t;K=J;i=m;return K|0}else if((r|0)==31){J=1;K=J;i=m;return K|0}else if((r|0)==38){J=u;K=J;i=m;return K|0}else if((r|0)==41){J=1;K=J;i=m;return K|0}else if((r|0)==44){J=32;K=J;i=m;return K|0}else if((r|0)==46){J=1;K=J;i=m;return K|0}else if((r|0)==50){J=32;K=J;i=m;return K|0}else if((r|0)==55){J=1;K=J;i=m;return K|0}else if((r|0)==67){J=1;K=J;i=m;return K|0}else if((r|0)==71){J=21;K=J;i=m;return K|0}else if((r|0)==76){J=22;K=J;i=m;return K|0}else if((r|0)==86){if((a[o+489|0]|0)!=0){u=a[l+129|0]|0;a[l+129|0]=1;do{if((c[o+492>>2]|0)!=0){if((c[o+112>>2]|0)==0){break}t=lO(o,l+132|0,16864,36)|0;if((t|0)==0){J=1;K=J;i=m;return K|0}c[t+20>>2]=c[o+360>>2];a[l+131|0]=0;if((de[c[o+112>>2]&127](c[o+116>>2]|0,0,c[t+20>>2]|0,c[t+16>>2]|0,c[t+24>>2]|0)|0)==0){J=21;K=J;i=m;return K|0}if((a[l+131|0]|0)!=0){do{if((a[l+130|0]|0)==0){if((c[o+108>>2]|0)==0){break}if((ce[c[o+108>>2]&255](c[o+4>>2]|0)|0)!=0){break}J=22;K=J;i=m;return K|0}}while(0)}else{a[l+129|0]=u}}}while(0)}c[o+280>>2]=2;J=wO(o,e,f,j)|0;K=J;i=m;return K|0}else if((r|0)==104){J=1;K=J;i=m;return K|0}else if((r|0)==107){J=1;K=J;i=m;return K|0}else if((r|0)==127){J=1;K=J;i=m;return K|0}else if((r|0)==129){J=1;K=J;i=m;return K|0}else if((r|0)==134){J=1;K=J;i=m;return K|0}else if((r|0)==148){J=1;K=J;i=m;return K|0}else if((r|0)==155){J=y;K=J;i=m;return K|0}else if((r|0)==157){J=1;K=J;i=m;return K|0}else if((r|0)==171){J=1;K=J;i=m;return K|0}else if((r|0)==183){J=A;K=J;i=m;return K|0}else if((r|0)==188){J=1;K=J;i=m;return K|0}else if((r|0)==195){J=22;K=J;i=m;return K|0}else if((r|0)==198){J=1;K=J;i=m;return K|0}else if((r|0)==204){J=1;K=J;i=m;return K|0}else if((r|0)==217){J=1;K=J;i=m;return K|0}else if((r|0)==229){J=1;K=J;i=m;return K|0}else if((r|0)==231){J=1;K=J;i=m;return K|0}else if((r|0)==244){J=1;K=J;i=m;return K|0}else if((r|0)==246){J=1;K=J;i=m;return K|0}else if((r|0)==259){J=1;K=J;i=m;return K|0}else if((r|0)==263){J=32;K=J;i=m;return K|0}else if((r|0)==266){J=1;K=J;i=m;return K|0}else if((r|0)==272){J=1;K=J;i=m;return K|0}else if((r|0)==279){A=g;if((A|0)==28){J=10;K=J;i=m;return K|0}else if((A|0)==12){J=17;K=J;i=m;return K|0}else{J=2;K=J;i=m;return K|0}}else if((r|0)==286){J=D;K=J;i=m;return K|0}else if((r|0)==288){c[o+280>>2]=90;J=D;K=J;i=m;return K|0}else if((r|0)==294){J=1;K=J;i=m;return K|0}else if((r|0)==297){J=1;K=J;i=m;return K|0}else if((r|0)==301){J=1;K=J;i=m;return K|0}else if((r|0)==306){J=1;K=J;i=m;return K|0}else if((r|0)==312){J=2;K=J;i=m;return K|0}else if((r|0)==318){J=2;K=J;i=m;return K|0}else if((r|0)==329){J=1;K=J;i=m;return K|0}else if((r|0)==335){J=11;K=J;i=m;return K|0}else if((r|0)==337){J=24;K=J;i=m;return K|0}else if((r|0)==347){J=12;K=J;i=m;return K|0}else if((r|0)==350){J=G;K=J;i=m;return K|0}else if((r|0)==354){a[F+32|0]=0;J=21;K=J;i=m;return K|0}else if((r|0)==363){J=22;K=J;i=m;return K|0}else if((r|0)==367){J=1;K=J;i=m;return K|0}else if((r|0)==373){J=1;K=J;i=m;return K|0}else if((r|0)==391){J=1;K=J;i=m;return K|0}else if((r|0)==393){J=1;K=J;i=m;return K|0}else if((r|0)==411){J=1;K=J;i=m;return K|0}else if((r|0)==417){J=1;K=J;i=m;return K|0}else if((r|0)==420){J=1;K=J;i=m;return K|0}else if((r|0)==446){c[j>>2]=c[n>>2];J=0;K=J;i=m;return K|0}else if((r|0)==447){J=35;K=J;i=m;return K|0}return 0}function tO(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;g=i;i=i+40|0;h=g|0;j=g+8|0;k=g+16|0;l=g+24|0;m=g+32|0;n=b;b=d;d=e;e=f;c[h>>2]=0;f=0;c[j>>2]=0;c[k>>2]=0;o=0;c[m>>2]=-1;if((be[((a[n+236|0]&255|0)!=0?6:2)&15](b,c[n+144>>2]|0,d,e,n+288|0,k,l,h,j,m)|0)==0){if((b|0)!=0){p=31;q=p;i=g;return q|0}else{p=30;q=p;i=g;return q|0}}do{if((b|0)==0){if((c[m>>2]|0)!=1){break}a[(c[n+356>>2]|0)+130|0]=1;if((c[n+492>>2]|0)==1){c[n+492>>2]=0}}}while(0);if((c[n+140>>2]|0)!=0){do{if((c[h>>2]|0)!=0){b=c[n+144>>2]|0;r=c[h>>2]|0;s=c[h>>2]|0;f=uO(n+440|0,b,r,s+(me[c[(c[n+144>>2]|0)+32>>2]&127](c[n+144>>2]|0,c[h>>2]|0)|0)|0)|0;if((f|0)!=0){c[n+456>>2]=c[n+452>>2];break}p=1;q=p;i=g;return q|0}}while(0);do{if((c[k>>2]|0)!=0){o=uO(n+440|0,c[n+144>>2]|0,c[k>>2]|0,(c[l>>2]|0)+(-(c[(c[n+144>>2]|0)+68>>2]|0)|0)|0)|0;if((o|0)!=0){break}p=1;q=p;i=g;return q|0}}while(0);ue[c[n+140>>2]&63](c[n+4>>2]|0,o,f,c[m>>2]|0)}else{if((c[n+80>>2]|0)!=0){gO(n,c[n+144>>2]|0,d,e)}}if((c[n+232>>2]|0)==0){do{if((c[j>>2]|0)!=0){if((c[(c[j>>2]|0)+68>>2]|0)==(c[(c[n+144>>2]|0)+68>>2]|0)){c[n+144>>2]=c[j>>2];break}c[n+288>>2]=c[h>>2];p=19;q=p;i=g;return q|0}else{if((c[h>>2]|0)==0){break}do{if((f|0)==0){e=c[n+144>>2]|0;d=c[h>>2]|0;m=c[h>>2]|0;f=uO(n+440|0,e,d,m+(me[c[(c[n+144>>2]|0)+32>>2]&127](c[n+144>>2]|0,c[h>>2]|0)|0)|0)|0;if((f|0)!=0){break}p=1;q=p;i=g;return q|0}}while(0);m=YO(n,f)|0;RN(n+440|0);if((m|0)==18){c[n+288>>2]=c[h>>2]}p=m;q=p;i=g;return q|0}}while(0)}if((f|0)!=0){t=40}else{if((o|0)!=0){t=40}}if((t|0)==40){RN(n+440|0)}p=0;q=p;i=g;return q|0}function uO(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=b;if((AO(h,d,e,f)|0)==0){j=0;k=j;i=g;return k|0}do{if((c[h+12>>2]|0)==(c[h+8>>2]|0)){if((iO(h)|0)<<24>>24!=0){break}j=0;k=j;i=g;return k|0}}while(0);f=h+12|0;e=c[f>>2]|0;c[f>>2]=e+1;a[e]=0;j=c[h+16>>2]|0;k=j;i=g;return k|0}function vO(b){b=b|0;var c=0,d=0,e=0,f=0,g=0;c=i;d=b;b=d;e=d;while(1){if((a[e]|0)==0){break}f=a[e]|0;if((f|0)==32|(f|0)==13|(f|0)==10){do{if((b|0)!=(d|0)){if((a[b-1|0]|0)==32){break}f=b;b=f+1|0;a[f]=32}}while(0)}else{f=b;b=f+1|0;a[f]=a[e]|0}e=e+1|0}if((b|0)==(d|0)){g=b;a[g]=0;i=c;return}if((a[b-1|0]|0)!=32){g=b;a[g]=0;i=c;return}b=b-1|0;g=b;a[g]=0;i=c;return}function wO(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=b;b=NO(h,0,c[h+144>>2]|0,d,e,f,((a[h+484|0]|0)!=0^1)&1)|0;do{if((b|0)==0){if((VO(h)|0)<<24>>24!=0){break}j=1;k=j;i=g;return k|0}}while(0);j=b;k=j;i=g;return k|0}function xO(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0;f=i;g=a;a=c[g+356>>2]|0;h=uO(a+80|0,b,d,e)|0;if((h|0)==0){j=0;k=j;i=f;return k|0}e=lO(g,a+20|0,h,24)|0;if((e|0)==0){j=0;k=j;i=f;return k|0}do{if((c[e>>2]|0)!=(h|0)){c[a+92>>2]=c[a+96>>2]}else{c[a+96>>2]=c[a+92>>2];if((WO(g,e)|0)!=0){break}j=0;k=j;i=f;return k|0}}while(0);j=e;k=j;i=f;return k|0}function yO(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;g=i;h=b;b=d;d=e;e=f;f=c[h+356>>2]|0;do{if((c[f+92>>2]|0)==(c[f+88>>2]|0)){if((iO(f+80|0)|0)<<24>>24!=0){j=4;break}if(!0){j=5}}else{j=4}}while(0);if((j|0)==4){k=f+92|0;l=c[k>>2]|0;c[k>>2]=l+1;a[l]=0;if(!1){j=5}}if((j|0)==5){m=0;n=m;i=g;return n|0}l=uO(f+80|0,b,d,e)|0;if((l|0)==0){m=0;n=m;i=g;return n|0}l=l+1|0;e=lO(h,f+40|0,l,12)|0;if((e|0)==0){m=0;n=m;i=g;return n|0}if((c[e>>2]|0)!=(l|0)){c[f+92>>2]=c[f+96>>2]}else{c[f+96>>2]=c[f+92>>2];if((a[h+236|0]|0)!=0){do{if((a[l|0]|0)==120){if((a[l+1|0]|0)!=109){j=25;break}if((a[l+2|0]|0)!=108){j=25;break}if((a[l+3|0]|0)!=110){j=25;break}if((a[l+4|0]|0)!=115){j=25;break}if((a[l+5|0]|0)!=0){if((a[l+5|0]|0)!=58){j=25;break}}if((a[l+5|0]|0)==0){c[e+4>>2]=f+152}else{c[e+4>>2]=lO(h,f+60|0,l+6|0,8)|0}a[e+9|0]=1}else{j=25}}while(0);if((j|0)==25){d=0;while(1){if((a[l+d|0]|0)==0){break}if((a[l+d|0]|0)==58){j=28;break}d=d+1|0}if((j|0)==28){b=0;a:while(1){if((b|0)>=(d|0)){break}do{if((c[f+92>>2]|0)==(c[f+88>>2]|0)){if((iO(f+80|0)|0)<<24>>24!=0){j=33;break}if(!0){j=34;break a}}else{j=33}}while(0);if((j|0)==33){j=0;k=a[l+b|0]|0;o=f+92|0;p=c[o>>2]|0;c[o>>2]=p+1;a[p]=k;if(!1){j=34;break}}b=b+1|0}if((j|0)==34){m=0;n=m;i=g;return n|0}do{if((c[f+92>>2]|0)==(c[f+88>>2]|0)){if((iO(f+80|0)|0)<<24>>24!=0){j=40;break}if(!0){j=41}}else{j=40}}while(0);if((j|0)==40){b=f+92|0;l=c[b>>2]|0;c[b>>2]=l+1;a[l]=0;if(!1){j=41}}if((j|0)==41){m=0;n=m;i=g;return n|0}c[e+4>>2]=lO(h,f+60|0,c[f+96>>2]|0,8)|0;if((c[c[e+4>>2]>>2]|0)==(c[f+96>>2]|0)){c[f+96>>2]=c[f+92>>2]}else{c[f+92>>2]=c[f+96>>2]}}}}}m=e;n=m;i=g;return n|0}function zO(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0;e=i;f=b;b=d;a:while(1){if((a[b]|0)==0){g=9;break}do{if((c[f+12>>2]|0)==(c[f+8>>2]|0)){if((iO(f)|0)<<24>>24!=0){g=6;break}if(!0){g=7;break a}}else{g=6}}while(0);if((g|0)==6){g=0;d=a[b]|0;h=f+12|0;j=c[h>>2]|0;c[h>>2]=j+1;a[j]=d;if(!1){g=7;break}}b=b+1|0}if((g|0)==7){k=0;l=k;i=e;return l|0}else if((g|0)==9){k=c[f+16>>2]|0;l=k;i=e;return l|0}return 0}function AO(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0;f=i;i=i+8|0;g=f|0;h=a;a=b;c[g>>2]=d;d=e;do{if((c[h+12>>2]|0)==0){if((iO(h)|0)<<24>>24!=0){break}j=0;k=j;i=f;return k|0}}while(0);while(1){_d[c[a+60>>2]&31](a,g,d,h+12|0,c[h+8>>2]|0);if((c[g>>2]|0)==(d|0)){break}if(!((iO(h)|0)<<24>>24!=0)){l=8;break}}if((l|0)==8){j=0;k=j;i=f;return k|0}j=c[h+16>>2]|0;k=j;i=f;return k|0}function BO(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0;j=i;k=b;b=d;d=e;e=f;f=g;g=h;if((f|0)!=0){l=3}else{if((e&255|0)!=0){l=3}}if((l|0)==3){h=0;while(1){if((h|0)>=(c[k+12>>2]|0)){break}if((b|0)==(c[(c[k+20>>2]|0)+(h*12|0)>>2]|0)){l=6;break}h=h+1|0}if((l|0)==6){m=1;n=m;i=j;return n|0}do{if((e&255|0)!=0){if((c[k+8>>2]|0)!=0){break}if((a[b+9|0]|0)!=0){break}c[k+8>>2]=b}}while(0)}if((c[k+12>>2]|0)==(c[k+16>>2]|0)){do{if((c[k+16>>2]|0)==0){c[k+16>>2]=8;c[k+20>>2]=ce[c[g+12>>2]&255]((c[k+16>>2]|0)*12|0)|0;if((c[k+20>>2]|0)!=0){break}m=0;n=m;i=j;return n|0}else{e=c[k+16>>2]<<1;l=me[c[g+16>>2]&127](c[k+20>>2]|0,e*12|0)|0;if((l|0)!=0){c[k+16>>2]=e;c[k+20>>2]=l;break}m=0;n=m;i=j;return n|0}}while(0)}g=(c[k+20>>2]|0)+((c[k+12>>2]|0)*12|0)|0;c[g>>2]=b;c[g+8>>2]=f;a[g+4|0]=d;if(!(d<<24>>24!=0)){a[b+8|0]=1}b=k+12|0;c[b>>2]=(c[b>>2]|0)+1;m=1;n=m;i=j;return n|0}function CO(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0;j=i;k=e;e=h;h=XO(b,d,k,f,g,e)|0;if((h|0)!=0){l=h;m=l;i=j;return m|0}do{if(!(k<<24>>24!=0)){if(((c[e+12>>2]|0)-(c[e+16>>2]|0)|0)==0){break}if((a[(c[e+12>>2]|0)-1|0]|0)!=32){break}h=e+12|0;c[h>>2]=(c[h>>2]|0)-1}}while(0);do{if((c[e+12>>2]|0)==(c[e+8>>2]|0)){if((iO(e)|0)<<24>>24!=0){n=10;break}if(0){n=12}else{n=11}}else{n=10}}while(0);if((n|0)==10){k=e+12|0;e=c[k>>2]|0;c[k>>2]=e+1;a[e]=0;if(1){n=12}else{n=11}}if((n|0)==11){l=1;m=l;i=j;return m|0}else if((n|0)==12){l=0;m=l;i=j;return m|0}return 0}function DO(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;h=i;i=i+16|0;j=h|0;k=h+8|0;l=b;b=e;e=f;f=g;g=c[l+356>>2]|0;m=g+104|0;n=0;o=c[l+276>>2]|0;c[l+276>>2]=1;do{if((c[m>>2]|0)==0){if((iO(m)|0)<<24>>24!=0){break}p=1;q=p;i=h;return q|0}}while(0);a:while(1){switch(qe[c[b+20>>2]&127](b,e,f,j)|0){case-1:{r=56;break a;break};case-4:{r=31;break a;break};case 9:case 6:{if((AO(m,b,e,c[j>>2]|0)|0)==0){r=33;break a}break};case 28:{if((d[l+488|0]|0)==0){if((b|0)==(c[l+144>>2]|0)){r=30;break a}}s=uO(l+416|0,b,e+(c[b+68>>2]|0)|0,(c[j>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;if((s|0)==0){r=10;break a}t=lO(l,g+132|0,s,0)|0;c[l+428>>2]=c[l+432>>2];if((t|0)==0){r=12;break a}if((a[t+32|0]|0)!=0){r=14;break a}if((c[t+16>>2]|0)!=0){if((c[l+112>>2]|0)!=0){a[g+131|0]=0;a[t+32|0]=1;if((de[c[l+112>>2]&127](c[l+116>>2]|0,0,c[t+20>>2]|0,c[t+16>>2]|0,c[t+24>>2]|0)|0)==0){r=20;break a}a[t+32|0]=0;if((a[g+131|0]|0)==0){a[g+128|0]=a[g+130|0]|0}}else{a[g+128|0]=a[g+130|0]|0}}else{a[t+32|0]=1;n=DO(l,c[l+228>>2]|0,c[t+4>>2]|0,(c[t+4>>2]|0)+(c[t+8>>2]|0)|0)|0;a[t+32|0]=0;if((n|0)!=0){r=27;break a}}break};case 10:{s=me[c[b+44>>2]&127](b,e)|0;if((s|0)<0){r=41;break a}s=cP(s,k|0)|0;if((s|0)==0){r=45;break a}u=0;while(1){if((u|0)>=(s|0)){break}if((c[m+8>>2]|0)==(c[m+12>>2]|0)){if(!((iO(m)|0)<<24>>24!=0)){r=52;break a}}v=a[k+u|0]|0;w=m+12|0;x=c[w>>2]|0;c[w>>2]=x+1;a[x]=v;u=u+1|0}break};case 0:{r=59;break a;break};case-3:{c[j>>2]=e+(c[b+68>>2]|0);r=36;break};case 7:{r=36;break};default:{r=62;break a}}if((r|0)==36){r=0;if((c[m+8>>2]|0)==(c[m+12>>2]|0)){if(!((iO(m)|0)<<24>>24!=0)){r=38;break}}u=m+12|0;s=c[u>>2]|0;c[u>>2]=s+1;a[s]=10}e=c[j>>2]|0}if((r|0)==10){n=1}else if((r|0)==12){a[g+128|0]=a[g+130|0]|0}else if((r|0)==14){if((b|0)==(c[l+144>>2]|0)){c[l+288>>2]=e}n=12}else if((r|0)==20){a[t+32|0]=0;n=21}else if((r|0)!=27)if((r|0)==30){c[l+288>>2]=e;n=10}else if((r|0)==31){n=0}else if((r|0)==33){n=1}else if((r|0)==38){n=1}else if((r|0)==41){if((b|0)==(c[l+144>>2]|0)){c[l+288>>2]=e}n=14}else if((r|0)==45){if((b|0)==(c[l+144>>2]|0)){c[l+288>>2]=e}n=14}else if((r|0)==52){n=1}else if((r|0)==56){if((b|0)==(c[l+144>>2]|0)){c[l+288>>2]=e}n=4}else if((r|0)==59){if((b|0)==(c[l+144>>2]|0)){c[l+288>>2]=c[j>>2]}n=4}else if((r|0)==62){if((b|0)==(c[l+144>>2]|0)){c[l+288>>2]=e}n=23}c[l+276>>2]=o;p=n;q=p;i=h;return q|0}function EO(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;i=i+8|0;j=h|0;k=a;a=b;b=d;d=f;f=g;g=c[b>>2]|0;if((a|0)==(c[k+144>>2]|0)){l=k+288|0;c[l>>2]=g;m=k+292|0}else{l=c[k+300>>2]|0;m=(c[k+300>>2]|0)+4|0}c[l>>2]=g;c[b>>2]=0;n=qe[c[a+12>>2]&127](a,g,e,j)|0;c[m>>2]=c[j>>2];switch(n|0){case 42:{if((c[k+80>>2]|0)!=0){gO(k,a,g,c[j>>2]|0)}c[b>>2]=c[j>>2];c[d>>2]=c[j>>2];if((c[k+480>>2]|0)==2){o=35;p=o;i=h;return p|0}else{o=0;p=o;i=h;return p|0}break};case 0:{c[l>>2]=c[j>>2];o=4;p=o;i=h;return p|0};case-2:{if(f<<24>>24!=0){c[d>>2]=g;o=0;p=o;i=h;return p|0}else{o=6;p=o;i=h;return p|0}break};case-1:case-4:{if(f<<24>>24!=0){c[d>>2]=g;o=0;p=o;i=h;return p|0}else{o=2;p=o;i=h;return p|0}break};default:{c[l>>2]=c[j>>2];o=23;p=o;i=h;return p|0}}return 0}function FO(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;g=i;i=i+8|0;h=g|0;j=b;c[h>>2]=d;d=e;e=f;f=EO(j,c[j+144>>2]|0,h,d,e,((a[j+484|0]|0)!=0^1)&1)|0;if((f|0)!=0){k=f;l=k;i=g;return l|0}if((c[h>>2]|0)!=0){c[j+280>>2]=74;k=rO(j,c[h>>2]|0,d,e)|0;l=k;i=g;return l|0}else{k=f;l=k;i=g;return l|0}return 0}function GO(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;d=a;a=c[d+356>>2]|0;do{if((c[a+184>>2]|0)==0){c[a+184>>2]=ce[c[d+12>>2]&255](c[d+468>>2]<<2)|0;if((c[a+184>>2]|0)!=0){c[c[a+184>>2]>>2]=0;break}e=-1;f=e;i=b;return f|0}}while(0);if((c[a+176>>2]|0)>>>0>=(c[a+172>>2]|0)>>>0){do{if((c[a+164>>2]|0)!=0){g=me[c[d+16>>2]&127](c[a+164>>2]|0,(c[a+172>>2]<<1)*28|0)|0;if((g|0)!=0){h=a+172|0;c[h>>2]=c[h>>2]<<1;break}e=-1;f=e;i=b;return f|0}else{g=ce[c[d+12>>2]&255](896)|0;if((g|0)!=0){c[a+172>>2]=32;break}e=-1;f=e;i=b;return f|0}}while(0);c[a+164>>2]=g}g=a+176|0;d=c[g>>2]|0;c[g>>2]=d+1;g=d;d=(c[a+164>>2]|0)+(g*28|0)|0;if((c[a+180>>2]|0)!=0){h=(c[a+164>>2]|0)+((c[(c[a+184>>2]|0)+((c[a+180>>2]|0)-1<<2)>>2]|0)*28|0)|0;if((c[h+16>>2]|0)!=0){c[(c[a+164>>2]|0)+((c[h+16>>2]|0)*28|0)+24>>2]=g}if((c[h+20>>2]|0)==0){c[h+12>>2]=g}c[h+16>>2]=g;a=h+20|0;c[a>>2]=(c[a>>2]|0)+1}c[d+24>>2]=0;c[d+20>>2]=0;c[d+16>>2]=0;c[d+12>>2]=0;e=g;f=e;i=b;return f|0}function HO(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;f=i;i=i+8|0;g=f|0;h=b;b=d;d=e;do{if((c[h+304>>2]|0)!=0){j=c[h+304>>2]|0;c[h+304>>2]=c[j+8>>2]}else{j=ce[c[h+12>>2]&255](24)|0;if((j|0)!=0){break}k=1;l=k;i=f;return l|0}}while(0);a[b+32|0]=1;c[b+12>>2]=0;c[j+8>>2]=c[h+300>>2];c[h+300>>2]=j;c[j+12>>2]=b;c[j+16>>2]=c[h+312>>2];a[j+20|0]=d;c[j>>2]=0;c[j+4>>2]=0;d=c[b+4>>2]|0;e=(c[b+4>>2]|0)+(c[b+8>>2]|0)|0;if((a[b+33|0]|0)!=0){m=qe[c[c[h+228>>2]>>2]&127](c[h+228>>2]|0,d,e,g)|0;n=sO(h,c[h+228>>2]|0,d,e,m,c[g>>2]|0,g,0)|0}else{n=NO(h,c[h+312>>2]|0,c[h+228>>2]|0,d,e,g,0)|0}if((n|0)==0){do{if((e|0)!=(c[g>>2]|0)){if((c[h+480>>2]|0)!=3){o=13;break}c[b+12>>2]=(c[g>>2]|0)-d;c[h+280>>2]=60}else{o=13}}while(0);if((o|0)==13){a[b+32|0]=0;c[h+300>>2]=c[j+8>>2];c[j+8>>2]=c[h+304>>2];c[h+304>>2]=j}}k=n;l=k;i=f;return l|0}function IO(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0;b=i;i=i+16|0;d=b|0;e=b+8|0;f=a;a=c[f+356>>2]|0;g=ce[c[f+12>>2]&255](((c[a+176>>2]|0)*20|0)+(c[a+168>>2]|0)|0)|0;if((g|0)!=0){c[e>>2]=g+((c[a+176>>2]|0)*20|0);c[d>>2]=g+20;MO(f,0,g,d,e);h=g;j=h;i=b;return j|0}else{h=0;j=h;i=b;return j|0}return 0}function JO(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0;f=i;g=a;a=b;b=d;d=e;if((c[g+64>>2]|0)==0){if((c[g+80>>2]|0)!=0){gO(g,a,b,d)}h=1;j=h;i=f;return j|0}b=b+(c[a+68>>2]<<1)|0;e=b+(me[c[a+32>>2]&127](a,b)|0)|0;k=uO(g+416|0,a,b,e)|0;if((k|0)==0){h=0;j=h;i=f;return j|0}c[g+432>>2]=c[g+428>>2];b=me[c[a+36>>2]&127](a,e)|0;e=uO(g+416|0,a,b,d+(-(c[a+68>>2]<<1)|0)|0)|0;if((e|0)!=0){LO(e);re[c[g+64>>2]&15](c[g+4>>2]|0,k,e);RN(g+416|0);h=1;j=h;i=f;return j|0}else{h=0;j=h;i=f;return j|0}return 0}function KO(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;f=i;g=a;a=b;b=d;d=e;if((c[g+68>>2]|0)==0){if((c[g+80>>2]|0)!=0){gO(g,a,b,d)}h=1;j=h;i=f;return j|0}e=uO(g+416|0,a,b+(c[a+68>>2]<<2)|0,d+(-((c[a+68>>2]|0)*3|0)|0)|0)|0;if((e|0)!=0){LO(e);ae[c[g+68>>2]&255](c[g+4>>2]|0,e);RN(g+416|0);h=1;j=h;i=f;return j|0}else{h=0;j=h;i=f;return j|0}return 0}function LO(b){b=b|0;var c=0,d=0,e=0,f=0;c=i;d=b;while(1){if((a[d]|0)==0){e=3;break}if((a[d]|0)==13){break}d=d+1|0}if((e|0)==3){i=c;return}e=d;do{if((a[d]|0)==13){b=e;e=b+1|0;a[b]=10;b=d+1|0;d=b;if((a[b]|0)==10){d=d+1|0}}else{b=d;d=b+1|0;f=e;e=f+1|0;a[f]=a[b]|0}}while((a[d]|0)!=0);a[e]=0;i=c;return}function MO(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=d;d=e;e=f;f=g;g=c[j+356>>2]|0;c[d>>2]=c[(c[g+164>>2]|0)+(b*28|0)>>2];c[d+4>>2]=c[(c[g+164>>2]|0)+(b*28|0)+4>>2];if((c[d>>2]|0)==4){c[d+8>>2]=c[f>>2];k=c[(c[g+164>>2]|0)+(b*28|0)+8>>2]|0;while(1){l=a[k]|0;m=f;n=c[m>>2]|0;c[m>>2]=n+1;a[n]=l;if((a[k]|0)==0){break}k=k+1|0}c[d+12>>2]=0;c[d+16>>2]=0;i=h;return}else{c[d+12>>2]=c[(c[g+164>>2]|0)+(b*28|0)+20>>2];c[d+16>>2]=c[e>>2];k=e;c[k>>2]=(c[k>>2]|0)+((c[d+12>>2]|0)*20|0);k=0;l=c[(c[g+164>>2]|0)+(b*28|0)+12>>2]|0;while(1){if(!(k>>>0<(c[d+12>>2]|0)>>>0)){break}MO(j,l,(c[d+16>>2]|0)+(k*20|0)|0,e,f);k=k+1|0;l=c[(c[g+164>>2]|0)+(l*28|0)+24>>2]|0}c[d+8>>2]=0;i=h;return}}function NO(b,e,f,g,h,j,k){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;l=i;i=i+112|0;m=l|0;n=l+8|0;o=l+16|0;p=l+24|0;q=l+32|0;r=l+40|0;s=l+48|0;t=l+56|0;u=l+80|0;v=l+88|0;w=l+96|0;x=l+104|0;y=b;b=e;e=f;c[m>>2]=g;g=h;h=j;j=k;k=c[y+356>>2]|0;if((e|0)==(c[y+144>>2]|0)){z=y+288|0;A=y+292|0}else{z=c[y+300>>2]|0;A=(c[y+300>>2]|0)+4|0}c[z>>2]=c[m>>2];a:while(1){c[n>>2]=c[m>>2];f=qe[c[e+4>>2]&127](e,c[m>>2]|0,g,n)|0;c[A>>2]=c[n>>2];b:do{switch(f|0){case-5:{B=182;break a;break};case 6:{C=c[y+60>>2]|0;if((C|0)!=0){if((a[e+72|0]|0)!=0){re[C&15](c[y+4>>2]|0,c[m>>2]|0,(c[n>>2]|0)-(c[m>>2]|0)|0)}else{while(1){c[x>>2]=c[y+44>>2];_d[c[e+60>>2]&31](e,m,c[n>>2]|0,x,c[y+48>>2]|0);c[A>>2]=c[m>>2];re[C&15](c[y+4>>2]|0,c[y+44>>2]|0,(c[x>>2]|0)-(c[y+44>>2]|0)|0);if((c[m>>2]|0)==(c[n>>2]|0)){break}c[z>>2]=c[m>>2]}}}else{if((c[y+80>>2]|0)!=0){gO(y,e,c[m>>2]|0,c[n>>2]|0)}}break};case 11:{if((JO(y,e,c[m>>2]|0,c[n>>2]|0)|0)==0){B=211;break a}break};case 13:{if((KO(y,e,c[m>>2]|0,c[n>>2]|0)|0)==0){B=214;break a}break};case-3:{B=6;break a;break};case-2:{B=29;break a;break};case 2:case 1:{if((c[y+368>>2]|0)!=0){D=c[y+368>>2]|0;c[y+368>>2]=c[c[y+368>>2]>>2]}else{D=ce[c[y+12>>2]&255](48)|0;if((D|0)==0){B=86;break a}c[D+36>>2]=ce[c[y+12>>2]&255](32)|0;if((c[D+36>>2]|0)==0){B=88;break a}c[D+40>>2]=(c[D+36>>2]|0)+32}c[D+44>>2]=0;c[D>>2]=c[y+364>>2];c[y+364>>2]=D;c[D+16>>2]=0;c[D+20>>2]=0;c[D+4>>2]=(c[m>>2]|0)+(c[e+68>>2]|0);c[D+8>>2]=me[c[e+32>>2]&127](e,c[D+4>>2]|0)|0;C=y+312|0;c[C>>2]=(c[C>>2]|0)+1;C=(c[D+4>>2]|0)+(c[D+8>>2]|0)|0;c[r>>2]=c[D+4>>2];c[q>>2]=c[D+36>>2];while(1){_d[c[e+60>>2]&31](e,r,C,q,(c[D+40>>2]|0)-1|0);E=(c[q>>2]|0)-(c[D+36>>2]|0)|0;if((c[r>>2]|0)==(C|0)){break}F=(c[D+40>>2]|0)-(c[D+36>>2]|0)<<1;G=me[c[y+16>>2]&127](c[D+36>>2]|0,F)|0;if((G|0)==0){B=94;break a}c[D+36>>2]=G;c[D+40>>2]=G+F;c[q>>2]=G+E}c[D+24>>2]=E;c[D+12>>2]=c[D+36>>2];a[c[q>>2]|0]=0;H=QO(y,e,c[m>>2]|0,D+12|0,D+44|0)|0;if((H|0)!=0){B=97;break a}if((c[y+52>>2]|0)!=0){re[c[y+52>>2]&15](c[y+4>>2]|0,c[D+12>>2]|0,c[y+392>>2]|0)}else{if((c[y+80>>2]|0)!=0){gO(y,e,c[m>>2]|0,c[n>>2]|0)}}RN(y+416|0);break};case 0:{B=25;break a;break};case-1:{B=26;break a;break};case 10:{C=me[c[e+44>>2]&127](e,c[m>>2]|0)|0;if((C|0)<0){B=157;break a}if((c[y+60>>2]|0)!=0){G=c[y+60>>2]|0;F=c[y+4>>2]|0;I=cP(C,u|0)|0;re[G&15](F,u|0,I)}else{if((c[y+80>>2]|0)!=0){gO(y,e,c[m>>2]|0,c[n>>2]|0)}}break};case 5:{if((c[y+312>>2]|0)==(b|0)){B=126;break a}I=c[y+364>>2]|0;c[y+364>>2]=c[I>>2];c[I>>2]=c[y+368>>2];c[y+368>>2]=I;J=(c[m>>2]|0)+(c[e+68>>2]<<1)|0;F=me[c[e+32>>2]&127](e,J)|0;if((F|0)!=(c[I+8>>2]|0)){B=129;break a}if((Kla(c[I+4>>2]|0,J,F)|0)!=0){B=129;break a}F=y+312|0;c[F>>2]=(c[F>>2]|0)-1;if((c[y+56>>2]|0)!=0){F=c[I+16>>2]|0;do{if((d[y+236|0]|0)!=0){if((F|0)==0){break}G=(c[I+12>>2]|0)+(c[I+28>>2]|0)|0;while(1){if((a[F]|0)==0){break}C=F;F=C+1|0;K=G;G=K+1|0;a[K]=a[C]|0}C=c[I+20>>2]|0;do{if((d[y+237|0]|0)!=0){if((C|0)==0){break}K=G;G=K+1|0;a[K]=a[y+472|0]|0;while(1){if((a[C]|0)==0){break}K=C;C=K+1|0;L=G;G=L+1|0;a[L]=a[K]|0}}}while(0);a[G]=0}}while(0);ae[c[y+56>>2]&255](c[y+4>>2]|0,c[I+12>>2]|0)}else{if((c[y+80>>2]|0)!=0){gO(y,e,c[m>>2]|0,c[n>>2]|0)}}while(1){if((c[I+44>>2]|0)==0){break}F=c[I+44>>2]|0;if((c[y+104>>2]|0)!=0){ae[c[y+104>>2]&255](c[y+4>>2]|0,c[c[F>>2]>>2]|0)}c[I+44>>2]=c[(c[I+44>>2]|0)+4>>2];c[F+4>>2]=c[y+376>>2];c[y+376>>2]=F;c[(c[F>>2]|0)+4>>2]=c[F+8>>2]}if((c[y+312>>2]|0)==0){B=153;break a}break};case 9:{a[p]=ee[c[e+48>>2]&127](e,(c[m>>2]|0)+(c[e+68>>2]|0)|0,(c[n>>2]|0)+(-(c[e+68>>2]|0)|0)|0)|0;if((a[p]|0)!=0){if((c[y+60>>2]|0)!=0){re[c[y+60>>2]&15](c[y+4>>2]|0,p,1)}else{if((c[y+80>>2]|0)!=0){gO(y,e,c[m>>2]|0,c[n>>2]|0)}}break b}I=uO(k+80|0,e,(c[m>>2]|0)+(c[e+68>>2]|0)|0,(c[n>>2]|0)+(-(c[e+68>>2]|0)|0)|0)|0;if((I|0)==0){B=40;break a}F=lO(y,k|0,I,0)|0;c[k+92>>2]=c[k+96>>2];do{if((a[k+129|0]|0)!=0){if((d[k+130|0]|0)!=0){B=43;break}if((F|0)!=0){break}if((c[y+120>>2]|0)!=0){re[c[y+120>>2]&15](c[y+4>>2]|0,I,0)}else{if((c[y+80>>2]|0)!=0){gO(y,e,c[m>>2]|0,c[n>>2]|0)}}break b}else{B=43}}while(0);if((B|0)==43){B=0;if((F|0)==0){B=44;break a}if((a[F+34|0]|0)==0){B=46;break a}}if((a[F+32|0]|0)!=0){B=58;break a}if((c[F+28>>2]|0)!=0){B=60;break a}do{if((c[F+4>>2]|0)!=0){if((a[y+308|0]|0)!=0){M=HO(y,F,0)|0;if((M|0)!=0){B=70;break a}break}if((c[y+120>>2]|0)!=0){re[c[y+120>>2]&15](c[y+4>>2]|0,c[F>>2]|0,0)}else{if((c[y+80>>2]|0)!=0){gO(y,e,c[m>>2]|0,c[n>>2]|0)}}break b}else{if((c[y+112>>2]|0)!=0){a[F+32|0]=1;I=PO(y)|0;a[F+32|0]=0;if((I|0)==0){B=74;break a}if((de[c[y+112>>2]&127](c[y+116>>2]|0,I,c[F+20>>2]|0,c[F+16>>2]|0,c[F+24>>2]|0)|0)==0){B=76;break a}c[y+428>>2]=c[y+432>>2]}else{if((c[y+80>>2]|0)!=0){gO(y,e,c[m>>2]|0,c[n>>2]|0)}}}}while(0);break};case 4:case 3:{F=(c[m>>2]|0)+(c[e+68>>2]|0)|0;c[s>>2]=0;I=1;c[t>>2]=uO(y+416|0,e,F,F+(me[c[e+32>>2]&127](e,F)|0)|0)|0;if((c[t>>2]|0)==0){B=105;break a}c[y+432>>2]=c[y+428>>2];N=QO(y,e,c[m>>2]|0,t,s)|0;if((N|0)!=0){B=107;break a}c[y+432>>2]=c[y+428>>2];if((c[y+52>>2]|0)!=0){re[c[y+52>>2]&15](c[y+4>>2]|0,c[t>>2]|0,c[y+392>>2]|0);I=0}if((c[y+56>>2]|0)!=0){if((c[y+52>>2]|0)!=0){c[z>>2]=c[A>>2]}ae[c[y+56>>2]&255](c[y+4>>2]|0,c[t>>2]|0);I=0}do{if((I&255|0)!=0){if((c[y+80>>2]|0)==0){break}gO(y,e,c[m>>2]|0,c[n>>2]|0)}}while(0);RN(y+416|0);while(1){if((c[s>>2]|0)==0){break}I=c[s>>2]|0;if((c[y+104>>2]|0)!=0){ae[c[y+104>>2]&255](c[y+4>>2]|0,c[c[I>>2]>>2]|0)}c[s>>2]=c[(c[s>>2]|0)+4>>2];c[I+4>>2]=c[y+376>>2];c[y+376>>2]=I;c[(c[I>>2]|0)+4>>2]=c[I+8>>2]}if((c[y+312>>2]|0)==0){B=123;break a}break};case-4:{B=18;break a;break};case 12:{B=164;break a;break};case 7:{if((c[y+60>>2]|0)!=0){a[v]=10;re[c[y+60>>2]&15](c[y+4>>2]|0,v,1)}else{if((c[y+80>>2]|0)!=0){gO(y,e,c[m>>2]|0,c[n>>2]|0)}}break};case 8:{if((c[y+72>>2]|0)!=0){$d[c[y+72>>2]&511](c[y+4>>2]|0)}else{if((c[y+80>>2]|0)!=0){gO(y,e,c[m>>2]|0,c[n>>2]|0)}}O=SO(y,e,n,g,h,j)|0;if((O|0)!=0){B=177;break a}if((c[n>>2]|0)==0){B=179;break a}break};default:{if((c[y+80>>2]|0)!=0){gO(y,e,c[m>>2]|0,c[n>>2]|0)}}}}while(0);f=c[n>>2]|0;c[m>>2]=f;c[z>>2]=f;f=c[y+480>>2]|0;if((f|0)==3){B=220;break}else if((f|0)==2){B=221;break}}if((B|0)==6){if(j<<24>>24!=0){c[h>>2]=c[m>>2];P=0;Q=P;i=l;return Q|0}c[A>>2]=g;if((c[y+60>>2]|0)!=0){a[o]=10;re[c[y+60>>2]&15](c[y+4>>2]|0,o,1)}else{if((c[y+80>>2]|0)!=0){gO(y,e,c[m>>2]|0,g)}}if((b|0)==0){P=3;Q=P;i=l;return Q|0}if((c[y+312>>2]|0)!=(b|0)){P=13;Q=P;i=l;return Q|0}else{c[h>>2]=g;P=0;Q=P;i=l;return Q|0}}else if((B|0)==18){if(j<<24>>24!=0){c[h>>2]=c[m>>2];P=0;Q=P;i=l;return Q|0}if((b|0)<=0){P=3;Q=P;i=l;return Q|0}if((c[y+312>>2]|0)!=(b|0)){P=13;Q=P;i=l;return Q|0}else{c[h>>2]=c[m>>2];P=0;Q=P;i=l;return Q|0}}else if((B|0)==25){c[z>>2]=c[n>>2];P=4;Q=P;i=l;return Q|0}else if((B|0)==26){if(j<<24>>24!=0){c[h>>2]=c[m>>2];P=0;Q=P;i=l;return Q|0}else{P=5;Q=P;i=l;return Q|0}}else if((B|0)==29){if(j<<24>>24!=0){c[h>>2]=c[m>>2];P=0;Q=P;i=l;return Q|0}else{P=6;Q=P;i=l;return Q|0}}else if((B|0)==40){P=1;Q=P;i=l;return Q|0}else if((B|0)==44){P=11;Q=P;i=l;return Q|0}else if((B|0)==46){P=24;Q=P;i=l;return Q|0}else if((B|0)==58){P=12;Q=P;i=l;return Q|0}else if((B|0)==60){P=15;Q=P;i=l;return Q|0}else if((B|0)==70){P=M;Q=P;i=l;return Q|0}else if((B|0)==74){P=1;Q=P;i=l;return Q|0}else if((B|0)==76){P=21;Q=P;i=l;return Q|0}else if((B|0)==86){P=1;Q=P;i=l;return Q|0}else if((B|0)==88){$d[c[y+20>>2]&511](D);P=1;Q=P;i=l;return Q|0}else if((B|0)==94){P=1;Q=P;i=l;return Q|0}else if((B|0)==97){P=H;Q=P;i=l;return Q|0}else if((B|0)==105){P=1;Q=P;i=l;return Q|0}else if((B|0)==107){P=N;Q=P;i=l;return Q|0}else if((B|0)==123){P=RO(y,c[n>>2]|0,g,h)|0;Q=P;i=l;return Q|0}else if((B|0)==126){P=13;Q=P;i=l;return Q|0}else if((B|0)==129){c[z>>2]=J;P=7;Q=P;i=l;return Q|0}else if((B|0)==153){P=RO(y,c[n>>2]|0,g,h)|0;Q=P;i=l;return Q|0}else if((B|0)==157){P=14;Q=P;i=l;return Q|0}else if((B|0)==164){P=17;Q=P;i=l;return Q|0}else if((B|0)==177){P=O;Q=P;i=l;return Q|0}else if((B|0)==179){c[y+280>>2]=72;P=O;Q=P;i=l;return Q|0}else if((B|0)==182){if(j<<24>>24!=0){c[h>>2]=c[m>>2];P=0;Q=P;i=l;return Q|0}if((c[y+60>>2]|0)!=0){if((a[e+72|0]|0)!=0){re[c[y+60>>2]&15](c[y+4>>2]|0,c[m>>2]|0,g-(c[m>>2]|0)|0)}else{c[w>>2]=c[y+44>>2];_d[c[e+60>>2]&31](e,m,g,w,c[y+48>>2]|0);re[c[y+60>>2]&15](c[y+4>>2]|0,c[y+44>>2]|0,(c[w>>2]|0)-(c[y+44>>2]|0)|0)}}else{if((c[y+80>>2]|0)!=0){gO(y,e,c[m>>2]|0,g)}}if((b|0)==0){c[z>>2]=g;P=3;Q=P;i=l;return Q|0}if((c[y+312>>2]|0)!=(b|0)){c[z>>2]=g;P=13;Q=P;i=l;return Q|0}else{c[h>>2]=g;P=0;Q=P;i=l;return Q|0}}else if((B|0)==211){P=1;Q=P;i=l;return Q|0}else if((B|0)==214){P=1;Q=P;i=l;return Q|0}else if((B|0)==220){c[h>>2]=c[n>>2];P=0;Q=P;i=l;return Q|0}else if((B|0)==221){P=35;Q=P;i=l;return Q|0}return 0}function OO(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;g=i;i=i+8|0;h=g|0;j=b;b=d;d=e;e=f;f=c[j+300>>2]|0;if((f|0)==0){k=23;l=k;i=g;return l|0}m=c[f+12>>2]|0;n=(c[m+4>>2]|0)+(c[m+12>>2]|0)|0;o=(c[m+4>>2]|0)+(c[m+8>>2]|0)|0;if((a[m+33|0]|0)!=0){p=qe[c[c[j+228>>2]>>2]&127](c[j+228>>2]|0,n,o,h)|0;q=sO(j,c[j+228>>2]|0,n,o,p,c[h>>2]|0,h,0)|0}else{q=NO(j,c[f+16>>2]|0,c[j+228>>2]|0,n,o,h,0)|0}if((q|0)!=0){k=q;l=k;i=g;return l|0}do{if((o|0)!=(c[h>>2]|0)){if((c[j+480>>2]|0)!=3){break}c[m+12>>2]=(c[h>>2]|0)-(c[m+4>>2]|0);k=q;l=k;i=g;return l|0}}while(0);a[m+32|0]=0;c[j+300>>2]=c[f+8>>2];c[f+8>>2]=c[j+304>>2];c[j+304>>2]=f;if((a[m+33|0]|0)!=0){c[j+280>>2]=74;m=qe[c[c[j+144>>2]>>2]&127](c[j+144>>2]|0,b,d,h)|0;k=sO(j,c[j+144>>2]|0,b,d,m,c[h>>2]|0,e,((a[j+484|0]|0)!=0^1)&1)|0;l=k;i=g;return l|0}else{c[j+280>>2]=2;k=NO(j,(c[j+476>>2]|0)!=0?1:0,c[j+144>>2]|0,b,d,e,((a[j+484|0]|0)!=0^1)&1)|0;l=k;i=g;return l|0}return 0}function PO(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=i;i=i+8|0;e=d|0;f=b;b=c[f+356>>2]|0;g=0;do{if((c[b+156>>2]|0)!=0){do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((iO(f+416|0)|0)<<24>>24!=0){h=5;break}if(!0){h=6}}else{h=5}}while(0);if((h|0)==5){j=f+428|0;k=c[j>>2]|0;c[j>>2]=k+1;a[k]=61;if(!1){h=6}}if((h|0)==6){l=0;m=l;i=d;return m|0}k=c[(c[b+156>>2]|0)+20>>2]|0;if((a[f+472|0]|0)!=0){k=k-1|0}j=0;a:while(1){if((j|0)>=(k|0)){h=18;break}do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((iO(f+416|0)|0)<<24>>24!=0){h=14;break}if(!0){break a}}else{h=14}}while(0);if((h|0)==14){h=0;n=a[(c[(c[b+156>>2]|0)+16>>2]|0)+j|0]|0;o=f+428|0;p=c[o>>2]|0;c[o>>2]=p+1;a[p]=n;if(!1){break}}j=j+1|0}if((h|0)==18){g=1;break}l=0;m=l;i=d;return m|0}}while(0);jO(e,b+60|0);b:while(1){j=kO(e)|0;if((j|0)==0){h=21;break}if((c[j+4>>2]|0)==0){continue}c:do{if((g&255|0)!=0){do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((iO(f+416|0)|0)<<24>>24!=0){break}if(0){break c}else{h=29;break b}}}while(0);k=f+428|0;n=c[k>>2]|0;c[k>>2]=n+1;a[n]=12;if(!1){h=29;break b}}}while(0);n=c[j>>2]|0;while(1){if((a[n]|0)==0){break}do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((iO(f+416|0)|0)<<24>>24!=0){h=35;break}if(!0){h=36;break b}}else{h=35}}while(0);if((h|0)==35){h=0;k=a[n]|0;p=f+428|0;o=c[p>>2]|0;c[p>>2]=o+1;a[o]=k;if(!1){h=36;break b}}n=n+1|0}do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((iO(f+416|0)|0)<<24>>24!=0){h=42;break}if(!0){h=43;break b}}else{h=42}}while(0);if((h|0)==42){h=0;n=f+428|0;k=c[n>>2]|0;c[n>>2]=k+1;a[k]=61;if(!1){h=43;break}}k=c[(c[j+4>>2]|0)+20>>2]|0;if((a[f+472|0]|0)!=0){k=k-1|0}n=0;while(1){if((n|0)>=(k|0)){break}do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((iO(f+416|0)|0)<<24>>24!=0){h=51;break}if(!0){h=52;break b}}else{h=51}}while(0);if((h|0)==51){h=0;o=a[(c[(c[j+4>>2]|0)+16>>2]|0)+n|0]|0;p=f+428|0;q=c[p>>2]|0;c[p>>2]=q+1;a[q]=o;if(!1){h=52;break b}}n=n+1|0}g=1}if((h|0)==21){jO(e,b|0);d:while(1){b=kO(e)|0;if((b|0)==0){h=58;break}if((a[b+32|0]|0)==0){continue}e:do{if((g&255|0)!=0){do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((iO(f+416|0)|0)<<24>>24!=0){break}if(0){break e}else{h=66;break d}}}while(0);n=f+428|0;j=c[n>>2]|0;c[n>>2]=j+1;a[j]=12;if(!1){h=66;break d}}}while(0);j=c[b>>2]|0;while(1){if((a[j]|0)==0){break}do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((iO(f+416|0)|0)<<24>>24!=0){h=72;break}if(!0){h=73;break d}}else{h=72}}while(0);if((h|0)==72){h=0;n=a[j]|0;k=f+428|0;o=c[k>>2]|0;c[k>>2]=o+1;a[o]=n;if(!1){h=73;break d}}j=j+1|0}g=1}if((h|0)==58){do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((iO(f+416|0)|0)<<24>>24!=0){h=80;break}if(0){h=82}else{h=81}}else{h=80}}while(0);if((h|0)==80){g=f+428|0;e=c[g>>2]|0;c[g>>2]=e+1;a[e]=0;if(1){h=82}else{h=81}}if((h|0)==81){l=0;m=l;i=d;return m|0}else if((h|0)==82){l=c[f+432>>2]|0;m=l;i=d;return m|0}}else if((h|0)==66){l=0;m=l;i=d;return m|0}else if((h|0)==73){l=0;m=l;i=d;return m|0}}else if((h|0)==29){l=0;m=l;i=d;return m|0}else if((h|0)==36){l=0;m=l;i=d;return m|0}else if((h|0)==43){l=0;m=l;i=d;return m|0}else if((h|0)==52){l=0;m=l;i=d;return m|0}return 0}function QO(b,e,f,g,h){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;j=i;k=b;b=e;e=f;f=g;g=h;h=c[k+356>>2]|0;l=0;m=0;n=lO(k,h+20|0,c[f>>2]|0,0)|0;if((n|0)==0){o=TN(h+80|0,c[f>>2]|0)|0;if((o|0)==0){p=1;q=p;i=j;return q|0}n=lO(k,h+20|0,o,24)|0;if((n|0)==0){p=1;q=p;i=j;return q|0}do{if((d[k+236|0]|0)!=0){if((WO(k,n)|0)!=0){break}p=1;q=p;i=j;return q|0}}while(0)}o=c[n+12>>2]|0;r=qe[c[b+40>>2]&127](b,e,c[k+380>>2]|0,c[k+392>>2]|0)|0;if((r+o|0)>(c[k+380>>2]|0)){s=c[k+380>>2]|0;c[k+380>>2]=r+o+16;t=me[c[k+16>>2]&127](c[k+392>>2]|0,c[k+380>>2]<<4)|0;if((t|0)==0){p=1;q=p;i=j;return q|0}c[k+392>>2]=t;if((r|0)>(s|0)){qe[c[b+40>>2]&127](b,e,r,c[k+392>>2]|0)|0}}e=c[k+392>>2]|0;s=0;while(1){if((s|0)>=(r|0)){u=49;break}t=(c[k+392>>2]|0)+(s<<4)|0;v=c[t>>2]|0;w=c[t>>2]|0;x=yO(k,b,v,w+(me[c[b+32>>2]&127](b,c[t>>2]|0)|0)|0)|0;if((x|0)==0){u=19;break}if((a[(c[x>>2]|0)-1|0]|0)!=0){u=21;break}a[(c[x>>2]|0)-1|0]=1;t=l;l=t+1|0;c[e+(t<<2)>>2]=c[x>>2];if((a[(c[k+392>>2]|0)+(s<<4)+12|0]|0)!=0){c[e+(l<<2)>>2]=uO(k+416|0,b,c[(c[k+392>>2]|0)+(s<<4)+4>>2]|0,c[(c[k+392>>2]|0)+(s<<4)+8>>2]|0)|0;if((c[e+(l<<2)>>2]|0)==0){u=37;break}c[k+432>>2]=c[k+428>>2]}else{t=1;if((a[x+8|0]|0)!=0){w=0;while(1){if((w|0)>=(o|0)){break}if((x|0)==(c[(c[n+20>>2]|0)+(w*12|0)>>2]|0)){u=29;break}w=w+1|0}if((u|0)==29){u=0;t=a[(c[n+20>>2]|0)+(w*12|0)+4|0]|0}}y=CO(k,b,t,c[(c[k+392>>2]|0)+(s<<4)+4>>2]|0,c[(c[k+392>>2]|0)+(s<<4)+8>>2]|0,k+416|0)|0;if((y|0)!=0){u=34;break}c[e+(l<<2)>>2]=c[k+432>>2];c[k+432>>2]=c[k+428>>2]}if((c[x+4>>2]|0)!=0){if((a[x+9|0]|0)!=0){z=pO(k,c[x+4>>2]|0,x,c[e+(l<<2)>>2]|0,g)|0;if((z|0)!=0){u=42;break}l=l-1|0}else{l=l+1|0;m=m+1|0;a[(c[x>>2]|0)-1|0]=2}}else{l=l+1|0}s=s+1|0}if((u|0)==19){p=1;q=p;i=j;return q|0}else if((u|0)==21){if((b|0)==(c[k+144>>2]|0)){c[k+288>>2]=c[(c[k+392>>2]|0)+(s<<4)>>2]}p=8;q=p;i=j;return q|0}else if((u|0)==34){p=y;q=p;i=j;return q|0}else if((u|0)==37){p=1;q=p;i=j;return q|0}else if((u|0)==42){p=z;q=p;i=j;return q|0}else if((u|0)==49){c[k+384>>2]=l;do{if((c[n+8>>2]|0)!=0){if((a[(c[c[n+8>>2]>>2]|0)-1|0]|0)==0){u=58;break}s=0;while(1){if((s|0)>=(l|0)){break}if((c[e+(s<<2)>>2]|0)==(c[c[n+8>>2]>>2]|0)){u=54;break}s=s+2|0}if((u|0)==54){c[k+388>>2]=s}}else{u=58}}while(0);if((u|0)==58){c[k+388>>2]=-1}s=0;a:while(1){if((s|0)>=(o|0)){break}x=(c[n+20>>2]|0)+(s*12|0)|0;do{if((a[(c[c[x>>2]>>2]|0)-1|0]|0)==0){if((c[x+8>>2]|0)==0){break}if((c[(c[x>>2]|0)+4>>2]|0)!=0){if((a[(c[x>>2]|0)+9|0]|0)!=0){A=pO(k,c[(c[x>>2]|0)+4>>2]|0,c[x>>2]|0,c[x+8>>2]|0,g)|0;if((A|0)!=0){u=66;break a}}else{a[(c[c[x>>2]>>2]|0)-1|0]=2;m=m+1|0;t=l;l=t+1|0;c[e+(t<<2)>>2]=c[c[x>>2]>>2];t=l;l=t+1|0;c[e+(t<<2)>>2]=c[x+8>>2]}}else{a[(c[c[x>>2]>>2]|0)-1|0]=1;t=l;l=t+1|0;c[e+(t<<2)>>2]=c[c[x>>2]>>2];t=l;l=t+1|0;c[e+(t<<2)>>2]=c[x+8>>2]}}}while(0);s=s+1|0}if((u|0)==66){p=A;q=p;i=j;return q|0}c[e+(l<<2)>>2]=0;s=0;if((m|0)!=0){A=c[k+400>>2]|0;o=1<<d[k+404|0];do{if((m<<1>>d[k+404|0]|0)!=0){do{x=k+404|0;t=a[x]|0;a[x]=t+1;}while((m>>(t&255)|0)!=0);if((d[k+404|0]|0)<3){a[k+404|0]=3}o=1<<d[k+404|0];t=me[c[k+16>>2]&127](c[k+396>>2]|0,o*12|0)|0;if((t|0)!=0){c[k+396>>2]=t;A=0;break}p=1;q=p;i=j;return q|0}}while(0);if((A|0)==0){A=-1;B=o;while(1){if((B|0)==0){break}t=B-1|0;B=t;c[(c[k+396>>2]|0)+(t*12|0)>>2]=A}}t=A-1|0;A=t;c[k+400>>2]=t;b:while(1){if((s|0)>=(l|0)){break}t=c[e+(s<<2)>>2]|0;if((a[t-1|0]|0)==2){x=c[k+496>>2]|0;a[t-1|0]=0;w=c[(c[(lO(k,h+40|0,t,0)|0)+4>>2]|0)+4>>2]|0;if((w|0)==0){u=93;break}B=0;while(1){if((B|0)>=(c[w+20>>2]|0)){break}z=a[(c[w+16>>2]|0)+B|0]|0;do{if((c[k+428>>2]|0)==(c[k+424>>2]|0)){if((iO(k+416|0)|0)<<24>>24!=0){u=99;break}if(!0){u=100;break b}}else{u=99}}while(0);if((u|0)==99){u=0;y=k+428|0;b=c[y>>2]|0;c[y>>2]=b+1;a[b]=z;if(!1){u=100;break b}}x=(x*1000003|0)^z&255;B=B+1|0}do{b=t;t=b+1|0;}while((a[b]|0)!=58);do{b=a[t]|0;do{if((c[k+428>>2]|0)==(c[k+424>>2]|0)){if((iO(k+416|0)|0)<<24>>24!=0){u=110;break}if(!0){u=111;break b}}else{u=110}}while(0);if((u|0)==110){u=0;z=a[t]|0;y=k+428|0;v=c[y>>2]|0;c[y>>2]=v+1;a[v]=z;if(!1){u=111;break b}}x=(x*1000003|0)^b&255;z=t;t=z+1|0;}while((a[z]|0)!=0);z=0;v=o-1|0;B=x&v;while(1){if((c[(c[k+396>>2]|0)+(B*12|0)>>2]|0)!=(A|0)){break}if((x|0)==(c[(c[k+396>>2]|0)+(B*12|0)+4>>2]|0)){y=c[k+432>>2]|0;C=c[(c[k+396>>2]|0)+(B*12|0)+8>>2]|0;while(1){if((a[y]|0)==(a[C]|0)){D=(a[y]|0)!=0}else{D=0}if(!D){break}y=y+1|0;C=C+1|0}if((a[y]|0)==0){u=124;break b}}if(!(z<<24>>24!=0)){z=((x&~v)>>>(((d[k+404|0]|0)-1|0)>>>0)&v>>>2|1)&255}if((B|0)<(z&255|0)){C=B+(o-(z&255))|0;B=C;E=C}else{C=B-(z&255)|0;B=C;E=C}}if((a[k+237|0]|0)!=0){a[(c[k+428>>2]|0)-1|0]=a[k+472|0]|0;t=c[c[w>>2]>>2]|0;do{do{if((c[k+428>>2]|0)==(c[k+424>>2]|0)){if((iO(k+416|0)|0)<<24>>24!=0){u=137;break}if(!0){u=138;break b}}else{u=137}}while(0);if((u|0)==137){u=0;y=a[t]|0;z=k+428|0;v=c[z>>2]|0;c[z>>2]=v+1;a[v]=y;if(!1){u=138;break b}}y=t;t=y+1|0;}while((a[y]|0)!=0)}t=c[k+432>>2]|0;c[k+432>>2]=c[k+428>>2];c[e+(s<<2)>>2]=t;c[(c[k+396>>2]|0)+(B*12|0)>>2]=A;c[(c[k+396>>2]|0)+(B*12|0)+4>>2]=x;c[(c[k+396>>2]|0)+(B*12|0)+8>>2]=t;w=m-1|0;m=w;if((w|0)==0){u=143;break}}else{a[t-1|0]=0}s=s+2|0}if((u|0)==93){p=27;q=p;i=j;return q|0}else if((u|0)==100){p=1;q=p;i=j;return q|0}else if((u|0)==111){p=1;q=p;i=j;return q|0}else if((u|0)==124){p=8;q=p;i=j;return q|0}else if((u|0)==138){p=1;q=p;i=j;return q|0}else if((u|0)==143){s=s+2|0}}while(1){if((s|0)>=(l|0)){break}a[(c[e+(s<<2)>>2]|0)-1|0]=0;s=s+2|0}e=c[g>>2]|0;while(1){if((e|0)==0){break}a[(c[c[e+12>>2]>>2]|0)-1|0]=0;e=c[e+4>>2]|0}if((a[k+236|0]|0)==0){p=0;q=p;i=j;return q|0}do{if((c[n+4>>2]|0)!=0){e=c[(c[n+4>>2]|0)+4>>2]|0;if((e|0)==0){p=27;q=p;i=j;return q|0}F=c[f>>2]|0;do{g=F;F=g+1|0;}while((a[g]|0)!=58)}else{if((c[h+156>>2]|0)!=0){e=c[h+156>>2]|0;F=c[f>>2]|0;break}else{p=0;q=p;i=j;return q|0}}}while(0);h=0;do{if((d[k+237|0]|0)!=0){if((c[c[e>>2]>>2]|0)==0){break}do{n=h;h=n+1|0;}while((a[(c[c[e>>2]>>2]|0)+n|0]|0)!=0)}}while(0);c[f+4>>2]=F;c[f+16>>2]=c[e+20>>2];c[f+8>>2]=c[c[e>>2]>>2];c[f+20>>2]=h;s=0;do{n=s;s=n+1|0;}while((a[F+n|0]|0)!=0);r=s+(c[e+20>>2]|0)+h|0;if((r|0)>(c[e+24>>2]|0)){G=ce[c[k+12>>2]&255](r+24|0)|0;if((G|0)==0){p=1;q=p;i=j;return q|0}c[e+24>>2]=r+24;Pla(G|0,c[e+16>>2]|0,c[e+20>>2]|0)|0;r=c[k+364>>2]|0;while(1){if((r|0)==0){break}if((c[r+12>>2]|0)==(c[e+16>>2]|0)){c[r+12>>2]=G}r=c[r>>2]|0}$d[c[k+20>>2]&511](c[e+16>>2]|0);c[e+16>>2]=G}G=(c[e+16>>2]|0)+(c[e+20>>2]|0)|0;Pla(G|0,F|0,s)|0;if((h|0)!=0){G=G+(s-1)|0;a[G]=a[k+472|0]|0;Pla(G+1|0,c[c[e>>2]>>2]|0,h)|0}c[f>>2]=c[e+16>>2];p=0;q=p;i=j;return q|0}return 0}function RO(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;g=i;i=i+8|0;h=g|0;j=b;b=d;d=e;e=f;c[j+280>>2]=62;c[j+288>>2]=b;a:while(1){c[h>>2]=0;f=qe[c[c[j+144>>2]>>2]&127](c[j+144>>2]|0,b,d,h)|0;c[j+292>>2]=c[h>>2];switch(f|0){case-1:{k=19;break a;break};case-2:{k=22;break a;break};case-4:{k=8;break a;break};case 15:{if((c[j+80>>2]|0)!=0){gO(j,c[j+144>>2]|0,b,c[h>>2]|0)}break};case 13:{if((KO(j,c[j+144>>2]|0,b,c[h>>2]|0)|0)==0){k=16;break a}break};case 0:{k=18;break a;break};case 11:{if((JO(j,c[j+144>>2]|0,b,c[h>>2]|0)|0)==0){k=13;break a}break};case-15:{k=3;break a;break};default:{k=25;break a}}f=c[h>>2]|0;b=f;c[j+288>>2]=f;f=c[j+480>>2]|0;if((f|0)==3){k=27;break}else if((f|0)==2){k=28;break}}b:do{if((k|0)==3){do{if((c[j+80>>2]|0)!=0){gO(j,c[j+144>>2]|0,b,c[h>>2]|0);if((c[j+480>>2]|0)==2){l=35;break b}else{break}}}while(0);c[e>>2]=c[h>>2];l=0}else if((k|0)==8){c[e>>2]=b;l=0}else if((k|0)==13){l=1}else if((k|0)==16){l=1}else if((k|0)==18){c[j+288>>2]=c[h>>2];l=4}else if((k|0)==19){if((a[j+484|0]|0)!=0){l=5;break}else{c[e>>2]=b;l=0;break}}else if((k|0)==22){if((a[j+484|0]|0)!=0){l=6;break}else{c[e>>2]=b;l=0;break}}else if((k|0)==25){l=9}else if((k|0)==27){c[e>>2]=c[h>>2];l=0}else if((k|0)==28){l=35}}while(0);i=g;return l|0}function SO(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;j=i;i=i+32|0;k=j|0;l=j+8|0;m=j+16|0;n=j+24|0;o=b;b=d;d=e;e=f;f=g;g=h;c[k>>2]=c[d>>2];if((b|0)==(c[o+144>>2]|0)){p=o+288|0;c[p>>2]=c[k>>2];q=o+292|0}else{p=c[o+300>>2]|0;q=(c[o+300>>2]|0)+4|0}c[p>>2]=c[k>>2];c[d>>2]=0;a:while(1){h=qe[c[b+8>>2]&127](b,c[k>>2]|0,e,l)|0;c[q>>2]=c[l>>2];switch(h|0){case 6:{h=c[o+60>>2]|0;if((h|0)!=0){if((a[b+72|0]|0)!=0){re[h&15](c[o+4>>2]|0,c[k>>2]|0,(c[l>>2]|0)-(c[k>>2]|0)|0)}else{while(1){c[n>>2]=c[o+44>>2];_d[c[b+60>>2]&31](b,k,c[l>>2]|0,n,c[o+48>>2]|0);c[q>>2]=c[l>>2];re[h&15](c[o+4>>2]|0,c[o+44>>2]|0,(c[n>>2]|0)-(c[o+44>>2]|0)|0);if((c[k>>2]|0)==(c[l>>2]|0)){break}c[p>>2]=c[k>>2]}}}else{if((c[o+80>>2]|0)!=0){gO(o,b,c[k>>2]|0,c[l>>2]|0)}}break};case 0:{r=33;break a;break};case-2:{r=34;break a;break};case 7:{if((c[o+60>>2]|0)!=0){a[m]=10;re[c[o+60>>2]&15](c[o+4>>2]|0,m,1)}else{if((c[o+80>>2]|0)!=0){gO(o,b,c[k>>2]|0,c[l>>2]|0)}}break};case 40:{r=6;break a;break};case-1:case-4:{r=37;break a;break};default:{r=40;break a}}h=c[l>>2]|0;c[k>>2]=h;c[p>>2]=h;h=c[o+480>>2]|0;if((h|0)==2){r=43;break}else if((h|0)==3){r=42;break}}if((r|0)==6){if((c[o+76>>2]|0)!=0){$d[c[o+76>>2]&511](c[o+4>>2]|0)}else{if((c[o+80>>2]|0)!=0){gO(o,b,c[k>>2]|0,c[l>>2]|0)}}c[d>>2]=c[l>>2];c[f>>2]=c[l>>2];if((c[o+480>>2]|0)==2){s=35;t=s;i=j;return t|0}else{s=0;t=s;i=j;return t|0}}else if((r|0)==33){c[p>>2]=c[l>>2];s=4;t=s;i=j;return t|0}else if((r|0)==34){if(g<<24>>24!=0){c[f>>2]=c[k>>2];s=0;t=s;i=j;return t|0}else{s=6;t=s;i=j;return t|0}}else if((r|0)==37){if(g<<24>>24!=0){c[f>>2]=c[k>>2];s=0;t=s;i=j;return t|0}else{s=20;t=s;i=j;return t|0}}else if((r|0)==40){c[p>>2]=c[l>>2];s=23;t=s;i=j;return t|0}else if((r|0)==42){c[f>>2]=c[l>>2];s=0;t=s;i=j;return t|0}else if((r|0)==43){s=35;t=s;i=j;return t|0}return 0}function TO(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;g=i;i=i+8|0;h=g|0;j=b;c[h>>2]=d;d=e;e=f;f=SO(j,c[j+144>>2]|0,h,d,e,((a[j+484|0]|0)!=0^1)&1)|0;if((f|0)!=0){k=f;l=k;i=g;return l|0}if((c[h>>2]|0)==0){k=f;l=k;i=g;return l|0}if((c[j+476>>2]|0)!=0){c[j+280>>2]=26;k=UO(j,c[h>>2]|0,d,e)|0;l=k;i=g;return l|0}else{c[j+280>>2]=2;k=wO(j,c[h>>2]|0,d,e)|0;l=k;i=g;return l|0}return 0}function UO(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=b;b=NO(h,1,c[h+144>>2]|0,d,e,f,((a[h+484|0]|0)!=0^1)&1)|0;do{if((b|0)==0){if((VO(h)|0)<<24>>24!=0){break}j=1;k=j;i=g;return k|0}}while(0);j=b;k=j;i=g;return k|0}



function Hka(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0,Dc=0,Ec=0,Fc=0,Gc=0,Hc=0,Ic=0,Jc=0,Kc=0,Lc=0,Mc=0,Nc=0,Oc=0;g=i;i=i+16|0;h=g|0;j=g+8|0;k=c[a+4>>2]|0;a=k;l=k+40|0;m=c[l>>2]|0;do{if((m|0)<1|(d|0)==0){n=0}else{o=lla(m<<2)|0;if((o|0)==0){p=12}else{n=o;break}i=g;return p|0}}while(0);m=n;a:do{if((c[k+60>>2]|0)==0){c[h>>2]=0;o=f&1;q=f&2;r=k+56|0;s=c[r>>2]&4;if((n|0)==0){t=0}else{t=c[l>>2]|0}u=t<<2;v=c[k+52>>2]|0;w=v<<3;x=w+8|0;y=u+12+w+(x+(ga(u,v)|0)<<1)|0;z=lla(y)|0;if((z|0)==0){A=12;break}Qla(z|0,0,y|0)|0;y=z;B=z+u&3;C=((B|0)==0?0:4-B|0)+u|0;B=z+C|0;D=C+x|0;C=z+D&3;E=((C|0)==0?0:4-C|0)+D|0;D=z+E|0;C=E+x|0;x=z+C&3;E=((x|0)==0?0:4-x|0)+C|0;C=z+E|0;x=E+w|0;w=z+x&3;if((v|0)>0){E=t<<3;F=0;G=z+(((w|0)==0?0:4-w|0)+x)|0;while(1){c[D+(F<<3)+4>>2]=G;c[B+(F<<3)+4>>2]=G+u;x=F+1|0;if((x|0)<(v|0)){F=x;G=G+E|0}else{H=0;break}}do{c[C+(H<<3)>>2]=-1;H=H+1|0;}while((H|0)<(v|0))}v=pka(h,b,4)|0;if((v|0)<1){if((v|0)<0){A=1;break}I=v+1|0}else{I=v}v=k+8|0;E=(s|0)==0;G=(o|0)==0;F=(t|0)>0;x=k+12|0;w=k+44|0;J=k+32|0;K=k+36|0;L=(t|0)==0;M=F^1;N=0;O=b+I|0;P=0;Q=I;R=D;S=y;T=0;U=-1;V=B;W=B;while(1){if((U|0)<0){X=c[v>>2]|0;Y=X+8|0;b:do{if((c[Y>>2]|0)==0){Z=W;_=U;$=T}else{aa=(P|0)==0;ba=(N|0)==95;ca=(P|0)<1&G;da=((N|0)!=10|E)^1;ea=W;fa=U;ha=T;ia=X;ja=Y;while(1){ka=ia;la=ja;c:while(1){ma=ka+12|0;if((c[C+(c[ma>>2]<<3)>>2]|0)>=(P|0)){na=ha;oa=fa;pa=ea;break}qa=ka+20|0;ra=c[qa>>2]|0;if((ra|0)==0){sa=260;break}d:do{if((ra&1|0)==0|ca|da){if((ra&2|0)!=0){ta=c[h>>2]|0;if((ta|q|0)!=0&((ta|0)!=10|E)){break}}do{if((ra&16|0)!=0){if(ba){break d}if((Wja(N)|0)!=0){break d}ta=c[h>>2]|0;if((ta|0)==95){break}if((Wja(ta)|0)==0){break d}}}while(0);ta=c[qa>>2]|0;if((ta&32|0)==0){ua=ta}else{if(!ba){if((Wja(N)|0)==0){break}}ta=c[h>>2]|0;if((ta|0)==95){break}if((Wja(ta)|0)!=0){break}ua=c[qa>>2]|0}do{if((ua&64|0)==0|aa){va=ua}else{ta=c[h>>2]|0;if((ta|0)==0){va=ua;break}if(ba){wa=1;xa=ta}else{ta=(Wja(N)|0)!=0|0;wa=ta;xa=c[h>>2]|0}if((xa|0)==95){ya=1}else{ya=(Wja(xa)|0)!=0|0}if((wa|0)==(ya|0)){break d}va=c[qa>>2]|0}}while(0);if((va&128|0)==0){sa=260;break c}if(aa){break}ta=c[h>>2]|0;if((ta|0)==0){break}if(ba){za=1;Aa=ta}else{ta=(Wja(N)|0)!=0|0;za=ta;Aa=c[h>>2]|0}if((Aa|0)==95){Ba=1}else{Ba=(Wja(Aa)|0)!=0|0}if((za|0)==(Ba|0)){sa=260;break c}}}while(0);qa=ka+40|0;if((c[qa>>2]|0)==0){Z=ea;_=fa;$=ha;break b}else{ka=ka+32|0;la=qa}}if((sa|0)==260){sa=0;qa=ea|0;c[qa>>2]=c[la>>2];if(F){Qla(c[ea+4>>2]|0,-1|0,u|0)|0}ra=c[ka+16>>2]|0;do{if((ra|0)!=0){ta=c[ra>>2]|0;if(!((ta|0)>-1)){break}Ca=ea+4|0;Da=ra;Ea=ta;do{if((Ea|0)<(t|0)){c[(c[Ca>>2]|0)+(Ea<<2)>>2]=P}Da=Da+4|0;Ea=c[Da>>2]|0;}while((Ea|0)>-1)}}while(0);ra=(c[qa>>2]|0)!=(c[x>>2]|0);if(ra|M){Fa=ra?ha:1;Ga=ra?fa:P;Ha=ea+4|0}else{ra=ea+4|0;la=c[ra>>2]|0;Ea=0;while(1){c[n+(Ea<<2)>>2]=c[la+(Ea<<2)>>2];Da=Ea+1|0;if((Da|0)<(t|0)){Ea=Da}else{Fa=1;Ga=P;Ha=ra;break}}}c[C+(c[ma>>2]<<3)>>2]=P;c[C+(c[ma>>2]<<3)+4>>2]=Ha;na=Fa;oa=Ga;pa=ea+8|0}ra=ka+40|0;if((c[ra>>2]|0)==0){Z=pa;_=oa;$=na;break}else{ea=pa;fa=oa;ha=na;ia=ka+32|0;ja=ra}}}}while(0);c[Z>>2]=0;Ia=$;Ja=_}else{if(L|(W|0)==(V|0)){Ka=U;break}else{Ia=T;Ja=U}}Y=c[h>>2]|0;if((Y|0)==0){Ka=Ja;break}X=P+Q|0;ja=pka(h,O,4)|0;if((ja|0)<1){if((ja|0)<0){A=1;break a}La=ja+1|0}else{La=ja}ja=O+La|0;if((c[w>>2]|0)==0|(Ia|0)==0){Ma=V;Na=Ia;Oa=R}else{ia=V|0;ha=c[ia>>2]|0;if((ha|0)==0){Pa=R}else{fa=R;ea=ia;ia=ha;while(1){ha=c[K>>2]|0;ba=c[ha>>2]|0;aa=ea+4|0;e:do{if((ba|0)>-1){da=0;ca=ba;while(1){ra=c[ha+((da|1)<<2)>>2]|0;if((ca|0)>=(t|0)){Qa=fa;break e}Ea=c[aa>>2]|0;if((c[Ea+(ra<<2)>>2]|0)==(c[n+(ra<<2)>>2]|0)){if((c[Ea+(ca<<2)>>2]|0)<(c[n+(ca<<2)>>2]|0)){Qa=fa;break e}}Ea=da+2|0;ra=c[ha+(Ea<<2)>>2]|0;if((ra|0)>-1){da=Ea;ca=ra}else{sa=287;break}}}else{sa=287}}while(0);if((sa|0)==287){sa=0;c[fa>>2]=ia;ha=fa+4|0;ba=c[ha>>2]|0;c[ha>>2]=c[aa>>2];c[aa>>2]=ba;Qa=fa+8|0}ba=ea+8|0;ha=c[ba>>2]|0;if((ha|0)==0){Pa=Qa;break}else{fa=Qa;ea=ba;ia=ha}}}c[Pa>>2]=0;Ma=R;Na=0;Oa=V}ia=c[Ma>>2]|0;if((ia|0)==0){Ra=Oa;Sa=Ja;Ta=Na;Ua=S}else{ea=(X|0)==0;fa=(Y|0)==95;ha=(X|0)<1&G;ba=((Y|0)!=10|E)^1;ca=Ma;da=Oa;ka=Ja;ra=Na;Ea=S;la=ia;while(1){ia=la+8|0;if((c[ia>>2]|0)==0){Va=da;Wa=ka;Xa=ra;Ya=Ea}else{qa=ca+4|0;Da=da;Ca=ka;ta=ra;Za=Ea;_a=la;$a=ia;while(1){f:do{if((c[_a>>2]|0)>>>0>Y>>>0){ab=Za;bb=ta;cb=Ca;db=Da}else{if((c[_a+4>>2]|0)>>>0<Y>>>0){ab=Za;bb=ta;cb=Ca;db=Da;break}ia=_a+20|0;eb=c[ia>>2]|0;g:do{if((eb|0)!=0){if(!((eb&1|0)==0|ha|ba)){ab=Za;bb=ta;cb=Ca;db=Da;break f}if((eb&2|0)!=0){fb=c[h>>2]|0;if((fb|q|0)!=0&((fb|0)!=10|E)){ab=Za;bb=ta;cb=Ca;db=Da;break f}}do{if((eb&16|0)!=0){if(fa){ab=Za;bb=ta;cb=Ca;db=Da;break f}if((Wja(Y)|0)!=0){ab=Za;bb=ta;cb=Ca;db=Da;break f}fb=c[h>>2]|0;if((fb|0)==95){break}if((Wja(fb)|0)==0){ab=Za;bb=ta;cb=Ca;db=Da;break f}}}while(0);fb=c[ia>>2]|0;if((fb&32|0)==0){gb=fb}else{if(!fa){if((Wja(Y)|0)==0){ab=Za;bb=ta;cb=Ca;db=Da;break f}}fb=c[h>>2]|0;if((fb|0)==95){ab=Za;bb=ta;cb=Ca;db=Da;break f}if((Wja(fb)|0)!=0){ab=Za;bb=ta;cb=Ca;db=Da;break f}gb=c[ia>>2]|0}do{if((gb&64|0)==0|ea){hb=gb}else{fb=c[h>>2]|0;if((fb|0)==0){hb=gb;break}if(fa){ib=1;jb=fb}else{fb=(Wja(Y)|0)!=0|0;ib=fb;jb=c[h>>2]|0}if((jb|0)==95){kb=1}else{kb=(Wja(jb)|0)!=0|0}if((ib|0)==(kb|0)){ab=Za;bb=ta;cb=Ca;db=Da;break f}hb=c[ia>>2]|0}}while(0);if((hb&128|0)==0){lb=hb}else{if(ea){ab=Za;bb=ta;cb=Ca;db=Da;break f}fb=c[h>>2]|0;if((fb|0)==0){ab=Za;bb=ta;cb=Ca;db=Da;break f}if(fa){mb=1;nb=fb}else{fb=(Wja(Y)|0)!=0|0;mb=fb;nb=c[h>>2]|0}if((nb|0)==95){ob=1}else{ob=(Wja(nb)|0)!=0|0}if((mb|0)!=(ob|0)){ab=Za;bb=ta;cb=Ca;db=Da;break f}lb=c[ia>>2]|0}do{if((lb&4|0)==0){pb=lb}else{if((c[r>>2]&2|0)!=0){pb=lb;break}if((_ja(Y,c[_a+24>>2]|0)|0)==0){ab=Za;bb=ta;cb=Ca;db=Da;break f}pb=c[ia>>2]|0}}while(0);do{if((pb&4|0)!=0){if((c[r>>2]&2|0)==0){break}fb=kka(Y)|0;qb=_a+24|0;if((_ja(fb,c[qb>>2]|0)|0)!=0){break}fb=ika(Y)|0;if((_ja(fb,c[qb>>2]|0)|0)==0){ab=Za;bb=ta;cb=Ca;db=Da;break f}}}while(0);if((c[ia>>2]&8|0)==0){break}qb=c[_a+28>>2]|0;fb=c[qb>>2]|0;if((fb|0)==0){break}if((c[r>>2]&2|0)==0){rb=qb;sb=fb;while(1){if((_ja(Y,sb)|0)!=0){ab=Za;bb=ta;cb=Ca;db=Da;break f}rb=rb+4|0;sb=c[rb>>2]|0;if((sb|0)==0){break g}}}else{tb=qb}do{sb=ika(Y)|0;if((_ja(sb,c[tb>>2]|0)|0)!=0){ab=Za;bb=ta;cb=Ca;db=Da;break f}sb=kka(Y)|0;if((_ja(sb,c[tb>>2]|0)|0)!=0){ab=Za;bb=ta;cb=Ca;db=Da;break f}tb=tb+4|0;}while((c[tb>>2]|0)!=0)}}while(0);if(F){ia=c[qa>>2]|0;eb=0;do{c[Za+(eb<<2)>>2]=c[ia+(eb<<2)>>2];eb=eb+1|0;}while((eb|0)<(t|0))}eb=c[_a+16>>2]|0;do{if((eb|0)!=0){ia=c[eb>>2]|0;if((ia|0)>-1){ub=eb;vb=ia}else{break}do{if((vb|0)<(t|0)){c[Za+(vb<<2)>>2]=X}ub=ub+4|0;vb=c[ub>>2]|0;}while((vb|0)>-1)}}while(0);eb=_a+12|0;ia=c[eb>>2]|0;qb=C+(ia<<3)|0;if((c[qb>>2]|0)<(X|0)){sb=Da|0;c[sb>>2]=c[$a>>2];rb=Da+4|0;fb=c[rb>>2]|0;c[rb>>2]=Za;c[qb>>2]=X;c[C+(c[eb>>2]<<3)+4>>2]=rb;do{if((c[sb>>2]|0)==(c[x>>2]|0)){if((Ca|0)==-1){if(!F){wb=1;xb=X;break}yb=c[rb>>2]|0}else{if(!F){wb=ta;xb=Ca;break}eb=c[rb>>2]|0;if((c[eb>>2]|0)>(c[n>>2]|0)){wb=ta;xb=Ca;break}else{yb=eb}}eb=0;while(1){c[n+(eb<<2)>>2]=c[yb+(eb<<2)>>2];qb=eb+1|0;if((qb|0)<(t|0)){eb=qb}else{wb=1;xb=X;break}}}else{wb=ta;xb=Ca}}while(0);ab=fb;bb=wb;cb=xb;db=Da+8|0;break}else{rb=c[J>>2]|0;sb=c[C+(ia<<3)+4>>2]|0;eb=c[sb>>2]|0;if(F){zb=0}else{ab=Za;bb=ta;cb=Ca;db=Da;break}while(1){qb=c[Za+(zb<<2)>>2]|0;Ab=c[eb+(zb<<2)>>2]|0;if((c[rb+(zb<<2)>>2]|0)==0){if((qb|0)<(Ab|0)){break}if((qb|0)>(Ab|0)){ab=Za;bb=ta;cb=Ca;db=Da;break f}}else{if((qb|0)>(Ab|0)){break}if((qb|0)<(Ab|0)){ab=Za;bb=ta;cb=Ca;db=Da;break f}}Ab=zb+1|0;if((Ab|0)<(t|0)){zb=Ab}else{ab=Za;bb=ta;cb=Ca;db=Da;break f}}c[sb>>2]=Za;if((c[$a>>2]|0)==(c[x>>2]|0)){Bb=0}else{ab=eb;bb=ta;cb=Ca;db=Da;break}while(1){c[n+(Bb<<2)>>2]=c[Za+(Bb<<2)>>2];rb=Bb+1|0;if((rb|0)<(t|0)){Bb=rb}else{ab=eb;bb=1;cb=X;db=Da;break}}}}}while(0);eb=_a+40|0;if((c[eb>>2]|0)==0){Va=db;Wa=cb;Xa=bb;Ya=ab;break}else{Da=db;Ca=cb;ta=bb;Za=ab;_a=_a+32|0;$a=eb}}}$a=ca+8|0;_a=c[$a>>2]|0;if((_a|0)==0){Ra=Va;Sa=Wa;Ta=Xa;Ua=Ya;break}else{ca=$a;da=Va;ka=Wa;ra=Xa;Ea=Ya;la=_a}}}c[Ra>>2]=0;N=Y;O=ja;P=X;Q=La;R=Ma;S=Ua;T=Ta;U=Sa;V=Oa;W=Ra}mla(z);Cb=Ka>>>31;Db=Ka;sa=375}else{c[j>>2]=0;W=f&1;V=f&2;U=k+56|0;T=c[U>>2]&4;S=Jka(0,0)|0;if((S|0)==0){A=12;break}R=Lka(S,0,0,0,32)|0;Q=R;if((R|0)==0){Kka(S);A=12;break}c[R+24>>2]=0;c[R+28>>2]=0;R=c[l>>2]|0;if((R|0)==0){Eb=0;sa=9}else{P=lla(R<<2)|0;O=P;if((P|0)==0){Fb=12;Gb=0;Hb=0;Ib=O;Jb=0}else{Eb=O;sa=9}}do{if((sa|0)==9){O=Eb;P=c[k+28>>2]|0;if((P|0)==0){Kb=0}else{N=lla(P<<3)|0;P=N;if((N|0)==0){Fb=12;Gb=P;Hb=0;Ib=Eb;Jb=0;break}else{Kb=P}}P=k+52|0;N=c[P>>2]|0;if((N|0)==0){Lb=0}else{x=lla(N<<2)|0;N=x;if((x|0)==0){Fb=12;Gb=Kb;Hb=N;Ib=Eb;Jb=0;break}else{Lb=N}}N=Lb;x=(n|0)==0;F=k+8|0;C=k+12|0;J=k+32|0;r=(T|0)==0;E=(W|0)==0;q=b;G=1;K=-1;w=-1;L=Q;M=R;h:while(1){do{if((M|0)>0){if(x){Qla(O|0,-1|0,M<<2|0)|0;break}else{u=0;do{c[Eb+(u<<2)>>2]=-1;c[n+(u<<2)>>2]=-1;u=u+1|0;}while((u|0)<(c[l>>2]|0))}}}while(0);u=c[P>>2]|0;if((u|0)>0){Qla(N|0,0,u<<2|0)|0}u=c[j>>2]|0;v=G+K|0;B=pka(j,q,4)|0;if((B|0)<1){if((B|0)<0){A=1;break a}Mb=B+1|0}else{Mb=B}B=q+Mb|0;y=c[j>>2]|0;D=c[F>>2]|0;o=D+8|0;if((c[o>>2]|0)==0){Nb=Mb;Ob=w;Pb=L;Qb=0;sa=196}else{s=(v|0)==0;la=(u|0)==95;Ea=(v|0)<1&E;ra=((u|0)!=10|r)^1;ka=0;da=0;ca=L;fa=D;D=o;while(1){o=fa+20|0;ea=c[o>>2]|0;i:do{if((ea|0)==0){sa=56}else{if(!((ea&1|0)==0|Ea|ra)){Rb=ca;Sb=da;Tb=ka;break}if((ea&2|0)!=0){ba=c[j>>2]|0;if((ba|V|0)!=0&((ba|0)!=10|r)){Rb=ca;Sb=da;Tb=ka;break}}do{if((ea&16|0)!=0){if(la){Rb=ca;Sb=da;Tb=ka;break i}if((Wja(u)|0)!=0){Rb=ca;Sb=da;Tb=ka;break i}ba=c[j>>2]|0;if((ba|0)==95){break}if((Wja(ba)|0)==0){Rb=ca;Sb=da;Tb=ka;break i}}}while(0);ba=c[o>>2]|0;if((ba&32|0)==0){Ub=ba}else{if(!la){if((Wja(u)|0)==0){Rb=ca;Sb=da;Tb=ka;break}}ba=c[j>>2]|0;if((ba|0)==95){Rb=ca;Sb=da;Tb=ka;break}if((Wja(ba)|0)!=0){Rb=ca;Sb=da;Tb=ka;break}Ub=c[o>>2]|0}do{if((Ub&64|0)==0|s){Vb=Ub}else{ba=c[j>>2]|0;if((ba|0)==0){Vb=Ub;break}if(la){Wb=1;Xb=ba}else{ba=(Wja(u)|0)!=0|0;Wb=ba;Xb=c[j>>2]|0}if((Xb|0)==95){Yb=1}else{Yb=(Wja(Xb)|0)!=0|0}if((Wb|0)==(Yb|0)){Rb=ca;Sb=da;Tb=ka;break i}Vb=c[o>>2]|0}}while(0);if((Vb&128|0)==0){sa=56;break}if(s){Rb=ca;Sb=da;Tb=ka;break}ba=c[j>>2]|0;if((ba|0)==0){Rb=ca;Sb=da;Tb=ka;break}if(la){Zb=1;_b=ba}else{ba=(Wja(u)|0)!=0|0;Zb=ba;_b=c[j>>2]|0}if((_b|0)==95){$b=1}else{$b=(Wja(_b)|0)!=0|0}if((Zb|0)==($b|0)){sa=56}else{Rb=ca;Sb=da;Tb=ka}}}while(0);do{if((sa|0)==56){sa=0;if((ka|0)==0){Rb=ca;Sb=c[fa+16>>2]|0;Tb=c[D>>2]|0;break}o=ca+28|0;ea=c[o>>2]|0;if((ea|0)==0){ba=Lka(S,0,0,0,32)|0;ha=ba;if((ba|0)==0){sa=60;break h}c[ba+24>>2]=ca;c[ba+28>>2]=0;_a=Lka(S,0,0,0,c[l>>2]<<2)|0;c[ba+20>>2]=_a;if((_a|0)==0){sa=67;break h}c[o>>2]=ha;ac=ha}else{ac=ea}c[ac>>2]=v;c[ac+4>>2]=B;c[ac+8>>2]=c[D>>2];c[ac+12>>2]=c[fa+12>>2];c[ac+16>>2]=c[j>>2];if((c[l>>2]|0)>0){ea=c[ac+20>>2]|0;ha=0;do{c[ea+(ha<<2)>>2]=c[Eb+(ha<<2)>>2];ha=ha+1|0;}while((ha|0)<(c[l>>2]|0))}ha=c[fa+16>>2]|0;if((ha|0)==0){Rb=ac;Sb=da;Tb=ka;break}ea=c[ha>>2]|0;if(!((ea|0)>-1)){Rb=ac;Sb=da;Tb=ka;break}o=c[ac+20>>2]|0;_a=ha;ha=ea;while(1){ea=_a+4|0;c[o+(ha<<2)>>2]=v;ba=c[ea>>2]|0;if((ba|0)>-1){_a=ea;ha=ba}else{Rb=ac;Sb=da;Tb=ka;break}}}}while(0);ha=fa+40|0;if((c[ha>>2]|0)==0){break}else{ka=Tb;da=Sb;ca=Rb;fa=fa+32|0;D=ha}}do{if((Sb|0)==0){bc=0}else{D=c[Sb>>2]|0;if((D|0)>-1){cc=Sb;dc=D}else{bc=Sb;break}while(1){c[Eb+(dc<<2)>>2]=v;D=cc+4|0;fa=c[D>>2]|0;if((fa|0)>-1){cc=D;dc=fa}else{bc=D;break}}}}while(0);if((Tb|0)==0){Nb=Mb;Ob=w;Pb=Rb;Qb=bc;sa=196}else{ec=B;fc=v;gc=Mb;hc=w;ic=Rb;jc=bc;kc=Tb}}j:while(1){if((sa|0)==196){sa=0;D=c[Pb+24>>2]|0;if((D|0)==0){break}fa=c[Pb+8>>2]|0;if((c[fa+20>>2]&256|0)!=0){c[Lb+(c[Pb+12>>2]<<2)>>2]=0}ca=c[Pb>>2]|0;da=c[Pb+4>>2]|0;c[j>>2]=c[Pb+16>>2];ka=c[l>>2]|0;if((ka|0)<=0){ec=da;fc=ca;gc=Nb;hc=Ob;ic=D;jc=Qb;kc=fa;continue}u=c[Pb+20>>2]|0;la=0;while(1){c[Eb+(la<<2)>>2]=c[u+(la<<2)>>2];s=la+1|0;if((s|0)<(ka|0)){la=s}else{ec=da;fc=ca;gc=Nb;hc=Ob;ic=D;jc=Qb;kc=fa;continue j}}}if((kc|0)==(c[C>>2]|0)){lc=jc;mc=ic;nc=gc;oc=fc}else{fa=kc;D=jc;ca=ic;da=gc;la=fc;ka=ec;while(1){u=fa+8|0;do{if((c[u>>2]|0)==0){sa=109}else{if((c[fa+20>>2]&256|0)==0){sa=109;break}s=c[fa+24>>2]|0;Ika(s+1|0,Kb,c[U>>2]&-9,a,Eb,la);ra=c[Kb+(s<<3)>>2]|0;Ea=c[Kb+(s<<3)+4>>2]|0;s=Ea-ra|0;if((Mla(b+ra|0,ka-1|0,s)|0)!=0){Nb=da;Ob=hc;Pb=ca;Qb=D;sa=196;continue j}ha=(Ea|0)==(ra|0);ra=ha&1;Ea=Lb+(c[fa+12>>2]<<2)|0;if(ha){if((c[Ea>>2]|0)!=0){Nb=da;Ob=hc;Pb=ca;Qb=D;sa=196;continue j}}c[Ea>>2]=ra;ra=s-1|0;s=ra+la|0;Ea=c[j>>2]|0;ha=pka(j,ka+ra|0,4)|0;if((ha|0)<1){if((ha|0)<0){A=1;break a}pc=ha+1|0}else{pc=ha}qc=Ea;rc=pc+ra|0;sc=s;tc=pc}}while(0);do{if((sa|0)==109){sa=0;s=c[j>>2]|0;if((s|0)==0){Nb=da;Ob=hc;Pb=ca;Qb=D;sa=196;continue j}ra=pka(j,ka,4)|0;if((ra|0)>=1){qc=s;rc=ra;sc=la;tc=ra;break}if((ra|0)<0){A=1;break a}Ea=ra+1|0;qc=s;rc=Ea;sc=la;tc=Ea}}while(0);Ea=ka+rc|0;s=sc+da|0;if((c[u>>2]|0)==0){Nb=tc;Ob=hc;Pb=ca;Qb=D;sa=196;continue j}ra=(s|0)==0;ha=(qc|0)==95;_a=(s|0)<1&E;o=((qc|0)!=10|r)^1;ba=D;ea=ca;$a=fa;Za=0;ta=u;while(1){k:do{if((c[$a>>2]|0)>>>0>qc>>>0){uc=Za;vc=ea;wc=ba}else{if((c[$a+4>>2]|0)>>>0<qc>>>0){uc=Za;vc=ea;wc=ba;break}Ca=$a+20|0;Da=c[Ca>>2]|0;l:do{if((Da|0)!=0){if(!((Da&1|0)==0|_a|o)){uc=Za;vc=ea;wc=ba;break k}if((Da&2|0)!=0){qa=c[j>>2]|0;if((qa|V|0)!=0&((qa|0)!=10|r)){uc=Za;vc=ea;wc=ba;break k}}do{if((Da&16|0)!=0){if(ha){uc=Za;vc=ea;wc=ba;break k}if((Wja(qc)|0)!=0){uc=Za;vc=ea;wc=ba;break k}qa=c[j>>2]|0;if((qa|0)==95){break}if((Wja(qa)|0)==0){uc=Za;vc=ea;wc=ba;break k}}}while(0);qa=c[Ca>>2]|0;if((qa&32|0)==0){xc=qa}else{if(!ha){if((Wja(qc)|0)==0){uc=Za;vc=ea;wc=ba;break k}}qa=c[j>>2]|0;if((qa|0)==95){uc=Za;vc=ea;wc=ba;break k}if((Wja(qa)|0)!=0){uc=Za;vc=ea;wc=ba;break k}xc=c[Ca>>2]|0}do{if((xc&64|0)==0|ra){yc=xc}else{qa=c[j>>2]|0;if((qa|0)==0){yc=xc;break}if(ha){zc=1;Ac=qa}else{qa=(Wja(qc)|0)!=0|0;zc=qa;Ac=c[j>>2]|0}if((Ac|0)==95){Bc=1}else{Bc=(Wja(Ac)|0)!=0|0}if((zc|0)==(Bc|0)){uc=Za;vc=ea;wc=ba;break k}yc=c[Ca>>2]|0}}while(0);if((yc&128|0)==0){Cc=yc}else{if(ra){uc=Za;vc=ea;wc=ba;break k}qa=c[j>>2]|0;if((qa|0)==0){uc=Za;vc=ea;wc=ba;break k}if(ha){Dc=1;Ec=qa}else{qa=(Wja(qc)|0)!=0|0;Dc=qa;Ec=c[j>>2]|0}if((Ec|0)==95){Fc=1}else{Fc=(Wja(Ec)|0)!=0|0}if((Dc|0)!=(Fc|0)){uc=Za;vc=ea;wc=ba;break k}Cc=c[Ca>>2]|0}do{if((Cc&4|0)==0){Gc=Cc}else{if((c[U>>2]&2|0)!=0){Gc=Cc;break}if((_ja(qc,c[$a+24>>2]|0)|0)==0){uc=Za;vc=ea;wc=ba;break k}Gc=c[Ca>>2]|0}}while(0);do{if((Gc&4|0)!=0){if((c[U>>2]&2|0)==0){break}qa=kka(qc)|0;aa=$a+24|0;if((_ja(qa,c[aa>>2]|0)|0)!=0){break}qa=ika(qc)|0;if((_ja(qa,c[aa>>2]|0)|0)==0){uc=Za;vc=ea;wc=ba;break k}}}while(0);if((c[Ca>>2]&8|0)==0){break}aa=c[$a+28>>2]|0;qa=c[aa>>2]|0;if((qa|0)==0){break}if((c[U>>2]&2|0)==0){eb=aa;sb=qa;while(1){if((_ja(qc,sb)|0)!=0){uc=Za;vc=ea;wc=ba;break k}eb=eb+4|0;sb=c[eb>>2]|0;if((sb|0)==0){break l}}}else{Hc=aa}do{sb=ika(qc)|0;if((_ja(sb,c[Hc>>2]|0)|0)!=0){uc=Za;vc=ea;wc=ba;break k}sb=kka(qc)|0;if((_ja(sb,c[Hc>>2]|0)|0)!=0){uc=Za;vc=ea;wc=ba;break k}Hc=Hc+4|0;}while((c[Hc>>2]|0)!=0)}}while(0);if((Za|0)==0){uc=c[ta>>2]|0;vc=ea;wc=c[$a+16>>2]|0;break}Ca=ea+28|0;Da=c[Ca>>2]|0;if((Da|0)==0){aa=Lka(S,0,0,0,32)|0;sb=aa;if((aa|0)==0){sa=169;break h}c[aa+24>>2]=ea;c[aa+28>>2]=0;eb=Lka(S,0,0,0,c[l>>2]<<2)|0;c[aa+20>>2]=eb;if((eb|0)==0){sa=176;break h}c[Ca>>2]=sb;Ic=sb}else{Ic=Da}c[Ic>>2]=s;c[Ic+4>>2]=Ea;c[Ic+8>>2]=c[ta>>2];c[Ic+12>>2]=c[$a+12>>2];c[Ic+16>>2]=c[j>>2];if((c[l>>2]|0)>0){Da=c[Ic+20>>2]|0;sb=0;do{c[Da+(sb<<2)>>2]=c[Eb+(sb<<2)>>2];sb=sb+1|0;}while((sb|0)<(c[l>>2]|0))}sb=c[$a+16>>2]|0;if((sb|0)==0){uc=Za;vc=Ic;wc=ba;break}Da=Ic+20|0;Ca=sb;while(1){sb=c[Ca>>2]|0;if(!((sb|0)>-1)){uc=Za;vc=Ic;wc=ba;break k}c[(c[Da>>2]|0)+(sb<<2)>>2]=s;sb=Ca+4|0;if((sb|0)==0){uc=Za;vc=Ic;wc=ba;break}else{Ca=sb}}}}while(0);Ca=$a+40|0;if((c[Ca>>2]|0)==0){break}else{ba=wc;ea=vc;$a=$a+32|0;Za=uc;ta=Ca}}if((uc|0)==0){Nb=tc;Ob=hc;Pb=vc;Qb=wc;sa=196;continue j}do{if((wc|0)==0){Jc=0}else{ta=c[wc>>2]|0;if((ta|0)>-1){Kc=wc;Lc=ta}else{Jc=wc;break}while(1){ta=Kc+4|0;c[Eb+(Lc<<2)>>2]=s;Za=c[ta>>2]|0;if((Za|0)>-1){Kc=ta;Lc=Za}else{Jc=ta;break}}}}while(0);if((uc|0)==(c[C>>2]|0)){lc=Jc;mc=vc;nc=tc;oc=s;break}else{fa=uc;D=Jc;ca=vc;da=tc;la=s;ka=Ea}}}m:do{if((hc|0)<(oc|0)){sa=96}else{if((hc|0)!=(oc|0)|x){Nb=nc;Ob=hc;Pb=mc;Qb=lc;sa=196;continue j}ka=c[l>>2]|0;la=c[J>>2]|0;if((ka|0)>0){Mc=0}else{Nb=nc;Ob=hc;Pb=mc;Qb=lc;sa=196;continue j}while(1){da=c[Eb+(Mc<<2)>>2]|0;ca=c[n+(Mc<<2)>>2]|0;if((c[la+(Mc<<2)>>2]|0)==0){if((da|0)<(ca|0)){sa=96;break m}if((da|0)>(ca|0)){Nb=nc;Ob=hc;Pb=mc;Qb=lc;sa=196;continue j}}else{if((da|0)>(ca|0)){Nc=ka;break m}if((da|0)<(ca|0)){Nb=nc;Ob=hc;Pb=mc;Qb=lc;sa=196;continue j}}ca=Mc+1|0;if((ca|0)<(ka|0)){Mc=ca}else{Nb=nc;Ob=hc;Pb=mc;Qb=lc;sa=196;continue j}}}}while(0);if((sa|0)==96){sa=0;if(x){Nb=nc;Ob=oc;Pb=mc;Qb=lc;sa=196;continue}Nc=c[l>>2]|0}if((Nc|0)>0){Oc=0}else{Nb=nc;Ob=oc;Pb=mc;Qb=lc;sa=196;continue}while(1){c[n+(Oc<<2)>>2]=c[Eb+(Oc<<2)>>2];ka=Oc+1|0;if((ka|0)<(c[l>>2]|0)){Oc=ka}else{Nb=nc;Ob=oc;Pb=mc;Qb=lc;sa=196;continue j}}}if((Ob|0)>=0){sa=205;break}if((c[j>>2]|0)==0){sa=205;break}c[j>>2]=y;q=B;G=Nb;K=v;w=Ob;L=Pb;M=c[l>>2]|0}if((sa|0)==60){Kka(S);if((Eb|0)!=0){mla(O)}if((Kb|0)!=0){mla(Kb)}if((Lb|0)==0){A=12;break a}mla(N);A=12;break a}else if((sa|0)==67){Kka(S);if((Eb|0)!=0){mla(O)}if((Kb|0)!=0){mla(Kb)}if((Lb|0)==0){A=12;break a}mla(N);A=12;break a}else if((sa|0)==169){Kka(S);if((Eb|0)!=0){mla(O)}if((Kb|0)!=0){mla(Kb)}if((Lb|0)==0){A=12;break a}mla(N);A=12;break a}else if((sa|0)==176){Kka(S);if((Eb|0)!=0){mla(O)}if((Kb|0)!=0){mla(Kb)}if((Lb|0)==0){A=12;break a}mla(N);A=12;break a}else if((sa|0)==205){Fb=Ob>>>31;Gb=Kb;Hb=Lb;Ib=Eb;Jb=Ob;break}}}while(0);Kka(S);if((Ib|0)!=0){mla(Ib)}if((Gb|0)!=0){mla(Gb)}if((Hb|0)==0){Cb=Fb;Db=Jb;sa=375;break}mla(Hb);Cb=Fb;Db=Jb;sa=375}}while(0);do{if((sa|0)==375){if((Cb|0)!=0){A=Cb;break}Ika(d,e,c[k+56>>2]|0,a,n,Db);A=0}}while(0);if((n|0)==0){p=A;i=g;return p|0}mla(m);p=A;i=g;return p|0}function Ika(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;do{if((g|0)>-1){if((d&8|0)!=0){h=0;break}i=c[e+16>>2]|0;j=e+28|0;k=c[j>>2]|0;l=(a|0)!=0;if((k|0)!=0&l){m=e+48|0;n=0;while(1){o=c[i+(n*12|0)>>2]|0;if((o|0)==(c[m>>2]|0)){c[b+(n<<3)>>2]=g;p=g}else{q=c[f+(o<<2)>>2]|0;c[b+(n<<3)>>2]=q;p=q}q=c[i+(n*12|0)+4>>2]|0;if((q|0)==(c[m>>2]|0)){c[b+(n<<3)+4>>2]=g;r=g}else{o=c[f+(q<<2)>>2]|0;c[b+(n<<3)+4>>2]=o;r=o}if((p|0)==-1|(r|0)==-1){c[b+(n<<3)+4>>2]=-1;c[b+(n<<3)>>2]=-1}o=n+1|0;q=c[j>>2]|0;if(o>>>0<q>>>0&o>>>0<a>>>0){n=o}else{s=q;break}}}else{s=k}if((s|0)!=0&l){t=0;u=s}else{h=0;break}while(1){n=b+(t<<3)+4|0;m=c[i+(t*12|0)+8>>2]|0;do{if((m|0)==0){v=u}else{q=c[m>>2]|0;if(!((q|0)>-1)){v=u;break}o=b+(t<<3)|0;w=0;x=q;q=c[o>>2]|0;while(1){if((q|0)<(c[b+(x<<3)>>2]|0)){y=21}else{if((c[n>>2]|0)>(c[b+(x<<3)+4>>2]|0)){y=21}else{z=q}}if((y|0)==21){y=0;c[n>>2]=-1;c[o>>2]=-1;z=-1}A=w+1|0;B=c[m+(A<<2)>>2]|0;if((B|0)>-1){w=A;x=B;q=z}else{break}}v=c[j>>2]|0}}while(0);m=t+1|0;if(m>>>0<v>>>0&m>>>0<a>>>0){t=m;u=v}else{h=m;break}}}else{h=0}}while(0);if(h>>>0<a>>>0){C=h}else{return}do{c[b+(C<<3)>>2]=-1;c[b+(C<<3)+4>>2]=-1;C=C+1|0;}while(C>>>0<a>>>0);return}function Jka(a,b){a=a|0;b=b|0;var c=0,d=0;if((a|0)==0){c=nla(1,24)|0}else{Qla(b|0,0,24)|0;c=b}if((c|0)==0){d=0;return d|0}d=c;return d|0}function Kka(a){a=a|0;var b=0,d=0,e=0;b=c[a>>2]|0;if((b|0)==0){d=a;mla(d);return}else{e=b}while(1){mla(c[e>>2]|0);b=c[e+4>>2]|0;mla(e);if((b|0)==0){break}else{e=b}}d=a;mla(d);return}function Lka(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;g=a+16|0;if((c[g>>2]|0)!=0){h=0;return h|0}i=a+12|0;j=c[i>>2]|0;do{if(j>>>0<f>>>0){if((b|0)!=0){if((d|0)!=0){c[a+8>>2]=d;c[i>>2]=1024;k=1024;l=d;break}c[g>>2]=1;h=0;return h|0}m=f<<3;n=m>>>0>1024>>>0?m:1024;m=lla(8)|0;o=m;if((m|0)==0){c[g>>2]=1;h=0;return h|0}p=lla(n)|0;q=m;c[q>>2]=p;if((p|0)==0){mla(m);c[g>>2]=1;h=0;return h|0}c[m+4>>2]=0;m=a+4|0;p=c[m>>2]|0;if((p|0)!=0){c[p+4>>2]=o}p=a|0;if((c[p>>2]|0)==0){c[p>>2]=o}c[m>>2]=o;o=c[q>>2]|0;c[a+8>>2]=o;c[i>>2]=n;k=n;l=o}else{k=j;l=c[a+8>>2]|0}}while(0);j=l+f&3;g=((j|0)==0?0:4-j|0)+f|0;c[a+8>>2]=l+g;c[i>>2]=k-g;if((e|0)==0){h=l;return h|0}Qla(l|0,0,g|0)|0;h=l;return h|0}function Mka(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;if((b|0)==0){d=a+((Nka(a)|0)<<2)|0;return d|0}else{e=a}while(1){f=c[e>>2]|0;if((f|0)==0|(f|0)==(b|0)){break}else{e=e+4|0}}d=(f|0)!=0?e:0;return d|0}function Nka(a){a=a|0;var b=0;b=a;while(1){if((c[b>>2]|0)==0){break}else{b=b+4|0}}return b-a>>2|0}function Oka(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;if((d|0)==0){return a|0}else{e=b;f=d;g=a}while(1){d=f-1|0;c[g>>2]=c[e>>2];if((d|0)==0){break}else{e=e+4|0;f=d;g=g+4|0}}return a|0}function Pka(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=(d|0)==0;if(a-b>>2>>>0<d>>>0){if(e){return a|0}else{f=d}do{f=f-1|0;c[a+(f<<2)>>2]=c[b+(f<<2)>>2];}while((f|0)!=0);return a|0}else{if(e){return a|0}else{g=b;h=d;i=a}while(1){d=h-1|0;c[i>>2]=c[g>>2];if((d|0)==0){break}else{g=g+4|0;h=d;i=i+4|0}}return a|0}return 0}function Qka(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;if((d|0)==0){return a|0}else{e=d;f=a}while(1){d=e-1|0;c[f>>2]=b;if((d|0)==0){break}else{e=d;f=f+4|0}}return a|0}function Rka(a){a=a|0;return}function Ska(a){a=a|0;c[a>>2]=9985408;return}function Tka(a){a=a|0;tla(a);return}function Uka(a){a=a|0;return}function Vka(a){a=a|0;return 9957136}function Wka(a){a=a|0;Rka(a|0);return}function Xka(a){a=a|0;return}function Yka(a){a=a|0;return}function Zka(a){a=a|0;Rka(a|0);tla(a);return}function _ka(a){a=a|0;Rka(a|0);tla(a);return}function $ka(a){a=a|0;Rka(a|0);tla(a);return}function ala(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=i;i=i+56|0;f=e|0;if((a|0)==(b|0)){g=1;i=e;return g|0}if((b|0)==0){g=0;i=e;return g|0}h=ela(b,9993424,9993408,0)|0;b=h;if((h|0)==0){g=0;i=e;return g|0}Qla(f|0,0,56)|0;c[f>>2]=b;c[f+8>>2]=a;c[f+12>>2]=-1;c[f+48>>2]=1;ue[c[(c[h>>2]|0)+28>>2]&63](b,f,c[d>>2]|0,1);if((c[f+24>>2]|0)!=1){g=0;i=e;return g|0}c[d>>2]=c[f+16>>2];g=1;i=e;return g|0}function bla(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0;if((c[d+8>>2]|0)!=(b|0)){return}b=d+16|0;g=c[b>>2]|0;if((g|0)==0){c[b>>2]=e;c[d+24>>2]=f;c[d+36>>2]=1;return}if((g|0)!=(e|0)){e=d+36|0;c[e>>2]=(c[e>>2]|0)+1;c[d+24>>2]=2;a[d+54|0]=1;return}e=d+24|0;if((c[e>>2]|0)!=2){return}c[e>>2]=f;return}function cla(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0;if((b|0)!=(c[d+8>>2]|0)){g=c[b+8>>2]|0;ue[c[(c[g>>2]|0)+28>>2]&63](g,d,e,f);return}g=d+16|0;b=c[g>>2]|0;if((b|0)==0){c[g>>2]=e;c[d+24>>2]=f;c[d+36>>2]=1;return}if((b|0)!=(e|0)){e=d+36|0;c[e>>2]=(c[e>>2]|0)+1;c[d+24>>2]=2;a[d+54|0]=1;return}e=d+24|0;if((c[e>>2]|0)!=2){return}c[e>>2]=f;return}function dla(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0;if((b|0)==(c[d+8>>2]|0)){g=d+16|0;h=c[g>>2]|0;if((h|0)==0){c[g>>2]=e;c[d+24>>2]=f;c[d+36>>2]=1;return}if((h|0)!=(e|0)){h=d+36|0;c[h>>2]=(c[h>>2]|0)+1;c[d+24>>2]=2;a[d+54|0]=1;return}h=d+24|0;if((c[h>>2]|0)!=2){return}c[h>>2]=f;return}h=c[b+12>>2]|0;g=b+16+(h<<3)|0;i=c[b+20>>2]|0;j=i>>8;if((i&1|0)==0){k=j}else{k=c[(c[e>>2]|0)+j>>2]|0}j=c[b+16>>2]|0;ue[c[(c[j>>2]|0)+28>>2]&63](j,d,e+k|0,(i&2|0)!=0?f:2);if((h|0)<=1){return}h=d+54|0;i=e;k=b+24|0;while(1){b=c[k+4>>2]|0;j=b>>8;if((b&1|0)==0){l=j}else{l=c[(c[i>>2]|0)+j>>2]|0}j=c[k>>2]|0;ue[c[(c[j>>2]|0)+28>>2]&63](j,d,e+l|0,(b&2|0)!=0?f:2);if((a[h]|0)!=0){m=16;break}b=k+8|0;if(b>>>0<g>>>0){k=b}else{m=16;break}}if((m|0)==16){return}}function ela(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;f=i;i=i+56|0;g=f|0;h=c[a>>2]|0;j=a+(c[h-8>>2]|0)|0;k=c[h-4>>2]|0;h=k;c[g>>2]=d;c[g+4>>2]=a;c[g+8>>2]=b;c[g+12>>2]=e;e=g+16|0;b=g+20|0;a=g+24|0;l=g+28|0;m=g+32|0;n=g+40|0;Qla(e|0,0,39)|0;do{if((k|0)==(d|0)){c[g+48>>2]=1;he[c[(c[k>>2]|0)+20>>2]&63](h,g,j,j,1,0);o=(c[a>>2]|0)==1?j:0}else{_d[c[(c[k>>2]|0)+24>>2]&31](h,g,j,1,0);p=c[g+36>>2]|0;if((p|0)==0){if((c[n>>2]|0)!=1){o=0;break}if((c[l>>2]|0)!=1){o=0;break}o=(c[m>>2]|0)==1?c[b>>2]|0:0;break}else if((p|0)!=1){o=0;break}if((c[a>>2]|0)!=1){if((c[n>>2]|0)!=0){o=0;break}if((c[l>>2]|0)!=1){o=0;break}if((c[m>>2]|0)!=1){o=0;break}}o=c[e>>2]|0}}while(0);i=f;return o|0}function fla(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;h=b|0;if((h|0)==(c[d+8>>2]|0)){if((c[d+4>>2]|0)!=(e|0)){return}i=d+28|0;if((c[i>>2]|0)==1){return}c[i>>2]=f;return}if((h|0)==(c[d>>2]|0)){do{if((c[d+16>>2]|0)!=(e|0)){h=d+20|0;if((c[h>>2]|0)==(e|0)){break}c[d+32>>2]=f;i=d+44|0;if((c[i>>2]|0)==4){return}j=c[b+12>>2]|0;k=b+16+(j<<3)|0;a:do{if((j|0)>0){l=d+52|0;m=d+53|0;n=d+54|0;o=b+8|0;p=d+24|0;q=e;r=0;s=b+16|0;t=0;b:while(1){a[l]=0;a[m]=0;u=c[s+4>>2]|0;v=u>>8;if((u&1|0)==0){w=v}else{w=c[(c[q>>2]|0)+v>>2]|0}v=c[s>>2]|0;he[c[(c[v>>2]|0)+20>>2]&63](v,d,e,e+w|0,2-(u>>>1&1)|0,g);if((a[n]|0)!=0){x=t;y=r;break}do{if((a[m]|0)==0){z=t;A=r}else{if((a[l]|0)==0){if((c[o>>2]&1|0)==0){x=1;y=r;break b}else{z=1;A=r;break}}if((c[p>>2]|0)==1){B=27;break a}if((c[o>>2]&2|0)==0){B=27;break a}else{z=1;A=1}}}while(0);u=s+8|0;if(u>>>0<k>>>0){r=A;s=u;t=z}else{x=z;y=A;break}}if(y){C=x;B=26}else{D=x;B=23}}else{D=0;B=23}}while(0);do{if((B|0)==23){c[h>>2]=e;k=d+40|0;c[k>>2]=(c[k>>2]|0)+1;if((c[d+36>>2]|0)!=1){C=D;B=26;break}if((c[d+24>>2]|0)!=2){C=D;B=26;break}a[d+54|0]=1;if(D){B=27}else{B=28}}}while(0);if((B|0)==26){if(C){B=27}else{B=28}}if((B|0)==27){c[i>>2]=3;return}else if((B|0)==28){c[i>>2]=4;return}}}while(0);if((f|0)!=1){return}c[d+32>>2]=1;return}C=c[b+12>>2]|0;D=b+16+(C<<3)|0;x=c[b+20>>2]|0;y=x>>8;if((x&1|0)==0){E=y}else{E=c[(c[e>>2]|0)+y>>2]|0}y=c[b+16>>2]|0;_d[c[(c[y>>2]|0)+24>>2]&31](y,d,e+E|0,(x&2|0)!=0?f:2,g);x=b+24|0;if((C|0)<=1){return}C=c[b+8>>2]|0;do{if((C&2|0)==0){b=d+36|0;if((c[b>>2]|0)==1){break}if((C&1|0)==0){E=d+54|0;y=e;A=x;while(1){if((a[E]|0)!=0){B=53;break}if((c[b>>2]|0)==1){B=53;break}z=c[A+4>>2]|0;w=z>>8;if((z&1|0)==0){F=w}else{F=c[(c[y>>2]|0)+w>>2]|0}w=c[A>>2]|0;_d[c[(c[w>>2]|0)+24>>2]&31](w,d,e+F|0,(z&2|0)!=0?f:2,g);z=A+8|0;if(z>>>0<D>>>0){A=z}else{B=53;break}}if((B|0)==53){return}}A=d+24|0;y=d+54|0;E=e;i=x;while(1){if((a[y]|0)!=0){B=53;break}if((c[b>>2]|0)==1){if((c[A>>2]|0)==1){B=53;break}}z=c[i+4>>2]|0;w=z>>8;if((z&1|0)==0){G=w}else{G=c[(c[E>>2]|0)+w>>2]|0}w=c[i>>2]|0;_d[c[(c[w>>2]|0)+24>>2]&31](w,d,e+G|0,(z&2|0)!=0?f:2,g);z=i+8|0;if(z>>>0<D>>>0){i=z}else{B=53;break}}if((B|0)==53){return}}}while(0);G=d+54|0;F=e;C=x;while(1){if((a[G]|0)!=0){B=53;break}x=c[C+4>>2]|0;i=x>>8;if((x&1|0)==0){H=i}else{H=c[(c[F>>2]|0)+i>>2]|0}i=c[C>>2]|0;_d[c[(c[i>>2]|0)+24>>2]&31](i,d,e+H|0,(x&2|0)!=0?f:2,g);x=C+8|0;if(x>>>0<D>>>0){C=x}else{B=53;break}}if((B|0)==53){return}}function gla(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0;h=b|0;if((h|0)==(c[d+8>>2]|0)){if((c[d+4>>2]|0)!=(e|0)){return}i=d+28|0;if((c[i>>2]|0)==1){return}c[i>>2]=f;return}if((h|0)!=(c[d>>2]|0)){h=c[b+8>>2]|0;_d[c[(c[h>>2]|0)+24>>2]&31](h,d,e,f,g);return}do{if((c[d+16>>2]|0)!=(e|0)){h=d+20|0;if((c[h>>2]|0)==(e|0)){break}c[d+32>>2]=f;i=d+44|0;if((c[i>>2]|0)==4){return}j=d+52|0;a[j]=0;k=d+53|0;a[k]=0;l=c[b+8>>2]|0;he[c[(c[l>>2]|0)+20>>2]&63](l,d,e,e,1,g);if((a[k]|0)==0){m=0;n=13}else{if((a[j]|0)==0){m=1;n=13}}a:do{if((n|0)==13){c[h>>2]=e;j=d+40|0;c[j>>2]=(c[j>>2]|0)+1;do{if((c[d+36>>2]|0)==1){if((c[d+24>>2]|0)!=2){n=16;break}a[d+54|0]=1;if(m){break a}}else{n=16}}while(0);if((n|0)==16){if(m){break}}c[i>>2]=4;return}}while(0);c[i>>2]=3;return}}while(0);if((f|0)!=1){return}c[d+32>>2]=1;return}function hla(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;if((c[d+8>>2]|0)==(b|0)){if((c[d+4>>2]|0)!=(e|0)){return}g=d+28|0;if((c[g>>2]|0)==1){return}c[g>>2]=f;return}if((c[d>>2]|0)!=(b|0)){return}do{if((c[d+16>>2]|0)!=(e|0)){b=d+20|0;if((c[b>>2]|0)==(e|0)){break}c[d+32>>2]=f;c[b>>2]=e;b=d+40|0;c[b>>2]=(c[b>>2]|0)+1;do{if((c[d+36>>2]|0)==1){if((c[d+24>>2]|0)!=2){break}a[d+54|0]=1}}while(0);c[d+44>>2]=4;return}}while(0);if((f|0)!=1){return}c[d+32>>2]=1;return}function ila(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;if((b|0)!=(c[d+8>>2]|0)){i=d+52|0;j=a[i]|0;k=d+53|0;l=a[k]|0;m=c[b+12>>2]|0;n=b+16+(m<<3)|0;a[i]=0;a[k]=0;o=c[b+20>>2]|0;p=o>>8;if((o&1|0)==0){q=p}else{q=c[(c[f>>2]|0)+p>>2]|0}p=c[b+16>>2]|0;he[c[(c[p>>2]|0)+20>>2]&63](p,d,e,f+q|0,(o&2|0)!=0?g:2,h);a:do{if((m|0)>1){o=d+24|0;q=b+8|0;p=d+54|0;r=f;s=b+24|0;do{if((a[p]|0)!=0){break a}do{if((a[i]|0)==0){if((a[k]|0)==0){break}if((c[q>>2]&1|0)==0){break a}}else{if((c[o>>2]|0)==1){break a}if((c[q>>2]&2|0)==0){break a}}}while(0);a[i]=0;a[k]=0;t=c[s+4>>2]|0;u=t>>8;if((t&1|0)==0){v=u}else{v=c[(c[r>>2]|0)+u>>2]|0}u=c[s>>2]|0;he[c[(c[u>>2]|0)+20>>2]&63](u,d,e,f+v|0,(t&2|0)!=0?g:2,h);s=s+8|0;}while(s>>>0<n>>>0)}}while(0);a[i]=j;a[k]=l;return}a[d+53|0]=1;if((c[d+4>>2]|0)!=(f|0)){return}a[d+52|0]=1;f=d+16|0;l=c[f>>2]|0;if((l|0)==0){c[f>>2]=e;c[d+24>>2]=g;c[d+36>>2]=1;if(!((c[d+48>>2]|0)==1&(g|0)==1)){return}a[d+54|0]=1;return}if((l|0)!=(e|0)){e=d+36|0;c[e>>2]=(c[e>>2]|0)+1;a[d+54|0]=1;return}e=d+24|0;l=c[e>>2]|0;if((l|0)==2){c[e>>2]=g;w=g}else{w=l}if(!((c[d+48>>2]|0)==1&(w|0)==1)){return}a[d+54|0]=1;return}function jla(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0;if((b|0)!=(c[d+8>>2]|0)){i=c[b+8>>2]|0;he[c[(c[i>>2]|0)+20>>2]&63](i,d,e,f,g,h);return}a[d+53|0]=1;if((c[d+4>>2]|0)!=(f|0)){return}a[d+52|0]=1;f=d+16|0;h=c[f>>2]|0;if((h|0)==0){c[f>>2]=e;c[d+24>>2]=g;c[d+36>>2]=1;if(!((c[d+48>>2]|0)==1&(g|0)==1)){return}a[d+54|0]=1;return}if((h|0)!=(e|0)){e=d+36|0;c[e>>2]=(c[e>>2]|0)+1;a[d+54|0]=1;return}e=d+24|0;h=c[e>>2]|0;if((h|0)==2){c[e>>2]=g;j=g}else{j=h}if(!((c[d+48>>2]|0)==1&(j|0)==1)){return}a[d+54|0]=1;return}function kla(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0;if((c[d+8>>2]|0)!=(b|0)){return}a[d+53|0]=1;if((c[d+4>>2]|0)!=(f|0)){return}a[d+52|0]=1;f=d+16|0;b=c[f>>2]|0;if((b|0)==0){c[f>>2]=e;c[d+24>>2]=g;c[d+36>>2]=1;if(!((c[d+48>>2]|0)==1&(g|0)==1)){return}a[d+54|0]=1;return}if((b|0)!=(e|0)){e=d+36|0;c[e>>2]=(c[e>>2]|0)+1;a[d+54|0]=1;return}e=d+24|0;b=c[e>>2]|0;if((b|0)==2){c[e>>2]=g;i=g}else{i=b}if(!((c[d+48>>2]|0)==1&(i|0)==1)){return}a[d+54|0]=1;return}function lla(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0;do{if(a>>>0<245>>>0){if(a>>>0<11>>>0){b=16}else{b=a+11&-8}d=b>>>3;e=c[2505836]|0;f=e>>>(d>>>0);if((f&3|0)!=0){g=(f&1^1)+d|0;h=g<<1;i=10023384+(h<<2)|0;j=10023384+(h+2<<2)|0;h=c[j>>2]|0;k=h+8|0;l=c[k>>2]|0;do{if((i|0)==(l|0)){c[2505836]=e&~(1<<g)}else{if(l>>>0<(c[2505840]|0)>>>0){sd();return 0}m=l+12|0;if((c[m>>2]|0)==(h|0)){c[m>>2]=i;c[j>>2]=l;break}else{sd();return 0}}}while(0);l=g<<3;c[h+4>>2]=l|3;j=h+(l|4)|0;c[j>>2]=c[j>>2]|1;n=k;return n|0}if(!(b>>>0>(c[2505838]|0)>>>0)){o=b;break}if((f|0)!=0){j=2<<d;l=f<<d&(j|-j);j=(l&-l)-1|0;l=j>>>12&16;i=j>>>(l>>>0);j=i>>>5&8;m=i>>>(j>>>0);i=m>>>2&4;p=m>>>(i>>>0);m=p>>>1&2;q=p>>>(m>>>0);p=q>>>1&1;r=(j|l|i|m|p)+(q>>>(p>>>0))|0;p=r<<1;q=10023384+(p<<2)|0;m=10023384+(p+2<<2)|0;p=c[m>>2]|0;i=p+8|0;l=c[i>>2]|0;do{if((q|0)==(l|0)){c[2505836]=e&~(1<<r)}else{if(l>>>0<(c[2505840]|0)>>>0){sd();return 0}j=l+12|0;if((c[j>>2]|0)==(p|0)){c[j>>2]=q;c[m>>2]=l;break}else{sd();return 0}}}while(0);l=r<<3;m=l-b|0;c[p+4>>2]=b|3;q=p;e=q+b|0;c[q+(b|4)>>2]=m|1;c[q+l>>2]=m;l=c[2505838]|0;if((l|0)!=0){q=c[2505841]|0;d=l>>>3;l=d<<1;f=10023384+(l<<2)|0;k=c[2505836]|0;h=1<<d;do{if((k&h|0)==0){c[2505836]=k|h;s=f;t=10023384+(l+2<<2)|0}else{d=10023384+(l+2<<2)|0;g=c[d>>2]|0;if(!(g>>>0<(c[2505840]|0)>>>0)){s=g;t=d;break}sd();return 0}}while(0);c[t>>2]=q;c[s+12>>2]=q;c[q+8>>2]=s;c[q+12>>2]=f}c[2505838]=m;c[2505841]=e;n=i;return n|0}l=c[2505837]|0;if((l|0)==0){o=b;break}h=(l&-l)-1|0;l=h>>>12&16;k=h>>>(l>>>0);h=k>>>5&8;p=k>>>(h>>>0);k=p>>>2&4;r=p>>>(k>>>0);p=r>>>1&2;d=r>>>(p>>>0);r=d>>>1&1;g=c[10023648+((h|l|k|p|r)+(d>>>(r>>>0))<<2)>>2]|0;r=g;d=g;p=(c[g+4>>2]&-8)-b|0;while(1){g=c[r+16>>2]|0;if((g|0)==0){k=c[r+20>>2]|0;if((k|0)==0){break}else{u=k}}else{u=g}g=(c[u+4>>2]&-8)-b|0;k=g>>>0<p>>>0;r=u;d=k?u:d;p=k?g:p}r=d;i=c[2505840]|0;if(r>>>0<i>>>0){sd();return 0}e=r+b|0;m=e;if(!(r>>>0<e>>>0)){sd();return 0}e=c[d+24>>2]|0;f=c[d+12>>2]|0;do{if((f|0)==(d|0)){q=d+20|0;g=c[q>>2]|0;if((g|0)==0){k=d+16|0;l=c[k>>2]|0;if((l|0)==0){v=0;break}else{w=l;x=k}}else{w=g;x=q}while(1){q=w+20|0;g=c[q>>2]|0;if((g|0)!=0){w=g;x=q;continue}q=w+16|0;g=c[q>>2]|0;if((g|0)==0){break}else{w=g;x=q}}if(x>>>0<i>>>0){sd();return 0}else{c[x>>2]=0;v=w;break}}else{q=c[d+8>>2]|0;if(q>>>0<i>>>0){sd();return 0}g=q+12|0;if((c[g>>2]|0)!=(d|0)){sd();return 0}k=f+8|0;if((c[k>>2]|0)==(d|0)){c[g>>2]=f;c[k>>2]=q;v=f;break}else{sd();return 0}}}while(0);a:do{if((e|0)!=0){f=c[d+28>>2]|0;i=10023648+(f<<2)|0;do{if((d|0)==(c[i>>2]|0)){c[i>>2]=v;if((v|0)!=0){break}c[2505837]=c[2505837]&~(1<<f);break a}else{if(e>>>0<(c[2505840]|0)>>>0){sd();return 0}q=e+16|0;if((c[q>>2]|0)==(d|0)){c[q>>2]=v}else{c[e+20>>2]=v}if((v|0)==0){break a}}}while(0);if(v>>>0<(c[2505840]|0)>>>0){sd();return 0}c[v+24>>2]=e;f=c[d+16>>2]|0;do{if((f|0)!=0){if(f>>>0<(c[2505840]|0)>>>0){sd();return 0}else{c[v+16>>2]=f;c[f+24>>2]=v;break}}}while(0);f=c[d+20>>2]|0;if((f|0)==0){break}if(f>>>0<(c[2505840]|0)>>>0){sd();return 0}else{c[v+20>>2]=f;c[f+24>>2]=v;break}}}while(0);if(p>>>0<16>>>0){e=p+b|0;c[d+4>>2]=e|3;f=r+(e+4)|0;c[f>>2]=c[f>>2]|1}else{c[d+4>>2]=b|3;c[r+(b|4)>>2]=p|1;c[r+(p+b)>>2]=p;f=c[2505838]|0;if((f|0)!=0){e=c[2505841]|0;i=f>>>3;f=i<<1;q=10023384+(f<<2)|0;k=c[2505836]|0;g=1<<i;do{if((k&g|0)==0){c[2505836]=k|g;y=q;z=10023384+(f+2<<2)|0}else{i=10023384+(f+2<<2)|0;l=c[i>>2]|0;if(!(l>>>0<(c[2505840]|0)>>>0)){y=l;z=i;break}sd();return 0}}while(0);c[z>>2]=e;c[y+12>>2]=e;c[e+8>>2]=y;c[e+12>>2]=q}c[2505838]=p;c[2505841]=m}f=d+8|0;if((f|0)==0){o=b;break}else{n=f}return n|0}else{if(a>>>0>4294967231>>>0){o=-1;break}f=a+11|0;g=f&-8;k=c[2505837]|0;if((k|0)==0){o=g;break}r=-g|0;i=f>>>8;do{if((i|0)==0){A=0}else{if(g>>>0>16777215>>>0){A=31;break}f=(i+1048320|0)>>>16&8;l=i<<f;h=(l+520192|0)>>>16&4;j=l<<h;l=(j+245760|0)>>>16&2;B=14-(h|f|l)+(j<<l>>>15)|0;A=g>>>((B+7|0)>>>0)&1|B<<1}}while(0);i=c[10023648+(A<<2)>>2]|0;b:do{if((i|0)==0){C=0;D=r;E=0}else{if((A|0)==31){F=0}else{F=25-(A>>>1)|0}d=0;m=r;p=i;q=g<<F;e=0;while(1){B=c[p+4>>2]&-8;l=B-g|0;if(l>>>0<m>>>0){if((B|0)==(g|0)){C=p;D=l;E=p;break b}else{G=p;H=l}}else{G=d;H=m}l=c[p+20>>2]|0;B=c[p+16+(q>>>31<<2)>>2]|0;j=(l|0)==0|(l|0)==(B|0)?e:l;if((B|0)==0){C=G;D=H;E=j;break}else{d=G;m=H;p=B;q=q<<1;e=j}}}}while(0);if((E|0)==0&(C|0)==0){i=2<<A;r=k&(i|-i);if((r|0)==0){o=g;break}i=(r&-r)-1|0;r=i>>>12&16;e=i>>>(r>>>0);i=e>>>5&8;q=e>>>(i>>>0);e=q>>>2&4;p=q>>>(e>>>0);q=p>>>1&2;m=p>>>(q>>>0);p=m>>>1&1;I=c[10023648+((i|r|e|q|p)+(m>>>(p>>>0))<<2)>>2]|0}else{I=E}if((I|0)==0){J=D;K=C}else{p=I;m=D;q=C;while(1){e=(c[p+4>>2]&-8)-g|0;r=e>>>0<m>>>0;i=r?e:m;e=r?p:q;r=c[p+16>>2]|0;if((r|0)!=0){p=r;m=i;q=e;continue}r=c[p+20>>2]|0;if((r|0)==0){J=i;K=e;break}else{p=r;m=i;q=e}}}if((K|0)==0){o=g;break}if(!(J>>>0<((c[2505838]|0)-g|0)>>>0)){o=g;break}q=K;m=c[2505840]|0;if(q>>>0<m>>>0){sd();return 0}p=q+g|0;k=p;if(!(q>>>0<p>>>0)){sd();return 0}e=c[K+24>>2]|0;i=c[K+12>>2]|0;do{if((i|0)==(K|0)){r=K+20|0;d=c[r>>2]|0;if((d|0)==0){j=K+16|0;B=c[j>>2]|0;if((B|0)==0){L=0;break}else{M=B;N=j}}else{M=d;N=r}while(1){r=M+20|0;d=c[r>>2]|0;if((d|0)!=0){M=d;N=r;continue}r=M+16|0;d=c[r>>2]|0;if((d|0)==0){break}else{M=d;N=r}}if(N>>>0<m>>>0){sd();return 0}else{c[N>>2]=0;L=M;break}}else{r=c[K+8>>2]|0;if(r>>>0<m>>>0){sd();return 0}d=r+12|0;if((c[d>>2]|0)!=(K|0)){sd();return 0}j=i+8|0;if((c[j>>2]|0)==(K|0)){c[d>>2]=i;c[j>>2]=r;L=i;break}else{sd();return 0}}}while(0);c:do{if((e|0)!=0){i=c[K+28>>2]|0;m=10023648+(i<<2)|0;do{if((K|0)==(c[m>>2]|0)){c[m>>2]=L;if((L|0)!=0){break}c[2505837]=c[2505837]&~(1<<i);break c}else{if(e>>>0<(c[2505840]|0)>>>0){sd();return 0}r=e+16|0;if((c[r>>2]|0)==(K|0)){c[r>>2]=L}else{c[e+20>>2]=L}if((L|0)==0){break c}}}while(0);if(L>>>0<(c[2505840]|0)>>>0){sd();return 0}c[L+24>>2]=e;i=c[K+16>>2]|0;do{if((i|0)!=0){if(i>>>0<(c[2505840]|0)>>>0){sd();return 0}else{c[L+16>>2]=i;c[i+24>>2]=L;break}}}while(0);i=c[K+20>>2]|0;if((i|0)==0){break}if(i>>>0<(c[2505840]|0)>>>0){sd();return 0}else{c[L+20>>2]=i;c[i+24>>2]=L;break}}}while(0);do{if(J>>>0<16>>>0){e=J+g|0;c[K+4>>2]=e|3;i=q+(e+4)|0;c[i>>2]=c[i>>2]|1}else{c[K+4>>2]=g|3;c[q+(g|4)>>2]=J|1;c[q+(J+g)>>2]=J;i=J>>>3;if(J>>>0<256>>>0){e=i<<1;m=10023384+(e<<2)|0;r=c[2505836]|0;j=1<<i;do{if((r&j|0)==0){c[2505836]=r|j;O=m;P=10023384+(e+2<<2)|0}else{i=10023384+(e+2<<2)|0;d=c[i>>2]|0;if(!(d>>>0<(c[2505840]|0)>>>0)){O=d;P=i;break}sd();return 0}}while(0);c[P>>2]=k;c[O+12>>2]=k;c[q+(g+8)>>2]=O;c[q+(g+12)>>2]=m;break}e=p;j=J>>>8;do{if((j|0)==0){Q=0}else{if(J>>>0>16777215>>>0){Q=31;break}r=(j+1048320|0)>>>16&8;i=j<<r;d=(i+520192|0)>>>16&4;B=i<<d;i=(B+245760|0)>>>16&2;l=14-(d|r|i)+(B<<i>>>15)|0;Q=J>>>((l+7|0)>>>0)&1|l<<1}}while(0);j=10023648+(Q<<2)|0;c[q+(g+28)>>2]=Q;c[q+(g+20)>>2]=0;c[q+(g+16)>>2]=0;m=c[2505837]|0;l=1<<Q;if((m&l|0)==0){c[2505837]=m|l;c[j>>2]=e;c[q+(g+24)>>2]=j;c[q+(g+12)>>2]=e;c[q+(g+8)>>2]=e;break}if((Q|0)==31){R=0}else{R=25-(Q>>>1)|0}l=J<<R;m=c[j>>2]|0;while(1){if((c[m+4>>2]&-8|0)==(J|0)){break}S=m+16+(l>>>31<<2)|0;j=c[S>>2]|0;if((j|0)==0){T=151;break}else{l=l<<1;m=j}}if((T|0)==151){if(S>>>0<(c[2505840]|0)>>>0){sd();return 0}else{c[S>>2]=e;c[q+(g+24)>>2]=m;c[q+(g+12)>>2]=e;c[q+(g+8)>>2]=e;break}}l=m+8|0;j=c[l>>2]|0;i=c[2505840]|0;if(m>>>0<i>>>0){sd();return 0}if(j>>>0<i>>>0){sd();return 0}else{c[j+12>>2]=e;c[l>>2]=e;c[q+(g+8)>>2]=j;c[q+(g+12)>>2]=m;c[q+(g+24)>>2]=0;break}}}while(0);q=K+8|0;if((q|0)==0){o=g;break}else{n=q}return n|0}}while(0);K=c[2505838]|0;if(!(o>>>0>K>>>0)){S=K-o|0;J=c[2505841]|0;if(S>>>0>15>>>0){R=J;c[2505841]=R+o;c[2505838]=S;c[R+(o+4)>>2]=S|1;c[R+K>>2]=S;c[J+4>>2]=o|3}else{c[2505838]=0;c[2505841]=0;c[J+4>>2]=K|3;S=J+(K+4)|0;c[S>>2]=c[S>>2]|1}n=J+8|0;return n|0}J=c[2505839]|0;if(o>>>0<J>>>0){S=J-o|0;c[2505839]=S;J=c[2505842]|0;K=J;c[2505842]=K+o;c[K+(o+4)>>2]=S|1;c[J+4>>2]=o|3;n=J+8|0;return n|0}do{if((c[2502304]|0)==0){J=Na(30)|0;if((J-1&J|0)==0){c[2502306]=J;c[2502305]=J;c[2502307]=-1;c[2502308]=-1;c[2502309]=0;c[2505947]=0;c[2502304]=(Wd(0)|0)&-16^1431655768;break}else{sd();return 0}}}while(0);J=o+48|0;S=c[2502306]|0;K=o+47|0;R=S+K|0;Q=-S|0;S=R&Q;if(!(S>>>0>o>>>0)){n=0;return n|0}O=c[2505946]|0;do{if((O|0)!=0){P=c[2505944]|0;L=P+S|0;if(L>>>0<=P>>>0|L>>>0>O>>>0){n=0}else{break}return n|0}}while(0);d:do{if((c[2505947]&4|0)==0){O=c[2505842]|0;e:do{if((O|0)==0){T=181}else{L=O;P=10023792;while(1){U=P|0;M=c[U>>2]|0;if(!(M>>>0>L>>>0)){V=P+4|0;if((M+(c[V>>2]|0)|0)>>>0>L>>>0){break}}M=c[P+8>>2]|0;if((M|0)==0){T=181;break e}else{P=M}}if((P|0)==0){T=181;break}L=R-(c[2505839]|0)&Q;if(!(L>>>0<2147483647>>>0)){W=0;break}m=$c(L|0)|0;e=(m|0)==((c[U>>2]|0)+(c[V>>2]|0)|0);X=e?m:-1;Y=e?L:0;Z=m;_=L;T=190}}while(0);do{if((T|0)==181){O=$c(0)|0;if((O|0)==-1){W=0;break}g=O;L=c[2502305]|0;m=L-1|0;if((m&g|0)==0){$=S}else{$=S-g+(m+g&-L)|0}L=c[2505944]|0;g=L+$|0;if(!($>>>0>o>>>0&$>>>0<2147483647>>>0)){W=0;break}m=c[2505946]|0;if((m|0)!=0){if(g>>>0<=L>>>0|g>>>0>m>>>0){W=0;break}}m=$c($|0)|0;g=(m|0)==(O|0);X=g?O:-1;Y=g?$:0;Z=m;_=$;T=190}}while(0);f:do{if((T|0)==190){m=-_|0;if(!((X|0)==-1)){aa=Y;ba=X;T=201;break d}do{if((Z|0)!=-1&_>>>0<2147483647>>>0&_>>>0<J>>>0){g=c[2502306]|0;O=K-_+g&-g;if(!(O>>>0<2147483647>>>0)){ca=_;break}if(($c(O|0)|0)==-1){$c(m|0)|0;W=Y;break f}else{ca=O+_|0;break}}else{ca=_}}while(0);if((Z|0)==-1){W=Y}else{aa=ca;ba=Z;T=201;break d}}}while(0);c[2505947]=c[2505947]|4;da=W;T=198}else{da=0;T=198}}while(0);do{if((T|0)==198){if(!(S>>>0<2147483647>>>0)){break}W=$c(S|0)|0;Z=$c(0)|0;if(!((Z|0)!=-1&(W|0)!=-1&W>>>0<Z>>>0)){break}ca=Z-W|0;Z=ca>>>0>(o+40|0)>>>0;Y=Z?W:-1;if(!((Y|0)==-1)){aa=Z?ca:da;ba=Y;T=201}}}while(0);do{if((T|0)==201){da=(c[2505944]|0)+aa|0;c[2505944]=da;if(da>>>0>(c[2505945]|0)>>>0){c[2505945]=da}da=c[2505842]|0;g:do{if((da|0)==0){S=c[2505840]|0;if((S|0)==0|ba>>>0<S>>>0){c[2505840]=ba}c[2505948]=ba;c[2505949]=aa;c[2505951]=0;c[2505845]=c[2502304];c[2505844]=-1;S=0;do{Y=S<<1;ca=10023384+(Y<<2)|0;c[10023384+(Y+3<<2)>>2]=ca;c[10023384+(Y+2<<2)>>2]=ca;S=S+1|0;}while(S>>>0<32>>>0);S=ba+8|0;if((S&7|0)==0){ea=0}else{ea=-S&7}S=aa-40-ea|0;c[2505842]=ba+ea;c[2505839]=S;c[ba+(ea+4)>>2]=S|1;c[ba+(aa-36)>>2]=40;c[2505843]=c[2502308]}else{S=10023792;while(1){fa=c[S>>2]|0;ga=S+4|0;ha=c[ga>>2]|0;if((ba|0)==(fa+ha|0)){T=213;break}ca=c[S+8>>2]|0;if((ca|0)==0){break}else{S=ca}}do{if((T|0)==213){if((c[S+12>>2]&8|0)!=0){break}ca=da;if(!(ca>>>0>=fa>>>0&ca>>>0<ba>>>0)){break}c[ga>>2]=ha+aa;Y=(c[2505839]|0)+aa|0;Z=da+8|0;if((Z&7|0)==0){ia=0}else{ia=-Z&7}Z=Y-ia|0;c[2505842]=ca+ia;c[2505839]=Z;c[ca+(ia+4)>>2]=Z|1;c[ca+(Y+4)>>2]=40;c[2505843]=c[2502308];break g}}while(0);if(ba>>>0<(c[2505840]|0)>>>0){c[2505840]=ba}S=ba+aa|0;Y=10023792;while(1){ja=Y|0;if((c[ja>>2]|0)==(S|0)){T=223;break}ca=c[Y+8>>2]|0;if((ca|0)==0){break}else{Y=ca}}do{if((T|0)==223){if((c[Y+12>>2]&8|0)!=0){break}c[ja>>2]=ba;S=Y+4|0;c[S>>2]=(c[S>>2]|0)+aa;S=ba+8|0;if((S&7|0)==0){ka=0}else{ka=-S&7}S=ba+(aa+8)|0;if((S&7|0)==0){la=0}else{la=-S&7}S=ba+(la+aa)|0;ca=S;Z=ka+o|0;W=ba+Z|0;_=W;K=S-(ba+ka)-o|0;c[ba+(ka+4)>>2]=o|3;do{if((ca|0)==(c[2505842]|0)){J=(c[2505839]|0)+K|0;c[2505839]=J;c[2505842]=_;c[ba+(Z+4)>>2]=J|1}else{if((ca|0)==(c[2505841]|0)){J=(c[2505838]|0)+K|0;c[2505838]=J;c[2505841]=_;c[ba+(Z+4)>>2]=J|1;c[ba+(J+Z)>>2]=J;break}J=aa+4|0;X=c[ba+(J+la)>>2]|0;if((X&3|0)==1){$=X&-8;V=X>>>3;h:do{if(X>>>0<256>>>0){U=c[ba+((la|8)+aa)>>2]|0;Q=c[ba+(aa+12+la)>>2]|0;R=10023384+(V<<1<<2)|0;do{if((U|0)!=(R|0)){if(U>>>0<(c[2505840]|0)>>>0){sd();return 0}if((c[U+12>>2]|0)==(ca|0)){break}sd();return 0}}while(0);if((Q|0)==(U|0)){c[2505836]=c[2505836]&~(1<<V);break}do{if((Q|0)==(R|0)){ma=Q+8|0}else{if(Q>>>0<(c[2505840]|0)>>>0){sd();return 0}m=Q+8|0;if((c[m>>2]|0)==(ca|0)){ma=m;break}sd();return 0}}while(0);c[U+12>>2]=Q;c[ma>>2]=U}else{R=S;m=c[ba+((la|24)+aa)>>2]|0;P=c[ba+(aa+12+la)>>2]|0;do{if((P|0)==(R|0)){O=la|16;g=ba+(J+O)|0;L=c[g>>2]|0;if((L|0)==0){e=ba+(O+aa)|0;O=c[e>>2]|0;if((O|0)==0){na=0;break}else{oa=O;pa=e}}else{oa=L;pa=g}while(1){g=oa+20|0;L=c[g>>2]|0;if((L|0)!=0){oa=L;pa=g;continue}g=oa+16|0;L=c[g>>2]|0;if((L|0)==0){break}else{oa=L;pa=g}}if(pa>>>0<(c[2505840]|0)>>>0){sd();return 0}else{c[pa>>2]=0;na=oa;break}}else{g=c[ba+((la|8)+aa)>>2]|0;if(g>>>0<(c[2505840]|0)>>>0){sd();return 0}L=g+12|0;if((c[L>>2]|0)!=(R|0)){sd();return 0}e=P+8|0;if((c[e>>2]|0)==(R|0)){c[L>>2]=P;c[e>>2]=g;na=P;break}else{sd();return 0}}}while(0);if((m|0)==0){break}P=c[ba+(aa+28+la)>>2]|0;U=10023648+(P<<2)|0;do{if((R|0)==(c[U>>2]|0)){c[U>>2]=na;if((na|0)!=0){break}c[2505837]=c[2505837]&~(1<<P);break h}else{if(m>>>0<(c[2505840]|0)>>>0){sd();return 0}Q=m+16|0;if((c[Q>>2]|0)==(R|0)){c[Q>>2]=na}else{c[m+20>>2]=na}if((na|0)==0){break h}}}while(0);if(na>>>0<(c[2505840]|0)>>>0){sd();return 0}c[na+24>>2]=m;R=la|16;P=c[ba+(R+aa)>>2]|0;do{if((P|0)!=0){if(P>>>0<(c[2505840]|0)>>>0){sd();return 0}else{c[na+16>>2]=P;c[P+24>>2]=na;break}}}while(0);P=c[ba+(J+R)>>2]|0;if((P|0)==0){break}if(P>>>0<(c[2505840]|0)>>>0){sd();return 0}else{c[na+20>>2]=P;c[P+24>>2]=na;break}}}while(0);qa=ba+(($|la)+aa)|0;ra=$+K|0}else{qa=ca;ra=K}J=qa+4|0;c[J>>2]=c[J>>2]&-2;c[ba+(Z+4)>>2]=ra|1;c[ba+(ra+Z)>>2]=ra;J=ra>>>3;if(ra>>>0<256>>>0){V=J<<1;X=10023384+(V<<2)|0;P=c[2505836]|0;m=1<<J;do{if((P&m|0)==0){c[2505836]=P|m;sa=X;ta=10023384+(V+2<<2)|0}else{J=10023384+(V+2<<2)|0;U=c[J>>2]|0;if(!(U>>>0<(c[2505840]|0)>>>0)){sa=U;ta=J;break}sd();return 0}}while(0);c[ta>>2]=_;c[sa+12>>2]=_;c[ba+(Z+8)>>2]=sa;c[ba+(Z+12)>>2]=X;break}V=W;m=ra>>>8;do{if((m|0)==0){ua=0}else{if(ra>>>0>16777215>>>0){ua=31;break}P=(m+1048320|0)>>>16&8;$=m<<P;J=($+520192|0)>>>16&4;U=$<<J;$=(U+245760|0)>>>16&2;Q=14-(J|P|$)+(U<<$>>>15)|0;ua=ra>>>((Q+7|0)>>>0)&1|Q<<1}}while(0);m=10023648+(ua<<2)|0;c[ba+(Z+28)>>2]=ua;c[ba+(Z+20)>>2]=0;c[ba+(Z+16)>>2]=0;X=c[2505837]|0;Q=1<<ua;if((X&Q|0)==0){c[2505837]=X|Q;c[m>>2]=V;c[ba+(Z+24)>>2]=m;c[ba+(Z+12)>>2]=V;c[ba+(Z+8)>>2]=V;break}if((ua|0)==31){va=0}else{va=25-(ua>>>1)|0}Q=ra<<va;X=c[m>>2]|0;while(1){if((c[X+4>>2]&-8|0)==(ra|0)){break}wa=X+16+(Q>>>31<<2)|0;m=c[wa>>2]|0;if((m|0)==0){T=296;break}else{Q=Q<<1;X=m}}if((T|0)==296){if(wa>>>0<(c[2505840]|0)>>>0){sd();return 0}else{c[wa>>2]=V;c[ba+(Z+24)>>2]=X;c[ba+(Z+12)>>2]=V;c[ba+(Z+8)>>2]=V;break}}Q=X+8|0;m=c[Q>>2]|0;$=c[2505840]|0;if(X>>>0<$>>>0){sd();return 0}if(m>>>0<$>>>0){sd();return 0}else{c[m+12>>2]=V;c[Q>>2]=V;c[ba+(Z+8)>>2]=m;c[ba+(Z+12)>>2]=X;c[ba+(Z+24)>>2]=0;break}}}while(0);n=ba+(ka|8)|0;return n|0}}while(0);Y=da;Z=10023792;while(1){xa=c[Z>>2]|0;if(!(xa>>>0>Y>>>0)){ya=c[Z+4>>2]|0;za=xa+ya|0;if(za>>>0>Y>>>0){break}}Z=c[Z+8>>2]|0}Z=xa+(ya-39)|0;if((Z&7|0)==0){Aa=0}else{Aa=-Z&7}Z=xa+(ya-47+Aa)|0;W=Z>>>0<(da+16|0)>>>0?Y:Z;Z=W+8|0;_=ba+8|0;if((_&7|0)==0){Ba=0}else{Ba=-_&7}_=aa-40-Ba|0;c[2505842]=ba+Ba;c[2505839]=_;c[ba+(Ba+4)>>2]=_|1;c[ba+(aa-36)>>2]=40;c[2505843]=c[2502308];c[W+4>>2]=27;c[Z>>2]=c[2505948];c[Z+4>>2]=c[2505949];c[Z+8>>2]=c[2505950];c[Z+12>>2]=c[2505951];c[2505948]=ba;c[2505949]=aa;c[2505951]=0;c[2505950]=Z;Z=W+28|0;c[Z>>2]=7;if((W+32|0)>>>0<za>>>0){_=Z;while(1){Z=_+4|0;c[Z>>2]=7;if((_+8|0)>>>0<za>>>0){_=Z}else{break}}}if((W|0)==(Y|0)){break}_=W-da|0;Z=Y+(_+4)|0;c[Z>>2]=c[Z>>2]&-2;c[da+4>>2]=_|1;c[Y+_>>2]=_;Z=_>>>3;if(_>>>0<256>>>0){K=Z<<1;ca=10023384+(K<<2)|0;S=c[2505836]|0;m=1<<Z;do{if((S&m|0)==0){c[2505836]=S|m;Ca=ca;Da=10023384+(K+2<<2)|0}else{Z=10023384+(K+2<<2)|0;Q=c[Z>>2]|0;if(!(Q>>>0<(c[2505840]|0)>>>0)){Ca=Q;Da=Z;break}sd();return 0}}while(0);c[Da>>2]=da;c[Ca+12>>2]=da;c[da+8>>2]=Ca;c[da+12>>2]=ca;break}K=da;m=_>>>8;do{if((m|0)==0){Ea=0}else{if(_>>>0>16777215>>>0){Ea=31;break}S=(m+1048320|0)>>>16&8;Y=m<<S;W=(Y+520192|0)>>>16&4;Z=Y<<W;Y=(Z+245760|0)>>>16&2;Q=14-(W|S|Y)+(Z<<Y>>>15)|0;Ea=_>>>((Q+7|0)>>>0)&1|Q<<1}}while(0);m=10023648+(Ea<<2)|0;c[da+28>>2]=Ea;c[da+20>>2]=0;c[da+16>>2]=0;ca=c[2505837]|0;Q=1<<Ea;if((ca&Q|0)==0){c[2505837]=ca|Q;c[m>>2]=K;c[da+24>>2]=m;c[da+12>>2]=da;c[da+8>>2]=da;break}if((Ea|0)==31){Fa=0}else{Fa=25-(Ea>>>1)|0}Q=_<<Fa;ca=c[m>>2]|0;while(1){if((c[ca+4>>2]&-8|0)==(_|0)){break}Ga=ca+16+(Q>>>31<<2)|0;m=c[Ga>>2]|0;if((m|0)==0){T=331;break}else{Q=Q<<1;ca=m}}if((T|0)==331){if(Ga>>>0<(c[2505840]|0)>>>0){sd();return 0}else{c[Ga>>2]=K;c[da+24>>2]=ca;c[da+12>>2]=da;c[da+8>>2]=da;break}}Q=ca+8|0;_=c[Q>>2]|0;m=c[2505840]|0;if(ca>>>0<m>>>0){sd();return 0}if(_>>>0<m>>>0){sd();return 0}else{c[_+12>>2]=K;c[Q>>2]=K;c[da+8>>2]=_;c[da+12>>2]=ca;c[da+24>>2]=0;break}}}while(0);da=c[2505839]|0;if(!(da>>>0>o>>>0)){break}_=da-o|0;c[2505839]=_;da=c[2505842]|0;Q=da;c[2505842]=Q+o;c[Q+(o+4)>>2]=_|1;c[da+4>>2]=o|3;n=da+8|0;return n|0}}while(0);c[(cd()|0)>>2]=12;n=0;return n|0}function mla(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0;if((a|0)==0){return}b=a-8|0;d=b;e=c[2505840]|0;if(b>>>0<e>>>0){sd()}f=c[a-4>>2]|0;g=f&3;if((g|0)==1){sd()}h=f&-8;i=a+(h-8)|0;j=i;a:do{if((f&1|0)==0){k=c[b>>2]|0;if((g|0)==0){return}l=-8-k|0;m=a+l|0;n=m;o=k+h|0;if(m>>>0<e>>>0){sd()}if((n|0)==(c[2505841]|0)){p=a+(h-4)|0;if((c[p>>2]&3|0)!=3){q=n;r=o;break}c[2505838]=o;c[p>>2]=c[p>>2]&-2;c[a+(l+4)>>2]=o|1;c[i>>2]=o;return}p=k>>>3;if(k>>>0<256>>>0){k=c[a+(l+8)>>2]|0;s=c[a+(l+12)>>2]|0;t=10023384+(p<<1<<2)|0;do{if((k|0)!=(t|0)){if(k>>>0<e>>>0){sd()}if((c[k+12>>2]|0)==(n|0)){break}sd()}}while(0);if((s|0)==(k|0)){c[2505836]=c[2505836]&~(1<<p);q=n;r=o;break}do{if((s|0)==(t|0)){u=s+8|0}else{if(s>>>0<e>>>0){sd()}v=s+8|0;if((c[v>>2]|0)==(n|0)){u=v;break}sd()}}while(0);c[k+12>>2]=s;c[u>>2]=k;q=n;r=o;break}t=m;p=c[a+(l+24)>>2]|0;v=c[a+(l+12)>>2]|0;do{if((v|0)==(t|0)){w=a+(l+20)|0;x=c[w>>2]|0;if((x|0)==0){y=a+(l+16)|0;z=c[y>>2]|0;if((z|0)==0){A=0;break}else{B=z;C=y}}else{B=x;C=w}while(1){w=B+20|0;x=c[w>>2]|0;if((x|0)!=0){B=x;C=w;continue}w=B+16|0;x=c[w>>2]|0;if((x|0)==0){break}else{B=x;C=w}}if(C>>>0<e>>>0){sd()}else{c[C>>2]=0;A=B;break}}else{w=c[a+(l+8)>>2]|0;if(w>>>0<e>>>0){sd()}x=w+12|0;if((c[x>>2]|0)!=(t|0)){sd()}y=v+8|0;if((c[y>>2]|0)==(t|0)){c[x>>2]=v;c[y>>2]=w;A=v;break}else{sd()}}}while(0);if((p|0)==0){q=n;r=o;break}v=c[a+(l+28)>>2]|0;m=10023648+(v<<2)|0;do{if((t|0)==(c[m>>2]|0)){c[m>>2]=A;if((A|0)!=0){break}c[2505837]=c[2505837]&~(1<<v);q=n;r=o;break a}else{if(p>>>0<(c[2505840]|0)>>>0){sd()}k=p+16|0;if((c[k>>2]|0)==(t|0)){c[k>>2]=A}else{c[p+20>>2]=A}if((A|0)==0){q=n;r=o;break a}}}while(0);if(A>>>0<(c[2505840]|0)>>>0){sd()}c[A+24>>2]=p;t=c[a+(l+16)>>2]|0;do{if((t|0)!=0){if(t>>>0<(c[2505840]|0)>>>0){sd()}else{c[A+16>>2]=t;c[t+24>>2]=A;break}}}while(0);t=c[a+(l+20)>>2]|0;if((t|0)==0){q=n;r=o;break}if(t>>>0<(c[2505840]|0)>>>0){sd()}else{c[A+20>>2]=t;c[t+24>>2]=A;q=n;r=o;break}}else{q=d;r=h}}while(0);d=q;if(!(d>>>0<i>>>0)){sd()}A=a+(h-4)|0;e=c[A>>2]|0;if((e&1|0)==0){sd()}do{if((e&2|0)==0){if((j|0)==(c[2505842]|0)){B=(c[2505839]|0)+r|0;c[2505839]=B;c[2505842]=q;c[q+4>>2]=B|1;if((q|0)!=(c[2505841]|0)){return}c[2505841]=0;c[2505838]=0;return}if((j|0)==(c[2505841]|0)){B=(c[2505838]|0)+r|0;c[2505838]=B;c[2505841]=q;c[q+4>>2]=B|1;c[d+B>>2]=B;return}B=(e&-8)+r|0;C=e>>>3;b:do{if(e>>>0<256>>>0){u=c[a+h>>2]|0;g=c[a+(h|4)>>2]|0;b=10023384+(C<<1<<2)|0;do{if((u|0)!=(b|0)){if(u>>>0<(c[2505840]|0)>>>0){sd()}if((c[u+12>>2]|0)==(j|0)){break}sd()}}while(0);if((g|0)==(u|0)){c[2505836]=c[2505836]&~(1<<C);break}do{if((g|0)==(b|0)){D=g+8|0}else{if(g>>>0<(c[2505840]|0)>>>0){sd()}f=g+8|0;if((c[f>>2]|0)==(j|0)){D=f;break}sd()}}while(0);c[u+12>>2]=g;c[D>>2]=u}else{b=i;f=c[a+(h+16)>>2]|0;t=c[a+(h|4)>>2]|0;do{if((t|0)==(b|0)){p=a+(h+12)|0;v=c[p>>2]|0;if((v|0)==0){m=a+(h+8)|0;k=c[m>>2]|0;if((k|0)==0){E=0;break}else{F=k;G=m}}else{F=v;G=p}while(1){p=F+20|0;v=c[p>>2]|0;if((v|0)!=0){F=v;G=p;continue}p=F+16|0;v=c[p>>2]|0;if((v|0)==0){break}else{F=v;G=p}}if(G>>>0<(c[2505840]|0)>>>0){sd()}else{c[G>>2]=0;E=F;break}}else{p=c[a+h>>2]|0;if(p>>>0<(c[2505840]|0)>>>0){sd()}v=p+12|0;if((c[v>>2]|0)!=(b|0)){sd()}m=t+8|0;if((c[m>>2]|0)==(b|0)){c[v>>2]=t;c[m>>2]=p;E=t;break}else{sd()}}}while(0);if((f|0)==0){break}t=c[a+(h+20)>>2]|0;u=10023648+(t<<2)|0;do{if((b|0)==(c[u>>2]|0)){c[u>>2]=E;if((E|0)!=0){break}c[2505837]=c[2505837]&~(1<<t);break b}else{if(f>>>0<(c[2505840]|0)>>>0){sd()}g=f+16|0;if((c[g>>2]|0)==(b|0)){c[g>>2]=E}else{c[f+20>>2]=E}if((E|0)==0){break b}}}while(0);if(E>>>0<(c[2505840]|0)>>>0){sd()}c[E+24>>2]=f;b=c[a+(h+8)>>2]|0;do{if((b|0)!=0){if(b>>>0<(c[2505840]|0)>>>0){sd()}else{c[E+16>>2]=b;c[b+24>>2]=E;break}}}while(0);b=c[a+(h+12)>>2]|0;if((b|0)==0){break}if(b>>>0<(c[2505840]|0)>>>0){sd()}else{c[E+20>>2]=b;c[b+24>>2]=E;break}}}while(0);c[q+4>>2]=B|1;c[d+B>>2]=B;if((q|0)!=(c[2505841]|0)){H=B;break}c[2505838]=B;return}else{c[A>>2]=e&-2;c[q+4>>2]=r|1;c[d+r>>2]=r;H=r}}while(0);r=H>>>3;if(H>>>0<256>>>0){d=r<<1;e=10023384+(d<<2)|0;A=c[2505836]|0;E=1<<r;do{if((A&E|0)==0){c[2505836]=A|E;I=e;J=10023384+(d+2<<2)|0}else{r=10023384+(d+2<<2)|0;h=c[r>>2]|0;if(!(h>>>0<(c[2505840]|0)>>>0)){I=h;J=r;break}sd()}}while(0);c[J>>2]=q;c[I+12>>2]=q;c[q+8>>2]=I;c[q+12>>2]=e;return}e=q;I=H>>>8;do{if((I|0)==0){K=0}else{if(H>>>0>16777215>>>0){K=31;break}J=(I+1048320|0)>>>16&8;d=I<<J;E=(d+520192|0)>>>16&4;A=d<<E;d=(A+245760|0)>>>16&2;r=14-(E|J|d)+(A<<d>>>15)|0;K=H>>>((r+7|0)>>>0)&1|r<<1}}while(0);I=10023648+(K<<2)|0;c[q+28>>2]=K;c[q+20>>2]=0;c[q+16>>2]=0;r=c[2505837]|0;d=1<<K;do{if((r&d|0)==0){c[2505837]=r|d;c[I>>2]=e;c[q+24>>2]=I;c[q+12>>2]=q;c[q+8>>2]=q}else{if((K|0)==31){L=0}else{L=25-(K>>>1)|0}A=H<<L;J=c[I>>2]|0;while(1){if((c[J+4>>2]&-8|0)==(H|0)){break}M=J+16+(A>>>31<<2)|0;E=c[M>>2]|0;if((E|0)==0){N=129;break}else{A=A<<1;J=E}}if((N|0)==129){if(M>>>0<(c[2505840]|0)>>>0){sd()}else{c[M>>2]=e;c[q+24>>2]=J;c[q+12>>2]=q;c[q+8>>2]=q;break}}A=J+8|0;B=c[A>>2]|0;E=c[2505840]|0;if(J>>>0<E>>>0){sd()}if(B>>>0<E>>>0){sd()}else{c[B+12>>2]=e;c[A>>2]=e;c[q+8>>2]=B;c[q+12>>2]=J;c[q+24>>2]=0;break}}}while(0);q=(c[2505844]|0)-1|0;c[2505844]=q;if((q|0)==0){O=10023800}else{return}while(1){q=c[O>>2]|0;if((q|0)==0){break}else{O=q+8|0}}c[2505844]=-1;return}function nla(a,b){a=a|0;b=b|0;var d=0,e=0;do{if((a|0)==0){d=0}else{e=ga(b,a)|0;if(!((b|a)>>>0>65535>>>0)){d=e;break}d=((e>>>0)/(a>>>0)|0|0)==(b|0)?e:-1}}while(0);b=lla(d)|0;if((b|0)==0){return b|0}if((c[b-4>>2]&3|0)==0){return b|0}Qla(b|0,0,d|0)|0;return b|0}function ola(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;if((a|0)==0){d=lla(b)|0;return d|0}if(b>>>0>4294967231>>>0){c[(cd()|0)>>2]=12;d=0;return d|0}if(b>>>0<11>>>0){e=16}else{e=b+11&-8}f=pla(a-8|0,e)|0;if((f|0)!=0){d=f+8|0;return d|0}f=lla(b)|0;if((f|0)==0){d=0;return d|0}e=c[a-4>>2]|0;g=(e&-8)-((e&3|0)==0?8:4)|0;Pla(f|0,a|0,g>>>0<b>>>0?g:b)|0;mla(a);d=f;return d|0}function pla(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;d=a+4|0;e=c[d>>2]|0;f=e&-8;g=a;h=g+f|0;i=h;j=c[2505840]|0;if(g>>>0<j>>>0){sd();return 0}k=e&3;if(!((k|0)!=1&g>>>0<h>>>0)){sd();return 0}l=g+(f|4)|0;m=c[l>>2]|0;if((m&1|0)==0){sd();return 0}if((k|0)==0){if(b>>>0<256>>>0){n=0;return n|0}do{if(!(f>>>0<(b+4|0)>>>0)){if((f-b|0)>>>0>c[2502306]<<1>>>0){break}else{n=a}return n|0}}while(0);n=0;return n|0}if(!(f>>>0<b>>>0)){k=f-b|0;if(!(k>>>0>15>>>0)){n=a;return n|0}c[d>>2]=e&1|b|2;c[g+(b+4)>>2]=k|3;c[l>>2]=c[l>>2]|1;qla(g+b|0,k);n=a;return n|0}if((i|0)==(c[2505842]|0)){k=(c[2505839]|0)+f|0;if(!(k>>>0>b>>>0)){n=0;return n|0}l=k-b|0;c[d>>2]=e&1|b|2;c[g+(b+4)>>2]=l|1;c[2505842]=g+b;c[2505839]=l;n=a;return n|0}if((i|0)==(c[2505841]|0)){l=(c[2505838]|0)+f|0;if(l>>>0<b>>>0){n=0;return n|0}k=l-b|0;if(k>>>0>15>>>0){c[d>>2]=e&1|b|2;c[g+(b+4)>>2]=k|1;c[g+l>>2]=k;o=g+(l+4)|0;c[o>>2]=c[o>>2]&-2;p=g+b|0;q=k}else{c[d>>2]=e&1|l|2;e=g+(l+4)|0;c[e>>2]=c[e>>2]|1;p=0;q=0}c[2505838]=q;c[2505841]=p;n=a;return n|0}if((m&2|0)!=0){n=0;return n|0}p=(m&-8)+f|0;if(p>>>0<b>>>0){n=0;return n|0}q=p-b|0;e=m>>>3;a:do{if(m>>>0<256>>>0){l=c[g+(f+8)>>2]|0;k=c[g+(f+12)>>2]|0;o=10023384+(e<<1<<2)|0;do{if((l|0)!=(o|0)){if(l>>>0<j>>>0){sd();return 0}if((c[l+12>>2]|0)==(i|0)){break}sd();return 0}}while(0);if((k|0)==(l|0)){c[2505836]=c[2505836]&~(1<<e);break}do{if((k|0)==(o|0)){r=k+8|0}else{if(k>>>0<j>>>0){sd();return 0}s=k+8|0;if((c[s>>2]|0)==(i|0)){r=s;break}sd();return 0}}while(0);c[l+12>>2]=k;c[r>>2]=l}else{o=h;s=c[g+(f+24)>>2]|0;t=c[g+(f+12)>>2]|0;do{if((t|0)==(o|0)){u=g+(f+20)|0;v=c[u>>2]|0;if((v|0)==0){w=g+(f+16)|0;x=c[w>>2]|0;if((x|0)==0){y=0;break}else{z=x;A=w}}else{z=v;A=u}while(1){u=z+20|0;v=c[u>>2]|0;if((v|0)!=0){z=v;A=u;continue}u=z+16|0;v=c[u>>2]|0;if((v|0)==0){break}else{z=v;A=u}}if(A>>>0<j>>>0){sd();return 0}else{c[A>>2]=0;y=z;break}}else{u=c[g+(f+8)>>2]|0;if(u>>>0<j>>>0){sd();return 0}v=u+12|0;if((c[v>>2]|0)!=(o|0)){sd();return 0}w=t+8|0;if((c[w>>2]|0)==(o|0)){c[v>>2]=t;c[w>>2]=u;y=t;break}else{sd();return 0}}}while(0);if((s|0)==0){break}t=c[g+(f+28)>>2]|0;l=10023648+(t<<2)|0;do{if((o|0)==(c[l>>2]|0)){c[l>>2]=y;if((y|0)!=0){break}c[2505837]=c[2505837]&~(1<<t);break a}else{if(s>>>0<(c[2505840]|0)>>>0){sd();return 0}k=s+16|0;if((c[k>>2]|0)==(o|0)){c[k>>2]=y}else{c[s+20>>2]=y}if((y|0)==0){break a}}}while(0);if(y>>>0<(c[2505840]|0)>>>0){sd();return 0}c[y+24>>2]=s;o=c[g+(f+16)>>2]|0;do{if((o|0)!=0){if(o>>>0<(c[2505840]|0)>>>0){sd();return 0}else{c[y+16>>2]=o;c[o+24>>2]=y;break}}}while(0);o=c[g+(f+20)>>2]|0;if((o|0)==0){break}if(o>>>0<(c[2505840]|0)>>>0){sd();return 0}else{c[y+20>>2]=o;c[o+24>>2]=y;break}}}while(0);if(q>>>0<16>>>0){c[d>>2]=p|c[d>>2]&1|2;y=g+(p|4)|0;c[y>>2]=c[y>>2]|1;n=a;return n|0}else{c[d>>2]=c[d>>2]&1|b|2;c[g+(b+4)>>2]=q|3;d=g+(p|4)|0;c[d>>2]=c[d>>2]|1;qla(g+b|0,q);n=a;return n|0}return 0}function qla(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;d=a;e=d+b|0;f=e;g=c[a+4>>2]|0;a:do{if((g&1|0)==0){h=c[a>>2]|0;if((g&3|0)==0){return}i=d+(-h|0)|0;j=i;k=h+b|0;l=c[2505840]|0;if(i>>>0<l>>>0){sd()}if((j|0)==(c[2505841]|0)){m=d+(b+4)|0;if((c[m>>2]&3|0)!=3){n=j;o=k;break}c[2505838]=k;c[m>>2]=c[m>>2]&-2;c[d+(4-h)>>2]=k|1;c[e>>2]=k;return}m=h>>>3;if(h>>>0<256>>>0){p=c[d+(8-h)>>2]|0;q=c[d+(12-h)>>2]|0;r=10023384+(m<<1<<2)|0;do{if((p|0)!=(r|0)){if(p>>>0<l>>>0){sd()}if((c[p+12>>2]|0)==(j|0)){break}sd()}}while(0);if((q|0)==(p|0)){c[2505836]=c[2505836]&~(1<<m);n=j;o=k;break}do{if((q|0)==(r|0)){s=q+8|0}else{if(q>>>0<l>>>0){sd()}t=q+8|0;if((c[t>>2]|0)==(j|0)){s=t;break}sd()}}while(0);c[p+12>>2]=q;c[s>>2]=p;n=j;o=k;break}r=i;m=c[d+(24-h)>>2]|0;t=c[d+(12-h)>>2]|0;do{if((t|0)==(r|0)){u=16-h|0;v=d+(u+4)|0;w=c[v>>2]|0;if((w|0)==0){x=d+u|0;u=c[x>>2]|0;if((u|0)==0){y=0;break}else{z=u;A=x}}else{z=w;A=v}while(1){v=z+20|0;w=c[v>>2]|0;if((w|0)!=0){z=w;A=v;continue}v=z+16|0;w=c[v>>2]|0;if((w|0)==0){break}else{z=w;A=v}}if(A>>>0<l>>>0){sd()}else{c[A>>2]=0;y=z;break}}else{v=c[d+(8-h)>>2]|0;if(v>>>0<l>>>0){sd()}w=v+12|0;if((c[w>>2]|0)!=(r|0)){sd()}x=t+8|0;if((c[x>>2]|0)==(r|0)){c[w>>2]=t;c[x>>2]=v;y=t;break}else{sd()}}}while(0);if((m|0)==0){n=j;o=k;break}t=c[d+(28-h)>>2]|0;l=10023648+(t<<2)|0;do{if((r|0)==(c[l>>2]|0)){c[l>>2]=y;if((y|0)!=0){break}c[2505837]=c[2505837]&~(1<<t);n=j;o=k;break a}else{if(m>>>0<(c[2505840]|0)>>>0){sd()}i=m+16|0;if((c[i>>2]|0)==(r|0)){c[i>>2]=y}else{c[m+20>>2]=y}if((y|0)==0){n=j;o=k;break a}}}while(0);if(y>>>0<(c[2505840]|0)>>>0){sd()}c[y+24>>2]=m;r=16-h|0;t=c[d+r>>2]|0;do{if((t|0)!=0){if(t>>>0<(c[2505840]|0)>>>0){sd()}else{c[y+16>>2]=t;c[t+24>>2]=y;break}}}while(0);t=c[d+(r+4)>>2]|0;if((t|0)==0){n=j;o=k;break}if(t>>>0<(c[2505840]|0)>>>0){sd()}else{c[y+20>>2]=t;c[t+24>>2]=y;n=j;o=k;break}}else{n=a;o=b}}while(0);a=c[2505840]|0;if(e>>>0<a>>>0){sd()}y=d+(b+4)|0;z=c[y>>2]|0;do{if((z&2|0)==0){if((f|0)==(c[2505842]|0)){A=(c[2505839]|0)+o|0;c[2505839]=A;c[2505842]=n;c[n+4>>2]=A|1;if((n|0)!=(c[2505841]|0)){return}c[2505841]=0;c[2505838]=0;return}if((f|0)==(c[2505841]|0)){A=(c[2505838]|0)+o|0;c[2505838]=A;c[2505841]=n;c[n+4>>2]=A|1;c[n+A>>2]=A;return}A=(z&-8)+o|0;s=z>>>3;b:do{if(z>>>0<256>>>0){g=c[d+(b+8)>>2]|0;t=c[d+(b+12)>>2]|0;h=10023384+(s<<1<<2)|0;do{if((g|0)!=(h|0)){if(g>>>0<a>>>0){sd()}if((c[g+12>>2]|0)==(f|0)){break}sd()}}while(0);if((t|0)==(g|0)){c[2505836]=c[2505836]&~(1<<s);break}do{if((t|0)==(h|0)){B=t+8|0}else{if(t>>>0<a>>>0){sd()}m=t+8|0;if((c[m>>2]|0)==(f|0)){B=m;break}sd()}}while(0);c[g+12>>2]=t;c[B>>2]=g}else{h=e;m=c[d+(b+24)>>2]|0;l=c[d+(b+12)>>2]|0;do{if((l|0)==(h|0)){i=d+(b+20)|0;p=c[i>>2]|0;if((p|0)==0){q=d+(b+16)|0;v=c[q>>2]|0;if((v|0)==0){C=0;break}else{D=v;E=q}}else{D=p;E=i}while(1){i=D+20|0;p=c[i>>2]|0;if((p|0)!=0){D=p;E=i;continue}i=D+16|0;p=c[i>>2]|0;if((p|0)==0){break}else{D=p;E=i}}if(E>>>0<a>>>0){sd()}else{c[E>>2]=0;C=D;break}}else{i=c[d+(b+8)>>2]|0;if(i>>>0<a>>>0){sd()}p=i+12|0;if((c[p>>2]|0)!=(h|0)){sd()}q=l+8|0;if((c[q>>2]|0)==(h|0)){c[p>>2]=l;c[q>>2]=i;C=l;break}else{sd()}}}while(0);if((m|0)==0){break}l=c[d+(b+28)>>2]|0;g=10023648+(l<<2)|0;do{if((h|0)==(c[g>>2]|0)){c[g>>2]=C;if((C|0)!=0){break}c[2505837]=c[2505837]&~(1<<l);break b}else{if(m>>>0<(c[2505840]|0)>>>0){sd()}t=m+16|0;if((c[t>>2]|0)==(h|0)){c[t>>2]=C}else{c[m+20>>2]=C}if((C|0)==0){break b}}}while(0);if(C>>>0<(c[2505840]|0)>>>0){sd()}c[C+24>>2]=m;h=c[d+(b+16)>>2]|0;do{if((h|0)!=0){if(h>>>0<(c[2505840]|0)>>>0){sd()}else{c[C+16>>2]=h;c[h+24>>2]=C;break}}}while(0);h=c[d+(b+20)>>2]|0;if((h|0)==0){break}if(h>>>0<(c[2505840]|0)>>>0){sd()}else{c[C+20>>2]=h;c[h+24>>2]=C;break}}}while(0);c[n+4>>2]=A|1;c[n+A>>2]=A;if((n|0)!=(c[2505841]|0)){F=A;break}c[2505838]=A;return}else{c[y>>2]=z&-2;c[n+4>>2]=o|1;c[n+o>>2]=o;F=o}}while(0);o=F>>>3;if(F>>>0<256>>>0){z=o<<1;y=10023384+(z<<2)|0;C=c[2505836]|0;b=1<<o;do{if((C&b|0)==0){c[2505836]=C|b;G=y;H=10023384+(z+2<<2)|0}else{o=10023384+(z+2<<2)|0;d=c[o>>2]|0;if(!(d>>>0<(c[2505840]|0)>>>0)){G=d;H=o;break}sd()}}while(0);c[H>>2]=n;c[G+12>>2]=n;c[n+8>>2]=G;c[n+12>>2]=y;return}y=n;G=F>>>8;do{if((G|0)==0){I=0}else{if(F>>>0>16777215>>>0){I=31;break}H=(G+1048320|0)>>>16&8;z=G<<H;b=(z+520192|0)>>>16&4;C=z<<b;z=(C+245760|0)>>>16&2;o=14-(b|H|z)+(C<<z>>>15)|0;I=F>>>((o+7|0)>>>0)&1|o<<1}}while(0);G=10023648+(I<<2)|0;c[n+28>>2]=I;c[n+20>>2]=0;c[n+16>>2]=0;o=c[2505837]|0;z=1<<I;if((o&z|0)==0){c[2505837]=o|z;c[G>>2]=y;c[n+24>>2]=G;c[n+12>>2]=n;c[n+8>>2]=n;return}if((I|0)==31){J=0}else{J=25-(I>>>1)|0}I=F<<J;J=c[G>>2]|0;while(1){if((c[J+4>>2]&-8|0)==(F|0)){break}K=J+16+(I>>>31<<2)|0;G=c[K>>2]|0;if((G|0)==0){L=126;break}else{I=I<<1;J=G}}if((L|0)==126){if(K>>>0<(c[2505840]|0)>>>0){sd()}c[K>>2]=y;c[n+24>>2]=J;c[n+12>>2]=n;c[n+8>>2]=n;return}K=J+8|0;L=c[K>>2]|0;I=c[2505840]|0;if(J>>>0<I>>>0){sd()}if(L>>>0<I>>>0){sd()}c[L+12>>2]=y;c[K>>2]=y;c[n+8>>2]=L;c[n+12>>2]=J;c[n+24>>2]=0;return}function rla(a){a=a|0;var b=0,d=0,e=0;b=(a|0)==0?1:a;while(1){d=lla(b)|0;if((d|0)!=0){e=10;break}a=(I=c[2506814]|0,c[2506814]=I+0,I);if((a|0)==0){break}se[a&15]()}if((e|0)==10){return d|0}d=Gd(4)|0;c[d>>2]=9985376;xc(d|0,9991784,192);return 0}function sla(a){a=a|0;return rla(a)|0}function tla(a){a=a|0;if((a|0)==0){return}mla(a);return}function ula(a){a=a|0;tla(a);return}function vla(a){a=a|0;tla(a);return}function wla(a){a=a|0;return}function xla(a){a=a|0;return 56112}function yla(){var a=0;a=Gd(4)|0;c[a>>2]=9985376;xc(a|0,9991784,192)}function zla(b,e,f){b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0.0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0.0,S=0.0,T=0,U=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ha=0.0,ia=0.0,ja=0,ka=0,la=0.0,ma=0.0,na=0,oa=0.0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0.0,ya=0,za=0.0,Aa=0,Ba=0.0,Ca=0,Da=0,Ea=0,Fa=0.0,Ga=0,Ha=0.0,Ia=0.0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0.0,zc=0,Ac=0,Bc=0.0,Cc=0.0,Dc=0.0,Ec=0.0,Fc=0.0,Gc=0.0,Hc=0.0,Ic=0,Jc=0,Kc=0.0,Lc=0,Mc=0;g=i;i=i+512|0;h=g|0;if((e|0)==2){j=-1074;k=53}else if((e|0)==1){j=-1074;k=53}else if((e|0)==0){j=-149;k=24}else{l=0.0;i=g;return+l}e=b+4|0;m=b+100|0;do{n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;o=d[n]|0}else{o=Cla(b)|0}}while((bb(o|0)|0)!=0);do{if((o|0)==45|(o|0)==43){n=1-(((o|0)==45)<<1)|0;p=c[e>>2]|0;if(p>>>0<(c[m>>2]|0)>>>0){c[e>>2]=p+1;q=d[p]|0;r=n;break}else{q=Cla(b)|0;r=n;break}}else{q=o;r=1}}while(0);o=0;n=q;while(1){if((n|32|0)!=(a[34968+o|0]|0)){s=o;t=n;break}do{if(o>>>0<7>>>0){q=c[e>>2]|0;if(q>>>0<(c[m>>2]|0)>>>0){c[e>>2]=q+1;u=d[q]|0;break}else{u=Cla(b)|0;break}}else{u=n}}while(0);q=o+1|0;if(q>>>0<8>>>0){o=q;n=u}else{s=q;t=u;break}}do{if((s|0)==3){x=23}else if((s|0)!=8){u=(f|0)==0;if(!(s>>>0<4>>>0|u)){if((s|0)==8){break}else{x=23;break}}do{if((s|0)==0){if((t|32|0)==110){n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;y=d[n]|0}else{y=Cla(b)|0}if((y|32|0)!=97){break}n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;z=d[n]|0}else{z=Cla(b)|0}if((z|32|0)!=110){break}n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;A=d[n]|0}else{A=Cla(b)|0}if((A|0)==40){B=1}else{if((c[m>>2]|0)==0){l=+v;i=g;return+l}c[e>>2]=(c[e>>2]|0)-1;l=+v;i=g;return+l}while(1){n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;C=d[n]|0}else{C=Cla(b)|0}if(!((C-48|0)>>>0<10>>>0|(C-65|0)>>>0<26>>>0)){if(!((C-97|0)>>>0<26>>>0|(C|0)==95)){break}}B=B+1|0}if((C|0)==41){l=+v;i=g;return+l}n=(c[m>>2]|0)==0;if(!n){c[e>>2]=(c[e>>2]|0)-1}if(u){c[(cd()|0)>>2]=22;Bla(b,0);l=0.0;i=g;return+l}if((B|0)==0|n){l=+v;i=g;return+l}else{D=B}while(1){n=D-1|0;c[e>>2]=(c[e>>2]|0)-1;if((n|0)==0){l=+v;break}else{D=n}}i=g;return+l}do{if((t|0)==48){n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;E=d[n]|0}else{E=Cla(b)|0}if((E|32|0)!=120){if((c[m>>2]|0)==0){F=48;break}c[e>>2]=(c[e>>2]|0)-1;F=48;break}n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;G=d[n]|0;H=0}else{G=Cla(b)|0;H=0}while(1){if((G|0)==46){x=68;break}else if((G|0)!=48){I=G;J=0;L=0;M=0;N=0;O=H;P=0;Q=0;R=1.0;S=0.0;T=0;break}n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;G=d[n]|0;H=1;continue}else{G=Cla(b)|0;H=1;continue}}a:do{if((x|0)==68){n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;U=d[n]|0}else{U=Cla(b)|0}if((U|0)==48){W=-1;X=-1}else{I=U;J=0;L=0;M=0;N=0;O=H;P=1;Q=0;R=1.0;S=0.0;T=0;break}while(1){n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;Y=d[n]|0}else{Y=Cla(b)|0}if((Y|0)!=48){I=Y;J=0;L=0;M=W;N=X;O=1;P=1;Q=0;R=1.0;S=0.0;T=0;break a}n=Xla(X,W,-1,-1)|0;W=K;X=n}}}while(0);b:while(1){n=I-48|0;do{if(n>>>0<10>>>0){Z=n;x=82}else{o=I|32;q=(I|0)==46;if(!((o-97|0)>>>0<6>>>0|q)){_=I;break b}if(q){if((P|0)==0){$=J;aa=L;ba=J;ca=L;da=O;ea=1;fa=Q;ha=R;ia=S;ja=T;break}else{_=46;break b}}else{Z=(I|0)>57?o-87|0:n;x=82;break}}}while(0);if((x|0)==82){x=0;n=0;do{if((J|0)<(n|0)|(J|0)==(n|0)&L>>>0<8>>>0){ka=Q;la=R;ma=S;na=Z+(T<<4)|0}else{o=0;if((J|0)<(o|0)|(J|0)==(o|0)&L>>>0<14>>>0){oa=R*.0625;ka=Q;la=oa;ma=S+oa*+(Z|0);na=T;break}if(!((Z|0)!=0&(Q|0)==0)){ka=Q;la=R;ma=S;na=T;break}ka=1;la=R;ma=S+R*.5;na=T}}while(0);n=Xla(L,J,1,0)|0;$=K;aa=n;ba=M;ca=N;da=1;ea=P;fa=ka;ha=la;ia=ma;ja=na}n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;I=d[n]|0;J=$;L=aa;M=ba;N=ca;O=da;P=ea;Q=fa;R=ha;S=ia;T=ja;continue}else{I=Cla(b)|0;J=$;L=aa;M=ba;N=ca;O=da;P=ea;Q=fa;R=ha;S=ia;T=ja;continue}}if((O|0)==0){n=(c[m>>2]|0)==0;if(!n){c[e>>2]=(c[e>>2]|0)-1}do{if(u){Bla(b,0)}else{if(n){break}o=c[e>>2]|0;c[e>>2]=o-1;if((P|0)==0){break}c[e>>2]=o-2}}while(0);l=+(r|0)*0.0;i=g;return+l}n=(P|0)==0;o=n?L:N;q=n?J:M;n=0;if((J|0)<(n|0)|(J|0)==(n|0)&L>>>0<8>>>0){n=T;p=J;pa=L;while(1){qa=n<<4;ra=Xla(pa,p,1,0)|0;sa=K;ta=0;if((sa|0)<(ta|0)|(sa|0)==(ta|0)&ra>>>0<8>>>0){n=qa;p=sa;pa=ra}else{ua=qa;break}}}else{ua=T}do{if((_|32|0)==112){pa=Ala(b,f)|0;p=K;if(!((pa|0)==0&(p|0)==(-2147483648|0))){va=p;wa=pa;break}if(u){Bla(b,0);l=0.0;i=g;return+l}else{if((c[m>>2]|0)==0){va=0;wa=0;break}c[e>>2]=(c[e>>2]|0)-1;va=0;wa=0;break}}else{if((c[m>>2]|0)==0){va=0;wa=0;break}c[e>>2]=(c[e>>2]|0)-1;va=0;wa=0}}while(0);pa=Xla(o<<2|0>>>30,q<<2|o>>>30,-32,-1)|0;p=Xla(pa,K,wa,va)|0;pa=K;if((ua|0)==0){l=+(r|0)*0.0;i=g;return+l}n=0;if((pa|0)>(n|0)|(pa|0)==(n|0)&p>>>0>(-j|0)>>>0){c[(cd()|0)>>2]=34;l=+(r|0)*1.7976931348623157e+308*1.7976931348623157e+308;i=g;return+l}n=j-106|0;qa=(n|0)<0|0?-1:0;if((pa|0)<(qa|0)|(pa|0)==(qa|0)&p>>>0<n>>>0){c[(cd()|0)>>2]=34;l=+(r|0)*2.2250738585072014e-308*2.2250738585072014e-308;i=g;return+l}if((ua|0)>-1){n=ua;oa=S;qa=pa;ra=p;while(1){sa=n<<1;if(oa<.5){xa=oa;ya=sa}else{xa=oa+-1.0;ya=sa|1}za=oa+xa;sa=Xla(ra,qa,-1,-1)|0;ta=K;if((ya|0)>-1){n=ya;oa=za;qa=ta;ra=sa}else{Aa=ya;Ba=za;Ca=ta;Da=sa;break}}}else{Aa=ua;Ba=S;Ca=pa;Da=p}ra=0;qa=Yla(32,0,j,(j|0)<0|0?-1:0)|0;n=Xla(Da,Ca,qa,K)|0;qa=K;if((ra|0)>(qa|0)|(ra|0)==(qa|0)&k>>>0>n>>>0){qa=n;Ea=(qa|0)<0?0:qa}else{Ea=k}do{if((Ea|0)<53){oa=+(r|0);za=+rc(+(+Dla(1.0,84-Ea|0)),+oa);if(!((Ea|0)<32&Ba!=0.0)){Fa=Ba;Ga=Aa;Ha=za;Ia=oa;break}qa=Aa&1;Fa=(qa|0)==0?0.0:Ba;Ga=(qa^1)+Aa|0;Ha=za;Ia=oa}else{Fa=Ba;Ga=Aa;Ha=0.0;Ia=+(r|0)}}while(0);oa=Ia*Fa+(Ha+Ia*+(Ga>>>0>>>0))-Ha;if(!(oa!=0.0)){c[(cd()|0)>>2]=34}l=+Ela(oa,Da);i=g;return+l}else{F=t}}while(0);p=j+k|0;pa=3-p|0;qa=F;n=0;while(1){if((qa|0)==46){x=137;break}else if((qa|0)!=48){Ja=qa;Ka=0;La=n;Ma=0;Na=0;break}ra=c[e>>2]|0;if(ra>>>0<(c[m>>2]|0)>>>0){c[e>>2]=ra+1;qa=d[ra]|0;n=1;continue}else{qa=Cla(b)|0;n=1;continue}}c:do{if((x|0)==137){qa=c[e>>2]|0;if(qa>>>0<(c[m>>2]|0)>>>0){c[e>>2]=qa+1;Oa=d[qa]|0}else{Oa=Cla(b)|0}if((Oa|0)==48){Pa=-1;Qa=-1}else{Ja=Oa;Ka=1;La=n;Ma=0;Na=0;break}while(1){qa=c[e>>2]|0;if(qa>>>0<(c[m>>2]|0)>>>0){c[e>>2]=qa+1;Ra=d[qa]|0}else{Ra=Cla(b)|0}if((Ra|0)!=48){Ja=Ra;Ka=1;La=1;Ma=Pa;Na=Qa;break c}qa=Xla(Qa,Pa,-1,-1)|0;Pa=K;Qa=qa}}}while(0);n=h|0;c[n>>2]=0;qa=Ja-48|0;ra=(Ja|0)==46;d:do{if(qa>>>0<10>>>0|ra){o=h+496|0;q=Ma;sa=Na;ta=0;Sa=0;Ta=0;Ua=La;Va=Ka;Wa=0;Xa=0;Ya=Ja;Za=qa;_a=ra;while(1){do{if(_a){if((Va|0)==0){$a=Xa;ab=Wa;cb=1;db=Ua;eb=Ta;fb=ta;gb=Sa;hb=ta;ib=Sa}else{jb=q;kb=sa;lb=ta;mb=Sa;nb=Ta;ob=Ua;pb=Wa;qb=Xa;rb=Ya;break d}}else{sb=Xla(Sa,ta,1,0)|0;tb=K;ub=(Ya|0)!=48;if((Wa|0)>=125){if(!ub){$a=Xa;ab=Wa;cb=Va;db=Ua;eb=Ta;fb=tb;gb=sb;hb=q;ib=sa;break}c[o>>2]=c[o>>2]|1;$a=Xa;ab=Wa;cb=Va;db=Ua;eb=Ta;fb=tb;gb=sb;hb=q;ib=sa;break}vb=h+(Wa<<2)|0;if((Xa|0)==0){wb=Za}else{wb=Ya-48+((c[vb>>2]|0)*10|0)|0}c[vb>>2]=wb;vb=Xa+1|0;xb=(vb|0)==9;$a=xb?0:vb;ab=(xb&1)+Wa|0;cb=Va;db=1;eb=ub?sb:Ta;fb=tb;gb=sb;hb=q;ib=sa}}while(0);sb=c[e>>2]|0;if(sb>>>0<(c[m>>2]|0)>>>0){c[e>>2]=sb+1;yb=d[sb]|0}else{yb=Cla(b)|0}sb=yb-48|0;tb=(yb|0)==46;if(sb>>>0<10>>>0|tb){q=hb;sa=ib;ta=fb;Sa=gb;Ta=eb;Ua=db;Va=cb;Wa=ab;Xa=$a;Ya=yb;Za=sb;_a=tb}else{zb=hb;Ab=ib;Bb=fb;Cb=gb;Db=eb;Eb=db;Fb=cb;Gb=ab;Hb=$a;Ib=yb;x=160;break}}}else{zb=Ma;Ab=Na;Bb=0;Cb=0;Db=0;Eb=La;Fb=Ka;Gb=0;Hb=0;Ib=Ja;x=160}}while(0);if((x|0)==160){ra=(Fb|0)==0;jb=ra?Bb:zb;kb=ra?Cb:Ab;lb=Bb;mb=Cb;nb=Db;ob=Eb;pb=Gb;qb=Hb;rb=Ib}ra=(ob|0)!=0;do{if(ra){if((rb|32|0)!=101){x=169;break}qa=Ala(b,f)|0;_a=K;do{if((qa|0)==0&(_a|0)==(-2147483648|0)){if(u){Bla(b,0);l=0.0;i=g;return+l}else{if((c[m>>2]|0)==0){Jb=0;Kb=0;break}c[e>>2]=(c[e>>2]|0)-1;Jb=0;Kb=0;break}}else{Jb=_a;Kb=qa}}while(0);qa=Xla(Kb,Jb,kb,jb)|0;Lb=K;Mb=qa}else{x=169}}while(0);do{if((x|0)==169){if(!((rb|0)>-1)){Lb=jb;Mb=kb;break}if((c[m>>2]|0)==0){Lb=jb;Mb=kb;break}c[e>>2]=(c[e>>2]|0)-1;Lb=jb;Mb=kb}}while(0);if(!ra){c[(cd()|0)>>2]=22;Bla(b,0);l=0.0;i=g;return+l}qa=c[n>>2]|0;if((qa|0)==0){l=+(r|0)*0.0;i=g;return+l}_a=0;do{if((Mb|0)==(mb|0)&(Lb|0)==(lb|0)&((lb|0)<(_a|0)|(lb|0)==(_a|0)&mb>>>0<10>>>0)){if(!(k>>>0>30>>>0)){if((qa>>>(k>>>0)|0)!=0){break}}l=+(r|0)*+(qa>>>0>>>0);i=g;return+l}}while(0);qa=(j|0)/-2|0;_a=(qa|0)<0|0?-1:0;if((Lb|0)>(_a|0)|(Lb|0)==(_a|0)&Mb>>>0>qa>>>0){c[(cd()|0)>>2]=34;l=+(r|0)*1.7976931348623157e+308*1.7976931348623157e+308;i=g;return+l}qa=j-106|0;_a=(qa|0)<0|0?-1:0;if((Lb|0)<(_a|0)|(Lb|0)==(_a|0)&Mb>>>0<qa>>>0){c[(cd()|0)>>2]=34;l=+(r|0)*2.2250738585072014e-308*2.2250738585072014e-308;i=g;return+l}if((qb|0)==0){Nb=pb}else{if((qb|0)<9){qa=h+(pb<<2)|0;_a=qb;ra=c[qa>>2]|0;do{ra=ra*10|0;_a=_a+1|0;}while((_a|0)<9);c[qa>>2]=ra}Nb=pb+1|0}_a=Mb;do{if((nb|0)<9){if(!((nb|0)<=(_a|0)&(_a|0)<18)){break}if((_a|0)==9){l=+(r|0)*+((c[n>>2]|0)>>>0>>>0);i=g;return+l}if((_a|0)<9){l=+(r|0)*+((c[n>>2]|0)>>>0>>>0)/+(c[17696+(8-_a<<2)>>2]|0);i=g;return+l}Za=k+27+(_a*-3|0)|0;Ya=c[n>>2]|0;if((Za|0)<=30){if((Ya>>>(Za>>>0)|0)!=0){break}}l=+(r|0)*+(Ya>>>0>>>0)*+(c[17696+(_a-10<<2)>>2]|0);i=g;return+l}}while(0);n=(_a|0)%9|0;if((n|0)==0){Ob=0;Pb=Nb;Qb=0;Rb=_a}else{ra=(_a|0)>-1?n:n+9|0;n=c[17696+(8-ra<<2)>>2]|0;do{if((Nb|0)==0){Sb=0;Tb=0;Ub=_a}else{qa=1e9/(n|0)|0;Ya=_a;Za=0;Xa=0;Wa=0;while(1){Va=h+(Xa<<2)|0;Ua=c[Va>>2]|0;Ta=((Ua>>>0)/(n>>>0)|0)+Wa|0;c[Va>>2]=Ta;Vb=ga((Ua>>>0)%(n>>>0)|0,qa)|0;Ua=Xa+1|0;if((Xa|0)==(Za|0)&(Ta|0)==0){Wb=Ua&127;Xb=Ya-9|0}else{Wb=Za;Xb=Ya}if((Ua|0)==(Nb|0)){break}else{Ya=Xb;Za=Wb;Xa=Ua;Wa=Vb}}if((Vb|0)==0){Sb=Nb;Tb=Wb;Ub=Xb;break}c[h+(Nb<<2)>>2]=Vb;Sb=Nb+1|0;Tb=Wb;Ub=Xb}}while(0);Ob=Tb;Pb=Sb;Qb=0;Rb=9-ra+Ub|0}e:while(1){n=h+(Ob<<2)|0;if((Rb|0)<18){_a=Pb;Wa=Qb;while(1){Xa=0;Za=_a+127|0;Ya=_a;while(1){qa=Za&127;Ua=h+(qa<<2)|0;Ta=c[Ua>>2]|0;Va=Xla(Ta<<29|0>>>3,0<<29|Ta>>>3,Xa,0)|0;Ta=K;Sa=0;if(Ta>>>0>Sa>>>0|Ta>>>0==Sa>>>0&Va>>>0>1e9>>>0){Sa=gma(Va,Ta,1e9,0)|0;ta=hma(Va,Ta,1e9,0)|0;Zb=Sa;_b=ta}else{Zb=0;_b=Va}c[Ua>>2]=_b;Ua=(qa|0)==(Ob|0);if((qa|0)!=(Ya+127&127|0)|Ua){$b=Ya}else{$b=(_b|0)==0?qa:Ya}if(Ua){break}else{Xa=Zb;Za=qa-1|0;Ya=$b}}Ya=Wa-29|0;if((Zb|0)==0){_a=$b;Wa=Ya}else{ac=Ya;bc=$b;cc=Zb;break}}}else{if((Rb|0)==18){dc=Pb;ec=Qb}else{fc=Ob;gc=Pb;hc=Qb;ic=Rb;break}while(1){if(!((c[n>>2]|0)>>>0<9007199>>>0)){fc=Ob;gc=dc;hc=ec;ic=18;break e}Wa=0;_a=dc+127|0;Ya=dc;while(1){Za=_a&127;Xa=h+(Za<<2)|0;qa=c[Xa>>2]|0;Ua=Xla(qa<<29|0>>>3,0<<29|qa>>>3,Wa,0)|0;qa=K;Va=0;if(qa>>>0>Va>>>0|qa>>>0==Va>>>0&Ua>>>0>1e9>>>0){Va=gma(Ua,qa,1e9,0)|0;ta=hma(Ua,qa,1e9,0)|0;jc=Va;kc=ta}else{jc=0;kc=Ua}c[Xa>>2]=kc;Xa=(Za|0)==(Ob|0);if((Za|0)!=(Ya+127&127|0)|Xa){lc=Ya}else{lc=(kc|0)==0?Za:Ya}if(Xa){break}else{Wa=jc;_a=Za-1|0;Ya=lc}}Ya=ec-29|0;if((jc|0)==0){dc=lc;ec=Ya}else{ac=Ya;bc=lc;cc=jc;break}}}n=Ob+127&127;if((n|0)==(bc|0)){Ya=bc+127&127;_a=h+((bc+126&127)<<2)|0;c[_a>>2]=c[_a>>2]|c[h+(Ya<<2)>>2];mc=Ya}else{mc=bc}c[h+(n<<2)>>2]=cc;Ob=n;Pb=mc;Qb=ac;Rb=Rb+9|0}f:while(1){nc=gc+1&127;ra=h+((gc+127&127)<<2)|0;n=fc;Ya=hc;_a=ic;while(1){Wa=(_a|0)==18;Za=(_a|0)>27?9:1;oc=n;pc=Ya;while(1){Xa=0;while(1){if((Xa|0)>=2){qc=Xa;break}Ua=Xa+oc&127;if((Ua|0)==(gc|0)){qc=2;break}ta=c[h+(Ua<<2)>>2]|0;Ua=c[17688+(Xa<<2)>>2]|0;if(ta>>>0<Ua>>>0){qc=2;break}if(ta>>>0>Ua>>>0){qc=Xa;break}else{Xa=Xa+1|0}}if((qc|0)==2&Wa){break f}sc=Za+pc|0;if((oc|0)==(gc|0)){oc=gc;pc=sc}else{break}}Wa=(1<<Za)-1|0;Xa=1e9>>>(Za>>>0);tc=_a;uc=oc;Ua=oc;vc=0;do{ta=h+(Ua<<2)|0;Va=c[ta>>2]|0;qa=(Va>>>(Za>>>0))+vc|0;c[ta>>2]=qa;vc=ga(Va&Wa,Xa)|0;Va=(Ua|0)==(uc|0)&(qa|0)==0;Ua=Ua+1&127;tc=Va?tc-9|0:tc;uc=Va?Ua:uc;}while((Ua|0)!=(gc|0));if((vc|0)==0){n=uc;Ya=sc;_a=tc;continue}if((nc|0)!=(uc|0)){break}c[ra>>2]=c[ra>>2]|1;n=uc;Ya=sc;_a=tc}c[h+(gc<<2)>>2]=vc;fc=uc;gc=nc;hc=sc;ic=tc}_a=oc&127;if((_a|0)==(gc|0)){c[h+(nc-1<<2)>>2]=0;wc=nc}else{wc=gc}oa=+((c[h+(_a<<2)>>2]|0)>>>0>>>0);_a=oc+1&127;if((_a|0)==(wc|0)){Ya=wc+1&127;c[h+(Ya-1<<2)>>2]=0;xc=Ya}else{xc=wc}za=+(r|0);yc=za*(oa*1.0e9+ +((c[h+(_a<<2)>>2]|0)>>>0>>>0));_a=pc+53|0;Ya=_a-j|0;if((Ya|0)<(k|0)){zc=(Ya|0)<0?0:Ya;Ac=1}else{zc=k;Ac=0}if((zc|0)<53){oa=+rc(+(+Dla(1.0,105-zc|0)),+yc);Bc=+Yb(+yc,+(+Dla(1.0,53-zc|0)));Cc=oa;Dc=Bc;Ec=oa+(yc-Bc)}else{Cc=0.0;Dc=0.0;Ec=yc}n=oc+2&127;do{if((n|0)==(xc|0)){Fc=Dc}else{ra=c[h+(n<<2)>>2]|0;do{if(ra>>>0<5e8>>>0){if((ra|0)==0){if((oc+3&127|0)==(xc|0)){Gc=Dc;break}}Gc=za*.25+Dc}else{if(ra>>>0>5e8>>>0){Gc=za*.75+Dc;break}if((oc+3&127|0)==(xc|0)){Gc=za*.5+Dc;break}else{Gc=za*.75+Dc;break}}}while(0);if((53-zc|0)<=1){Fc=Gc;break}if(+Yb(+Gc,+1.0)!=0.0){Fc=Gc;break}Fc=Gc+1.0}}while(0);za=Ec+Fc-Cc;do{if((_a&2147483647|0)>(-2-p|0)){if(+V(+za)<9007199254740992.0){Hc=za;Ic=Ac;Jc=pc}else{Hc=za*.5;Ic=(Ac|0)!=0&(zc|0)==(Ya|0)?0:Ac;Jc=pc+1|0}if((Jc+53|0)<=(pa|0)){if(!((Ic|0)!=0&Fc!=0.0)){Kc=Hc;Lc=Jc;break}}c[(cd()|0)>>2]=34;Kc=Hc;Lc=Jc}else{Kc=za;Lc=pc}}while(0);l=+Ela(Kc,Lc);i=g;return+l}}while(0);if((c[m>>2]|0)!=0){c[e>>2]=(c[e>>2]|0)-1}c[(cd()|0)>>2]=22;Bla(b,0);l=0.0;i=g;return+l}}while(0);do{if((x|0)==23){b=(c[m>>2]|0)==0;if(!b){c[e>>2]=(c[e>>2]|0)-1}if(s>>>0<4>>>0|(f|0)==0|b){break}else{Mc=s}do{c[e>>2]=(c[e>>2]|0)-1;Mc=Mc-1|0;}while(Mc>>>0>3>>>0)}}while(0);l=+(r|0)*w;i=g;return+l}function Ala(a,b){a=a|0;b=b|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;e=a+4|0;f=c[e>>2]|0;g=a+100|0;if(f>>>0<(c[g>>2]|0)>>>0){c[e>>2]=f+1;h=d[f]|0}else{h=Cla(a)|0}do{if((h|0)==45|(h|0)==43){f=(h|0)==45|0;i=c[e>>2]|0;if(i>>>0<(c[g>>2]|0)>>>0){c[e>>2]=i+1;j=d[i]|0}else{j=Cla(a)|0}if((j-48|0)>>>0<10>>>0|(b|0)==0){k=f;l=j;break}if((c[g>>2]|0)==0){k=f;l=j;break}c[e>>2]=(c[e>>2]|0)-1;k=f;l=j}else{k=0;l=h}}while(0);if((l-48|0)>>>0>9>>>0){if((c[g>>2]|0)==0){m=-2147483648;n=0;return(K=m,n)|0}c[e>>2]=(c[e>>2]|0)-1;m=-2147483648;n=0;return(K=m,n)|0}else{o=l;p=0}while(1){q=o-48+p|0;l=c[e>>2]|0;if(l>>>0<(c[g>>2]|0)>>>0){c[e>>2]=l+1;r=d[l]|0}else{r=Cla(a)|0}if(!((r-48|0)>>>0<10>>>0&(q|0)<214748364)){break}o=r;p=q*10|0}p=q;o=(q|0)<0|0?-1:0;if((r-48|0)>>>0<10>>>0){q=r;l=o;h=p;while(1){j=fma(h,l,10,0)|0;b=K;f=Xla(q,(q|0)<0|0?-1:0,-48,-1)|0;i=Xla(f,K,j,b)|0;b=K;j=c[e>>2]|0;if(j>>>0<(c[g>>2]|0)>>>0){c[e>>2]=j+1;s=d[j]|0}else{s=Cla(a)|0}j=21474836;if((s-48|0)>>>0<10>>>0&((b|0)<(j|0)|(b|0)==(j|0)&i>>>0<2061584302>>>0)){q=s;l=b;h=i}else{t=s;u=b;v=i;break}}}else{t=r;u=o;v=p}if((t-48|0)>>>0<10>>>0){do{t=c[e>>2]|0;if(t>>>0<(c[g>>2]|0)>>>0){c[e>>2]=t+1;w=d[t]|0}else{w=Cla(a)|0}}while((w-48|0)>>>0<10>>>0)}if((c[g>>2]|0)!=0){c[e>>2]=(c[e>>2]|0)-1}e=(k|0)!=0;k=Yla(0,0,v,u)|0;m=e?K:u;n=e?k:v;return(K=m,n)|0}function Bla(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;c[a+104>>2]=b;d=c[a+8>>2]|0;e=c[a+4>>2]|0;f=d-e|0;c[a+108>>2]=f;if((b|0)!=0&(f|0)>(b|0)){c[a+100>>2]=e+b;return}else{c[a+100>>2]=d;return}}function Cla(b){b=b|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=b+104|0;f=c[e>>2]|0;if((f|0)==0){g=3}else{if((c[b+108>>2]|0)<(f|0)){g=3}}do{if((g|0)==3){f=Gla(b)|0;if((f|0)<0){break}h=c[e>>2]|0;i=c[b+8>>2]|0;do{if((h|0)==0){g=8}else{j=c[b+4>>2]|0;k=h-(c[b+108>>2]|0)-1|0;if((i-j|0)<=(k|0)){g=8;break}c[b+100>>2]=j+k}}while(0);if((g|0)==8){c[b+100>>2]=i}h=c[b+4>>2]|0;if((i|0)!=0){k=b+108|0;c[k>>2]=i+1-h+(c[k>>2]|0)}k=h-1|0;if((d[k]|0|0)==(f|0)){l=f;return l|0}a[k]=f;l=f;return l|0}}while(0);c[b+100>>2]=0;l=-1;return l|0}function Dla(a,b){a=+a;b=b|0;var d=0.0,e=0,f=0.0,g=0;do{if((b|0)>1023){d=a*8.98846567431158e+307;e=b-1023|0;if((e|0)<=1023){f=d;g=e;break}e=b-2046|0;f=d*8.98846567431158e+307;g=(e|0)>1023?1023:e}else{if(!((b|0)<-1022)){f=a;g=b;break}d=a*2.2250738585072014e-308;e=b+1022|0;if(!((e|0)<-1022)){f=d;g=e;break}e=b+2044|0;f=d*2.2250738585072014e-308;g=(e|0)<-1022?-1022:e}}while(0);return+(f*(c[k>>2]=0<<20|0>>>12,c[k+4>>2]=g+1023<<20|0>>>12,+h[k>>3]))}function Ela(a,b){a=+a;b=b|0;return+(+Dla(a,b))}function Fla(b){b=b|0;var d=0,e=0,f=0,g=0,h=0;d=b+74|0;e=a[d]|0;a[d]=e-1&255|e;e=b+20|0;d=b+44|0;if((c[e>>2]|0)>>>0>(c[d>>2]|0)>>>0){ee[c[b+36>>2]&127](b,0,0)|0}c[b+16>>2]=0;c[b+28>>2]=0;c[e>>2]=0;e=b|0;f=c[e>>2]|0;if((f&20|0)==0){g=c[d>>2]|0;c[b+8>>2]=g;c[b+4>>2]=g;h=0;return h|0}if((f&4|0)==0){h=-1;return h|0}c[e>>2]=f|32;h=-1;return h|0}function Gla(a){a=a|0;var b=0,e=0,f=0,g=0;b=i;i=i+8|0;e=b|0;if((c[a+8>>2]|0)==0){if((Fla(a)|0)==0){f=3}else{g=-1}}else{f=3}do{if((f|0)==3){if((ee[c[a+32>>2]&127](a,e,1)|0)!=1){g=-1;break}g=d[e]|0}}while(0);i=b;return g|0}function Hla(a){a=a|0;return+(+Ila(a,0))}function Ila(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0.0,j=0,k=0,l=0,m=0;d=i;i=i+112|0;e=d|0;Qla(e|0,0,112)|0;f=e+4|0;c[f>>2]=a;g=e+8|0;c[g>>2]=-1;c[e+44>>2]=a;c[e+76>>2]=-1;Bla(e,0);h=+zla(e,1,1);j=(c[f>>2]|0)-(c[g>>2]|0)+(c[e+108>>2]|0)|0;if((b|0)==0){k=112;l=0;i=d;return+h}if((j|0)==0){m=a}else{m=a+j|0}c[b>>2]=m;k=112;l=0;i=d;return+h}function Jla(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0.0,j=0,k=0,l=0,m=0;d=i;i=i+112|0;e=d|0;Qla(e|0,0,112)|0;f=e+4|0;c[f>>2]=a;g=e+8|0;c[g>>2]=-1;c[e+44>>2]=a;c[e+76>>2]=-1;Bla(e,0);h=+zla(e,2,1);j=(c[f>>2]|0)-(c[g>>2]|0)+(c[e+108>>2]|0)|0;if((b|0)==0){k=112;l=0;i=d;return+h}if((j|0)==0){m=a}else{m=a+j|0}c[b>>2]=m;k=112;l=0;i=d;return+h}function Kla(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0;if((d|0)==0){e=0;return e|0}else{f=d;g=b;h=c}while(1){i=a[g]|0;j=a[h]|0;if(!(i<<24>>24==j<<24>>24)){break}c=f-1|0;if((c|0)==0){e=0;k=5;break}else{f=c;g=g+1|0;h=h+1|0}}if((k|0)==5){return e|0}e=(i&255)-(j&255)|0;return e|0}function Lla(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;d=a[b]|0;e=a[c]|0;if(d<<24>>24!=e<<24>>24|d<<24>>24==0|e<<24>>24==0){f=d;g=e;h=f&255;i=g&255;j=h-i|0;return j|0}else{k=b;l=c}while(1){c=k+1|0;b=l+1|0;e=a[c]|0;d=a[b]|0;if(e<<24>>24!=d<<24>>24|e<<24>>24==0|d<<24>>24==0){f=e;g=d;break}else{k=c;l=b}}h=f&255;i=g&255;j=h-i|0;return j|0}function Mla(b,c,e){b=b|0;c=c|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;if((e|0)==0){f=0;return f|0}g=a[b]|0;a:do{if(g<<24>>24==0){h=c;i=0}else{j=b;k=c;l=e;m=g;while(1){n=l-1|0;o=a[k]|0;if(!((n|0)!=0&o<<24>>24!=0&m<<24>>24==o<<24>>24)){h=k;i=m;break a}o=j+1|0;p=k+1|0;q=a[o]|0;if(q<<24>>24==0){h=p;i=0;break}else{j=o;k=p;l=n;m=q}}}}while(0);f=(i&255)-(d[h]|0)|0;return f|0}function Nla(b){b=b|0;var c=0;c=b;while(a[c]|0){c=c+1|0}return c-b|0}function Ola(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;while((e|0)<(d|0)){a[b+e|0]=f?0:a[c+e|0]|0;f=f?1:(a[c+e|0]|0)==0;e=e+1|0}return b|0}function Pla(b,d,e){b=b|0;d=d|0;e=e|0;var f=0;if((e|0)>=4096)return zc(b|0,d|0,e|0)|0;f=b|0;if((b&3)==(d&3)){while(b&3){if((e|0)==0)return f|0;a[b]=a[d]|0;b=b+1|0;d=d+1|0;e=e-1|0}while((e|0)>=4){c[b>>2]=c[d>>2];b=b+4|0;d=d+4|0;e=e-4|0}}while((e|0)>0){a[b]=a[d]|0;b=b+1|0;d=d+1|0;e=e-1|0}return f|0}function Qla(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0;f=b+e|0;if((e|0)>=20){d=d&255;g=b&3;h=d|d<<8|d<<16|d<<24;i=f&~3;if(g){g=b+4-g|0;while((b|0)<(g|0)){a[b]=d;b=b+1|0}}while((b|0)<(i|0)){c[b>>2]=h;b=b+4|0}}while((b|0)<(f|0)){a[b]=d;b=b+1|0}return b-e|0}function Rla(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;z=z+1|0;c[a>>2]=z;while((e|0)<40){if((c[d+(e<<2)>>2]|0)==0){c[d+(e<<2)>>2]=z;c[d+((e<<2)+4)>>2]=b;c[d+((e<<2)+8)>>2]=0;return 0}e=e+2|0}nc(116);nc(111);nc(111);nc(32);nc(109);nc(97);nc(110);nc(121);nc(32);nc(115);nc(101);nc(116);nc(106);nc(109);nc(112);nc(115);nc(32);nc(105);nc(110);nc(32);nc(97);nc(32);nc(102);nc(117);nc(110);nc(99);nc(116);nc(105);nc(111);nc(110);nc(32);nc(99);nc(97);nc(108);nc(108);nc(44);nc(32);nc(98);nc(117);nc(105);nc(108);nc(100);nc(32);nc(119);nc(105);nc(116);nc(104);nc(32);nc(97);nc(32);nc(104);nc(105);nc(103);nc(104);nc(101);nc(114);nc(32);nc(118);nc(97);nc(108);nc(117);nc(101);nc(32);nc(102);nc(111);nc(114);nc(32);nc(77);nc(65);nc(88);nc(95);nc(83);nc(69);nc(84);nc(74);nc(77);nc(80);nc(83);nc(10);ha(0);return 0}function Sla(a,b){a=a|0;b=b|0;var d=0,e=0;while((d|0)<20){e=c[b+(d<<2)>>2]|0;if((e|0)==0)break;if((e|0)==(a|0)){return c[b+((d<<2)+4)>>2]|0}d=d+2|0}return 0}function Tla(b,c,d){b=b|0;c=c|0;d=d|0;var e=0;if((c|0)<(b|0)&(b|0)<(c+d|0)){e=b;c=c+d|0;b=b+d|0;while((d|0)>0){b=b-1|0;c=c-1|0;d=d-1|0;a[b]=a[c]|0}b=e}else{Pla(b,c,d)|0}return b|0}function Ula(a){a=a|0;var b=0;b=(ga(c[a>>2]|0,31010991)|0)+1735287159&2147483647;c[a>>2]=b;return b|0}function Vla(){return Ula(o)|0}function Wla(b,c){b=b|0;c=c|0;var d=0;do{a[b+d|0]=a[c+d|0];d=d+1|0}while(a[c+(d-1)|0]|0);return b|0}function Xla(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;e=a+c>>>0;return(K=b+d+(e>>>0<a>>>0|0)>>>0,e|0)|0}function Yla(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;e=b-d>>>0;e=b-d-(c>>>0>a>>>0|0)>>>0;return(K=e,a-c>>>0|0)|0}function Zla(a,b,c){a=a|0;b=b|0;c=c|0;if((c|0)<32){K=b<<c|(a&(1<<c)-1<<32-c)>>>32-c;return a<<c}K=a<<c-32;return 0}function _la(a,b,c){a=a|0;b=b|0;c=c|0;if((c|0)<32){K=b>>>c;return a>>>c|(b&(1<<c)-1)<<32-c}K=0;return b>>>c-32|0}function $la(a,b,c){a=a|0;b=b|0;c=c|0;if((c|0)<32){K=b>>c;return a>>>c|(b&(1<<c)-1)<<32-c}K=(b|0)<0?-1:0;return b>>c-32|0}function ama(b){b=b|0;var c=0;c=a[n+(b>>>24)|0]|0;if((c|0)<8)return c|0;c=a[n+(b>>16&255)|0]|0;if((c|0)<8)return c+8|0;c=a[n+(b>>8&255)|0]|0;if((c|0)<8)return c+16|0;return(a[n+(b&255)|0]|0)+24|0}function bma(b){b=b|0;var c=0;c=a[m+(b&255)|0]|0;if((c|0)<8)return c|0;c=a[m+(b>>8&255)|0]|0;if((c|0)<8)return c+8|0;c=a[m+(b>>16&255)|0]|0;if((c|0)<8)return c+16|0;return(a[m+(b>>>24)|0]|0)+24|0}function cma(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=a&65535;d=b&65535;e=ga(d,c)|0;f=a>>>16;a=(e>>>16)+(ga(d,f)|0)|0;d=b>>>16;b=ga(d,c)|0;return(K=(a>>>16)+(ga(d,f)|0)+(((a&65535)+b|0)>>>16)|0,a+b<<16|e&65535|0)|0}function dma(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=b>>31|((b|0)<0?-1:0)<<1;f=((b|0)<0?-1:0)>>31|((b|0)<0?-1:0)<<1;g=d>>31|((d|0)<0?-1:0)<<1;h=((d|0)<0?-1:0)>>31|((d|0)<0?-1:0)<<1;i=Yla(e^a,f^b,e,f)|0;b=K;a=g^e;e=h^f;f=Yla((ima(i,b,Yla(g^c,h^d,g,h)|0,K,0)|0)^a,K^e,a,e)|0;return(K=K,f)|0}function ema(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;f=i;i=i+8|0;g=f|0;h=b>>31|((b|0)<0?-1:0)<<1;j=((b|0)<0?-1:0)>>31|((b|0)<0?-1:0)<<1;k=e>>31|((e|0)<0?-1:0)<<1;l=((e|0)<0?-1:0)>>31|((e|0)<0?-1:0)<<1;m=Yla(h^a,j^b,h,j)|0;b=K;ima(m,b,Yla(k^d,l^e,k,l)|0,K,g)|0;l=Yla(c[g>>2]^h,c[g+4>>2]^j,h,j)|0;j=K;i=f;return(K=j,l)|0}function fma(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=a;a=c;c=cma(e,a)|0;f=K;return(K=(ga(b,a)|0)+(ga(d,e)|0)+f|f&0,c|0|0)|0}function gma(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;e=ima(a,b,c,d,0)|0;return(K=K,e)|0}function hma(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+8|0;g=f|0;ima(a,b,d,e,g)|0;i=f;return(K=c[g+4>>2]|0,c[g>>2]|0)|0}function ima(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,L=0,M=0;g=a;h=b;i=h;j=d;k=e;l=k;if((i|0)==0){m=(f|0)!=0;if((l|0)==0){if(m){c[f>>2]=(g>>>0)%(j>>>0);c[f+4>>2]=0}n=0;o=(g>>>0)/(j>>>0)>>>0;return(K=n,o)|0}else{if(!m){n=0;o=0;return(K=n,o)|0}c[f>>2]=a|0;c[f+4>>2]=b&0;n=0;o=0;return(K=n,o)|0}}m=(l|0)==0;do{if((j|0)==0){if(m){if((f|0)!=0){c[f>>2]=(i>>>0)%(j>>>0);c[f+4>>2]=0}n=0;o=(i>>>0)/(j>>>0)>>>0;return(K=n,o)|0}if((g|0)==0){if((f|0)!=0){c[f>>2]=0;c[f+4>>2]=(i>>>0)%(l>>>0)}n=0;o=(i>>>0)/(l>>>0)>>>0;return(K=n,o)|0}p=l-1|0;if((p&l|0)==0){if((f|0)!=0){c[f>>2]=a|0;c[f+4>>2]=p&i|b&0}n=0;o=i>>>((bma(l|0)|0)>>>0);return(K=n,o)|0}p=(ama(l|0)|0)-(ama(i|0)|0)|0;if(p>>>0<=30){q=p+1|0;r=31-p|0;s=q;t=i<<r|g>>>(q>>>0);u=i>>>(q>>>0);v=0;w=g<<r;break}if((f|0)==0){n=0;o=0;return(K=n,o)|0}c[f>>2]=a|0;c[f+4>>2]=h|b&0;n=0;o=0;return(K=n,o)|0}else{if(!m){r=(ama(l|0)|0)-(ama(i|0)|0)|0;if(r>>>0<=31){q=r+1|0;p=31-r|0;x=r-31>>31;s=q;t=g>>>(q>>>0)&x|i<<p;u=i>>>(q>>>0)&x;v=0;w=g<<p;break}if((f|0)==0){n=0;o=0;return(K=n,o)|0}c[f>>2]=a|0;c[f+4>>2]=h|b&0;n=0;o=0;return(K=n,o)|0}p=j-1|0;if((p&j|0)!=0){x=(ama(j|0)|0)+33-(ama(i|0)|0)|0;q=64-x|0;r=32-x|0;y=r>>31;z=x-32|0;A=z>>31;s=x;t=r-1>>31&i>>>(z>>>0)|(i<<r|g>>>(x>>>0))&A;u=A&i>>>(x>>>0);v=g<<q&y;w=(i<<q|g>>>(z>>>0))&y|g<<r&x-33>>31;break}if((f|0)!=0){c[f>>2]=p&g;c[f+4>>2]=0}if((j|0)==1){n=h|b&0;o=a|0|0;return(K=n,o)|0}else{p=bma(j|0)|0;n=i>>>(p>>>0)|0;o=i<<32-p|g>>>(p>>>0)|0;return(K=n,o)|0}}}while(0);if((s|0)==0){B=w;C=v;D=u;E=t;F=0;G=0}else{g=d|0|0;d=k|e&0;e=Xla(g,d,-1,-1)|0;k=K;i=w;w=v;v=u;u=t;t=s;s=0;while(1){H=w>>>31|i<<1;I=s|w<<1;j=u<<1|i>>>31|0;a=u>>>31|v<<1|0;Yla(e,k,j,a)|0;b=K;h=b>>31|((b|0)<0?-1:0)<<1;J=h&1;L=Yla(j,a,h&g,(((b|0)<0?-1:0)>>31|((b|0)<0?-1:0)<<1)&d)|0;M=K;b=t-1|0;if((b|0)==0){break}else{i=H;w=I;v=M;u=L;t=b;s=J}}B=H;C=I;D=M;E=L;F=0;G=J}J=C;C=0;if((f|0)!=0){c[f>>2]=E;c[f+4>>2]=D}n=(J|0)>>>31|(B|C)<<1|(C<<1|J>>>31)&0|F;o=(J<<1|0>>>31)&-2|G;return(K=n,o)|0}function jma(a){a=a|0;uc(a|0)}function kma(a){a=a|0;return Ub(a|0)|0}function lma(a){a=a|0;return ac(a|0)|0}function mma(a){a=a|0;return Ta(a|0)|0}function nma(a){a=a|0;return Qc(a|0)|0}function oma(a){a=a|0;return Pa(a|0)|0}function pma(a){a=a|0;return xd(a|0)|0}function qma(a){a=a|0;return hb(a|0)|0}function rma(a,b){a=a|0;b=b|0;return Sb(a|0,b|0)|0}function sma(a,b){a=a|0;b=b|0;return qb(a|0,b|0)|0}function tma(){return zd()|0}function uma(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return Ya(a|0,b|0,c|0,d|0)|0}function vma(){eb()}function wma(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;return Yd[a&15](b|0,c|0,d|0,e|0,f|0,g|0,h|0)|0}function xma(a,b){a=a|0;b=+b;Zd[a&3](+b)}function yma(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;_d[a&31](b|0,c|0,d|0,e|0,f|0)}function zma(a,b){a=a|0;b=b|0;$d[a&511](b|0)}function Ama(a,b,c){a=a|0;b=b|0;c=c|0;ae[a&255](b|0,c|0)}function Bma(a,b,c,d,e,f,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;return be[a&15](b|0,c|0,d|0,e|0,f|0,g|0,h|0,i|0,j|0,k|0)|0}function Cma(a,b){a=a|0;b=b|0;return ce[a&255](b|0)|0}function Dma(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;return de[a&127](b|0,c|0,d|0,e|0,f|0)|0}function Ema(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return ee[a&127](b|0,c|0,d|0)|0}function Fma(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;fe[a&15](b|0,c|0,d|0,e|0,f|0,+g)}function Gma(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;ge[a&15](b|0,c|0,d|0,e|0,f|0,g|0,h|0,i|0)}function Hma(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;he[a&63](b|0,c|0,d|0,e|0,f|0,g|0)}function Ima(a,b,c){a=a|0;b=b|0;c=+c;return ie[a&3](b|0,+c)|0}function Jma(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;je[a&127](b|0,c|0,d|0,e|0,f|0,g|0,h|0)}function Kma(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=+h;ke[a&7](b|0,c|0,d|0,e|0,f|0,g|0,+h)}function Lma(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;le[a&7](b|0,c|0,d|0,e|0,f|0,g|0,h|0,i|0,j|0)}function Mma(a,b,c){a=a|0;b=b|0;c=c|0;return me[a&127](b|0,c|0)|0}function Nma(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=g|0;return ne[a&3](b|0,c|0,d|0,e|0,+f,g|0)|0}function Oma(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;return oe[a&31](b|0,c|0,d|0,e|0,f|0,g|0,h|0,i|0)|0}function Pma(a){a=a|0;return pe[a&15]()|0}function Qma(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return qe[a&127](b|0,c|0,d|0,e|0)|0}function Rma(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;re[a&15](b|0,c|0,d|0)}function Sma(a){a=a|0;se[a&15]()}function Tma(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;f=f|0;te[a&7](b|0,c|0,+d,e|0,f|0)}function Uma(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;ue[a&63](b|0,c|0,d|0,e|0)}function Vma(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;ha(0);return 0}function Wma(a){a=+a;ha(1)}function Xma(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;ha(2)}function Yma(a){a=a|0;ha(3)}function Zma(a,b){a=a|0;b=b|0;ha(4)}function _ma(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;ha(5);return 0}function $ma(a){a=a|0;ha(6);return 0}function ana(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;ha(7);return 0}function bna(a,b,c){a=a|0;b=b|0;c=c|0;ha(8);return 0}function cna(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;ha(9)}function dna(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;ha(10)}function ena(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;ha(11)}function fna(a,b){a=a|0;b=+b;ha(12);return 0}function gna(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;ha(13)}function hna(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;ha(14)}function ina(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;ha(15)}function jna(a,b){a=a|0;b=b|0;ha(16);return 0}function kna(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=f|0;ha(17);return 0}function lna(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;ha(18);return 0}function mna(){ha(19);return 0}function nna(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;ha(20);return 0}function ona(a,b,c){a=a|0;b=b|0;c=c|0;ha(21)}function pna(){ha(22)}function qna(a,b,c,d,e){a=a|0;b=b|0;c=+c;d=d|0;e=e|0;ha(23)}function rna(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;ha(24)}



function J$(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=i;i=i+80|0;f=e|0;g=e+16|0;j=e+32|0;k=e+48|0;l=e+64|0;m=c[b+12>>2]|0;b=m;n=m;xda(f,n);m=gZ(f)|0;A$(b,0);xda(g,n);f=gZ(g)|0;g=f;C$(b,1);D$(b,8090192);f=d+116|0;o=d+124|0;p=d+128|0;q=d+132|0;E$(b,(c[f>>2]|0)+1+(c[o>>2]|0)+(c[p>>2]|0)+(c[q>>2]|0)|0);r=d+4|0;F$(b,+h[c[c[r>>2]>>2]>>3]);if((c[f>>2]|0)>0){d=0;do{F$(b,+h[(c[(c[c[r>>2]>>2]|0)+8>>2]|0)+(d<<3)>>3]);d=d+1|0;}while((d|0)<(c[f>>2]|0))}if((c[o>>2]|0)>0){f=0;do{G$(b,c[(c[(c[c[r>>2]>>2]|0)+12>>2]|0)+(f<<2)>>2]|0);f=f+1|0;}while((f|0)<(c[o>>2]|0))}if((c[p>>2]|0)>0){o=0;do{H$(b,(a[(c[(c[c[r>>2]>>2]|0)+16>>2]|0)+o|0]|0)!=0);o=o+1|0;}while((o|0)<(c[p>>2]|0))}if((c[q>>2]|0)>0){p=0;do{D$(b,c[(c[(c[c[r>>2]>>2]|0)+20>>2]|0)+(p<<2)>>2]|0);p=p+1|0;}while((p|0)<(c[q>>2]|0))}xda(j,n);q=gZ(j)|0;j=q;q=m;UX(k,q,(q|0)<0|0?-1:0);yda(n,k)|0;A$(b,j-g|0);UX(l,j,(j|0)<0|0?-1:0);yda(n,l)|0;i=e;return}function K$(a,b){a=a|0;b=b|0;b=a+12|0;a=c[b>>2]|0;PX(a);GU(3);if((a|0)==0){c[b>>2]=0;JU(3);return}L$(a);tla(a);c[b>>2]=0;JU(3);return}function L$(a){a=a|0;M$(a);return}function M$(a){a=a|0;jZ(a|0);return}function N$(b){b=+b;var d=0,e=0,f=0,g=0,j=0;d=i;i=i+8|0;e=d|0;f=e;h[e>>3]=b;if((nd(1)|0)==1){g=e;e=c[g+4>>2]|0;j=10022664;c[j>>2]=c[g>>2];c[j+4>>2]=e;i=d;return}h[k>>3]=b;e=0;j=c[k>>2]&255;while(1){a[10022664+(7-e)|0]=j;g=e+1|0;if((g|0)>=8){break}e=g;j=a[f+g|0]|0}i=d;return}function O$(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;d=i;i=i+16|0;e=d|0;D$(a,9954792);C$(a,4);D$(a,9941040);C$(a,0);D$(a,9939216);f=b+128|0;g=b+132|0;h=b+136|0;j=b+140|0;E$(a,(c[f>>2]|0)+1+(c[g>>2]|0)+(c[h>>2]|0)+(c[j>>2]|0)|0);D$(a,9937344);if((c[f>>2]|0)>0){k=b+16|0;l=0;do{D$(a,c[(c[k>>2]|0)+(l*112|0)+4>>2]|0);l=l+1|0;}while((l|0)<(c[f>>2]|0))}if((c[g>>2]|0)>0){l=b+20|0;k=0;do{D$(a,c[(c[l>>2]|0)+(k*60|0)+4>>2]|0);k=k+1|0;}while((k|0)<(c[g>>2]|0))}if((c[h>>2]|0)>0){k=b+24|0;l=0;do{D$(a,c[(c[k>>2]|0)+(l*48|0)+4>>2]|0);l=l+1|0;}while((l|0)<(c[h>>2]|0))}if((c[j>>2]|0)>0){l=b+28|0;k=0;do{D$(a,c[(c[l>>2]|0)+(k*52|0)+4>>2]|0);k=k+1|0;}while((k|0)<(c[j>>2]|0))}k=e;c[k>>2]=c[4122];c[k+4>>2]=c[4123];c[k+8>>2]=c[4124];Q$(a,b,e|0);D$(a,8091168);C$(a,(c[f>>2]|0)+1+(c[g>>2]|0)+(c[h>>2]|0)+(c[j>>2]|0)|0);R$(a,9937344,56560);if((c[f>>2]|0)>0){e=b+16|0;k=0;do{l=c[e>>2]|0;R$(a,c[l+(k*112|0)+4>>2]|0,c[l+(k*112|0)+8>>2]|0);k=k+1|0;}while((k|0)<(c[f>>2]|0))}if((c[g>>2]|0)>0){f=b+20|0;k=0;do{e=c[f>>2]|0;R$(a,c[e+(k*60|0)+4>>2]|0,c[e+(k*60|0)+8>>2]|0);k=k+1|0;}while((k|0)<(c[g>>2]|0))}if((c[h>>2]|0)>0){g=b+24|0;k=0;do{f=c[g>>2]|0;R$(a,c[f+(k*48|0)+4>>2]|0,c[f+(k*48|0)+8>>2]|0);k=k+1|0;}while((k|0)<(c[h>>2]|0))}if((c[j>>2]|0)<=0){i=d;return}h=b+28|0;b=0;do{k=c[h>>2]|0;R$(a,c[k+(b*52|0)+4>>2]|0,c[k+(b*52|0)+8>>2]|0);b=b+1|0;}while((b|0)<(c[j>>2]|0));i=d;return}function P$(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;d=i;i=i+16|0;e=d|0;f=b+108|0;g=c[f>>2]|0;h=b+116|0;j=c[h>>2]|0;k=b+120|0;l=c[k>>2]|0;m=b+124|0;n=c[m>>2]|0;D$(a,8090192);C$(a,4);D$(a,9941040);C$(a,0);D$(a,9939216);o=g+1+j+l+n|0;E$(a,o);D$(a,9937344);if((c[f>>2]|0)>0){n=b|0;l=0;do{D$(a,c[(c[n>>2]|0)+(l*112|0)+4>>2]|0);l=l+1|0;}while((l|0)<(c[f>>2]|0))}if((c[h>>2]|0)>0){l=b+4|0;n=0;do{D$(a,c[(c[l>>2]|0)+(n*60|0)+4>>2]|0);n=n+1|0;}while((n|0)<(c[h>>2]|0))}if((c[k>>2]|0)>0){n=b+8|0;l=0;do{D$(a,c[(c[n>>2]|0)+(l*48|0)+4>>2]|0);l=l+1|0;}while((l|0)<(c[k>>2]|0))}if((c[m>>2]|0)>0){l=b+12|0;n=0;do{D$(a,c[(c[l>>2]|0)+(n*52|0)+4>>2]|0);n=n+1|0;}while((n|0)<(c[m>>2]|0))}n=e;c[n>>2]=c[4126];c[n+4>>2]=c[4127];c[n+8>>2]=c[4128];Q$(a,b,e|0);D$(a,8091168);C$(a,o);R$(a,9937344,56560);if((c[f>>2]|0)>0){o=b|0;e=0;do{n=c[o>>2]|0;R$(a,c[n+(e*112|0)+4>>2]|0,c[n+(e*112|0)+8>>2]|0);e=e+1|0;}while((e|0)<(c[f>>2]|0))}if((c[h>>2]|0)>0){f=b+4|0;e=0;do{o=c[f>>2]|0;R$(a,c[o+(e*60|0)+4>>2]|0,c[o+(e*60|0)+8>>2]|0);e=e+1|0;}while((e|0)<(c[h>>2]|0))}if((c[k>>2]|0)>0){h=b+8|0;e=0;do{f=c[h>>2]|0;R$(a,c[f+(e*48|0)+4>>2]|0,c[f+(e*48|0)+8>>2]|0);e=e+1|0;}while((e|0)<(c[k>>2]|0))}if((c[m>>2]|0)<=0){i=d;return}k=b+12|0;b=0;do{e=c[k>>2]|0;R$(a,c[e+(b*52|0)+4>>2]|0,c[e+(b*52|0)+8>>2]|0);b=b+1|0;}while((b|0)<(c[m>>2]|0));i=d;return}function Q$(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;D$(b,52368);f=d+208|0;g=c[f>>2]|0;if((g|0)>0){h=c[d+32>>2]|0;i=0;j=0;while(1){k=(c[e+(a[h+(i*52|0)+8|0]<<2)>>2]|0)+j|0;l=i+1|0;if((l|0)<(g|0)){i=l;j=k}else{m=k;break}}}else{m=0}j=d+212|0;i=c[j>>2]|0;if((i|0)>0){g=c[d+36>>2]|0;h=0;k=m;while(1){l=(c[e+(a[g+(h*52|0)+8|0]<<2)>>2]|0)+k|0;n=h+1|0;if((n|0)<(i|0)){h=n;k=l}else{o=l;break}}}else{o=m}m=d+216|0;k=c[m>>2]|0;if((k|0)>0){h=c[d+40>>2]|0;i=0;g=o;while(1){l=(c[e+(a[h+(i*52|0)+8|0]<<2)>>2]|0)+g|0;n=i+1|0;if((n|0)<(k|0)){i=n;g=l}else{p=l;break}}}else{p=o}o=d+220|0;g=c[o>>2]|0;if((g|0)>0){i=c[d+44>>2]|0;k=0;h=p;while(1){l=(c[e+(a[i+(k*52|0)+8|0]<<2)>>2]|0)+h|0;n=k+1|0;if((n|0)<(g|0)){k=n;h=l}else{q=l;break}}}else{q=p}C$(b,q);q=c[f>>2]|0;if((q|0)>0){p=d+32|0;h=d+16|0;k=d|0;g=0;i=0;l=q;while(1){q=c[p>>2]|0;n=a[q+(g*52|0)+8|0]|0;if((c[e+(n<<24>>24<<2)>>2]|0)==0){r=i;s=l}else{t=n<<24>>24==2?9937344:i;if((n<<24>>24|0)==0){u=c[(c[k>>2]|0)+((c[q+(g*52|0)+4>>2]|0)*112|0)+4>>2]|0}else if((n<<24>>24|0)==1){u=c[(c[h>>2]|0)+((c[q+(g*52|0)+4>>2]|0)*112|0)+4>>2]|0}else{u=t}S$(b,c[q+(g*52|0)+16>>2]|0,u,(c[q+(g*52|0)>>2]|0)!=0);r=u;s=c[f>>2]|0}q=g+1|0;if((q|0)<(s|0)){g=q;i=r;l=s}else{v=r;break}}}else{v=0}r=c[j>>2]|0;if((r|0)>0){s=d+36|0;l=d+20|0;i=d+4|0;g=0;f=v;u=r;while(1){r=c[s>>2]|0;h=a[r+(g*52|0)+8|0]|0;if((c[e+(h<<24>>24<<2)>>2]|0)==0){w=f;x=u}else{k=h<<24>>24==2?9937344:f;if((h<<24>>24|0)==0){y=c[(c[i>>2]|0)+((c[r+(g*52|0)+4>>2]|0)*60|0)+4>>2]|0}else if((h<<24>>24|0)==1){y=c[(c[l>>2]|0)+((c[r+(g*52|0)+4>>2]|0)*60|0)+4>>2]|0}else{y=k}S$(b,c[r+(g*52|0)+16>>2]|0,y,(c[r+(g*52|0)>>2]|0)!=0);w=y;x=c[j>>2]|0}r=g+1|0;if((r|0)<(x|0)){g=r;f=w;u=x}else{z=w;break}}}else{z=v}v=c[m>>2]|0;if((v|0)>0){w=d+40|0;x=d+24|0;u=d+8|0;f=0;g=z;j=v;while(1){v=c[w>>2]|0;y=a[v+(f*52|0)+8|0]|0;if((c[e+(y<<24>>24<<2)>>2]|0)==0){A=g;B=j}else{l=y<<24>>24==2?9937344:g;if((y<<24>>24|0)==1){C=c[(c[x>>2]|0)+((c[v+(f*52|0)+4>>2]|0)*48|0)+4>>2]|0}else if((y<<24>>24|0)==0){C=c[(c[u>>2]|0)+((c[v+(f*52|0)+4>>2]|0)*48|0)+4>>2]|0}else{C=l}S$(b,c[v+(f*52|0)+16>>2]|0,C,(c[v+(f*52|0)>>2]|0)!=0);A=C;B=c[m>>2]|0}v=f+1|0;if((v|0)<(B|0)){f=v;g=A;j=B}else{D=A;break}}}else{D=z}z=c[o>>2]|0;if((z|0)<=0){return}A=d+44|0;B=d+28|0;j=d+12|0;d=0;g=D;D=z;while(1){z=c[A>>2]|0;f=a[z+(d*52|0)+8|0]|0;if((c[e+(f<<24>>24<<2)>>2]|0)==0){E=g;F=D}else{m=f<<24>>24==2?9937344:g;if((f<<24>>24|0)==0){G=c[(c[j>>2]|0)+((c[z+(d*52|0)+4>>2]|0)*52|0)+4>>2]|0}else if((f<<24>>24|0)==1){G=c[(c[B>>2]|0)+((c[z+(d*52|0)+4>>2]|0)*52|0)+4>>2]|0}else{G=m}S$(b,c[z+(d*52|0)+16>>2]|0,G,(c[z+(d*52|0)>>2]|0)!=0);E=G;F=c[o>>2]|0}z=d+1|0;if((z|0)<(F|0)){d=z;g=E;D=F}else{break}}return}function R$(a,b,c){a=a|0;b=b|0;c=c|0;D$(a,b);C$(a,1);D$(a,54776);D$(a,c);return}function S$(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;D$(a,b);C$(a,d?2:1);D$(a,50368);D$(a,c);if(!d){return}D$(a,49672);D$(a,49008);return}function T$(a){a=a|0;$_(a|0);return}function U$(b,d){b=b|0;d=d|0;var e=0,f=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0.0,s=0.0,t=0.0,v=0.0,w=0,x=0,y=0,z=0,A=0,C=0;e=i;i=i+12840|0;V$(e|0);Waa(e+200|0);W$(e+216|0,e+232|0);W$(e+240|0,e+256|0);do{if((c[(b+92|0)>>2]|0)==0){if((c[2500199]|0)==0){aba(e+296|0,c[b+80>>2]|0);X$(e+280|0,e+296|0,9969368);hba(e+200|0,e+280|0)|0;gba(e+280|0);gba(e+296|0)}else{iba(e+200|0,c[2500169]|0)|0}f=Cc(Dba(e+200|0)|0,45792)|0;if((f|0)!=0){j=f;break}f=Dba(e+200|0)|0;$S(0,40248,(k=i,i=i+8|0,c[k>>2]=f,k)|0);i=k}else{j=0}}while(0);f=ON(0)|0;if((f|0)==0){Pa(j|0)|0;$S(0,35600,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k}ZN(f,e|0);_N(f,8,16);l=c[(b+92|0)>>2]|0;do{if((l|0)==0){Qla(e+312|0|0|0,0,1024)|0;while(1){m=pd(e+312|0|0|0,1,1024,j|0)|0;if(($N(f,e+312|0|0,m,m>>>0<1024>>>0&1)|0)==0){break}if(m>>>0<1024>>>0){n=49;break}}if((n|0)==49){Pa(j|0)|0;break}Pa(j|0)|0;m=Dba(e+200|0)|0;o=hO(eO(f)|0)|0;p=fO(f)|0;ZS(1,0,31256,(k=i,i=i+24|0,c[k>>2]=m,c[k+8>>2]=o,c[k+16>>2]=p,k)|0);i=k;VN(f);$S(0,27312,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k}else{if(($N(f,l,Nla(l|0)|0,1)|0)!=0){break}p=c[u>>2]|0;o=c[(b+92|0)>>2]|0;m=hO(eO(f)|0)|0;q=fO(f)|0;td(p|0,24104,(k=i,i=i+24|0,c[k>>2]=o,c[k+8>>2]=m,c[k+16>>2]=q,k)|0)|0;i=k;q=c[(b+92|0)>>2]|0;m=hO(eO(f)|0)|0;o=fO(f)|0;ZS(1,0,9983480,(k=i,i=i+24|0,c[k>>2]=q,c[k+8>>2]=m,c[k+16>>2]=o,k)|0);i=k;VN(f);$S(0,27312,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k}}while(0);l=e|0|0;aba(e+1344|0,9979608);$$(e+1336|0,l,e+1344|0);a0(e+1360|0,l);j=_$(e+1336|0,e+1360|0)|0;gba(e+1344|0);n=c[(b+88|0)>>2]|0;do{if(j){o=Dba(e+200|0)|0;ZS(1,0,9976280,(k=i,i=i+16|0,c[k>>2]=n,c[k+8>>2]=o,k)|0);i=k}else{aba(e+1368|0,9979608);o=Lla(n,Dba(b0(l,e+1368|0)|0)|0)|0;gba(e+1368|0);if((o|0)==0){break}VN(f);aba(e+1384|0,9979608);o=Dba(b0(l,e+1384|0)|0)|0;m=Dba(e+200|0)|0;q=c[(b+88|0)>>2]|0;ZS(1,0,9973104,(k=i,i=i+24|0,c[k>>2]=o,c[k+8>>2]=m,c[k+16>>2]=q,k)|0);i=k;gba(e+1384|0);$S(0,27312,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k}}while(0);c0(e|0,b,c[2500190]|0,c[2500191]|0);XS(23,1,9970632,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;aba(e+1416|0,9968520);Yaa(e+1400|0,b0((e|0)+12|0,e+1416|0)|0);d0(e+1400|0,d|0,0.0);gba(e+1400|0);gba(e+1416|0);XS(23,0,9966360,(k=i,i=i+8|0,h[k>>3]=+h[(d|0)>>3],k)|0);i=k;aba(e+1448|0,9964232);Yaa(e+1432|0,b0((e|0)+12|0,e+1448|0)|0);d0(e+1432|0,d+8|0,1.0);gba(e+1432|0);gba(e+1448|0);XS(23,0,9962032,(k=i,i=i+8|0,h[k>>3]=+h[(d+8|0)>>3],k)|0);i=k;aba(e+1480|0,9959960);Yaa(e+1464|0,b0((e|0)+12|0,e+1480|0)|0);d0(e+1464|0,d+24|0,(+h[(d+8|0)>>3]- +h[(d|0)>>3])/500.0);gba(e+1464|0);gba(e+1480|0);XS(23,0,9957904,(k=i,i=i+8|0,h[k>>3]=+h[(d+24|0)>>3],k)|0);i=k;aba(e+1512|0,9955768);Yaa(e+1496|0,b0((e|0)+12|0,e+1512|0)|0);d0(e+1496|0,d+32|0,1.0e-5);gba(e+1496|0);gba(e+1512|0);XS(23,0,9953216,(k=i,i=i+8|0,h[k>>3]=+h[(d+32|0)>>3],k)|0);i=k;aba(e+1544|0,9951456);Yaa(e+1528|0,b0((e|0)+12|0,e+1544|0)|0);e0(e+1528|0,d+40|0);gba(e+1528|0);gba(e+1544|0);XS(23,0,9949544,(k=i,i=i+8|0,c[k>>2]=c[(d+40|0)>>2],k)|0);i=k;aba(e+1576|0,9947432);Yaa(e+1560|0,b0((e|0)+12|0,e+1576|0)|0);e0(e+1560|0,d+44|0);gba(e+1560|0);gba(e+1576|0);XS(23,0,9945152,(k=i,i=i+8|0,c[k>>2]=c[(d+44|0)>>2],k)|0);i=k;aba(e+1608|0,9942944);Yaa(e+1592|0,b0((e|0)+12|0,e+1608|0)|0);e0(e+1592|0,d+48|0);gba(e+1592|0);gba(e+1608|0);XS(23,0,9940992,(k=i,i=i+8|0,c[k>>2]=c[(d+48|0)>>2],k)|0);i=k;aba(e+1640|0,9939192);Yaa(e+1624|0,b0(l,e+1640|0)|0);e0(e+1624|0,d+268|0);gba(e+1624|0);gba(e+1640|0);XS(23,0,9937304,(k=i,i=i+8|0,c[k>>2]=c[(d+268|0)>>2],k)|0);i=k;if((c[2500039]|0)!=0){$d[c[3540]&511](23)}aba(e+1744|0,8091096);Yaa(e+1728|0,b0(l,e+1744|0)|0);f0(e+1728|0,e+1656|0,0);gba(e+1728|0);gba(e+1744|0);aba(e+1776|0,56512);Yaa(e+1760|0,b0(l,e+1776|0)|0);f0(e+1760|0,e+1664|0,0);gba(e+1760|0);gba(e+1776|0);aba(e+1808|0,54712);Yaa(e+1792|0,b0(l,e+1808|0)|0);f0(e+1792|0,e+1672|0,0);gba(e+1792|0);gba(e+1808|0);aba(e+1840|0,52312);Yaa(e+1824|0,b0(l,e+1840|0)|0);f0(e+1824|0,e+1688|0,0);gba(e+1824|0);gba(e+1840|0);aba(e+1872|0,50240);Yaa(e+1856|0,b0(l,e+1872|0)|0);f0(e+1856|0,e+1680|0,0);gba(e+1856|0);gba(e+1872|0);aba(e+1904|0,49624);Yaa(e+1888|0,b0(l,e+1904|0)|0);f0(e+1888|0,e+1704|0,0);gba(e+1888|0);gba(e+1904|0);aba(e+1936|0,48968);Yaa(e+1920|0,b0(l,e+1936|0)|0);f0(e+1920|0,e+1696|0,0);gba(e+1920|0);gba(e+1936|0);aba(e+1968|0,48384);Yaa(e+1952|0,b0(l,e+1968|0)|0);f0(e+1952|0,e+1720|0,0);gba(e+1952|0);gba(e+1968|0);aba(e+2e3|0,47712);Yaa(e+1984|0,b0(l,e+2e3|0)|0);f0(e+1984|0,e+1712|0,0);gba(e+1984|0);gba(e+2e3|0);l=c[(e+1656|0)>>2]|0;do{if((l|0)==(c[(b+104|0)>>2]|0)){if((c[(e+1664|0)>>2]|0)!=((c[(b+108|0)>>2]|0)-(l<<1)|0)){break}if((c[(e+1672|0)>>2]|0)!=(c[(b+128|0)>>2]|0)){break}if((c[(e+1688|0)>>2]|0)!=(c[(b+132|0)>>2]|0)){break}if((c[(e+1680|0)>>2]|0)!=(c[(b+116|0)>>2]|0)){break}if((c[(e+1704|0)>>2]|0)!=(c[(b+136|0)>>2]|0)){break}if((c[(e+1696|0)>>2]|0)!=(c[(b+120|0)>>2]|0)){break}if((c[(e+1720|0)>>2]|0)!=(c[(b+140|0)>>2]|0)){break}if((c[(e+1712|0)>>2]|0)!=(c[(b+124|0)>>2]|0)){break}XS(4,1,41440,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;if((c[(b+104|0)>>2]|0)>0){d=(e|0)+24|0;n=0;do{c[(e+2032|0)>>2]=n;j=g0(d,e+2032|0)|0;aba(e+2040|0,40960);Yaa(e+2016|0,b0(j,e+2040|0)|0);e0(e+2016|0,(c[(b|0)>>2]|0)+(n*112|0)+4|0);gba(e+2016|0);gba(e+2040|0);c[(e+2072|0)>>2]=n;j=g0(d,e+2072|0)|0;aba(e+2080|0,39448);Yaa(e+2056|0,b0(j,e+2080|0)|0);h0(e+2056|0,(c[(b|0)>>2]|0)+(n*112|0)|0);gba(e+2056|0);gba(e+2080|0);c[(e+2112|0)>>2]=n;j=g0(d,e+2112|0)|0;aba(e+2120|0,38680);Yaa(e+2096|0,b0(j,e+2120|0)|0);e0(e+2096|0,(c[(b|0)>>2]|0)+(n*112|0)+8|0);gba(e+2096|0);gba(e+2120|0);c[(e+2152|0)>>2]=n;j=g0(d,e+2152|0)|0;aba(e+2160|0,37832);Yaa(e+2136|0,b0(j,e+2160|0)|0);e0(e+2136|0,(c[(b|0)>>2]|0)+(n*112|0)+12|0);gba(e+2136|0);gba(e+2160|0);c[(e+2192|0)>>2]=n;j=g0(d,e+2192|0)|0;aba(e+2200|0,37024);Yaa(e+2176|0,b0(j,e+2200|0)|0);f0(e+2176|0,(c[(b|0)>>2]|0)+(n*112|0)+16|0,0);gba(e+2176|0);gba(e+2200|0);c[(e+2232|0)>>2]=n;j=g0(d,e+2232|0)|0;aba(e+2240|0,36280);Yaa(e+2216|0,b0(j,e+2240|0)|0);f0(e+2216|0,(c[(b|0)>>2]|0)+(n*112|0)+20|0,0);gba(e+2216|0);gba(e+2240|0);c[(e+2272|0)>>2]=n;j=g0(d,e+2272|0)|0;aba(e+2280|0,34824);Yaa(e+2256|0,b0(j,e+2280|0)|0);f0(e+2256|0,(c[(b|0)>>2]|0)+(n*112|0)+24|0,0);gba(e+2256|0);gba(e+2280|0);c[(e+2312|0)>>2]=n;j=g0(d,e+2312|0)|0;aba(e+2320|0,34072);Yaa(e+2296|0,b0(j,e+2320|0)|0);f0(e+2296|0,(c[(b|0)>>2]|0)+(n*112|0)+28|0,0);gba(e+2296|0);gba(e+2320|0);c[(e+2352|0)>>2]=n;j=g0(d,e+2352|0)|0;aba(e+2360|0,33056);Yaa(e+2336|0,b0(j,e+2360|0)|0);f0(e+2336|0,(c[(b|0)>>2]|0)+(n*112|0)+32|0,0);gba(e+2336|0);gba(e+2360|0);c[(e+2392|0)>>2]=n;j=g0(d,e+2392|0)|0;aba(e+2400|0,32272);Yaa(e+2376|0,b0(j,e+2400|0)|0);i0(e+2376|0,(c[(b|0)>>2]|0)+(n*112|0)+88|0);gba(e+2376|0);gba(e+2400|0);c[(e+2432|0)>>2]=n;j=g0(d,e+2432|0)|0;aba(e+2440|0,31904);Yaa(e+2416|0,b0(j,e+2440|0)|0);d0(e+2416|0,(c[(b|0)>>2]|0)+(n*112|0)+96|0,0.0);gba(e+2416|0);gba(e+2440|0);c[(e+2472|0)>>2]=n;j=g0(d,e+2472|0)|0;aba(e+2480|0,31584);Yaa(e+2456|0,b0(j,e+2480|0)|0);i0(e+2456|0,(c[(b|0)>>2]|0)+(n*112|0)+72|0);gba(e+2456|0);gba(e+2480|0);c[(e+2512|0)>>2]=n;j=g0(d,e+2512|0)|0;aba(e+2520|0,30976);Yaa(e+2496|0,b0(j,e+2520|0)|0);i0(e+2496|0,(c[(b|0)>>2]|0)+(n*112|0)+73|0);gba(e+2496|0);gba(e+2520|0);c[(e+2552|0)>>2]=n;j=g0(d,e+2552|0)|0;aba(e+2560|0,30576);Yaa(e+2536|0,b0(j,e+2560|0)|0);d0(e+2536|0,(c[(b|0)>>2]|0)+(n*112|0)+80|0,1.0);gba(e+2536|0);gba(e+2560|0);c[(e+2592|0)>>2]=n;j=g0(d,e+2592|0)|0;aba(e+2600|0,30224);Yaa(e+2576|0,b0(j,e+2600|0)|0);d0(e+2576|0,(c[(b|0)>>2]|0)+(n*112|0)+56|0,-1.7976931348623157e+308);gba(e+2576|0);gba(e+2600|0);c[(e+2632|0)>>2]=n;j=g0(d,e+2632|0)|0;aba(e+2640|0,29784);Yaa(e+2616|0,b0(j,e+2640|0)|0);d0(e+2616|0,(c[(b|0)>>2]|0)+(n*112|0)+64|0,1.7976931348623157e+308);gba(e+2616|0);gba(e+2640|0);j=c[(b|0)>>2]|0;q=(a[j+(n*112|0)+88|0]|0)!=0;r=+h[j+(n*112|0)+96>>3];m=(a[j+(n*112|0)+72|0]|0)!=0?27872:27656;o=(a[j+(n*112|0)+73|0]|0)!=0;s=+h[j+(n*112|0)+80>>3];t=+h[j+(n*112|0)+56>>3];v=+h[j+(n*112|0)+64>>3];XS(4,0,29144,(k=i,i=i+80|0,c[k>>2]=c[j+(n*112|0)+4>>2],c[k+8>>2]=q?10023160:28512,h[k+16>>3]=r,c[k+24>>2]=q?10023160:28248,c[k+32>>2]=m,c[k+40>>2]=o?10023160:28512,h[k+48>>3]=s,c[k+56>>2]=o?10023160:28248,h[k+64>>3]=t,h[k+72>>3]=v,k)|0);i=k;o=c[(b|0)>>2]|0;m=c[o+(n*112|0)+4>>2]|0;if((a[m]|0)==36){a[o+(n*112|0)+104|0]=1;w=c[(c[(b|0)>>2]|0)+(n*112|0)+4>>2]|0}else{w=m}aba(e+2656|0,w);c[(j0(e+216|0,e+2656|0)|0)>>2]=n;gba(e+2656|0);n=n+1|0;}while((n|0)<(c[(b+104|0)>>2]|0))}if((c[2500020]|0)!=0){$d[c[3540]&511](4)}XS(4,1,26744,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;if((c[(b+104|0)>>2]|0)>0){n=(e|0)+36|0;d=0;do{c[(e+2688|0)>>2]=d;m=g0(n,e+2688|0)|0;aba(e+2696|0,40960);Yaa(e+2672|0,b0(m,e+2696|0)|0);e0(e+2672|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+4|0);gba(e+2672|0);gba(e+2696|0);c[(e+2728|0)>>2]=d;m=g0(n,e+2728|0)|0;aba(e+2736|0,39448);Yaa(e+2712|0,b0(m,e+2736|0)|0);h0(e+2712|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)|0);gba(e+2712|0);gba(e+2736|0);c[(e+2768|0)>>2]=d;m=g0(n,e+2768|0)|0;aba(e+2776|0,38680);Yaa(e+2752|0,b0(m,e+2776|0)|0);e0(e+2752|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+8|0);gba(e+2752|0);gba(e+2776|0);c[(e+2808|0)>>2]=d;m=g0(n,e+2808|0)|0;aba(e+2816|0,37832);Yaa(e+2792|0,b0(m,e+2816|0)|0);e0(e+2792|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+12|0);gba(e+2792|0);gba(e+2816|0);c[(e+2848|0)>>2]=d;m=g0(n,e+2848|0)|0;aba(e+2856|0,37024);Yaa(e+2832|0,b0(m,e+2856|0)|0);f0(e+2832|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+16|0,0);gba(e+2832|0);gba(e+2856|0);c[(e+2888|0)>>2]=d;m=g0(n,e+2888|0)|0;aba(e+2896|0,36280);Yaa(e+2872|0,b0(m,e+2896|0)|0);f0(e+2872|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+20|0,0);gba(e+2872|0);gba(e+2896|0);c[(e+2928|0)>>2]=d;m=g0(n,e+2928|0)|0;aba(e+2936|0,34824);Yaa(e+2912|0,b0(m,e+2936|0)|0);f0(e+2912|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+24|0,0);gba(e+2912|0);gba(e+2936|0);c[(e+2968|0)>>2]=d;m=g0(n,e+2968|0)|0;aba(e+2976|0,34072);Yaa(e+2952|0,b0(m,e+2976|0)|0);f0(e+2952|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+28|0,0);gba(e+2952|0);gba(e+2976|0);c[(e+3008|0)>>2]=d;m=g0(n,e+3008|0)|0;aba(e+3016|0,33056);Yaa(e+2992|0,b0(m,e+3016|0)|0);f0(e+2992|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+32|0,0);gba(e+2992|0);gba(e+3016|0);c[(e+3048|0)>>2]=d;m=g0(n,e+3048|0)|0;aba(e+3056|0,32272);Yaa(e+3032|0,b0(m,e+3056|0)|0);i0(e+3032|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+88|0);gba(e+3032|0);gba(e+3056|0);c[(e+3088|0)>>2]=d;m=g0(n,e+3088|0)|0;aba(e+3096|0,31904);Yaa(e+3072|0,b0(m,e+3096|0)|0);d0(e+3072|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+96|0,0.0);gba(e+3072|0);gba(e+3096|0);c[(e+3128|0)>>2]=d;m=g0(n,e+3128|0)|0;aba(e+3136|0,31584);Yaa(e+3112|0,b0(m,e+3136|0)|0);i0(e+3112|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+72|0);gba(e+3112|0);gba(e+3136|0);c[(e+3168|0)>>2]=d;m=g0(n,e+3168|0)|0;aba(e+3176|0,30976);Yaa(e+3152|0,b0(m,e+3176|0)|0);i0(e+3152|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+73|0);gba(e+3152|0);gba(e+3176|0);c[(e+3208|0)>>2]=d;m=g0(n,e+3208|0)|0;aba(e+3216|0,30576);Yaa(e+3192|0,b0(m,e+3216|0)|0);d0(e+3192|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+80|0,1.0);gba(e+3192|0);gba(e+3216|0);c[(e+3248|0)>>2]=d;m=g0(n,e+3248|0)|0;aba(e+3256|0,30224);Yaa(e+3232|0,b0(m,e+3256|0)|0);d0(e+3232|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+56|0,-1.7976931348623157e+308);gba(e+3232|0);gba(e+3256|0);c[(e+3288|0)>>2]=d;m=g0(n,e+3288|0)|0;aba(e+3296|0,29784);Yaa(e+3272|0,b0(m,e+3296|0)|0);d0(e+3272|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+64|0,1.7976931348623157e+308);gba(e+3272|0);gba(e+3296|0);m=(c[(b+104|0)>>2]|0)+d|0;o=c[(b|0)>>2]|0;q=(a[o+(m*112|0)+88|0]|0)!=0;v=+h[o+(m*112|0)+96>>3];j=(a[o+(m*112|0)+72|0]|0)!=0?27872:27656;p=(a[o+(m*112|0)+73|0]|0)!=0;t=+h[o+(m*112|0)+80>>3];s=+h[o+(m*112|0)+56>>3];r=+h[o+(m*112|0)+64>>3];XS(4,0,29144,(k=i,i=i+80|0,c[k>>2]=c[o+(m*112|0)+4>>2],c[k+8>>2]=q?10023160:28512,h[k+16>>3]=v,c[k+24>>2]=q?10023160:28248,c[k+32>>2]=j,c[k+40>>2]=p?10023160:28512,h[k+48>>3]=t,c[k+56>>2]=p?10023160:28248,h[k+64>>3]=s,h[k+72>>3]=r,k)|0);i=k;p=c[(b+104|0)>>2]|0;j=p+d|0;q=c[(b|0)>>2]|0;if((a[c[q+(j*112|0)+4>>2]|0]|0)==36){a[q+(j*112|0)+104|0]=1;x=c[(b+104|0)>>2]|0;y=c[(b|0)>>2]|0}else{x=p;y=q}q=x+d|0;aba(e+3312|0,c[y+(q*112|0)+4>>2]|0);c[(j0(e+216|0,e+3312|0)|0)>>2]=q;gba(e+3312|0);d=d+1|0;}while((d|0)<(c[(b+104|0)>>2]|0))}if((c[2500020]|0)!=0){$d[c[3540]&511](4)}XS(4,1,26056,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;d=c[(b+104|0)>>2]<<1;if(((c[(b+108|0)>>2]|0)-d|0)>0){n=(e|0)+48|0;q=0;p=d;do{d=p+q|0;c[(e+3344|0)>>2]=q;j=g0(n,e+3344|0)|0;aba(e+3352|0,40960);Yaa(e+3328|0,b0(j,e+3352|0)|0);e0(e+3328|0,(c[(b|0)>>2]|0)+(d*112|0)+4|0);gba(e+3328|0);gba(e+3352|0);c[(e+3384|0)>>2]=q;j=g0(n,e+3384|0)|0;aba(e+3392|0,39448);Yaa(e+3368|0,b0(j,e+3392|0)|0);h0(e+3368|0,(c[(b|0)>>2]|0)+(d*112|0)|0);gba(e+3368|0);gba(e+3392|0);c[(e+3424|0)>>2]=q;j=g0(n,e+3424|0)|0;aba(e+3432|0,38680);Yaa(e+3408|0,b0(j,e+3432|0)|0);e0(e+3408|0,(c[(b|0)>>2]|0)+(d*112|0)+8|0);gba(e+3408|0);gba(e+3432|0);c[(e+3464|0)>>2]=q;j=g0(n,e+3464|0)|0;aba(e+3472|0,37832);Yaa(e+3448|0,b0(j,e+3472|0)|0);e0(e+3448|0,(c[(b|0)>>2]|0)+(d*112|0)+12|0);gba(e+3448|0);gba(e+3472|0);c[(e+3504|0)>>2]=q;j=g0(n,e+3504|0)|0;aba(e+3512|0,37024);Yaa(e+3488|0,b0(j,e+3512|0)|0);f0(e+3488|0,(c[(b|0)>>2]|0)+(d*112|0)+16|0,0);gba(e+3488|0);gba(e+3512|0);c[(e+3544|0)>>2]=q;j=g0(n,e+3544|0)|0;aba(e+3552|0,36280);Yaa(e+3528|0,b0(j,e+3552|0)|0);f0(e+3528|0,(c[(b|0)>>2]|0)+(d*112|0)+20|0,0);gba(e+3528|0);gba(e+3552|0);c[(e+3584|0)>>2]=q;j=g0(n,e+3584|0)|0;aba(e+3592|0,34824);Yaa(e+3568|0,b0(j,e+3592|0)|0);f0(e+3568|0,(c[(b|0)>>2]|0)+(d*112|0)+24|0,0);gba(e+3568|0);gba(e+3592|0);c[(e+3624|0)>>2]=q;j=g0(n,e+3624|0)|0;aba(e+3632|0,34072);Yaa(e+3608|0,b0(j,e+3632|0)|0);f0(e+3608|0,(c[(b|0)>>2]|0)+(d*112|0)+28|0,0);gba(e+3608|0);gba(e+3632|0);c[(e+3664|0)>>2]=q;j=g0(n,e+3664|0)|0;aba(e+3672|0,33056);Yaa(e+3648|0,b0(j,e+3672|0)|0);f0(e+3648|0,(c[(b|0)>>2]|0)+(d*112|0)+32|0,0);gba(e+3648|0);gba(e+3672|0);c[(e+3704|0)>>2]=q;j=g0(n,e+3704|0)|0;aba(e+3712|0,32272);Yaa(e+3688|0,b0(j,e+3712|0)|0);i0(e+3688|0,(c[(b|0)>>2]|0)+(d*112|0)+88|0);gba(e+3688|0);gba(e+3712|0);c[(e+3744|0)>>2]=q;j=g0(n,e+3744|0)|0;aba(e+3752|0,31904);Yaa(e+3728|0,b0(j,e+3752|0)|0);d0(e+3728|0,(c[(b|0)>>2]|0)+(d*112|0)+96|0,0.0);gba(e+3728|0);gba(e+3752|0);c[(e+3784|0)>>2]=q;j=g0(n,e+3784|0)|0;aba(e+3792|0,31584);Yaa(e+3768|0,b0(j,e+3792|0)|0);i0(e+3768|0,(c[(b|0)>>2]|0)+(d*112|0)+72|0);gba(e+3768|0);gba(e+3792|0);c[(e+3824|0)>>2]=q;j=g0(n,e+3824|0)|0;aba(e+3832|0,30976);Yaa(e+3808|0,b0(j,e+3832|0)|0);i0(e+3808|0,(c[(b|0)>>2]|0)+(d*112|0)+73|0);gba(e+3808|0);gba(e+3832|0);c[(e+3864|0)>>2]=q;j=g0(n,e+3864|0)|0;aba(e+3872|0,30576);Yaa(e+3848|0,b0(j,e+3872|0)|0);d0(e+3848|0,(c[(b|0)>>2]|0)+(d*112|0)+80|0,1.0);gba(e+3848|0);gba(e+3872|0);c[(e+3904|0)>>2]=q;j=g0(n,e+3904|0)|0;aba(e+3912|0,30224);Yaa(e+3888|0,b0(j,e+3912|0)|0);d0(e+3888|0,(c[(b|0)>>2]|0)+(d*112|0)+56|0,-1.7976931348623157e+308);gba(e+3888|0);gba(e+3912|0);c[(e+3944|0)>>2]=q;j=g0(n,e+3944|0)|0;aba(e+3952|0,29784);Yaa(e+3928|0,b0(j,e+3952|0)|0);d0(e+3928|0,(c[(b|0)>>2]|0)+(d*112|0)+64|0,1.7976931348623157e+308);gba(e+3928|0);gba(e+3952|0);j=c[(b|0)>>2]|0;m=(a[j+(d*112|0)+88|0]|0)!=0;r=+h[j+(d*112|0)+96>>3];o=(a[j+(d*112|0)+72|0]|0)!=0?27872:27656;z=(a[j+(d*112|0)+73|0]|0)!=0;s=+h[j+(d*112|0)+80>>3];t=+h[j+(d*112|0)+56>>3];v=+h[j+(d*112|0)+64>>3];XS(4,0,29144,(k=i,i=i+80|0,c[k>>2]=c[j+(d*112|0)+4>>2],c[k+8>>2]=m?10023160:28512,h[k+16>>3]=r,c[k+24>>2]=m?10023160:28248,c[k+32>>2]=o,c[k+40>>2]=z?10023160:28512,h[k+48>>3]=s,c[k+56>>2]=z?10023160:28248,h[k+64>>3]=t,h[k+72>>3]=v,k)|0);i=k;z=c[(b|0)>>2]|0;o=c[z+(d*112|0)+4>>2]|0;if((a[o]|0)==36){a[z+(d*112|0)+104|0]=1;A=c[(c[(b|0)>>2]|0)+(d*112|0)+4>>2]|0}else{A=o}aba(e+3968|0,A);c[(j0(e+216|0,e+3968|0)|0)>>2]=d;gba(e+3968|0);q=q+1|0;p=c[(b+104|0)>>2]<<1;}while((q|0)<((c[(b+108|0)>>2]|0)-p|0))}if((c[2500020]|0)!=0){$d[c[3540]&511](4)}XS(4,1,25416,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;if((c[(b+116|0)>>2]|0)>0){p=(e|0)+84|0;q=0;do{c[(e+4e3|0)>>2]=q;n=g0(p,e+4e3|0)|0;aba(e+4008|0,40960);Yaa(e+3984|0,b0(n,e+4008|0)|0);e0(e+3984|0,(c[(b+4|0)>>2]|0)+(q*60|0)+4|0);gba(e+3984|0);gba(e+4008|0);c[(e+4040|0)>>2]=q;n=g0(p,e+4040|0)|0;aba(e+4048|0,39448);Yaa(e+4024|0,b0(n,e+4048|0)|0);h0(e+4024|0,(c[(b+4|0)>>2]|0)+(q*60|0)|0);gba(e+4024|0);gba(e+4048|0);c[(e+4080|0)>>2]=q;n=g0(p,e+4080|0)|0;aba(e+4088|0,38680);Yaa(e+4064|0,b0(n,e+4088|0)|0);e0(e+4064|0,(c[(b+4|0)>>2]|0)+(q*60|0)+8|0);gba(e+4064|0);gba(e+4088|0);c[(e+4120|0)>>2]=q;n=g0(p,e+4120|0)|0;aba(e+4128|0,37832);Yaa(e+4104|0,b0(n,e+4128|0)|0);e0(e+4104|0,(c[(b+4|0)>>2]|0)+(q*60|0)+12|0);gba(e+4104|0);gba(e+4128|0);c[(e+4160|0)>>2]=q;n=g0(p,e+4160|0)|0;aba(e+4168|0,37024);Yaa(e+4144|0,b0(n,e+4168|0)|0);f0(e+4144|0,(c[(b+4|0)>>2]|0)+(q*60|0)+16|0,0);gba(e+4144|0);gba(e+4168|0);c[(e+4200|0)>>2]=q;n=g0(p,e+4200|0)|0;aba(e+4208|0,36280);Yaa(e+4184|0,b0(n,e+4208|0)|0);f0(e+4184|0,(c[(b+4|0)>>2]|0)+(q*60|0)+20|0,0);gba(e+4184|0);gba(e+4208|0);c[(e+4240|0)>>2]=q;n=g0(p,e+4240|0)|0;aba(e+4248|0,34824);Yaa(e+4224|0,b0(n,e+4248|0)|0);f0(e+4224|0,(c[(b+4|0)>>2]|0)+(q*60|0)+24|0,0);gba(e+4224|0);gba(e+4248|0);c[(e+4280|0)>>2]=q;n=g0(p,e+4280|0)|0;aba(e+4288|0,34072);Yaa(e+4264|0,b0(n,e+4288|0)|0);f0(e+4264|0,(c[(b+4|0)>>2]|0)+(q*60|0)+28|0,0);gba(e+4264|0);gba(e+4288|0);c[(e+4320|0)>>2]=q;n=g0(p,e+4320|0)|0;aba(e+4328|0,33056);Yaa(e+4304|0,b0(n,e+4328|0)|0);f0(e+4304|0,(c[(b+4|0)>>2]|0)+(q*60|0)+32|0,0);gba(e+4304|0);gba(e+4328|0);c[(e+4360|0)>>2]=q;n=g0(p,e+4360|0)|0;aba(e+4368|0,32272);Yaa(e+4344|0,b0(n,e+4368|0)|0);i0(e+4344|0,(c[(b+4|0)>>2]|0)+(q*60|0)+49|0);gba(e+4344|0);gba(e+4368|0);c[(e+4400|0)>>2]=q;n=g0(p,e+4400|0)|0;aba(e+4408|0,31904);Yaa(e+4384|0,b0(n,e+4408|0)|0);f0(e+4384|0,(c[(b+4|0)>>2]|0)+(q*60|0)+52|0,0);gba(e+4384|0);gba(e+4408|0);c[(e+4440|0)>>2]=q;n=g0(p,e+4440|0)|0;aba(e+4448|0,31584);Yaa(e+4424|0,b0(n,e+4448|0)|0);i0(e+4424|0,(c[(b+4|0)>>2]|0)+(q*60|0)+48|0);gba(e+4424|0);gba(e+4448|0);c[(e+4480|0)>>2]=q;n=g0(p,e+4480|0)|0;aba(e+4488|0,30224);Yaa(e+4464|0,b0(n,e+4488|0)|0);f0(e+4464|0,(c[(b+4|0)>>2]|0)+(q*60|0)+40|0,-2147483648);gba(e+4464|0);gba(e+4488|0);c[(e+4520|0)>>2]=q;n=g0(p,e+4520|0)|0;aba(e+4528|0,29784);Yaa(e+4504|0,b0(n,e+4528|0)|0);f0(e+4504|0,(c[(b+4|0)>>2]|0)+(q*60|0)+44|0,2147483647);gba(e+4504|0);gba(e+4528|0);n=c[(b+4|0)>>2]|0;d=(a[n+(q*60|0)+49|0]|0)!=0;o=c[n+(q*60|0)+52>>2]|0;z=(a[n+(q*60|0)+48|0]|0)!=0?27872:27656;m=c[n+(q*60|0)+40>>2]|0;j=c[n+(q*60|0)+44>>2]|0;XS(4,0,25080,(k=i,i=i+56|0,c[k>>2]=c[n+(q*60|0)+4>>2],c[k+8>>2]=d?10023160:28512,c[k+16>>2]=o,c[k+24>>2]=d?10023160:28248,c[k+32>>2]=z,c[k+40>>2]=m,c[k+48>>2]=j,k)|0);i=k;j=c[(b+4|0)>>2]|0;m=c[j+(q*60|0)+4>>2]|0;if((a[m]|0)==36){a[j+(q*60|0)+56|0]=1;C=c[(c[(b+4|0)>>2]|0)+(q*60|0)+4>>2]|0}else{C=m}aba(e+4544|0,C);c[(j0(e+216|0,e+4544|0)|0)>>2]=q;gba(e+4544|0);q=q+1|0;}while((q|0)<(c[(b+116|0)>>2]|0))}if((c[2500020]|0)!=0){$d[c[3540]&511](4)}XS(4,1,24376,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;c[e+9720>>2]=b;c[e+9760>>2]=f;c[e+12744>>2]=k;c[e+12760>>2]=0;c[e+12764>>2]=0;_read_input_xml$0(e);k=c[e+12744>>2]|0;I=c[e+12760>>2]|0;B=c[e+12764>>2]|0;J=+g[e+12764>>2];c[e+12760>>2]=0;c[e+12764>>2]=0;if((I|0)==5){return}}}while(0);if((c[2500038]|c[2500100]|0)!=0){ZS(22,1,47136,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;C=c[(b+104|0)>>2]|0;ZS(22,0,46496,(k=i,i=i+16|0,c[k>>2]=l,c[k+8>>2]=C,k)|0);i=k;C=(c[b+108>>2]|0)-(c[(b+104|0)>>2]<<1)|0;ZS(22,0,45096,(k=i,i=i+16|0,c[k>>2]=c[(e+1664|0)>>2],c[k+8>>2]=C,k)|0);i=k;C=c[b+128>>2]|0;ZS(22,0,44648,(k=i,i=i+16|0,c[k>>2]=c[(e+1672|0)>>2],c[k+8>>2]=C,k)|0);i=k;C=c[b+132>>2]|0;ZS(22,0,44136,(k=i,i=i+16|0,c[k>>2]=c[(e+1688|0)>>2],c[k+8>>2]=C,k)|0);i=k;C=c[b+116>>2]|0;ZS(22,0,43704,(k=i,i=i+16|0,c[k>>2]=c[(e+1680|0)>>2],c[k+8>>2]=C,k)|0);i=k;C=c[b+136>>2]|0;ZS(22,0,43200,(k=i,i=i+16|0,c[k>>2]=c[(e+1704|0)>>2],c[k+8>>2]=C,k)|0);i=k;C=c[b+120>>2]|0;ZS(22,0,42616,(k=i,i=i+16|0,c[k>>2]=c[(e+1696|0)>>2],c[k+8>>2]=C,k)|0);i=k;C=c[b+140>>2]|0;ZS(22,0,42288,(k=i,i=i+16|0,c[k>>2]=c[(e+1720|0)>>2],c[k+8>>2]=C,k)|0);i=k;C=c[b+124>>2]|0;ZS(22,0,41840,(k=i,i=i+16|0,c[k>>2]=c[(e+1712|0)>>2],c[k+8>>2]=C,k)|0);i=k;$d[c[3540]&511](22)}VN(f);Ta(0)|0;uc(-1|0)}function V$(a){a=a|0;$6(a);return}function W$(a,b){a=a|0;b=b|0;G2(a,0);return}function X$(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;d=i;i=i+8|0;Xaa(a,d|0);e=eba(b)|0;f=Q0(c)|0;Hba(a,fba(b)|0,e,f+e|0);zba(a,c,f)|0;i=d;return}function Y$(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0;e=i;i=i+184|0;f=e|0;g=e+16|0;h=e+32|0;j=e+48|0;k=e+56|0;l=e+72|0;m=e+88|0;n=e+104|0;o=e+120|0;p=e+136|0;q=e+152|0;r=e+168|0;if((Lla(b,9968264)|0)==0){s=c[d>>2]|0;if((s|0)==0){i=e;return}t=a;u=0;v=s;do{aba(f,v);s=b0(t,f)|0;iba(s,c[d+((u|1)<<2)>>2]|0)|0;gba(f);u=u+2|0;v=c[d+(u<<2)>>2]|0;}while((v|0)!=0);i=e;return}if((Lla(b,9968144)|0)==0){v=c[d>>2]|0;if((v|0)==0){i=e;return}u=a+12|0;f=0;t=v;do{aba(g,t);v=b0(u,g)|0;iba(v,c[d+((f|1)<<2)>>2]|0)|0;gba(g);f=f+2|0;t=c[d+(f<<2)>>2]|0;}while((t|0)!=0);i=e;return}if((Lla(b,9968048)|0)!=0){do{if((Lla(b,9963896)|0)!=0){if((Lla(b,9963752)|0)==0){break}if((Lla(b,9963584)|0)==0){break}if((Lla(b,9963400)|0)==0){break}i=e;return}}while(0);t=(c[d>>2]|0)==0;f=a+196|0;g=a+192|0;u=g0(c[f>>2]|0,g)|0;if(t){w=u}else{t=0;v=d;s=u;while(1){aba(q,c[v>>2]|0);u=b0(s,q)|0;iba(u,c[d+((t|1)<<2)>>2]|0)|0;gba(q);u=t+2|0;x=d+(u<<2)|0;y=(c[x>>2]|0)==0;z=g0(c[f>>2]|0,g)|0;if(y){w=z;break}else{t=u;v=x;s=z}}}aba(r,9963224);iba(b0(w,r)|0,b)|0;gba(r);i=e;return}r0(h,j);Waa(k);Waa(l);j=a+192|0;c[j>>2]=-1;r=a+196|0;c[r>>2]=0;b=c[d>>2]|0;if((b|0)!=0){w=0;s=b;do{aba(m,s);b=b0(h,m)|0;iba(b,c[d+((w|1)<<2)>>2]|0)|0;gba(m);w=w+2|0;s=c[d+(w<<2)>>2]|0;}while((s|0)!=0)}aba(n,9967808);hba(k,b0(h,n)|0)|0;gba(n);aba(o,9967728);hba(l,b0(h,o)|0)|0;gba(o);c[j>>2]=Wc(Dba(k)|0)|0;if((Gba(l,9967384)|0)==0){A=a+24|0}else{A=c[r>>2]|0}c[r>>2]=A;if((Gba(l,9967248)|0)==0){B=a+36|0}else{B=c[r>>2]|0}c[r>>2]=B;if((Gba(l,9966952)|0)==0){C=a+48|0}else{C=c[r>>2]|0}c[r>>2]=C;if((Gba(l,9966688)|0)==0){D=a+60|0}else{D=c[r>>2]|0}c[r>>2]=D;if((Gba(l,9966528)|0)==0){E=a+72|0}else{E=c[r>>2]|0}c[r>>2]=E;if((Gba(l,9966e3)|0)==0){F=a+84|0}else{F=c[r>>2]|0}c[r>>2]=F;if((Gba(l,9965856)|0)==0){G=a+96|0}else{G=c[r>>2]|0}c[r>>2]=G;if((Gba(l,9965712)|0)==0){H=a+108|0}else{H=c[r>>2]|0}c[r>>2]=H;if((Gba(l,9965536)|0)==0){I=a+120|0}else{I=c[r>>2]|0}c[r>>2]=I;if((Gba(l,9965424)|0)==0){J=a+132|0}else{J=c[r>>2]|0}c[r>>2]=J;if((Gba(l,9965256)|0)==0){K=a+144|0}else{K=c[r>>2]|0}c[r>>2]=K;if((Gba(l,9965080)|0)==0){L=a+156|0}else{L=c[r>>2]|0}c[r>>2]=L;if((Gba(l,9964928)|0)==0){M=a+168|0}else{M=c[r>>2]|0}c[r>>2]=M;if((Gba(l,9964616)|0)==0){N=a+180|0}else{N=c[r>>2]|0}c[r>>2]=N;a=Dba(l)|0;aba(p,40960);M=Dba(b0(h,p)|0)|0;_S(0,(N|0)!=0|0,9964376,(N=i,i=i+16|0,c[N>>2]=a,c[N+8>>2]=M,N)|0);i=N;gba(p);E5(g0(c[r>>2]|0,j)|0,h)|0;gba(l);gba(k);z0(h);i=e;return}function Z$(a,b){a=a|0;b=b|0;return}function _$(a,b){a=a|0;b=b|0;return p2(a|0,b|0)|0}function $$(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=i;i=i+8|0;e=d|0;y2(e,b|0,c);q2(a,e);i=d;return}function a0(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=c|0;r2(d,b|0);q2(a,d);i=c;return}function b0(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;d=i;i=i+56|0;e=d|0;f=d+16|0;g=d+32|0;h=d+40|0;j=_3(a,e,b)|0;k=c[j>>2]|0;GY(d+8|0);if((k|0)!=0){l=k;m=l+28|0;i=d;return m|0}a4(h,a,b);b4(g,h);$3(f,g);c4(h);h=c[e>>2]|0;d4(a|0,h,j,e4(f)|0);j=f4(f)|0;c4(f);l=j;m=l+28|0;i=d;return m|0}function c0(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0,Dc=0,Ec=0,Fc=0,Gc=0,Hc=0,Ic=0,Jc=0,Kc=0,Lc=0,Mc=0,Nc=0,Oc=0,Pc=0,Rc=0,Sc=0,Tc=0,Uc=0,Vc=0,Wc=0,Xc=0,Yc=0,Zc=0,_c=0,$c=0,ad=0,bd=0,cd=0,dd=0,ed=0,fd=0,gd=0,hd=0,id=0,jd=0,kd=0;f=i;i=i+2120|0;g=f|0;h=f+24|0;j=f+216|0;k=f+232|0;l=f+248|0;m=f+264|0;n=f+280|0;o=f+296|0;p=f+312|0;q=f+328|0;r=f+344|0;s=f+360|0;t=f+376|0;u=f+392|0;v=f+408|0;w=f+424|0;x=f+440|0;y=f+456|0;z=f+472|0;A=f+488|0;B=f+504|0;C=f+520|0;D=f+536|0;E=f+552|0;F=f+568|0;G=f+584|0;H=f+600|0;I=f+616|0;J=f+632|0;K=f+648|0;L=f+664|0;M=f+680|0;N=f+696|0;O=f+712|0;P=f+728|0;Q=f+744|0;R=f+760|0;S=f+776|0;T=f+784|0;U=f+800|0;V=f+808|0;W=f+824|0;X=f+832|0;Y=f+848|0;Z=f+856|0;_=f+872|0;$=f+880|0;aa=f+896|0;ba=f+904|0;ca=f+920|0;da=f+928|0;ea=f+944|0;fa=f+952|0;ga=f+968|0;ha=f+976|0;ia=f+992|0;ja=f+1e3|0;ka=f+1016|0;la=f+1024|0;ma=f+1040|0;na=f+1048|0;oa=f+1064|0;pa=f+1072|0;qa=f+1088|0;ra=f+1096|0;sa=f+1112|0;ta=f+1120|0;ua=f+1136|0;va=f+1144|0;wa=f+1160|0;xa=f+1168|0;ya=f+1184|0;za=f+1192|0;Aa=f+1208|0;Ba=f+1216|0;Ca=f+1232|0;Da=f+1240|0;Ea=f+1256|0;Fa=f+1264|0;Ga=f+1280|0;Ha=f+1288|0;Ia=f+1304|0;Ja=f+1312|0;Ka=f+1328|0;La=f+1336|0;Ma=f+1352|0;Na=f+1360|0;Oa=f+1376|0;Pa=f+1384|0;Qa=f+1400|0;Ra=f+1408|0;Sa=f+1424|0;Ta=f+1432|0;Ua=f+1448|0;Va=f+1456|0;Wa=f+1472|0;Ya=f+1480|0;Za=f+1496|0;_a=f+1504|0;$a=f+1520|0;ab=f+1528|0;bb=f+1544|0;cb=f+1552|0;db=f+1568|0;eb=f+1576|0;fb=f+1592|0;gb=f+1600|0;hb=f+1616|0;ib=f+1624|0;jb=f+1640|0;kb=f+1648|0;lb=f+1664|0;mb=f+1672|0;nb=f+1688|0;ob=f+1696|0;pb=f+1712|0;qb=f+1720|0;rb=f+1736|0;sb=f+1744|0;tb=f+1760|0;ub=f+1768|0;vb=f+1784|0;wb=f+1792|0;xb=f+1808|0;yb=f+1816|0;zb=f+1832|0;Ab=f+1840|0;Bb=f+1856|0;Cb=f+1864|0;Db=f+1880|0;Eb=f+1888|0;Fb=f+1904|0;Gb=f+1912|0;Hb=f+1928|0;Ib=f+1936|0;Jb=f+1952|0;Kb=f+1960|0;Lb=f+1976|0;Mb=f+1984|0;Nb=f+2e3|0;Ob=f+2008|0;Pb=f+2024|0;Qb=f+2032|0;Rb=f+2048|0;Sb=f+2056|0;Tb=f+2072|0;Ub=f+2080|0;Vb=f+2096|0;Wb=f+2104|0;r0(g,f+16|0);Xb=(d|0)!=0;Yb=(e|0)==0;if(!(Yb|Xb^1)){$S(0,9973664,(Zb=i,i=i+1|0,i=i+7&-8,c[Zb>>2]=0,Zb)|0);i=Zb}if(Xb){_b=Qc(d|0)|0}else{_b=0}if(Yb){$b=_b}else{XS(23,0,9973400,(Zb=i,i=i+8|0,c[Zb>>2]=e,Zb)|0);i=Zb;s0(h);t0(h,e,8);if(!(u0(h)|0)){$S(0,9972800,(Zb=i,i=i+8|0,c[Zb>>2]=e,Zb)|0);i=Zb}Waa(j);e=h;v0(e,j)|0;Yaa(k,j);while(1){_b=v0(e,j)|0;if(!(Sba(_b+(c[(c[_b>>2]|0)-12>>2]|0)|0)|0)){break}Rba(l,9972608,j);xba(k,l)|0;gba(l)}l=Qc(Dba(k)|0)|0;w0(h);gba(k);gba(j);x0(h);$b=l}if(($b|0)==0){XS(23,0,9971448,(Zb=i,i=i+1|0,i=i+7&-8,c[Zb>>2]=0,Zb)|0);i=Zb;z0(g);i=f;return}Waa(m);Waa(n);XS(23,0,9972400,(Zb=i,i=i+8|0,c[Zb>>2]=$b,Zb)|0);i=Zb;l=Xa($b|0,9972608)|0;if((l|0)!=0){h=l;do{l=rla(12)|0;aba(l,h);j=Eba(l,9972144,0)|0;Cba(o,l,0,j);hba(m,o)|0;gba(o);Cba(p,l,j+1|0,(nba(l)|0)+~j|0);hba(n,p)|0;gba(p);hba(b0(g,m)|0,n)|0;j=Dba(m)|0;l=Dba(n)|0;XS(23,0,9971896,(Zb=i,i=i+16|0,c[Zb>>2]=j,c[Zb+8>>2]=l,Zb)|0);i=Zb;h=Xa(0,9972608)|0;}while((h|0)!=0)}mla($b);$b=a+12|0;aba(q,9951456);h=b0($b,q)|0;aba(r,9951456);if((y0(g,r)|0)==0){aba(t,9951456);ac=b0($b,t)|0;bc=1;cc=0}else{aba(s,9951456);ac=b0(g,s)|0;bc=0;cc=1}hba(h,ac)|0;if(bc){gba(t)}if(cc){gba(s)}gba(r);gba(q);aba(u,9968520);q=b0($b,u)|0;aba(v,9968520);if((y0(g,v)|0)==0){aba(x,9968520);dc=b0($b,x)|0;ec=1;fc=0}else{aba(w,9968520);dc=b0(g,w)|0;ec=0;fc=1}hba(q,dc)|0;if(ec){gba(x)}if(fc){gba(w)}gba(v);gba(u);aba(y,9964232);u=b0($b,y)|0;aba(z,9964232);if((y0(g,z)|0)==0){aba(B,9964232);gc=b0($b,B)|0;hc=1;ic=0}else{aba(A,9964232);gc=b0(g,A)|0;hc=0;ic=1}hba(u,gc)|0;if(hc){gba(B)}if(ic){gba(A)}gba(z);gba(y);aba(C,9959960);y=b0($b,C)|0;aba(D,9959960);if((y0(g,D)|0)==0){aba(F,9959960);jc=b0($b,F)|0;kc=1;lc=0}else{aba(E,9959960);jc=b0(g,E)|0;kc=0;lc=1}hba(y,jc)|0;if(kc){gba(F)}if(lc){gba(E)}gba(D);gba(C);aba(G,9955768);C=b0($b,G)|0;aba(H,9955768);if((y0(g,H)|0)==0){aba(J,9955768);mc=b0($b,J)|0;nc=1;oc=0}else{aba(I,9955768);mc=b0(g,I)|0;nc=0;oc=1}hba(C,mc)|0;if(nc){gba(J)}if(oc){gba(I)}gba(H);gba(G);aba(K,9947432);G=b0($b,K)|0;aba(L,9947432);if((y0(g,L)|0)==0){aba(N,9947432);pc=b0($b,N)|0;qc=1;rc=0}else{aba(M,9947432);pc=b0(g,M)|0;qc=0;rc=1}hba(G,pc)|0;if(qc){gba(N)}if(rc){gba(M)}gba(L);gba(K);aba(O,9942944);K=b0($b,O)|0;aba(P,9942944);if((y0(g,P)|0)==0){aba(R,9942944);sc=b0($b,R)|0;tc=1;uc=0}else{aba(Q,9942944);sc=b0(g,Q)|0;tc=0;uc=1}hba(K,sc)|0;if(tc){gba(R)}if(uc){gba(Q)}gba(P);gba(O);O=b+104|0;P=c[O>>2]|0;if((P|0)>0){Q=a+24|0;uc=a+36|0;R=0;while(1){c[S>>2]=R;tc=g0(Q,S)|0;aba(T,31904);sc=b0(tc,T)|0;c[U>>2]=R;tc=g0(Q,U)|0;aba(V,40960);if((y0(g,b0(tc,V)|0)|0)==0){c[Y>>2]=R;tc=g0(Q,Y)|0;aba(Z,31904);vc=b0(tc,Z)|0;wc=1;xc=0}else{c[W>>2]=R;tc=g0(Q,W)|0;aba(X,40960);vc=b0(g,b0(tc,X)|0)|0;wc=0;xc=1}hba(sc,vc)|0;if(wc){gba(Z)}if(xc){gba(X)}gba(V);gba(T);c[_>>2]=R;sc=g0(uc,_)|0;aba($,31904);tc=b0(sc,$)|0;c[aa>>2]=R;sc=g0(uc,aa)|0;aba(ba,40960);if((y0(g,b0(sc,ba)|0)|0)==0){c[ea>>2]=R;sc=g0(uc,ea)|0;aba(fa,31904);yc=b0(sc,fa)|0;zc=1;Ac=0}else{c[ca>>2]=R;sc=g0(uc,ca)|0;aba(da,40960);yc=b0(g,b0(sc,da)|0)|0;zc=0;Ac=1}hba(tc,yc)|0;if(zc){gba(fa)}if(Ac){gba(da)}gba(ba);gba($);tc=R+1|0;sc=c[O>>2]|0;if((tc|0)<(sc|0)){R=tc}else{Bc=sc;break}}}else{Bc=P}P=b+108|0;if(((c[P>>2]|0)-(Bc<<1)|0)>0){Bc=a+48|0;R=0;do{c[ga>>2]=R;$=g0(Bc,ga)|0;aba(ha,31904);ba=b0($,ha)|0;c[ia>>2]=R;$=g0(Bc,ia)|0;aba(ja,40960);if((y0(g,b0($,ja)|0)|0)==0){c[ma>>2]=R;$=g0(Bc,ma)|0;aba(na,31904);Cc=b0($,na)|0;Dc=1;Ec=0}else{c[ka>>2]=R;$=g0(Bc,ka)|0;aba(la,40960);Cc=b0(g,b0($,la)|0)|0;Dc=0;Ec=1}hba(ba,Cc)|0;if(Dc){gba(na)}if(Ec){gba(la)}gba(ja);gba(ha);R=R+1|0;}while((R|0)<((c[P>>2]|0)-(c[O>>2]<<1)|0))}O=b+116|0;if((c[O>>2]|0)>0){P=a+84|0;R=0;do{c[oa>>2]=R;ha=g0(P,oa)|0;aba(pa,31904);ja=b0(ha,pa)|0;c[qa>>2]=R;ha=g0(P,qa)|0;aba(ra,40960);if((y0(g,b0(ha,ra)|0)|0)==0){c[ua>>2]=R;ha=g0(P,ua)|0;aba(va,31904);Fc=b0(ha,va)|0;Gc=1;Hc=0}else{c[sa>>2]=R;ha=g0(P,sa)|0;aba(ta,40960);Fc=b0(g,b0(ha,ta)|0)|0;Gc=0;Hc=1}hba(ja,Fc)|0;if(Gc){gba(va)}if(Hc){gba(ta)}gba(ra);gba(pa);R=R+1|0;}while((R|0)<(c[O>>2]|0))}O=b+120|0;if((c[O>>2]|0)>0){R=a+120|0;pa=0;do{c[wa>>2]=pa;ra=g0(R,wa)|0;aba(xa,31904);ta=b0(ra,xa)|0;c[ya>>2]=pa;ra=g0(R,ya)|0;aba(za,40960);if((y0(g,b0(ra,za)|0)|0)==0){c[Ca>>2]=pa;ra=g0(R,Ca)|0;aba(Da,31904);Ic=b0(ra,Da)|0;Jc=1;Kc=0}else{c[Aa>>2]=pa;ra=g0(R,Aa)|0;aba(Ba,40960);Ic=b0(g,b0(ra,Ba)|0)|0;Jc=0;Kc=1}hba(ta,Ic)|0;if(Jc){gba(Da)}if(Kc){gba(Ba)}gba(za);gba(xa);pa=pa+1|0;}while((pa|0)<(c[O>>2]|0))}O=b+124|0;if((c[O>>2]|0)>0){pa=a+156|0;xa=0;do{c[Ea>>2]=xa;za=g0(pa,Ea)|0;aba(Fa,31904);Ba=b0(za,Fa)|0;c[Ga>>2]=xa;za=g0(pa,Ga)|0;aba(Ha,40960);if((y0(g,b0(za,Ha)|0)|0)==0){c[Ka>>2]=xa;za=g0(pa,Ka)|0;aba(La,31904);Lc=b0(za,La)|0;Mc=1;Nc=0}else{c[Ia>>2]=xa;za=g0(pa,Ia)|0;aba(Ja,40960);Lc=b0(g,b0(za,Ja)|0)|0;Mc=0;Nc=1}hba(Ba,Lc)|0;if(Mc){gba(La)}if(Nc){gba(Ja)}gba(Ha);gba(Fa);xa=xa+1|0;}while((xa|0)<(c[O>>2]|0))}O=b+128|0;if((c[O>>2]|0)>0){xa=a+60|0;Fa=0;do{c[Ma>>2]=Fa;Ha=g0(xa,Ma)|0;aba(Na,31904);Ja=b0(Ha,Na)|0;c[Oa>>2]=Fa;Ha=g0(xa,Oa)|0;aba(Pa,40960);if((y0(g,b0(Ha,Pa)|0)|0)==0){c[Sa>>2]=Fa;Ha=g0(xa,Sa)|0;aba(Ta,31904);Oc=b0(Ha,Ta)|0;Pc=1;Rc=0}else{c[Qa>>2]=Fa;Ha=g0(xa,Qa)|0;aba(Ra,40960);Oc=b0(g,b0(Ha,Ra)|0)|0;Pc=0;Rc=1}hba(Ja,Oc)|0;if(Pc){gba(Ta)}if(Rc){gba(Ra)}gba(Pa);gba(Na);Fa=Fa+1|0;}while((Fa|0)<(c[O>>2]|0))}O=b+132|0;if((c[O>>2]|0)>0){Fa=a+96|0;Na=0;do{c[Ua>>2]=Na;Pa=g0(Fa,Ua)|0;aba(Va,31904);Ra=b0(Pa,Va)|0;c[Wa>>2]=Na;Pa=g0(Fa,Wa)|0;aba(Ya,40960);if((y0(g,b0(Pa,Ya)|0)|0)==0){c[$a>>2]=Na;Pa=g0(Fa,$a)|0;aba(ab,31904);Sc=b0(Pa,ab)|0;Tc=1;Uc=0}else{c[Za>>2]=Na;Pa=g0(Fa,Za)|0;aba(_a,40960);Sc=b0(g,b0(Pa,_a)|0)|0;Tc=0;Uc=1}hba(Ra,Sc)|0;if(Tc){gba(ab)}if(Uc){gba(_a)}gba(Ya);gba(Va);Na=Na+1|0;}while((Na|0)<(c[O>>2]|0))}O=b+136|0;if((c[O>>2]|0)>0){Na=a+132|0;Va=0;do{c[bb>>2]=Va;Ya=g0(Na,bb)|0;aba(cb,31904);_a=b0(Ya,cb)|0;c[db>>2]=Va;Ya=g0(Na,db)|0;aba(eb,40960);if((y0(g,b0(Ya,eb)|0)|0)==0){c[hb>>2]=Va;Ya=g0(Na,hb)|0;aba(ib,31904);Vc=b0(Ya,ib)|0;Wc=1;Xc=0}else{c[fb>>2]=Va;Ya=g0(Na,fb)|0;aba(gb,40960);Vc=b0(g,b0(Ya,gb)|0)|0;Wc=0;Xc=1}hba(_a,Vc)|0;if(Wc){gba(ib)}if(Xc){gba(gb)}gba(eb);gba(cb);Va=Va+1|0;}while((Va|0)<(c[O>>2]|0))}O=b+140|0;if((c[O>>2]|0)>0){Va=a+168|0;cb=0;do{c[jb>>2]=cb;eb=g0(Va,jb)|0;aba(kb,31904);gb=b0(eb,kb)|0;c[lb>>2]=cb;eb=g0(Va,lb)|0;aba(mb,40960);if((y0(g,b0(eb,mb)|0)|0)==0){c[pb>>2]=cb;eb=g0(Va,pb)|0;aba(qb,31904);Yc=b0(eb,qb)|0;Zc=1;_c=0}else{c[nb>>2]=cb;eb=g0(Va,nb)|0;aba(ob,40960);Yc=b0(g,b0(eb,ob)|0)|0;Zc=0;_c=1}hba(gb,Yc)|0;if(Zc){gba(qb)}if(_c){gba(ob)}gba(mb);gba(kb);cb=cb+1|0;}while((cb|0)<(c[O>>2]|0))}O=b+208|0;if((c[O>>2]|0)>0){cb=a+72|0;kb=0;do{c[rb>>2]=kb;mb=g0(cb,rb)|0;aba(sb,31904);ob=b0(mb,sb)|0;c[tb>>2]=kb;mb=g0(cb,tb)|0;aba(ub,40960);if((y0(g,b0(mb,ub)|0)|0)==0){c[xb>>2]=kb;mb=g0(cb,xb)|0;aba(yb,31904);$c=b0(mb,yb)|0;ad=1;bd=0}else{c[vb>>2]=kb;mb=g0(cb,vb)|0;aba(wb,40960);$c=b0(g,b0(mb,wb)|0)|0;ad=0;bd=1}hba(ob,$c)|0;if(ad){gba(yb)}if(bd){gba(wb)}gba(ub);gba(sb);kb=kb+1|0;}while((kb|0)<(c[O>>2]|0))}O=b+212|0;if((c[O>>2]|0)>0){kb=a+108|0;sb=0;do{c[zb>>2]=sb;ub=g0(kb,zb)|0;aba(Ab,31904);wb=b0(ub,Ab)|0;c[Bb>>2]=sb;ub=g0(kb,Bb)|0;aba(Cb,40960);if((y0(g,b0(ub,Cb)|0)|0)==0){c[Fb>>2]=sb;ub=g0(kb,Fb)|0;aba(Gb,31904);cd=b0(ub,Gb)|0;dd=1;ed=0}else{c[Db>>2]=sb;ub=g0(kb,Db)|0;aba(Eb,40960);cd=b0(g,b0(ub,Eb)|0)|0;dd=0;ed=1}hba(wb,cd)|0;if(dd){gba(Gb)}if(ed){gba(Eb)}gba(Cb);gba(Ab);sb=sb+1|0;}while((sb|0)<(c[O>>2]|0))}O=b+216|0;if((c[O>>2]|0)>0){sb=a+144|0;Ab=0;do{c[Hb>>2]=Ab;Cb=g0(sb,Hb)|0;aba(Ib,31904);Eb=b0(Cb,Ib)|0;c[Jb>>2]=Ab;Cb=g0(sb,Jb)|0;aba(Kb,40960);if((y0(g,b0(Cb,Kb)|0)|0)==0){c[Nb>>2]=Ab;Cb=g0(sb,Nb)|0;aba(Ob,31904);fd=b0(Cb,Ob)|0;gd=1;hd=0}else{c[Lb>>2]=Ab;Cb=g0(sb,Lb)|0;aba(Mb,40960);fd=b0(g,b0(Cb,Mb)|0)|0;gd=0;hd=1}hba(Eb,fd)|0;if(gd){gba(Ob)}if(hd){gba(Mb)}gba(Kb);gba(Ib);Ab=Ab+1|0;}while((Ab|0)<(c[O>>2]|0))}O=b+220|0;if((c[O>>2]|0)>0){b=a+180|0;a=0;do{c[Pb>>2]=a;Ab=g0(b,Pb)|0;aba(Qb,31904);Ib=b0(Ab,Qb)|0;c[Rb>>2]=a;Ab=g0(b,Rb)|0;aba(Sb,40960);if((y0(g,b0(Ab,Sb)|0)|0)==0){c[Vb>>2]=a;Ab=g0(b,Vb)|0;aba(Wb,31904);id=b0(Ab,Wb)|0;jd=1;kd=0}else{c[Tb>>2]=a;Ab=g0(b,Tb)|0;aba(Ub,40960);id=b0(g,b0(Ab,Ub)|0)|0;jd=0;kd=1}hba(Ib,id)|0;if(jd){gba(Wb)}if(kd){gba(Ub)}gba(Sb);gba(Qb);a=a+1|0;}while((a|0)<(c[O>>2]|0))}XS(23,0,9971688,(Zb=i,i=i+1|0,i=i+7&-8,c[Zb>>2]=0,Zb)|0);i=Zb;gba(n);gba(m);z0(g);i=f;return}function d0(a,b,c){a=a|0;b=b|0;c=+c;if((Gba(a,10023160)|0)==0){h[b>>3]=c;return}if((Gba(a,27872)|0)==0){h[b>>3]=1.0;return}if((Gba(a,27656)|0)==0){h[b>>3]=0.0;return}else{h[b>>3]=+Hla(Dba(a)|0);return}}function e0(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;if((b|0)==0){ZS(22,0,9968736,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;i=d;return}else{c[b>>2]=Qc(Dba(a)|0)|0;i=d;return}}function f0(a,b,d){a=a|0;b=b|0;d=d|0;if((Gba(a,10023160)|0)==0){c[b>>2]=d}if((Gba(a,27872)|0)==0){c[b>>2]=1;return}if((Gba(a,27656)|0)==0){c[b>>2]=0;return}else{c[b>>2]=Wc(Dba(a)|0)|0;return}}function g0(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;d=i;i=i+56|0;e=d|0;f=d+16|0;g=d+32|0;h=d+40|0;j=P2(a,e,b)|0;k=c[j>>2]|0;GY(d+8|0);if((k|0)!=0){l=k;m=l+20|0;i=d;return m|0}R2(h,a,b);S2(g,h);Q2(f,g);T2(h);h=c[e>>2]|0;U2(a|0,h,j,V2(f)|0);j=W2(f)|0;T2(f);l=j;m=l+20|0;i=d;return m|0}function h0(a,b){a=a|0;b=b|0;if((Gba(a,27872)|0)==0){c[b>>2]=1;return}if((Gba(a,27656)|0)==0){c[b>>2]=0;return}else{c[b>>2]=Wc(Dba(a)|0)|0;return}}function i0(b,c){b=b|0;c=c|0;a[c]=(Gba(b,27872)|0)==0|0;return}function j0(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;d=i;i=i+56|0;e=d|0;f=d+16|0;g=d+32|0;h=d+40|0;j=r1(a,e,b)|0;k=c[j>>2]|0;GY(d+8|0);if((k|0)!=0){l=k;m=l+28|0;i=d;return m|0}t1(h,a,b);u1(g,h);s1(f,g);v1(h);h=c[e>>2]|0;w1(a|0,h,j,x1(f)|0);j=y1(f)|0;v1(f);l=j;m=l+28|0;i=d;return m|0}function k0(a,b){a=a|0;b=b|0;hba(b,a)|0;return}function l0(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=i;i=i+8|0;e=d|0;i1(e,b|0,c);a1(a,e);i=d;return}function m0(a,b){a=a|0;b=b|0;return _0(a|0,b|0)|0}function n0(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=c|0;b1(d,b|0);a1(a,d);i=c;return}function o0(a){a=a|0;return X0(a|0)|0}function p0(a){a=a|0;u5(a);return}function q0(a){a=a|0;h5(a);return}function r0(a,b){a=a|0;b=b|0;Q3(a,0);return}function s0(a){a=a|0;var b=0,d=0,e=0;b=a+108|0;dca(b);d=a|0;c[d>>2]=9987500;e=b|0;c[e>>2]=9987520;b=a+8|0;Xca(a,9988460,b|0);c[d>>2]=9987500;c[e>>2]=9987520;n$(b);return}function t0(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;e=(OY(a+8|0,b,d|8)|0)==0;d=a+(c[(c[a>>2]|0)-12>>2]|0)|0;if(e){Wba(d,4);return}else{Uba(d,0);return}}function u0(a){a=a|0;return S0(a+8|0)|0}function v0(a,b){a=a|0;b=b|0;return R0(a,b,bca(a+(c[(c[a>>2]|0)-12>>2]|0)|0,10)|0)|0}function w0(a){a=a|0;if((QY(a+8|0)|0)!=0){return}Wba(a+(c[(c[a>>2]|0)-12>>2]|0)|0,4);return}function x0(a){a=a|0;W0(a,9988456);_ba(a+108|0);return}function y0(a,b){a=a|0;b=b|0;return A0(a|0,b)|0}function z0(a){a=a|0;Y4(a);return}function A0(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0;d=i;i=i+8|0;e=d|0;f=C0(a)|0;GY(e);if((f|0)==0){g=0;i=d;return g|0}h=D0(a)|0;a=f;while(1){f=a+16|0;if(E0(h,b,f)|0){j=a|0}else{if(!(F0(h,f,b)|0)){g=1;k=8;break}j=a+4|0}f=c[j>>2]|0;GY(e);if((f|0)==0){g=0;k=8;break}else{a=f}}if((k|0)==8){i=d;return g|0}return 0}function B0(a){a=a|0;return rY(L0(a+4|0)|0)|0}function C0(a){a=a|0;return c[(B0(a)|0)>>2]|0}function D0(a){a=a|0;return J0(a+8|0)|0}function E0(a,b,c){a=a|0;b=b|0;c=c|0;return G0(0,b,c|0)|0}function F0(a,b,c){a=a|0;b=b|0;c=c|0;return G0(0,b|0,c)|0}function G0(a,b,c){a=a|0;b=b|0;c=c|0;return H0(b,c)|0}function H0(a,b){a=a|0;b=b|0;return(Fba(a,b)|0)<0|0}function I0(a,b,c){a=a|0;b=b|0;c=c|0;return Kla(a,b,c)|0}function J0(a){a=a|0;return K0(a|0)|0}function K0(a){a=a|0;return a|0}function L0(a){a=a|0;return M0(a|0)|0}function M0(a){a=a|0;return a|0}function N0(a,b){a=a|0;b=b|0;return P0(0,b,0)|0}function O0(b,c){b=b|0;c=c|0;a[b]=a[c]|0;return}function P0(a,b,c){a=a|0;b=b|0;c=c|0;return rla(b)|0}function Q0(a){a=a|0;return Nla(a|0)|0}function R0(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;e=i;i=i+8|0;f=e|0;ada(f,a,1);if(!(dda(f)|0)){i=e;return a|0}wba(b);f=a;g=a;h=0;while(1){j=jca($ba(g+(c[(c[f>>2]|0)-12>>2]|0)|0)|0)|0;if(AZ(j,-1)|0){k=h;l=2;break}m=h+1|0;n=BZ(j)|0;if(FZ(n,d)|0){k=m;l=0;break}yba(b,n);if((eba(b)|0)==-17){k=m;l=4;break}else{h=m}}Wba(g+(c[(c[f>>2]|0)-12>>2]|0)|0,(k|0)==0?l|4:l);i=e;return a|0}function S0(a){a=a|0;return(c[a+64>>2]|0)!=0|0}function T0(a){a=a|0;x0(a);tla(a);return}function U0(a){a=a|0;x0(a+(c[(c[a>>2]|0)-12>>2]|0)|0);return}function V0(a){a=a|0;T0(a+(c[(c[a>>2]|0)-12>>2]|0)|0);return}function W0(a,b){a=a|0;b=b|0;var d=0;d=c[b>>2]|0;c[a>>2]=d;c[a+(c[d-12>>2]|0)>>2]=c[b+12>>2];oZ(a+8|0);return}function X0(a){a=a|0;return Y0((c[a>>2]|0)+16|0)|0}function Y0(a){a=a|0;return Z0(a)|0}function Z0(a){a=a|0;return a|0}function _0(a,b){a=a|0;b=b|0;return($0(a,b)|0)^1|0}function $0(a,b){a=a|0;b=b|0;return(c[a>>2]|0)==(c[b>>2]|0)|0}function a1(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];h1(a,b);i=d;return}function b1(a,b){a=a|0;b=b|0;c1(a,d1(b)|0);return}function c1(a,b){a=a|0;b=b|0;g1(a,b);return}function d1(a){a=a|0;return rY(e1(a+4|0)|0)|0}function e1(a){a=a|0;return f1(a|0)|0}function f1(a){a=a|0;return a|0}function g1(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function h1(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];c[a>>2]=c[b>>2];i=d;return}function i1(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=i;i=i+16|0;f=e|0;g=e+8|0;h=k1(b)|0;j1(f,b,d,h,d1(b)|0);b1(g,b);do{if(_0(f,g)|0){h=l1(b)|0;if(m1(h,d,n1(f)|0)|0){break}c[a>>2]=c[f>>2];i=e;return}}while(0);b1(a,b);i=e;return}function j1(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;g=i;i=i+8|0;h=g|0;GY(h);a:do{if((e|0)==0){j=f}else{k=l1(b)|0;l=e;m=f;while(1){n=l;while(1){if(!(q1(k,n+16|0,d)|0)){break}o=c[n+4>>2]|0;GY(h);if((o|0)==0){j=m;break a}else{n=o}}o=c[n>>2]|0;GY(h);if((o|0)==0){j=n;break}else{l=o;m=n}}}}while(0);c1(a,j);i=g;return}function k1(a){a=a|0;return c[(d1(a)|0)>>2]|0}function l1(a){a=a|0;return o1(a+8|0)|0}function m1(a,b,c){a=a|0;b=b|0;c=c|0;return G0(0,b,c|0)|0}function n1(a){a=a|0;return(c[a>>2]|0)+16|0}function o1(a){a=a|0;return p1(a|0)|0}function p1(a){a=a|0;return a|0}function q1(a,b,c){a=a|0;b=b|0;c=c|0;return G0(0,b|0,c)|0}function r1(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=i;i=i+24|0;f=e+8|0;g=e+16|0;h=a|0;a=k1(h)|0;GY(e|0);if((a|0)==0){j=d1(h)|0;c[b>>2]=j;k=j|0;i=e;return k|0}else{l=a}while(1){a=l+16|0;if(G0(0,d,a)|0){m=l|0;j=c[m>>2]|0;GY(f);if((j|0)==0){n=4;break}else{o=m}}else{p=l|0;if(!(G0(0,a,d)|0)){n=9;break}q=l+4|0;a=c[q>>2]|0;GY(g);if((a|0)==0){n=8;break}else{o=q}}l=c[o>>2]|0}if((n|0)==4){c[b>>2]=l;k=m;i=e;return k|0}else if((n|0)==8){c[b>>2]=p;k=q;i=e;return k|0}else if((n|0)==9){c[b>>2]=p;k=b;i=e;return k|0}return 0}function s1(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];n2(a,b);i=d;return}function t1(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0;e=i;i=i+48|0;f=e|0;g=e+16|0;h=e+24|0;j=e+32|0;k=U1(c|0)|0;c=W1(k,1)|0;X1(g,k);V1(f,c,g);Y1(0,N1((Z1(f)|0)+16|0)|0,d);d=_1(f)|0;a[d+4|0]=1;$1(0,L1((Z1(f)|0)+28|0)|0);a[d+5|0]=1;a2(j,f);u1(h,j);s1(b,h);v1(j);v1(f);i=e;return}function u1(a,b){a=a|0;b=b|0;S1(a,b);return}function v1(a){a=a|0;H1(a);return}function w1(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;f=i;i=i+24|0;GY(f|0);c[e>>2]=0;GY(f+8|0);c[e+4>>2]=0;c[e+8>>2]=b;c[d>>2]=e;e=D1(a)|0;b=c[c[e>>2]>>2]|0;GY(f+16|0);if((b|0)!=0){c[e>>2]=c[c[e>>2]>>2]}e=c[(d1(a)|0)>>2]|0;q_(e,c[d>>2]|0);d=E1(a)|0;c[d>>2]=(c[d>>2]|0)+1;i=f;return}function x1(a){a=a|0;return c[(B1(a|0)|0)>>2]|0}function y1(a){a=a|0;var b=0;b=z1(a|0)|0;a=c[b>>2]|0;c[b>>2]=0;return a|0}function z1(a){a=a|0;return A1(a|0)|0}function A1(a){a=a|0;return a|0}function B1(a){a=a|0;return C1(a|0)|0}function C1(a){a=a|0;return a|0}function D1(a){a=a|0;return a|0}function E1(a){a=a|0;return F1(a+8|0)|0}function F1(a){a=a|0;return G1(a|0)|0}function G1(a){a=a|0;return a|0}function H1(a){a=a|0;I1(a,0);return}function I1(a,b){a=a|0;b=b|0;var d=0,e=0;d=a|0;a=z1(d)|0;e=c[a>>2]|0;c[a>>2]=b;if((e|0)==0){return}K1(J1(d)|0,e);return}function J1(a){a=a|0;return R1(a|0)|0}function K1(b,d){b=b|0;d=d|0;var e=0;if((a[b+4|0]|0)!=0){e=c[b>>2]|0;M1(e,N1(d+16|0)|0)}if((d|0)==0){return}O1(c[b>>2]|0,d,1);return}function L1(a){a=a|0;return a|0}function M1(a,b){a=a|0;b=b|0;a=i;i=i+8|0;Q1(a|0,0,b);i=a;return}function N1(a){a=a|0;return a|0}function O1(a,b,c){a=a|0;b=b|0;c=c|0;P1(0,b,0);return}function P1(a,b,c){a=a|0;b=b|0;c=c|0;tla(b);return}function Q1(b,c,d){b=b|0;c=c|0;d=d|0;var e=0;c=i;e=b;b=i;i=i+1|0;i=i+7&-8;a[b]=a[e]|0;gba(d);i=c;return}function R1(a){a=a|0;return a+4|0}function S1(a,b){a=a|0;b=b|0;T1(a,b);return}function T1(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function U1(a){a=a|0;return l2(a+4|0)|0}function V1(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];d2(a,b,d);i=e;return}function W1(a,b){a=a|0;b=b|0;return c2(0,b,0)|0}function X1(a,b){a=a|0;b=b|0;b2(a,b);return}function Y1(a,b,c){a=a|0;b=b|0;c=c|0;if((b|0)==0){return}Yaa(b,c);return}function Z1(a){a=a|0;return c[(B1(a|0)|0)>>2]|0}function _1(a){a=a|0;return J1(a|0)|0}function $1(a,b){a=a|0;b=b|0;if((b|0)==0){return}c[b>>2]=0;return}function a2(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=i;i=i+32|0;d=c|0;e=c+8|0;f=c+24|0;S1(f,b);s1(e,f);u1(d,e);s1(a,d);v1(e);i=c;return}function b2(b,d){b=b|0;d=d|0;c[b>>2]=d;a[b+4|0]=0;a[b+5|0]=0;return}function c2(a,b,c){a=a|0;b=b|0;c=c|0;return rla(b<<5)|0}function d2(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(f2(f)|0)>>2]|0;f=g2(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;e2(a|0,b,g);i=e;return}function e2(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];h2(a,b,d);i=e;return}function f2(a){a=a|0;return a|0}function g2(a){a=a|0;return a|0}function h2(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(j2(f)|0)>>2]|0;f=k2(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;i2(a|0,b,g);i=e;return}function i2(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;i=i+8|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;c[f>>2]=b;c[a>>2]=c[(j2(f)|0)>>2];f=k2(d)|0;d=a+4|0;a=c[f+4>>2]|0;c[d>>2]=c[f>>2];c[d+4>>2]=a;i=e;return}function j2(a){a=a|0;return a|0}function k2(a){a=a|0;return a|0}function l2(a){a=a|0;return m2(a|0)|0}function m2(a){a=a|0;return a|0}function n2(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;i=i+8|0;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];e=d|0;f=y1(o2(b)|0)|0;g=k2(_1(o2(b)|0)|0)|0;b=c[g+4>>2]|0;c[e>>2]=c[g>>2];c[e+4>>2]=b;e2(a|0,f,e);i=d;return}function o2(a){a=a|0;return c[a>>2]|0}function p2(a,b){a=a|0;b=b|0;return(c[a>>2]|0)==(c[b>>2]|0)|0}function q2(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];x2(a,b);i=d;return}function r2(a,b){a=a|0;b=b|0;s2(a,t2(b)|0);return}function s2(a,b){a=a|0;b=b|0;w2(a,b);return}function t2(a){a=a|0;return rY(u2(a+4|0)|0)|0}function u2(a){a=a|0;return v2(a|0)|0}function v2(a){a=a|0;return a|0}function w2(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function x2(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];c[a>>2]=c[b>>2];i=d;return}function y2(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=i;i=i+16|0;f=e|0;g=e+8|0;h=A2(b)|0;z2(f,b,d,h,t2(b)|0);r2(g,b);do{if(B2(f,g)|0){h=C2(b)|0;if(E0(h,d,D2(f)|0)|0){break}c[a>>2]=c[f>>2];i=e;return}}while(0);r2(a,b);i=e;return}function z2(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;g=i;i=i+8|0;h=g|0;GY(h);a:do{if((e|0)==0){j=f}else{k=C2(b)|0;l=e;m=f;while(1){n=l;while(1){if(!(F0(k,n+16|0,d)|0)){break}o=c[n+4>>2]|0;GY(h);if((o|0)==0){j=m;break a}else{n=o}}o=c[n>>2]|0;GY(h);if((o|0)==0){j=n;break}else{l=o;m=n}}}}while(0);s2(a,j);i=g;return}function A2(a){a=a|0;return c[(t2(a)|0)>>2]|0}function B2(a,b){a=a|0;b=b|0;return(p2(a,b)|0)^1|0}function C2(a){a=a|0;return E2(a+8|0)|0}function D2(a){a=a|0;return(c[a>>2]|0)+16|0}function E2(a){a=a|0;return F2(a|0)|0}function F2(a){a=a|0;return a|0}function G2(a,b){a=a|0;b=b|0;b=i;i=i+8|0;H2(a|0,b|0);i=b;return}function H2(a,b){a=a|0;b=b|0;I2(a,0);return}function I2(a,b){a=a|0;b=b|0;var d=0;b=i;i=i+8|0;J2(a+4|0);K2(a+8|0,0,b|0);d=d1(a)|0;c[(D1(a)|0)>>2]=d;i=b;return}function J2(a){a=a|0;N2(a);return}function K2(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;L2(b,c,d);i=e;return}function L2(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+16|0;g=e;e=i;i=i+1|0;i=i+7&-8;a[e]=a[g]|0;g=f|0;c[g>>2]=d;M2(b|0,c[(i$(g)|0)>>2]|0,f+8|0);i=f;return}function M2(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+8|0;g=e;e=i;i=i+1|0;i=i+7&-8;a[e]=a[g]|0;g=f|0;c[g>>2]=d;c[b>>2]=c[(i$(g)|0)>>2];i=f;return}function N2(a){a=a|0;O2(a|0);return}function O2(a){a=a|0;l$(a|0);return}function P2(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=i;i=i+24|0;f=e+8|0;g=e+16|0;h=a|0;a=P3(h)|0;GY(e|0);if((a|0)==0){j=a3(h)|0;c[b>>2]=j;k=j|0;i=e;return k|0}else{l=a}while(1){a=l+16|0;if(DY(0,d,a)|0){m=l|0;j=c[m>>2]|0;GY(f);if((j|0)==0){n=4;break}else{o=m}}else{p=l|0;if(!(DY(0,a,d)|0)){n=9;break}q=l+4|0;a=c[q>>2]|0;GY(g);if((a|0)==0){n=8;break}else{o=q}}l=c[o>>2]|0}if((n|0)==4){c[b>>2]=l;k=m;i=e;return k|0}else if((n|0)==8){c[b>>2]=p;k=q;i=e;return k|0}else if((n|0)==9){c[b>>2]=p;k=b;i=e;return k|0}return 0}function Q2(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];N3(a,b);i=d;return}function R2(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0;e=i;i=i+48|0;f=e|0;g=e+16|0;h=e+24|0;j=e+32|0;k=s3(c|0)|0;c=u3(k,1)|0;v3(g,k);t3(f,c,g);w3(0,C_((x3(f)|0)+16|0)|0,d);d=y3(f)|0;a[d+4|0]=1;z3(0,l3((x3(f)|0)+20|0)|0);a[d+5|0]=1;A3(j,f);S2(h,j);Q2(b,h);T2(j);T2(f);i=e;return}function S2(a,b){a=a|0;b=b|0;q3(a,b);return}function T2(a){a=a|0;g3(a);return}function U2(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;f=i;i=i+24|0;GY(f|0);c[e>>2]=0;GY(f+8|0);c[e+4>>2]=0;c[e+8>>2]=b;c[d>>2]=e;e=$2(a)|0;b=c[c[e>>2]>>2]|0;GY(f+16|0);if((b|0)!=0){c[e>>2]=c[c[e>>2]>>2]}e=c[(a3(a)|0)>>2]|0;q_(e,c[d>>2]|0);d=b3(a)|0;c[d>>2]=(c[d>>2]|0)+1;i=f;return}function V2(a){a=a|0;return c[(Z2(a|0)|0)>>2]|0}function W2(a){a=a|0;var b=0;b=X2(a|0)|0;a=c[b>>2]|0;c[b>>2]=0;return a|0}function X2(a){a=a|0;return Y2(a|0)|0}function Y2(a){a=a|0;return a|0}function Z2(a){a=a|0;return _2(a|0)|0}function _2(a){a=a|0;return a|0}function $2(a){a=a|0;return a|0}function a3(a){a=a|0;return rY(e3(a+4|0)|0)|0}function b3(a){a=a|0;return c3(a+8|0)|0}function c3(a){a=a|0;return d3(a|0)|0}function d3(a){a=a|0;return a|0}function e3(a){a=a|0;return f3(a|0)|0}function f3(a){a=a|0;return a|0}function g3(a){a=a|0;h3(a,0);return}function h3(a,b){a=a|0;b=b|0;var d=0,e=0;d=a|0;a=X2(d)|0;e=c[a>>2]|0;c[a>>2]=b;if((e|0)==0){return}j3(i3(d)|0,e);return}function i3(a){a=a|0;return p3(a|0)|0}function j3(b,d){b=b|0;d=d|0;var e=0;if((a[b+5|0]|0)!=0){e=c[b>>2]|0;k3(e,l3(d+20|0)|0)}if((d|0)==0){return}m3(c[b>>2]|0,d,1);return}function k3(a,b){a=a|0;b=b|0;a=i;i=i+8|0;o3(a|0,0,b);i=a;return}function l3(a){a=a|0;return a|0}function m3(a,b,c){a=a|0;b=b|0;c=c|0;n3(0,b,0);return}function n3(a,b,c){a=a|0;b=b|0;c=c|0;tla(b);return}function o3(b,c,d){b=b|0;c=c|0;d=d|0;var e=0;c=i;e=b;b=i;i=i+1|0;i=i+7&-8;a[b]=a[e]|0;z0(d);i=c;return}function p3(a){a=a|0;return a+4|0}function q3(a,b){a=a|0;b=b|0;r3(a,b);return}function r3(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function s3(a){a=a|0;return L3(a+4|0)|0}function t3(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];D3(a,b,d);i=e;return}function u3(a,b){a=a|0;b=b|0;return C3(0,b,0)|0}function v3(a,b){a=a|0;b=b|0;B3(a,b);return}function _read_input_xml$0(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0.0,r=0.0,s=0.0,t=0.0,u=0,v=0,w=0,x=0,y=0,z=0;d=c[b+9720>>2]|0;e=c[b+9760>>2]|0;f=c[b+12744>>2]|0;a:do{if((c[(d+120|0)>>2]|0)>0){g=(b|0)+120|0;j=0;do{c[(b+4576|0)>>2]=j;k=g0(g,b+4576|0)|0;aba(b+4584|0,40960);Yaa(b+4560|0,b0(k,b+4584|0)|0);e0(b+4560|0,(c[(d+8|0)>>2]|0)+(j*48|0)+4|0);gba(b+4560|0);gba(b+4584|0);c[(b+4616|0)>>2]=j;k=g0(g,b+4616|0)|0;aba(b+4624|0,39448);Yaa(b+4600|0,b0(k,b+4624|0)|0);h0(b+4600|0,(c[(d+8|0)>>2]|0)+(j*48|0)|0);gba(b+4600|0);gba(b+4624|0);c[(b+4656|0)>>2]=j;k=g0(g,b+4656|0)|0;aba(b+4664|0,38680);Yaa(b+4640|0,b0(k,b+4664|0)|0);e0(b+4640|0,(c[(d+8|0)>>2]|0)+(j*48|0)+8|0);gba(b+4640|0);gba(b+4664|0);c[(b+4696|0)>>2]=j;k=g0(g,b+4696|0)|0;aba(b+4704|0,37832);Yaa(b+4680|0,b0(k,b+4704|0)|0);e0(b+4680|0,(c[(d+8|0)>>2]|0)+(j*48|0)+12|0);gba(b+4680|0);gba(b+4704|0);c[(b+4736|0)>>2]=j;k=g0(g,b+4736|0)|0;aba(b+4744|0,37024);Yaa(b+4720|0,b0(k,b+4744|0)|0);f0(b+4720|0,(c[(d+8|0)>>2]|0)+(j*48|0)+16|0,0);gba(b+4720|0);gba(b+4744|0);c[(b+4776|0)>>2]=j;k=g0(g,b+4776|0)|0;aba(b+4784|0,36280);Yaa(b+4760|0,b0(k,b+4784|0)|0);f0(b+4760|0,(c[(d+8|0)>>2]|0)+(j*48|0)+20|0,0);gba(b+4760|0);gba(b+4784|0);c[(b+4816|0)>>2]=j;k=g0(g,b+4816|0)|0;aba(b+4824|0,34824);Yaa(b+4800|0,b0(k,b+4824|0)|0);f0(b+4800|0,(c[(d+8|0)>>2]|0)+(j*48|0)+24|0,0);gba(b+4800|0);gba(b+4824|0);c[(b+4856|0)>>2]=j;k=g0(g,b+4856|0)|0;aba(b+4864|0,34072);Yaa(b+4840|0,b0(k,b+4864|0)|0);f0(b+4840|0,(c[(d+8|0)>>2]|0)+(j*48|0)+28|0,0);gba(b+4840|0);gba(b+4864|0);c[(b+4896|0)>>2]=j;k=g0(g,b+4896|0)|0;aba(b+4904|0,33056);Yaa(b+4880|0,b0(k,b+4904|0)|0);f0(b+4880|0,(c[(d+8|0)>>2]|0)+(j*48|0)+32|0,0);gba(b+4880|0);gba(b+4904|0);c[(b+4936|0)>>2]=j;k=g0(g,b+4936|0)|0;aba(b+4944|0,32272);Yaa(b+4920|0,b0(k,b+4944|0)|0);i0(b+4920|0,(c[(d+8|0)>>2]|0)+(j*48|0)+41|0);gba(b+4920|0);gba(b+4944|0);c[(b+4976|0)>>2]=j;k=g0(g,b+4976|0)|0;aba(b+4984|0,31904);Yaa(b+4960|0,b0(k,b+4984|0)|0);i0(b+4960|0,(c[(d+8|0)>>2]|0)+(j*48|0)+42|0);gba(b+4960|0);gba(b+4984|0);c[(b+5016|0)>>2]=j;k=g0(g,b+5016|0)|0;aba(b+5024|0,31584);Yaa(b+5e3|0,b0(k,b+5024|0)|0);i0(b+5e3|0,(c[(d+8|0)>>2]|0)+(j*48|0)+40|0);gba(b+5e3|0);gba(b+5024|0);k=c[(d+8|0)>>2]|0;l=(a[k+(j*48|0)+41|0]|0)!=0;m=(a[k+(j*48|0)+42|0]|0)!=0?27872:27656;n=(a[k+(j*48|0)+40|0]|0)!=0?27872:27656;XS(4,0,23304,(f=i,i=i+40|0,c[f>>2]=c[k+(j*48|0)+4>>2],c[f+8>>2]=l?10023160:28512,c[f+16>>2]=m,c[f+24>>2]=l?10023160:28248,c[f+32>>2]=n,f)|0);i=f;n=c[(d+8|0)>>2]|0;l=c[n+(j*48|0)+4>>2]|0;if((a[l]|0)==36){a[n+(j*48|0)+44|0]=1;o=c[(c[(d+8|0)>>2]|0)+(j*48|0)+4>>2]|0}else{o=l}aba(b+5040|0,o);c[(j0(b+216|0,b+5040|0)|0)>>2]=j;gba(b+5040|0);j=j+1|0;}while((j|0)<(c[(d+120|0)>>2]|0))}if((c[2500020]|0)!=0){$d[c[3540]&511](4)}XS(4,1,22824,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[(d+124|0)>>2]|0)>0){j=(b|0)+156|0;g=0;do{c[(b+5072|0)>>2]=g;l=g0(j,b+5072|0)|0;aba(b+5080|0,40960);Yaa(b+5056|0,b0(l,b+5080|0)|0);e0(b+5056|0,(c[(d+12|0)>>2]|0)+(g*52|0)+4|0);gba(b+5056|0);gba(b+5080|0);c[(b+5112|0)>>2]=g;l=g0(j,b+5112|0)|0;aba(b+5120|0,39448);Yaa(b+5096|0,b0(l,b+5120|0)|0);h0(b+5096|0,(c[(d+12|0)>>2]|0)+(g*52|0)|0);gba(b+5096|0);gba(b+5120|0);c[(b+5152|0)>>2]=g;l=g0(j,b+5152|0)|0;aba(b+5160|0,38680);Yaa(b+5136|0,b0(l,b+5160|0)|0);e0(b+5136|0,(c[(d+12|0)>>2]|0)+(g*52|0)+8|0);gba(b+5136|0);gba(b+5160|0);c[(b+5192|0)>>2]=g;l=g0(j,b+5192|0)|0;aba(b+5200|0,37832);Yaa(b+5176|0,b0(l,b+5200|0)|0);e0(b+5176|0,(c[(d+12|0)>>2]|0)+(g*52|0)+12|0);gba(b+5176|0);gba(b+5200|0);c[(b+5232|0)>>2]=g;l=g0(j,b+5232|0)|0;aba(b+5240|0,37024);Yaa(b+5216|0,b0(l,b+5240|0)|0);f0(b+5216|0,(c[(d+12|0)>>2]|0)+(g*52|0)+16|0,0);gba(b+5216|0);gba(b+5240|0);c[(b+5272|0)>>2]=g;l=g0(j,b+5272|0)|0;aba(b+5280|0,36280);Yaa(b+5256|0,b0(l,b+5280|0)|0);f0(b+5256|0,(c[(d+12|0)>>2]|0)+(g*52|0)+20|0,0);gba(b+5256|0);gba(b+5280|0);c[(b+5312|0)>>2]=g;l=g0(j,b+5312|0)|0;aba(b+5320|0,34824);Yaa(b+5296|0,b0(l,b+5320|0)|0);f0(b+5296|0,(c[(d+12|0)>>2]|0)+(g*52|0)+24|0,0);gba(b+5296|0);gba(b+5320|0);c[(b+5352|0)>>2]=g;l=g0(j,b+5352|0)|0;aba(b+5360|0,34072);Yaa(b+5336|0,b0(l,b+5360|0)|0);f0(b+5336|0,(c[(d+12|0)>>2]|0)+(g*52|0)+28|0,0);gba(b+5336|0);gba(b+5360|0);c[(b+5392|0)>>2]=g;l=g0(j,b+5392|0)|0;aba(b+5400|0,33056);Yaa(b+5376|0,b0(l,b+5400|0)|0);f0(b+5376|0,(c[(d+12|0)>>2]|0)+(g*52|0)+32|0,0);gba(b+5376|0);gba(b+5400|0);c[(b+5432|0)>>2]=g;l=g0(j,b+5432|0)|0;aba(b+5440|0,32272);Yaa(b+5416|0,b0(l,b+5440|0)|0);i0(b+5416|0,(c[(d+12|0)>>2]|0)+(g*52|0)+40|0);gba(b+5416|0);gba(b+5440|0);c[(b+5472|0)>>2]=g;l=g0(j,b+5472|0)|0;aba(b+5480|0,31904);Yaa(b+5456|0,b0(l,b+5480|0)|0);e0(b+5456|0,(c[(d+12|0)>>2]|0)+(g*52|0)+44|0);gba(b+5456|0);gba(b+5480|0);l=c[(d+12|0)>>2]|0;n=(a[l+(g*52|0)+40|0]|0)!=0;m=c[l+(g*52|0)+44>>2]|0;XS(4,0,22512,(f=i,i=i+32|0,c[f>>2]=c[l+(g*52|0)+4>>2],c[f+8>>2]=n?10023160:28512,c[f+16>>2]=m,c[f+24>>2]=n?10023160:28248,f)|0);i=f;n=c[(d+12|0)>>2]|0;m=c[n+(g*52|0)+4>>2]|0;if((a[m]|0)==36){a[n+(g*52|0)+48|0]=1;p=c[(c[(d+12|0)>>2]|0)+(g*52|0)+4>>2]|0}else{p=m}aba(b+5496|0,p);c[(j0(b+216|0,b+5496|0)|0)>>2]=g;gba(b+5496|0);g=g+1|0;}while((g|0)<(c[(d+124|0)>>2]|0))}if((c[2500020]|0)!=0){$d[c[3540]&511](4)}XS(4,1,22008,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[(d+128|0)>>2]|0)>0){g=(b|0)+60|0;j=0;do{c[(b+5528|0)>>2]=j;m=g0(g,b+5528|0)|0;aba(b+5536|0,40960);Yaa(b+5512|0,b0(m,b+5536|0)|0);e0(b+5512|0,(c[(d+16|0)>>2]|0)+(j*112|0)+4|0);gba(b+5512|0);gba(b+5536|0);c[(b+5568|0)>>2]=j;m=g0(g,b+5568|0)|0;aba(b+5576|0,39448);Yaa(b+5552|0,b0(m,b+5576|0)|0);h0(b+5552|0,(c[(d+16|0)>>2]|0)+(j*112|0)|0);gba(b+5552|0);gba(b+5576|0);c[(b+5608|0)>>2]=j;m=g0(g,b+5608|0)|0;aba(b+5616|0,38680);Yaa(b+5592|0,b0(m,b+5616|0)|0);e0(b+5592|0,(c[(d+16|0)>>2]|0)+(j*112|0)+8|0);gba(b+5592|0);gba(b+5616|0);c[(b+5648|0)>>2]=j;m=g0(g,b+5648|0)|0;aba(b+5656|0,37832);Yaa(b+5632|0,b0(m,b+5656|0)|0);e0(b+5632|0,(c[(d+16|0)>>2]|0)+(j*112|0)+12|0);gba(b+5632|0);gba(b+5656|0);c[(b+5688|0)>>2]=j;m=g0(g,b+5688|0)|0;aba(b+5696|0,37024);Yaa(b+5672|0,b0(m,b+5696|0)|0);f0(b+5672|0,(c[(d+16|0)>>2]|0)+(j*112|0)+16|0,0);gba(b+5672|0);gba(b+5696|0);c[(b+5728|0)>>2]=j;m=g0(g,b+5728|0)|0;aba(b+5736|0,36280);Yaa(b+5712|0,b0(m,b+5736|0)|0);f0(b+5712|0,(c[(d+16|0)>>2]|0)+(j*112|0)+20|0,0);gba(b+5712|0);gba(b+5736|0);c[(b+5768|0)>>2]=j;m=g0(g,b+5768|0)|0;aba(b+5776|0,34824);Yaa(b+5752|0,b0(m,b+5776|0)|0);f0(b+5752|0,(c[(d+16|0)>>2]|0)+(j*112|0)+24|0,0);gba(b+5752|0);gba(b+5776|0);c[(b+5808|0)>>2]=j;m=g0(g,b+5808|0)|0;aba(b+5816|0,34072);Yaa(b+5792|0,b0(m,b+5816|0)|0);f0(b+5792|0,(c[(d+16|0)>>2]|0)+(j*112|0)+28|0,0);gba(b+5792|0);gba(b+5816|0);c[(b+5848|0)>>2]=j;m=g0(g,b+5848|0)|0;aba(b+5856|0,33056);Yaa(b+5832|0,b0(m,b+5856|0)|0);f0(b+5832|0,(c[(d+16|0)>>2]|0)+(j*112|0)+32|0,0);gba(b+5832|0);gba(b+5856|0);c[(b+5888|0)>>2]=j;m=g0(g,b+5888|0)|0;aba(b+5896|0,32272);Yaa(b+5872|0,b0(m,b+5896|0)|0);i0(b+5872|0,(c[(d+16|0)>>2]|0)+(j*112|0)+88|0);gba(b+5872|0);gba(b+5896|0);c[(b+5928|0)>>2]=j;m=g0(g,b+5928|0)|0;aba(b+5936|0,31904);Yaa(b+5912|0,b0(m,b+5936|0)|0);d0(b+5912|0,(c[(d+16|0)>>2]|0)+(j*112|0)+96|0,0.0);gba(b+5912|0);gba(b+5936|0);c[(b+5968|0)>>2]=j;m=g0(g,b+5968|0)|0;aba(b+5976|0,31584);Yaa(b+5952|0,b0(m,b+5976|0)|0);i0(b+5952|0,(c[(d+16|0)>>2]|0)+(j*112|0)+72|0);gba(b+5952|0);gba(b+5976|0);c[(b+6008|0)>>2]=j;m=g0(g,b+6008|0)|0;aba(b+6016|0,30976);Yaa(b+5992|0,b0(m,b+6016|0)|0);i0(b+5992|0,(c[(d+16|0)>>2]|0)+(j*112|0)+73|0);gba(b+5992|0);gba(b+6016|0);c[(b+6048|0)>>2]=j;m=g0(g,b+6048|0)|0;aba(b+6056|0,30576);Yaa(b+6032|0,b0(m,b+6056|0)|0);d0(b+6032|0,(c[(d+16|0)>>2]|0)+(j*112|0)+80|0,1.0);gba(b+6032|0);gba(b+6056|0);c[(b+6088|0)>>2]=j;m=g0(g,b+6088|0)|0;aba(b+6096|0,30224);Yaa(b+6072|0,b0(m,b+6096|0)|0);d0(b+6072|0,(c[(d+16|0)>>2]|0)+(j*112|0)+56|0,-1.7976931348623157e+308);gba(b+6072|0);gba(b+6096|0);c[(b+6128|0)>>2]=j;m=g0(g,b+6128|0)|0;aba(b+6136|0,29784);Yaa(b+6112|0,b0(m,b+6136|0)|0);d0(b+6112|0,(c[(d+16|0)>>2]|0)+(j*112|0)+64|0,1.7976931348623157e+308);gba(b+6112|0);gba(b+6136|0);m=c[(d+16|0)>>2]|0;n=(a[m+(j*112|0)+88|0]|0)!=0;q=+h[m+(j*112|0)+96>>3];l=(a[m+(j*112|0)+72|0]|0)!=0?27872:27656;k=(a[m+(j*112|0)+73|0]|0)!=0;r=+h[m+(j*112|0)+80>>3];s=+h[m+(j*112|0)+56>>3];t=+h[m+(j*112|0)+64>>3];XS(4,0,21696,(f=i,i=i+80|0,c[f>>2]=c[m+(j*112|0)+4>>2],c[f+8>>2]=n?10023160:28512,h[f+16>>3]=q,c[f+24>>2]=n?10023160:28248,c[f+32>>2]=l,c[f+40>>2]=k?10023160:28512,h[f+48>>3]=r,c[f+56>>2]=k?10023160:28248,h[f+64>>3]=s,h[f+72>>3]=t,f)|0);i=f;k=c[(d+16|0)>>2]|0;l=c[k+(j*112|0)+4>>2]|0;if((a[l]|0)==36){a[k+(j*112|0)+104|0]=1;u=c[(c[(d+16|0)>>2]|0)+(j*112|0)+4>>2]|0}else{u=l}aba(b+6152|0,u);c[(j0(b+240|0,b+6152|0)|0)>>2]=j;gba(b+6152|0);j=j+1|0;}while((j|0)<(c[(d+128|0)>>2]|0))}if((c[2500020]|0)!=0){$d[c[3540]&511](4)}XS(4,1,9984024,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[(d+132|0)>>2]|0)>0){j=(b|0)+96|0;g=0;do{c[(b+6184|0)>>2]=g;l=g0(j,b+6184|0)|0;aba(b+6192|0,40960);Yaa(b+6168|0,b0(l,b+6192|0)|0);e0(b+6168|0,(c[(d+20|0)>>2]|0)+(g*60|0)+4|0);gba(b+6168|0);gba(b+6192|0);c[(b+6224|0)>>2]=g;l=g0(j,b+6224|0)|0;aba(b+6232|0,39448);Yaa(b+6208|0,b0(l,b+6232|0)|0);h0(b+6208|0,(c[(d+20|0)>>2]|0)+(g*60|0)|0);gba(b+6208|0);gba(b+6232|0);c[(b+6264|0)>>2]=g;l=g0(j,b+6264|0)|0;aba(b+6272|0,38680);Yaa(b+6248|0,b0(l,b+6272|0)|0);e0(b+6248|0,(c[(d+20|0)>>2]|0)+(g*60|0)+8|0);gba(b+6248|0);gba(b+6272|0);c[(b+6304|0)>>2]=g;l=g0(j,b+6304|0)|0;aba(b+6312|0,37832);Yaa(b+6288|0,b0(l,b+6312|0)|0);e0(b+6288|0,(c[(d+20|0)>>2]|0)+(g*60|0)+12|0);gba(b+6288|0);gba(b+6312|0);c[(b+6344|0)>>2]=g;l=g0(j,b+6344|0)|0;aba(b+6352|0,37024);Yaa(b+6328|0,b0(l,b+6352|0)|0);f0(b+6328|0,(c[(d+20|0)>>2]|0)+(g*60|0)+16|0,0);gba(b+6328|0);gba(b+6352|0);c[(b+6384|0)>>2]=g;l=g0(j,b+6384|0)|0;aba(b+6392|0,36280);Yaa(b+6368|0,b0(l,b+6392|0)|0);f0(b+6368|0,(c[(d+20|0)>>2]|0)+(g*60|0)+20|0,0);gba(b+6368|0);gba(b+6392|0);c[(b+6424|0)>>2]=g;l=g0(j,b+6424|0)|0;aba(b+6432|0,34824);Yaa(b+6408|0,b0(l,b+6432|0)|0);f0(b+6408|0,(c[(d+20|0)>>2]|0)+(g*60|0)+24|0,0);gba(b+6408|0);gba(b+6432|0);c[(b+6464|0)>>2]=g;l=g0(j,b+6464|0)|0;aba(b+6472|0,34072);Yaa(b+6448|0,b0(l,b+6472|0)|0);f0(b+6448|0,(c[(d+20|0)>>2]|0)+(g*60|0)+28|0,0);gba(b+6448|0);gba(b+6472|0);c[(b+6504|0)>>2]=g;l=g0(j,b+6504|0)|0;aba(b+6512|0,33056);Yaa(b+6488|0,b0(l,b+6512|0)|0);f0(b+6488|0,(c[(d+20|0)>>2]|0)+(g*60|0)+32|0,0);gba(b+6488|0);gba(b+6512|0);c[(b+6544|0)>>2]=g;l=g0(j,b+6544|0)|0;aba(b+6552|0,32272);Yaa(b+6528|0,b0(l,b+6552|0)|0);i0(b+6528|0,(c[(d+20|0)>>2]|0)+(g*60|0)+49|0);gba(b+6528|0);gba(b+6552|0);c[(b+6584|0)>>2]=g;l=g0(j,b+6584|0)|0;aba(b+6592|0,31904);Yaa(b+6568|0,b0(l,b+6592|0)|0);f0(b+6568|0,(c[(d+20|0)>>2]|0)+(g*60|0)+52|0,0);gba(b+6568|0);gba(b+6592|0);c[(b+6624|0)>>2]=g;l=g0(j,b+6624|0)|0;aba(b+6632|0,31584);Yaa(b+6608|0,b0(l,b+6632|0)|0);i0(b+6608|0,(c[(d+20|0)>>2]|0)+(g*60|0)+48|0);gba(b+6608|0);gba(b+6632|0);c[(b+6664|0)>>2]=g;l=g0(j,b+6664|0)|0;aba(b+6672|0,30224);Yaa(b+6648|0,b0(l,b+6672|0)|0);f0(b+6648|0,(c[(d+20|0)>>2]|0)+(g*60|0)+40|0,-2147483648);gba(b+6648|0);gba(b+6672|0);c[(b+6704|0)>>2]=g;l=g0(j,b+6704|0)|0;aba(b+6712|0,29784);Yaa(b+6688|0,b0(l,b+6712|0)|0);f0(b+6688|0,(c[(d+20|0)>>2]|0)+(g*60|0)+44|0,2147483647);gba(b+6688|0);gba(b+6712|0);l=c[(d+20|0)>>2]|0;k=(a[l+(g*60|0)+49|0]|0)!=0;n=c[l+(g*60|0)+52>>2]|0;m=(a[l+(g*60|0)+48|0]|0)!=0?27872:27656;v=c[l+(g*60|0)+40>>2]|0;w=c[l+(g*60|0)+44>>2]|0;XS(4,0,9983240,(f=i,i=i+56|0,c[f>>2]=c[l+(g*60|0)+4>>2],c[f+8>>2]=k?10023160:28512,c[f+16>>2]=n,c[f+24>>2]=k?10023160:28248,c[f+32>>2]=m,c[f+40>>2]=v,c[f+48>>2]=w,f)|0);i=f;w=c[(d+20|0)>>2]|0;v=c[w+(g*60|0)+4>>2]|0;if((a[v]|0)==36){a[w+(g*60|0)+56|0]=1;x=c[(c[(d+20|0)>>2]|0)+(g*60|0)+4>>2]|0}else{x=v}aba(b+6728|0,x);c[(j0(b+240|0,b+6728|0)|0)>>2]=g;gba(b+6728|0);g=g+1|0;}while((g|0)<(c[(d+132|0)>>2]|0))}if((c[2500020]|0)!=0){$d[c[3540]&511](4)}XS(4,1,9983016,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[(d+136|0)>>2]|0)>0){g=(b|0)+132|0;j=0;do{c[(b+6760|0)>>2]=j;v=g0(g,b+6760|0)|0;aba(b+6768|0,40960);Yaa(b+6744|0,b0(v,b+6768|0)|0);e0(b+6744|0,(c[(d+24|0)>>2]|0)+(j*48|0)+4|0);gba(b+6744|0);gba(b+6768|0);c[(b+6800|0)>>2]=j;v=g0(g,b+6800|0)|0;aba(b+6808|0,39448);Yaa(b+6784|0,b0(v,b+6808|0)|0);h0(b+6784|0,(c[(d+24|0)>>2]|0)+(j*48|0)|0);gba(b+6784|0);gba(b+6808|0);c[(b+6840|0)>>2]=j;v=g0(g,b+6840|0)|0;aba(b+6848|0,38680);Yaa(b+6824|0,b0(v,b+6848|0)|0);e0(b+6824|0,(c[(d+24|0)>>2]|0)+(j*48|0)+8|0);gba(b+6824|0);gba(b+6848|0);c[(b+6880|0)>>2]=j;v=g0(g,b+6880|0)|0;aba(b+6888|0,37832);Yaa(b+6864|0,b0(v,b+6888|0)|0);e0(b+6864|0,(c[(d+24|0)>>2]|0)+(j*48|0)+12|0);gba(b+6864|0);gba(b+6888|0);c[(b+6920|0)>>2]=j;v=g0(g,b+6920|0)|0;aba(b+6928|0,37024);Yaa(b+6904|0,b0(v,b+6928|0)|0);f0(b+6904|0,(c[(d+24|0)>>2]|0)+(j*48|0)+16|0,0);gba(b+6904|0);gba(b+6928|0);c[(b+6960|0)>>2]=j;v=g0(g,b+6960|0)|0;aba(b+6968|0,36280);Yaa(b+6944|0,b0(v,b+6968|0)|0);f0(b+6944|0,(c[(d+24|0)>>2]|0)+(j*48|0)+20|0,0);gba(b+6944|0);gba(b+6968|0);c[(b+7e3|0)>>2]=j;v=g0(g,b+7e3|0)|0;aba(b+7008|0,34824);Yaa(b+6984|0,b0(v,b+7008|0)|0);f0(b+6984|0,(c[(d+24|0)>>2]|0)+(j*48|0)+24|0,0);gba(b+6984|0);gba(b+7008|0);c[(b+7040|0)>>2]=j;v=g0(g,b+7040|0)|0;aba(b+7048|0,34072);Yaa(b+7024|0,b0(v,b+7048|0)|0);f0(b+7024|0,(c[(d+24|0)>>2]|0)+(j*48|0)+28|0,0);gba(b+7024|0);gba(b+7048|0);c[(b+7080|0)>>2]=j;v=g0(g,b+7080|0)|0;aba(b+7088|0,33056);Yaa(b+7064|0,b0(v,b+7088|0)|0);f0(b+7064|0,(c[(d+24|0)>>2]|0)+(j*48|0)+32|0,0);gba(b+7064|0);gba(b+7088|0);c[(b+7120|0)>>2]=j;v=g0(g,b+7120|0)|0;aba(b+7128|0,32272);Yaa(b+7104|0,b0(v,b+7128|0)|0);i0(b+7104|0,(c[(d+24|0)>>2]|0)+(j*48|0)+41|0);gba(b+7104|0);gba(b+7128|0);c[(b+7160|0)>>2]=j;v=g0(g,b+7160|0)|0;aba(b+7168|0,31904);Yaa(b+7144|0,b0(v,b+7168|0)|0);i0(b+7144|0,(c[(d+24|0)>>2]|0)+(j*48|0)+42|0);gba(b+7144|0);gba(b+7168|0);c[(b+7200|0)>>2]=j;v=g0(g,b+7200|0)|0;aba(b+7208|0,31584);Yaa(b+7184|0,b0(v,b+7208|0)|0);i0(b+7184|0,(c[(d+24|0)>>2]|0)+(j*48|0)+40|0);gba(b+7184|0);gba(b+7208|0);v=c[(d+24|0)>>2]|0;w=(a[v+(j*48|0)+41|0]|0)!=0;m=(a[v+(j*48|0)+42|0]|0)!=0?27872:27656;k=(a[v+(j*48|0)+40|0]|0)!=0?27872:27656;XS(4,0,9982632,(f=i,i=i+40|0,c[f>>2]=c[v+(j*48|0)+4>>2],c[f+8>>2]=w?10023160:28512,c[f+16>>2]=m,c[f+24>>2]=w?10023160:28248,c[f+32>>2]=k,f)|0);i=f;k=c[(d+24|0)>>2]|0;w=c[k+(j*48|0)+4>>2]|0;if((a[w]|0)==36){a[k+(j*48|0)+44|0]=1;y=c[(c[(d+24|0)>>2]|0)+(j*48|0)+4>>2]|0}else{y=w}aba(b+7224|0,y);c[(j0(b+240|0,b+7224|0)|0)>>2]=j;gba(b+7224|0);j=j+1|0;}while((j|0)<(c[(d+136|0)>>2]|0))}if((c[2500020]|0)!=0){$d[c[3540]&511](4)}XS(4,1,9982272,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[(d+140|0)>>2]|0)>0){j=(b|0)+168|0;g=0;do{c[(b+7256|0)>>2]=g;w=g0(j,b+7256|0)|0;aba(b+7264|0,40960);Yaa(b+7240|0,b0(w,b+7264|0)|0);e0(b+7240|0,(c[(d+28|0)>>2]|0)+(g*52|0)+4|0);gba(b+7240|0);gba(b+7264|0);c[(b+7296|0)>>2]=g;w=g0(j,b+7296|0)|0;aba(b+7304|0,39448);Yaa(b+7280|0,b0(w,b+7304|0)|0);h0(b+7280|0,(c[(d+28|0)>>2]|0)+(g*52|0)|0);gba(b+7280|0);gba(b+7304|0);c[(b+7336|0)>>2]=g;w=g0(j,b+7336|0)|0;aba(b+7344|0,38680);Yaa(b+7320|0,b0(w,b+7344|0)|0);e0(b+7320|0,(c[(d+28|0)>>2]|0)+(g*52|0)+8|0);gba(b+7320|0);gba(b+7344|0);c[(b+7376|0)>>2]=g;w=g0(j,b+7376|0)|0;aba(b+7384|0,37832);Yaa(b+7360|0,b0(w,b+7384|0)|0);e0(b+7360|0,(c[(d+28|0)>>2]|0)+(g*52|0)+12|0);gba(b+7360|0);gba(b+7384|0);c[(b+7416|0)>>2]=g;w=g0(j,b+7416|0)|0;aba(b+7424|0,37024);Yaa(b+7400|0,b0(w,b+7424|0)|0);f0(b+7400|0,(c[(d+28|0)>>2]|0)+(g*52|0)+16|0,0);gba(b+7400|0);gba(b+7424|0);c[(b+7456|0)>>2]=g;w=g0(j,b+7456|0)|0;aba(b+7464|0,36280);Yaa(b+7440|0,b0(w,b+7464|0)|0);f0(b+7440|0,(c[(d+28|0)>>2]|0)+(g*52|0)+20|0,0);gba(b+7440|0);gba(b+7464|0);c[(b+7496|0)>>2]=g;w=g0(j,b+7496|0)|0;aba(b+7504|0,34824);Yaa(b+7480|0,b0(w,b+7504|0)|0);f0(b+7480|0,(c[(d+28|0)>>2]|0)+(g*52|0)+24|0,0);gba(b+7480|0);gba(b+7504|0);c[(b+7536|0)>>2]=g;w=g0(j,b+7536|0)|0;aba(b+7544|0,34072);Yaa(b+7520|0,b0(w,b+7544|0)|0);f0(b+7520|0,(c[(d+28|0)>>2]|0)+(g*52|0)+28|0,0);gba(b+7520|0);gba(b+7544|0);c[(b+7576|0)>>2]=g;w=g0(j,b+7576|0)|0;aba(b+7584|0,33056);Yaa(b+7560|0,b0(w,b+7584|0)|0);f0(b+7560|0,(c[(d+28|0)>>2]|0)+(g*52|0)+32|0,0);gba(b+7560|0);gba(b+7584|0);c[(b+7616|0)>>2]=g;w=g0(j,b+7616|0)|0;aba(b+7624|0,32272);Yaa(b+7600|0,b0(w,b+7624|0)|0);i0(b+7600|0,(c[(d+28|0)>>2]|0)+(g*52|0)+40|0);gba(b+7600|0);gba(b+7624|0);c[(b+7656|0)>>2]=g;w=g0(j,b+7656|0)|0;aba(b+7664|0,31904);Yaa(b+7640|0,b0(w,b+7664|0)|0);e0(b+7640|0,(c[(d+28|0)>>2]|0)+(g*52|0)+44|0);gba(b+7640|0);gba(b+7664|0);w=c[(d+28|0)>>2]|0;k=(a[w+(g*52|0)+40|0]|0)!=0;m=c[w+(g*52|0)+44>>2]|0;XS(4,0,9981928,(f=i,i=i+32|0,c[f>>2]=c[w+(g*52|0)+4>>2],c[f+8>>2]=k?10023160:28512,c[f+16>>2]=m,c[f+24>>2]=k?10023160:28248,f)|0);i=f;k=c[(d+28|0)>>2]|0;m=c[k+(g*52|0)+4>>2]|0;if((a[m]|0)==36){a[k+(g*52|0)+48|0]=1;z=c[(c[(d+28|0)>>2]|0)+(g*52|0)+4>>2]|0}else{z=m}aba(b+7680|0,z);c[(j0(b+240|0,b+7680|0)|0)>>2]=g;gba(b+7680|0);g=g+1|0;}while((g|0)<(c[(d+140|0)>>2]|0))}if((c[2500020]|0)!=0){$d[c[3540]&511](4)}XS(4,1,9981608,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;b:do{if((c[(d+208|0)>>2]|0)>0){g=(b|0)+72|0;j=0;c:while(1){c[(b+7712|0)>>2]=j;m=g0(g,b+7712|0)|0;aba(b+7720|0,40960);Yaa(b+7696|0,b0(m,b+7720|0)|0);e0(b+7696|0,(c[(d+32|0)>>2]|0)+(j*52|0)+16|0);gba(b+7696|0);gba(b+7720|0);c[(b+7752|0)>>2]=j;m=g0(g,b+7752|0)|0;aba(b+7760|0,39448);Yaa(b+7736|0,b0(m,b+7760|0)|0);h0(b+7736|0,(c[(d+32|0)>>2]|0)+(j*52|0)+12|0);gba(b+7736|0);gba(b+7760|0);c[(b+7792|0)>>2]=j;m=g0(g,b+7792|0)|0;aba(b+7800|0,38680);Yaa(b+7776|0,b0(m,b+7800|0)|0);e0(b+7776|0,(c[(d+32|0)>>2]|0)+(j*52|0)+20|0);gba(b+7776|0);gba(b+7800|0);c[(b+7832|0)>>2]=j;m=g0(g,b+7832|0)|0;aba(b+7840|0,37832);Yaa(b+7816|0,b0(m,b+7840|0)|0);e0(b+7816|0,(c[(d+32|0)>>2]|0)+(j*52|0)+24|0);gba(b+7816|0);gba(b+7840|0);c[(b+7872|0)>>2]=j;m=g0(g,b+7872|0)|0;aba(b+7880|0,37024);Yaa(b+7856|0,b0(m,b+7880|0)|0);f0(b+7856|0,(c[(d+32|0)>>2]|0)+(j*52|0)+28|0,0);gba(b+7856|0);gba(b+7880|0);c[(b+7912|0)>>2]=j;m=g0(g,b+7912|0)|0;aba(b+7920|0,36280);Yaa(b+7896|0,b0(m,b+7920|0)|0);f0(b+7896|0,(c[(d+32|0)>>2]|0)+(j*52|0)+32|0,0);gba(b+7896|0);gba(b+7920|0);c[(b+7952|0)>>2]=j;m=g0(g,b+7952|0)|0;aba(b+7960|0,34824);Yaa(b+7936|0,b0(m,b+7960|0)|0);f0(b+7936|0,(c[(d+32|0)>>2]|0)+(j*52|0)+36|0,0);gba(b+7936|0);gba(b+7960|0);c[(b+7992|0)>>2]=j;m=g0(g,b+7992|0)|0;aba(b+8e3|0,34072);Yaa(b+7976|0,b0(m,b+8e3|0)|0);f0(b+7976|0,(c[(d+32|0)>>2]|0)+(j*52|0)+40|0,0);gba(b+7976|0);gba(b+8e3|0);c[(b+8032|0)>>2]=j;m=g0(g,b+8032|0)|0;aba(b+8040|0,33056);Yaa(b+8016|0,b0(m,b+8040|0)|0);f0(b+8016|0,(c[(d+32|0)>>2]|0)+(j*52|0)+44|0,0);gba(b+8016|0);gba(b+8040|0);Waa(b+8056|0);c[(b+8088|0)>>2]=j;m=g0(g,b+8088|0)|0;aba(b+8096|0,9981272);Yaa(b+8072|0,b0(m,b+8096|0)|0);k0(b+8072|0,b+8056|0);gba(b+8072|0);gba(b+8096|0);m=(Gba(b+8056|0,9981e3)|0)==0;c[(c[(d+32|0)>>2]|0)+(j*52|0)>>2]=m&1;m=c[(d+32|0)>>2]|0;k=c[m+(j*52|0)>>2]|0;XS(4,0,9980504,(f=i,i=i+16|0,c[f>>2]=c[m+(j*52|0)+16>>2],c[f+8>>2]=k,f)|0);i=f;k=c[(d+32|0)>>2]|0;if((a[c[k+(j*52|0)+16>>2]|0]|0)==36){a[k+(j*52|0)+48|0]=1}c[(b+8128|0)>>2]=j;k=g0(g,b+8128|0)|0;aba(b+8136|0,9980288);Yaa(b+8112|0,b0(k,b+8136|0)|0);k0(b+8112|0,b+8056|0);gba(b+8112|0);gba(b+8136|0);l0(b+264|0,b+216|0,b+8056|0);l0(b+272|0,b+240|0,b+8056|0);n0(b+8152|0,b+216|0);do{if(m0(b+264|0,b+8152|0)|0){k=c[(o0(b+264|0)|0)+12>>2]|0;m=c[(d+32|0)>>2]|0;c[m+(j*52|0)+4>>2]=k;a[m+(j*52|0)+8|0]=0}else{n0(b+8160|0,b+240|0);if(m0(b+272|0,b+8160|0)|0){m=c[(o0(b+272|0)|0)+12>>2]|0;k=c[(d+32|0)>>2]|0;c[k+(j*52|0)+4>>2]=m;a[k+(j*52|0)+8|0]=1;break}if((Gba(b+8056|0,9979264)|0)!=0){break c}a[(c[(d+32|0)>>2]|0)+(j*52|0)+8|0]=2}}while(0);gba(b+8056|0);j=j+1|0;if((j|0)>=(c[(d+208|0)>>2]|0)){break b}}Rba(b+8184|0,9979016,b+8056|0);X$(b+8168|0,b+8184|0,9978712);gba(b+8184|0);j=Dba(b+8168|0)|0;$S(0,9978352,(f=i,i=i+8|0,c[f>>2]=j,f)|0);i=f}}while(0);if((c[2500020]|0)!=0){$d[c[3540]&511](4)}XS(4,1,9977536,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;d:do{if((c[(d+212|0)>>2]|0)>0){j=(b|0)+108|0;g=0;while(1){c[(b+8216|0)>>2]=g;k=g0(j,b+8216|0)|0;aba(b+8224|0,40960);Yaa(b+8200|0,b0(k,b+8224|0)|0);e0(b+8200|0,(c[(d+36|0)>>2]|0)+(g*52|0)+16|0);gba(b+8200|0);gba(b+8224|0);c[(b+8256|0)>>2]=g;k=g0(j,b+8256|0)|0;aba(b+8264|0,39448);Yaa(b+8240|0,b0(k,b+8264|0)|0);h0(b+8240|0,(c[(d+36|0)>>2]|0)+(g*52|0)+12|0);gba(b+8240|0);gba(b+8264|0);c[(b+8296|0)>>2]=g;k=g0(j,b+8296|0)|0;aba(b+8304|0,38680);Yaa(b+8280|0,b0(k,b+8304|0)|0);e0(b+8280|0,(c[(d+36|0)>>2]|0)+(g*52|0)+20|0);gba(b+8280|0);gba(b+8304|0);c[(b+8336|0)>>2]=g;k=g0(j,b+8336|0)|0;aba(b+8344|0,37832);Yaa(b+8320|0,b0(k,b+8344|0)|0);e0(b+8320|0,(c[(d+36|0)>>2]|0)+(g*52|0)+24|0);gba(b+8320|0);gba(b+8344|0);c[(b+8376|0)>>2]=g;k=g0(j,b+8376|0)|0;aba(b+8384|0,37024);Yaa(b+8360|0,b0(k,b+8384|0)|0);f0(b+8360|0,(c[(d+36|0)>>2]|0)+(g*52|0)+28|0,0);gba(b+8360|0);gba(b+8384|0);c[(b+8416|0)>>2]=g;k=g0(j,b+8416|0)|0;aba(b+8424|0,36280);Yaa(b+8400|0,b0(k,b+8424|0)|0);f0(b+8400|0,(c[(d+36|0)>>2]|0)+(g*52|0)+32|0,0);gba(b+8400|0);gba(b+8424|0);c[(b+8456|0)>>2]=g;k=g0(j,b+8456|0)|0;aba(b+8464|0,34824);Yaa(b+8440|0,b0(k,b+8464|0)|0);f0(b+8440|0,(c[(d+36|0)>>2]|0)+(g*52|0)+36|0,0);gba(b+8440|0);gba(b+8464|0);c[(b+8496|0)>>2]=g;k=g0(j,b+8496|0)|0;aba(b+8504|0,34072);Yaa(b+8480|0,b0(k,b+8504|0)|0);f0(b+8480|0,(c[(d+36|0)>>2]|0)+(g*52|0)+40|0,0);gba(b+8480|0);gba(b+8504|0);c[(b+8536|0)>>2]=g;k=g0(j,b+8536|0)|0;aba(b+8544|0,33056);Yaa(b+8520|0,b0(k,b+8544|0)|0);f0(b+8520|0,(c[(d+36|0)>>2]|0)+(g*52|0)+44|0,0);gba(b+8520|0);gba(b+8544|0);Waa(b+8560|0);c[(b+8592|0)>>2]=g;k=g0(j,b+8592|0)|0;aba(b+8600|0,9981272);Yaa(b+8576|0,b0(k,b+8600|0)|0);k0(b+8576|0,b+8560|0);gba(b+8576|0);gba(b+8600|0);k=(Gba(b+8560|0,9981e3)|0)==0;c[(c[(d+36|0)>>2]|0)+(g*52|0)>>2]=k&1;k=c[(d+36|0)>>2]|0;m=c[k+(g*52|0)>>2]|0;XS(4,0,9980504,(f=i,i=i+16|0,c[f>>2]=c[k+(g*52|0)+16>>2],c[f+8>>2]=m,f)|0);i=f;m=c[(d+36|0)>>2]|0;if((a[c[m+(g*52|0)+16>>2]|0]|0)==36){a[m+(g*52|0)+48|0]=1}c[(b+8632|0)>>2]=g;m=g0(j,b+8632|0)|0;aba(b+8640|0,9980288);Yaa(b+8616|0,b0(m,b+8640|0)|0);k0(b+8616|0,b+8560|0);gba(b+8616|0);gba(b+8640|0);l0(b+264|0,b+216|0,b+8560|0);l0(b+272|0,b+240|0,b+8560|0);n0(b+8656|0,b+216|0);if(m0(b+264|0,b+8656|0)|0){m=c[(o0(b+264|0)|0)+12>>2]|0;k=c[(d+36|0)>>2]|0;c[k+(g*52|0)+4>>2]=m;a[k+(g*52|0)+8|0]=0}else{n0(b+8664|0,b+240|0);if(!(m0(b+272|0,b+8664|0)|0)){break}k=c[(o0(b+272|0)|0)+12>>2]|0;m=c[(d+36|0)>>2]|0;c[m+(g*52|0)+4>>2]=k;a[m+(g*52|0)+8|0]=1}gba(b+8560|0);g=g+1|0;if((g|0)>=(c[(d+212|0)>>2]|0)){break d}}Rba(b+8688|0,9977128,b+8560|0);X$(b+8672|0,b+8688|0,9978712);gba(b+8688|0);g=Dba(b+8672|0)|0;$S(0,9978352,(f=i,i=i+8|0,c[f>>2]=g,f)|0);i=f}}while(0);if((c[2500020]|0)!=0){$d[c[3540]&511](4)}XS(4,1,9975936,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;e:do{if((c[(d+216|0)>>2]|0)>0){g=(b|0)+144|0;j=0;while(1){c[(b+8720|0)>>2]=j;m=g0(g,b+8720|0)|0;aba(b+8728|0,40960);Yaa(b+8704|0,b0(m,b+8728|0)|0);e0(b+8704|0,(c[(d+40|0)>>2]|0)+(j*52|0)+16|0);gba(b+8704|0);gba(b+8728|0);c[(b+8760|0)>>2]=j;m=g0(g,b+8760|0)|0;aba(b+8768|0,39448);Yaa(b+8744|0,b0(m,b+8768|0)|0);h0(b+8744|0,(c[(d+40|0)>>2]|0)+(j*52|0)+12|0);gba(b+8744|0);gba(b+8768|0);c[(b+8800|0)>>2]=j;m=g0(g,b+8800|0)|0;aba(b+8808|0,38680);Yaa(b+8784|0,b0(m,b+8808|0)|0);e0(b+8784|0,(c[(d+40|0)>>2]|0)+(j*52|0)+20|0);gba(b+8784|0);gba(b+8808|0);c[(b+8840|0)>>2]=j;m=g0(g,b+8840|0)|0;aba(b+8848|0,37832);Yaa(b+8824|0,b0(m,b+8848|0)|0);e0(b+8824|0,(c[(d+40|0)>>2]|0)+(j*52|0)+24|0);gba(b+8824|0);gba(b+8848|0);c[(b+8880|0)>>2]=j;m=g0(g,b+8880|0)|0;aba(b+8888|0,37024);Yaa(b+8864|0,b0(m,b+8888|0)|0);i0(b+8864|0,(c[(d+40|0)>>2]|0)+(j*52|0)+28|0);gba(b+8864|0);gba(b+8888|0);c[(b+8920|0)>>2]=j;m=g0(g,b+8920|0)|0;aba(b+8928|0,36280);Yaa(b+8904|0,b0(m,b+8928|0)|0);i0(b+8904|0,(c[(d+40|0)>>2]|0)+(j*52|0)+32|0);gba(b+8904|0);gba(b+8928|0);c[(b+8960|0)>>2]=j;m=g0(g,b+8960|0)|0;aba(b+8968|0,34824);Yaa(b+8944|0,b0(m,b+8968|0)|0);i0(b+8944|0,(c[(d+40|0)>>2]|0)+(j*52|0)+36|0);gba(b+8944|0);gba(b+8968|0);c[(b+9e3|0)>>2]=j;m=g0(g,b+9e3|0)|0;aba(b+9008|0,34072);Yaa(b+8984|0,b0(m,b+9008|0)|0);i0(b+8984|0,(c[(d+40|0)>>2]|0)+(j*52|0)+40|0);gba(b+8984|0);gba(b+9008|0);c[(b+9040|0)>>2]=j;m=g0(g,b+9040|0)|0;aba(b+9048|0,33056);Yaa(b+9024|0,b0(m,b+9048|0)|0);i0(b+9024|0,(c[(d+40|0)>>2]|0)+(j*52|0)+44|0);gba(b+9024|0);gba(b+9048|0);Waa(b+9064|0);c[(b+9096|0)>>2]=j;m=g0(g,b+9096|0)|0;aba(b+9104|0,9981272);Yaa(b+9080|0,b0(m,b+9104|0)|0);k0(b+9080|0,b+9064|0);gba(b+9080|0);gba(b+9104|0);m=(Gba(b+9064|0,9981e3)|0)==0;c[(c[(d+40|0)>>2]|0)+(j*52|0)>>2]=m&1;m=c[(d+40|0)>>2]|0;k=c[m+(j*52|0)>>2]|0;XS(4,0,9980504,(f=i,i=i+16|0,c[f>>2]=c[m+(j*52|0)+16>>2],c[f+8>>2]=k,f)|0);i=f;k=c[(d+40|0)>>2]|0;if((a[c[k+(j*52|0)+16>>2]|0]|0)==36){a[k+(j*52|0)+48|0]=1}c[(b+9136|0)>>2]=j;k=g0(g,b+9136|0)|0;aba(b+9144|0,9980288);Yaa(b+9120|0,b0(k,b+9144|0)|0);k0(b+9120|0,b+9064|0);gba(b+9120|0);gba(b+9144|0);l0(b+264|0,b+216|0,b+9064|0);l0(b+272|0,b+240|0,b+9064|0);n0(b+9160|0,b+216|0);if(m0(b+264|0,b+9160|0)|0){k=c[(o0(b+264|0)|0)+12>>2]|0;m=c[(d+40|0)>>2]|0;c[m+(j*52|0)+4>>2]=k;a[m+(j*52|0)+8|0]=0}else{n0(b+9168|0,b+240|0);if(!(m0(b+272|0,b+9168|0)|0)){break}m=c[(o0(b+272|0)|0)+12>>2]|0;k=c[(d+40|0)>>2]|0;c[k+(j*52|0)+4>>2]=m;a[k+(j*52|0)+8|0]=1}gba(b+9064|0);j=j+1|0;if((j|0)>=(c[(d+216|0)>>2]|0)){break e}}Rba(b+9192|0,9975688,b+9064|0);X$(b+9176|0,b+9192|0,9978712);gba(b+9192|0);j=Dba(b+9176|0)|0;$S(0,9978352,(f=i,i=i+8|0,c[f>>2]=j,f)|0);i=f}}while(0);if((c[2500020]|0)!=0){$d[c[3540]&511](4)}XS(4,1,9974808,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;f:do{if((c[(d+220|0)>>2]|0)>0){j=(b|0)+180|0;g=0;while(1){c[(b+9224|0)>>2]=g;k=g0(j,b+9224|0)|0;aba(b+9232|0,40960);Yaa(b+9208|0,b0(k,b+9232|0)|0);e0(b+9208|0,(c[(d+44|0)>>2]|0)+(g*52|0)+16|0);gba(b+9208|0);gba(b+9232|0);c[(b+9264|0)>>2]=g;k=g0(j,b+9264|0)|0;aba(b+9272|0,39448);Yaa(b+9248|0,b0(k,b+9272|0)|0);h0(b+9248|0,(c[(d+44|0)>>2]|0)+(g*52|0)+12|0);gba(b+9248|0);gba(b+9272|0);c[(b+9304|0)>>2]=g;k=g0(j,b+9304|0)|0;aba(b+9312|0,38680);Yaa(b+9288|0,b0(k,b+9312|0)|0);e0(b+9288|0,(c[(d+44|0)>>2]|0)+(g*52|0)+20|0);gba(b+9288|0);gba(b+9312|0);c[(b+9344|0)>>2]=g;k=g0(j,b+9344|0)|0;aba(b+9352|0,37832);Yaa(b+9328|0,b0(k,b+9352|0)|0);e0(b+9328|0,(c[(d+44|0)>>2]|0)+(g*52|0)+24|0);gba(b+9328|0);gba(b+9352|0);c[(b+9384|0)>>2]=g;k=g0(j,b+9384|0)|0;aba(b+9392|0,37024);Yaa(b+9368|0,b0(k,b+9392|0)|0);e0(b+9368|0,(c[(d+44|0)>>2]|0)+(g*52|0)+28|0);gba(b+9368|0);gba(b+9392|0);c[(b+9424|0)>>2]=g;k=g0(j,b+9424|0)|0;aba(b+9432|0,36280);Yaa(b+9408|0,b0(k,b+9432|0)|0);e0(b+9408|0,(c[(d+44|0)>>2]|0)+(g*52|0)+32|0);gba(b+9408|0);gba(b+9432|0);c[(b+9464|0)>>2]=g;k=g0(j,b+9464|0)|0;aba(b+9472|0,34824);Yaa(b+9448|0,b0(k,b+9472|0)|0);e0(b+9448|0,(c[(d+44|0)>>2]|0)+(g*52|0)+36|0);gba(b+9448|0);gba(b+9472|0);c[(b+9504|0)>>2]=g;k=g0(j,b+9504|0)|0;aba(b+9512|0,34072);Yaa(b+9488|0,b0(k,b+9512|0)|0);e0(b+9488|0,(c[(d+44|0)>>2]|0)+(g*52|0)+40|0);gba(b+9488|0);gba(b+9512|0);c[(b+9544|0)>>2]=g;k=g0(j,b+9544|0)|0;aba(b+9552|0,33056);Yaa(b+9528|0,b0(k,b+9552|0)|0);e0(b+9528|0,(c[(d+44|0)>>2]|0)+(g*52|0)+44|0);gba(b+9528|0);gba(b+9552|0);Waa(b+9568|0);c[(b+9600|0)>>2]=g;k=g0(j,b+9600|0)|0;aba(b+9608|0,9981272);Yaa(b+9584|0,b0(k,b+9608|0)|0);k0(b+9584|0,b+9568|0);gba(b+9584|0);gba(b+9608|0);k=(Gba(b+9568|0,9981e3)|0)==0;c[(c[(d+44|0)>>2]|0)+(g*52|0)>>2]=k&1;k=c[(d+44|0)>>2]|0;m=c[k+(g*52|0)>>2]|0;XS(4,0,9980504,(f=i,i=i+16|0,c[f>>2]=c[k+(g*52|0)+16>>2],c[f+8>>2]=m,f)|0);i=f;m=c[(d+44|0)>>2]|0;if((a[c[m+(g*52|0)+16>>2]|0]|0)==36){a[m+(g*52|0)+48|0]=1}c[(b+9640|0)>>2]=g;m=g0(j,b+9640|0)|0;aba(b+9648|0,9980288);Yaa(b+9624|0,b0(m,b+9648|0)|0);k0(b+9624|0,b+9568|0);gba(b+9624|0);gba(b+9648|0);l0(b+264|0,b+216|0,b+9568|0);l0(b+272|0,b+240|0,b+9568|0);n0(b+9664|0,b+216|0);if(m0(b+264|0,b+9664|0)|0){m=c[(o0(b+264|0)|0)+12>>2]|0;k=c[(d+44|0)>>2]|0;c[k+(g*52|0)+4>>2]=m;a[k+(g*52|0)+8|0]=0}else{n0(b+9672|0,b+240|0);if(!(m0(b+272|0,b+9672|0)|0)){break}k=c[(o0(b+272|0)|0)+12>>2]|0;m=c[(d+44|0)>>2]|0;c[m+(g*52|0)+4>>2]=k;a[m+(g*52|0)+8|0]=1}gba(b+9568|0);g=g+1|0;if((g|0)>=(c[(d+220|0)>>2]|0)){break f}}Rba(b+9696|0,9974512,b+9568|0);X$(b+9680|0,b+9696|0,9978712);gba(b+9696|0);g=Dba(b+9680|0)|0;$S(0,9978352,(f=i,i=i+8|0,c[f>>2]=g,f)|0);i=f}}while(0);if((c[2500020]|0)!=0){$d[c[3540]&511](4)}VN(e);p0(b+240|0);p0(b+216|0);gba(b+200|0);q0(b|0);i=b;c[b+12760>>2]=5;break a}while(0);c[b+12744>>2]=f}




// EMSCRIPTEN_END_FUNCS
var Yd=[Vma,Vma,yN,Vma,AV,Vma,CV,Vma,HV,Vma,Vma,Vma,Vma,Vma,Vma,Vma];var Zd=[Wma,Wma,mW,Wma];var _d=[Xma,Xma,vQ,Xma,RP,Xma,hla,Xma,wR,Xma,gla,Xma,jP,Xma,kP,Xma,_Q,Xma,SP,Xma,xR,Xma,yR,Xma,$Q,Xma,fla,Xma,wQ,Xma,Xma,Xma];var $d=[Yma,Yma,Cha,Yma,Wda,Yma,xha,Yma,Iaa,Yma,gca,Yma,Hha,Yma,Baa,Yma,oaa,Yma,baa,Yma,Qha,Yma,Xea,Yma,lW,Yma,Aaa,Yma,Hia,Yma,Gaa,Yma,tea,Yma,Jaa,Yma,ej,Yma,Mda,Yma,Ida,Yma,V0,Yma,_7,Yma,Baa,Yma,Tha,Yma,hia,Yma,Mfa,Yma,uea,Yma,Ada,Yma,cW,Yma,yha,Yma,Pj,Yma,Uha,Yma,b8,Yma,kfa,Yma,_ca,Yma,Xda,Yma,zga,Yma,Mha,Yma,$W,Yma,Xka,Yma,qZ,Yma,Vha,Yma,dja,Yma,Kba,Yma,Gaa,Yma,Sda,Yma,ega,Yma,gja,Yma,Wha,Yma,mla,Yma,rha,Yma,cja,Yma,Kda,Yma,lZ,Yma,gda,Yma,aaa,Yma,lj,Yma,Rda,Yma,$fa,Yma,Uja,Yma,Baa,Yma,Oja,Yma,Yea,Yma,eja,Yma,Sia,Yma,$7,Yma,mZ,Yma,U0,Yma,VS,Yma,Aga,Yma,Zca,Yma,oda,Yma,Yfa,Yma,oga,Yma,vla,Yma,fca,Yma,jma,Yma,Yba,Yma,Rja,Yma,Sja,Yma,Gda,Yma,x0,Yma,Bda,Yma,Kca,Yma,_ka,Yma,mj,Yma,ria,Yma,Uka,Yma,$ca,Yma,Hda,Yma,Vga,Yma,U9,Yma,Kga,Yma,Cda,Yma,TS,Yma,wla,Yma,Yka,Yma,Lfa,Yma,haa,Yma,Lha,Yma,Zfa,Yma,eha,Yma,Tka,Yma,bja,Yma,Yga,Yma,sha,Yma,Tja,Yma,dga,Yma,jfa,Yma,Lda,Yma,T0,Yma,nZ,Yma,Jda,Yma,Nda,Yma,ida,Yma,x7,Yma,zia,Yma,lha,Yma,dha,Yma,jZ,Yma,fja,Yma,kj,Yma,yfa,Yma,Ska,Yma,Z7,Yma,Uka,Yma,$ka,Yma,nda,Yma,t9,Yma,Saa,Yma,Yca,Yma,M7,Yma,iaa,Yma,Zba,Yma,Ux,Yma,zda,Yma,oZ,Yma,d8,Yma,Xba,Yma,mda,Yma,Raa,Yma,paa,Yma,Oha,Yma,Lga,Yma,xfa,Yma,Nj,Yma,pga,Yma,W9,Yma,hda,Yma,Jca,Yma,lda,Yma,Qja,Yma,Zka,Yma,Dha,Yma,JU,Yma,V9,Yma,Wka,Yma,aga,Yma,mha,Yma,Wga,Yma,gba,Yma,iia,Yma,Faa,Yma,fda,Yma,Vja,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma,Yma];var ae=[Zma,Zma,pja,Zma,Ij,Zma,jga,Zma,_X,Zma,Qga,Zma,Hj,Zma,tj,Zma,Z$,Zma,sga,Zma,pj,Zma,C8,Zma,mja,Zma,JX,Zma,Jga,Zma,Dj,Zma,LX,Zma,J$,Zma,QX,Zma,IX,Zma,lja,Zma,yga,Zma,xj,Zma,X9,Zma,oj,Zma,Bha,Zma,K$,Zma,Lca,Zma,kga,Zma,Tga,Zma,Kj,Zma,rj,Zma,I$,Zma,Gga,Zma,hga,Zma,Rga,Zma,Pha,Zma,Fga,Zma,KX,Zma,Aj,Zma,MX,Zma,jaa,Zma,uj,Zma,Lj,Zma,Gj,Zma,Jj,Zma,Cj,Zma,vj,Zma,Uga,Zma,x$,Zma,oja,Zma,sj,Zma,rZ,Zma,Mj,Zma,tga,Zma,Eaa,Zma,Oga,Zma,wj,Zma,u$,Zma,qja,Zma,Iga,Zma,vga,Zma,s$,Zma,nja,Zma,xga,Zma,caa,Zma,nj,Zma,xca,Zma,Bj,Zma,qj,Zma,zj,Zma,Fj,Zma,Gha,Zma,qaa,Zma,Dga,Zma,nga,Zma,mga,Zma,iga,Zma,Oj,Zma,Ej,Zma,q$,Zma,aY,Zma,Ega,Zma,yj,Zma,Pga,Zma,uga,Zma,Zma,Zma,Zma,Zma,Zma,Zma,Zma,Zma,Zma,Zma,Zma,Zma,Zma,Zma,Zma,Zma,Zma,Zma,Zma,Zma,Zma,Zma,Zma,Zma,Zma,Zma,Zma,Zma,Zma,Zma,Zma,Zma,Zma,Zma,Zma,Zma,Zma,Zma,Zma,Zma,Zma,Zma,Zma,Zma,Zma,Zma,Zma,Zma,Zma,Zma,Zma,Zma,Zma,Zma,Zma,Zma,Zma,Zma,Zma,Zma,Zma,Zma,Zma,Zma,Zma,Zma,Zma,Zma,Zma,Zma,Zma,Zma,Zma,Zma,Zma,Zma,Zma,Zma,Zma,Zma,Zma,Zma,Zma,Zma];var be=[_ma,_ma,rP,_ma,GV,_ma,yP,_ma,BV,_ma,DV,_ma,EV,_ma,FV,_ma];var ce=[$ma,$ma,q7,$ma,Eja,$ma,Eca,$ma,wia,$ma,uja,$ma,YM,$ma,Qe,$ma,Fca,$ma,Zia,$ma,Cja,$ma,tN,$ma,qga,$ma,kma,$ma,zfa,$ma,sja,$ma,_M,$ma,pN,$ma,oN,$ma,qN,$ma,ZM,$ma,saa,$ma,tW,$ma,Tca,$ma,lla,$ma,Bca,$ma,Sca,$ma,CW,$ma,Yia,$ma,Vj,$ma,bj,$ma,uN,$ma,yja,$ma,wja,$ma,Vka,$ma,Haa,$ma,Sj,$ma,hja,$ma,xja,$ma,Tx,$ma,vZ,$ma,ija,$ma,via,$ma,Sga,$ma,sN,$ma,zja,$ma,Y9,$ma,lma,$ma,Oe,$ma,Pe,$ma,rga,$ma,yT,$ma,Oia,$ma,rN,$ma,wga,$ma,mma,$ma,nma,$ma,Eia,$ma,Mga,$ma,rja,$ma,daa,$ma,MW,$ma,Eda,$ma,lga,$ma,aj,$ma,Qca,$ma,eaa,$ma,oma,$ma,jja,$ma,Cca,$ma,Uj,$ma,Pca,$ma,kaa,$ma,Wx,$ma,wZ,$ma,yia,$ma,Dja,$ma,raa,$ma,Nia,$ma,xla,$ma,fga,$ma,tja,$ma,gga,$ma,Caa,$ma,Bga,$ma,Gia,$ma,Hga,$ma,Cga,$ma,vja,$ma,Nga,$ma,Dia,$ma,Nfa,$ma,kja,$ma,g8,$ma,Bja,$ma,M9,$ma,Vx,$ma,Aja,$ma,VM,$ma,Ria,$ma,pma,$ma,vN,$ma,WM,$ma,aja,$ma,qma,$ma,$ma,$ma,$ma,$ma,$ma,$ma,$ma,$ma,$ma,$ma,$ma,$ma,$ma,$ma,$ma,$ma,$ma,$ma,$ma,$ma,$ma,$ma,$ma,$ma,$ma,$ma,$ma,$ma,$ma,$ma,$ma,$ma,$ma,$ma,$ma,$ma,$ma,$ma,$ma,$ma,$ma,$ma,$ma,$ma,$ma,$ma];var de=[ana,ana,ER,ana,QR,ana,NR,ana,RR,ana,SR,ana,TR,ana,gS,ana,pS,ana,gia,ana,GR,ana,tS,ana,uS,ana,Mia,ana,FR,ana,rS,ana,qS,ana,kS,ana,mS,ana,KR,ana,jS,ana,oS,ana,sS,ana,qia,ana,Tda,ana,_ia,ana,UR,ana,Pia,ana,ZR,ana,_R,ana,$R,ana,WR,ana,XR,ana,MR,ana,VR,ana,YR,ana,nS,ana,PR,ana,vS,ana,iS,ana,cS,ana,dS,ana,fS,ana,hS,ana,aS,ana,LR,ana,eS,ana,bS,ana,wS,ana,Oda,ana,zS,ana,uia,ana,xia,ana,HR,ana,Cia,ana,JR,ana,lS,ana,Xia,ana,Fia,ana,AS,ana,OR,ana,xS,ana,yS,ana,ana,ana];var ee=[bna,bna,mP,bna,Qda,bna,Rj,bna,cia,bna,w7,bna,s7,bna,ala,bna,zha,bna,tP,bna,kia,bna,fia,bna,IP,bna,E9,bna,mQ,bna,Vda,bna,OP,bna,Maa,bna,RQ,bna,Hca,bna,Dca,bna,Xha,bna,Mca,bna,Eha,bna,vP,bna,pia,bna,zP,bna,sZ,bna,aia,bna,Z9,bna,Rca,bna,Naa,bna,mia,bna,sQ,bna,yca,bna,XQ,bna,laa,bna,z7,bna,Vca,bna,bna,bna,bna,bna,bna,bna,bna,bna,bna,bna,bna,bna,bna,bna,bna,bna,bna,bna,bna,bna,bna,bna,bna,bna,bna,bna,bna,bna,bna,bna,bna,bna,bna,bna,bna,bna,bna,bna,bna,bna,bna,bna,bna,bna,bna,bna,bna,bna,bna,bna];var fe=[cna,cna,ufa,cna,sfa,cna,hfa,cna,efa,cna,cna,cna,cna,cna,cna,cna];var ge=[dna,dna,bga,dna,_fa,dna,Xga,dna,fha,dna,$ga,dna,hha,dna,dna,dna];var he=[ena,ena,ila,ena,qfa,ena,mfa,ena,lfa,ena,jla,ena,RS,ena,vfa,ena,tZ,ena,Aha,ena,Nca,ena,ifa,ena,Zea,ena,cfa,ena,_ea,ena,e8,ena,kla,ena,zca,ena,QS,ena,Fha,ena,ena,ena,ena,ena,ena,ena,ena,ena,ena,ena,ena,ena,ena,ena,ena,ena,ena,ena,ena,ena,ena,ena,ena,ena];var ie=[fna,fna,dj,fna];var je=[gna,gna,Afa,gna,Efa,gna,Ofa,gna,Qfa,gna,wha,gna,rfa,gna,pfa,gna,qha,gna,Dfa,gna,Rfa,gna,Pea,gna,aea,gna,Cfa,gna,gea,gna,Pfa,gna,dfa,gna,bfa,gna,Hea,gna,zea,gna,Bea,gna,qea,gna,Fea,gna,xea,gna,vea,gna,Nea,gna,Lea,gna,Jea,gna,Sfa,gna,eea,gna,Bfa,gna,iea,gna,cea,gna,_da,gna,oea,gna,mea,gna,kea,gna,Yda,gna,Dea,gna,gna,gna,gna,gna,gna,gna,gna,gna,gna,gna,gna,gna,gna,gna,gna,gna,gna,gna,gna,gna,gna,gna,gna,gna,gna,gna,gna,gna,gna,gna,gna,gna,gna,gna,gna,gna,gna,gna,gna,gna,gna,gna,gna,gna,gna,gna,gna,gna,gna,gna];var ke=[hna,hna,tha,hna,nha,hna,hna,hna];var le=[ina,ina,Tfa,ina,Ffa,ina,ina,ina];var me=[jna,jna,taa,jna,dR,jna,eR,jna,gP,jna,dia,jna,Uca,jna,nia,jna,UQ,jna,jia,jna,faa,jna,maa,jna,wN,jna,$ha,jna,oQ,jna,hP,jna,i8,jna,fR,jna,hR,jna,gR,jna,cR,jna,xZ,jna,Fka,jna,lia,jna,Wj,jna,WQ,jna,pQ,jna,iP,jna,Ica,jna,OT,jna,Wca,jna,bia,jna,rma,jna,rQ,jna,sma,jna,TQ,jna,h8,jna,Qj,jna,Ne,jna,NP,jna,Tj,jna,yZ,jna,xN,jna,Gca,jna,_9,jna,KP,jna,jT,jna,bR,jna,aR,jna,LP,jna,iT,jna,ola,jna,jna,jna,jna,jna,jna,jna,jna,jna,jna,jna,jna,jna,jna,jna,jna,jna,jna,jna,jna,jna,jna,jna,jna,jna];var ne=[kna,kna,nX,kna];var oe=[lna,lna,Aia,lna,Kia,lna,Iia,lna,Tia,lna,Via,lna,Bia,lna,sia,lna,tia,lna,lna,lna,lna,lna,lna,lna,lna,lna,lna,lna,lna,lna,lna,lna];var pe=[mna,mna,R9,mna,S9,mna,P9,mna,zT,mna,tma,mna,zN,mna,mna,mna];var qe=[nna,nna,wO,nna,QP,nna,hQ,nna,uQ,nna,VQ,nna,JP,nna,OQ,nna,SQ,nna,DP,nna,MP,nna,iQ,nna,Yha,nna,UO,nna,NQ,nna,LQ,nna,wP,nna,AP,nna,uma,nna,oP,nna,jQ,nna,CP,nna,Zha,nna,kQ,nna,HP,nna,FP,nna,QQ,nna,oia,nna,ZQ,nna,EP,nna,OO,nna,RO,nna,bO,nna,nQ,nna,GP,nna,eP,nna,TO,nna,rO,nna,MQ,nna,PQ,nna,pP,nna,_O,nna,lQ,nna,eia,nna,qQ,nna,FO,nna,xP,nna,_ha,nna,gQ,nna,nna,nna,nna,nna,nna,nna,nna,nna,nna,nna,nna,nna,nna,nna,nna,nna,nna,nna,nna,nna,nna,nna,nna,nna,nna,nna,nna,nna,nna,nna];var re=[ona,ona,B7,ona,DX,ona,FX,ona,Y$,ona,Laa,ona,Fda,ona,B8,ona];var se=[pna,pna,gj,pna,O8,pna,BS,pna,vma,pna,xT,pna,DS,pna,pna,pna];var te=[qna,qna,AW,qna,BW,qna,qna,qna];var ue=[rna,rna,A7,rna,f8,rna,cla,rna,qP,rna,PP,rna,bla,rna,ZS,rna,YQ,rna,uZ,rna,Aca,rna,Uda,rna,Oca,rna,dla,rna,XS,rna,Pda,rna,tQ,rna,rna,rna,rna,rna,rna,rna,rna,rna,rna,rna,rna,rna,rna,rna,rna,rna,rna,rna,rna,rna,rna,rna,rna,rna,rna,rna,rna,rna,rna,rna];return{_testSetjmp:Sla,_strlen:Nla,_free:mla,_main:fj,_rand_r:Ula,_realloc:ola,_strncpy:Ola,_memmove:Tla,__GLOBAL__I_a:vaa,_saveSetjmp:Rla,_memset:Qla,_malloc:lla,_memcpy:Pla,_strcpy:Wla,_calloc:nla,_rand:Vla,runPostSets:Le,stackAlloc:ve,stackSave:we,stackRestore:xe,setThrew:ye,setTempRet0:Be,setTempRet1:Ce,setTempRet2:De,setTempRet3:Ee,setTempRet4:Fe,setTempRet5:Ge,setTempRet6:He,setTempRet7:Ie,setTempRet8:Je,setTempRet9:Ke,dynCall_iiiiiiii:wma,dynCall_vd:xma,dynCall_viiiii:yma,dynCall_vi:zma,dynCall_vii:Ama,dynCall_iiiiiiiiiii:Bma,dynCall_ii:Cma,dynCall_iiiiii:Dma,dynCall_iiii:Ema,dynCall_viiiiid:Fma,dynCall_viiiiiiii:Gma,dynCall_viiiiii:Hma,dynCall_iid:Ima,dynCall_viiiiiii:Jma,dynCall_viiiiiid:Kma,dynCall_viiiiiiiii:Lma,dynCall_iii:Mma,dynCall_iiiiidi:Nma,dynCall_iiiiiiiii:Oma,dynCall_i:Pma,dynCall_iiiii:Qma,dynCall_viii:Rma,dynCall_v:Sma,dynCall_viidii:Tma,dynCall_viiii:Uma}})


// EMSCRIPTEN_END_ASM
({ "Math": Math, "Int8Array": Int8Array, "Int16Array": Int16Array, "Int32Array": Int32Array, "Uint8Array": Uint8Array, "Uint16Array": Uint16Array, "Uint32Array": Uint32Array, "Float32Array": Float32Array, "Float64Array": Float64Array }, { "abort": abort, "assert": assert, "asmPrintInt": asmPrintInt, "asmPrintFloat": asmPrintFloat, "min": Math_min, "invoke_iiiiiiii": invoke_iiiiiiii, "invoke_vd": invoke_vd, "invoke_viiiii": invoke_viiiii, "invoke_vi": invoke_vi, "invoke_vii": invoke_vii, "invoke_iiiiiiiiiii": invoke_iiiiiiiiiii, "invoke_ii": invoke_ii, "invoke_iiiiii": invoke_iiiiii, "invoke_iiii": invoke_iiii, "invoke_viiiiid": invoke_viiiiid, "invoke_viiiiiiii": invoke_viiiiiiii, "invoke_viiiiii": invoke_viiiiii, "invoke_iid": invoke_iid, "invoke_viiiiiii": invoke_viiiiiii, "invoke_viiiiiid": invoke_viiiiiid, "invoke_viiiiiiiii": invoke_viiiiiiiii, "invoke_iii": invoke_iii, "invoke_iiiiidi": invoke_iiiiidi, "invoke_iiiiiiiii": invoke_iiiiiiiii, "invoke_i": invoke_i, "invoke_iiiii": invoke_iiiii, "invoke_viii": invoke_viii, "invoke_v": invoke_v, "invoke_viidii": invoke_viidii, "invoke_viiii": invoke_viiii, "_llvm_lifetime_end": _llvm_lifetime_end, "_lseek": _lseek, "_sysconf": _sysconf, "__scanString": __scanString, "_fclose": _fclose, "_pthread_mutex_lock": _pthread_mutex_lock, "___cxa_end_catch": ___cxa_end_catch, "_strtoull": _strtoull, "_fflush": _fflush, "_lis_solver_create": _lis_solver_create, "_strtol": _strtol, "_fputc": _fputc, "_strtok": _strtok, "_fwrite": _fwrite, "_send": _send, "_fputs": _fputs, "_emscripten_get_now": _emscripten_get_now, "_tmpnam": _tmpnam, "_isspace": _isspace, "_localtime": _localtime, "_read": _read, "_GC_init": _GC_init, "_ceil": _ceil, "___ctype_b_loc": ___ctype_b_loc, "_GC_malloc_atomic": _GC_malloc_atomic, "_pthread_cond_broadcast": _pthread_cond_broadcast, "_isxdigit_l": _isxdigit_l, "_strstr": _strstr, "_fileno": _fileno, "_perror": _perror, "_fsync": _fsync, "___cxa_guard_abort": ___cxa_guard_abort, "_newlocale": _newlocale, "_signal": _signal, "___gxx_personality_v0": ___gxx_personality_v0, "_pthread_cond_wait": _pthread_cond_wait, "___cxa_rethrow": ___cxa_rethrow, "_freopen": _freopen, "___resumeException": ___resumeException, "_sscanf": _sscanf, "_round": _round, "_llvm_va_end": _llvm_va_end, "_clock_gettime": _clock_gettime, "_tmpfile": _tmpfile, "_vsscanf": _vsscanf, "_snprintf": _snprintf, "_fgetc": _fgetc, "_pclose": _pclose, "__getFloat": __getFloat, "_atexit": _atexit, "___cxa_free_exception": ___cxa_free_exception, "_close": _close, "_catclose": _catclose, "_isdigit_l": _isdigit_l, "_vasprintf": _vasprintf, "___setErrNo": ___setErrNo, "_isxdigit": _isxdigit, "_access": _access, "_ftell": _ftell, "_exit": _exit, "_sprintf": _sprintf, "_pthread_setspecific": _pthread_setspecific, "_asprintf": _asprintf, "_GC_strdup": _GC_strdup, "_strrchr": _strrchr, "_freelocale": _freelocale, "_catgets": _catgets, "_fmod": _fmod, "__isLeapYear": __isLeapYear, "_fmax": _fmax, "___cxa_is_number_type": ___cxa_is_number_type, "_GC_malloc": _GC_malloc, "___cxa_does_inherit": ___cxa_does_inherit, "___cxa_guard_acquire": ___cxa_guard_acquire, "_lis_vector_destroy": _lis_vector_destroy, "_localtime_r": _localtime_r, "___cxa_begin_catch": ___cxa_begin_catch, "_lis_vector_create": _lis_vector_create, "__ZNSt9exceptionD2Ev": __ZNSt9exceptionD2Ev, "_recv": _recv, "__parseInt64": __parseInt64, "__ZSt18uncaught_exceptionv": __ZSt18uncaught_exceptionv, "_cos": _cos, "_lis_matrix_set_value": _lis_matrix_set_value, "_putchar": _putchar, "___cxa_call_unexpected": ___cxa_call_unexpected, "_popen": _popen, "_isblank": _isblank, "_copysign": _copysign, "_bsearch": _bsearch, "_lis_vector_get_values": _lis_vector_get_values, "__exit": __exit, "_strftime": _strftime, "_tzset": _tzset, "___cxa_throw": ___cxa_throw, "_lis_vector_set_value": _lis_vector_set_value, "_emscripten_memcpy_big": _emscripten_memcpy_big, "_printf": _printf, "_pread": _pread, "_fopen": _fopen, "_open": _open, "_lis_solve": _lis_solve, "_strtoull_l": _strtoull_l, "__arraySum": __arraySum, "_log": _log, "_puts": _puts, "_xerbla_": _xerbla_, "_pthread_key_create": _pthread_key_create, "_strtoll_l": _strtoll_l, "_qsort": _qsort, "_system": _system, "_lis_matrix_create": _lis_matrix_create, "___cxa_find_matching_catch": ___cxa_find_matching_catch, "_strdup": _strdup, "_srand": _srand, "_isatty": _isatty, "__formatString": __formatString, "_lis_matrix_destroy": _lis_matrix_destroy, "__ZSt9terminatev": __ZSt9terminatev, "_atoi": _atoi, "_lis_matrix_set_size": _lis_matrix_set_size, "_vfprintf": _vfprintf, "_pthread_mutex_unlock": _pthread_mutex_unlock, "_llvm_pow_f64": _llvm_pow_f64, "_sbrk": _sbrk, "_fscanf": _fscanf, "_lis_solver_destroy": _lis_solver_destroy, "___errno_location": ___errno_location, "_strerror": _strerror, "_fstat": _fstat, "_lis_matrix_assemble": _lis_matrix_assemble, "_llvm_lifetime_start": _llvm_lifetime_start, "__parseInt": __parseInt, "___cxa_guard_release": ___cxa_guard_release, "_ungetc": _ungetc, "_ftruncate": _ftruncate, "_uselocale": _uselocale, "_vsnprintf": _vsnprintf, "_htonl": _htonl, "___assert_fail": ___assert_fail, "_fread": _fread, "_strtok_r": _strtok_r, "_strftime_l": _strftime_l, "_abort": _abort, "_fprintf": _fprintf, "_isdigit": _isdigit, "_strtoll": _strtoll, "__addDays": __addDays, "_pthread_getspecific": _pthread_getspecific, "_fabs": _fabs, "_GC_collect_a_little": _GC_collect_a_little, "__reallyNegative": __reallyNegative, "_fseek": _fseek, "_sqrt": _sqrt, "_write": _write, "_mkport": _mkport, "_rewind": _rewind, "___cxa_allocate_exception": ___cxa_allocate_exception, "_sin": _sin, "_stat": _stat, "_longjmp": _longjmp, "_truncate": _truncate, "_catopen": _catopen, "___ctype_toupper_loc": ___ctype_toupper_loc, "_lis_matrix_set_type": _lis_matrix_set_type, "___ctype_tolower_loc": ___ctype_tolower_loc, "_lis_vector_set_size": _lis_vector_set_size, "_unlink": _unlink, "_pwrite": _pwrite, "_strerror_r": _strerror_r, "_floor": _floor, "_atan2": _atan2, "_lis_solver_set_option": _lis_solver_set_option, "_time": _time, "STACKTOP": STACKTOP, "STACK_MAX": STACK_MAX, "tempDoublePtr": tempDoublePtr, "ABORT": ABORT, "cttz_i8": cttz_i8, "ctlz_i8": ctlz_i8, "___rand_seed": ___rand_seed, "NaN": NaN, "Infinity": Infinity, "_stdin": _stdin, "__ZTVN10__cxxabiv117__class_type_infoE": __ZTVN10__cxxabiv117__class_type_infoE, "_stdout": _stdout, "___dso_handle": ___dso_handle, "__ZTVN10__cxxabiv120__si_class_type_infoE": __ZTVN10__cxxabiv120__si_class_type_infoE, "_stderr": _stderr }, buffer);
var _testSetjmp = Module["_testSetjmp"] = asm["_testSetjmp"];
var _strlen = Module["_strlen"] = asm["_strlen"];
var _free = Module["_free"] = asm["_free"];
var _main = Module["_main"] = asm["_main"];
var _rand_r = Module["_rand_r"] = asm["_rand_r"];
var _realloc = Module["_realloc"] = asm["_realloc"];
var _strncpy = Module["_strncpy"] = asm["_strncpy"];
var _memmove = Module["_memmove"] = asm["_memmove"];
var __GLOBAL__I_a = Module["__GLOBAL__I_a"] = asm["__GLOBAL__I_a"];
var _saveSetjmp = Module["_saveSetjmp"] = asm["_saveSetjmp"];
var _memset = Module["_memset"] = asm["_memset"];
var _malloc = Module["_malloc"] = asm["_malloc"];
var _memcpy = Module["_memcpy"] = asm["_memcpy"];
var _strcpy = Module["_strcpy"] = asm["_strcpy"];
var _calloc = Module["_calloc"] = asm["_calloc"];
var _rand = Module["_rand"] = asm["_rand"];
var runPostSets = Module["runPostSets"] = asm["runPostSets"];
var dynCall_iiiiiiii = Module["dynCall_iiiiiiii"] = asm["dynCall_iiiiiiii"];
var dynCall_vd = Module["dynCall_vd"] = asm["dynCall_vd"];
var dynCall_viiiii = Module["dynCall_viiiii"] = asm["dynCall_viiiii"];
var dynCall_vi = Module["dynCall_vi"] = asm["dynCall_vi"];
var dynCall_vii = Module["dynCall_vii"] = asm["dynCall_vii"];
var dynCall_iiiiiiiiiii = Module["dynCall_iiiiiiiiiii"] = asm["dynCall_iiiiiiiiiii"];
var dynCall_ii = Module["dynCall_ii"] = asm["dynCall_ii"];
var dynCall_iiiiii = Module["dynCall_iiiiii"] = asm["dynCall_iiiiii"];
var dynCall_iiii = Module["dynCall_iiii"] = asm["dynCall_iiii"];
var dynCall_viiiiid = Module["dynCall_viiiiid"] = asm["dynCall_viiiiid"];
var dynCall_viiiiiiii = Module["dynCall_viiiiiiii"] = asm["dynCall_viiiiiiii"];
var dynCall_viiiiii = Module["dynCall_viiiiii"] = asm["dynCall_viiiiii"];
var dynCall_iid = Module["dynCall_iid"] = asm["dynCall_iid"];
var dynCall_viiiiiii = Module["dynCall_viiiiiii"] = asm["dynCall_viiiiiii"];
var dynCall_viiiiiid = Module["dynCall_viiiiiid"] = asm["dynCall_viiiiiid"];
var dynCall_viiiiiiiii = Module["dynCall_viiiiiiiii"] = asm["dynCall_viiiiiiiii"];
var dynCall_iii = Module["dynCall_iii"] = asm["dynCall_iii"];
var dynCall_iiiiidi = Module["dynCall_iiiiidi"] = asm["dynCall_iiiiidi"];
var dynCall_iiiiiiiii = Module["dynCall_iiiiiiiii"] = asm["dynCall_iiiiiiiii"];
var dynCall_i = Module["dynCall_i"] = asm["dynCall_i"];
var dynCall_iiiii = Module["dynCall_iiiii"] = asm["dynCall_iiiii"];
var dynCall_viii = Module["dynCall_viii"] = asm["dynCall_viii"];
var dynCall_v = Module["dynCall_v"] = asm["dynCall_v"];
var dynCall_viidii = Module["dynCall_viidii"] = asm["dynCall_viidii"];
var dynCall_viiii = Module["dynCall_viiii"] = asm["dynCall_viiii"];

Runtime.stackAlloc = function(size) { return asm['stackAlloc'](size) };
Runtime.stackSave = function() { return asm['stackSave']() };
Runtime.stackRestore = function(top) { asm['stackRestore'](top) };

// TODO: strip out parts of this we do not need

//======= begin closure i64 code =======

// Copyright 2009 The Closure Library Authors. All Rights Reserved.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//      http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS-IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

/**
 * @fileoverview Defines a Long class for representing a 64-bit two's-complement
 * integer value, which faithfully simulates the behavior of a Java "long". This
 * implementation is derived from LongLib in GWT.
 *
 */

var i64Math = (function() { // Emscripten wrapper
  var goog = { math: {} };


  /**
   * Constructs a 64-bit two's-complement integer, given its low and high 32-bit
   * values as *signed* integers.  See the from* functions below for more
   * convenient ways of constructing Longs.
   *
   * The internal representation of a long is the two given signed, 32-bit values.
   * We use 32-bit pieces because these are the size of integers on which
   * Javascript performs bit-operations.  For operations like addition and
   * multiplication, we split each number into 16-bit pieces, which can easily be
   * multiplied within Javascript's floating-point representation without overflow
   * or change in sign.
   *
   * In the algorithms below, we frequently reduce the negative case to the
   * positive case by negating the input(s) and then post-processing the result.
   * Note that we must ALWAYS check specially whether those values are MIN_VALUE
   * (-2^63) because -MIN_VALUE == MIN_VALUE (since 2^63 cannot be represented as
   * a positive number, it overflows back into a negative).  Not handling this
   * case would often result in infinite recursion.
   *
   * @param {number} low  The low (signed) 32 bits of the long.
   * @param {number} high  The high (signed) 32 bits of the long.
   * @constructor
   */
  goog.math.Long = function(low, high) {
    /**
     * @type {number}
     * @private
     */
    this.low_ = low | 0;  // force into 32 signed bits.

    /**
     * @type {number}
     * @private
     */
    this.high_ = high | 0;  // force into 32 signed bits.
  };


  // NOTE: Common constant values ZERO, ONE, NEG_ONE, etc. are defined below the
  // from* methods on which they depend.


  /**
   * A cache of the Long representations of small integer values.
   * @type {!Object}
   * @private
   */
  goog.math.Long.IntCache_ = {};


  /**
   * Returns a Long representing the given (32-bit) integer value.
   * @param {number} value The 32-bit integer in question.
   * @return {!goog.math.Long} The corresponding Long value.
   */
  goog.math.Long.fromInt = function(value) {
    if (-128 <= value && value < 128) {
      var cachedObj = goog.math.Long.IntCache_[value];
      if (cachedObj) {
        return cachedObj;
      }
    }

    var obj = new goog.math.Long(value | 0, value < 0 ? -1 : 0);
    if (-128 <= value && value < 128) {
      goog.math.Long.IntCache_[value] = obj;
    }
    return obj;
  };


  /**
   * Returns a Long representing the given value, provided that it is a finite
   * number.  Otherwise, zero is returned.
   * @param {number} value The number in question.
   * @return {!goog.math.Long} The corresponding Long value.
   */
  goog.math.Long.fromNumber = function(value) {
    if (isNaN(value) || !isFinite(value)) {
      return goog.math.Long.ZERO;
    } else if (value <= -goog.math.Long.TWO_PWR_63_DBL_) {
      return goog.math.Long.MIN_VALUE;
    } else if (value + 1 >= goog.math.Long.TWO_PWR_63_DBL_) {
      return goog.math.Long.MAX_VALUE;
    } else if (value < 0) {
      return goog.math.Long.fromNumber(-value).negate();
    } else {
      return new goog.math.Long(
          (value % goog.math.Long.TWO_PWR_32_DBL_) | 0,
          (value / goog.math.Long.TWO_PWR_32_DBL_) | 0);
    }
  };


  /**
   * Returns a Long representing the 64-bit integer that comes by concatenating
   * the given high and low bits.  Each is assumed to use 32 bits.
   * @param {number} lowBits The low 32-bits.
   * @param {number} highBits The high 32-bits.
   * @return {!goog.math.Long} The corresponding Long value.
   */
  goog.math.Long.fromBits = function(lowBits, highBits) {
    return new goog.math.Long(lowBits, highBits);
  };


  /**
   * Returns a Long representation of the given string, written using the given
   * radix.
   * @param {string} str The textual representation of the Long.
   * @param {number=} opt_radix The radix in which the text is written.
   * @return {!goog.math.Long} The corresponding Long value.
   */
  goog.math.Long.fromString = function(str, opt_radix) {
    if (str.length == 0) {
      throw Error('number format error: empty string');
    }

    var radix = opt_radix || 10;
    if (radix < 2 || 36 < radix) {
      throw Error('radix out of range: ' + radix);
    }

    if (str.charAt(0) == '-') {
      return goog.math.Long.fromString(str.substring(1), radix).negate();
    } else if (str.indexOf('-') >= 0) {
      throw Error('number format error: interior "-" character: ' + str);
    }

    // Do several (8) digits each time through the loop, so as to
    // minimize the calls to the very expensive emulated div.
    var radixToPower = goog.math.Long.fromNumber(Math.pow(radix, 8));

    var result = goog.math.Long.ZERO;
    for (var i = 0; i < str.length; i += 8) {
      var size = Math.min(8, str.length - i);
      var value = parseInt(str.substring(i, i + size), radix);
      if (size < 8) {
        var power = goog.math.Long.fromNumber(Math.pow(radix, size));
        result = result.multiply(power).add(goog.math.Long.fromNumber(value));
      } else {
        result = result.multiply(radixToPower);
        result = result.add(goog.math.Long.fromNumber(value));
      }
    }
    return result;
  };


  // NOTE: the compiler should inline these constant values below and then remove
  // these variables, so there should be no runtime penalty for these.


  /**
   * Number used repeated below in calculations.  This must appear before the
   * first call to any from* function below.
   * @type {number}
   * @private
   */
  goog.math.Long.TWO_PWR_16_DBL_ = 1 << 16;


  /**
   * @type {number}
   * @private
   */
  goog.math.Long.TWO_PWR_24_DBL_ = 1 << 24;


  /**
   * @type {number}
   * @private
   */
  goog.math.Long.TWO_PWR_32_DBL_ =
      goog.math.Long.TWO_PWR_16_DBL_ * goog.math.Long.TWO_PWR_16_DBL_;


  /**
   * @type {number}
   * @private
   */
  goog.math.Long.TWO_PWR_31_DBL_ =
      goog.math.Long.TWO_PWR_32_DBL_ / 2;


  /**
   * @type {number}
   * @private
   */
  goog.math.Long.TWO_PWR_48_DBL_ =
      goog.math.Long.TWO_PWR_32_DBL_ * goog.math.Long.TWO_PWR_16_DBL_;


  /**
   * @type {number}
   * @private
   */
  goog.math.Long.TWO_PWR_64_DBL_ =
      goog.math.Long.TWO_PWR_32_DBL_ * goog.math.Long.TWO_PWR_32_DBL_;


  /**
   * @type {number}
   * @private
   */
  goog.math.Long.TWO_PWR_63_DBL_ =
      goog.math.Long.TWO_PWR_64_DBL_ / 2;


  /** @type {!goog.math.Long} */
  goog.math.Long.ZERO = goog.math.Long.fromInt(0);


  /** @type {!goog.math.Long} */
  goog.math.Long.ONE = goog.math.Long.fromInt(1);


  /** @type {!goog.math.Long} */
  goog.math.Long.NEG_ONE = goog.math.Long.fromInt(-1);


  /** @type {!goog.math.Long} */
  goog.math.Long.MAX_VALUE =
      goog.math.Long.fromBits(0xFFFFFFFF | 0, 0x7FFFFFFF | 0);


  /** @type {!goog.math.Long} */
  goog.math.Long.MIN_VALUE = goog.math.Long.fromBits(0, 0x80000000 | 0);


  /**
   * @type {!goog.math.Long}
   * @private
   */
  goog.math.Long.TWO_PWR_24_ = goog.math.Long.fromInt(1 << 24);


  /** @return {number} The value, assuming it is a 32-bit integer. */
  goog.math.Long.prototype.toInt = function() {
    return this.low_;
  };


  /** @return {number} The closest floating-point representation to this value. */
  goog.math.Long.prototype.toNumber = function() {
    return this.high_ * goog.math.Long.TWO_PWR_32_DBL_ +
           this.getLowBitsUnsigned();
  };


  /**
   * @param {number=} opt_radix The radix in which the text should be written.
   * @return {string} The textual representation of this value.
   */
  goog.math.Long.prototype.toString = function(opt_radix) {
    var radix = opt_radix || 10;
    if (radix < 2 || 36 < radix) {
      throw Error('radix out of range: ' + radix);
    }

    if (this.isZero()) {
      return '0';
    }

    if (this.isNegative()) {
      if (this.equals(goog.math.Long.MIN_VALUE)) {
        // We need to change the Long value before it can be negated, so we remove
        // the bottom-most digit in this base and then recurse to do the rest.
        var radixLong = goog.math.Long.fromNumber(radix);
        var div = this.div(radixLong);
        var rem = div.multiply(radixLong).subtract(this);
        return div.toString(radix) + rem.toInt().toString(radix);
      } else {
        return '-' + this.negate().toString(radix);
      }
    }

    // Do several (6) digits each time through the loop, so as to
    // minimize the calls to the very expensive emulated div.
    var radixToPower = goog.math.Long.fromNumber(Math.pow(radix, 6));

    var rem = this;
    var result = '';
    while (true) {
      var remDiv = rem.div(radixToPower);
      var intval = rem.subtract(remDiv.multiply(radixToPower)).toInt();
      var digits = intval.toString(radix);

      rem = remDiv;
      if (rem.isZero()) {
        return digits + result;
      } else {
        while (digits.length < 6) {
          digits = '0' + digits;
        }
        result = '' + digits + result;
      }
    }
  };


  /** @return {number} The high 32-bits as a signed value. */
  goog.math.Long.prototype.getHighBits = function() {
    return this.high_;
  };


  /** @return {number} The low 32-bits as a signed value. */
  goog.math.Long.prototype.getLowBits = function() {
    return this.low_;
  };


  /** @return {number} The low 32-bits as an unsigned value. */
  goog.math.Long.prototype.getLowBitsUnsigned = function() {
    return (this.low_ >= 0) ?
        this.low_ : goog.math.Long.TWO_PWR_32_DBL_ + this.low_;
  };


  /**
   * @return {number} Returns the number of bits needed to represent the absolute
   *     value of this Long.
   */
  goog.math.Long.prototype.getNumBitsAbs = function() {
    if (this.isNegative()) {
      if (this.equals(goog.math.Long.MIN_VALUE)) {
        return 64;
      } else {
        return this.negate().getNumBitsAbs();
      }
    } else {
      var val = this.high_ != 0 ? this.high_ : this.low_;
      for (var bit = 31; bit > 0; bit--) {
        if ((val & (1 << bit)) != 0) {
          break;
        }
      }
      return this.high_ != 0 ? bit + 33 : bit + 1;
    }
  };


  /** @return {boolean} Whether this value is zero. */
  goog.math.Long.prototype.isZero = function() {
    return this.high_ == 0 && this.low_ == 0;
  };


  /** @return {boolean} Whether this value is negative. */
  goog.math.Long.prototype.isNegative = function() {
    return this.high_ < 0;
  };


  /** @return {boolean} Whether this value is odd. */
  goog.math.Long.prototype.isOdd = function() {
    return (this.low_ & 1) == 1;
  };


  /**
   * @param {goog.math.Long} other Long to compare against.
   * @return {boolean} Whether this Long equals the other.
   */
  goog.math.Long.prototype.equals = function(other) {
    return (this.high_ == other.high_) && (this.low_ == other.low_);
  };


  /**
   * @param {goog.math.Long} other Long to compare against.
   * @return {boolean} Whether this Long does not equal the other.
   */
  goog.math.Long.prototype.notEquals = function(other) {
    return (this.high_ != other.high_) || (this.low_ != other.low_);
  };


  /**
   * @param {goog.math.Long} other Long to compare against.
   * @return {boolean} Whether this Long is less than the other.
   */
  goog.math.Long.prototype.lessThan = function(other) {
    return this.compare(other) < 0;
  };


  /**
   * @param {goog.math.Long} other Long to compare against.
   * @return {boolean} Whether this Long is less than or equal to the other.
   */
  goog.math.Long.prototype.lessThanOrEqual = function(other) {
    return this.compare(other) <= 0;
  };


  /**
   * @param {goog.math.Long} other Long to compare against.
   * @return {boolean} Whether this Long is greater than the other.
   */
  goog.math.Long.prototype.greaterThan = function(other) {
    return this.compare(other) > 0;
  };


  /**
   * @param {goog.math.Long} other Long to compare against.
   * @return {boolean} Whether this Long is greater than or equal to the other.
   */
  goog.math.Long.prototype.greaterThanOrEqual = function(other) {
    return this.compare(other) >= 0;
  };


  /**
   * Compares this Long with the given one.
   * @param {goog.math.Long} other Long to compare against.
   * @return {number} 0 if they are the same, 1 if the this is greater, and -1
   *     if the given one is greater.
   */
  goog.math.Long.prototype.compare = function(other) {
    if (this.equals(other)) {
      return 0;
    }

    var thisNeg = this.isNegative();
    var otherNeg = other.isNegative();
    if (thisNeg && !otherNeg) {
      return -1;
    }
    if (!thisNeg && otherNeg) {
      return 1;
    }

    // at this point, the signs are the same, so subtraction will not overflow
    if (this.subtract(other).isNegative()) {
      return -1;
    } else {
      return 1;
    }
  };


  /** @return {!goog.math.Long} The negation of this value. */
  goog.math.Long.prototype.negate = function() {
    if (this.equals(goog.math.Long.MIN_VALUE)) {
      return goog.math.Long.MIN_VALUE;
    } else {
      return this.not().add(goog.math.Long.ONE);
    }
  };


  /**
   * Returns the sum of this and the given Long.
   * @param {goog.math.Long} other Long to add to this one.
   * @return {!goog.math.Long} The sum of this and the given Long.
   */
  goog.math.Long.prototype.add = function(other) {
    // Divide each number into 4 chunks of 16 bits, and then sum the chunks.

    var a48 = this.high_ >>> 16;
    var a32 = this.high_ & 0xFFFF;
    var a16 = this.low_ >>> 16;
    var a00 = this.low_ & 0xFFFF;

    var b48 = other.high_ >>> 16;
    var b32 = other.high_ & 0xFFFF;
    var b16 = other.low_ >>> 16;
    var b00 = other.low_ & 0xFFFF;

    var c48 = 0, c32 = 0, c16 = 0, c00 = 0;
    c00 += a00 + b00;
    c16 += c00 >>> 16;
    c00 &= 0xFFFF;
    c16 += a16 + b16;
    c32 += c16 >>> 16;
    c16 &= 0xFFFF;
    c32 += a32 + b32;
    c48 += c32 >>> 16;
    c32 &= 0xFFFF;
    c48 += a48 + b48;
    c48 &= 0xFFFF;
    return goog.math.Long.fromBits((c16 << 16) | c00, (c48 << 16) | c32);
  };


  /**
   * Returns the difference of this and the given Long.
   * @param {goog.math.Long} other Long to subtract from this.
   * @return {!goog.math.Long} The difference of this and the given Long.
   */
  goog.math.Long.prototype.subtract = function(other) {
    return this.add(other.negate());
  };


  /**
   * Returns the product of this and the given long.
   * @param {goog.math.Long} other Long to multiply with this.
   * @return {!goog.math.Long} The product of this and the other.
   */
  goog.math.Long.prototype.multiply = function(other) {
    if (this.isZero()) {
      return goog.math.Long.ZERO;
    } else if (other.isZero()) {
      return goog.math.Long.ZERO;
    }

    if (this.equals(goog.math.Long.MIN_VALUE)) {
      return other.isOdd() ? goog.math.Long.MIN_VALUE : goog.math.Long.ZERO;
    } else if (other.equals(goog.math.Long.MIN_VALUE)) {
      return this.isOdd() ? goog.math.Long.MIN_VALUE : goog.math.Long.ZERO;
    }

    if (this.isNegative()) {
      if (other.isNegative()) {
        return this.negate().multiply(other.negate());
      } else {
        return this.negate().multiply(other).negate();
      }
    } else if (other.isNegative()) {
      return this.multiply(other.negate()).negate();
    }

    // If both longs are small, use float multiplication
    if (this.lessThan(goog.math.Long.TWO_PWR_24_) &&
        other.lessThan(goog.math.Long.TWO_PWR_24_)) {
      return goog.math.Long.fromNumber(this.toNumber() * other.toNumber());
    }

    // Divide each long into 4 chunks of 16 bits, and then add up 4x4 products.
    // We can skip products that would overflow.

    var a48 = this.high_ >>> 16;
    var a32 = this.high_ & 0xFFFF;
    var a16 = this.low_ >>> 16;
    var a00 = this.low_ & 0xFFFF;

    var b48 = other.high_ >>> 16;
    var b32 = other.high_ & 0xFFFF;
    var b16 = other.low_ >>> 16;
    var b00 = other.low_ & 0xFFFF;

    var c48 = 0, c32 = 0, c16 = 0, c00 = 0;
    c00 += a00 * b00;
    c16 += c00 >>> 16;
    c00 &= 0xFFFF;
    c16 += a16 * b00;
    c32 += c16 >>> 16;
    c16 &= 0xFFFF;
    c16 += a00 * b16;
    c32 += c16 >>> 16;
    c16 &= 0xFFFF;
    c32 += a32 * b00;
    c48 += c32 >>> 16;
    c32 &= 0xFFFF;
    c32 += a16 * b16;
    c48 += c32 >>> 16;
    c32 &= 0xFFFF;
    c32 += a00 * b32;
    c48 += c32 >>> 16;
    c32 &= 0xFFFF;
    c48 += a48 * b00 + a32 * b16 + a16 * b32 + a00 * b48;
    c48 &= 0xFFFF;
    return goog.math.Long.fromBits((c16 << 16) | c00, (c48 << 16) | c32);
  };


  /**
   * Returns this Long divided by the given one.
   * @param {goog.math.Long} other Long by which to divide.
   * @return {!goog.math.Long} This Long divided by the given one.
   */
  goog.math.Long.prototype.div = function(other) {
    if (other.isZero()) {
      throw Error('division by zero');
    } else if (this.isZero()) {
      return goog.math.Long.ZERO;
    }

    if (this.equals(goog.math.Long.MIN_VALUE)) {
      if (other.equals(goog.math.Long.ONE) ||
          other.equals(goog.math.Long.NEG_ONE)) {
        return goog.math.Long.MIN_VALUE;  // recall that -MIN_VALUE == MIN_VALUE
      } else if (other.equals(goog.math.Long.MIN_VALUE)) {
        return goog.math.Long.ONE;
      } else {
        // At this point, we have |other| >= 2, so |this/other| < |MIN_VALUE|.
        var halfThis = this.shiftRight(1);
        var approx = halfThis.div(other).shiftLeft(1);
        if (approx.equals(goog.math.Long.ZERO)) {
          return other.isNegative() ? goog.math.Long.ONE : goog.math.Long.NEG_ONE;
        } else {
          var rem = this.subtract(other.multiply(approx));
          var result = approx.add(rem.div(other));
          return result;
        }
      }
    } else if (other.equals(goog.math.Long.MIN_VALUE)) {
      return goog.math.Long.ZERO;
    }

    if (this.isNegative()) {
      if (other.isNegative()) {
        return this.negate().div(other.negate());
      } else {
        return this.negate().div(other).negate();
      }
    } else if (other.isNegative()) {
      return this.div(other.negate()).negate();
    }

    // Repeat the following until the remainder is less than other:  find a
    // floating-point that approximates remainder / other *from below*, add this
    // into the result, and subtract it from the remainder.  It is critical that
    // the approximate value is less than or equal to the real value so that the
    // remainder never becomes negative.
    var res = goog.math.Long.ZERO;
    var rem = this;
    while (rem.greaterThanOrEqual(other)) {
      // Approximate the result of division. This may be a little greater or
      // smaller than the actual value.
      var approx = Math.max(1, Math.floor(rem.toNumber() / other.toNumber()));

      // We will tweak the approximate result by changing it in the 48-th digit or
      // the smallest non-fractional digit, whichever is larger.
      var log2 = Math.ceil(Math.log(approx) / Math.LN2);
      var delta = (log2 <= 48) ? 1 : Math.pow(2, log2 - 48);

      // Decrease the approximation until it is smaller than the remainder.  Note
      // that if it is too large, the product overflows and is negative.
      var approxRes = goog.math.Long.fromNumber(approx);
      var approxRem = approxRes.multiply(other);
      while (approxRem.isNegative() || approxRem.greaterThan(rem)) {
        approx -= delta;
        approxRes = goog.math.Long.fromNumber(approx);
        approxRem = approxRes.multiply(other);
      }

      // We know the answer can't be zero... and actually, zero would cause
      // infinite recursion since we would make no progress.
      if (approxRes.isZero()) {
        approxRes = goog.math.Long.ONE;
      }

      res = res.add(approxRes);
      rem = rem.subtract(approxRem);
    }
    return res;
  };


  /**
   * Returns this Long modulo the given one.
   * @param {goog.math.Long} other Long by which to mod.
   * @return {!goog.math.Long} This Long modulo the given one.
   */
  goog.math.Long.prototype.modulo = function(other) {
    return this.subtract(this.div(other).multiply(other));
  };


  /** @return {!goog.math.Long} The bitwise-NOT of this value. */
  goog.math.Long.prototype.not = function() {
    return goog.math.Long.fromBits(~this.low_, ~this.high_);
  };


  /**
   * Returns the bitwise-AND of this Long and the given one.
   * @param {goog.math.Long} other The Long with which to AND.
   * @return {!goog.math.Long} The bitwise-AND of this and the other.
   */
  goog.math.Long.prototype.and = function(other) {
    return goog.math.Long.fromBits(this.low_ & other.low_,
                                   this.high_ & other.high_);
  };


  /**
   * Returns the bitwise-OR of this Long and the given one.
   * @param {goog.math.Long} other The Long with which to OR.
   * @return {!goog.math.Long} The bitwise-OR of this and the other.
   */
  goog.math.Long.prototype.or = function(other) {
    return goog.math.Long.fromBits(this.low_ | other.low_,
                                   this.high_ | other.high_);
  };


  /**
   * Returns the bitwise-XOR of this Long and the given one.
   * @param {goog.math.Long} other The Long with which to XOR.
   * @return {!goog.math.Long} The bitwise-XOR of this and the other.
   */
  goog.math.Long.prototype.xor = function(other) {
    return goog.math.Long.fromBits(this.low_ ^ other.low_,
                                   this.high_ ^ other.high_);
  };


  /**
   * Returns this Long with bits shifted to the left by the given amount.
   * @param {number} numBits The number of bits by which to shift.
   * @return {!goog.math.Long} This shifted to the left by the given amount.
   */
  goog.math.Long.prototype.shiftLeft = function(numBits) {
    numBits &= 63;
    if (numBits == 0) {
      return this;
    } else {
      var low = this.low_;
      if (numBits < 32) {
        var high = this.high_;
        return goog.math.Long.fromBits(
            low << numBits,
            (high << numBits) | (low >>> (32 - numBits)));
      } else {
        return goog.math.Long.fromBits(0, low << (numBits - 32));
      }
    }
  };


  /**
   * Returns this Long with bits shifted to the right by the given amount.
   * @param {number} numBits The number of bits by which to shift.
   * @return {!goog.math.Long} This shifted to the right by the given amount.
   */
  goog.math.Long.prototype.shiftRight = function(numBits) {
    numBits &= 63;
    if (numBits == 0) {
      return this;
    } else {
      var high = this.high_;
      if (numBits < 32) {
        var low = this.low_;
        return goog.math.Long.fromBits(
            (low >>> numBits) | (high << (32 - numBits)),
            high >> numBits);
      } else {
        return goog.math.Long.fromBits(
            high >> (numBits - 32),
            high >= 0 ? 0 : -1);
      }
    }
  };


  /**
   * Returns this Long with bits shifted to the right by the given amount, with
   * the new top bits matching the current sign bit.
   * @param {number} numBits The number of bits by which to shift.
   * @return {!goog.math.Long} This shifted to the right by the given amount, with
   *     zeros placed into the new leading bits.
   */
  goog.math.Long.prototype.shiftRightUnsigned = function(numBits) {
    numBits &= 63;
    if (numBits == 0) {
      return this;
    } else {
      var high = this.high_;
      if (numBits < 32) {
        var low = this.low_;
        return goog.math.Long.fromBits(
            (low >>> numBits) | (high << (32 - numBits)),
            high >>> numBits);
      } else if (numBits == 32) {
        return goog.math.Long.fromBits(high, 0);
      } else {
        return goog.math.Long.fromBits(high >>> (numBits - 32), 0);
      }
    }
  };

  //======= begin jsbn =======

  var navigator = { appName: 'Modern Browser' }; // polyfill a little

  // Copyright (c) 2005  Tom Wu
  // All Rights Reserved.
  // http://www-cs-students.stanford.edu/~tjw/jsbn/

  /*
   * Copyright (c) 2003-2005  Tom Wu
   * All Rights Reserved.
   *
   * Permission is hereby granted, free of charge, to any person obtaining
   * a copy of this software and associated documentation files (the
   * "Software"), to deal in the Software without restriction, including
   * without limitation the rights to use, copy, modify, merge, publish,
   * distribute, sublicense, and/or sell copies of the Software, and to
   * permit persons to whom the Software is furnished to do so, subject to
   * the following conditions:
   *
   * The above copyright notice and this permission notice shall be
   * included in all copies or substantial portions of the Software.
   *
   * THE SOFTWARE IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND, 
   * EXPRESS, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY 
   * WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.  
   *
   * IN NO EVENT SHALL TOM WU BE LIABLE FOR ANY SPECIAL, INCIDENTAL,
   * INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY KIND, OR ANY DAMAGES WHATSOEVER
   * RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER OR NOT ADVISED OF
   * THE POSSIBILITY OF DAMAGE, AND ON ANY THEORY OF LIABILITY, ARISING OUT
   * OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
   *
   * In addition, the following condition applies:
   *
   * All redistributions must retain an intact copy of this copyright notice
   * and disclaimer.
   */

  // Basic JavaScript BN library - subset useful for RSA encryption.

  // Bits per digit
  var dbits;

  // JavaScript engine analysis
  var canary = 0xdeadbeefcafe;
  var j_lm = ((canary&0xffffff)==0xefcafe);

  // (public) Constructor
  function BigInteger(a,b,c) {
    if(a != null)
      if("number" == typeof a) this.fromNumber(a,b,c);
      else if(b == null && "string" != typeof a) this.fromString(a,256);
      else this.fromString(a,b);
  }

  // return new, unset BigInteger
  function nbi() { return new BigInteger(null); }

  // am: Compute w_j += (x*this_i), propagate carries,
  // c is initial carry, returns final carry.
  // c < 3*dvalue, x < 2*dvalue, this_i < dvalue
  // We need to select the fastest one that works in this environment.

  // am1: use a single mult and divide to get the high bits,
  // max digit bits should be 26 because
  // max internal value = 2*dvalue^2-2*dvalue (< 2^53)
  function am1(i,x,w,j,c,n) {
    while(--n >= 0) {
      var v = x*this[i++]+w[j]+c;
      c = Math.floor(v/0x4000000);
      w[j++] = v&0x3ffffff;
    }
    return c;
  }
  // am2 avoids a big mult-and-extract completely.
  // Max digit bits should be <= 30 because we do bitwise ops
  // on values up to 2*hdvalue^2-hdvalue-1 (< 2^31)
  function am2(i,x,w,j,c,n) {
    var xl = x&0x7fff, xh = x>>15;
    while(--n >= 0) {
      var l = this[i]&0x7fff;
      var h = this[i++]>>15;
      var m = xh*l+h*xl;
      l = xl*l+((m&0x7fff)<<15)+w[j]+(c&0x3fffffff);
      c = (l>>>30)+(m>>>15)+xh*h+(c>>>30);
      w[j++] = l&0x3fffffff;
    }
    return c;
  }
  // Alternately, set max digit bits to 28 since some
  // browsers slow down when dealing with 32-bit numbers.
  function am3(i,x,w,j,c,n) {
    var xl = x&0x3fff, xh = x>>14;
    while(--n >= 0) {
      var l = this[i]&0x3fff;
      var h = this[i++]>>14;
      var m = xh*l+h*xl;
      l = xl*l+((m&0x3fff)<<14)+w[j]+c;
      c = (l>>28)+(m>>14)+xh*h;
      w[j++] = l&0xfffffff;
    }
    return c;
  }
  if(j_lm && (navigator.appName == "Microsoft Internet Explorer")) {
    BigInteger.prototype.am = am2;
    dbits = 30;
  }
  else if(j_lm && (navigator.appName != "Netscape")) {
    BigInteger.prototype.am = am1;
    dbits = 26;
  }
  else { // Mozilla/Netscape seems to prefer am3
    BigInteger.prototype.am = am3;
    dbits = 28;
  }

  BigInteger.prototype.DB = dbits;
  BigInteger.prototype.DM = ((1<<dbits)-1);
  BigInteger.prototype.DV = (1<<dbits);

  var BI_FP = 52;
  BigInteger.prototype.FV = Math.pow(2,BI_FP);
  BigInteger.prototype.F1 = BI_FP-dbits;
  BigInteger.prototype.F2 = 2*dbits-BI_FP;

  // Digit conversions
  var BI_RM = "0123456789abcdefghijklmnopqrstuvwxyz";
  var BI_RC = new Array();
  var rr,vv;
  rr = "0".charCodeAt(0);
  for(vv = 0; vv <= 9; ++vv) BI_RC[rr++] = vv;
  rr = "a".charCodeAt(0);
  for(vv = 10; vv < 36; ++vv) BI_RC[rr++] = vv;
  rr = "A".charCodeAt(0);
  for(vv = 10; vv < 36; ++vv) BI_RC[rr++] = vv;

  function int2char(n) { return BI_RM.charAt(n); }
  function intAt(s,i) {
    var c = BI_RC[s.charCodeAt(i)];
    return (c==null)?-1:c;
  }

  // (protected) copy this to r
  function bnpCopyTo(r) {
    for(var i = this.t-1; i >= 0; --i) r[i] = this[i];
    r.t = this.t;
    r.s = this.s;
  }

  // (protected) set from integer value x, -DV <= x < DV
  function bnpFromInt(x) {
    this.t = 1;
    this.s = (x<0)?-1:0;
    if(x > 0) this[0] = x;
    else if(x < -1) this[0] = x+DV;
    else this.t = 0;
  }

  // return bigint initialized to value
  function nbv(i) { var r = nbi(); r.fromInt(i); return r; }

  // (protected) set from string and radix
  function bnpFromString(s,b) {
    var k;
    if(b == 16) k = 4;
    else if(b == 8) k = 3;
    else if(b == 256) k = 8; // byte array
    else if(b == 2) k = 1;
    else if(b == 32) k = 5;
    else if(b == 4) k = 2;
    else { this.fromRadix(s,b); return; }
    this.t = 0;
    this.s = 0;
    var i = s.length, mi = false, sh = 0;
    while(--i >= 0) {
      var x = (k==8)?s[i]&0xff:intAt(s,i);
      if(x < 0) {
        if(s.charAt(i) == "-") mi = true;
        continue;
      }
      mi = false;
      if(sh == 0)
        this[this.t++] = x;
      else if(sh+k > this.DB) {
        this[this.t-1] |= (x&((1<<(this.DB-sh))-1))<<sh;
        this[this.t++] = (x>>(this.DB-sh));
      }
      else
        this[this.t-1] |= x<<sh;
      sh += k;
      if(sh >= this.DB) sh -= this.DB;
    }
    if(k == 8 && (s[0]&0x80) != 0) {
      this.s = -1;
      if(sh > 0) this[this.t-1] |= ((1<<(this.DB-sh))-1)<<sh;
    }
    this.clamp();
    if(mi) BigInteger.ZERO.subTo(this,this);
  }

  // (protected) clamp off excess high words
  function bnpClamp() {
    var c = this.s&this.DM;
    while(this.t > 0 && this[this.t-1] == c) --this.t;
  }

  // (public) return string representation in given radix
  function bnToString(b) {
    if(this.s < 0) return "-"+this.negate().toString(b);
    var k;
    if(b == 16) k = 4;
    else if(b == 8) k = 3;
    else if(b == 2) k = 1;
    else if(b == 32) k = 5;
    else if(b == 4) k = 2;
    else return this.toRadix(b);
    var km = (1<<k)-1, d, m = false, r = "", i = this.t;
    var p = this.DB-(i*this.DB)%k;
    if(i-- > 0) {
      if(p < this.DB && (d = this[i]>>p) > 0) { m = true; r = int2char(d); }
      while(i >= 0) {
        if(p < k) {
          d = (this[i]&((1<<p)-1))<<(k-p);
          d |= this[--i]>>(p+=this.DB-k);
        }
        else {
          d = (this[i]>>(p-=k))&km;
          if(p <= 0) { p += this.DB; --i; }
        }
        if(d > 0) m = true;
        if(m) r += int2char(d);
      }
    }
    return m?r:"0";
  }

  // (public) -this
  function bnNegate() { var r = nbi(); BigInteger.ZERO.subTo(this,r); return r; }

  // (public) |this|
  function bnAbs() { return (this.s<0)?this.negate():this; }

  // (public) return + if this > a, - if this < a, 0 if equal
  function bnCompareTo(a) {
    var r = this.s-a.s;
    if(r != 0) return r;
    var i = this.t;
    r = i-a.t;
    if(r != 0) return (this.s<0)?-r:r;
    while(--i >= 0) if((r=this[i]-a[i]) != 0) return r;
    return 0;
  }

  // returns bit length of the integer x
  function nbits(x) {
    var r = 1, t;
    if((t=x>>>16) != 0) { x = t; r += 16; }
    if((t=x>>8) != 0) { x = t; r += 8; }
    if((t=x>>4) != 0) { x = t; r += 4; }
    if((t=x>>2) != 0) { x = t; r += 2; }
    if((t=x>>1) != 0) { x = t; r += 1; }
    return r;
  }

  // (public) return the number of bits in "this"
  function bnBitLength() {
    if(this.t <= 0) return 0;
    return this.DB*(this.t-1)+nbits(this[this.t-1]^(this.s&this.DM));
  }

  // (protected) r = this << n*DB
  function bnpDLShiftTo(n,r) {
    var i;
    for(i = this.t-1; i >= 0; --i) r[i+n] = this[i];
    for(i = n-1; i >= 0; --i) r[i] = 0;
    r.t = this.t+n;
    r.s = this.s;
  }

  // (protected) r = this >> n*DB
  function bnpDRShiftTo(n,r) {
    for(var i = n; i < this.t; ++i) r[i-n] = this[i];
    r.t = Math.max(this.t-n,0);
    r.s = this.s;
  }

  // (protected) r = this << n
  function bnpLShiftTo(n,r) {
    var bs = n%this.DB;
    var cbs = this.DB-bs;
    var bm = (1<<cbs)-1;
    var ds = Math.floor(n/this.DB), c = (this.s<<bs)&this.DM, i;
    for(i = this.t-1; i >= 0; --i) {
      r[i+ds+1] = (this[i]>>cbs)|c;
      c = (this[i]&bm)<<bs;
    }
    for(i = ds-1; i >= 0; --i) r[i] = 0;
    r[ds] = c;
    r.t = this.t+ds+1;
    r.s = this.s;
    r.clamp();
  }

  // (protected) r = this >> n
  function bnpRShiftTo(n,r) {
    r.s = this.s;
    var ds = Math.floor(n/this.DB);
    if(ds >= this.t) { r.t = 0; return; }
    var bs = n%this.DB;
    var cbs = this.DB-bs;
    var bm = (1<<bs)-1;
    r[0] = this[ds]>>bs;
    for(var i = ds+1; i < this.t; ++i) {
      r[i-ds-1] |= (this[i]&bm)<<cbs;
      r[i-ds] = this[i]>>bs;
    }
    if(bs > 0) r[this.t-ds-1] |= (this.s&bm)<<cbs;
    r.t = this.t-ds;
    r.clamp();
  }

  // (protected) r = this - a
  function bnpSubTo(a,r) {
    var i = 0, c = 0, m = Math.min(a.t,this.t);
    while(i < m) {
      c += this[i]-a[i];
      r[i++] = c&this.DM;
      c >>= this.DB;
    }
    if(a.t < this.t) {
      c -= a.s;
      while(i < this.t) {
        c += this[i];
        r[i++] = c&this.DM;
        c >>= this.DB;
      }
      c += this.s;
    }
    else {
      c += this.s;
      while(i < a.t) {
        c -= a[i];
        r[i++] = c&this.DM;
        c >>= this.DB;
      }
      c -= a.s;
    }
    r.s = (c<0)?-1:0;
    if(c < -1) r[i++] = this.DV+c;
    else if(c > 0) r[i++] = c;
    r.t = i;
    r.clamp();
  }

  // (protected) r = this * a, r != this,a (HAC 14.12)
  // "this" should be the larger one if appropriate.
  function bnpMultiplyTo(a,r) {
    var x = this.abs(), y = a.abs();
    var i = x.t;
    r.t = i+y.t;
    while(--i >= 0) r[i] = 0;
    for(i = 0; i < y.t; ++i) r[i+x.t] = x.am(0,y[i],r,i,0,x.t);
    r.s = 0;
    r.clamp();
    if(this.s != a.s) BigInteger.ZERO.subTo(r,r);
  }

  // (protected) r = this^2, r != this (HAC 14.16)
  function bnpSquareTo(r) {
    var x = this.abs();
    var i = r.t = 2*x.t;
    while(--i >= 0) r[i] = 0;
    for(i = 0; i < x.t-1; ++i) {
      var c = x.am(i,x[i],r,2*i,0,1);
      if((r[i+x.t]+=x.am(i+1,2*x[i],r,2*i+1,c,x.t-i-1)) >= x.DV) {
        r[i+x.t] -= x.DV;
        r[i+x.t+1] = 1;
      }
    }
    if(r.t > 0) r[r.t-1] += x.am(i,x[i],r,2*i,0,1);
    r.s = 0;
    r.clamp();
  }

  // (protected) divide this by m, quotient and remainder to q, r (HAC 14.20)
  // r != q, this != m.  q or r may be null.
  function bnpDivRemTo(m,q,r) {
    var pm = m.abs();
    if(pm.t <= 0) return;
    var pt = this.abs();
    if(pt.t < pm.t) {
      if(q != null) q.fromInt(0);
      if(r != null) this.copyTo(r);
      return;
    }
    if(r == null) r = nbi();
    var y = nbi(), ts = this.s, ms = m.s;
    var nsh = this.DB-nbits(pm[pm.t-1]);	// normalize modulus
    if(nsh > 0) { pm.lShiftTo(nsh,y); pt.lShiftTo(nsh,r); }
    else { pm.copyTo(y); pt.copyTo(r); }
    var ys = y.t;
    var y0 = y[ys-1];
    if(y0 == 0) return;
    var yt = y0*(1<<this.F1)+((ys>1)?y[ys-2]>>this.F2:0);
    var d1 = this.FV/yt, d2 = (1<<this.F1)/yt, e = 1<<this.F2;
    var i = r.t, j = i-ys, t = (q==null)?nbi():q;
    y.dlShiftTo(j,t);
    if(r.compareTo(t) >= 0) {
      r[r.t++] = 1;
      r.subTo(t,r);
    }
    BigInteger.ONE.dlShiftTo(ys,t);
    t.subTo(y,y);	// "negative" y so we can replace sub with am later
    while(y.t < ys) y[y.t++] = 0;
    while(--j >= 0) {
      // Estimate quotient digit
      var qd = (r[--i]==y0)?this.DM:Math.floor(r[i]*d1+(r[i-1]+e)*d2);
      if((r[i]+=y.am(0,qd,r,j,0,ys)) < qd) {	// Try it out
        y.dlShiftTo(j,t);
        r.subTo(t,r);
        while(r[i] < --qd) r.subTo(t,r);
      }
    }
    if(q != null) {
      r.drShiftTo(ys,q);
      if(ts != ms) BigInteger.ZERO.subTo(q,q);
    }
    r.t = ys;
    r.clamp();
    if(nsh > 0) r.rShiftTo(nsh,r);	// Denormalize remainder
    if(ts < 0) BigInteger.ZERO.subTo(r,r);
  }

  // (public) this mod a
  function bnMod(a) {
    var r = nbi();
    this.abs().divRemTo(a,null,r);
    if(this.s < 0 && r.compareTo(BigInteger.ZERO) > 0) a.subTo(r,r);
    return r;
  }

  // Modular reduction using "classic" algorithm
  function Classic(m) { this.m = m; }
  function cConvert(x) {
    if(x.s < 0 || x.compareTo(this.m) >= 0) return x.mod(this.m);
    else return x;
  }
  function cRevert(x) { return x; }
  function cReduce(x) { x.divRemTo(this.m,null,x); }
  function cMulTo(x,y,r) { x.multiplyTo(y,r); this.reduce(r); }
  function cSqrTo(x,r) { x.squareTo(r); this.reduce(r); }

  Classic.prototype.convert = cConvert;
  Classic.prototype.revert = cRevert;
  Classic.prototype.reduce = cReduce;
  Classic.prototype.mulTo = cMulTo;
  Classic.prototype.sqrTo = cSqrTo;

  // (protected) return "-1/this % 2^DB"; useful for Mont. reduction
  // justification:
  //         xy == 1 (mod m)
  //         xy =  1+km
  //   xy(2-xy) = (1+km)(1-km)
  // x[y(2-xy)] = 1-k^2m^2
  // x[y(2-xy)] == 1 (mod m^2)
  // if y is 1/x mod m, then y(2-xy) is 1/x mod m^2
  // should reduce x and y(2-xy) by m^2 at each step to keep size bounded.
  // JS multiply "overflows" differently from C/C++, so care is needed here.
  function bnpInvDigit() {
    if(this.t < 1) return 0;
    var x = this[0];
    if((x&1) == 0) return 0;
    var y = x&3;		// y == 1/x mod 2^2
    y = (y*(2-(x&0xf)*y))&0xf;	// y == 1/x mod 2^4
    y = (y*(2-(x&0xff)*y))&0xff;	// y == 1/x mod 2^8
    y = (y*(2-(((x&0xffff)*y)&0xffff)))&0xffff;	// y == 1/x mod 2^16
    // last step - calculate inverse mod DV directly;
    // assumes 16 < DB <= 32 and assumes ability to handle 48-bit ints
    y = (y*(2-x*y%this.DV))%this.DV;		// y == 1/x mod 2^dbits
    // we really want the negative inverse, and -DV < y < DV
    return (y>0)?this.DV-y:-y;
  }

  // Montgomery reduction
  function Montgomery(m) {
    this.m = m;
    this.mp = m.invDigit();
    this.mpl = this.mp&0x7fff;
    this.mph = this.mp>>15;
    this.um = (1<<(m.DB-15))-1;
    this.mt2 = 2*m.t;
  }

  // xR mod m
  function montConvert(x) {
    var r = nbi();
    x.abs().dlShiftTo(this.m.t,r);
    r.divRemTo(this.m,null,r);
    if(x.s < 0 && r.compareTo(BigInteger.ZERO) > 0) this.m.subTo(r,r);
    return r;
  }

  // x/R mod m
  function montRevert(x) {
    var r = nbi();
    x.copyTo(r);
    this.reduce(r);
    return r;
  }

  // x = x/R mod m (HAC 14.32)
  function montReduce(x) {
    while(x.t <= this.mt2)	// pad x so am has enough room later
      x[x.t++] = 0;
    for(var i = 0; i < this.m.t; ++i) {
      // faster way of calculating u0 = x[i]*mp mod DV
      var j = x[i]&0x7fff;
      var u0 = (j*this.mpl+(((j*this.mph+(x[i]>>15)*this.mpl)&this.um)<<15))&x.DM;
      // use am to combine the multiply-shift-add into one call
      j = i+this.m.t;
      x[j] += this.m.am(0,u0,x,i,0,this.m.t);
      // propagate carry
      while(x[j] >= x.DV) { x[j] -= x.DV; x[++j]++; }
    }
    x.clamp();
    x.drShiftTo(this.m.t,x);
    if(x.compareTo(this.m) >= 0) x.subTo(this.m,x);
  }

  // r = "x^2/R mod m"; x != r
  function montSqrTo(x,r) { x.squareTo(r); this.reduce(r); }

  // r = "xy/R mod m"; x,y != r
  function montMulTo(x,y,r) { x.multiplyTo(y,r); this.reduce(r); }

  Montgomery.prototype.convert = montConvert;
  Montgomery.prototype.revert = montRevert;
  Montgomery.prototype.reduce = montReduce;
  Montgomery.prototype.mulTo = montMulTo;
  Montgomery.prototype.sqrTo = montSqrTo;

  // (protected) true iff this is even
  function bnpIsEven() { return ((this.t>0)?(this[0]&1):this.s) == 0; }

  // (protected) this^e, e < 2^32, doing sqr and mul with "r" (HAC 14.79)
  function bnpExp(e,z) {
    if(e > 0xffffffff || e < 1) return BigInteger.ONE;
    var r = nbi(), r2 = nbi(), g = z.convert(this), i = nbits(e)-1;
    g.copyTo(r);
    while(--i >= 0) {
      z.sqrTo(r,r2);
      if((e&(1<<i)) > 0) z.mulTo(r2,g,r);
      else { var t = r; r = r2; r2 = t; }
    }
    return z.revert(r);
  }

  // (public) this^e % m, 0 <= e < 2^32
  function bnModPowInt(e,m) {
    var z;
    if(e < 256 || m.isEven()) z = new Classic(m); else z = new Montgomery(m);
    return this.exp(e,z);
  }

  // protected
  BigInteger.prototype.copyTo = bnpCopyTo;
  BigInteger.prototype.fromInt = bnpFromInt;
  BigInteger.prototype.fromString = bnpFromString;
  BigInteger.prototype.clamp = bnpClamp;
  BigInteger.prototype.dlShiftTo = bnpDLShiftTo;
  BigInteger.prototype.drShiftTo = bnpDRShiftTo;
  BigInteger.prototype.lShiftTo = bnpLShiftTo;
  BigInteger.prototype.rShiftTo = bnpRShiftTo;
  BigInteger.prototype.subTo = bnpSubTo;
  BigInteger.prototype.multiplyTo = bnpMultiplyTo;
  BigInteger.prototype.squareTo = bnpSquareTo;
  BigInteger.prototype.divRemTo = bnpDivRemTo;
  BigInteger.prototype.invDigit = bnpInvDigit;
  BigInteger.prototype.isEven = bnpIsEven;
  BigInteger.prototype.exp = bnpExp;

  // public
  BigInteger.prototype.toString = bnToString;
  BigInteger.prototype.negate = bnNegate;
  BigInteger.prototype.abs = bnAbs;
  BigInteger.prototype.compareTo = bnCompareTo;
  BigInteger.prototype.bitLength = bnBitLength;
  BigInteger.prototype.mod = bnMod;
  BigInteger.prototype.modPowInt = bnModPowInt;

  // "constants"
  BigInteger.ZERO = nbv(0);
  BigInteger.ONE = nbv(1);

  // jsbn2 stuff

  // (protected) convert from radix string
  function bnpFromRadix(s,b) {
    this.fromInt(0);
    if(b == null) b = 10;
    var cs = this.chunkSize(b);
    var d = Math.pow(b,cs), mi = false, j = 0, w = 0;
    for(var i = 0; i < s.length; ++i) {
      var x = intAt(s,i);
      if(x < 0) {
        if(s.charAt(i) == "-" && this.signum() == 0) mi = true;
        continue;
      }
      w = b*w+x;
      if(++j >= cs) {
        this.dMultiply(d);
        this.dAddOffset(w,0);
        j = 0;
        w = 0;
      }
    }
    if(j > 0) {
      this.dMultiply(Math.pow(b,j));
      this.dAddOffset(w,0);
    }
    if(mi) BigInteger.ZERO.subTo(this,this);
  }

  // (protected) return x s.t. r^x < DV
  function bnpChunkSize(r) { return Math.floor(Math.LN2*this.DB/Math.log(r)); }

  // (public) 0 if this == 0, 1 if this > 0
  function bnSigNum() {
    if(this.s < 0) return -1;
    else if(this.t <= 0 || (this.t == 1 && this[0] <= 0)) return 0;
    else return 1;
  }

  // (protected) this *= n, this >= 0, 1 < n < DV
  function bnpDMultiply(n) {
    this[this.t] = this.am(0,n-1,this,0,0,this.t);
    ++this.t;
    this.clamp();
  }

  // (protected) this += n << w words, this >= 0
  function bnpDAddOffset(n,w) {
    if(n == 0) return;
    while(this.t <= w) this[this.t++] = 0;
    this[w] += n;
    while(this[w] >= this.DV) {
      this[w] -= this.DV;
      if(++w >= this.t) this[this.t++] = 0;
      ++this[w];
    }
  }

  // (protected) convert to radix string
  function bnpToRadix(b) {
    if(b == null) b = 10;
    if(this.signum() == 0 || b < 2 || b > 36) return "0";
    var cs = this.chunkSize(b);
    var a = Math.pow(b,cs);
    var d = nbv(a), y = nbi(), z = nbi(), r = "";
    this.divRemTo(d,y,z);
    while(y.signum() > 0) {
      r = (a+z.intValue()).toString(b).substr(1) + r;
      y.divRemTo(d,y,z);
    }
    return z.intValue().toString(b) + r;
  }

  // (public) return value as integer
  function bnIntValue() {
    if(this.s < 0) {
      if(this.t == 1) return this[0]-this.DV;
      else if(this.t == 0) return -1;
    }
    else if(this.t == 1) return this[0];
    else if(this.t == 0) return 0;
    // assumes 16 < DB < 32
    return ((this[1]&((1<<(32-this.DB))-1))<<this.DB)|this[0];
  }

  // (protected) r = this + a
  function bnpAddTo(a,r) {
    var i = 0, c = 0, m = Math.min(a.t,this.t);
    while(i < m) {
      c += this[i]+a[i];
      r[i++] = c&this.DM;
      c >>= this.DB;
    }
    if(a.t < this.t) {
      c += a.s;
      while(i < this.t) {
        c += this[i];
        r[i++] = c&this.DM;
        c >>= this.DB;
      }
      c += this.s;
    }
    else {
      c += this.s;
      while(i < a.t) {
        c += a[i];
        r[i++] = c&this.DM;
        c >>= this.DB;
      }
      c += a.s;
    }
    r.s = (c<0)?-1:0;
    if(c > 0) r[i++] = c;
    else if(c < -1) r[i++] = this.DV+c;
    r.t = i;
    r.clamp();
  }

  BigInteger.prototype.fromRadix = bnpFromRadix;
  BigInteger.prototype.chunkSize = bnpChunkSize;
  BigInteger.prototype.signum = bnSigNum;
  BigInteger.prototype.dMultiply = bnpDMultiply;
  BigInteger.prototype.dAddOffset = bnpDAddOffset;
  BigInteger.prototype.toRadix = bnpToRadix;
  BigInteger.prototype.intValue = bnIntValue;
  BigInteger.prototype.addTo = bnpAddTo;

  //======= end jsbn =======

  // Emscripten wrapper
  var Wrapper = {
    abs: function(l, h) {
      var x = new goog.math.Long(l, h);
      var ret;
      if (x.isNegative()) {
        ret = x.negate();
      } else {
        ret = x;
      }
      HEAP32[tempDoublePtr>>2] = ret.low_;
      HEAP32[tempDoublePtr+4>>2] = ret.high_;
    },
    ensureTemps: function() {
      if (Wrapper.ensuredTemps) return;
      Wrapper.ensuredTemps = true;
      Wrapper.two32 = new BigInteger();
      Wrapper.two32.fromString('4294967296', 10);
      Wrapper.two64 = new BigInteger();
      Wrapper.two64.fromString('18446744073709551616', 10);
      Wrapper.temp1 = new BigInteger();
      Wrapper.temp2 = new BigInteger();
    },
    lh2bignum: function(l, h) {
      var a = new BigInteger();
      a.fromString(h.toString(), 10);
      var b = new BigInteger();
      a.multiplyTo(Wrapper.two32, b);
      var c = new BigInteger();
      c.fromString(l.toString(), 10);
      var d = new BigInteger();
      c.addTo(b, d);
      return d;
    },
    stringify: function(l, h, unsigned) {
      var ret = new goog.math.Long(l, h).toString();
      if (unsigned && ret[0] == '-') {
        // unsign slowly using jsbn bignums
        Wrapper.ensureTemps();
        var bignum = new BigInteger();
        bignum.fromString(ret, 10);
        ret = new BigInteger();
        Wrapper.two64.addTo(bignum, ret);
        ret = ret.toString(10);
      }
      return ret;
    },
    fromString: function(str, base, min, max, unsigned) {
      Wrapper.ensureTemps();
      var bignum = new BigInteger();
      bignum.fromString(str, base);
      var bigmin = new BigInteger();
      bigmin.fromString(min, 10);
      var bigmax = new BigInteger();
      bigmax.fromString(max, 10);
      if (unsigned && bignum.compareTo(BigInteger.ZERO) < 0) {
        var temp = new BigInteger();
        bignum.addTo(Wrapper.two64, temp);
        bignum = temp;
      }
      var error = false;
      if (bignum.compareTo(bigmin) < 0) {
        bignum = bigmin;
        error = true;
      } else if (bignum.compareTo(bigmax) > 0) {
        bignum = bigmax;
        error = true;
      }
      var ret = goog.math.Long.fromString(bignum.toString()); // min-max checks should have clamped this to a range goog.math.Long can handle well
      HEAP32[tempDoublePtr>>2] = ret.low_;
      HEAP32[tempDoublePtr+4>>2] = ret.high_;
      if (error) throw 'range error';
    }
  };
  return Wrapper;
})();

//======= end closure i64 code =======



// === Auto-generated postamble setup entry stuff ===

if (memoryInitializer) {
  function applyData(data) {
    HEAPU8.set(data, STATIC_BASE);
  }
  if (ENVIRONMENT_IS_NODE || ENVIRONMENT_IS_SHELL) {
    applyData(Module['readBinary'](memoryInitializer));
  } else {
    addRunDependency('memory initializer');
    Browser.asyncLoad(memoryInitializer, function(data) {
      applyData(data);
      removeRunDependency('memory initializer');
    }, function(data) {
      throw 'could not load memory initializer ' + memoryInitializer;
    });
  }
}

function ExitStatus(status) {
  this.name = "ExitStatus";
  this.message = "Program terminated with exit(" + status + ")";
  this.status = status;
};
ExitStatus.prototype = new Error();
ExitStatus.prototype.constructor = ExitStatus;

var initialStackTop;
var preloadStartTime = null;
var calledMain = false;

dependenciesFulfilled = function runCaller() {
  // If run has never been called, and we should call run (INVOKE_RUN is true, and Module.noInitialRun is not false)
  if (!Module['calledRun'] && shouldRunNow) run();
  if (!Module['calledRun']) dependenciesFulfilled = runCaller; // try this again later, after new deps are fulfilled
}

Module['callMain'] = Module.callMain = function callMain(args) {
  assert(runDependencies == 0, 'cannot call main when async dependencies remain! (listen on __ATMAIN__)');
  assert(__ATPRERUN__.length == 0, 'cannot call main when preRun functions remain to be called');

  args = args || [];

  if (ENVIRONMENT_IS_WEB && preloadStartTime !== null) {
    Module.printErr('preload time: ' + (Date.now() - preloadStartTime) + ' ms');
  }

  ensureInitRuntime();

  var argc = args.length+1;
  function pad() {
    for (var i = 0; i < 4-1; i++) {
      argv.push(0);
    }
  }
  var argv = [allocate(intArrayFromString("/bin/this.program"), 'i8', ALLOC_NORMAL) ];
  pad();
  for (var i = 0; i < argc-1; i = i + 1) {
    argv.push(allocate(intArrayFromString(args[i]), 'i8', ALLOC_NORMAL));
    pad();
  }
  argv.push(0);
  argv = allocate(argv, 'i32', ALLOC_NORMAL);

  initialStackTop = STACKTOP;

  try {

    var ret = Module['_main'](argc, argv, 0);


    // if we're not running an evented main loop, it's time to exit
    if (!Module['noExitRuntime']) {
      exit(ret);
    }
  }
  catch(e) {
    if (e instanceof ExitStatus) {
      // exit() throws this once it's done to make sure execution
      // has been stopped completely
      return;
    } else if (e == 'SimulateInfiniteLoop') {
      // running an evented main loop, don't immediately exit
      Module['noExitRuntime'] = true;
      return;
    } else {
      if (e && typeof e === 'object' && e.stack) Module.printErr('exception thrown: ' + [e, e.stack]);
      throw e;
    }
  } finally {
    calledMain = true;
  }
}




function run(args) {
  args = args || Module['arguments'];

  if (preloadStartTime === null) preloadStartTime = Date.now();

  if (runDependencies > 0) {
    Module.printErr('run() called, but dependencies remain, so not running');
    return;
  }

  preRun();

  if (runDependencies > 0) return; // a preRun added a dependency, run will be called later
  if (Module['calledRun']) return; // run may have just been called through dependencies being fulfilled just in this very frame

  function doRun() {
    if (Module['calledRun']) return; // run may have just been called while the async setStatus time below was happening
    Module['calledRun'] = true;

    ensureInitRuntime();

    preMain();

    if (Module['_main'] && shouldRunNow) {
      Module['callMain'](args);
    }

    postRun();
  }

  if (Module['setStatus']) {
    Module['setStatus']('Running...');
    setTimeout(function() {
      setTimeout(function() {
        Module['setStatus']('');
      }, 1);
      if (!ABORT) doRun();
    }, 1);
  } else {
    doRun();
  }
}
Module['run'] = Module.run = run;

function exit(status) {
  ABORT = true;
  EXITSTATUS = status;
  STACKTOP = initialStackTop;

  // exit the runtime
  exitRuntime();

  // TODO We should handle this differently based on environment.
  // In the browser, the best we can do is throw an exception
  // to halt execution, but in node we could process.exit and
  // I'd imagine SM shell would have something equivalent.
  // This would let us set a proper exit status (which
  // would be great for checking test exit statuses).
  // https://github.com/kripken/emscripten/issues/1371

  // throw an exception to halt the current execution
  throw new ExitStatus(status);
}
Module['exit'] = Module.exit = exit;

function abort(text) {
  if (text) {
    Module.print(text);
    Module.printErr(text);
  }

  ABORT = true;
  EXITSTATUS = 1;

  throw 'abort() at ' + stackTrace();
}
Module['abort'] = Module.abort = abort;

// {{PRE_RUN_ADDITIONS}}

if (Module['preInit']) {
  if (typeof Module['preInit'] == 'function') Module['preInit'] = [Module['preInit']];
  while (Module['preInit'].length > 0) {
    Module['preInit'].pop()();
  }
}

// shouldRunNow refers to calling main(), not run().
var shouldRunNow = true;
if (Module['noInitialRun']) {
  shouldRunNow = false;
}


run();

// {{POST_RUN_ADDITIONS}}






// {{MODULE_ADDITIONS}}






